#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2670
#define LARGE_STATE_COUNT 572
#define SYMBOL_COUNT 410
#define ALIAS_COUNT 0
#define TOKEN_COUNT 193
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 26
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 186

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_declaration_token2 = 14,
  aux_sym_namespace_use_declaration_token3 = 15,
  anon_sym_BSLASH = 16,
  aux_sym_namespace_aliasing_clause_token1 = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  sym_var_modifier = 33,
  aux_sym_use_instead_of_clause_token1 = 34,
  aux_sym_visibility_modifier_token1 = 35,
  aux_sym_visibility_modifier_token2 = 36,
  aux_sym_visibility_modifier_token3 = 37,
  aux_sym__arrow_function_header_token1 = 38,
  anon_sym_EQ_GT = 39,
  anon_sym_LPAREN = 40,
  anon_sym_RPAREN = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_false = 53,
  anon_sym_null = 54,
  anon_sym_true = 55,
  aux_sym_cast_type_token1 = 56,
  aux_sym_cast_type_token2 = 57,
  aux_sym_cast_type_token3 = 58,
  aux_sym_cast_type_token4 = 59,
  aux_sym_cast_type_token5 = 60,
  aux_sym_cast_type_token6 = 61,
  aux_sym_cast_type_token7 = 62,
  aux_sym_cast_type_token8 = 63,
  aux_sym_cast_type_token9 = 64,
  aux_sym_cast_type_token10 = 65,
  aux_sym_cast_type_token11 = 66,
  aux_sym_cast_type_token12 = 67,
  aux_sym_echo_statement_token1 = 68,
  aux_sym_exit_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_PLUS = 101,
  anon_sym_DASH = 102,
  anon_sym_TILDE = 103,
  anon_sym_BANG = 104,
  anon_sym_AT = 105,
  aux_sym_clone_expression_token1 = 106,
  anon_sym_COLON_COLON = 107,
  aux_sym_print_intrinsic_token1 = 108,
  aux_sym_object_creation_expression_token1 = 109,
  anon_sym_DASH_DASH = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_STAR_STAR_EQ = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_DOT_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_QMARK_QMARK_EQ = 124,
  anon_sym_DASH_GT = 125,
  anon_sym_QMARK_DASH_GT = 126,
  aux_sym__list_destructing_token1 = 127,
  anon_sym_LBRACK = 128,
  anon_sym_RBRACK = 129,
  anon_sym_self = 130,
  anon_sym_parent = 131,
  aux_sym__argument_name_token1 = 132,
  aux_sym__argument_name_token2 = 133,
  anon_sym_POUND_LBRACK = 134,
  sym_escape_sequence = 135,
  anon_sym_BSLASHu = 136,
  aux_sym_encapsed_string_token1 = 137,
  anon_sym_DQUOTE = 138,
  aux_sym_string_token1 = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_string_token2 = 141,
  aux_sym_string_content_token1 = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  sym__new_line = 145,
  anon_sym_SQUOTE2 = 146,
  anon_sym_BQUOTE = 147,
  anon_sym_DOLLAR = 148,
  aux_sym_yield_expression_token1 = 149,
  aux_sym_yield_expression_token2 = 150,
  aux_sym_binary_expression_token1 = 151,
  anon_sym_QMARK_QMARK = 152,
  anon_sym_STAR_STAR = 153,
  aux_sym_binary_expression_token2 = 154,
  aux_sym_binary_expression_token3 = 155,
  aux_sym_binary_expression_token4 = 156,
  anon_sym_PIPE_PIPE = 157,
  anon_sym_AMP_AMP = 158,
  anon_sym_CARET = 159,
  anon_sym_EQ_EQ = 160,
  anon_sym_BANG_EQ = 161,
  anon_sym_LT_GT = 162,
  anon_sym_EQ_EQ_EQ = 163,
  anon_sym_BANG_EQ_EQ = 164,
  anon_sym_LT = 165,
  anon_sym_GT = 166,
  anon_sym_LT_EQ = 167,
  anon_sym_GT_EQ = 168,
  anon_sym_LT_EQ_GT = 169,
  anon_sym_LT_LT = 170,
  anon_sym_GT_GT = 171,
  anon_sym_DOT = 172,
  anon_sym_STAR = 173,
  anon_sym_SLASH = 174,
  anon_sym_PERCENT = 175,
  aux_sym_include_expression_token1 = 176,
  aux_sym_include_once_expression_token1 = 177,
  aux_sym_require_expression_token1 = 178,
  aux_sym_require_once_expression_token1 = 179,
  sym_comment = 180,
  sym__automatic_semicolon = 181,
  sym_encapsed_string_chars = 182,
  sym_encapsed_string_chars_after_variable = 183,
  sym_execution_string_chars = 184,
  sym_execution_string_chars_after_variable = 185,
  sym_encapsed_string_chars_heredoc = 186,
  sym_encapsed_string_chars_after_variable_heredoc = 187,
  sym__eof = 188,
  sym_heredoc_start = 189,
  sym_heredoc_end = 190,
  sym_nowdoc_string = 191,
  sym_sentinel_error = 192,
  sym_program = 193,
  sym_text_interpolation = 194,
  sym_text = 195,
  sym_statement = 196,
  sym_empty_statement = 197,
  sym_reference_modifier = 198,
  sym_function_static_declaration = 199,
  sym_static_variable_declaration = 200,
  sym_global_declaration = 201,
  sym_namespace_definition = 202,
  sym_namespace_use_declaration = 203,
  sym_namespace_use_clause = 204,
  sym_qualified_name = 205,
  sym_namespace_name_as_prefix = 206,
  sym_namespace_name = 207,
  sym_namespace_aliasing_clause = 208,
  sym_namespace_use_group = 209,
  sym_namespace_use_group_clause = 210,
  sym_trait_declaration = 211,
  sym_interface_declaration = 212,
  sym_base_clause = 213,
  sym_enum_declaration = 214,
  sym_enum_declaration_list = 215,
  sym__enum_member_declaration = 216,
  sym_enum_case = 217,
  sym_class_declaration = 218,
  sym_declaration_list = 219,
  sym_final_modifier = 220,
  sym_abstract_modifier = 221,
  sym_readonly_modifier = 222,
  sym_class_interface_clause = 223,
  sym__member_declaration = 224,
  sym_const_declaration = 225,
  sym__class_const_declaration = 226,
  sym__const_declaration = 227,
  sym_property_declaration = 228,
  sym__modifier = 229,
  sym_property_element = 230,
  sym_property_initializer = 231,
  sym_method_declaration = 232,
  sym_static_modifier = 233,
  sym_use_declaration = 234,
  sym_use_list = 235,
  sym_use_instead_of_clause = 236,
  sym_use_as_clause = 237,
  sym_visibility_modifier = 238,
  sym_function_definition = 239,
  sym__function_definition_header = 240,
  sym__arrow_function_header = 241,
  sym_arrow_function = 242,
  sym_formal_parameters = 243,
  sym_property_promotion_parameter = 244,
  sym_simple_parameter = 245,
  sym_variadic_parameter = 246,
  sym_type = 247,
  sym__types = 248,
  sym_named_type = 249,
  sym_optional_type = 250,
  sym_union_type = 251,
  sym_intersection_type = 252,
  sym_disjunctive_normal_form_type = 253,
  sym_primitive_type = 254,
  sym_cast_type = 255,
  sym__return_type = 256,
  sym_const_element = 257,
  sym_echo_statement = 258,
  sym_exit_statement = 259,
  sym_unset_statement = 260,
  sym_declare_statement = 261,
  sym_declare_directive = 262,
  sym_literal = 263,
  sym_try_statement = 264,
  sym_catch_clause = 265,
  sym_type_list = 266,
  sym_finally_clause = 267,
  sym_goto_statement = 268,
  sym_continue_statement = 269,
  sym_break_statement = 270,
  sym_return_statement = 271,
  sym_throw_expression = 272,
  sym_while_statement = 273,
  sym_do_statement = 274,
  sym_for_statement = 275,
  sym__expressions = 276,
  sym_sequence_expression = 277,
  sym_foreach_statement = 278,
  sym_foreach_pair = 279,
  sym_if_statement = 280,
  sym_colon_block = 281,
  sym_else_if_clause = 282,
  sym_else_clause = 283,
  sym_else_if_clause_2 = 284,
  sym_else_clause_2 = 285,
  sym_match_expression = 286,
  sym_match_block = 287,
  sym_match_condition_list = 288,
  sym_match_conditional_expression = 289,
  sym_match_default_expression = 290,
  sym_switch_statement = 291,
  sym_switch_block = 292,
  sym_case_statement = 293,
  sym_default_statement = 294,
  sym_compound_statement = 295,
  sym_named_label_statement = 296,
  sym_expression_statement = 297,
  sym_expression = 298,
  sym__unary_expression = 299,
  sym_unary_op_expression = 300,
  sym_error_suppression_expression = 301,
  sym_clone_expression = 302,
  sym_primary_expression = 303,
  sym_parenthesized_expression = 304,
  sym_class_constant_access_expression = 305,
  sym_print_intrinsic = 306,
  sym_anonymous_function_creation_expression = 307,
  sym_anonymous_function_use_clause = 308,
  sym_object_creation_expression = 309,
  sym_update_expression = 310,
  sym_cast_expression = 311,
  sym_cast_variable = 312,
  sym_assignment_expression = 313,
  sym_reference_assignment_expression = 314,
  sym_conditional_expression = 315,
  sym_augmented_assignment_expression = 316,
  sym_member_access_expression = 317,
  sym_nullsafe_member_access_expression = 318,
  sym_scoped_property_access_expression = 319,
  sym_list_literal = 320,
  sym__list_destructing = 321,
  sym__array_destructing = 322,
  sym__array_destructing_element = 323,
  sym_function_call_expression = 324,
  sym_scoped_call_expression = 325,
  sym__scope_resolution_qualifier = 326,
  sym_relative_scope = 327,
  sym_variadic_placeholder = 328,
  sym_arguments = 329,
  sym_argument = 330,
  sym__argument_name = 331,
  sym_member_call_expression = 332,
  sym_nullsafe_member_call_expression = 333,
  sym_variadic_unpacking = 334,
  sym_subscript_expression = 335,
  sym__dereferencable_expression = 336,
  sym_array_creation_expression = 337,
  sym_attribute_group = 338,
  sym_attribute_list = 339,
  sym_attribute = 340,
  sym__complex_string_part = 341,
  sym__simple_string_member_access_expression = 342,
  sym__simple_string_subscript_unary_expression = 343,
  sym__simple_string_array_access_argument = 344,
  sym__simple_string_subscript_expression = 345,
  sym__simple_string_part = 346,
  aux_sym__interpolated_string_body = 347,
  aux_sym__interpolated_string_body_heredoc = 348,
  sym_encapsed_string = 349,
  sym_string = 350,
  sym_string_content = 351,
  sym_heredoc_body = 352,
  sym_heredoc = 353,
  sym_nowdoc_body = 354,
  sym_nowdoc = 355,
  aux_sym__interpolated_execution_operator_body = 356,
  sym_shell_command_expression = 357,
  sym_boolean = 358,
  sym_null = 359,
  sym__string = 360,
  sym_dynamic_variable_name = 361,
  sym_variable_name = 362,
  sym_variable_reference = 363,
  sym_by_ref = 364,
  sym_yield_expression = 365,
  sym_array_element_initializer = 366,
  sym_binary_expression = 367,
  sym_include_expression = 368,
  sym_include_once_expression = 369,
  sym_require_expression = 370,
  sym_require_once_expression = 371,
  sym__reserved_identifier = 372,
  aux_sym_program_repeat1 = 373,
  aux_sym_text_repeat1 = 374,
  aux_sym_function_static_declaration_repeat1 = 375,
  aux_sym_global_declaration_repeat1 = 376,
  aux_sym_namespace_use_declaration_repeat1 = 377,
  aux_sym_namespace_name_repeat1 = 378,
  aux_sym_namespace_use_group_repeat1 = 379,
  aux_sym_base_clause_repeat1 = 380,
  aux_sym_enum_declaration_list_repeat1 = 381,
  aux_sym_class_declaration_repeat1 = 382,
  aux_sym_declaration_list_repeat1 = 383,
  aux_sym__const_declaration_repeat1 = 384,
  aux_sym_property_declaration_repeat1 = 385,
  aux_sym_use_list_repeat1 = 386,
  aux_sym_formal_parameters_repeat1 = 387,
  aux_sym_union_type_repeat1 = 388,
  aux_sym_intersection_type_repeat1 = 389,
  aux_sym_disjunctive_normal_form_type_repeat1 = 390,
  aux_sym_unset_statement_repeat1 = 391,
  aux_sym_try_statement_repeat1 = 392,
  aux_sym_type_list_repeat1 = 393,
  aux_sym_if_statement_repeat1 = 394,
  aux_sym_if_statement_repeat2 = 395,
  aux_sym_match_block_repeat1 = 396,
  aux_sym_match_condition_list_repeat1 = 397,
  aux_sym_switch_block_repeat1 = 398,
  aux_sym_anonymous_function_use_clause_repeat1 = 399,
  aux_sym__list_destructing_repeat1 = 400,
  aux_sym__array_destructing_repeat1 = 401,
  aux_sym_arguments_repeat1 = 402,
  aux_sym_array_creation_expression_repeat1 = 403,
  aux_sym_attribute_group_repeat1 = 404,
  aux_sym_attribute_list_repeat1 = 405,
  aux_sym_string_repeat1 = 406,
  aux_sym_string_content_repeat1 = 407,
  aux_sym_heredoc_body_repeat1 = 408,
  aux_sym_nowdoc_body_repeat1 = 409,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attributes = 4,
  field_body = 5,
  field_condition = 6,
  field_conditional_expressions = 7,
  field_default_value = 8,
  field_end_tag = 9,
  field_function = 10,
  field_identifier = 11,
  field_left = 12,
  field_name = 13,
  field_object = 14,
  field_operator = 15,
  field_parameters = 16,
  field_readonly = 17,
  field_reference_modifier = 18,
  field_return_expression = 19,
  field_return_type = 20,
  field_right = 21,
  field_scope = 22,
  field_static_modifier = 23,
  field_type = 24,
  field_value = 25,
  field_visibility = 26,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 4},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [18] = {.index = 27, .length = 2},
  [19] = {.index = 29, .length = 2},
  [20] = {.index = 31, .length = 1},
  [21] = {.index = 32, .length = 5},
  [22] = {.index = 37, .length = 3},
  [23] = {.index = 40, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 5},
  [28] = {.index = 53, .length = 2},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 2},
  [35] = {.index = 68, .length = 3},
  [36] = {.index = 71, .length = 1},
  [37] = {.index = 72, .length = 3},
  [38] = {.index = 75, .length = 2},
  [39] = {.index = 77, .length = 1},
  [40] = {.index = 78, .length = 2},
  [41] = {.index = 80, .length = 2},
  [42] = {.index = 82, .length = 3},
  [43] = {.index = 85, .length = 2},
  [44] = {.index = 87, .length = 1},
  [45] = {.index = 88, .length = 3},
  [46] = {.index = 91, .length = 3},
  [47] = {.index = 94, .length = 1},
  [50] = {.index = 95, .length = 2},
  [51] = {.index = 97, .length = 3},
  [52] = {.index = 100, .length = 2},
  [53] = {.index = 1, .length = 1},
  [54] = {.index = 102, .length = 1},
  [55] = {.index = 103, .length = 1},
  [56] = {.index = 104, .length = 3},
  [57] = {.index = 107, .length = 2},
  [58] = {.index = 109, .length = 2},
  [59] = {.index = 111, .length = 2},
  [60] = {.index = 113, .length = 2},
  [61] = {.index = 115, .length = 3},
  [62] = {.index = 118, .length = 3},
  [63] = {.index = 121, .length = 3},
  [64] = {.index = 124, .length = 3},
  [65] = {.index = 127, .length = 3},
  [66] = {.index = 130, .length = 3},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 2},
  [69] = {.index = 137, .length = 2},
  [70] = {.index = 139, .length = 3},
  [71] = {.index = 142, .length = 3},
  [72] = {.index = 145, .length = 2},
  [73] = {.index = 147, .length = 3},
  [74] = {.index = 150, .length = 2},
  [75] = {.index = 152, .length = 3},
  [76] = {.index = 155, .length = 3},
  [77] = {.index = 158, .length = 3},
  [78] = {.index = 161, .length = 2},
  [79] = {.index = 163, .length = 3},
  [80] = {.index = 166, .length = 4},
  [81] = {.index = 170, .length = 3},
  [82] = {.index = 173, .length = 3},
  [83] = {.index = 176, .length = 1},
  [84] = {.index = 177, .length = 3},
  [85] = {.index = 180, .length = 2},
  [86] = {.index = 182, .length = 2},
  [87] = {.index = 182, .length = 2},
  [88] = {.index = 184, .length = 2},
  [89] = {.index = 186, .length = 4},
  [90] = {.index = 190, .length = 2},
  [91] = {.index = 192, .length = 3},
  [92] = {.index = 195, .length = 3},
  [93] = {.index = 198, .length = 2},
  [94] = {.index = 200, .length = 3},
  [95] = {.index = 203, .length = 2},
  [96] = {.index = 205, .length = 4},
  [97] = {.index = 209, .length = 4},
  [98] = {.index = 213, .length = 3},
  [99] = {.index = 216, .length = 3},
  [100] = {.index = 219, .length = 3},
  [102] = {.index = 222, .length = 2},
  [103] = {.index = 224, .length = 4},
  [104] = {.index = 228, .length = 4},
  [105] = {.index = 232, .length = 3},
  [106] = {.index = 235, .length = 3},
  [107] = {.index = 238, .length = 4},
  [108] = {.index = 242, .length = 4},
  [109] = {.index = 246, .length = 3},
  [110] = {.index = 249, .length = 3},
  [111] = {.index = 252, .length = 3},
  [112] = {.index = 255, .length = 1},
  [113] = {.index = 256, .length = 2},
  [114] = {.index = 258, .length = 3},
  [115] = {.index = 261, .length = 4},
  [116] = {.index = 265, .length = 3},
  [117] = {.index = 268, .length = 3},
  [118] = {.index = 271, .length = 3},
  [119] = {.index = 274, .length = 3},
  [120] = {.index = 277, .length = 4},
  [121] = {.index = 281, .length = 4},
  [122] = {.index = 285, .length = 3},
  [123] = {.index = 288, .length = 4},
  [124] = {.index = 292, .length = 3},
  [125] = {.index = 295, .length = 4},
  [126] = {.index = 299, .length = 2},
  [127] = {.index = 301, .length = 4},
  [128] = {.index = 305, .length = 3},
  [129] = {.index = 308, .length = 4},
  [130] = {.index = 312, .length = 2},
  [131] = {.index = 314, .length = 1},
  [132] = {.index = 315, .length = 2},
  [133] = {.index = 317, .length = 1},
  [136] = {.index = 318, .length = 3},
  [137] = {.index = 321, .length = 3},
  [138] = {.index = 324, .length = 3},
  [139] = {.index = 327, .length = 5},
  [140] = {.index = 332, .length = 4},
  [141] = {.index = 336, .length = 4},
  [142] = {.index = 340, .length = 3},
  [143] = {.index = 343, .length = 3},
  [144] = {.index = 346, .length = 5},
  [145] = {.index = 351, .length = 4},
  [146] = {.index = 355, .length = 4},
  [147] = {.index = 359, .length = 3},
  [148] = {.index = 359, .length = 3},
  [149] = {.index = 362, .length = 5},
  [150] = {.index = 367, .length = 5},
  [151] = {.index = 372, .length = 4},
  [152] = {.index = 376, .length = 4},
  [153] = {.index = 380, .length = 3},
  [154] = {.index = 383, .length = 2},
  [155] = {.index = 385, .length = 4},
  [156] = {.index = 389, .length = 4},
  [157] = {.index = 393, .length = 4},
  [158] = {.index = 397, .length = 4},
  [159] = {.index = 401, .length = 5},
  [160] = {.index = 406, .length = 4},
  [161] = {.index = 410, .length = 4},
  [162] = {.index = 414, .length = 4},
  [163] = {.index = 418, .length = 1},
  [164] = {.index = 419, .length = 4},
  [165] = {.index = 423, .length = 5},
  [166] = {.index = 428, .length = 2},
  [167] = {.index = 430, .length = 1},
  [168] = {.index = 431, .length = 3},
  [169] = {.index = 434, .length = 5},
  [170] = {.index = 439, .length = 5},
  [171] = {.index = 444, .length = 3},
  [172] = {.index = 447, .length = 6},
  [173] = {.index = 453, .length = 5},
  [174] = {.index = 458, .length = 5},
  [175] = {.index = 463, .length = 3},
  [176] = {.index = 466, .length = 5},
  [177] = {.index = 471, .length = 5},
  [178] = {.index = 476, .length = 5},
  [179] = {.index = 481, .length = 5},
  [180] = {.index = 486, .length = 2},
  [181] = {.index = 488, .length = 2},
  [182] = {.index = 490, .length = 3},
  [183] = {.index = 493, .length = 6},
  [184] = {.index = 499, .length = 6},
  [185] = {.index = 505, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [8] =
    {field_arguments, 1},
    {field_function, 0},
  [10] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [14] =
    {field_argument, 0},
    {field_operator, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_body, 2},
    {field_name, 1},
  [19] =
    {field_name, 1},
    {field_parameters, 2},
  [21] =
    {field_body, 2},
    {field_parameters, 1},
  [23] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [25] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [27] =
    {field_body, 2},
    {field_condition, 1},
  [29] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [31] =
    {field_parameters, 2},
  [32] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [37] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [40] =
    {field_left, 0},
    {field_right, 2},
  [42] =
    {field_name, 2},
    {field_scope, 0},
  [44] =
    {field_name, 2},
    {field_object, 0},
  [46] =
    {field_attributes, 0},
    {field_parameters, 2},
  [48] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [53] =
    {field_name, 0},
    {field_value, 2},
  [55] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [57] =
    {field_name, 1},
    {field_visibility, 0},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_attributes, 0},
    {field_name, 1},
  [63] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [66] =
    {field_name, 2},
    {field_parameters, 3},
  [68] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [71] =
    {field_return_type, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_type, 1},
  [78] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [80] =
    {field_body, 3},
    {field_name, 1},
  [82] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [85] =
    {field_type, 1},
    {field_value, 3},
  [87] =
    {field_alternative, 0},
  [88] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [91] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [94] =
    {field_attributes, 1},
  [95] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [97] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [100] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [102] =
    {field_reference_modifier, 0},
  [103] =
    {field_name, 0, .inherited = true},
  [104] =
    {field_body, 3},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [107] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [109] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [111] =
    {field_alternative, 3},
    {field_condition, 0},
  [113] =
    {field_left, 0},
    {field_right, 3},
  [115] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [118] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [121] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [124] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [127] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [130] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
  [135] =
    {field_body, 3},
    {field_name, 2},
  [137] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [139] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [142] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [145] =
    {field_name, 2},
    {field_type, 0},
  [147] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [150] =
    {field_attributes, 0},
    {field_name, 2},
  [152] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [155] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [161] =
    {field_default_value, 2},
    {field_name, 0},
  [163] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [166] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [170] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [173] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [176] =
    {field_type, 1, .inherited = true},
  [177] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [180] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [182] =
    {field_body, 4},
    {field_name, 1},
  [184] =
    {field_body, 1},
    {field_condition, 3},
  [186] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [190] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [192] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [195] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [198] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [200] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [203] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [205] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [209] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [213] =
    {field_body, 4},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [216] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [219] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [222] =
    {field_name, 3},
    {field_object, 0},
  [224] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [228] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [235] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [238] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [242] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [246] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [249] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [252] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [255] =
    {field_type, 2},
  [256] =
    {field_body, 4},
    {field_name, 2},
  [258] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [261] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [265] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [268] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [274] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [277] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [281] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [285] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [288] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [292] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [295] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [299] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [301] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [305] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [308] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [312] =
    {field_body, 5},
    {field_name, 1},
  [314] =
    {field_return_expression, 2},
  [315] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [317] =
    {field_value, 1},
  [318] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [321] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [324] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [327] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [332] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [336] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [340] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [343] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [346] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [351] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [355] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [359] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [362] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [367] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [372] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [376] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [380] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [383] =
    {field_body, 5},
    {field_name, 2},
  [385] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [389] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [393] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [397] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [401] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [406] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [410] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [414] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [418] =
    {field_attributes, 0},
  [419] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [423] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [428] =
    {field_body, 4},
    {field_type, 2},
  [430] =
    {field_body, 6},
  [431] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [434] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [439] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [444] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [447] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [453] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [458] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [463] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [466] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [471] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [476] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [481] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [486] =
    {field_attributes, 0},
    {field_type, 2},
  [488] =
    {field_name, 1},
    {field_value, 3},
  [490] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [493] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [499] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [505] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_list_literal,
  },
  [17] = {
    [0] = anon_sym_array,
  },
  [48] = {
    [1] = sym_list_literal,
  },
  [49] = {
    [2] = sym_list_literal,
  },
  [53] = {
    [0] = sym_name,
  },
  [86] = {
    [3] = sym_primitive_type,
  },
  [101] = {
    [3] = sym_name,
  },
  [130] = {
    [3] = sym_primitive_type,
  },
  [134] = {
    [3] = sym_list_literal,
  },
  [135] = {
    [4] = sym_list_literal,
  },
  [147] = {
    [4] = sym_primitive_type,
  },
  [171] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 9,
  [10] = 7,
  [11] = 9,
  [12] = 12,
  [13] = 12,
  [14] = 12,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 20,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 17,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 24,
  [34] = 22,
  [35] = 31,
  [36] = 36,
  [37] = 37,
  [38] = 36,
  [39] = 24,
  [40] = 29,
  [41] = 30,
  [42] = 37,
  [43] = 25,
  [44] = 19,
  [45] = 45,
  [46] = 19,
  [47] = 18,
  [48] = 48,
  [49] = 24,
  [50] = 50,
  [51] = 31,
  [52] = 26,
  [53] = 21,
  [54] = 17,
  [55] = 36,
  [56] = 19,
  [57] = 16,
  [58] = 58,
  [59] = 32,
  [60] = 27,
  [61] = 61,
  [62] = 20,
  [63] = 17,
  [64] = 48,
  [65] = 22,
  [66] = 31,
  [67] = 20,
  [68] = 27,
  [69] = 21,
  [70] = 70,
  [71] = 22,
  [72] = 36,
  [73] = 58,
  [74] = 27,
  [75] = 21,
  [76] = 76,
  [77] = 77,
  [78] = 76,
  [79] = 76,
  [80] = 76,
  [81] = 81,
  [82] = 81,
  [83] = 77,
  [84] = 84,
  [85] = 84,
  [86] = 84,
  [87] = 84,
  [88] = 88,
  [89] = 89,
  [90] = 89,
  [91] = 88,
  [92] = 89,
  [93] = 88,
  [94] = 89,
  [95] = 89,
  [96] = 88,
  [97] = 89,
  [98] = 88,
  [99] = 89,
  [100] = 100,
  [101] = 100,
  [102] = 100,
  [103] = 103,
  [104] = 103,
  [105] = 103,
  [106] = 100,
  [107] = 100,
  [108] = 100,
  [109] = 103,
  [110] = 100,
  [111] = 103,
  [112] = 100,
  [113] = 113,
  [114] = 114,
  [115] = 114,
  [116] = 113,
  [117] = 117,
  [118] = 113,
  [119] = 114,
  [120] = 113,
  [121] = 117,
  [122] = 114,
  [123] = 114,
  [124] = 113,
  [125] = 114,
  [126] = 114,
  [127] = 127,
  [128] = 127,
  [129] = 113,
  [130] = 113,
  [131] = 113,
  [132] = 114,
  [133] = 133,
  [134] = 134,
  [135] = 133,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 134,
  [140] = 140,
  [141] = 137,
  [142] = 138,
  [143] = 136,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 146,
  [148] = 148,
  [149] = 149,
  [150] = 145,
  [151] = 151,
  [152] = 151,
  [153] = 144,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 157,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 162,
  [164] = 164,
  [165] = 158,
  [166] = 158,
  [167] = 167,
  [168] = 157,
  [169] = 162,
  [170] = 164,
  [171] = 160,
  [172] = 157,
  [173] = 167,
  [174] = 161,
  [175] = 167,
  [176] = 164,
  [177] = 160,
  [178] = 158,
  [179] = 167,
  [180] = 161,
  [181] = 162,
  [182] = 164,
  [183] = 160,
  [184] = 161,
  [185] = 185,
  [186] = 186,
  [187] = 185,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 190,
  [192] = 190,
  [193] = 190,
  [194] = 189,
  [195] = 195,
  [196] = 190,
  [197] = 197,
  [198] = 198,
  [199] = 190,
  [200] = 186,
  [201] = 201,
  [202] = 198,
  [203] = 203,
  [204] = 204,
  [205] = 203,
  [206] = 203,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 208,
  [211] = 209,
  [212] = 212,
  [213] = 213,
  [214] = 208,
  [215] = 208,
  [216] = 209,
  [217] = 213,
  [218] = 213,
  [219] = 208,
  [220] = 220,
  [221] = 208,
  [222] = 213,
  [223] = 203,
  [224] = 212,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 227,
  [238] = 236,
  [239] = 231,
  [240] = 230,
  [241] = 235,
  [242] = 242,
  [243] = 229,
  [244] = 244,
  [245] = 245,
  [246] = 236,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 227,
  [253] = 231,
  [254] = 230,
  [255] = 255,
  [256] = 256,
  [257] = 247,
  [258] = 258,
  [259] = 259,
  [260] = 236,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 226,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 245,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 245,
  [286] = 278,
  [287] = 235,
  [288] = 259,
  [289] = 289,
  [290] = 247,
  [291] = 259,
  [292] = 261,
  [293] = 293,
  [294] = 262,
  [295] = 263,
  [296] = 264,
  [297] = 265,
  [298] = 266,
  [299] = 261,
  [300] = 300,
  [301] = 262,
  [302] = 302,
  [303] = 229,
  [304] = 231,
  [305] = 230,
  [306] = 279,
  [307] = 263,
  [308] = 308,
  [309] = 229,
  [310] = 275,
  [311] = 274,
  [312] = 273,
  [313] = 272,
  [314] = 271,
  [315] = 270,
  [316] = 264,
  [317] = 265,
  [318] = 269,
  [319] = 226,
  [320] = 267,
  [321] = 266,
  [322] = 265,
  [323] = 284,
  [324] = 264,
  [325] = 255,
  [326] = 263,
  [327] = 262,
  [328] = 229,
  [329] = 261,
  [330] = 259,
  [331] = 247,
  [332] = 332,
  [333] = 235,
  [334] = 284,
  [335] = 283,
  [336] = 336,
  [337] = 282,
  [338] = 280,
  [339] = 278,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 266,
  [344] = 267,
  [345] = 249,
  [346] = 346,
  [347] = 269,
  [348] = 270,
  [349] = 277,
  [350] = 271,
  [351] = 272,
  [352] = 273,
  [353] = 274,
  [354] = 354,
  [355] = 276,
  [356] = 275,
  [357] = 357,
  [358] = 258,
  [359] = 283,
  [360] = 279,
  [361] = 256,
  [362] = 255,
  [363] = 282,
  [364] = 289,
  [365] = 280,
  [366] = 227,
  [367] = 231,
  [368] = 267,
  [369] = 226,
  [370] = 230,
  [371] = 229,
  [372] = 269,
  [373] = 270,
  [374] = 245,
  [375] = 271,
  [376] = 272,
  [377] = 236,
  [378] = 230,
  [379] = 273,
  [380] = 380,
  [381] = 300,
  [382] = 233,
  [383] = 231,
  [384] = 245,
  [385] = 236,
  [386] = 274,
  [387] = 275,
  [388] = 236,
  [389] = 279,
  [390] = 300,
  [391] = 233,
  [392] = 230,
  [393] = 231,
  [394] = 236,
  [395] = 230,
  [396] = 256,
  [397] = 229,
  [398] = 249,
  [399] = 289,
  [400] = 233,
  [401] = 231,
  [402] = 289,
  [403] = 255,
  [404] = 236,
  [405] = 230,
  [406] = 406,
  [407] = 407,
  [408] = 245,
  [409] = 231,
  [410] = 283,
  [411] = 256,
  [412] = 258,
  [413] = 276,
  [414] = 282,
  [415] = 284,
  [416] = 277,
  [417] = 258,
  [418] = 276,
  [419] = 230,
  [420] = 231,
  [421] = 277,
  [422] = 280,
  [423] = 278,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 426,
  [429] = 427,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 438,
  [442] = 438,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 438,
  [450] = 450,
  [451] = 438,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 433,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 430,
  [499] = 455,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 443,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 564,
  [566] = 564,
  [567] = 564,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 591,
  [594] = 572,
  [595] = 573,
  [596] = 575,
  [597] = 576,
  [598] = 591,
  [599] = 599,
  [600] = 577,
  [601] = 574,
  [602] = 575,
  [603] = 603,
  [604] = 586,
  [605] = 590,
  [606] = 578,
  [607] = 607,
  [608] = 569,
  [609] = 581,
  [610] = 570,
  [611] = 611,
  [612] = 568,
  [613] = 579,
  [614] = 603,
  [615] = 571,
  [616] = 587,
  [617] = 584,
  [618] = 585,
  [619] = 589,
  [620] = 588,
  [621] = 580,
  [622] = 591,
  [623] = 607,
  [624] = 582,
  [625] = 583,
  [626] = 603,
  [627] = 592,
  [628] = 592,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 631,
  [633] = 633,
  [634] = 603,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 577,
  [641] = 576,
  [642] = 642,
  [643] = 574,
  [644] = 572,
  [645] = 645,
  [646] = 573,
  [647] = 579,
  [648] = 648,
  [649] = 645,
  [650] = 650,
  [651] = 651,
  [652] = 590,
  [653] = 653,
  [654] = 654,
  [655] = 570,
  [656] = 581,
  [657] = 588,
  [658] = 589,
  [659] = 586,
  [660] = 587,
  [661] = 653,
  [662] = 654,
  [663] = 663,
  [664] = 568,
  [665] = 569,
  [666] = 584,
  [667] = 579,
  [668] = 578,
  [669] = 580,
  [670] = 571,
  [671] = 582,
  [672] = 583,
  [673] = 585,
  [674] = 572,
  [675] = 573,
  [676] = 573,
  [677] = 577,
  [678] = 678,
  [679] = 663,
  [680] = 572,
  [681] = 681,
  [682] = 651,
  [683] = 683,
  [684] = 684,
  [685] = 678,
  [686] = 683,
  [687] = 687,
  [688] = 688,
  [689] = 576,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 688,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 577,
  [700] = 574,
  [701] = 701,
  [702] = 702,
  [703] = 648,
  [704] = 704,
  [705] = 705,
  [706] = 574,
  [707] = 576,
  [708] = 708,
  [709] = 576,
  [710] = 692,
  [711] = 572,
  [712] = 712,
  [713] = 577,
  [714] = 573,
  [715] = 681,
  [716] = 574,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 563,
  [721] = 721,
  [722] = 582,
  [723] = 723,
  [724] = 578,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 583,
  [730] = 571,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 568,
  [738] = 738,
  [739] = 739,
  [740] = 580,
  [741] = 741,
  [742] = 588,
  [743] = 584,
  [744] = 590,
  [745] = 745,
  [746] = 746,
  [747] = 581,
  [748] = 748,
  [749] = 589,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 586,
  [758] = 587,
  [759] = 759,
  [760] = 585,
  [761] = 569,
  [762] = 762,
  [763] = 570,
  [764] = 764,
  [765] = 765,
  [766] = 639,
  [767] = 572,
  [768] = 430,
  [769] = 577,
  [770] = 704,
  [771] = 574,
  [772] = 573,
  [773] = 642,
  [774] = 702,
  [775] = 775,
  [776] = 433,
  [777] = 777,
  [778] = 645,
  [779] = 779,
  [780] = 576,
  [781] = 650,
  [782] = 782,
  [783] = 783,
  [784] = 645,
  [785] = 648,
  [786] = 578,
  [787] = 787,
  [788] = 582,
  [789] = 589,
  [790] = 588,
  [791] = 579,
  [792] = 570,
  [793] = 586,
  [794] = 794,
  [795] = 581,
  [796] = 796,
  [797] = 587,
  [798] = 798,
  [799] = 583,
  [800] = 568,
  [801] = 796,
  [802] = 584,
  [803] = 803,
  [804] = 803,
  [805] = 787,
  [806] = 569,
  [807] = 580,
  [808] = 571,
  [809] = 585,
  [810] = 590,
  [811] = 696,
  [812] = 812,
  [813] = 813,
  [814] = 636,
  [815] = 815,
  [816] = 816,
  [817] = 648,
  [818] = 678,
  [819] = 819,
  [820] = 663,
  [821] = 813,
  [822] = 813,
  [823] = 579,
  [824] = 704,
  [825] = 651,
  [826] = 815,
  [827] = 684,
  [828] = 828,
  [829] = 651,
  [830] = 812,
  [831] = 576,
  [832] = 678,
  [833] = 683,
  [834] = 683,
  [835] = 688,
  [836] = 572,
  [837] = 577,
  [838] = 687,
  [839] = 576,
  [840] = 455,
  [841] = 574,
  [842] = 573,
  [843] = 663,
  [844] = 443,
  [845] = 688,
  [846] = 701,
  [847] = 705,
  [848] = 813,
  [849] = 816,
  [850] = 697,
  [851] = 572,
  [852] = 693,
  [853] = 690,
  [854] = 574,
  [855] = 702,
  [856] = 577,
  [857] = 815,
  [858] = 813,
  [859] = 573,
  [860] = 574,
  [861] = 573,
  [862] = 577,
  [863] = 828,
  [864] = 572,
  [865] = 576,
  [866] = 570,
  [867] = 589,
  [868] = 721,
  [869] = 759,
  [870] = 745,
  [871] = 728,
  [872] = 727,
  [873] = 765,
  [874] = 762,
  [875] = 563,
  [876] = 719,
  [877] = 717,
  [878] = 732,
  [879] = 704,
  [880] = 734,
  [881] = 738,
  [882] = 583,
  [883] = 582,
  [884] = 731,
  [885] = 578,
  [886] = 568,
  [887] = 588,
  [888] = 751,
  [889] = 739,
  [890] = 571,
  [891] = 581,
  [892] = 733,
  [893] = 725,
  [894] = 764,
  [895] = 726,
  [896] = 754,
  [897] = 718,
  [898] = 741,
  [899] = 580,
  [900] = 756,
  [901] = 704,
  [902] = 746,
  [903] = 723,
  [904] = 584,
  [905] = 750,
  [906] = 753,
  [907] = 590,
  [908] = 585,
  [909] = 755,
  [910] = 569,
  [911] = 736,
  [912] = 748,
  [913] = 587,
  [914] = 586,
  [915] = 779,
  [916] = 782,
  [917] = 702,
  [918] = 777,
  [919] = 775,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 571,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 568,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 569,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 570,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 455,
  [988] = 443,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1012,
  [1027] = 1024,
  [1028] = 1016,
  [1029] = 1015,
  [1030] = 1004,
  [1031] = 1002,
  [1032] = 1001,
  [1033] = 1000,
  [1034] = 998,
  [1035] = 997,
  [1036] = 996,
  [1037] = 1011,
  [1038] = 1038,
  [1039] = 1014,
  [1040] = 1008,
  [1041] = 1041,
  [1042] = 1017,
  [1043] = 1010,
  [1044] = 999,
  [1045] = 1023,
  [1046] = 1005,
  [1047] = 1006,
  [1048] = 1022,
  [1049] = 1049,
  [1050] = 1021,
  [1051] = 1051,
  [1052] = 1019,
  [1053] = 1007,
  [1054] = 1003,
  [1055] = 995,
  [1056] = 1020,
  [1057] = 994,
  [1058] = 1013,
  [1059] = 991,
  [1060] = 1018,
  [1061] = 1025,
  [1062] = 979,
  [1063] = 433,
  [1064] = 1003,
  [1065] = 1007,
  [1066] = 922,
  [1067] = 570,
  [1068] = 991,
  [1069] = 958,
  [1070] = 956,
  [1071] = 569,
  [1072] = 951,
  [1073] = 963,
  [1074] = 980,
  [1075] = 571,
  [1076] = 981,
  [1077] = 975,
  [1078] = 962,
  [1079] = 920,
  [1080] = 968,
  [1081] = 967,
  [1082] = 1012,
  [1083] = 959,
  [1084] = 1001,
  [1085] = 942,
  [1086] = 954,
  [1087] = 941,
  [1088] = 994,
  [1089] = 1024,
  [1090] = 974,
  [1091] = 928,
  [1092] = 1018,
  [1093] = 964,
  [1094] = 1020,
  [1095] = 957,
  [1096] = 953,
  [1097] = 1025,
  [1098] = 1006,
  [1099] = 1005,
  [1100] = 936,
  [1101] = 1017,
  [1102] = 925,
  [1103] = 969,
  [1104] = 1008,
  [1105] = 948,
  [1106] = 1014,
  [1107] = 945,
  [1108] = 978,
  [1109] = 929,
  [1110] = 977,
  [1111] = 995,
  [1112] = 996,
  [1113] = 568,
  [1114] = 430,
  [1115] = 982,
  [1116] = 984,
  [1117] = 997,
  [1118] = 985,
  [1119] = 938,
  [1120] = 970,
  [1121] = 1011,
  [1122] = 998,
  [1123] = 940,
  [1124] = 947,
  [1125] = 946,
  [1126] = 1010,
  [1127] = 921,
  [1128] = 971,
  [1129] = 973,
  [1130] = 999,
  [1131] = 944,
  [1132] = 950,
  [1133] = 949,
  [1134] = 976,
  [1135] = 955,
  [1136] = 1015,
  [1137] = 1016,
  [1138] = 1004,
  [1139] = 1002,
  [1140] = 930,
  [1141] = 952,
  [1142] = 937,
  [1143] = 960,
  [1144] = 965,
  [1145] = 933,
  [1146] = 983,
  [1147] = 966,
  [1148] = 939,
  [1149] = 932,
  [1150] = 1000,
  [1151] = 1013,
  [1152] = 935,
  [1153] = 931,
  [1154] = 927,
  [1155] = 934,
  [1156] = 924,
  [1157] = 1023,
  [1158] = 926,
  [1159] = 1022,
  [1160] = 1021,
  [1161] = 1019,
  [1162] = 1162,
  [1163] = 1162,
  [1164] = 1011,
  [1165] = 1017,
  [1166] = 1012,
  [1167] = 1167,
  [1168] = 998,
  [1169] = 997,
  [1170] = 996,
  [1171] = 1014,
  [1172] = 1016,
  [1173] = 1008,
  [1174] = 1005,
  [1175] = 1013,
  [1176] = 1006,
  [1177] = 1025,
  [1178] = 1020,
  [1179] = 991,
  [1180] = 1024,
  [1181] = 999,
  [1182] = 1000,
  [1183] = 1001,
  [1184] = 1010,
  [1185] = 1167,
  [1186] = 994,
  [1187] = 1018,
  [1188] = 995,
  [1189] = 1003,
  [1190] = 1002,
  [1191] = 1007,
  [1192] = 1004,
  [1193] = 1193,
  [1194] = 1019,
  [1195] = 1021,
  [1196] = 1015,
  [1197] = 1022,
  [1198] = 1198,
  [1199] = 1023,
  [1200] = 1023,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1023,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1201,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1221,
  [1223] = 1212,
  [1224] = 1203,
  [1225] = 1215,
  [1226] = 1212,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1212,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1215,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1215,
  [1237] = 1237,
  [1238] = 1201,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1221,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1221,
  [1248] = 1248,
  [1249] = 1231,
  [1250] = 1250,
  [1251] = 1235,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1254,
  [1257] = 1248,
  [1258] = 1258,
  [1259] = 1203,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1261,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1263,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1260,
  [1269] = 1269,
  [1270] = 1266,
  [1271] = 1271,
  [1272] = 1263,
  [1273] = 1264,
  [1274] = 1267,
  [1275] = 1275,
  [1276] = 1271,
  [1277] = 1264,
  [1278] = 1271,
  [1279] = 1279,
  [1280] = 1263,
  [1281] = 1264,
  [1282] = 1263,
  [1283] = 1283,
  [1284] = 1267,
  [1285] = 1271,
  [1286] = 1286,
  [1287] = 1263,
  [1288] = 1264,
  [1289] = 1289,
  [1290] = 1263,
  [1291] = 1264,
  [1292] = 1261,
  [1293] = 1261,
  [1294] = 1263,
  [1295] = 1269,
  [1296] = 1264,
  [1297] = 1264,
  [1298] = 1263,
  [1299] = 1275,
  [1300] = 1271,
  [1301] = 1271,
  [1302] = 1289,
  [1303] = 1269,
  [1304] = 1304,
  [1305] = 1266,
  [1306] = 1260,
  [1307] = 1266,
  [1308] = 1308,
  [1309] = 1260,
  [1310] = 1310,
  [1311] = 1261,
  [1312] = 1269,
  [1313] = 1308,
  [1314] = 1269,
  [1315] = 1289,
  [1316] = 1271,
  [1317] = 1289,
  [1318] = 1318,
  [1319] = 1275,
  [1320] = 1271,
  [1321] = 1261,
  [1322] = 1322,
  [1323] = 1260,
  [1324] = 1271,
  [1325] = 1264,
  [1326] = 1269,
  [1327] = 1260,
  [1328] = 1264,
  [1329] = 1263,
  [1330] = 1261,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1334,
  [1340] = 1338,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1341,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1344,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1344,
  [1350] = 1348,
  [1351] = 1347,
  [1352] = 1345,
  [1353] = 1347,
  [1354] = 1348,
  [1355] = 1355,
  [1356] = 1355,
  [1357] = 1357,
  [1358] = 1355,
  [1359] = 1357,
  [1360] = 1357,
  [1361] = 1361,
  [1362] = 1361,
  [1363] = 1363,
  [1364] = 1363,
  [1365] = 1365,
  [1366] = 1363,
  [1367] = 1365,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1371,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1376,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1402,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1401,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1406,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1411,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1428,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1446,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 696,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 583,
  [1460] = 1460,
  [1461] = 648,
  [1462] = 1462,
  [1463] = 1457,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1453,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1475,
  [1478] = 1478,
  [1479] = 1475,
  [1480] = 1480,
  [1481] = 1478,
  [1482] = 1474,
  [1483] = 1475,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1478,
  [1487] = 1475,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1478,
  [1491] = 1474,
  [1492] = 1475,
  [1493] = 1478,
  [1494] = 1475,
  [1495] = 1474,
  [1496] = 1474,
  [1497] = 1497,
  [1498] = 1489,
  [1499] = 1475,
  [1500] = 1478,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1489,
  [1505] = 1474,
  [1506] = 1506,
  [1507] = 1475,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1474,
  [1511] = 1489,
  [1512] = 1475,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 583,
  [1516] = 1516,
  [1517] = 1478,
  [1518] = 1489,
  [1519] = 1478,
  [1520] = 1474,
  [1521] = 1474,
  [1522] = 1478,
  [1523] = 1475,
  [1524] = 1474,
  [1525] = 1475,
  [1526] = 1526,
  [1527] = 1478,
  [1528] = 1475,
  [1529] = 583,
  [1530] = 1474,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1478,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1437,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 424,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1540,
  [1544] = 1537,
  [1545] = 1541,
  [1546] = 1542,
  [1547] = 425,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 651,
  [1553] = 1551,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1551,
  [1557] = 576,
  [1558] = 1551,
  [1559] = 663,
  [1560] = 583,
  [1561] = 1561,
  [1562] = 581,
  [1563] = 1563,
  [1564] = 582,
  [1565] = 1551,
  [1566] = 1566,
  [1567] = 1561,
  [1568] = 1568,
  [1569] = 1437,
  [1570] = 1570,
  [1571] = 663,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1563,
  [1576] = 1561,
  [1577] = 651,
  [1578] = 798,
  [1579] = 1414,
  [1580] = 1580,
  [1581] = 1561,
  [1582] = 1563,
  [1583] = 651,
  [1584] = 1584,
  [1585] = 663,
  [1586] = 1561,
  [1587] = 576,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1551,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 582,
  [1598] = 1598,
  [1599] = 581,
  [1600] = 1589,
  [1601] = 1594,
  [1602] = 1602,
  [1603] = 581,
  [1604] = 1572,
  [1605] = 1591,
  [1606] = 1549,
  [1607] = 582,
  [1608] = 1608,
  [1609] = 1590,
  [1610] = 1610,
  [1611] = 583,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 583,
  [1616] = 1616,
  [1617] = 1602,
  [1618] = 1618,
  [1619] = 427,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 426,
  [1624] = 1610,
  [1625] = 1625,
  [1626] = 1616,
  [1627] = 1627,
  [1628] = 1572,
  [1629] = 1549,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1621,
  [1634] = 1634,
  [1635] = 1589,
  [1636] = 1630,
  [1637] = 1637,
  [1638] = 1595,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1631,
  [1645] = 1620,
  [1646] = 1639,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1647,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1640,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1634,
  [1656] = 427,
  [1657] = 1653,
  [1658] = 1590,
  [1659] = 1591,
  [1660] = 1608,
  [1661] = 1654,
  [1662] = 1596,
  [1663] = 1651,
  [1664] = 1598,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1643,
  [1668] = 1618,
  [1669] = 1669,
  [1670] = 1637,
  [1671] = 426,
  [1672] = 1622,
  [1673] = 1648,
  [1674] = 1462,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1476,
  [1679] = 1675,
  [1680] = 454,
  [1681] = 1681,
  [1682] = 1675,
  [1683] = 450,
  [1684] = 431,
  [1685] = 1685,
  [1686] = 436,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 452,
  [1690] = 1687,
  [1691] = 432,
  [1692] = 446,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 439,
  [1696] = 1696,
  [1697] = 1476,
  [1698] = 1698,
  [1699] = 1484,
  [1700] = 1484,
  [1701] = 1464,
  [1702] = 1508,
  [1703] = 1508,
  [1704] = 1612,
  [1705] = 1705,
  [1706] = 1480,
  [1707] = 434,
  [1708] = 1708,
  [1709] = 444,
  [1710] = 1675,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 437,
  [1715] = 440,
  [1716] = 1688,
  [1717] = 1717,
  [1718] = 1713,
  [1719] = 1675,
  [1720] = 1720,
  [1721] = 1713,
  [1722] = 1675,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 435,
  [1727] = 1675,
  [1728] = 1713,
  [1729] = 448,
  [1730] = 1713,
  [1731] = 1712,
  [1732] = 1713,
  [1733] = 1675,
  [1734] = 1503,
  [1735] = 1675,
  [1736] = 1502,
  [1737] = 1450,
  [1738] = 1738,
  [1739] = 1675,
  [1740] = 1713,
  [1741] = 1717,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1713,
  [1747] = 1681,
  [1748] = 1675,
  [1749] = 1749,
  [1750] = 453,
  [1751] = 1713,
  [1752] = 1502,
  [1753] = 1503,
  [1754] = 1754,
  [1755] = 447,
  [1756] = 1480,
  [1757] = 1677,
  [1758] = 1713,
  [1759] = 1442,
  [1760] = 1448,
  [1761] = 1451,
  [1762] = 1762,
  [1763] = 1742,
  [1764] = 1754,
  [1765] = 445,
  [1766] = 1720,
  [1767] = 1713,
  [1768] = 1768,
  [1769] = 1711,
  [1770] = 1713,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1467,
  [1787] = 1777,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1777,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1464,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1825,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1812,
  [1830] = 1462,
  [1831] = 1777,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1822,
  [1840] = 1817,
  [1841] = 1841,
  [1842] = 1814,
  [1843] = 1781,
  [1844] = 1837,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1809,
  [1848] = 1789,
  [1849] = 1796,
  [1850] = 1850,
  [1851] = 1798,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1820,
  [1855] = 1818,
  [1856] = 1771,
  [1857] = 1857,
  [1858] = 1819,
  [1859] = 1776,
  [1860] = 1860,
  [1861] = 1827,
  [1862] = 1775,
  [1863] = 1774,
  [1864] = 1836,
  [1865] = 1779,
  [1866] = 1773,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1778,
  [1870] = 1860,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1838,
  [1874] = 1874,
  [1875] = 1470,
  [1876] = 1876,
  [1877] = 1806,
  [1878] = 1878,
  [1879] = 1811,
  [1880] = 1880,
  [1881] = 1807,
  [1882] = 1745,
  [1883] = 1471,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1876,
  [1887] = 1772,
  [1888] = 1815,
  [1889] = 1785,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1832,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1784,
  [1900] = 1900,
  [1901] = 1896,
  [1902] = 1834,
  [1903] = 636,
  [1904] = 1473,
  [1905] = 1897,
  [1906] = 1906,
  [1907] = 1898,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1845,
  [1911] = 1900,
  [1912] = 1468,
  [1913] = 1852,
  [1914] = 1914,
  [1915] = 1828,
  [1916] = 1813,
  [1917] = 1914,
  [1918] = 1909,
  [1919] = 1871,
  [1920] = 1908,
  [1921] = 1906,
  [1922] = 469,
  [1923] = 538,
  [1924] = 1738,
  [1925] = 464,
  [1926] = 519,
  [1927] = 1927,
  [1928] = 514,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 513,
  [1935] = 1935,
  [1936] = 508,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 478,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1927,
  [1944] = 462,
  [1945] = 461,
  [1946] = 525,
  [1947] = 1947,
  [1948] = 528,
  [1949] = 1949,
  [1950] = 1937,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 551,
  [1954] = 1954,
  [1955] = 495,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 463,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 516,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1792,
  [1973] = 1930,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 468,
  [1980] = 561,
  [1981] = 476,
  [1982] = 1960,
  [1983] = 1933,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 482,
  [1988] = 1988,
  [1989] = 497,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 544,
  [1994] = 503,
  [1995] = 505,
  [1996] = 509,
  [1997] = 540,
  [1998] = 1998,
  [1999] = 536,
  [2000] = 1938,
  [2001] = 507,
  [2002] = 2002,
  [2003] = 521,
  [2004] = 530,
  [2005] = 2005,
  [2006] = 456,
  [2007] = 527,
  [2008] = 2008,
  [2009] = 533,
  [2010] = 535,
  [2011] = 2011,
  [2012] = 460,
  [2013] = 518,
  [2014] = 470,
  [2015] = 534,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 529,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 472,
  [2023] = 2023,
  [2024] = 1976,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 473,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 537,
  [2035] = 2035,
  [2036] = 475,
  [2037] = 549,
  [2038] = 2038,
  [2039] = 484,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 491,
  [2043] = 1952,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 457,
  [2048] = 483,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 1708,
  [2052] = 493,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 465,
  [2056] = 502,
  [2057] = 555,
  [2058] = 496,
  [2059] = 500,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 526,
  [2063] = 2063,
  [2064] = 511,
  [2065] = 512,
  [2066] = 557,
  [2067] = 2067,
  [2068] = 562,
  [2069] = 2028,
  [2070] = 2026,
  [2071] = 545,
  [2072] = 515,
  [2073] = 520,
  [2074] = 522,
  [2075] = 547,
  [2076] = 541,
  [2077] = 2077,
  [2078] = 488,
  [2079] = 479,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 548,
  [2083] = 1962,
  [2084] = 1949,
  [2085] = 2060,
  [2086] = 2086,
  [2087] = 466,
  [2088] = 504,
  [2089] = 501,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 553,
  [2096] = 510,
  [2097] = 558,
  [2098] = 2098,
  [2099] = 1971,
  [2100] = 554,
  [2101] = 2101,
  [2102] = 542,
  [2103] = 471,
  [2104] = 2104,
  [2105] = 2018,
  [2106] = 467,
  [2107] = 543,
  [2108] = 556,
  [2109] = 481,
  [2110] = 486,
  [2111] = 489,
  [2112] = 2112,
  [2113] = 492,
  [2114] = 559,
  [2115] = 523,
  [2116] = 2116,
  [2117] = 1988,
  [2118] = 2050,
  [2119] = 1938,
  [2120] = 1938,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 1988,
  [2129] = 524,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 546,
  [2133] = 2133,
  [2134] = 474,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 550,
  [2138] = 552,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 1988,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 1938,
  [2150] = 2150,
  [2151] = 2148,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 487,
  [2157] = 485,
  [2158] = 2158,
  [2159] = 480,
  [2160] = 1938,
  [2161] = 1988,
  [2162] = 2098,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 1984,
  [2166] = 1988,
  [2167] = 1938,
  [2168] = 2168,
  [2169] = 2067,
  [2170] = 1986,
  [2171] = 539,
  [2172] = 2053,
  [2173] = 1335,
  [2174] = 506,
  [2175] = 477,
  [2176] = 1988,
  [2177] = 531,
  [2178] = 1526,
  [2179] = 458,
  [2180] = 2180,
  [2181] = 560,
  [2182] = 2101,
  [2183] = 490,
  [2184] = 532,
  [2185] = 1988,
  [2186] = 1938,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2030,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 1677,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2245,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2216,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2224,
  [2270] = 2270,
  [2271] = 2228,
  [2272] = 2232,
  [2273] = 2233,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2228,
  [2277] = 2277,
  [2278] = 2227,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2189,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2227,
  [2293] = 2228,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2288,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2270,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2209,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2198,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2241,
  [2320] = 2207,
  [2321] = 2215,
  [2322] = 2219,
  [2323] = 2238,
  [2324] = 2324,
  [2325] = 2239,
  [2326] = 2247,
  [2327] = 2256,
  [2328] = 2257,
  [2329] = 2302,
  [2330] = 2260,
  [2331] = 2331,
  [2332] = 2290,
  [2333] = 2333,
  [2334] = 1969,
  [2335] = 2296,
  [2336] = 2336,
  [2337] = 2303,
  [2338] = 2307,
  [2339] = 2313,
  [2340] = 2199,
  [2341] = 2193,
  [2342] = 2331,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2188,
  [2346] = 2346,
  [2347] = 2265,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2286,
  [2351] = 2351,
  [2352] = 2245,
  [2353] = 2311,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2317,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2349,
  [2366] = 2336,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2346,
  [2372] = 2324,
  [2373] = 2318,
  [2374] = 2374,
  [2375] = 2315,
  [2376] = 2289,
  [2377] = 2306,
  [2378] = 2354,
  [2379] = 2357,
  [2380] = 1681,
  [2381] = 2297,
  [2382] = 2358,
  [2383] = 2279,
  [2384] = 2277,
  [2385] = 2374,
  [2386] = 2255,
  [2387] = 2387,
  [2388] = 2254,
  [2389] = 2387,
  [2390] = 2237,
  [2391] = 2391,
  [2392] = 2235,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2230,
  [2396] = 2396,
  [2397] = 2364,
  [2398] = 2314,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2190,
  [2402] = 2194,
  [2403] = 2403,
  [2404] = 2195,
  [2405] = 2200,
  [2406] = 2362,
  [2407] = 2407,
  [2408] = 2361,
  [2409] = 2203,
  [2410] = 2214,
  [2411] = 2411,
  [2412] = 2369,
  [2413] = 2370,
  [2414] = 2414,
  [2415] = 2213,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2244,
  [2419] = 2419,
  [2420] = 2249,
  [2421] = 2421,
  [2422] = 2251,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2283,
  [2427] = 2192,
  [2428] = 2287,
  [2429] = 2399,
  [2430] = 2294,
  [2431] = 2431,
  [2432] = 2295,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2304,
  [2436] = 2436,
  [2437] = 2227,
  [2438] = 2438,
  [2439] = 2431,
  [2440] = 2393,
  [2441] = 2441,
  [2442] = 2333,
  [2443] = 2407,
  [2444] = 2308,
  [2445] = 2445,
  [2446] = 2438,
  [2447] = 2344,
  [2448] = 2394,
  [2449] = 2449,
  [2450] = 2414,
  [2451] = 2434,
  [2452] = 2300,
  [2453] = 2416,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2262,
  [2457] = 2417,
  [2458] = 2423,
  [2459] = 2245,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2469,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2465,
  [2484] = 2468,
  [2485] = 2467,
  [2486] = 2482,
  [2487] = 2487,
  [2488] = 2462,
  [2489] = 2489,
  [2490] = 2475,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2474,
  [2500] = 2471,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2492,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2508,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2464,
  [2520] = 2466,
  [2521] = 2464,
  [2522] = 2517,
  [2523] = 2523,
  [2524] = 2479,
  [2525] = 2525,
  [2526] = 2463,
  [2527] = 2465,
  [2528] = 2481,
  [2529] = 2480,
  [2530] = 2479,
  [2531] = 2531,
  [2532] = 1978,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2480,
  [2536] = 2481,
  [2537] = 2468,
  [2538] = 2538,
  [2539] = 2533,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2507,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2468,
  [2546] = 2546,
  [2547] = 2540,
  [2548] = 2548,
  [2549] = 2496,
  [2550] = 2468,
  [2551] = 2538,
  [2552] = 2479,
  [2553] = 2469,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2511,
  [2557] = 2503,
  [2558] = 2506,
  [2559] = 2476,
  [2560] = 2509,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2515,
  [2564] = 2564,
  [2565] = 2531,
  [2566] = 2566,
  [2567] = 2495,
  [2568] = 2541,
  [2569] = 2480,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2487,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2543,
  [2576] = 2576,
  [2577] = 2514,
  [2578] = 2570,
  [2579] = 2494,
  [2580] = 2493,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2469,
  [2585] = 2585,
  [2586] = 2546,
  [2587] = 2480,
  [2588] = 2516,
  [2589] = 2479,
  [2590] = 2523,
  [2591] = 2466,
  [2592] = 2564,
  [2593] = 2518,
  [2594] = 2480,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2531,
  [2598] = 2480,
  [2599] = 2599,
  [2600] = 2463,
  [2601] = 2463,
  [2602] = 2599,
  [2603] = 2464,
  [2604] = 2534,
  [2605] = 2466,
  [2606] = 2606,
  [2607] = 2531,
  [2608] = 2608,
  [2609] = 2480,
  [2610] = 2475,
  [2611] = 2611,
  [2612] = 2481,
  [2613] = 2465,
  [2614] = 2471,
  [2615] = 2615,
  [2616] = 2546,
  [2617] = 2617,
  [2618] = 2471,
  [2619] = 2489,
  [2620] = 2564,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2480,
  [2624] = 2599,
  [2625] = 2501,
  [2626] = 1957,
  [2627] = 2611,
  [2628] = 2628,
  [2629] = 2480,
  [2630] = 2571,
  [2631] = 2471,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2480,
  [2635] = 2573,
  [2636] = 2633,
  [2637] = 2632,
  [2638] = 2471,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2576,
  [2642] = 2489,
  [2643] = 2474,
  [2644] = 2473,
  [2645] = 2581,
  [2646] = 2477,
  [2647] = 2582,
  [2648] = 2564,
  [2649] = 2583,
  [2650] = 2491,
  [2651] = 2599,
  [2652] = 2632,
  [2653] = 2471,
  [2654] = 2477,
  [2655] = 2480,
  [2656] = 2632,
  [2657] = 2628,
  [2658] = 2658,
  [2659] = 2611,
  [2660] = 2471,
  [2661] = 2477,
  [2662] = 2662,
  [2663] = 2628,
  [2664] = 2664,
  [2665] = 2628,
  [2666] = 2611,
  [2667] = 2480,
  [2668] = 2668,
  [2669] = 2669,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 132,
        '"', 181,
        '#', 261,
        '$', 185,
        '%', 221,
        '&', 84,
        '\'', 183,
        '(', 94,
        ')', 95,
        '*', 216,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 214,
        '/', 219,
        '0', 114,
        ':', 92,
        ';', 81,
        '<', 202,
        '=', 86,
        '>', 203,
        '?', 97,
        '@', 133,
        '[', 152,
        '\\', 88,
        ']', 153,
        '^', 193,
        '_', 256,
        '`', 184,
        '{', 89,
        '|', 102,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 222,
        'b', 222,
        'E', 225,
        'e', 225,
        'F', 226,
        'f', 226,
        'I', 240,
        'i', 240,
        'N', 254,
        'n', 254,
        'S', 252,
        's', 252,
        'T', 245,
        't', 245,
        'U', 238,
        'u', 238,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(259);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(259);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(260);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 182,
        '\r', 182,
        '"', 181,
        '#', 262,
        '$', 185,
        '-', 30,
        '/', 19,
        '?', 32,
        '[', 152,
        '\\', 34,
        '{', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 182,
        '\r', 182,
        '#', 262,
        '$', 185,
        '-', 30,
        '/', 19,
        '?', 32,
        '[', 152,
        '\\', 35,
        '{', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 132,
        '"', 166,
        '#', 261,
        '$', 185,
        '%', 220,
        '&', 83,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 214,
        '/', 218,
        '0', 114,
        ':', 91,
        ';', 81,
        '<', 199,
        '=', 29,
        '>', 204,
        '?', 100,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 192,
        '_', 256,
        '`', 184,
        '|', 103,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
        'E', 225,
        'e', 225,
        'F', 227,
        'f', 227,
        'N', 254,
        'n', 254,
        'T', 245,
        't', 245,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 261,
        '$', 185,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 110,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '_', 256,
        '`', 184,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
        'E', 225,
        'e', 225,
        'F', 227,
        'f', 227,
        'N', 254,
        'n', 254,
        'T', 245,
        't', 245,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 261,
        '$', 185,
        '\'', 168,
        '(', 94,
        '+', 123,
        '-', 126,
        '.', 111,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        '_', 256,
        '`', 184,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 222,
        'b', 222,
        'E', 225,
        'e', 225,
        'F', 226,
        'f', 226,
        'I', 240,
        'i', 240,
        'N', 254,
        'n', 254,
        'S', 252,
        's', 252,
        'T', 245,
        't', 245,
        'U', 238,
        'u', 238,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 123,
        ',', 85,
        '-', 128,
        '.', 213,
        '/', 218,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 29,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 34,
        ']', 153,
        '^', 192,
        '`', 184,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 123,
        ',', 85,
        '-', 128,
        '.', 213,
        '/', 218,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 29,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 35,
        ']', 153,
        '^', 192,
        '`', 184,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 28,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '\'', 183,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 122,
        ',', 85,
        '-', 129,
        '.', 213,
        '/', 218,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 86,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 192,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 28,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 122,
        ',', 85,
        '-', 129,
        '.', 213,
        '/', 218,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 86,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 192,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 28,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 122,
        ',', 85,
        '-', 125,
        '.', 213,
        '/', 218,
        ':', 91,
        ';', 81,
        '<', 201,
        '=', 29,
        '>', 204,
        '?', 100,
        '\\', 87,
        ']', 153,
        '^', 192,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 166,
        '#', 261,
        '$', 185,
        '\'', 168,
        '(', 94,
        '/', 19,
        '<', 26,
        '?', 32,
        '[', 152,
        '\\', 87,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 166,
        '#', 262,
        '\'', 168,
        '.', 111,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '_', 55,
        'B', 13,
        'b', 13,
        'E', 38,
        'e', 38,
        'F', 39,
        'f', 39,
        'N', 49,
        'n', 49,
        'T', 46,
        't', 46,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 261,
        '$', 185,
        '&', 82,
        '(', 94,
        ')', 95,
        ',', 85,
        '.', 22,
        '/', 19,
        '?', 99,
        '\\', 87,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 262,
        '$', 185,
        '&', 82,
        '(', 94,
        ')', 95,
        '.', 22,
        '/', 19,
        '=', 31,
        '?', 99,
        '\\', 87,
        '{', 89,
        '|', 101,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(178);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '?') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(37);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(172);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 19:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(260);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(24);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(96);
      END_STATE();
    case 25:
      if (lookahead == '<') ADVANCE(180);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(25);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(25);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(195);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(69);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(151);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(164);
      if (lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(161);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(159);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(163);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(169);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 38:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 39:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(42);
      END_STATE();
    case 40:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 41:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(45);
      END_STATE();
    case 42:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 47:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(40);
      END_STATE();
    case 48:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(44);
      END_STATE();
    case 50:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(117);
      END_STATE();
    case 51:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(162);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 61:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 132,
        '"', 166,
        '#', 261,
        '$', 185,
        '%', 221,
        '&', 84,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 216,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 214,
        '/', 219,
        '0', 114,
        ':', 92,
        ';', 81,
        '<', 202,
        '=', 86,
        '>', 203,
        '?', 97,
        '@', 133,
        '[', 152,
        '\\', 88,
        ']', 153,
        '^', 193,
        '_', 256,
        '`', 184,
        '{', 89,
        '|', 102,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 222,
        'b', 222,
        'E', 225,
        'e', 225,
        'F', 226,
        'f', 226,
        'I', 240,
        'i', 240,
        'N', 254,
        'n', 254,
        'S', 252,
        's', 252,
        'T', 245,
        't', 245,
        'U', 238,
        'u', 238,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 62:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 261,
        '$', 185,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 111,
        '/', 19,
        '0', 114,
        ':', 91,
        ';', 81,
        '<', 26,
        '=', 31,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '_', 256,
        '`', 184,
        '{', 89,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
        'E', 225,
        'e', 225,
        'F', 227,
        'f', 227,
        'N', 254,
        'n', 254,
        'T', 245,
        't', 245,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 63:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 262,
        '$', 185,
        '%', 221,
        '&', 84,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 216,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 215,
        '/', 219,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 200,
        '=', 86,
        '>', 203,
        '?', 97,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 193,
        '{', 89,
        '|', 102,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 64:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '"', 166,
        '#', 262,
        '$', 185,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '.', 22,
        '/', 19,
        '0', 119,
        '<', 27,
        '?', 32,
        '[', 152,
        '\\', 87,
        '|', 101,
        '}', 90,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 65:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '#', 79,
        '/', 74,
        '<', 70,
        '?', 77,
        0xa0, 73,
        0x200b, 73,
        0x2060, 73,
        0xfeff, 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (lookahead != 0) ADVANCE(80);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(67);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(41);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(80);
      if (lookahead == '\r') ADVANCE(72);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(79);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '?') ADVANCE(77);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(73);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '/') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(76);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(71);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(191);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(169);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(134);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(187);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(186);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(69);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(186);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(148);
      if (lookahead == '|') ADVANCE(190);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(190);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 111,
        '_', 51,
        'B', 50,
        'b', 50,
        'E', 38,
        'e', 38,
        'O', 120,
        'o', 120,
        'X', 58,
        'x', 58,
        '8', 23,
        '9', 23,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(50);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(120);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(136);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(136);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '=') ADVANCE(142);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(195);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(159);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(160);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(159);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(60);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(179);
      if (lookahead == '\r') ADVANCE(171);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(178);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '?') ADVANCE(176);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(172);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '/') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(170);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead == '\r') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(210);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(212);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(211);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(207);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(180);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(189);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(188);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(260);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(260);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(256);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(224);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(237);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(255);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(250);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(157);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(251);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(108);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(105);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(155);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(247);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(248);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(249);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(228);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(253);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(106);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(107);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(109);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(104);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(260);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(260);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(260);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 65},
  [2] = {.lex_state = 62},
  [3] = {.lex_state = 62},
  [4] = {.lex_state = 62},
  [5] = {.lex_state = 62},
  [6] = {.lex_state = 62},
  [7] = {.lex_state = 62},
  [8] = {.lex_state = 62},
  [9] = {.lex_state = 62},
  [10] = {.lex_state = 62},
  [11] = {.lex_state = 62},
  [12] = {.lex_state = 62, .external_lex_state = 2},
  [13] = {.lex_state = 62, .external_lex_state = 2},
  [14] = {.lex_state = 62, .external_lex_state = 2},
  [15] = {.lex_state = 62, .external_lex_state = 2},
  [16] = {.lex_state = 62},
  [17] = {.lex_state = 62},
  [18] = {.lex_state = 62},
  [19] = {.lex_state = 62, .external_lex_state = 2},
  [20] = {.lex_state = 62},
  [21] = {.lex_state = 62},
  [22] = {.lex_state = 62},
  [23] = {.lex_state = 62},
  [24] = {.lex_state = 62, .external_lex_state = 2},
  [25] = {.lex_state = 62},
  [26] = {.lex_state = 62},
  [27] = {.lex_state = 62, .external_lex_state = 2},
  [28] = {.lex_state = 62},
  [29] = {.lex_state = 62},
  [30] = {.lex_state = 62},
  [31] = {.lex_state = 62, .external_lex_state = 2},
  [32] = {.lex_state = 62},
  [33] = {.lex_state = 62, .external_lex_state = 2},
  [34] = {.lex_state = 62},
  [35] = {.lex_state = 62, .external_lex_state = 2},
  [36] = {.lex_state = 62, .external_lex_state = 2},
  [37] = {.lex_state = 62},
  [38] = {.lex_state = 62, .external_lex_state = 2},
  [39] = {.lex_state = 62, .external_lex_state = 2},
  [40] = {.lex_state = 62},
  [41] = {.lex_state = 62},
  [42] = {.lex_state = 62},
  [43] = {.lex_state = 62},
  [44] = {.lex_state = 62, .external_lex_state = 2},
  [45] = {.lex_state = 62},
  [46] = {.lex_state = 62, .external_lex_state = 2},
  [47] = {.lex_state = 62},
  [48] = {.lex_state = 62},
  [49] = {.lex_state = 62, .external_lex_state = 2},
  [50] = {.lex_state = 62},
  [51] = {.lex_state = 62, .external_lex_state = 2},
  [52] = {.lex_state = 62},
  [53] = {.lex_state = 62},
  [54] = {.lex_state = 62},
  [55] = {.lex_state = 62, .external_lex_state = 2},
  [56] = {.lex_state = 62, .external_lex_state = 2},
  [57] = {.lex_state = 62},
  [58] = {.lex_state = 62},
  [59] = {.lex_state = 62},
  [60] = {.lex_state = 62, .external_lex_state = 2},
  [61] = {.lex_state = 62},
  [62] = {.lex_state = 62},
  [63] = {.lex_state = 62},
  [64] = {.lex_state = 62},
  [65] = {.lex_state = 62},
  [66] = {.lex_state = 62, .external_lex_state = 2},
  [67] = {.lex_state = 62},
  [68] = {.lex_state = 62, .external_lex_state = 2},
  [69] = {.lex_state = 62},
  [70] = {.lex_state = 62},
  [71] = {.lex_state = 62},
  [72] = {.lex_state = 62, .external_lex_state = 2},
  [73] = {.lex_state = 62},
  [74] = {.lex_state = 62, .external_lex_state = 2},
  [75] = {.lex_state = 62},
  [76] = {.lex_state = 62},
  [77] = {.lex_state = 62},
  [78] = {.lex_state = 62},
  [79] = {.lex_state = 62},
  [80] = {.lex_state = 62},
  [81] = {.lex_state = 62},
  [82] = {.lex_state = 62},
  [83] = {.lex_state = 62},
  [84] = {.lex_state = 5},
  [85] = {.lex_state = 5},
  [86] = {.lex_state = 5, .external_lex_state = 2},
  [87] = {.lex_state = 5},
  [88] = {.lex_state = 7},
  [89] = {.lex_state = 7},
  [90] = {.lex_state = 7},
  [91] = {.lex_state = 7},
  [92] = {.lex_state = 7},
  [93] = {.lex_state = 7},
  [94] = {.lex_state = 7},
  [95] = {.lex_state = 7},
  [96] = {.lex_state = 7},
  [97] = {.lex_state = 7},
  [98] = {.lex_state = 7},
  [99] = {.lex_state = 7},
  [100] = {.lex_state = 6},
  [101] = {.lex_state = 6},
  [102] = {.lex_state = 6},
  [103] = {.lex_state = 6},
  [104] = {.lex_state = 6},
  [105] = {.lex_state = 6},
  [106] = {.lex_state = 6},
  [107] = {.lex_state = 6},
  [108] = {.lex_state = 6},
  [109] = {.lex_state = 6},
  [110] = {.lex_state = 6},
  [111] = {.lex_state = 6},
  [112] = {.lex_state = 6},
  [113] = {.lex_state = 6},
  [114] = {.lex_state = 6},
  [115] = {.lex_state = 6},
  [116] = {.lex_state = 6},
  [117] = {.lex_state = 6},
  [118] = {.lex_state = 6},
  [119] = {.lex_state = 6},
  [120] = {.lex_state = 6},
  [121] = {.lex_state = 6},
  [122] = {.lex_state = 6},
  [123] = {.lex_state = 6},
  [124] = {.lex_state = 6},
  [125] = {.lex_state = 6},
  [126] = {.lex_state = 6},
  [127] = {.lex_state = 6},
  [128] = {.lex_state = 6},
  [129] = {.lex_state = 6},
  [130] = {.lex_state = 6},
  [131] = {.lex_state = 6},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 62},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 62},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 62},
  [145] = {.lex_state = 62},
  [146] = {.lex_state = 62},
  [147] = {.lex_state = 62},
  [148] = {.lex_state = 62},
  [149] = {.lex_state = 62},
  [150] = {.lex_state = 62},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 62},
  [154] = {.lex_state = 62},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 62},
  [157] = {.lex_state = 62},
  [158] = {.lex_state = 62},
  [159] = {.lex_state = 62},
  [160] = {.lex_state = 62},
  [161] = {.lex_state = 62},
  [162] = {.lex_state = 62},
  [163] = {.lex_state = 62},
  [164] = {.lex_state = 62},
  [165] = {.lex_state = 62},
  [166] = {.lex_state = 62},
  [167] = {.lex_state = 62},
  [168] = {.lex_state = 62},
  [169] = {.lex_state = 62},
  [170] = {.lex_state = 62},
  [171] = {.lex_state = 62},
  [172] = {.lex_state = 62},
  [173] = {.lex_state = 62},
  [174] = {.lex_state = 62},
  [175] = {.lex_state = 62},
  [176] = {.lex_state = 62},
  [177] = {.lex_state = 62},
  [178] = {.lex_state = 62},
  [179] = {.lex_state = 62},
  [180] = {.lex_state = 62},
  [181] = {.lex_state = 62},
  [182] = {.lex_state = 62},
  [183] = {.lex_state = 62},
  [184] = {.lex_state = 62},
  [185] = {.lex_state = 62, .external_lex_state = 2},
  [186] = {.lex_state = 62},
  [187] = {.lex_state = 62, .external_lex_state = 2},
  [188] = {.lex_state = 6},
  [189] = {.lex_state = 62, .external_lex_state = 2},
  [190] = {.lex_state = 62},
  [191] = {.lex_state = 62},
  [192] = {.lex_state = 62},
  [193] = {.lex_state = 62},
  [194] = {.lex_state = 62, .external_lex_state = 2},
  [195] = {.lex_state = 6},
  [196] = {.lex_state = 62},
  [197] = {.lex_state = 62},
  [198] = {.lex_state = 62, .external_lex_state = 2},
  [199] = {.lex_state = 62},
  [200] = {.lex_state = 62},
  [201] = {.lex_state = 62},
  [202] = {.lex_state = 62, .external_lex_state = 2},
  [203] = {.lex_state = 62},
  [204] = {.lex_state = 62},
  [205] = {.lex_state = 62},
  [206] = {.lex_state = 62},
  [207] = {.lex_state = 62},
  [208] = {.lex_state = 62},
  [209] = {.lex_state = 62},
  [210] = {.lex_state = 62},
  [211] = {.lex_state = 62},
  [212] = {.lex_state = 62},
  [213] = {.lex_state = 62},
  [214] = {.lex_state = 62},
  [215] = {.lex_state = 62},
  [216] = {.lex_state = 62},
  [217] = {.lex_state = 62},
  [218] = {.lex_state = 62},
  [219] = {.lex_state = 62},
  [220] = {.lex_state = 62},
  [221] = {.lex_state = 62},
  [222] = {.lex_state = 62},
  [223] = {.lex_state = 62},
  [224] = {.lex_state = 62},
  [225] = {.lex_state = 62},
  [226] = {.lex_state = 62},
  [227] = {.lex_state = 62},
  [228] = {.lex_state = 62},
  [229] = {.lex_state = 62},
  [230] = {.lex_state = 62},
  [231] = {.lex_state = 62},
  [232] = {.lex_state = 62},
  [233] = {.lex_state = 62},
  [234] = {.lex_state = 62},
  [235] = {.lex_state = 62},
  [236] = {.lex_state = 62},
  [237] = {.lex_state = 62},
  [238] = {.lex_state = 62},
  [239] = {.lex_state = 62},
  [240] = {.lex_state = 62},
  [241] = {.lex_state = 62},
  [242] = {.lex_state = 62},
  [243] = {.lex_state = 62},
  [244] = {.lex_state = 62},
  [245] = {.lex_state = 62},
  [246] = {.lex_state = 62},
  [247] = {.lex_state = 62},
  [248] = {.lex_state = 62},
  [249] = {.lex_state = 62},
  [250] = {.lex_state = 62},
  [251] = {.lex_state = 62},
  [252] = {.lex_state = 62},
  [253] = {.lex_state = 62},
  [254] = {.lex_state = 62},
  [255] = {.lex_state = 62},
  [256] = {.lex_state = 62},
  [257] = {.lex_state = 62},
  [258] = {.lex_state = 62},
  [259] = {.lex_state = 62},
  [260] = {.lex_state = 62},
  [261] = {.lex_state = 62},
  [262] = {.lex_state = 62},
  [263] = {.lex_state = 62},
  [264] = {.lex_state = 62},
  [265] = {.lex_state = 62},
  [266] = {.lex_state = 62},
  [267] = {.lex_state = 62},
  [268] = {.lex_state = 62},
  [269] = {.lex_state = 62},
  [270] = {.lex_state = 62},
  [271] = {.lex_state = 62},
  [272] = {.lex_state = 62},
  [273] = {.lex_state = 62},
  [274] = {.lex_state = 62},
  [275] = {.lex_state = 62},
  [276] = {.lex_state = 62},
  [277] = {.lex_state = 62},
  [278] = {.lex_state = 62},
  [279] = {.lex_state = 62},
  [280] = {.lex_state = 62},
  [281] = {.lex_state = 62},
  [282] = {.lex_state = 62},
  [283] = {.lex_state = 62},
  [284] = {.lex_state = 62},
  [285] = {.lex_state = 62},
  [286] = {.lex_state = 62},
  [287] = {.lex_state = 62},
  [288] = {.lex_state = 62},
  [289] = {.lex_state = 62},
  [290] = {.lex_state = 62},
  [291] = {.lex_state = 62},
  [292] = {.lex_state = 62},
  [293] = {.lex_state = 62},
  [294] = {.lex_state = 62},
  [295] = {.lex_state = 62},
  [296] = {.lex_state = 62},
  [297] = {.lex_state = 62},
  [298] = {.lex_state = 62},
  [299] = {.lex_state = 62},
  [300] = {.lex_state = 62},
  [301] = {.lex_state = 62},
  [302] = {.lex_state = 62},
  [303] = {.lex_state = 62},
  [304] = {.lex_state = 62},
  [305] = {.lex_state = 62},
  [306] = {.lex_state = 62},
  [307] = {.lex_state = 62},
  [308] = {.lex_state = 62},
  [309] = {.lex_state = 62},
  [310] = {.lex_state = 62},
  [311] = {.lex_state = 62},
  [312] = {.lex_state = 62},
  [313] = {.lex_state = 62},
  [314] = {.lex_state = 62},
  [315] = {.lex_state = 62},
  [316] = {.lex_state = 62},
  [317] = {.lex_state = 62},
  [318] = {.lex_state = 62},
  [319] = {.lex_state = 62},
  [320] = {.lex_state = 62},
  [321] = {.lex_state = 62},
  [322] = {.lex_state = 62},
  [323] = {.lex_state = 62},
  [324] = {.lex_state = 62},
  [325] = {.lex_state = 62},
  [326] = {.lex_state = 62},
  [327] = {.lex_state = 62},
  [328] = {.lex_state = 62},
  [329] = {.lex_state = 62},
  [330] = {.lex_state = 62},
  [331] = {.lex_state = 62},
  [332] = {.lex_state = 62},
  [333] = {.lex_state = 62},
  [334] = {.lex_state = 62},
  [335] = {.lex_state = 62},
  [336] = {.lex_state = 62},
  [337] = {.lex_state = 62},
  [338] = {.lex_state = 62},
  [339] = {.lex_state = 62},
  [340] = {.lex_state = 62},
  [341] = {.lex_state = 62},
  [342] = {.lex_state = 62},
  [343] = {.lex_state = 62},
  [344] = {.lex_state = 62},
  [345] = {.lex_state = 62},
  [346] = {.lex_state = 62},
  [347] = {.lex_state = 62},
  [348] = {.lex_state = 62},
  [349] = {.lex_state = 62},
  [350] = {.lex_state = 62},
  [351] = {.lex_state = 62},
  [352] = {.lex_state = 62},
  [353] = {.lex_state = 62},
  [354] = {.lex_state = 62},
  [355] = {.lex_state = 62},
  [356] = {.lex_state = 62},
  [357] = {.lex_state = 62},
  [358] = {.lex_state = 62},
  [359] = {.lex_state = 62},
  [360] = {.lex_state = 62},
  [361] = {.lex_state = 62},
  [362] = {.lex_state = 62},
  [363] = {.lex_state = 62},
  [364] = {.lex_state = 62},
  [365] = {.lex_state = 62},
  [366] = {.lex_state = 62},
  [367] = {.lex_state = 62},
  [368] = {.lex_state = 62},
  [369] = {.lex_state = 62},
  [370] = {.lex_state = 62},
  [371] = {.lex_state = 62},
  [372] = {.lex_state = 62},
  [373] = {.lex_state = 62},
  [374] = {.lex_state = 62},
  [375] = {.lex_state = 62},
  [376] = {.lex_state = 62},
  [377] = {.lex_state = 62},
  [378] = {.lex_state = 62},
  [379] = {.lex_state = 62},
  [380] = {.lex_state = 62},
  [381] = {.lex_state = 62},
  [382] = {.lex_state = 62},
  [383] = {.lex_state = 62},
  [384] = {.lex_state = 62},
  [385] = {.lex_state = 62},
  [386] = {.lex_state = 62},
  [387] = {.lex_state = 62},
  [388] = {.lex_state = 62},
  [389] = {.lex_state = 62},
  [390] = {.lex_state = 62},
  [391] = {.lex_state = 62},
  [392] = {.lex_state = 62},
  [393] = {.lex_state = 62},
  [394] = {.lex_state = 62},
  [395] = {.lex_state = 62},
  [396] = {.lex_state = 62},
  [397] = {.lex_state = 62},
  [398] = {.lex_state = 62},
  [399] = {.lex_state = 62},
  [400] = {.lex_state = 62},
  [401] = {.lex_state = 62},
  [402] = {.lex_state = 62},
  [403] = {.lex_state = 62},
  [404] = {.lex_state = 62},
  [405] = {.lex_state = 62},
  [406] = {.lex_state = 62},
  [407] = {.lex_state = 62},
  [408] = {.lex_state = 62},
  [409] = {.lex_state = 62},
  [410] = {.lex_state = 62},
  [411] = {.lex_state = 62},
  [412] = {.lex_state = 62},
  [413] = {.lex_state = 62},
  [414] = {.lex_state = 62},
  [415] = {.lex_state = 62},
  [416] = {.lex_state = 62},
  [417] = {.lex_state = 62},
  [418] = {.lex_state = 62},
  [419] = {.lex_state = 62},
  [420] = {.lex_state = 62},
  [421] = {.lex_state = 62},
  [422] = {.lex_state = 62},
  [423] = {.lex_state = 62},
  [424] = {.lex_state = 62},
  [425] = {.lex_state = 62},
  [426] = {.lex_state = 62},
  [427] = {.lex_state = 62},
  [428] = {.lex_state = 62},
  [429] = {.lex_state = 62},
  [430] = {.lex_state = 62},
  [431] = {.lex_state = 62},
  [432] = {.lex_state = 62},
  [433] = {.lex_state = 62},
  [434] = {.lex_state = 62},
  [435] = {.lex_state = 62},
  [436] = {.lex_state = 62},
  [437] = {.lex_state = 62, .external_lex_state = 2},
  [438] = {.lex_state = 62},
  [439] = {.lex_state = 62, .external_lex_state = 2},
  [440] = {.lex_state = 62, .external_lex_state = 2},
  [441] = {.lex_state = 62},
  [442] = {.lex_state = 62},
  [443] = {.lex_state = 62, .external_lex_state = 2},
  [444] = {.lex_state = 62, .external_lex_state = 2},
  [445] = {.lex_state = 62, .external_lex_state = 2},
  [446] = {.lex_state = 62, .external_lex_state = 2},
  [447] = {.lex_state = 62, .external_lex_state = 2},
  [448] = {.lex_state = 62, .external_lex_state = 2},
  [449] = {.lex_state = 62},
  [450] = {.lex_state = 62, .external_lex_state = 2},
  [451] = {.lex_state = 62},
  [452] = {.lex_state = 62, .external_lex_state = 2},
  [453] = {.lex_state = 62, .external_lex_state = 2},
  [454] = {.lex_state = 62, .external_lex_state = 2},
  [455] = {.lex_state = 62, .external_lex_state = 2},
  [456] = {.lex_state = 62},
  [457] = {.lex_state = 62},
  [458] = {.lex_state = 62},
  [459] = {.lex_state = 62},
  [460] = {.lex_state = 62},
  [461] = {.lex_state = 62},
  [462] = {.lex_state = 62},
  [463] = {.lex_state = 62},
  [464] = {.lex_state = 62},
  [465] = {.lex_state = 62},
  [466] = {.lex_state = 62},
  [467] = {.lex_state = 62},
  [468] = {.lex_state = 62},
  [469] = {.lex_state = 62},
  [470] = {.lex_state = 62},
  [471] = {.lex_state = 62},
  [472] = {.lex_state = 62},
  [473] = {.lex_state = 62},
  [474] = {.lex_state = 62},
  [475] = {.lex_state = 62},
  [476] = {.lex_state = 62},
  [477] = {.lex_state = 62},
  [478] = {.lex_state = 62},
  [479] = {.lex_state = 62},
  [480] = {.lex_state = 62},
  [481] = {.lex_state = 62},
  [482] = {.lex_state = 62},
  [483] = {.lex_state = 62},
  [484] = {.lex_state = 62},
  [485] = {.lex_state = 62},
  [486] = {.lex_state = 62},
  [487] = {.lex_state = 62},
  [488] = {.lex_state = 62},
  [489] = {.lex_state = 62},
  [490] = {.lex_state = 62},
  [491] = {.lex_state = 62},
  [492] = {.lex_state = 62},
  [493] = {.lex_state = 62},
  [494] = {.lex_state = 62},
  [495] = {.lex_state = 62},
  [496] = {.lex_state = 62},
  [497] = {.lex_state = 62},
  [498] = {.lex_state = 62},
  [499] = {.lex_state = 62},
  [500] = {.lex_state = 62},
  [501] = {.lex_state = 62},
  [502] = {.lex_state = 62},
  [503] = {.lex_state = 62},
  [504] = {.lex_state = 62},
  [505] = {.lex_state = 62},
  [506] = {.lex_state = 62},
  [507] = {.lex_state = 62},
  [508] = {.lex_state = 62},
  [509] = {.lex_state = 62},
  [510] = {.lex_state = 62},
  [511] = {.lex_state = 62},
  [512] = {.lex_state = 62},
  [513] = {.lex_state = 62},
  [514] = {.lex_state = 62},
  [515] = {.lex_state = 62},
  [516] = {.lex_state = 62},
  [517] = {.lex_state = 62},
  [518] = {.lex_state = 62},
  [519] = {.lex_state = 62},
  [520] = {.lex_state = 62},
  [521] = {.lex_state = 62},
  [522] = {.lex_state = 62},
  [523] = {.lex_state = 62},
  [524] = {.lex_state = 62},
  [525] = {.lex_state = 62},
  [526] = {.lex_state = 62},
  [527] = {.lex_state = 62},
  [528] = {.lex_state = 62},
  [529] = {.lex_state = 62},
  [530] = {.lex_state = 62},
  [531] = {.lex_state = 62},
  [532] = {.lex_state = 62},
  [533] = {.lex_state = 62},
  [534] = {.lex_state = 62},
  [535] = {.lex_state = 62},
  [536] = {.lex_state = 62},
  [537] = {.lex_state = 62},
  [538] = {.lex_state = 62},
  [539] = {.lex_state = 62},
  [540] = {.lex_state = 62},
  [541] = {.lex_state = 62},
  [542] = {.lex_state = 62},
  [543] = {.lex_state = 62},
  [544] = {.lex_state = 62},
  [545] = {.lex_state = 62},
  [546] = {.lex_state = 62},
  [547] = {.lex_state = 62},
  [548] = {.lex_state = 62},
  [549] = {.lex_state = 62},
  [550] = {.lex_state = 62},
  [551] = {.lex_state = 62},
  [552] = {.lex_state = 62},
  [553] = {.lex_state = 62},
  [554] = {.lex_state = 62},
  [555] = {.lex_state = 62},
  [556] = {.lex_state = 62},
  [557] = {.lex_state = 62},
  [558] = {.lex_state = 62},
  [559] = {.lex_state = 62},
  [560] = {.lex_state = 62},
  [561] = {.lex_state = 62},
  [562] = {.lex_state = 62},
  [563] = {.lex_state = 62},
  [564] = {.lex_state = 62},
  [565] = {.lex_state = 62},
  [566] = {.lex_state = 62},
  [567] = {.lex_state = 62},
  [568] = {.lex_state = 63},
  [569] = {.lex_state = 63},
  [570] = {.lex_state = 63},
  [571] = {.lex_state = 63},
  [572] = {.lex_state = 63},
  [573] = {.lex_state = 63},
  [574] = {.lex_state = 63},
  [575] = {.lex_state = 63},
  [576] = {.lex_state = 63},
  [577] = {.lex_state = 63},
  [578] = {.lex_state = 63},
  [579] = {.lex_state = 63},
  [580] = {.lex_state = 63},
  [581] = {.lex_state = 63},
  [582] = {.lex_state = 63},
  [583] = {.lex_state = 63},
  [584] = {.lex_state = 63},
  [585] = {.lex_state = 63},
  [586] = {.lex_state = 63},
  [587] = {.lex_state = 63},
  [588] = {.lex_state = 63},
  [589] = {.lex_state = 63},
  [590] = {.lex_state = 63},
  [591] = {.lex_state = 63},
  [592] = {.lex_state = 63},
  [593] = {.lex_state = 63},
  [594] = {.lex_state = 63, .external_lex_state = 2},
  [595] = {.lex_state = 63, .external_lex_state = 2},
  [596] = {.lex_state = 63, .external_lex_state = 2},
  [597] = {.lex_state = 63, .external_lex_state = 2},
  [598] = {.lex_state = 63, .external_lex_state = 2},
  [599] = {.lex_state = 63},
  [600] = {.lex_state = 63, .external_lex_state = 2},
  [601] = {.lex_state = 63, .external_lex_state = 2},
  [602] = {.lex_state = 63},
  [603] = {.lex_state = 63},
  [604] = {.lex_state = 63, .external_lex_state = 2},
  [605] = {.lex_state = 63, .external_lex_state = 2},
  [606] = {.lex_state = 63, .external_lex_state = 2},
  [607] = {.lex_state = 63},
  [608] = {.lex_state = 63, .external_lex_state = 2},
  [609] = {.lex_state = 63, .external_lex_state = 2},
  [610] = {.lex_state = 63, .external_lex_state = 2},
  [611] = {.lex_state = 63},
  [612] = {.lex_state = 63, .external_lex_state = 2},
  [613] = {.lex_state = 63, .external_lex_state = 2},
  [614] = {.lex_state = 63},
  [615] = {.lex_state = 63, .external_lex_state = 2},
  [616] = {.lex_state = 63, .external_lex_state = 2},
  [617] = {.lex_state = 63, .external_lex_state = 2},
  [618] = {.lex_state = 63, .external_lex_state = 2},
  [619] = {.lex_state = 63, .external_lex_state = 2},
  [620] = {.lex_state = 63, .external_lex_state = 2},
  [621] = {.lex_state = 63, .external_lex_state = 2},
  [622] = {.lex_state = 63},
  [623] = {.lex_state = 63},
  [624] = {.lex_state = 63, .external_lex_state = 2},
  [625] = {.lex_state = 63, .external_lex_state = 2},
  [626] = {.lex_state = 63, .external_lex_state = 2},
  [627] = {.lex_state = 63, .external_lex_state = 2},
  [628] = {.lex_state = 63},
  [629] = {.lex_state = 63},
  [630] = {.lex_state = 63},
  [631] = {.lex_state = 63},
  [632] = {.lex_state = 63},
  [633] = {.lex_state = 63},
  [634] = {.lex_state = 63},
  [635] = {.lex_state = 63},
  [636] = {.lex_state = 10},
  [637] = {.lex_state = 12},
  [638] = {.lex_state = 12},
  [639] = {.lex_state = 8},
  [640] = {.lex_state = 8},
  [641] = {.lex_state = 8},
  [642] = {.lex_state = 10},
  [643] = {.lex_state = 8},
  [644] = {.lex_state = 8},
  [645] = {.lex_state = 10},
  [646] = {.lex_state = 8},
  [647] = {.lex_state = 10},
  [648] = {.lex_state = 8},
  [649] = {.lex_state = 10},
  [650] = {.lex_state = 10},
  [651] = {.lex_state = 10},
  [652] = {.lex_state = 8},
  [653] = {.lex_state = 16},
  [654] = {.lex_state = 14},
  [655] = {.lex_state = 8},
  [656] = {.lex_state = 8},
  [657] = {.lex_state = 8},
  [658] = {.lex_state = 8},
  [659] = {.lex_state = 8},
  [660] = {.lex_state = 8},
  [661] = {.lex_state = 16},
  [662] = {.lex_state = 14},
  [663] = {.lex_state = 10},
  [664] = {.lex_state = 8},
  [665] = {.lex_state = 8},
  [666] = {.lex_state = 8},
  [667] = {.lex_state = 8},
  [668] = {.lex_state = 8},
  [669] = {.lex_state = 8},
  [670] = {.lex_state = 8},
  [671] = {.lex_state = 8},
  [672] = {.lex_state = 8},
  [673] = {.lex_state = 8},
  [674] = {.lex_state = 10},
  [675] = {.lex_state = 10},
  [676] = {.lex_state = 10},
  [677] = {.lex_state = 10},
  [678] = {.lex_state = 10},
  [679] = {.lex_state = 10},
  [680] = {.lex_state = 10},
  [681] = {.lex_state = 16},
  [682] = {.lex_state = 10},
  [683] = {.lex_state = 10},
  [684] = {.lex_state = 10},
  [685] = {.lex_state = 10},
  [686] = {.lex_state = 10},
  [687] = {.lex_state = 10},
  [688] = {.lex_state = 10},
  [689] = {.lex_state = 10},
  [690] = {.lex_state = 10},
  [691] = {.lex_state = 64},
  [692] = {.lex_state = 16},
  [693] = {.lex_state = 10},
  [694] = {.lex_state = 64},
  [695] = {.lex_state = 10},
  [696] = {.lex_state = 10},
  [697] = {.lex_state = 8},
  [698] = {.lex_state = 64},
  [699] = {.lex_state = 10},
  [700] = {.lex_state = 10},
  [701] = {.lex_state = 10},
  [702] = {.lex_state = 8},
  [703] = {.lex_state = 10},
  [704] = {.lex_state = 10},
  [705] = {.lex_state = 10},
  [706] = {.lex_state = 10},
  [707] = {.lex_state = 10},
  [708] = {.lex_state = 64},
  [709] = {.lex_state = 10},
  [710] = {.lex_state = 16},
  [711] = {.lex_state = 10},
  [712] = {.lex_state = 64},
  [713] = {.lex_state = 10},
  [714] = {.lex_state = 10},
  [715] = {.lex_state = 16},
  [716] = {.lex_state = 10},
  [717] = {.lex_state = 10},
  [718] = {.lex_state = 10},
  [719] = {.lex_state = 10},
  [720] = {.lex_state = 10},
  [721] = {.lex_state = 10},
  [722] = {.lex_state = 10},
  [723] = {.lex_state = 10},
  [724] = {.lex_state = 10},
  [725] = {.lex_state = 10},
  [726] = {.lex_state = 10},
  [727] = {.lex_state = 10},
  [728] = {.lex_state = 10},
  [729] = {.lex_state = 10},
  [730] = {.lex_state = 10},
  [731] = {.lex_state = 10},
  [732] = {.lex_state = 10},
  [733] = {.lex_state = 10},
  [734] = {.lex_state = 10},
  [735] = {.lex_state = 16},
  [736] = {.lex_state = 10},
  [737] = {.lex_state = 10},
  [738] = {.lex_state = 10},
  [739] = {.lex_state = 10},
  [740] = {.lex_state = 10},
  [741] = {.lex_state = 10},
  [742] = {.lex_state = 10},
  [743] = {.lex_state = 10},
  [744] = {.lex_state = 10},
  [745] = {.lex_state = 10},
  [746] = {.lex_state = 10},
  [747] = {.lex_state = 10},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 10},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 10},
  [752] = {.lex_state = 64},
  [753] = {.lex_state = 10},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 10},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 10},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 10},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 8, .external_lex_state = 2},
  [767] = {.lex_state = 8, .external_lex_state = 2},
  [768] = {.lex_state = 12},
  [769] = {.lex_state = 8, .external_lex_state = 2},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 8, .external_lex_state = 2},
  [772] = {.lex_state = 8, .external_lex_state = 2},
  [773] = {.lex_state = 10, .external_lex_state = 2},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 12},
  [777] = {.lex_state = 10},
  [778] = {.lex_state = 10, .external_lex_state = 2},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 8, .external_lex_state = 2},
  [781] = {.lex_state = 10, .external_lex_state = 2},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 6},
  [784] = {.lex_state = 10, .external_lex_state = 2},
  [785] = {.lex_state = 8, .external_lex_state = 2},
  [786] = {.lex_state = 8, .external_lex_state = 2},
  [787] = {.lex_state = 64},
  [788] = {.lex_state = 8, .external_lex_state = 2},
  [789] = {.lex_state = 8, .external_lex_state = 2},
  [790] = {.lex_state = 8, .external_lex_state = 2},
  [791] = {.lex_state = 8, .external_lex_state = 2},
  [792] = {.lex_state = 8, .external_lex_state = 2},
  [793] = {.lex_state = 8, .external_lex_state = 2},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 8, .external_lex_state = 2},
  [796] = {.lex_state = 64},
  [797] = {.lex_state = 8, .external_lex_state = 2},
  [798] = {.lex_state = 6},
  [799] = {.lex_state = 8, .external_lex_state = 2},
  [800] = {.lex_state = 8, .external_lex_state = 2},
  [801] = {.lex_state = 64},
  [802] = {.lex_state = 8, .external_lex_state = 2},
  [803] = {.lex_state = 10, .external_lex_state = 2},
  [804] = {.lex_state = 10, .external_lex_state = 2},
  [805] = {.lex_state = 64},
  [806] = {.lex_state = 8, .external_lex_state = 2},
  [807] = {.lex_state = 8, .external_lex_state = 2},
  [808] = {.lex_state = 8, .external_lex_state = 2},
  [809] = {.lex_state = 8, .external_lex_state = 2},
  [810] = {.lex_state = 8, .external_lex_state = 2},
  [811] = {.lex_state = 10, .external_lex_state = 2},
  [812] = {.lex_state = 64},
  [813] = {.lex_state = 64},
  [814] = {.lex_state = 10, .external_lex_state = 2},
  [815] = {.lex_state = 64},
  [816] = {.lex_state = 64},
  [817] = {.lex_state = 10, .external_lex_state = 2},
  [818] = {.lex_state = 10, .external_lex_state = 2},
  [819] = {.lex_state = 64},
  [820] = {.lex_state = 10, .external_lex_state = 2},
  [821] = {.lex_state = 64},
  [822] = {.lex_state = 64},
  [823] = {.lex_state = 10, .external_lex_state = 2},
  [824] = {.lex_state = 10, .external_lex_state = 2},
  [825] = {.lex_state = 10, .external_lex_state = 2},
  [826] = {.lex_state = 64},
  [827] = {.lex_state = 10, .external_lex_state = 2},
  [828] = {.lex_state = 64},
  [829] = {.lex_state = 10, .external_lex_state = 2},
  [830] = {.lex_state = 64},
  [831] = {.lex_state = 10, .external_lex_state = 2},
  [832] = {.lex_state = 10, .external_lex_state = 2},
  [833] = {.lex_state = 10, .external_lex_state = 2},
  [834] = {.lex_state = 10, .external_lex_state = 2},
  [835] = {.lex_state = 10, .external_lex_state = 2},
  [836] = {.lex_state = 10, .external_lex_state = 2},
  [837] = {.lex_state = 10, .external_lex_state = 2},
  [838] = {.lex_state = 10, .external_lex_state = 2},
  [839] = {.lex_state = 10, .external_lex_state = 2},
  [840] = {.lex_state = 12},
  [841] = {.lex_state = 10, .external_lex_state = 2},
  [842] = {.lex_state = 10, .external_lex_state = 2},
  [843] = {.lex_state = 10, .external_lex_state = 2},
  [844] = {.lex_state = 12},
  [845] = {.lex_state = 10, .external_lex_state = 2},
  [846] = {.lex_state = 10, .external_lex_state = 2},
  [847] = {.lex_state = 10, .external_lex_state = 2},
  [848] = {.lex_state = 64},
  [849] = {.lex_state = 64},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 10, .external_lex_state = 2},
  [852] = {.lex_state = 10, .external_lex_state = 2},
  [853] = {.lex_state = 10, .external_lex_state = 2},
  [854] = {.lex_state = 10, .external_lex_state = 2},
  [855] = {.lex_state = 8, .external_lex_state = 2},
  [856] = {.lex_state = 10, .external_lex_state = 2},
  [857] = {.lex_state = 64},
  [858] = {.lex_state = 64},
  [859] = {.lex_state = 10, .external_lex_state = 2},
  [860] = {.lex_state = 10, .external_lex_state = 2},
  [861] = {.lex_state = 10, .external_lex_state = 2},
  [862] = {.lex_state = 10, .external_lex_state = 2},
  [863] = {.lex_state = 64},
  [864] = {.lex_state = 10, .external_lex_state = 2},
  [865] = {.lex_state = 10, .external_lex_state = 2},
  [866] = {.lex_state = 10, .external_lex_state = 2},
  [867] = {.lex_state = 10, .external_lex_state = 2},
  [868] = {.lex_state = 10, .external_lex_state = 2},
  [869] = {.lex_state = 10, .external_lex_state = 2},
  [870] = {.lex_state = 10, .external_lex_state = 2},
  [871] = {.lex_state = 10, .external_lex_state = 2},
  [872] = {.lex_state = 10, .external_lex_state = 2},
  [873] = {.lex_state = 10, .external_lex_state = 2},
  [874] = {.lex_state = 10, .external_lex_state = 2},
  [875] = {.lex_state = 10, .external_lex_state = 2},
  [876] = {.lex_state = 10, .external_lex_state = 2},
  [877] = {.lex_state = 10, .external_lex_state = 2},
  [878] = {.lex_state = 10, .external_lex_state = 2},
  [879] = {.lex_state = 10},
  [880] = {.lex_state = 10, .external_lex_state = 2},
  [881] = {.lex_state = 10, .external_lex_state = 2},
  [882] = {.lex_state = 10, .external_lex_state = 2},
  [883] = {.lex_state = 10, .external_lex_state = 2},
  [884] = {.lex_state = 10, .external_lex_state = 2},
  [885] = {.lex_state = 10, .external_lex_state = 2},
  [886] = {.lex_state = 10, .external_lex_state = 2},
  [887] = {.lex_state = 10, .external_lex_state = 2},
  [888] = {.lex_state = 10, .external_lex_state = 2},
  [889] = {.lex_state = 10, .external_lex_state = 2},
  [890] = {.lex_state = 10, .external_lex_state = 2},
  [891] = {.lex_state = 10, .external_lex_state = 2},
  [892] = {.lex_state = 10, .external_lex_state = 2},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 10, .external_lex_state = 2},
  [895] = {.lex_state = 10, .external_lex_state = 2},
  [896] = {.lex_state = 10, .external_lex_state = 2},
  [897] = {.lex_state = 10, .external_lex_state = 2},
  [898] = {.lex_state = 10, .external_lex_state = 2},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 10, .external_lex_state = 2},
  [901] = {.lex_state = 10},
  [902] = {.lex_state = 10, .external_lex_state = 2},
  [903] = {.lex_state = 10, .external_lex_state = 2},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 10, .external_lex_state = 2},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 10, .external_lex_state = 2},
  [909] = {.lex_state = 10, .external_lex_state = 2},
  [910] = {.lex_state = 10, .external_lex_state = 2},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 10, .external_lex_state = 2},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 10, .external_lex_state = 2},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 12},
  [921] = {.lex_state = 12},
  [922] = {.lex_state = 12},
  [923] = {.lex_state = 12},
  [924] = {.lex_state = 12},
  [925] = {.lex_state = 12},
  [926] = {.lex_state = 12},
  [927] = {.lex_state = 12},
  [928] = {.lex_state = 12},
  [929] = {.lex_state = 12},
  [930] = {.lex_state = 12},
  [931] = {.lex_state = 12},
  [932] = {.lex_state = 12},
  [933] = {.lex_state = 12},
  [934] = {.lex_state = 12},
  [935] = {.lex_state = 12},
  [936] = {.lex_state = 12},
  [937] = {.lex_state = 12},
  [938] = {.lex_state = 12},
  [939] = {.lex_state = 12},
  [940] = {.lex_state = 12},
  [941] = {.lex_state = 12},
  [942] = {.lex_state = 12},
  [943] = {.lex_state = 12},
  [944] = {.lex_state = 12},
  [945] = {.lex_state = 12},
  [946] = {.lex_state = 12},
  [947] = {.lex_state = 12},
  [948] = {.lex_state = 12},
  [949] = {.lex_state = 12},
  [950] = {.lex_state = 12},
  [951] = {.lex_state = 12},
  [952] = {.lex_state = 12},
  [953] = {.lex_state = 12},
  [954] = {.lex_state = 12},
  [955] = {.lex_state = 12},
  [956] = {.lex_state = 12},
  [957] = {.lex_state = 12},
  [958] = {.lex_state = 12},
  [959] = {.lex_state = 12},
  [960] = {.lex_state = 12},
  [961] = {.lex_state = 12},
  [962] = {.lex_state = 12},
  [963] = {.lex_state = 12},
  [964] = {.lex_state = 12},
  [965] = {.lex_state = 12},
  [966] = {.lex_state = 12},
  [967] = {.lex_state = 12},
  [968] = {.lex_state = 12},
  [969] = {.lex_state = 12},
  [970] = {.lex_state = 12},
  [971] = {.lex_state = 12},
  [972] = {.lex_state = 12},
  [973] = {.lex_state = 12},
  [974] = {.lex_state = 12},
  [975] = {.lex_state = 12},
  [976] = {.lex_state = 12},
  [977] = {.lex_state = 12},
  [978] = {.lex_state = 12},
  [979] = {.lex_state = 12},
  [980] = {.lex_state = 12},
  [981] = {.lex_state = 12},
  [982] = {.lex_state = 12},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 17},
  [987] = {.lex_state = 12, .external_lex_state = 2},
  [988] = {.lex_state = 12, .external_lex_state = 2},
  [989] = {.lex_state = 16},
  [990] = {.lex_state = 16},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 16},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 16},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12},
  [1044] = {.lex_state = 12},
  [1045] = {.lex_state = 12},
  [1046] = {.lex_state = 12},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12},
  [1049] = {.lex_state = 16},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 16},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12, .external_lex_state = 2},
  [1069] = {.lex_state = 12, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 12, .external_lex_state = 2},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12, .external_lex_state = 2},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12, .external_lex_state = 2},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12, .external_lex_state = 2},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12, .external_lex_state = 2},
  [1154] = {.lex_state = 12, .external_lex_state = 2},
  [1155] = {.lex_state = 12, .external_lex_state = 2},
  [1156] = {.lex_state = 12, .external_lex_state = 2},
  [1157] = {.lex_state = 12, .external_lex_state = 2},
  [1158] = {.lex_state = 12, .external_lex_state = 2},
  [1159] = {.lex_state = 12, .external_lex_state = 2},
  [1160] = {.lex_state = 12, .external_lex_state = 2},
  [1161] = {.lex_state = 12, .external_lex_state = 2},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12},
  [1181] = {.lex_state = 12},
  [1182] = {.lex_state = 12},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12},
  [1187] = {.lex_state = 12},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 12},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 12},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12},
  [1201] = {.lex_state = 12, .external_lex_state = 2},
  [1202] = {.lex_state = 12, .external_lex_state = 2},
  [1203] = {.lex_state = 12, .external_lex_state = 2},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 12},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 12, .external_lex_state = 2},
  [1208] = {.lex_state = 12},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12, .external_lex_state = 2},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 16},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 16},
  [1216] = {.lex_state = 12},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 16},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 16},
  [1226] = {.lex_state = 16},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 16},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12, .external_lex_state = 2},
  [1232] = {.lex_state = 16},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12, .external_lex_state = 2},
  [1236] = {.lex_state = 16},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12, .external_lex_state = 2},
  [1249] = {.lex_state = 12, .external_lex_state = 2},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12, .external_lex_state = 2},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12, .external_lex_state = 2},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12, .external_lex_state = 2},
  [1257] = {.lex_state = 12, .external_lex_state = 2},
  [1258] = {.lex_state = 16},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 12},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 12},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 16},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 16},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 16},
  [1339] = {.lex_state = 16},
  [1340] = {.lex_state = 16},
  [1341] = {.lex_state = 12},
  [1342] = {.lex_state = 12},
  [1343] = {.lex_state = 12},
  [1344] = {.lex_state = 12},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 12},
  [1347] = {.lex_state = 12},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 12},
  [1350] = {.lex_state = 12},
  [1351] = {.lex_state = 12},
  [1352] = {.lex_state = 12},
  [1353] = {.lex_state = 12},
  [1354] = {.lex_state = 12},
  [1355] = {.lex_state = 12},
  [1356] = {.lex_state = 12},
  [1357] = {.lex_state = 12},
  [1358] = {.lex_state = 12},
  [1359] = {.lex_state = 12},
  [1360] = {.lex_state = 12},
  [1361] = {.lex_state = 63},
  [1362] = {.lex_state = 63},
  [1363] = {.lex_state = 63},
  [1364] = {.lex_state = 63},
  [1365] = {.lex_state = 63},
  [1366] = {.lex_state = 63},
  [1367] = {.lex_state = 63},
  [1368] = {.lex_state = 63},
  [1369] = {.lex_state = 63},
  [1370] = {.lex_state = 63},
  [1371] = {.lex_state = 63},
  [1372] = {.lex_state = 63},
  [1373] = {.lex_state = 15},
  [1374] = {.lex_state = 63},
  [1375] = {.lex_state = 64},
  [1376] = {.lex_state = 63},
  [1377] = {.lex_state = 63},
  [1378] = {.lex_state = 63},
  [1379] = {.lex_state = 3, .external_lex_state = 3},
  [1380] = {.lex_state = 3, .external_lex_state = 3},
  [1381] = {.lex_state = 16},
  [1382] = {.lex_state = 3, .external_lex_state = 4},
  [1383] = {.lex_state = 16},
  [1384] = {.lex_state = 16},
  [1385] = {.lex_state = 16},
  [1386] = {.lex_state = 16},
  [1387] = {.lex_state = 16},
  [1388] = {.lex_state = 3, .external_lex_state = 3},
  [1389] = {.lex_state = 16},
  [1390] = {.lex_state = 16},
  [1391] = {.lex_state = 16},
  [1392] = {.lex_state = 16},
  [1393] = {.lex_state = 16},
  [1394] = {.lex_state = 16},
  [1395] = {.lex_state = 16},
  [1396] = {.lex_state = 16},
  [1397] = {.lex_state = 3, .external_lex_state = 3},
  [1398] = {.lex_state = 3, .external_lex_state = 3},
  [1399] = {.lex_state = 16},
  [1400] = {.lex_state = 16},
  [1401] = {.lex_state = 8, .external_lex_state = 5},
  [1402] = {.lex_state = 63},
  [1403] = {.lex_state = 8, .external_lex_state = 6},
  [1404] = {.lex_state = 63},
  [1405] = {.lex_state = 16},
  [1406] = {.lex_state = 8, .external_lex_state = 6},
  [1407] = {.lex_state = 16},
  [1408] = {.lex_state = 8, .external_lex_state = 5},
  [1409] = {.lex_state = 16},
  [1410] = {.lex_state = 8, .external_lex_state = 5},
  [1411] = {.lex_state = 8, .external_lex_state = 6},
  [1412] = {.lex_state = 16},
  [1413] = {.lex_state = 16},
  [1414] = {.lex_state = 17},
  [1415] = {.lex_state = 16},
  [1416] = {.lex_state = 16},
  [1417] = {.lex_state = 16},
  [1418] = {.lex_state = 8, .external_lex_state = 6},
  [1419] = {.lex_state = 16},
  [1420] = {.lex_state = 16},
  [1421] = {.lex_state = 16},
  [1422] = {.lex_state = 16},
  [1423] = {.lex_state = 16},
  [1424] = {.lex_state = 16},
  [1425] = {.lex_state = 16},
  [1426] = {.lex_state = 8, .external_lex_state = 6},
  [1427] = {.lex_state = 16},
  [1428] = {.lex_state = 8, .external_lex_state = 5},
  [1429] = {.lex_state = 16},
  [1430] = {.lex_state = 16},
  [1431] = {.lex_state = 16},
  [1432] = {.lex_state = 16},
  [1433] = {.lex_state = 16},
  [1434] = {.lex_state = 8, .external_lex_state = 5},
  [1435] = {.lex_state = 63},
  [1436] = {.lex_state = 8, .external_lex_state = 4},
  [1437] = {.lex_state = 63},
  [1438] = {.lex_state = 63},
  [1439] = {.lex_state = 63},
  [1440] = {.lex_state = 63},
  [1441] = {.lex_state = 63},
  [1442] = {.lex_state = 17},
  [1443] = {.lex_state = 63},
  [1444] = {.lex_state = 64},
  [1445] = {.lex_state = 64},
  [1446] = {.lex_state = 63},
  [1447] = {.lex_state = 63},
  [1448] = {.lex_state = 17},
  [1449] = {.lex_state = 63},
  [1450] = {.lex_state = 17},
  [1451] = {.lex_state = 17},
  [1452] = {.lex_state = 63},
  [1453] = {.lex_state = 63},
  [1454] = {.lex_state = 3, .external_lex_state = 7},
  [1455] = {.lex_state = 63},
  [1456] = {.lex_state = 63},
  [1457] = {.lex_state = 63},
  [1458] = {.lex_state = 63},
  [1459] = {.lex_state = 3, .external_lex_state = 7},
  [1460] = {.lex_state = 63},
  [1461] = {.lex_state = 63},
  [1462] = {.lex_state = 63},
  [1463] = {.lex_state = 63},
  [1464] = {.lex_state = 63},
  [1465] = {.lex_state = 63},
  [1466] = {.lex_state = 63},
  [1467] = {.lex_state = 17},
  [1468] = {.lex_state = 17},
  [1469] = {.lex_state = 63},
  [1470] = {.lex_state = 17},
  [1471] = {.lex_state = 17},
  [1472] = {.lex_state = 63},
  [1473] = {.lex_state = 17},
  [1474] = {.lex_state = 63},
  [1475] = {.lex_state = 63},
  [1476] = {.lex_state = 63},
  [1477] = {.lex_state = 63},
  [1478] = {.lex_state = 63},
  [1479] = {.lex_state = 63},
  [1480] = {.lex_state = 63},
  [1481] = {.lex_state = 63},
  [1482] = {.lex_state = 63},
  [1483] = {.lex_state = 63},
  [1484] = {.lex_state = 63},
  [1485] = {.lex_state = 63},
  [1486] = {.lex_state = 63},
  [1487] = {.lex_state = 63},
  [1488] = {.lex_state = 8, .external_lex_state = 8},
  [1489] = {.lex_state = 63},
  [1490] = {.lex_state = 63},
  [1491] = {.lex_state = 63},
  [1492] = {.lex_state = 63},
  [1493] = {.lex_state = 63},
  [1494] = {.lex_state = 63},
  [1495] = {.lex_state = 63},
  [1496] = {.lex_state = 63},
  [1497] = {.lex_state = 63},
  [1498] = {.lex_state = 63},
  [1499] = {.lex_state = 63},
  [1500] = {.lex_state = 63},
  [1501] = {.lex_state = 8, .external_lex_state = 9},
  [1502] = {.lex_state = 63},
  [1503] = {.lex_state = 63},
  [1504] = {.lex_state = 63},
  [1505] = {.lex_state = 63},
  [1506] = {.lex_state = 63},
  [1507] = {.lex_state = 63},
  [1508] = {.lex_state = 63},
  [1509] = {.lex_state = 63},
  [1510] = {.lex_state = 63},
  [1511] = {.lex_state = 63},
  [1512] = {.lex_state = 63},
  [1513] = {.lex_state = 63},
  [1514] = {.lex_state = 63},
  [1515] = {.lex_state = 8, .external_lex_state = 9},
  [1516] = {.lex_state = 63},
  [1517] = {.lex_state = 63},
  [1518] = {.lex_state = 63},
  [1519] = {.lex_state = 63},
  [1520] = {.lex_state = 63},
  [1521] = {.lex_state = 63},
  [1522] = {.lex_state = 63},
  [1523] = {.lex_state = 63},
  [1524] = {.lex_state = 63},
  [1525] = {.lex_state = 63},
  [1526] = {.lex_state = 17},
  [1527] = {.lex_state = 63},
  [1528] = {.lex_state = 63},
  [1529] = {.lex_state = 8, .external_lex_state = 8},
  [1530] = {.lex_state = 63},
  [1531] = {.lex_state = 63},
  [1532] = {.lex_state = 63},
  [1533] = {.lex_state = 63},
  [1534] = {.lex_state = 63},
  [1535] = {.lex_state = 63},
  [1536] = {.lex_state = 63, .external_lex_state = 2},
  [1537] = {.lex_state = 63},
  [1538] = {.lex_state = 63, .external_lex_state = 2},
  [1539] = {.lex_state = 63},
  [1540] = {.lex_state = 63},
  [1541] = {.lex_state = 63},
  [1542] = {.lex_state = 63},
  [1543] = {.lex_state = 63},
  [1544] = {.lex_state = 63},
  [1545] = {.lex_state = 63},
  [1546] = {.lex_state = 63},
  [1547] = {.lex_state = 63},
  [1548] = {.lex_state = 63},
  [1549] = {.lex_state = 3, .external_lex_state = 3},
  [1550] = {.lex_state = 63},
  [1551] = {.lex_state = 63},
  [1552] = {.lex_state = 63},
  [1553] = {.lex_state = 63},
  [1554] = {.lex_state = 3, .external_lex_state = 3},
  [1555] = {.lex_state = 63},
  [1556] = {.lex_state = 63},
  [1557] = {.lex_state = 63},
  [1558] = {.lex_state = 63},
  [1559] = {.lex_state = 63},
  [1560] = {.lex_state = 3, .external_lex_state = 3},
  [1561] = {.lex_state = 63},
  [1562] = {.lex_state = 3, .external_lex_state = 3},
  [1563] = {.lex_state = 10},
  [1564] = {.lex_state = 3, .external_lex_state = 3},
  [1565] = {.lex_state = 63},
  [1566] = {.lex_state = 63},
  [1567] = {.lex_state = 63},
  [1568] = {.lex_state = 63},
  [1569] = {.lex_state = 64},
  [1570] = {.lex_state = 63},
  [1571] = {.lex_state = 63},
  [1572] = {.lex_state = 3, .external_lex_state = 3},
  [1573] = {.lex_state = 3, .external_lex_state = 3},
  [1574] = {.lex_state = 63, .external_lex_state = 2},
  [1575] = {.lex_state = 10},
  [1576] = {.lex_state = 63},
  [1577] = {.lex_state = 63},
  [1578] = {.lex_state = 17},
  [1579] = {.lex_state = 63, .external_lex_state = 2},
  [1580] = {.lex_state = 63},
  [1581] = {.lex_state = 63},
  [1582] = {.lex_state = 10},
  [1583] = {.lex_state = 63},
  [1584] = {.lex_state = 63},
  [1585] = {.lex_state = 63},
  [1586] = {.lex_state = 63},
  [1587] = {.lex_state = 63},
  [1588] = {.lex_state = 63},
  [1589] = {.lex_state = 3, .external_lex_state = 3},
  [1590] = {.lex_state = 3, .external_lex_state = 3},
  [1591] = {.lex_state = 3, .external_lex_state = 3},
  [1592] = {.lex_state = 63},
  [1593] = {.lex_state = 63},
  [1594] = {.lex_state = 63},
  [1595] = {.lex_state = 63},
  [1596] = {.lex_state = 63},
  [1597] = {.lex_state = 8, .external_lex_state = 6},
  [1598] = {.lex_state = 63},
  [1599] = {.lex_state = 8, .external_lex_state = 6},
  [1600] = {.lex_state = 8, .external_lex_state = 6},
  [1601] = {.lex_state = 63},
  [1602] = {.lex_state = 18},
  [1603] = {.lex_state = 8, .external_lex_state = 5},
  [1604] = {.lex_state = 8, .external_lex_state = 6},
  [1605] = {.lex_state = 8, .external_lex_state = 5},
  [1606] = {.lex_state = 8, .external_lex_state = 6},
  [1607] = {.lex_state = 8, .external_lex_state = 5},
  [1608] = {.lex_state = 63},
  [1609] = {.lex_state = 8, .external_lex_state = 5},
  [1610] = {.lex_state = 63},
  [1611] = {.lex_state = 8, .external_lex_state = 5},
  [1612] = {.lex_state = 63, .external_lex_state = 2},
  [1613] = {.lex_state = 63, .external_lex_state = 2},
  [1614] = {.lex_state = 65, .external_lex_state = 10},
  [1615] = {.lex_state = 8, .external_lex_state = 6},
  [1616] = {.lex_state = 63},
  [1617] = {.lex_state = 18},
  [1618] = {.lex_state = 63},
  [1619] = {.lex_state = 63},
  [1620] = {.lex_state = 63},
  [1621] = {.lex_state = 63},
  [1622] = {.lex_state = 63},
  [1623] = {.lex_state = 63},
  [1624] = {.lex_state = 63},
  [1625] = {.lex_state = 63},
  [1626] = {.lex_state = 63},
  [1627] = {.lex_state = 8, .external_lex_state = 5},
  [1628] = {.lex_state = 8, .external_lex_state = 5},
  [1629] = {.lex_state = 8, .external_lex_state = 5},
  [1630] = {.lex_state = 18},
  [1631] = {.lex_state = 63},
  [1632] = {.lex_state = 8, .external_lex_state = 6},
  [1633] = {.lex_state = 63},
  [1634] = {.lex_state = 63},
  [1635] = {.lex_state = 8, .external_lex_state = 5},
  [1636] = {.lex_state = 18},
  [1637] = {.lex_state = 63},
  [1638] = {.lex_state = 63},
  [1639] = {.lex_state = 63},
  [1640] = {.lex_state = 63},
  [1641] = {.lex_state = 63},
  [1642] = {.lex_state = 63, .external_lex_state = 2},
  [1643] = {.lex_state = 63},
  [1644] = {.lex_state = 63},
  [1645] = {.lex_state = 63},
  [1646] = {.lex_state = 63},
  [1647] = {.lex_state = 63},
  [1648] = {.lex_state = 63},
  [1649] = {.lex_state = 63},
  [1650] = {.lex_state = 63},
  [1651] = {.lex_state = 63},
  [1652] = {.lex_state = 63},
  [1653] = {.lex_state = 63},
  [1654] = {.lex_state = 63},
  [1655] = {.lex_state = 63},
  [1656] = {.lex_state = 63},
  [1657] = {.lex_state = 63},
  [1658] = {.lex_state = 8, .external_lex_state = 6},
  [1659] = {.lex_state = 8, .external_lex_state = 6},
  [1660] = {.lex_state = 63},
  [1661] = {.lex_state = 63},
  [1662] = {.lex_state = 63},
  [1663] = {.lex_state = 63},
  [1664] = {.lex_state = 63},
  [1665] = {.lex_state = 8, .external_lex_state = 6},
  [1666] = {.lex_state = 18},
  [1667] = {.lex_state = 63},
  [1668] = {.lex_state = 63},
  [1669] = {.lex_state = 8, .external_lex_state = 5},
  [1670] = {.lex_state = 63},
  [1671] = {.lex_state = 63},
  [1672] = {.lex_state = 63},
  [1673] = {.lex_state = 63},
  [1674] = {.lex_state = 63, .external_lex_state = 2},
  [1675] = {.lex_state = 63},
  [1676] = {.lex_state = 63},
  [1677] = {.lex_state = 63},
  [1678] = {.lex_state = 63, .external_lex_state = 2},
  [1679] = {.lex_state = 63},
  [1680] = {.lex_state = 63, .external_lex_state = 2},
  [1681] = {.lex_state = 63},
  [1682] = {.lex_state = 63},
  [1683] = {.lex_state = 63, .external_lex_state = 2},
  [1684] = {.lex_state = 63},
  [1685] = {.lex_state = 63},
  [1686] = {.lex_state = 63},
  [1687] = {.lex_state = 63},
  [1688] = {.lex_state = 63},
  [1689] = {.lex_state = 63, .external_lex_state = 2},
  [1690] = {.lex_state = 63},
  [1691] = {.lex_state = 63},
  [1692] = {.lex_state = 63, .external_lex_state = 2},
  [1693] = {.lex_state = 63},
  [1694] = {.lex_state = 63},
  [1695] = {.lex_state = 63, .external_lex_state = 2},
  [1696] = {.lex_state = 64},
  [1697] = {.lex_state = 64},
  [1698] = {.lex_state = 64},
  [1699] = {.lex_state = 64},
  [1700] = {.lex_state = 63, .external_lex_state = 2},
  [1701] = {.lex_state = 63, .external_lex_state = 2},
  [1702] = {.lex_state = 63, .external_lex_state = 2},
  [1703] = {.lex_state = 64},
  [1704] = {.lex_state = 63},
  [1705] = {.lex_state = 63},
  [1706] = {.lex_state = 63, .external_lex_state = 2},
  [1707] = {.lex_state = 63},
  [1708] = {.lex_state = 63, .external_lex_state = 2},
  [1709] = {.lex_state = 63, .external_lex_state = 2},
  [1710] = {.lex_state = 63},
  [1711] = {.lex_state = 65},
  [1712] = {.lex_state = 63},
  [1713] = {.lex_state = 63},
  [1714] = {.lex_state = 63, .external_lex_state = 2},
  [1715] = {.lex_state = 63, .external_lex_state = 2},
  [1716] = {.lex_state = 63, .external_lex_state = 2},
  [1717] = {.lex_state = 63},
  [1718] = {.lex_state = 63},
  [1719] = {.lex_state = 63},
  [1720] = {.lex_state = 63, .external_lex_state = 2},
  [1721] = {.lex_state = 63},
  [1722] = {.lex_state = 63},
  [1723] = {.lex_state = 63},
  [1724] = {.lex_state = 63},
  [1725] = {.lex_state = 63},
  [1726] = {.lex_state = 63},
  [1727] = {.lex_state = 63},
  [1728] = {.lex_state = 63},
  [1729] = {.lex_state = 63, .external_lex_state = 2},
  [1730] = {.lex_state = 63},
  [1731] = {.lex_state = 63},
  [1732] = {.lex_state = 63},
  [1733] = {.lex_state = 63},
  [1734] = {.lex_state = 63, .external_lex_state = 2},
  [1735] = {.lex_state = 63},
  [1736] = {.lex_state = 63, .external_lex_state = 2},
  [1737] = {.lex_state = 63, .external_lex_state = 2},
  [1738] = {.lex_state = 63, .external_lex_state = 2},
  [1739] = {.lex_state = 63},
  [1740] = {.lex_state = 63},
  [1741] = {.lex_state = 63},
  [1742] = {.lex_state = 63},
  [1743] = {.lex_state = 63, .external_lex_state = 2},
  [1744] = {.lex_state = 63},
  [1745] = {.lex_state = 63, .external_lex_state = 2},
  [1746] = {.lex_state = 63},
  [1747] = {.lex_state = 63, .external_lex_state = 2},
  [1748] = {.lex_state = 63},
  [1749] = {.lex_state = 63},
  [1750] = {.lex_state = 63, .external_lex_state = 2},
  [1751] = {.lex_state = 63},
  [1752] = {.lex_state = 64},
  [1753] = {.lex_state = 64},
  [1754] = {.lex_state = 65},
  [1755] = {.lex_state = 63, .external_lex_state = 2},
  [1756] = {.lex_state = 64},
  [1757] = {.lex_state = 63, .external_lex_state = 2},
  [1758] = {.lex_state = 63},
  [1759] = {.lex_state = 63, .external_lex_state = 2},
  [1760] = {.lex_state = 63, .external_lex_state = 2},
  [1761] = {.lex_state = 63, .external_lex_state = 2},
  [1762] = {.lex_state = 63},
  [1763] = {.lex_state = 63},
  [1764] = {.lex_state = 65, .external_lex_state = 10},
  [1765] = {.lex_state = 63, .external_lex_state = 2},
  [1766] = {.lex_state = 63, .external_lex_state = 2},
  [1767] = {.lex_state = 63},
  [1768] = {.lex_state = 63, .external_lex_state = 2},
  [1769] = {.lex_state = 65, .external_lex_state = 10},
  [1770] = {.lex_state = 63},
  [1771] = {.lex_state = 63},
  [1772] = {.lex_state = 63},
  [1773] = {.lex_state = 63},
  [1774] = {.lex_state = 63, .external_lex_state = 2},
  [1775] = {.lex_state = 63, .external_lex_state = 2},
  [1776] = {.lex_state = 63},
  [1777] = {.lex_state = 63},
  [1778] = {.lex_state = 63},
  [1779] = {.lex_state = 63},
  [1780] = {.lex_state = 63},
  [1781] = {.lex_state = 65, .external_lex_state = 10},
  [1782] = {.lex_state = 63, .external_lex_state = 2},
  [1783] = {.lex_state = 63},
  [1784] = {.lex_state = 63},
  [1785] = {.lex_state = 63, .external_lex_state = 2},
  [1786] = {.lex_state = 63, .external_lex_state = 2},
  [1787] = {.lex_state = 63},
  [1788] = {.lex_state = 63, .external_lex_state = 2},
  [1789] = {.lex_state = 63, .external_lex_state = 2},
  [1790] = {.lex_state = 63},
  [1791] = {.lex_state = 63, .external_lex_state = 2},
  [1792] = {.lex_state = 63, .external_lex_state = 2},
  [1793] = {.lex_state = 3, .external_lex_state = 11},
  [1794] = {.lex_state = 63},
  [1795] = {.lex_state = 63, .external_lex_state = 2},
  [1796] = {.lex_state = 63, .external_lex_state = 2},
  [1797] = {.lex_state = 63, .external_lex_state = 2},
  [1798] = {.lex_state = 63, .external_lex_state = 2},
  [1799] = {.lex_state = 63},
  [1800] = {.lex_state = 63, .external_lex_state = 2},
  [1801] = {.lex_state = 63},
  [1802] = {.lex_state = 63, .external_lex_state = 2},
  [1803] = {.lex_state = 63, .external_lex_state = 2},
  [1804] = {.lex_state = 63},
  [1805] = {.lex_state = 63, .external_lex_state = 2},
  [1806] = {.lex_state = 63},
  [1807] = {.lex_state = 63},
  [1808] = {.lex_state = 63},
  [1809] = {.lex_state = 63},
  [1810] = {.lex_state = 63},
  [1811] = {.lex_state = 63},
  [1812] = {.lex_state = 63},
  [1813] = {.lex_state = 63},
  [1814] = {.lex_state = 63},
  [1815] = {.lex_state = 63},
  [1816] = {.lex_state = 63},
  [1817] = {.lex_state = 63},
  [1818] = {.lex_state = 63, .external_lex_state = 2},
  [1819] = {.lex_state = 63},
  [1820] = {.lex_state = 63},
  [1821] = {.lex_state = 63, .external_lex_state = 2},
  [1822] = {.lex_state = 63},
  [1823] = {.lex_state = 64},
  [1824] = {.lex_state = 63, .external_lex_state = 2},
  [1825] = {.lex_state = 63},
  [1826] = {.lex_state = 63},
  [1827] = {.lex_state = 63},
  [1828] = {.lex_state = 63, .external_lex_state = 2},
  [1829] = {.lex_state = 63},
  [1830] = {.lex_state = 64},
  [1831] = {.lex_state = 63},
  [1832] = {.lex_state = 63, .external_lex_state = 2},
  [1833] = {.lex_state = 63},
  [1834] = {.lex_state = 63},
  [1835] = {.lex_state = 3, .external_lex_state = 11},
  [1836] = {.lex_state = 63, .external_lex_state = 2},
  [1837] = {.lex_state = 63},
  [1838] = {.lex_state = 63},
  [1839] = {.lex_state = 63},
  [1840] = {.lex_state = 63},
  [1841] = {.lex_state = 63, .external_lex_state = 2},
  [1842] = {.lex_state = 63},
  [1843] = {.lex_state = 65},
  [1844] = {.lex_state = 63},
  [1845] = {.lex_state = 63, .external_lex_state = 2},
  [1846] = {.lex_state = 63, .external_lex_state = 2},
  [1847] = {.lex_state = 63},
  [1848] = {.lex_state = 63, .external_lex_state = 2},
  [1849] = {.lex_state = 63, .external_lex_state = 2},
  [1850] = {.lex_state = 63, .external_lex_state = 2},
  [1851] = {.lex_state = 63, .external_lex_state = 2},
  [1852] = {.lex_state = 63, .external_lex_state = 2},
  [1853] = {.lex_state = 63},
  [1854] = {.lex_state = 63},
  [1855] = {.lex_state = 63, .external_lex_state = 2},
  [1856] = {.lex_state = 63},
  [1857] = {.lex_state = 63},
  [1858] = {.lex_state = 63},
  [1859] = {.lex_state = 63},
  [1860] = {.lex_state = 63, .external_lex_state = 2},
  [1861] = {.lex_state = 63},
  [1862] = {.lex_state = 63, .external_lex_state = 2},
  [1863] = {.lex_state = 63, .external_lex_state = 2},
  [1864] = {.lex_state = 63, .external_lex_state = 2},
  [1865] = {.lex_state = 63},
  [1866] = {.lex_state = 63},
  [1867] = {.lex_state = 63},
  [1868] = {.lex_state = 63},
  [1869] = {.lex_state = 63},
  [1870] = {.lex_state = 63},
  [1871] = {.lex_state = 3, .external_lex_state = 12},
  [1872] = {.lex_state = 18},
  [1873] = {.lex_state = 63, .external_lex_state = 2},
  [1874] = {.lex_state = 18},
  [1875] = {.lex_state = 63, .external_lex_state = 2},
  [1876] = {.lex_state = 3, .external_lex_state = 12},
  [1877] = {.lex_state = 63},
  [1878] = {.lex_state = 63},
  [1879] = {.lex_state = 63},
  [1880] = {.lex_state = 63},
  [1881] = {.lex_state = 63},
  [1882] = {.lex_state = 63},
  [1883] = {.lex_state = 63, .external_lex_state = 2},
  [1884] = {.lex_state = 63},
  [1885] = {.lex_state = 63},
  [1886] = {.lex_state = 3, .external_lex_state = 12},
  [1887] = {.lex_state = 63},
  [1888] = {.lex_state = 63},
  [1889] = {.lex_state = 63},
  [1890] = {.lex_state = 63, .external_lex_state = 2},
  [1891] = {.lex_state = 63, .external_lex_state = 2},
  [1892] = {.lex_state = 63, .external_lex_state = 2},
  [1893] = {.lex_state = 63, .external_lex_state = 2},
  [1894] = {.lex_state = 63, .external_lex_state = 2},
  [1895] = {.lex_state = 63},
  [1896] = {.lex_state = 63, .external_lex_state = 2},
  [1897] = {.lex_state = 63, .external_lex_state = 2},
  [1898] = {.lex_state = 63, .external_lex_state = 2},
  [1899] = {.lex_state = 63, .external_lex_state = 2},
  [1900] = {.lex_state = 63, .external_lex_state = 2},
  [1901] = {.lex_state = 63, .external_lex_state = 2},
  [1902] = {.lex_state = 63},
  [1903] = {.lex_state = 64},
  [1904] = {.lex_state = 63, .external_lex_state = 2},
  [1905] = {.lex_state = 63, .external_lex_state = 2},
  [1906] = {.lex_state = 63},
  [1907] = {.lex_state = 63, .external_lex_state = 2},
  [1908] = {.lex_state = 63, .external_lex_state = 2},
  [1909] = {.lex_state = 63, .external_lex_state = 2},
  [1910] = {.lex_state = 63, .external_lex_state = 2},
  [1911] = {.lex_state = 63, .external_lex_state = 2},
  [1912] = {.lex_state = 63, .external_lex_state = 2},
  [1913] = {.lex_state = 63, .external_lex_state = 2},
  [1914] = {.lex_state = 63},
  [1915] = {.lex_state = 63},
  [1916] = {.lex_state = 63},
  [1917] = {.lex_state = 63},
  [1918] = {.lex_state = 63, .external_lex_state = 2},
  [1919] = {.lex_state = 3, .external_lex_state = 12},
  [1920] = {.lex_state = 63, .external_lex_state = 2},
  [1921] = {.lex_state = 63},
  [1922] = {.lex_state = 63},
  [1923] = {.lex_state = 63},
  [1924] = {.lex_state = 63},
  [1925] = {.lex_state = 63},
  [1926] = {.lex_state = 63},
  [1927] = {.lex_state = 63},
  [1928] = {.lex_state = 63},
  [1929] = {.lex_state = 63},
  [1930] = {.lex_state = 63},
  [1931] = {.lex_state = 63},
  [1932] = {.lex_state = 63},
  [1933] = {.lex_state = 3, .external_lex_state = 12},
  [1934] = {.lex_state = 63},
  [1935] = {.lex_state = 63},
  [1936] = {.lex_state = 63},
  [1937] = {.lex_state = 63},
  [1938] = {.lex_state = 63},
  [1939] = {.lex_state = 63},
  [1940] = {.lex_state = 63},
  [1941] = {.lex_state = 63},
  [1942] = {.lex_state = 63},
  [1943] = {.lex_state = 63},
  [1944] = {.lex_state = 63},
  [1945] = {.lex_state = 63},
  [1946] = {.lex_state = 63},
  [1947] = {.lex_state = 64},
  [1948] = {.lex_state = 63},
  [1949] = {.lex_state = 63},
  [1950] = {.lex_state = 63},
  [1951] = {.lex_state = 63, .external_lex_state = 2},
  [1952] = {.lex_state = 63},
  [1953] = {.lex_state = 63},
  [1954] = {.lex_state = 63},
  [1955] = {.lex_state = 63},
  [1956] = {.lex_state = 63},
  [1957] = {.lex_state = 63, .external_lex_state = 2},
  [1958] = {.lex_state = 63},
  [1959] = {.lex_state = 63, .external_lex_state = 2},
  [1960] = {.lex_state = 63},
  [1961] = {.lex_state = 63},
  [1962] = {.lex_state = 63},
  [1963] = {.lex_state = 63},
  [1964] = {.lex_state = 63},
  [1965] = {.lex_state = 63},
  [1966] = {.lex_state = 63},
  [1967] = {.lex_state = 63},
  [1968] = {.lex_state = 63},
  [1969] = {.lex_state = 63, .external_lex_state = 2},
  [1970] = {.lex_state = 63},
  [1971] = {.lex_state = 63},
  [1972] = {.lex_state = 63},
  [1973] = {.lex_state = 63},
  [1974] = {.lex_state = 63},
  [1975] = {.lex_state = 63},
  [1976] = {.lex_state = 63},
  [1977] = {.lex_state = 63, .external_lex_state = 2},
  [1978] = {.lex_state = 63, .external_lex_state = 2},
  [1979] = {.lex_state = 63},
  [1980] = {.lex_state = 63},
  [1981] = {.lex_state = 63},
  [1982] = {.lex_state = 63},
  [1983] = {.lex_state = 3, .external_lex_state = 12},
  [1984] = {.lex_state = 3, .external_lex_state = 12},
  [1985] = {.lex_state = 63},
  [1986] = {.lex_state = 3, .external_lex_state = 12},
  [1987] = {.lex_state = 63},
  [1988] = {.lex_state = 63},
  [1989] = {.lex_state = 63},
  [1990] = {.lex_state = 18},
  [1991] = {.lex_state = 18},
  [1992] = {.lex_state = 63},
  [1993] = {.lex_state = 63},
  [1994] = {.lex_state = 63},
  [1995] = {.lex_state = 63},
  [1996] = {.lex_state = 63},
  [1997] = {.lex_state = 63},
  [1998] = {.lex_state = 63},
  [1999] = {.lex_state = 63},
  [2000] = {.lex_state = 63},
  [2001] = {.lex_state = 63},
  [2002] = {.lex_state = 63},
  [2003] = {.lex_state = 63},
  [2004] = {.lex_state = 63},
  [2005] = {.lex_state = 63},
  [2006] = {.lex_state = 63},
  [2007] = {.lex_state = 63},
  [2008] = {.lex_state = 63},
  [2009] = {.lex_state = 63},
  [2010] = {.lex_state = 63},
  [2011] = {.lex_state = 63},
  [2012] = {.lex_state = 63},
  [2013] = {.lex_state = 63},
  [2014] = {.lex_state = 63},
  [2015] = {.lex_state = 63},
  [2016] = {.lex_state = 63},
  [2017] = {.lex_state = 63},
  [2018] = {.lex_state = 63},
  [2019] = {.lex_state = 63},
  [2020] = {.lex_state = 63, .external_lex_state = 2},
  [2021] = {.lex_state = 63},
  [2022] = {.lex_state = 63},
  [2023] = {.lex_state = 63, .external_lex_state = 2},
  [2024] = {.lex_state = 63},
  [2025] = {.lex_state = 63},
  [2026] = {.lex_state = 63},
  [2027] = {.lex_state = 63},
  [2028] = {.lex_state = 63},
  [2029] = {.lex_state = 63},
  [2030] = {.lex_state = 63, .external_lex_state = 2},
  [2031] = {.lex_state = 63, .external_lex_state = 2},
  [2032] = {.lex_state = 63},
  [2033] = {.lex_state = 63},
  [2034] = {.lex_state = 63},
  [2035] = {.lex_state = 63},
  [2036] = {.lex_state = 63},
  [2037] = {.lex_state = 63},
  [2038] = {.lex_state = 63},
  [2039] = {.lex_state = 63},
  [2040] = {.lex_state = 63},
  [2041] = {.lex_state = 63},
  [2042] = {.lex_state = 63},
  [2043] = {.lex_state = 63},
  [2044] = {.lex_state = 64},
  [2045] = {.lex_state = 63},
  [2046] = {.lex_state = 64},
  [2047] = {.lex_state = 63},
  [2048] = {.lex_state = 63},
  [2049] = {.lex_state = 63},
  [2050] = {.lex_state = 63},
  [2051] = {.lex_state = 63},
  [2052] = {.lex_state = 63},
  [2053] = {.lex_state = 63},
  [2054] = {.lex_state = 3, .external_lex_state = 11},
  [2055] = {.lex_state = 63},
  [2056] = {.lex_state = 63},
  [2057] = {.lex_state = 63},
  [2058] = {.lex_state = 63},
  [2059] = {.lex_state = 63},
  [2060] = {.lex_state = 63},
  [2061] = {.lex_state = 63, .external_lex_state = 2},
  [2062] = {.lex_state = 63},
  [2063] = {.lex_state = 63},
  [2064] = {.lex_state = 63},
  [2065] = {.lex_state = 63},
  [2066] = {.lex_state = 63},
  [2067] = {.lex_state = 63, .external_lex_state = 2},
  [2068] = {.lex_state = 63},
  [2069] = {.lex_state = 63},
  [2070] = {.lex_state = 63},
  [2071] = {.lex_state = 63},
  [2072] = {.lex_state = 63},
  [2073] = {.lex_state = 63},
  [2074] = {.lex_state = 63},
  [2075] = {.lex_state = 63},
  [2076] = {.lex_state = 63},
  [2077] = {.lex_state = 63},
  [2078] = {.lex_state = 63},
  [2079] = {.lex_state = 63},
  [2080] = {.lex_state = 63},
  [2081] = {.lex_state = 63},
  [2082] = {.lex_state = 63},
  [2083] = {.lex_state = 63},
  [2084] = {.lex_state = 63},
  [2085] = {.lex_state = 63},
  [2086] = {.lex_state = 63},
  [2087] = {.lex_state = 63},
  [2088] = {.lex_state = 63},
  [2089] = {.lex_state = 63},
  [2090] = {.lex_state = 63},
  [2091] = {.lex_state = 63},
  [2092] = {.lex_state = 63},
  [2093] = {.lex_state = 63},
  [2094] = {.lex_state = 63},
  [2095] = {.lex_state = 63},
  [2096] = {.lex_state = 63},
  [2097] = {.lex_state = 63},
  [2098] = {.lex_state = 63, .external_lex_state = 13},
  [2099] = {.lex_state = 63},
  [2100] = {.lex_state = 63},
  [2101] = {.lex_state = 63},
  [2102] = {.lex_state = 63},
  [2103] = {.lex_state = 63},
  [2104] = {.lex_state = 63},
  [2105] = {.lex_state = 63},
  [2106] = {.lex_state = 63},
  [2107] = {.lex_state = 63},
  [2108] = {.lex_state = 63},
  [2109] = {.lex_state = 63},
  [2110] = {.lex_state = 63},
  [2111] = {.lex_state = 63},
  [2112] = {.lex_state = 63},
  [2113] = {.lex_state = 63},
  [2114] = {.lex_state = 63},
  [2115] = {.lex_state = 63},
  [2116] = {.lex_state = 63},
  [2117] = {.lex_state = 63},
  [2118] = {.lex_state = 63},
  [2119] = {.lex_state = 63},
  [2120] = {.lex_state = 63},
  [2121] = {.lex_state = 63},
  [2122] = {.lex_state = 63},
  [2123] = {.lex_state = 63},
  [2124] = {.lex_state = 63},
  [2125] = {.lex_state = 63},
  [2126] = {.lex_state = 63},
  [2127] = {.lex_state = 63},
  [2128] = {.lex_state = 63},
  [2129] = {.lex_state = 63},
  [2130] = {.lex_state = 63, .external_lex_state = 2},
  [2131] = {.lex_state = 63, .external_lex_state = 2},
  [2132] = {.lex_state = 63},
  [2133] = {.lex_state = 63},
  [2134] = {.lex_state = 63},
  [2135] = {.lex_state = 63},
  [2136] = {.lex_state = 63},
  [2137] = {.lex_state = 63},
  [2138] = {.lex_state = 63},
  [2139] = {.lex_state = 63},
  [2140] = {.lex_state = 63},
  [2141] = {.lex_state = 63},
  [2142] = {.lex_state = 63},
  [2143] = {.lex_state = 63},
  [2144] = {.lex_state = 63},
  [2145] = {.lex_state = 64},
  [2146] = {.lex_state = 63},
  [2147] = {.lex_state = 63},
  [2148] = {.lex_state = 63},
  [2149] = {.lex_state = 63},
  [2150] = {.lex_state = 63},
  [2151] = {.lex_state = 63},
  [2152] = {.lex_state = 63},
  [2153] = {.lex_state = 63},
  [2154] = {.lex_state = 63, .external_lex_state = 2},
  [2155] = {.lex_state = 63},
  [2156] = {.lex_state = 63},
  [2157] = {.lex_state = 63},
  [2158] = {.lex_state = 63},
  [2159] = {.lex_state = 63},
  [2160] = {.lex_state = 63},
  [2161] = {.lex_state = 63},
  [2162] = {.lex_state = 63, .external_lex_state = 13},
  [2163] = {.lex_state = 63},
  [2164] = {.lex_state = 63},
  [2165] = {.lex_state = 3, .external_lex_state = 12},
  [2166] = {.lex_state = 63},
  [2167] = {.lex_state = 63},
  [2168] = {.lex_state = 63},
  [2169] = {.lex_state = 63, .external_lex_state = 2},
  [2170] = {.lex_state = 3, .external_lex_state = 12},
  [2171] = {.lex_state = 63},
  [2172] = {.lex_state = 63},
  [2173] = {.lex_state = 63, .external_lex_state = 2},
  [2174] = {.lex_state = 63},
  [2175] = {.lex_state = 63},
  [2176] = {.lex_state = 63},
  [2177] = {.lex_state = 63},
  [2178] = {.lex_state = 63, .external_lex_state = 2},
  [2179] = {.lex_state = 63},
  [2180] = {.lex_state = 63},
  [2181] = {.lex_state = 63},
  [2182] = {.lex_state = 63},
  [2183] = {.lex_state = 63},
  [2184] = {.lex_state = 63},
  [2185] = {.lex_state = 63},
  [2186] = {.lex_state = 63},
  [2187] = {.lex_state = 63},
  [2188] = {.lex_state = 63},
  [2189] = {.lex_state = 63, .external_lex_state = 2},
  [2190] = {.lex_state = 63},
  [2191] = {.lex_state = 63},
  [2192] = {.lex_state = 63},
  [2193] = {.lex_state = 63},
  [2194] = {.lex_state = 63},
  [2195] = {.lex_state = 63},
  [2196] = {.lex_state = 63},
  [2197] = {.lex_state = 64},
  [2198] = {.lex_state = 63},
  [2199] = {.lex_state = 63},
  [2200] = {.lex_state = 63},
  [2201] = {.lex_state = 64, .external_lex_state = 10},
  [2202] = {.lex_state = 63},
  [2203] = {.lex_state = 63},
  [2204] = {.lex_state = 63},
  [2205] = {.lex_state = 63},
  [2206] = {.lex_state = 63},
  [2207] = {.lex_state = 63, .external_lex_state = 2},
  [2208] = {.lex_state = 63},
  [2209] = {.lex_state = 3, .external_lex_state = 12},
  [2210] = {.lex_state = 63},
  [2211] = {.lex_state = 63},
  [2212] = {.lex_state = 63},
  [2213] = {.lex_state = 3, .external_lex_state = 12},
  [2214] = {.lex_state = 63},
  [2215] = {.lex_state = 63, .external_lex_state = 2},
  [2216] = {.lex_state = 63},
  [2217] = {.lex_state = 63},
  [2218] = {.lex_state = 63, .external_lex_state = 2},
  [2219] = {.lex_state = 63, .external_lex_state = 2},
  [2220] = {.lex_state = 63},
  [2221] = {.lex_state = 63},
  [2222] = {.lex_state = 63},
  [2223] = {.lex_state = 63},
  [2224] = {.lex_state = 63},
  [2225] = {.lex_state = 63},
  [2226] = {.lex_state = 63},
  [2227] = {.lex_state = 63},
  [2228] = {.lex_state = 63},
  [2229] = {.lex_state = 63},
  [2230] = {.lex_state = 63},
  [2231] = {.lex_state = 63},
  [2232] = {.lex_state = 63},
  [2233] = {.lex_state = 63},
  [2234] = {.lex_state = 63, .external_lex_state = 2},
  [2235] = {.lex_state = 63},
  [2236] = {.lex_state = 63, .external_lex_state = 2},
  [2237] = {.lex_state = 63, .external_lex_state = 2},
  [2238] = {.lex_state = 63, .external_lex_state = 2},
  [2239] = {.lex_state = 63, .external_lex_state = 2},
  [2240] = {.lex_state = 63},
  [2241] = {.lex_state = 63},
  [2242] = {.lex_state = 63},
  [2243] = {.lex_state = 63, .external_lex_state = 2},
  [2244] = {.lex_state = 63},
  [2245] = {.lex_state = 63},
  [2246] = {.lex_state = 63},
  [2247] = {.lex_state = 63},
  [2248] = {.lex_state = 63},
  [2249] = {.lex_state = 63},
  [2250] = {.lex_state = 63},
  [2251] = {.lex_state = 63, .external_lex_state = 2},
  [2252] = {.lex_state = 63},
  [2253] = {.lex_state = 63},
  [2254] = {.lex_state = 63, .external_lex_state = 2},
  [2255] = {.lex_state = 63, .external_lex_state = 2},
  [2256] = {.lex_state = 63, .external_lex_state = 2},
  [2257] = {.lex_state = 63},
  [2258] = {.lex_state = 63},
  [2259] = {.lex_state = 63},
  [2260] = {.lex_state = 63, .external_lex_state = 2},
  [2261] = {.lex_state = 63, .external_lex_state = 2},
  [2262] = {.lex_state = 63},
  [2263] = {.lex_state = 63, .external_lex_state = 2},
  [2264] = {.lex_state = 63},
  [2265] = {.lex_state = 63},
  [2266] = {.lex_state = 63},
  [2267] = {.lex_state = 63},
  [2268] = {.lex_state = 63, .external_lex_state = 2},
  [2269] = {.lex_state = 63},
  [2270] = {.lex_state = 63},
  [2271] = {.lex_state = 63},
  [2272] = {.lex_state = 63},
  [2273] = {.lex_state = 63},
  [2274] = {.lex_state = 63},
  [2275] = {.lex_state = 63},
  [2276] = {.lex_state = 63},
  [2277] = {.lex_state = 63},
  [2278] = {.lex_state = 63},
  [2279] = {.lex_state = 63},
  [2280] = {.lex_state = 63},
  [2281] = {.lex_state = 63},
  [2282] = {.lex_state = 63},
  [2283] = {.lex_state = 63, .external_lex_state = 2},
  [2284] = {.lex_state = 63, .external_lex_state = 2},
  [2285] = {.lex_state = 63},
  [2286] = {.lex_state = 63},
  [2287] = {.lex_state = 63, .external_lex_state = 2},
  [2288] = {.lex_state = 63},
  [2289] = {.lex_state = 63},
  [2290] = {.lex_state = 63},
  [2291] = {.lex_state = 63},
  [2292] = {.lex_state = 63},
  [2293] = {.lex_state = 63},
  [2294] = {.lex_state = 63, .external_lex_state = 2},
  [2295] = {.lex_state = 63, .external_lex_state = 2},
  [2296] = {.lex_state = 63},
  [2297] = {.lex_state = 3, .external_lex_state = 12},
  [2298] = {.lex_state = 63, .external_lex_state = 2},
  [2299] = {.lex_state = 63},
  [2300] = {.lex_state = 63},
  [2301] = {.lex_state = 63, .external_lex_state = 14},
  [2302] = {.lex_state = 63},
  [2303] = {.lex_state = 63},
  [2304] = {.lex_state = 63},
  [2305] = {.lex_state = 63},
  [2306] = {.lex_state = 3, .external_lex_state = 12},
  [2307] = {.lex_state = 63},
  [2308] = {.lex_state = 63},
  [2309] = {.lex_state = 63},
  [2310] = {.lex_state = 63},
  [2311] = {.lex_state = 63, .external_lex_state = 2},
  [2312] = {.lex_state = 3, .external_lex_state = 12},
  [2313] = {.lex_state = 63},
  [2314] = {.lex_state = 63},
  [2315] = {.lex_state = 63},
  [2316] = {.lex_state = 63, .external_lex_state = 2},
  [2317] = {.lex_state = 63, .external_lex_state = 2},
  [2318] = {.lex_state = 63},
  [2319] = {.lex_state = 63},
  [2320] = {.lex_state = 63, .external_lex_state = 2},
  [2321] = {.lex_state = 63, .external_lex_state = 2},
  [2322] = {.lex_state = 63, .external_lex_state = 2},
  [2323] = {.lex_state = 63, .external_lex_state = 2},
  [2324] = {.lex_state = 63},
  [2325] = {.lex_state = 63, .external_lex_state = 2},
  [2326] = {.lex_state = 63},
  [2327] = {.lex_state = 63, .external_lex_state = 2},
  [2328] = {.lex_state = 63},
  [2329] = {.lex_state = 63},
  [2330] = {.lex_state = 63, .external_lex_state = 2},
  [2331] = {.lex_state = 63},
  [2332] = {.lex_state = 63},
  [2333] = {.lex_state = 63},
  [2334] = {.lex_state = 63},
  [2335] = {.lex_state = 63},
  [2336] = {.lex_state = 63},
  [2337] = {.lex_state = 63},
  [2338] = {.lex_state = 63},
  [2339] = {.lex_state = 63},
  [2340] = {.lex_state = 63},
  [2341] = {.lex_state = 63},
  [2342] = {.lex_state = 63},
  [2343] = {.lex_state = 63},
  [2344] = {.lex_state = 63},
  [2345] = {.lex_state = 63},
  [2346] = {.lex_state = 63},
  [2347] = {.lex_state = 63},
  [2348] = {.lex_state = 63},
  [2349] = {.lex_state = 63, .external_lex_state = 2},
  [2350] = {.lex_state = 63},
  [2351] = {.lex_state = 63},
  [2352] = {.lex_state = 63},
  [2353] = {.lex_state = 63, .external_lex_state = 2},
  [2354] = {.lex_state = 63},
  [2355] = {.lex_state = 63},
  [2356] = {.lex_state = 63, .external_lex_state = 2},
  [2357] = {.lex_state = 63, .external_lex_state = 2},
  [2358] = {.lex_state = 63, .external_lex_state = 2},
  [2359] = {.lex_state = 63},
  [2360] = {.lex_state = 63},
  [2361] = {.lex_state = 63, .external_lex_state = 2},
  [2362] = {.lex_state = 63},
  [2363] = {.lex_state = 63},
  [2364] = {.lex_state = 63},
  [2365] = {.lex_state = 63, .external_lex_state = 2},
  [2366] = {.lex_state = 63},
  [2367] = {.lex_state = 63},
  [2368] = {.lex_state = 63},
  [2369] = {.lex_state = 63},
  [2370] = {.lex_state = 63, .external_lex_state = 2},
  [2371] = {.lex_state = 63},
  [2372] = {.lex_state = 63},
  [2373] = {.lex_state = 63},
  [2374] = {.lex_state = 63, .external_lex_state = 2},
  [2375] = {.lex_state = 63},
  [2376] = {.lex_state = 63},
  [2377] = {.lex_state = 3, .external_lex_state = 12},
  [2378] = {.lex_state = 63},
  [2379] = {.lex_state = 63, .external_lex_state = 2},
  [2380] = {.lex_state = 63},
  [2381] = {.lex_state = 3, .external_lex_state = 12},
  [2382] = {.lex_state = 63, .external_lex_state = 2},
  [2383] = {.lex_state = 63},
  [2384] = {.lex_state = 63},
  [2385] = {.lex_state = 63, .external_lex_state = 2},
  [2386] = {.lex_state = 63, .external_lex_state = 2},
  [2387] = {.lex_state = 63},
  [2388] = {.lex_state = 63, .external_lex_state = 2},
  [2389] = {.lex_state = 63},
  [2390] = {.lex_state = 63, .external_lex_state = 2},
  [2391] = {.lex_state = 63},
  [2392] = {.lex_state = 63},
  [2393] = {.lex_state = 63},
  [2394] = {.lex_state = 3, .external_lex_state = 12},
  [2395] = {.lex_state = 63},
  [2396] = {.lex_state = 63},
  [2397] = {.lex_state = 63},
  [2398] = {.lex_state = 63},
  [2399] = {.lex_state = 63, .external_lex_state = 2},
  [2400] = {.lex_state = 63},
  [2401] = {.lex_state = 63},
  [2402] = {.lex_state = 63},
  [2403] = {.lex_state = 63},
  [2404] = {.lex_state = 63},
  [2405] = {.lex_state = 63},
  [2406] = {.lex_state = 63},
  [2407] = {.lex_state = 63},
  [2408] = {.lex_state = 63, .external_lex_state = 2},
  [2409] = {.lex_state = 63},
  [2410] = {.lex_state = 63},
  [2411] = {.lex_state = 63},
  [2412] = {.lex_state = 63},
  [2413] = {.lex_state = 63, .external_lex_state = 2},
  [2414] = {.lex_state = 63},
  [2415] = {.lex_state = 3, .external_lex_state = 12},
  [2416] = {.lex_state = 63},
  [2417] = {.lex_state = 63},
  [2418] = {.lex_state = 63},
  [2419] = {.lex_state = 63},
  [2420] = {.lex_state = 63},
  [2421] = {.lex_state = 63, .external_lex_state = 2},
  [2422] = {.lex_state = 63, .external_lex_state = 2},
  [2423] = {.lex_state = 63},
  [2424] = {.lex_state = 63},
  [2425] = {.lex_state = 63},
  [2426] = {.lex_state = 63, .external_lex_state = 2},
  [2427] = {.lex_state = 63},
  [2428] = {.lex_state = 63, .external_lex_state = 2},
  [2429] = {.lex_state = 63, .external_lex_state = 2},
  [2430] = {.lex_state = 63, .external_lex_state = 2},
  [2431] = {.lex_state = 63},
  [2432] = {.lex_state = 63, .external_lex_state = 2},
  [2433] = {.lex_state = 63},
  [2434] = {.lex_state = 63, .external_lex_state = 2},
  [2435] = {.lex_state = 63},
  [2436] = {.lex_state = 63},
  [2437] = {.lex_state = 63},
  [2438] = {.lex_state = 63},
  [2439] = {.lex_state = 63},
  [2440] = {.lex_state = 63},
  [2441] = {.lex_state = 63},
  [2442] = {.lex_state = 63},
  [2443] = {.lex_state = 63},
  [2444] = {.lex_state = 63},
  [2445] = {.lex_state = 63},
  [2446] = {.lex_state = 63},
  [2447] = {.lex_state = 63},
  [2448] = {.lex_state = 3, .external_lex_state = 12},
  [2449] = {.lex_state = 63},
  [2450] = {.lex_state = 63},
  [2451] = {.lex_state = 63, .external_lex_state = 2},
  [2452] = {.lex_state = 63},
  [2453] = {.lex_state = 63},
  [2454] = {.lex_state = 63},
  [2455] = {.lex_state = 63},
  [2456] = {.lex_state = 63},
  [2457] = {.lex_state = 63},
  [2458] = {.lex_state = 63},
  [2459] = {.lex_state = 63},
  [2460] = {.lex_state = 63},
  [2461] = {.lex_state = 63},
  [2462] = {.lex_state = 63},
  [2463] = {.lex_state = 63},
  [2464] = {.lex_state = 63},
  [2465] = {.lex_state = 63},
  [2466] = {.lex_state = 63},
  [2467] = {.lex_state = 63},
  [2468] = {.lex_state = 63},
  [2469] = {.lex_state = 63},
  [2470] = {.lex_state = 63},
  [2471] = {.lex_state = 63},
  [2472] = {.lex_state = 63},
  [2473] = {.lex_state = 63},
  [2474] = {.lex_state = 63},
  [2475] = {.lex_state = 63},
  [2476] = {.lex_state = 63},
  [2477] = {.lex_state = 63},
  [2478] = {.lex_state = 63},
  [2479] = {.lex_state = 63},
  [2480] = {.lex_state = 63},
  [2481] = {.lex_state = 63},
  [2482] = {.lex_state = 63},
  [2483] = {.lex_state = 63},
  [2484] = {.lex_state = 63},
  [2485] = {.lex_state = 63},
  [2486] = {.lex_state = 63},
  [2487] = {.lex_state = 63},
  [2488] = {.lex_state = 63},
  [2489] = {.lex_state = 63},
  [2490] = {.lex_state = 63},
  [2491] = {.lex_state = 63, .external_lex_state = 12},
  [2492] = {.lex_state = 63},
  [2493] = {.lex_state = 63},
  [2494] = {.lex_state = 63},
  [2495] = {.lex_state = 63},
  [2496] = {.lex_state = 10},
  [2497] = {.lex_state = 63},
  [2498] = {.lex_state = 63},
  [2499] = {.lex_state = 63},
  [2500] = {.lex_state = 63},
  [2501] = {.lex_state = 63},
  [2502] = {.lex_state = 63},
  [2503] = {.lex_state = 63},
  [2504] = {.lex_state = 63},
  [2505] = {.lex_state = 63},
  [2506] = {.lex_state = 63},
  [2507] = {.lex_state = 63},
  [2508] = {.lex_state = 63},
  [2509] = {.lex_state = 63, .external_lex_state = 12},
  [2510] = {.lex_state = 63},
  [2511] = {.lex_state = 63, .external_lex_state = 12},
  [2512] = {.lex_state = 63},
  [2513] = {.lex_state = 63},
  [2514] = {.lex_state = 63, .external_lex_state = 13},
  [2515] = {.lex_state = 63, .external_lex_state = 13},
  [2516] = {.lex_state = 63},
  [2517] = {.lex_state = 63},
  [2518] = {.lex_state = 63},
  [2519] = {.lex_state = 63},
  [2520] = {.lex_state = 63},
  [2521] = {.lex_state = 63},
  [2522] = {.lex_state = 63},
  [2523] = {.lex_state = 63},
  [2524] = {.lex_state = 63},
  [2525] = {.lex_state = 63},
  [2526] = {.lex_state = 63},
  [2527] = {.lex_state = 63},
  [2528] = {.lex_state = 63},
  [2529] = {.lex_state = 63},
  [2530] = {.lex_state = 63},
  [2531] = {.lex_state = 63},
  [2532] = {.lex_state = 63},
  [2533] = {.lex_state = 63, .external_lex_state = 12},
  [2534] = {.lex_state = 63},
  [2535] = {.lex_state = 63},
  [2536] = {.lex_state = 63},
  [2537] = {.lex_state = 63},
  [2538] = {.lex_state = 63},
  [2539] = {.lex_state = 63, .external_lex_state = 12},
  [2540] = {.lex_state = 63, .external_lex_state = 12},
  [2541] = {.lex_state = 63},
  [2542] = {.lex_state = 63},
  [2543] = {.lex_state = 63},
  [2544] = {.lex_state = 63},
  [2545] = {.lex_state = 63},
  [2546] = {.lex_state = 63},
  [2547] = {.lex_state = 63, .external_lex_state = 12},
  [2548] = {.lex_state = 63},
  [2549] = {.lex_state = 10},
  [2550] = {.lex_state = 63},
  [2551] = {.lex_state = 63},
  [2552] = {.lex_state = 63},
  [2553] = {.lex_state = 63},
  [2554] = {.lex_state = 63},
  [2555] = {.lex_state = 63},
  [2556] = {.lex_state = 63, .external_lex_state = 12},
  [2557] = {.lex_state = 63},
  [2558] = {.lex_state = 63},
  [2559] = {.lex_state = 63},
  [2560] = {.lex_state = 63, .external_lex_state = 12},
  [2561] = {.lex_state = 63},
  [2562] = {.lex_state = 63},
  [2563] = {.lex_state = 63, .external_lex_state = 13},
  [2564] = {.lex_state = 63},
  [2565] = {.lex_state = 63},
  [2566] = {.lex_state = 63},
  [2567] = {.lex_state = 63},
  [2568] = {.lex_state = 63},
  [2569] = {.lex_state = 63},
  [2570] = {.lex_state = 63},
  [2571] = {.lex_state = 63},
  [2572] = {.lex_state = 63},
  [2573] = {.lex_state = 63},
  [2574] = {.lex_state = 63},
  [2575] = {.lex_state = 63},
  [2576] = {.lex_state = 63},
  [2577] = {.lex_state = 63, .external_lex_state = 13},
  [2578] = {.lex_state = 63},
  [2579] = {.lex_state = 63},
  [2580] = {.lex_state = 63},
  [2581] = {.lex_state = 63},
  [2582] = {.lex_state = 63},
  [2583] = {.lex_state = 63},
  [2584] = {.lex_state = 63},
  [2585] = {.lex_state = 63},
  [2586] = {.lex_state = 63},
  [2587] = {.lex_state = 63},
  [2588] = {.lex_state = 63},
  [2589] = {.lex_state = 63},
  [2590] = {.lex_state = 63},
  [2591] = {.lex_state = 63},
  [2592] = {.lex_state = 63},
  [2593] = {.lex_state = 63},
  [2594] = {.lex_state = 63},
  [2595] = {.lex_state = 63},
  [2596] = {.lex_state = 63},
  [2597] = {.lex_state = 63},
  [2598] = {.lex_state = 63},
  [2599] = {.lex_state = 63},
  [2600] = {.lex_state = 63},
  [2601] = {.lex_state = 63},
  [2602] = {.lex_state = 63},
  [2603] = {.lex_state = 63},
  [2604] = {.lex_state = 63},
  [2605] = {.lex_state = 63},
  [2606] = {.lex_state = 63},
  [2607] = {.lex_state = 63},
  [2608] = {.lex_state = 63},
  [2609] = {.lex_state = 63},
  [2610] = {.lex_state = 63},
  [2611] = {.lex_state = 63},
  [2612] = {.lex_state = 63},
  [2613] = {.lex_state = 63},
  [2614] = {.lex_state = 63},
  [2615] = {.lex_state = 63},
  [2616] = {.lex_state = 63},
  [2617] = {.lex_state = 63},
  [2618] = {.lex_state = 63},
  [2619] = {.lex_state = 63},
  [2620] = {.lex_state = 63},
  [2621] = {.lex_state = 63},
  [2622] = {.lex_state = 63},
  [2623] = {.lex_state = 63},
  [2624] = {.lex_state = 63},
  [2625] = {.lex_state = 63},
  [2626] = {.lex_state = 63},
  [2627] = {.lex_state = 63},
  [2628] = {.lex_state = 63},
  [2629] = {.lex_state = 63},
  [2630] = {.lex_state = 63},
  [2631] = {.lex_state = 63},
  [2632] = {.lex_state = 63},
  [2633] = {.lex_state = 63},
  [2634] = {.lex_state = 63},
  [2635] = {.lex_state = 63},
  [2636] = {.lex_state = 63},
  [2637] = {.lex_state = 63},
  [2638] = {.lex_state = 63},
  [2639] = {.lex_state = 63},
  [2640] = {.lex_state = 63},
  [2641] = {.lex_state = 63},
  [2642] = {.lex_state = 63},
  [2643] = {.lex_state = 63},
  [2644] = {.lex_state = 63},
  [2645] = {.lex_state = 63},
  [2646] = {.lex_state = 63},
  [2647] = {.lex_state = 63},
  [2648] = {.lex_state = 63},
  [2649] = {.lex_state = 63},
  [2650] = {.lex_state = 63, .external_lex_state = 12},
  [2651] = {.lex_state = 63},
  [2652] = {.lex_state = 63},
  [2653] = {.lex_state = 63},
  [2654] = {.lex_state = 63},
  [2655] = {.lex_state = 63},
  [2656] = {.lex_state = 63},
  [2657] = {.lex_state = 63},
  [2658] = {.lex_state = 63},
  [2659] = {.lex_state = 63},
  [2660] = {.lex_state = 63},
  [2661] = {.lex_state = 63},
  [2662] = {.lex_state = 63},
  [2663] = {.lex_state = 63},
  [2664] = {.lex_state = 63},
  [2665] = {.lex_state = 63},
  [2666] = {.lex_state = 63},
  [2667] = {.lex_state = 63},
  [2668] = {(TSStateId)(-1)},
  [2669] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2664),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2197),
    [aux_sym_text_repeat1] = STATE(1711),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(11),
    [aux_sym_text_token1] = ACTIONS(13),
    [aux_sym_text_token2] = ACTIONS(15),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [ts_builtin_sym_end] = ACTIONS(17),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(37),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [anon_sym_RBRACE] = ACTIONS(17),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_enum_case_token1] = ACTIONS(58),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [aux_sym__arrow_function_header_token1] = ACTIONS(78),
    [anon_sym_LPAREN] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(96),
    [aux_sym_declare_statement_token2] = ACTIONS(58),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(120),
    [aux_sym_while_statement_token2] = ACTIONS(58),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(126),
    [aux_sym_for_statement_token2] = ACTIONS(58),
    [aux_sym_foreach_statement_token1] = ACTIONS(129),
    [aux_sym_foreach_statement_token2] = ACTIONS(58),
    [aux_sym_if_statement_token1] = ACTIONS(132),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_match_default_expression_token1] = ACTIONS(58),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [aux_sym_switch_block_token1] = ACTIONS(58),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym_object_creation_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(230),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(238),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(340),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(342),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(342),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(344),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(346),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(346),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(348),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(350),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(350),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(350),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(352),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(352),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(37),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [aux_sym__arrow_function_header_token1] = ACTIONS(78),
    [anon_sym_LPAREN] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(354),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(357),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(360),
    [aux_sym_foreach_statement_token1] = ACTIONS(363),
    [aux_sym_if_statement_token1] = ACTIONS(366),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_else_if_clause_token1] = ACTIONS(58),
    [aux_sym_else_clause_token1] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym_object_creation_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token2] = ACTIONS(379),
    [aux_sym_else_if_clause_token1] = ACTIONS(379),
    [aux_sym_else_clause_token1] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_if_statement_token2] = ACTIONS(352),
    [aux_sym_else_if_clause_token1] = ACTIONS(352),
    [aux_sym_else_clause_token1] = ACTIONS(352),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(379),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(379),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(379),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_colon_block] = STATE(2593),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_statement] = STATE(2071),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_colon_block] = STATE(2518),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_statement] = STATE(2071),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_colon_block] = STATE(2518),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_colon_block] = STATE(2593),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(453),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_statement] = STATE(426),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_colon_block] = STATE(1670),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(457),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_statement] = STATE(466),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(463),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(75),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(465),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(467),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_statement] = STATE(2014),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_colon_block] = STATE(2567),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(471),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_statement] = STATE(456),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(479),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(481),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_statement] = STATE(2048),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(483),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(487),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_statement] = STATE(428),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_colon_block] = STATE(1670),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(489),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(489),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_statement] = STATE(1994),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(491),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(493),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(495),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(481),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_statement] = STATE(2006),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_statement] = STATE(470),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_colon_block] = STATE(2495),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_statement] = STATE(503),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(503),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(505),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_statement] = STATE(2129),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(453),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_statement] = STATE(2129),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_statement] = STATE(456),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(515),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(515),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(519),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_statement] = STATE(2087),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(521),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(523),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(525),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [ts_builtin_sym_end] = ACTIONS(527),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_statement] = STATE(466),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(463),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(41),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(531),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_statement] = STATE(2006),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [ts_builtin_sym_end] = ACTIONS(527),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_statement] = STATE(1994),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(491),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(493),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(495),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(43),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(535),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_statement] = STATE(1623),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_colon_block] = STATE(1637),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_statement] = STATE(524),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(537),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(539),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(541),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_statement] = STATE(2087),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(521),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(523),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(525),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(543),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_statement] = STATE(483),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(547),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(549),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [ts_builtin_sym_end] = ACTIONS(551),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(553),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_statement] = STATE(1671),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_colon_block] = STATE(1637),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(555),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_statement] = STATE(2014),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_colon_block] = STATE(2567),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_statement] = STATE(503),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(503),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(505),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(557),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_statement] = STATE(483),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(547),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(549),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(559),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [ts_builtin_sym_end] = ACTIONS(561),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_statement] = STATE(470),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_colon_block] = STATE(2495),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_statement] = STATE(524),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(537),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(539),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(541),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(563),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_statement] = STATE(2048),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(483),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(487),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(565),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_statement] = STATE(2003),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_statement] = STATE(2543),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_statement] = STATE(521),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_statement] = STATE(521),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_statement] = STATE(2003),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_statement] = STATE(492),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(518),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2241),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(506),
    [sym_exit_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1367),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1372),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(369),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(373),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_statement] = STATE(2113),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_statement] = STATE(2575),
    [sym_empty_statement] = STATE(2174),
    [sym_function_static_declaration] = STATE(2174),
    [sym_global_declaration] = STATE(2174),
    [sym_namespace_definition] = STATE(2174),
    [sym_namespace_use_declaration] = STATE(2174),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2174),
    [sym_interface_declaration] = STATE(2174),
    [sym_enum_declaration] = STATE(2174),
    [sym_class_declaration] = STATE(2174),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2174),
    [sym__const_declaration] = STATE(2013),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1435),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2174),
    [sym__function_definition_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_echo_statement] = STATE(2174),
    [sym_exit_statement] = STATE(2174),
    [sym_unset_statement] = STATE(2174),
    [sym_declare_statement] = STATE(2174),
    [sym_literal] = STATE(1062),
    [sym_try_statement] = STATE(2174),
    [sym_goto_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_return_statement] = STATE(2174),
    [sym_throw_expression] = STATE(1062),
    [sym_while_statement] = STATE(2174),
    [sym_do_statement] = STATE(2174),
    [sym_for_statement] = STATE(2174),
    [sym_foreach_statement] = STATE(2174),
    [sym_if_statement] = STATE(2174),
    [sym_match_expression] = STATE(1093),
    [sym_switch_statement] = STATE(2174),
    [sym_compound_statement] = STATE(2174),
    [sym_named_label_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1365),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(1371),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1023),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(926),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(571),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(579),
    [anon_sym_RBRACE] = ACTIONS(569),
    [anon_sym_COLON] = ACTIONS(569),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_yield_expression_token2] = ACTIONS(625),
    [aux_sym_binary_expression_token1] = ACTIONS(579),
    [anon_sym_QMARK_QMARK] = ACTIONS(569),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [aux_sym_binary_expression_token2] = ACTIONS(579),
    [aux_sym_binary_expression_token3] = ACTIONS(579),
    [aux_sym_binary_expression_token4] = ACTIONS(579),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(579),
    [anon_sym_BANG_EQ] = ACTIONS(579),
    [anon_sym_LT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(579),
    [anon_sym_GT] = ACTIONS(579),
    [anon_sym_LT_EQ] = ACTIONS(579),
    [anon_sym_GT_EQ] = ACTIONS(569),
    [anon_sym_LT_EQ_GT] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(579),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_DOT] = ACTIONS(579),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(579),
    [anon_sym_PERCENT] = ACTIONS(569),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1045),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(926),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(571),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(569),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(569),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(569),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_yield_expression_token2] = ACTIONS(655),
    [aux_sym_binary_expression_token1] = ACTIONS(579),
    [anon_sym_QMARK_QMARK] = ACTIONS(569),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [aux_sym_binary_expression_token2] = ACTIONS(579),
    [aux_sym_binary_expression_token3] = ACTIONS(579),
    [aux_sym_binary_expression_token4] = ACTIONS(579),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(579),
    [anon_sym_BANG_EQ] = ACTIONS(579),
    [anon_sym_LT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(579),
    [anon_sym_GT] = ACTIONS(579),
    [anon_sym_LT_EQ] = ACTIONS(579),
    [anon_sym_GT_EQ] = ACTIONS(569),
    [anon_sym_LT_EQ_GT] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(579),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_DOT] = ACTIONS(579),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(579),
    [anon_sym_PERCENT] = ACTIONS(569),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(1108),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1108),
    [sym_yield_expression] = STATE(1093),
    [sym_array_element_initializer] = STATE(1158),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(667),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(569),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(671),
    [anon_sym_QMARK] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_yield_expression_token2] = ACTIONS(673),
    [aux_sym_binary_expression_token1] = ACTIONS(579),
    [anon_sym_QMARK_QMARK] = ACTIONS(569),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [aux_sym_binary_expression_token2] = ACTIONS(579),
    [aux_sym_binary_expression_token3] = ACTIONS(579),
    [aux_sym_binary_expression_token4] = ACTIONS(579),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(579),
    [anon_sym_BANG_EQ] = ACTIONS(579),
    [anon_sym_LT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(579),
    [anon_sym_GT] = ACTIONS(579),
    [anon_sym_LT_EQ] = ACTIONS(579),
    [anon_sym_GT_EQ] = ACTIONS(569),
    [anon_sym_LT_EQ_GT] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(579),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_DOT] = ACTIONS(579),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(579),
    [anon_sym_PERCENT] = ACTIONS(569),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(569),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(926),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(571),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(569),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [anon_sym_QMARK] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_yield_expression_token2] = ACTIONS(695),
    [aux_sym_binary_expression_token1] = ACTIONS(579),
    [anon_sym_QMARK_QMARK] = ACTIONS(569),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [aux_sym_binary_expression_token2] = ACTIONS(579),
    [aux_sym_binary_expression_token3] = ACTIONS(579),
    [aux_sym_binary_expression_token4] = ACTIONS(579),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(579),
    [anon_sym_BANG_EQ] = ACTIONS(579),
    [anon_sym_LT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(579),
    [anon_sym_GT] = ACTIONS(579),
    [anon_sym_LT_EQ] = ACTIONS(579),
    [anon_sym_GT_EQ] = ACTIONS(569),
    [anon_sym_LT_EQ_GT] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(579),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_DOT] = ACTIONS(579),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(579),
    [anon_sym_PERCENT] = ACTIONS(569),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2530),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2484),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2537),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2589),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2550),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2552),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2545),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2550),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2479),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2468),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2524),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_cast_type] = STATE(2484),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2614),
    [sym_argument] = STATE(2120),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2471),
    [sym_argument] = STATE(1938),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2631),
    [sym_argument] = STATE(2149),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(632),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(632),
    [sym_nullsafe_member_access_expression] = STATE(632),
    [sym_scoped_property_access_expression] = STATE(632),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2035),
    [sym__array_destructing_element] = STATE(2032),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_by_ref] = STATE(2343),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2024),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym__array_destructing_repeat1] = STATE(2016),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(749),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(632),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(632),
    [sym_nullsafe_member_access_expression] = STATE(632),
    [sym_scoped_property_access_expression] = STATE(632),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2035),
    [sym__array_destructing_element] = STATE(2032),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_by_ref] = STATE(2343),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(1976),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym__array_destructing_repeat1] = STATE(2016),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(751),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(753),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(632),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(632),
    [sym_nullsafe_member_access_expression] = STATE(632),
    [sym_scoped_property_access_expression] = STATE(632),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2035),
    [sym__array_destructing_element] = STATE(2032),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_by_ref] = STATE(2343),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(1976),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym__array_destructing_repeat1] = STATE(2016),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(751),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(755),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2618),
    [sym_argument] = STATE(2119),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(757),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2660),
    [sym_argument] = STATE(2186),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(761),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2638),
    [sym_argument] = STATE(2160),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(632),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(632),
    [sym_nullsafe_member_access_expression] = STATE(632),
    [sym_scoped_property_access_expression] = STATE(632),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2035),
    [sym__array_destructing_element] = STATE(2032),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_by_ref] = STATE(2343),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(1976),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym__array_destructing_repeat1] = STATE(2016),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(751),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(769),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2653),
    [sym_argument] = STATE(2167),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(771),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(632),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(632),
    [sym_nullsafe_member_access_expression] = STATE(632),
    [sym_scoped_property_access_expression] = STATE(632),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2035),
    [sym__array_destructing_element] = STATE(2032),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_by_ref] = STATE(2343),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(1976),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym__array_destructing_repeat1] = STATE(2016),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(751),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(775),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2500),
    [sym_argument] = STATE(2000),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(777),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(1976),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(789),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(791),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2024),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(799),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(801),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(1937),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(813),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(1950),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(817),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2147),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(829),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2147),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2147),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2147),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2147),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(837),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2099),
    [sym_match_default_expression] = STATE(2099),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(839),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(841),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2147),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2309),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2400),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1497),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2147),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(847),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(1971),
    [sym_match_default_expression] = STATE(1971),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(849),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(851),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2147),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2359),
    [sym_match_default_expression] = STATE(2359),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(855),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2359),
    [sym_match_default_expression] = STATE(2359),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(857),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2035),
    [sym__array_destructing_element] = STATE(2425),
    [sym_function_call_expression] = STATE(623),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(623),
    [sym_variable_name] = STATE(623),
    [sym_by_ref] = STATE(2424),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(859),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(861),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(865),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2035),
    [sym__array_destructing_element] = STATE(2425),
    [sym_function_call_expression] = STATE(623),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(623),
    [sym_variable_name] = STATE(623),
    [sym_by_ref] = STATE(2424),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(859),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(861),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(868),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(629),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(629),
    [sym_nullsafe_member_access_expression] = STATE(629),
    [sym_scoped_property_access_expression] = STATE(629),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(1885),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(1967),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym__list_destructing_repeat1] = STATE(1968),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(871),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(873),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2035),
    [sym__array_destructing_element] = STATE(2425),
    [sym_function_call_expression] = STATE(623),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(623),
    [sym_variable_name] = STATE(623),
    [sym_by_ref] = STATE(2424),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(859),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(861),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_RBRACK] = ACTIONS(859),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2359),
    [sym_match_default_expression] = STATE(2359),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(875),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2147),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(964),
    [sym_array_element_initializer] = STATE(2147),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2359),
    [sym_match_default_expression] = STATE(2359),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(877),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2116),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(611),
    [sym_scoped_call_expression] = STATE(611),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(611),
    [sym_nullsafe_member_call_expression] = STATE(611),
    [sym_subscript_expression] = STATE(611),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(611),
    [sym_variable_name] = STATE(611),
    [sym_by_ref] = STATE(2240),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(879),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(879),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(195),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2204),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2359),
    [sym_match_default_expression] = STATE(2359),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_foreach_pair] = STATE(2526),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2352),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(2526),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2519),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(881),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_foreach_pair] = STATE(2601),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2248),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(2601),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2661),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(883),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2620),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2597),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(887),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2531),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(889),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2466),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(891),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2521),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(893),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2464),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(895),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2624),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(897),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_foreach_pair] = STATE(2463),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2459),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(2463),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2565),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(899),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2520),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(901),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2654),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_foreach_pair] = STATE(2600),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2245),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(2600),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2599),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(905),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2564),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2651),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(909),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2605),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(911),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2477),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(913),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2603),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(915),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2602),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2592),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(919),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2607),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(921),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2591),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(923),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2646),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(925),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__expressions] = STATE(2648),
    [sym_sequence_expression] = STATE(2198),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(929),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(929),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym__expressions] = STATE(2311),
    [sym_sequence_expression] = STATE(2316),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(931),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2205),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1531),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(933),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1119),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(939),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_variadic_unpacking] = STATE(2310),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1514),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2141),
    [sym_function_call_expression] = STATE(630),
    [sym_scoped_call_expression] = STATE(630),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(630),
    [sym_nullsafe_member_call_expression] = STATE(630),
    [sym_subscript_expression] = STATE(630),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(630),
    [sym_variable_name] = STATE(630),
    [sym_by_ref] = STATE(2229),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(941),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(941),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1013),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym__expressions] = STATE(2353),
    [sym_sequence_expression] = STATE(2316),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1322),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2252),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(2596),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(943),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(943),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(945),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(949),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(951),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(955),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_sequence_expression] = STATE(2288),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1327),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(957),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_sequence_expression] = STATE(2298),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(959),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1002),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(961),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(963),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(965),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_sequence_expression] = STATE(2288),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(969),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(971),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(973),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(975),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(977),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(979),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(981),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1017),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(991),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1007),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1328),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1329),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1012),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1043),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(921),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1324),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1104),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1117),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(971),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1044),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1048),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1003),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1054),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1055),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1027),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1047),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(995),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(994),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1024),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1025),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1137),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1321),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1016),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1006),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1005),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1008),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(996),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(997),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(998),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1000),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(971),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1001),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(921),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1004),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1046),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1042),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1040),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1036),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1035),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1034),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1033),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1032),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1330),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1029),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1037),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1026),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2528),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1326),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1010),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1028),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(614),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(614),
    [sym_nullsafe_member_access_expression] = STATE(614),
    [sym_scoped_property_access_expression] = STATE(614),
    [sym_list_literal] = STATE(2481),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_match_expression] = STATE(1093),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1095),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1093),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(1093),
    [sym_reference_assignment_expression] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_augmented_assignment_expression] = STATE(1093),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2612),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1093),
    [sym_binary_expression] = STATE(1093),
    [sym_include_expression] = STATE(1093),
    [sym_include_once_expression] = STATE(1093),
    [sym_require_expression] = STATE(1093),
    [sym_require_once_expression] = STATE(1093),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(921),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(971),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(999),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_match_expression] = STATE(964),
    [sym_expression] = STATE(1022),
    [sym__unary_expression] = STATE(957),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(964),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(964),
    [sym_reference_assignment_expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2242),
    [sym__array_destructing] = STATE(2242),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym_require_expression] = STATE(964),
    [sym_require_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_catch_clause] = STATE(435),
    [sym_finally_clause] = STATE(435),
    [aux_sym_try_statement_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_name] = ACTIONS(985),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(983),
    [aux_sym_function_static_declaration_token1] = ACTIONS(985),
    [aux_sym_global_declaration_token1] = ACTIONS(985),
    [aux_sym_namespace_definition_token1] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(983),
    [aux_sym_trait_declaration_token1] = ACTIONS(985),
    [aux_sym_interface_declaration_token1] = ACTIONS(985),
    [aux_sym_enum_declaration_token1] = ACTIONS(985),
    [aux_sym_enum_case_token1] = ACTIONS(985),
    [aux_sym_class_declaration_token1] = ACTIONS(985),
    [aux_sym_final_modifier_token1] = ACTIONS(985),
    [aux_sym_abstract_modifier_token1] = ACTIONS(985),
    [aux_sym_readonly_modifier_token1] = ACTIONS(985),
    [sym_var_modifier] = ACTIONS(985),
    [aux_sym_visibility_modifier_token1] = ACTIONS(985),
    [aux_sym_visibility_modifier_token2] = ACTIONS(985),
    [aux_sym_visibility_modifier_token3] = ACTIONS(985),
    [aux_sym__arrow_function_header_token1] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(983),
    [aux_sym_cast_type_token1] = ACTIONS(985),
    [aux_sym_echo_statement_token1] = ACTIONS(985),
    [aux_sym_exit_statement_token1] = ACTIONS(985),
    [anon_sym_unset] = ACTIONS(985),
    [aux_sym_declare_statement_token1] = ACTIONS(985),
    [aux_sym_declare_statement_token2] = ACTIONS(985),
    [sym_float] = ACTIONS(985),
    [aux_sym_try_statement_token1] = ACTIONS(985),
    [aux_sym_catch_clause_token1] = ACTIONS(987),
    [aux_sym_finally_clause_token1] = ACTIONS(990),
    [aux_sym_goto_statement_token1] = ACTIONS(985),
    [aux_sym_continue_statement_token1] = ACTIONS(985),
    [aux_sym_break_statement_token1] = ACTIONS(985),
    [sym_integer] = ACTIONS(985),
    [aux_sym_return_statement_token1] = ACTIONS(985),
    [aux_sym_throw_expression_token1] = ACTIONS(985),
    [aux_sym_while_statement_token1] = ACTIONS(985),
    [aux_sym_while_statement_token2] = ACTIONS(985),
    [aux_sym_do_statement_token1] = ACTIONS(985),
    [aux_sym_for_statement_token1] = ACTIONS(985),
    [aux_sym_for_statement_token2] = ACTIONS(985),
    [aux_sym_foreach_statement_token1] = ACTIONS(985),
    [aux_sym_foreach_statement_token2] = ACTIONS(985),
    [aux_sym_if_statement_token1] = ACTIONS(985),
    [aux_sym_if_statement_token2] = ACTIONS(985),
    [aux_sym_else_if_clause_token1] = ACTIONS(985),
    [aux_sym_else_clause_token1] = ACTIONS(985),
    [aux_sym_match_expression_token1] = ACTIONS(985),
    [aux_sym_match_default_expression_token1] = ACTIONS(985),
    [aux_sym_switch_statement_token1] = ACTIONS(985),
    [aux_sym_switch_block_token1] = ACTIONS(985),
    [anon_sym_PLUS] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_BANG] = ACTIONS(983),
    [anon_sym_AT] = ACTIONS(983),
    [aux_sym_clone_expression_token1] = ACTIONS(985),
    [aux_sym_print_intrinsic_token1] = ACTIONS(985),
    [aux_sym_object_creation_expression_token1] = ACTIONS(985),
    [anon_sym_DASH_DASH] = ACTIONS(983),
    [anon_sym_PLUS_PLUS] = ACTIONS(983),
    [aux_sym__list_destructing_token1] = ACTIONS(985),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(985),
    [anon_sym_parent] = ACTIONS(985),
    [aux_sym__argument_name_token1] = ACTIONS(985),
    [aux_sym__argument_name_token2] = ACTIONS(985),
    [anon_sym_POUND_LBRACK] = ACTIONS(983),
    [aux_sym_encapsed_string_token1] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(983),
    [aux_sym_string_token1] = ACTIONS(983),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_LT_LT_LT] = ACTIONS(983),
    [anon_sym_BQUOTE] = ACTIONS(983),
    [anon_sym_DOLLAR] = ACTIONS(983),
    [aux_sym_yield_expression_token1] = ACTIONS(985),
    [aux_sym_include_expression_token1] = ACTIONS(985),
    [aux_sym_include_once_expression_token1] = ACTIONS(985),
    [aux_sym_require_expression_token1] = ACTIONS(985),
    [aux_sym_require_once_expression_token1] = ACTIONS(985),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_catch_clause] = STATE(435),
    [sym_finally_clause] = STATE(435),
    [aux_sym_try_statement_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(993),
    [sym_name] = ACTIONS(995),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(993),
    [aux_sym_function_static_declaration_token1] = ACTIONS(995),
    [aux_sym_global_declaration_token1] = ACTIONS(995),
    [aux_sym_namespace_definition_token1] = ACTIONS(995),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(995),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(995),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(995),
    [anon_sym_BSLASH] = ACTIONS(993),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_RBRACE] = ACTIONS(993),
    [aux_sym_trait_declaration_token1] = ACTIONS(995),
    [aux_sym_interface_declaration_token1] = ACTIONS(995),
    [aux_sym_enum_declaration_token1] = ACTIONS(995),
    [aux_sym_enum_case_token1] = ACTIONS(995),
    [aux_sym_class_declaration_token1] = ACTIONS(995),
    [aux_sym_final_modifier_token1] = ACTIONS(995),
    [aux_sym_abstract_modifier_token1] = ACTIONS(995),
    [aux_sym_readonly_modifier_token1] = ACTIONS(995),
    [sym_var_modifier] = ACTIONS(995),
    [aux_sym_visibility_modifier_token1] = ACTIONS(995),
    [aux_sym_visibility_modifier_token2] = ACTIONS(995),
    [aux_sym_visibility_modifier_token3] = ACTIONS(995),
    [aux_sym__arrow_function_header_token1] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(993),
    [aux_sym_cast_type_token1] = ACTIONS(995),
    [aux_sym_echo_statement_token1] = ACTIONS(995),
    [aux_sym_exit_statement_token1] = ACTIONS(995),
    [anon_sym_unset] = ACTIONS(995),
    [aux_sym_declare_statement_token1] = ACTIONS(995),
    [aux_sym_declare_statement_token2] = ACTIONS(995),
    [sym_float] = ACTIONS(995),
    [aux_sym_try_statement_token1] = ACTIONS(995),
    [aux_sym_catch_clause_token1] = ACTIONS(997),
    [aux_sym_finally_clause_token1] = ACTIONS(999),
    [aux_sym_goto_statement_token1] = ACTIONS(995),
    [aux_sym_continue_statement_token1] = ACTIONS(995),
    [aux_sym_break_statement_token1] = ACTIONS(995),
    [sym_integer] = ACTIONS(995),
    [aux_sym_return_statement_token1] = ACTIONS(995),
    [aux_sym_throw_expression_token1] = ACTIONS(995),
    [aux_sym_while_statement_token1] = ACTIONS(995),
    [aux_sym_while_statement_token2] = ACTIONS(995),
    [aux_sym_do_statement_token1] = ACTIONS(995),
    [aux_sym_for_statement_token1] = ACTIONS(995),
    [aux_sym_for_statement_token2] = ACTIONS(995),
    [aux_sym_foreach_statement_token1] = ACTIONS(995),
    [aux_sym_foreach_statement_token2] = ACTIONS(995),
    [aux_sym_if_statement_token1] = ACTIONS(995),
    [aux_sym_if_statement_token2] = ACTIONS(995),
    [aux_sym_else_if_clause_token1] = ACTIONS(995),
    [aux_sym_else_clause_token1] = ACTIONS(995),
    [aux_sym_match_expression_token1] = ACTIONS(995),
    [aux_sym_match_default_expression_token1] = ACTIONS(995),
    [aux_sym_switch_statement_token1] = ACTIONS(995),
    [aux_sym_switch_block_token1] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(993),
    [anon_sym_AT] = ACTIONS(993),
    [aux_sym_clone_expression_token1] = ACTIONS(995),
    [aux_sym_print_intrinsic_token1] = ACTIONS(995),
    [aux_sym_object_creation_expression_token1] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(993),
    [anon_sym_PLUS_PLUS] = ACTIONS(993),
    [aux_sym__list_destructing_token1] = ACTIONS(995),
    [anon_sym_LBRACK] = ACTIONS(993),
    [anon_sym_self] = ACTIONS(995),
    [anon_sym_parent] = ACTIONS(995),
    [aux_sym__argument_name_token1] = ACTIONS(995),
    [aux_sym__argument_name_token2] = ACTIONS(995),
    [anon_sym_POUND_LBRACK] = ACTIONS(993),
    [aux_sym_encapsed_string_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(993),
    [aux_sym_string_token1] = ACTIONS(993),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [anon_sym_LT_LT_LT] = ACTIONS(993),
    [anon_sym_BQUOTE] = ACTIONS(993),
    [anon_sym_DOLLAR] = ACTIONS(993),
    [aux_sym_yield_expression_token1] = ACTIONS(995),
    [aux_sym_include_expression_token1] = ACTIONS(995),
    [aux_sym_include_once_expression_token1] = ACTIONS(995),
    [aux_sym_require_expression_token1] = ACTIONS(995),
    [aux_sym_require_once_expression_token1] = ACTIONS(995),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_else_if_clause] = STATE(462),
    [sym_else_clause] = STATE(461),
    [aux_sym_if_statement_repeat1] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(1001),
    [sym_name] = ACTIONS(1003),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1003),
    [aux_sym_global_declaration_token1] = ACTIONS(1003),
    [aux_sym_namespace_definition_token1] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1003),
    [anon_sym_BSLASH] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1001),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [aux_sym_trait_declaration_token1] = ACTIONS(1003),
    [aux_sym_interface_declaration_token1] = ACTIONS(1003),
    [aux_sym_enum_declaration_token1] = ACTIONS(1003),
    [aux_sym_enum_case_token1] = ACTIONS(1003),
    [aux_sym_class_declaration_token1] = ACTIONS(1003),
    [aux_sym_final_modifier_token1] = ACTIONS(1003),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1003),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1003),
    [sym_var_modifier] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1003),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [aux_sym_cast_type_token1] = ACTIONS(1003),
    [aux_sym_echo_statement_token1] = ACTIONS(1003),
    [aux_sym_exit_statement_token1] = ACTIONS(1003),
    [anon_sym_unset] = ACTIONS(1003),
    [aux_sym_declare_statement_token1] = ACTIONS(1003),
    [aux_sym_declare_statement_token2] = ACTIONS(1003),
    [sym_float] = ACTIONS(1003),
    [aux_sym_try_statement_token1] = ACTIONS(1003),
    [aux_sym_goto_statement_token1] = ACTIONS(1003),
    [aux_sym_continue_statement_token1] = ACTIONS(1003),
    [aux_sym_break_statement_token1] = ACTIONS(1003),
    [sym_integer] = ACTIONS(1003),
    [aux_sym_return_statement_token1] = ACTIONS(1003),
    [aux_sym_throw_expression_token1] = ACTIONS(1003),
    [aux_sym_while_statement_token1] = ACTIONS(1003),
    [aux_sym_while_statement_token2] = ACTIONS(1003),
    [aux_sym_do_statement_token1] = ACTIONS(1003),
    [aux_sym_for_statement_token1] = ACTIONS(1003),
    [aux_sym_for_statement_token2] = ACTIONS(1003),
    [aux_sym_foreach_statement_token1] = ACTIONS(1003),
    [aux_sym_foreach_statement_token2] = ACTIONS(1003),
    [aux_sym_if_statement_token1] = ACTIONS(1003),
    [aux_sym_if_statement_token2] = ACTIONS(1003),
    [aux_sym_else_if_clause_token1] = ACTIONS(1005),
    [aux_sym_else_clause_token1] = ACTIONS(1008),
    [aux_sym_match_expression_token1] = ACTIONS(1003),
    [aux_sym_match_default_expression_token1] = ACTIONS(1003),
    [aux_sym_switch_statement_token1] = ACTIONS(1003),
    [aux_sym_switch_block_token1] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1003),
    [anon_sym_DASH] = ACTIONS(1003),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_BANG] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(1001),
    [aux_sym_clone_expression_token1] = ACTIONS(1003),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1003),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1003),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [aux_sym__list_destructing_token1] = ACTIONS(1003),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_self] = ACTIONS(1003),
    [anon_sym_parent] = ACTIONS(1003),
    [aux_sym__argument_name_token1] = ACTIONS(1003),
    [aux_sym__argument_name_token2] = ACTIONS(1003),
    [anon_sym_POUND_LBRACK] = ACTIONS(1001),
    [aux_sym_encapsed_string_token1] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(1001),
    [aux_sym_string_token1] = ACTIONS(1001),
    [anon_sym_SQUOTE] = ACTIONS(1001),
    [anon_sym_LT_LT_LT] = ACTIONS(1001),
    [anon_sym_BQUOTE] = ACTIONS(1001),
    [anon_sym_DOLLAR] = ACTIONS(1001),
    [aux_sym_yield_expression_token1] = ACTIONS(1003),
    [aux_sym_include_expression_token1] = ACTIONS(1003),
    [aux_sym_include_once_expression_token1] = ACTIONS(1003),
    [aux_sym_require_expression_token1] = ACTIONS(1003),
    [aux_sym_require_once_expression_token1] = ACTIONS(1003),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_else_if_clause] = STATE(462),
    [sym_else_clause] = STATE(526),
    [aux_sym_if_statement_repeat1] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_name] = ACTIONS(1013),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1011),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1013),
    [aux_sym_global_declaration_token1] = ACTIONS(1013),
    [aux_sym_namespace_definition_token1] = ACTIONS(1013),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1013),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1013),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1013),
    [anon_sym_BSLASH] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [aux_sym_trait_declaration_token1] = ACTIONS(1013),
    [aux_sym_interface_declaration_token1] = ACTIONS(1013),
    [aux_sym_enum_declaration_token1] = ACTIONS(1013),
    [aux_sym_enum_case_token1] = ACTIONS(1013),
    [aux_sym_class_declaration_token1] = ACTIONS(1013),
    [aux_sym_final_modifier_token1] = ACTIONS(1013),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1013),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1013),
    [sym_var_modifier] = ACTIONS(1013),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1013),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1013),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1013),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [aux_sym_cast_type_token1] = ACTIONS(1013),
    [aux_sym_echo_statement_token1] = ACTIONS(1013),
    [aux_sym_exit_statement_token1] = ACTIONS(1013),
    [anon_sym_unset] = ACTIONS(1013),
    [aux_sym_declare_statement_token1] = ACTIONS(1013),
    [aux_sym_declare_statement_token2] = ACTIONS(1013),
    [sym_float] = ACTIONS(1013),
    [aux_sym_try_statement_token1] = ACTIONS(1013),
    [aux_sym_goto_statement_token1] = ACTIONS(1013),
    [aux_sym_continue_statement_token1] = ACTIONS(1013),
    [aux_sym_break_statement_token1] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1013),
    [aux_sym_return_statement_token1] = ACTIONS(1013),
    [aux_sym_throw_expression_token1] = ACTIONS(1013),
    [aux_sym_while_statement_token1] = ACTIONS(1013),
    [aux_sym_while_statement_token2] = ACTIONS(1013),
    [aux_sym_do_statement_token1] = ACTIONS(1013),
    [aux_sym_for_statement_token1] = ACTIONS(1013),
    [aux_sym_for_statement_token2] = ACTIONS(1013),
    [aux_sym_foreach_statement_token1] = ACTIONS(1013),
    [aux_sym_foreach_statement_token2] = ACTIONS(1013),
    [aux_sym_if_statement_token1] = ACTIONS(1013),
    [aux_sym_if_statement_token2] = ACTIONS(1013),
    [aux_sym_else_if_clause_token1] = ACTIONS(1015),
    [aux_sym_else_clause_token1] = ACTIONS(1018),
    [aux_sym_match_expression_token1] = ACTIONS(1013),
    [aux_sym_match_default_expression_token1] = ACTIONS(1013),
    [aux_sym_switch_statement_token1] = ACTIONS(1013),
    [aux_sym_switch_block_token1] = ACTIONS(1013),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1011),
    [anon_sym_AT] = ACTIONS(1011),
    [aux_sym_clone_expression_token1] = ACTIONS(1013),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1013),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1013),
    [anon_sym_DASH_DASH] = ACTIONS(1011),
    [anon_sym_PLUS_PLUS] = ACTIONS(1011),
    [aux_sym__list_destructing_token1] = ACTIONS(1013),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_self] = ACTIONS(1013),
    [anon_sym_parent] = ACTIONS(1013),
    [aux_sym__argument_name_token1] = ACTIONS(1013),
    [aux_sym__argument_name_token2] = ACTIONS(1013),
    [anon_sym_POUND_LBRACK] = ACTIONS(1011),
    [aux_sym_encapsed_string_token1] = ACTIONS(1011),
    [anon_sym_DQUOTE] = ACTIONS(1011),
    [aux_sym_string_token1] = ACTIONS(1011),
    [anon_sym_SQUOTE] = ACTIONS(1011),
    [anon_sym_LT_LT_LT] = ACTIONS(1011),
    [anon_sym_BQUOTE] = ACTIONS(1011),
    [anon_sym_DOLLAR] = ACTIONS(1011),
    [aux_sym_yield_expression_token1] = ACTIONS(1013),
    [aux_sym_include_expression_token1] = ACTIONS(1013),
    [aux_sym_include_once_expression_token1] = ACTIONS(1013),
    [aux_sym_require_expression_token1] = ACTIONS(1013),
    [aux_sym_require_once_expression_token1] = ACTIONS(1013),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_else_if_clause] = STATE(462),
    [sym_else_clause] = STATE(461),
    [aux_sym_if_statement_repeat1] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(1001),
    [sym_name] = ACTIONS(1003),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1003),
    [aux_sym_global_declaration_token1] = ACTIONS(1003),
    [aux_sym_namespace_definition_token1] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1003),
    [anon_sym_BSLASH] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1001),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [aux_sym_trait_declaration_token1] = ACTIONS(1003),
    [aux_sym_interface_declaration_token1] = ACTIONS(1003),
    [aux_sym_enum_declaration_token1] = ACTIONS(1003),
    [aux_sym_enum_case_token1] = ACTIONS(1003),
    [aux_sym_class_declaration_token1] = ACTIONS(1003),
    [aux_sym_final_modifier_token1] = ACTIONS(1003),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1003),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1003),
    [sym_var_modifier] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1003),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [aux_sym_cast_type_token1] = ACTIONS(1003),
    [aux_sym_echo_statement_token1] = ACTIONS(1003),
    [aux_sym_exit_statement_token1] = ACTIONS(1003),
    [anon_sym_unset] = ACTIONS(1003),
    [aux_sym_declare_statement_token1] = ACTIONS(1003),
    [aux_sym_declare_statement_token2] = ACTIONS(1003),
    [sym_float] = ACTIONS(1003),
    [aux_sym_try_statement_token1] = ACTIONS(1003),
    [aux_sym_goto_statement_token1] = ACTIONS(1003),
    [aux_sym_continue_statement_token1] = ACTIONS(1003),
    [aux_sym_break_statement_token1] = ACTIONS(1003),
    [sym_integer] = ACTIONS(1003),
    [aux_sym_return_statement_token1] = ACTIONS(1003),
    [aux_sym_throw_expression_token1] = ACTIONS(1003),
    [aux_sym_while_statement_token1] = ACTIONS(1003),
    [aux_sym_while_statement_token2] = ACTIONS(1003),
    [aux_sym_do_statement_token1] = ACTIONS(1003),
    [aux_sym_for_statement_token1] = ACTIONS(1003),
    [aux_sym_for_statement_token2] = ACTIONS(1003),
    [aux_sym_foreach_statement_token1] = ACTIONS(1003),
    [aux_sym_foreach_statement_token2] = ACTIONS(1003),
    [aux_sym_if_statement_token1] = ACTIONS(1003),
    [aux_sym_if_statement_token2] = ACTIONS(1003),
    [aux_sym_else_if_clause_token1] = ACTIONS(1021),
    [aux_sym_else_clause_token1] = ACTIONS(1023),
    [aux_sym_match_expression_token1] = ACTIONS(1003),
    [aux_sym_match_default_expression_token1] = ACTIONS(1003),
    [aux_sym_switch_statement_token1] = ACTIONS(1003),
    [aux_sym_switch_block_token1] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1003),
    [anon_sym_DASH] = ACTIONS(1003),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_BANG] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(1001),
    [aux_sym_clone_expression_token1] = ACTIONS(1003),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1003),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1003),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [aux_sym__list_destructing_token1] = ACTIONS(1003),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_self] = ACTIONS(1003),
    [anon_sym_parent] = ACTIONS(1003),
    [aux_sym__argument_name_token1] = ACTIONS(1003),
    [aux_sym__argument_name_token2] = ACTIONS(1003),
    [anon_sym_POUND_LBRACK] = ACTIONS(1001),
    [aux_sym_encapsed_string_token1] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(1001),
    [aux_sym_string_token1] = ACTIONS(1001),
    [anon_sym_SQUOTE] = ACTIONS(1001),
    [anon_sym_LT_LT_LT] = ACTIONS(1001),
    [anon_sym_BQUOTE] = ACTIONS(1001),
    [anon_sym_DOLLAR] = ACTIONS(1001),
    [aux_sym_yield_expression_token1] = ACTIONS(1003),
    [aux_sym_include_expression_token1] = ACTIONS(1003),
    [aux_sym_include_once_expression_token1] = ACTIONS(1003),
    [aux_sym_require_expression_token1] = ACTIONS(1003),
    [aux_sym_require_once_expression_token1] = ACTIONS(1003),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_else_if_clause] = STATE(462),
    [sym_else_clause] = STATE(526),
    [aux_sym_if_statement_repeat1] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_name] = ACTIONS(1013),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1011),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1013),
    [aux_sym_global_declaration_token1] = ACTIONS(1013),
    [aux_sym_namespace_definition_token1] = ACTIONS(1013),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1013),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1013),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1013),
    [anon_sym_BSLASH] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [aux_sym_trait_declaration_token1] = ACTIONS(1013),
    [aux_sym_interface_declaration_token1] = ACTIONS(1013),
    [aux_sym_enum_declaration_token1] = ACTIONS(1013),
    [aux_sym_enum_case_token1] = ACTIONS(1013),
    [aux_sym_class_declaration_token1] = ACTIONS(1013),
    [aux_sym_final_modifier_token1] = ACTIONS(1013),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1013),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1013),
    [sym_var_modifier] = ACTIONS(1013),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1013),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1013),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1013),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [aux_sym_cast_type_token1] = ACTIONS(1013),
    [aux_sym_echo_statement_token1] = ACTIONS(1013),
    [aux_sym_exit_statement_token1] = ACTIONS(1013),
    [anon_sym_unset] = ACTIONS(1013),
    [aux_sym_declare_statement_token1] = ACTIONS(1013),
    [aux_sym_declare_statement_token2] = ACTIONS(1013),
    [sym_float] = ACTIONS(1013),
    [aux_sym_try_statement_token1] = ACTIONS(1013),
    [aux_sym_goto_statement_token1] = ACTIONS(1013),
    [aux_sym_continue_statement_token1] = ACTIONS(1013),
    [aux_sym_break_statement_token1] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1013),
    [aux_sym_return_statement_token1] = ACTIONS(1013),
    [aux_sym_throw_expression_token1] = ACTIONS(1013),
    [aux_sym_while_statement_token1] = ACTIONS(1013),
    [aux_sym_while_statement_token2] = ACTIONS(1013),
    [aux_sym_do_statement_token1] = ACTIONS(1013),
    [aux_sym_for_statement_token1] = ACTIONS(1013),
    [aux_sym_for_statement_token2] = ACTIONS(1013),
    [aux_sym_foreach_statement_token1] = ACTIONS(1013),
    [aux_sym_foreach_statement_token2] = ACTIONS(1013),
    [aux_sym_if_statement_token1] = ACTIONS(1013),
    [aux_sym_if_statement_token2] = ACTIONS(1013),
    [aux_sym_else_if_clause_token1] = ACTIONS(1021),
    [aux_sym_else_clause_token1] = ACTIONS(1023),
    [aux_sym_match_expression_token1] = ACTIONS(1013),
    [aux_sym_match_default_expression_token1] = ACTIONS(1013),
    [aux_sym_switch_statement_token1] = ACTIONS(1013),
    [aux_sym_switch_block_token1] = ACTIONS(1013),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1011),
    [anon_sym_AT] = ACTIONS(1011),
    [aux_sym_clone_expression_token1] = ACTIONS(1013),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1013),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1013),
    [anon_sym_DASH_DASH] = ACTIONS(1011),
    [anon_sym_PLUS_PLUS] = ACTIONS(1011),
    [aux_sym__list_destructing_token1] = ACTIONS(1013),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_self] = ACTIONS(1013),
    [anon_sym_parent] = ACTIONS(1013),
    [aux_sym__argument_name_token1] = ACTIONS(1013),
    [aux_sym__argument_name_token2] = ACTIONS(1013),
    [anon_sym_POUND_LBRACK] = ACTIONS(1011),
    [aux_sym_encapsed_string_token1] = ACTIONS(1011),
    [anon_sym_DQUOTE] = ACTIONS(1011),
    [aux_sym_string_token1] = ACTIONS(1011),
    [anon_sym_SQUOTE] = ACTIONS(1011),
    [anon_sym_LT_LT_LT] = ACTIONS(1011),
    [anon_sym_BQUOTE] = ACTIONS(1011),
    [anon_sym_DOLLAR] = ACTIONS(1011),
    [aux_sym_yield_expression_token1] = ACTIONS(1013),
    [aux_sym_include_expression_token1] = ACTIONS(1013),
    [aux_sym_include_once_expression_token1] = ACTIONS(1013),
    [aux_sym_require_expression_token1] = ACTIONS(1013),
    [aux_sym_require_once_expression_token1] = ACTIONS(1013),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(1025),
    [sym_name] = ACTIONS(1027),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1025),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1027),
    [aux_sym_global_declaration_token1] = ACTIONS(1027),
    [aux_sym_namespace_definition_token1] = ACTIONS(1027),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1027),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1027),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1027),
    [anon_sym_BSLASH] = ACTIONS(1025),
    [anon_sym_LBRACE] = ACTIONS(1025),
    [anon_sym_RBRACE] = ACTIONS(1025),
    [aux_sym_trait_declaration_token1] = ACTIONS(1027),
    [aux_sym_interface_declaration_token1] = ACTIONS(1027),
    [aux_sym_enum_declaration_token1] = ACTIONS(1027),
    [aux_sym_enum_case_token1] = ACTIONS(1027),
    [aux_sym_class_declaration_token1] = ACTIONS(1027),
    [aux_sym_final_modifier_token1] = ACTIONS(1027),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1027),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1027),
    [sym_var_modifier] = ACTIONS(1027),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1027),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1027),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1027),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [aux_sym_cast_type_token1] = ACTIONS(1027),
    [aux_sym_echo_statement_token1] = ACTIONS(1027),
    [aux_sym_exit_statement_token1] = ACTIONS(1027),
    [anon_sym_unset] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [aux_sym_declare_statement_token2] = ACTIONS(1027),
    [sym_float] = ACTIONS(1027),
    [aux_sym_try_statement_token1] = ACTIONS(1027),
    [aux_sym_catch_clause_token1] = ACTIONS(1027),
    [aux_sym_finally_clause_token1] = ACTIONS(1027),
    [aux_sym_goto_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [sym_integer] = ACTIONS(1027),
    [aux_sym_return_statement_token1] = ACTIONS(1027),
    [aux_sym_throw_expression_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token2] = ACTIONS(1027),
    [aux_sym_do_statement_token1] = ACTIONS(1027),
    [aux_sym_for_statement_token1] = ACTIONS(1027),
    [aux_sym_for_statement_token2] = ACTIONS(1027),
    [aux_sym_foreach_statement_token1] = ACTIONS(1027),
    [aux_sym_foreach_statement_token2] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token2] = ACTIONS(1027),
    [aux_sym_else_if_clause_token1] = ACTIONS(1027),
    [aux_sym_else_clause_token1] = ACTIONS(1027),
    [aux_sym_match_expression_token1] = ACTIONS(1027),
    [aux_sym_match_default_expression_token1] = ACTIONS(1027),
    [aux_sym_switch_statement_token1] = ACTIONS(1027),
    [aux_sym_switch_block_token1] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_TILDE] = ACTIONS(1025),
    [anon_sym_BANG] = ACTIONS(1025),
    [anon_sym_AT] = ACTIONS(1025),
    [aux_sym_clone_expression_token1] = ACTIONS(1027),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1027),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1025),
    [anon_sym_PLUS_PLUS] = ACTIONS(1025),
    [aux_sym__list_destructing_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(1027),
    [anon_sym_parent] = ACTIONS(1027),
    [aux_sym__argument_name_token1] = ACTIONS(1027),
    [aux_sym__argument_name_token2] = ACTIONS(1027),
    [anon_sym_POUND_LBRACK] = ACTIONS(1025),
    [aux_sym_encapsed_string_token1] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(1025),
    [aux_sym_string_token1] = ACTIONS(1025),
    [anon_sym_SQUOTE] = ACTIONS(1025),
    [anon_sym_LT_LT_LT] = ACTIONS(1025),
    [anon_sym_BQUOTE] = ACTIONS(1025),
    [anon_sym_DOLLAR] = ACTIONS(1025),
    [aux_sym_yield_expression_token1] = ACTIONS(1027),
    [aux_sym_include_expression_token1] = ACTIONS(1027),
    [aux_sym_include_once_expression_token1] = ACTIONS(1027),
    [aux_sym_require_expression_token1] = ACTIONS(1027),
    [aux_sym_require_once_expression_token1] = ACTIONS(1027),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [sym_else_if_clause] = STATE(462),
    [aux_sym_if_statement_repeat1] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1033),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym_name] = ACTIONS(1038),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1036),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1038),
    [aux_sym_global_declaration_token1] = ACTIONS(1038),
    [aux_sym_namespace_definition_token1] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1038),
    [anon_sym_BSLASH] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1036),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [aux_sym_trait_declaration_token1] = ACTIONS(1038),
    [aux_sym_interface_declaration_token1] = ACTIONS(1038),
    [aux_sym_enum_declaration_token1] = ACTIONS(1038),
    [aux_sym_enum_case_token1] = ACTIONS(1038),
    [aux_sym_class_declaration_token1] = ACTIONS(1038),
    [aux_sym_final_modifier_token1] = ACTIONS(1038),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1038),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1038),
    [sym_var_modifier] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1038),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [aux_sym_cast_type_token1] = ACTIONS(1038),
    [aux_sym_echo_statement_token1] = ACTIONS(1038),
    [aux_sym_exit_statement_token1] = ACTIONS(1038),
    [anon_sym_unset] = ACTIONS(1038),
    [aux_sym_declare_statement_token1] = ACTIONS(1038),
    [aux_sym_declare_statement_token2] = ACTIONS(1038),
    [sym_float] = ACTIONS(1038),
    [aux_sym_try_statement_token1] = ACTIONS(1038),
    [aux_sym_catch_clause_token1] = ACTIONS(1038),
    [aux_sym_finally_clause_token1] = ACTIONS(1038),
    [aux_sym_goto_statement_token1] = ACTIONS(1038),
    [aux_sym_continue_statement_token1] = ACTIONS(1038),
    [aux_sym_break_statement_token1] = ACTIONS(1038),
    [sym_integer] = ACTIONS(1038),
    [aux_sym_return_statement_token1] = ACTIONS(1038),
    [aux_sym_throw_expression_token1] = ACTIONS(1038),
    [aux_sym_while_statement_token1] = ACTIONS(1038),
    [aux_sym_while_statement_token2] = ACTIONS(1038),
    [aux_sym_do_statement_token1] = ACTIONS(1038),
    [aux_sym_for_statement_token1] = ACTIONS(1038),
    [aux_sym_for_statement_token2] = ACTIONS(1038),
    [aux_sym_foreach_statement_token1] = ACTIONS(1038),
    [aux_sym_foreach_statement_token2] = ACTIONS(1038),
    [aux_sym_if_statement_token1] = ACTIONS(1038),
    [aux_sym_if_statement_token2] = ACTIONS(1038),
    [aux_sym_else_if_clause_token1] = ACTIONS(1038),
    [aux_sym_else_clause_token1] = ACTIONS(1038),
    [aux_sym_match_expression_token1] = ACTIONS(1038),
    [aux_sym_match_default_expression_token1] = ACTIONS(1038),
    [aux_sym_switch_statement_token1] = ACTIONS(1038),
    [aux_sym_switch_block_token1] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(1036),
    [anon_sym_AT] = ACTIONS(1036),
    [aux_sym_clone_expression_token1] = ACTIONS(1038),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1038),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1036),
    [anon_sym_PLUS_PLUS] = ACTIONS(1036),
    [aux_sym__list_destructing_token1] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1036),
    [anon_sym_self] = ACTIONS(1038),
    [anon_sym_parent] = ACTIONS(1038),
    [aux_sym__argument_name_token1] = ACTIONS(1038),
    [aux_sym__argument_name_token2] = ACTIONS(1038),
    [anon_sym_POUND_LBRACK] = ACTIONS(1036),
    [aux_sym_encapsed_string_token1] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [aux_sym_string_token1] = ACTIONS(1036),
    [anon_sym_SQUOTE] = ACTIONS(1036),
    [anon_sym_LT_LT_LT] = ACTIONS(1036),
    [anon_sym_BQUOTE] = ACTIONS(1036),
    [anon_sym_DOLLAR] = ACTIONS(1036),
    [aux_sym_yield_expression_token1] = ACTIONS(1038),
    [aux_sym_include_expression_token1] = ACTIONS(1038),
    [aux_sym_include_once_expression_token1] = ACTIONS(1038),
    [aux_sym_require_expression_token1] = ACTIONS(1038),
    [aux_sym_require_once_expression_token1] = ACTIONS(1038),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_name] = ACTIONS(1042),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1040),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1042),
    [aux_sym_global_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_definition_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1042),
    [anon_sym_BSLASH] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym_trait_declaration_token1] = ACTIONS(1042),
    [aux_sym_interface_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_case_token1] = ACTIONS(1042),
    [aux_sym_class_declaration_token1] = ACTIONS(1042),
    [aux_sym_final_modifier_token1] = ACTIONS(1042),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1042),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1042),
    [sym_var_modifier] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1042),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [aux_sym_cast_type_token1] = ACTIONS(1042),
    [aux_sym_echo_statement_token1] = ACTIONS(1042),
    [aux_sym_exit_statement_token1] = ACTIONS(1042),
    [anon_sym_unset] = ACTIONS(1042),
    [aux_sym_declare_statement_token1] = ACTIONS(1042),
    [aux_sym_declare_statement_token2] = ACTIONS(1042),
    [sym_float] = ACTIONS(1042),
    [aux_sym_try_statement_token1] = ACTIONS(1042),
    [aux_sym_catch_clause_token1] = ACTIONS(1042),
    [aux_sym_finally_clause_token1] = ACTIONS(1042),
    [aux_sym_goto_statement_token1] = ACTIONS(1042),
    [aux_sym_continue_statement_token1] = ACTIONS(1042),
    [aux_sym_break_statement_token1] = ACTIONS(1042),
    [sym_integer] = ACTIONS(1042),
    [aux_sym_return_statement_token1] = ACTIONS(1042),
    [aux_sym_throw_expression_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token2] = ACTIONS(1042),
    [aux_sym_do_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token2] = ACTIONS(1042),
    [aux_sym_foreach_statement_token1] = ACTIONS(1042),
    [aux_sym_foreach_statement_token2] = ACTIONS(1042),
    [aux_sym_if_statement_token1] = ACTIONS(1042),
    [aux_sym_if_statement_token2] = ACTIONS(1042),
    [aux_sym_else_if_clause_token1] = ACTIONS(1042),
    [aux_sym_else_clause_token1] = ACTIONS(1042),
    [aux_sym_match_expression_token1] = ACTIONS(1042),
    [aux_sym_match_default_expression_token1] = ACTIONS(1042),
    [aux_sym_switch_statement_token1] = ACTIONS(1042),
    [aux_sym_switch_block_token1] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [aux_sym_clone_expression_token1] = ACTIONS(1042),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1042),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [aux_sym__list_destructing_token1] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_self] = ACTIONS(1042),
    [anon_sym_parent] = ACTIONS(1042),
    [aux_sym__argument_name_token1] = ACTIONS(1042),
    [aux_sym__argument_name_token2] = ACTIONS(1042),
    [anon_sym_POUND_LBRACK] = ACTIONS(1040),
    [aux_sym_encapsed_string_token1] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_string_token1] = ACTIONS(1040),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [anon_sym_LT_LT_LT] = ACTIONS(1040),
    [anon_sym_BQUOTE] = ACTIONS(1040),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [aux_sym_yield_expression_token1] = ACTIONS(1042),
    [aux_sym_include_expression_token1] = ACTIONS(1042),
    [aux_sym_include_once_expression_token1] = ACTIONS(1042),
    [aux_sym_require_expression_token1] = ACTIONS(1042),
    [aux_sym_require_once_expression_token1] = ACTIONS(1042),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_name] = ACTIONS(1046),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1044),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1046),
    [aux_sym_global_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_definition_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1046),
    [anon_sym_BSLASH] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [aux_sym_trait_declaration_token1] = ACTIONS(1046),
    [aux_sym_interface_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_case_token1] = ACTIONS(1046),
    [aux_sym_class_declaration_token1] = ACTIONS(1046),
    [aux_sym_final_modifier_token1] = ACTIONS(1046),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1046),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1046),
    [sym_var_modifier] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1046),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1046),
    [anon_sym_LPAREN] = ACTIONS(1044),
    [aux_sym_cast_type_token1] = ACTIONS(1046),
    [aux_sym_echo_statement_token1] = ACTIONS(1046),
    [aux_sym_exit_statement_token1] = ACTIONS(1046),
    [anon_sym_unset] = ACTIONS(1046),
    [aux_sym_declare_statement_token1] = ACTIONS(1046),
    [aux_sym_declare_statement_token2] = ACTIONS(1046),
    [sym_float] = ACTIONS(1046),
    [aux_sym_try_statement_token1] = ACTIONS(1046),
    [aux_sym_catch_clause_token1] = ACTIONS(1046),
    [aux_sym_finally_clause_token1] = ACTIONS(1046),
    [aux_sym_goto_statement_token1] = ACTIONS(1046),
    [aux_sym_continue_statement_token1] = ACTIONS(1046),
    [aux_sym_break_statement_token1] = ACTIONS(1046),
    [sym_integer] = ACTIONS(1046),
    [aux_sym_return_statement_token1] = ACTIONS(1046),
    [aux_sym_throw_expression_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token2] = ACTIONS(1046),
    [aux_sym_do_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token2] = ACTIONS(1046),
    [aux_sym_foreach_statement_token1] = ACTIONS(1046),
    [aux_sym_foreach_statement_token2] = ACTIONS(1046),
    [aux_sym_if_statement_token1] = ACTIONS(1046),
    [aux_sym_if_statement_token2] = ACTIONS(1046),
    [aux_sym_else_if_clause_token1] = ACTIONS(1046),
    [aux_sym_else_clause_token1] = ACTIONS(1046),
    [aux_sym_match_expression_token1] = ACTIONS(1046),
    [aux_sym_match_default_expression_token1] = ACTIONS(1046),
    [aux_sym_switch_statement_token1] = ACTIONS(1046),
    [aux_sym_switch_block_token1] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [aux_sym_clone_expression_token1] = ACTIONS(1046),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1046),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1044),
    [anon_sym_PLUS_PLUS] = ACTIONS(1044),
    [aux_sym__list_destructing_token1] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_self] = ACTIONS(1046),
    [anon_sym_parent] = ACTIONS(1046),
    [aux_sym__argument_name_token1] = ACTIONS(1046),
    [aux_sym__argument_name_token2] = ACTIONS(1046),
    [anon_sym_POUND_LBRACK] = ACTIONS(1044),
    [aux_sym_encapsed_string_token1] = ACTIONS(1044),
    [anon_sym_DQUOTE] = ACTIONS(1044),
    [aux_sym_string_token1] = ACTIONS(1044),
    [anon_sym_SQUOTE] = ACTIONS(1044),
    [anon_sym_LT_LT_LT] = ACTIONS(1044),
    [anon_sym_BQUOTE] = ACTIONS(1044),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [aux_sym_yield_expression_token1] = ACTIONS(1046),
    [aux_sym_include_expression_token1] = ACTIONS(1046),
    [aux_sym_include_once_expression_token1] = ACTIONS(1046),
    [aux_sym_require_expression_token1] = ACTIONS(1046),
    [aux_sym_require_once_expression_token1] = ACTIONS(1046),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(1048),
    [sym_name] = ACTIONS(1050),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1048),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1050),
    [aux_sym_global_declaration_token1] = ACTIONS(1050),
    [aux_sym_namespace_definition_token1] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1050),
    [anon_sym_BSLASH] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [aux_sym_trait_declaration_token1] = ACTIONS(1050),
    [aux_sym_interface_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_case_token1] = ACTIONS(1050),
    [aux_sym_class_declaration_token1] = ACTIONS(1050),
    [aux_sym_final_modifier_token1] = ACTIONS(1050),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1050),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1050),
    [sym_var_modifier] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1050),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [aux_sym_cast_type_token1] = ACTIONS(1050),
    [aux_sym_echo_statement_token1] = ACTIONS(1050),
    [aux_sym_exit_statement_token1] = ACTIONS(1050),
    [anon_sym_unset] = ACTIONS(1050),
    [aux_sym_declare_statement_token1] = ACTIONS(1050),
    [aux_sym_declare_statement_token2] = ACTIONS(1050),
    [sym_float] = ACTIONS(1050),
    [aux_sym_try_statement_token1] = ACTIONS(1050),
    [aux_sym_catch_clause_token1] = ACTIONS(1050),
    [aux_sym_finally_clause_token1] = ACTIONS(1050),
    [aux_sym_goto_statement_token1] = ACTIONS(1050),
    [aux_sym_continue_statement_token1] = ACTIONS(1050),
    [aux_sym_break_statement_token1] = ACTIONS(1050),
    [sym_integer] = ACTIONS(1050),
    [aux_sym_return_statement_token1] = ACTIONS(1050),
    [aux_sym_throw_expression_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token2] = ACTIONS(1050),
    [aux_sym_do_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token2] = ACTIONS(1050),
    [aux_sym_foreach_statement_token1] = ACTIONS(1050),
    [aux_sym_foreach_statement_token2] = ACTIONS(1050),
    [aux_sym_if_statement_token1] = ACTIONS(1050),
    [aux_sym_if_statement_token2] = ACTIONS(1050),
    [aux_sym_else_if_clause_token1] = ACTIONS(1050),
    [aux_sym_else_clause_token1] = ACTIONS(1050),
    [aux_sym_match_expression_token1] = ACTIONS(1050),
    [aux_sym_match_default_expression_token1] = ACTIONS(1050),
    [aux_sym_switch_statement_token1] = ACTIONS(1050),
    [aux_sym_switch_block_token1] = ACTIONS(1050),
    [anon_sym_PLUS] = ACTIONS(1050),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [aux_sym_clone_expression_token1] = ACTIONS(1050),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1050),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1048),
    [aux_sym__list_destructing_token1] = ACTIONS(1050),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [anon_sym_self] = ACTIONS(1050),
    [anon_sym_parent] = ACTIONS(1050),
    [aux_sym__argument_name_token1] = ACTIONS(1050),
    [aux_sym__argument_name_token2] = ACTIONS(1050),
    [anon_sym_POUND_LBRACK] = ACTIONS(1048),
    [aux_sym_encapsed_string_token1] = ACTIONS(1048),
    [anon_sym_DQUOTE] = ACTIONS(1048),
    [aux_sym_string_token1] = ACTIONS(1048),
    [anon_sym_SQUOTE] = ACTIONS(1048),
    [anon_sym_LT_LT_LT] = ACTIONS(1048),
    [anon_sym_BQUOTE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [aux_sym_yield_expression_token1] = ACTIONS(1050),
    [aux_sym_include_expression_token1] = ACTIONS(1050),
    [aux_sym_include_once_expression_token1] = ACTIONS(1050),
    [aux_sym_require_expression_token1] = ACTIONS(1050),
    [aux_sym_require_once_expression_token1] = ACTIONS(1050),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym_name] = ACTIONS(1054),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1052),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1054),
    [aux_sym_global_declaration_token1] = ACTIONS(1054),
    [aux_sym_namespace_definition_token1] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1054),
    [anon_sym_BSLASH] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [aux_sym_trait_declaration_token1] = ACTIONS(1054),
    [aux_sym_interface_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_case_token1] = ACTIONS(1054),
    [aux_sym_class_declaration_token1] = ACTIONS(1054),
    [aux_sym_final_modifier_token1] = ACTIONS(1054),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1054),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1054),
    [sym_var_modifier] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1054),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [aux_sym_cast_type_token1] = ACTIONS(1054),
    [aux_sym_echo_statement_token1] = ACTIONS(1054),
    [aux_sym_exit_statement_token1] = ACTIONS(1054),
    [anon_sym_unset] = ACTIONS(1054),
    [aux_sym_declare_statement_token1] = ACTIONS(1054),
    [aux_sym_declare_statement_token2] = ACTIONS(1054),
    [sym_float] = ACTIONS(1054),
    [aux_sym_try_statement_token1] = ACTIONS(1054),
    [aux_sym_catch_clause_token1] = ACTIONS(1054),
    [aux_sym_finally_clause_token1] = ACTIONS(1054),
    [aux_sym_goto_statement_token1] = ACTIONS(1054),
    [aux_sym_continue_statement_token1] = ACTIONS(1054),
    [aux_sym_break_statement_token1] = ACTIONS(1054),
    [sym_integer] = ACTIONS(1054),
    [aux_sym_return_statement_token1] = ACTIONS(1054),
    [aux_sym_throw_expression_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token2] = ACTIONS(1054),
    [aux_sym_do_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token2] = ACTIONS(1054),
    [aux_sym_foreach_statement_token1] = ACTIONS(1054),
    [aux_sym_foreach_statement_token2] = ACTIONS(1054),
    [aux_sym_if_statement_token1] = ACTIONS(1054),
    [aux_sym_if_statement_token2] = ACTIONS(1054),
    [aux_sym_else_if_clause_token1] = ACTIONS(1054),
    [aux_sym_else_clause_token1] = ACTIONS(1054),
    [aux_sym_match_expression_token1] = ACTIONS(1054),
    [aux_sym_match_default_expression_token1] = ACTIONS(1054),
    [aux_sym_switch_statement_token1] = ACTIONS(1054),
    [aux_sym_switch_block_token1] = ACTIONS(1054),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1052),
    [anon_sym_AT] = ACTIONS(1052),
    [aux_sym_clone_expression_token1] = ACTIONS(1054),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1054),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1054),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1052),
    [aux_sym__list_destructing_token1] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_self] = ACTIONS(1054),
    [anon_sym_parent] = ACTIONS(1054),
    [aux_sym__argument_name_token1] = ACTIONS(1054),
    [aux_sym__argument_name_token2] = ACTIONS(1054),
    [anon_sym_POUND_LBRACK] = ACTIONS(1052),
    [aux_sym_encapsed_string_token1] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(1052),
    [aux_sym_string_token1] = ACTIONS(1052),
    [anon_sym_SQUOTE] = ACTIONS(1052),
    [anon_sym_LT_LT_LT] = ACTIONS(1052),
    [anon_sym_BQUOTE] = ACTIONS(1052),
    [anon_sym_DOLLAR] = ACTIONS(1052),
    [aux_sym_yield_expression_token1] = ACTIONS(1054),
    [aux_sym_include_expression_token1] = ACTIONS(1054),
    [aux_sym_include_once_expression_token1] = ACTIONS(1054),
    [aux_sym_require_expression_token1] = ACTIONS(1054),
    [aux_sym_require_once_expression_token1] = ACTIONS(1054),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_name] = ACTIONS(1058),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1058),
    [aux_sym_global_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_definition_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1058),
    [anon_sym_BSLASH] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [aux_sym_trait_declaration_token1] = ACTIONS(1058),
    [aux_sym_interface_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_case_token1] = ACTIONS(1058),
    [aux_sym_class_declaration_token1] = ACTIONS(1058),
    [aux_sym_final_modifier_token1] = ACTIONS(1058),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1058),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1058),
    [sym_var_modifier] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1058),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [aux_sym_cast_type_token1] = ACTIONS(1058),
    [aux_sym_echo_statement_token1] = ACTIONS(1058),
    [aux_sym_exit_statement_token1] = ACTIONS(1058),
    [anon_sym_unset] = ACTIONS(1058),
    [aux_sym_declare_statement_token1] = ACTIONS(1058),
    [aux_sym_declare_statement_token2] = ACTIONS(1058),
    [sym_float] = ACTIONS(1058),
    [aux_sym_try_statement_token1] = ACTIONS(1058),
    [aux_sym_goto_statement_token1] = ACTIONS(1058),
    [aux_sym_continue_statement_token1] = ACTIONS(1058),
    [aux_sym_break_statement_token1] = ACTIONS(1058),
    [sym_integer] = ACTIONS(1058),
    [aux_sym_return_statement_token1] = ACTIONS(1058),
    [aux_sym_throw_expression_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token2] = ACTIONS(1058),
    [aux_sym_do_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token2] = ACTIONS(1058),
    [aux_sym_foreach_statement_token1] = ACTIONS(1058),
    [aux_sym_foreach_statement_token2] = ACTIONS(1058),
    [aux_sym_if_statement_token1] = ACTIONS(1058),
    [aux_sym_if_statement_token2] = ACTIONS(1058),
    [aux_sym_else_if_clause_token1] = ACTIONS(1058),
    [aux_sym_else_clause_token1] = ACTIONS(1058),
    [aux_sym_match_expression_token1] = ACTIONS(1058),
    [aux_sym_match_default_expression_token1] = ACTIONS(1058),
    [aux_sym_switch_statement_token1] = ACTIONS(1058),
    [aux_sym_switch_block_token1] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1056),
    [aux_sym_clone_expression_token1] = ACTIONS(1058),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1058),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [aux_sym__list_destructing_token1] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(1058),
    [anon_sym_parent] = ACTIONS(1058),
    [aux_sym__argument_name_token1] = ACTIONS(1058),
    [aux_sym__argument_name_token2] = ACTIONS(1058),
    [anon_sym_POUND_LBRACK] = ACTIONS(1056),
    [aux_sym_encapsed_string_token1] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [aux_sym_string_token1] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1056),
    [anon_sym_LT_LT_LT] = ACTIONS(1056),
    [anon_sym_BQUOTE] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1056),
    [aux_sym_yield_expression_token1] = ACTIONS(1058),
    [aux_sym_include_expression_token1] = ACTIONS(1058),
    [aux_sym_include_once_expression_token1] = ACTIONS(1058),
    [aux_sym_require_expression_token1] = ACTIONS(1058),
    [aux_sym_require_once_expression_token1] = ACTIONS(1058),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1060),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__unary_expression] = STATE(922),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(922),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(592),
    [sym_member_access_expression] = STATE(592),
    [sym_nullsafe_member_access_expression] = STATE(592),
    [sym_scoped_property_access_expression] = STATE(592),
    [sym_function_call_expression] = STATE(575),
    [sym_scoped_call_expression] = STATE(575),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(575),
    [sym_nullsafe_member_call_expression] = STATE(575),
    [sym_subscript_expression] = STATE(575),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(575),
    [sym_variable_name] = STATE(575),
    [sym_include_expression] = STATE(922),
    [sym_include_once_expression] = STATE(922),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_name] = ACTIONS(1066),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1068),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1066),
    [aux_sym_global_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_definition_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [aux_sym_trait_declaration_token1] = ACTIONS(1066),
    [aux_sym_interface_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_case_token1] = ACTIONS(1066),
    [aux_sym_class_declaration_token1] = ACTIONS(1066),
    [aux_sym_final_modifier_token1] = ACTIONS(1066),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1066),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1066),
    [sym_var_modifier] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1066),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [aux_sym_cast_type_token1] = ACTIONS(1066),
    [aux_sym_echo_statement_token1] = ACTIONS(1066),
    [aux_sym_exit_statement_token1] = ACTIONS(1066),
    [anon_sym_unset] = ACTIONS(1066),
    [aux_sym_declare_statement_token1] = ACTIONS(1066),
    [aux_sym_declare_statement_token2] = ACTIONS(1066),
    [sym_float] = ACTIONS(1066),
    [aux_sym_try_statement_token1] = ACTIONS(1066),
    [aux_sym_goto_statement_token1] = ACTIONS(1066),
    [aux_sym_continue_statement_token1] = ACTIONS(1066),
    [aux_sym_break_statement_token1] = ACTIONS(1066),
    [sym_integer] = ACTIONS(1066),
    [aux_sym_return_statement_token1] = ACTIONS(1066),
    [aux_sym_throw_expression_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token2] = ACTIONS(1066),
    [aux_sym_do_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token2] = ACTIONS(1066),
    [aux_sym_foreach_statement_token1] = ACTIONS(1066),
    [aux_sym_foreach_statement_token2] = ACTIONS(1066),
    [aux_sym_if_statement_token1] = ACTIONS(1066),
    [aux_sym_if_statement_token2] = ACTIONS(1066),
    [aux_sym_else_if_clause_token1] = ACTIONS(1066),
    [aux_sym_else_clause_token1] = ACTIONS(1066),
    [aux_sym_match_expression_token1] = ACTIONS(1066),
    [aux_sym_match_default_expression_token1] = ACTIONS(1066),
    [aux_sym_switch_statement_token1] = ACTIONS(1066),
    [aux_sym_switch_block_token1] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1064),
    [aux_sym_clone_expression_token1] = ACTIONS(1066),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1066),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [aux_sym__list_destructing_token1] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_self] = ACTIONS(1066),
    [anon_sym_parent] = ACTIONS(1066),
    [aux_sym__argument_name_token1] = ACTIONS(1066),
    [aux_sym__argument_name_token2] = ACTIONS(1066),
    [anon_sym_POUND_LBRACK] = ACTIONS(1064),
    [aux_sym_encapsed_string_token1] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_string_token1] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [anon_sym_LT_LT_LT] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1064),
    [aux_sym_yield_expression_token1] = ACTIONS(1066),
    [aux_sym_include_expression_token1] = ACTIONS(1066),
    [aux_sym_include_once_expression_token1] = ACTIONS(1066),
    [aux_sym_require_expression_token1] = ACTIONS(1066),
    [aux_sym_require_once_expression_token1] = ACTIONS(1066),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1068),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(1070),
    [sym_name] = ACTIONS(1072),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1074),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1072),
    [aux_sym_global_declaration_token1] = ACTIONS(1072),
    [aux_sym_namespace_definition_token1] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1072),
    [anon_sym_BSLASH] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(1070),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [aux_sym_trait_declaration_token1] = ACTIONS(1072),
    [aux_sym_interface_declaration_token1] = ACTIONS(1072),
    [aux_sym_enum_declaration_token1] = ACTIONS(1072),
    [aux_sym_enum_case_token1] = ACTIONS(1072),
    [aux_sym_class_declaration_token1] = ACTIONS(1072),
    [aux_sym_final_modifier_token1] = ACTIONS(1072),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1072),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1072),
    [sym_var_modifier] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1072),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1072),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [aux_sym_cast_type_token1] = ACTIONS(1072),
    [aux_sym_echo_statement_token1] = ACTIONS(1072),
    [aux_sym_exit_statement_token1] = ACTIONS(1072),
    [anon_sym_unset] = ACTIONS(1072),
    [aux_sym_declare_statement_token1] = ACTIONS(1072),
    [aux_sym_declare_statement_token2] = ACTIONS(1072),
    [sym_float] = ACTIONS(1072),
    [aux_sym_try_statement_token1] = ACTIONS(1072),
    [aux_sym_goto_statement_token1] = ACTIONS(1072),
    [aux_sym_continue_statement_token1] = ACTIONS(1072),
    [aux_sym_break_statement_token1] = ACTIONS(1072),
    [sym_integer] = ACTIONS(1072),
    [aux_sym_return_statement_token1] = ACTIONS(1072),
    [aux_sym_throw_expression_token1] = ACTIONS(1072),
    [aux_sym_while_statement_token1] = ACTIONS(1072),
    [aux_sym_while_statement_token2] = ACTIONS(1072),
    [aux_sym_do_statement_token1] = ACTIONS(1072),
    [aux_sym_for_statement_token1] = ACTIONS(1072),
    [aux_sym_for_statement_token2] = ACTIONS(1072),
    [aux_sym_foreach_statement_token1] = ACTIONS(1072),
    [aux_sym_foreach_statement_token2] = ACTIONS(1072),
    [aux_sym_if_statement_token1] = ACTIONS(1072),
    [aux_sym_if_statement_token2] = ACTIONS(1072),
    [aux_sym_else_if_clause_token1] = ACTIONS(1072),
    [aux_sym_else_clause_token1] = ACTIONS(1072),
    [aux_sym_match_expression_token1] = ACTIONS(1072),
    [aux_sym_match_default_expression_token1] = ACTIONS(1072),
    [aux_sym_switch_statement_token1] = ACTIONS(1072),
    [aux_sym_switch_block_token1] = ACTIONS(1072),
    [anon_sym_PLUS] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1070),
    [anon_sym_BANG] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(1070),
    [aux_sym_clone_expression_token1] = ACTIONS(1072),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1072),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1072),
    [anon_sym_DASH_DASH] = ACTIONS(1070),
    [anon_sym_PLUS_PLUS] = ACTIONS(1070),
    [aux_sym__list_destructing_token1] = ACTIONS(1072),
    [anon_sym_LBRACK] = ACTIONS(1070),
    [anon_sym_self] = ACTIONS(1072),
    [anon_sym_parent] = ACTIONS(1072),
    [aux_sym__argument_name_token1] = ACTIONS(1072),
    [aux_sym__argument_name_token2] = ACTIONS(1072),
    [anon_sym_POUND_LBRACK] = ACTIONS(1070),
    [aux_sym_encapsed_string_token1] = ACTIONS(1070),
    [anon_sym_DQUOTE] = ACTIONS(1070),
    [aux_sym_string_token1] = ACTIONS(1070),
    [anon_sym_SQUOTE] = ACTIONS(1070),
    [anon_sym_LT_LT_LT] = ACTIONS(1070),
    [anon_sym_BQUOTE] = ACTIONS(1070),
    [anon_sym_DOLLAR] = ACTIONS(1070),
    [aux_sym_yield_expression_token1] = ACTIONS(1072),
    [aux_sym_include_expression_token1] = ACTIONS(1072),
    [aux_sym_include_once_expression_token1] = ACTIONS(1072),
    [aux_sym_require_expression_token1] = ACTIONS(1072),
    [aux_sym_require_once_expression_token1] = ACTIONS(1072),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1074),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [sym_qualified_name] = STATE(845),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1066),
    [sym_unary_op_expression] = STATE(1096),
    [sym_error_suppression_expression] = STATE(1066),
    [sym_clone_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1096),
    [sym_parenthesized_expression] = STATE(834),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(627),
    [sym_member_access_expression] = STATE(627),
    [sym_nullsafe_member_access_expression] = STATE(627),
    [sym_scoped_property_access_expression] = STATE(627),
    [sym_function_call_expression] = STATE(596),
    [sym_scoped_call_expression] = STATE(596),
    [sym__scope_resolution_qualifier] = STATE(2609),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(596),
    [sym_nullsafe_member_call_expression] = STATE(596),
    [sym_subscript_expression] = STATE(596),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(834),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(818),
    [sym_dynamic_variable_name] = STATE(596),
    [sym_variable_name] = STATE(596),
    [sym_include_expression] = STATE(1066),
    [sym_include_once_expression] = STATE(1066),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__unary_expression] = STATE(922),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(922),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(628),
    [sym_member_access_expression] = STATE(628),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_include_expression] = STATE(922),
    [sym_include_once_expression] = STATE(922),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(861),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [sym_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1078),
    [sym_name] = ACTIONS(1080),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1078),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1080),
    [aux_sym_global_declaration_token1] = ACTIONS(1080),
    [aux_sym_namespace_definition_token1] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1080),
    [anon_sym_BSLASH] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_RBRACE] = ACTIONS(1078),
    [aux_sym_trait_declaration_token1] = ACTIONS(1080),
    [aux_sym_interface_declaration_token1] = ACTIONS(1080),
    [aux_sym_enum_declaration_token1] = ACTIONS(1080),
    [aux_sym_enum_case_token1] = ACTIONS(1080),
    [aux_sym_class_declaration_token1] = ACTIONS(1080),
    [aux_sym_final_modifier_token1] = ACTIONS(1080),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1080),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1080),
    [sym_var_modifier] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1080),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1078),
    [aux_sym_cast_type_token1] = ACTIONS(1080),
    [aux_sym_echo_statement_token1] = ACTIONS(1080),
    [aux_sym_exit_statement_token1] = ACTIONS(1080),
    [anon_sym_unset] = ACTIONS(1080),
    [aux_sym_declare_statement_token1] = ACTIONS(1080),
    [aux_sym_declare_statement_token2] = ACTIONS(1080),
    [sym_float] = ACTIONS(1080),
    [aux_sym_try_statement_token1] = ACTIONS(1080),
    [aux_sym_goto_statement_token1] = ACTIONS(1080),
    [aux_sym_continue_statement_token1] = ACTIONS(1080),
    [aux_sym_break_statement_token1] = ACTIONS(1080),
    [sym_integer] = ACTIONS(1080),
    [aux_sym_return_statement_token1] = ACTIONS(1080),
    [aux_sym_throw_expression_token1] = ACTIONS(1080),
    [aux_sym_while_statement_token1] = ACTIONS(1080),
    [aux_sym_while_statement_token2] = ACTIONS(1080),
    [aux_sym_do_statement_token1] = ACTIONS(1080),
    [aux_sym_for_statement_token1] = ACTIONS(1080),
    [aux_sym_for_statement_token2] = ACTIONS(1080),
    [aux_sym_foreach_statement_token1] = ACTIONS(1080),
    [aux_sym_foreach_statement_token2] = ACTIONS(1080),
    [aux_sym_if_statement_token1] = ACTIONS(1080),
    [aux_sym_if_statement_token2] = ACTIONS(1080),
    [aux_sym_else_if_clause_token1] = ACTIONS(1080),
    [aux_sym_else_clause_token1] = ACTIONS(1080),
    [aux_sym_match_expression_token1] = ACTIONS(1080),
    [aux_sym_match_default_expression_token1] = ACTIONS(1080),
    [aux_sym_switch_statement_token1] = ACTIONS(1080),
    [aux_sym_switch_block_token1] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1078),
    [anon_sym_BANG] = ACTIONS(1078),
    [anon_sym_AT] = ACTIONS(1078),
    [aux_sym_clone_expression_token1] = ACTIONS(1080),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1080),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1078),
    [aux_sym__list_destructing_token1] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_self] = ACTIONS(1080),
    [anon_sym_parent] = ACTIONS(1080),
    [aux_sym__argument_name_token1] = ACTIONS(1080),
    [aux_sym__argument_name_token2] = ACTIONS(1080),
    [anon_sym_POUND_LBRACK] = ACTIONS(1078),
    [aux_sym_encapsed_string_token1] = ACTIONS(1078),
    [anon_sym_DQUOTE] = ACTIONS(1078),
    [aux_sym_string_token1] = ACTIONS(1078),
    [anon_sym_SQUOTE] = ACTIONS(1078),
    [anon_sym_LT_LT_LT] = ACTIONS(1078),
    [anon_sym_BQUOTE] = ACTIONS(1078),
    [anon_sym_DOLLAR] = ACTIONS(1078),
    [aux_sym_yield_expression_token1] = ACTIONS(1080),
    [aux_sym_include_expression_token1] = ACTIONS(1080),
    [aux_sym_include_once_expression_token1] = ACTIONS(1080),
    [aux_sym_require_expression_token1] = ACTIONS(1080),
    [aux_sym_require_once_expression_token1] = ACTIONS(1080),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1078),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1086),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [sym_var_modifier] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [aux_sym_exit_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1084),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [aux_sym__argument_name_token1] = ACTIONS(1084),
    [aux_sym__argument_name_token2] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1086),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_name] = ACTIONS(1090),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1090),
    [aux_sym_global_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_definition_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1090),
    [anon_sym_BSLASH] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [aux_sym_trait_declaration_token1] = ACTIONS(1090),
    [aux_sym_interface_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_case_token1] = ACTIONS(1090),
    [aux_sym_class_declaration_token1] = ACTIONS(1090),
    [aux_sym_final_modifier_token1] = ACTIONS(1090),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1090),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1090),
    [sym_var_modifier] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1090),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1090),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [aux_sym_cast_type_token1] = ACTIONS(1090),
    [aux_sym_echo_statement_token1] = ACTIONS(1090),
    [aux_sym_exit_statement_token1] = ACTIONS(1090),
    [anon_sym_unset] = ACTIONS(1090),
    [aux_sym_declare_statement_token1] = ACTIONS(1090),
    [aux_sym_declare_statement_token2] = ACTIONS(1090),
    [sym_float] = ACTIONS(1090),
    [aux_sym_try_statement_token1] = ACTIONS(1090),
    [aux_sym_goto_statement_token1] = ACTIONS(1090),
    [aux_sym_continue_statement_token1] = ACTIONS(1090),
    [aux_sym_break_statement_token1] = ACTIONS(1090),
    [sym_integer] = ACTIONS(1090),
    [aux_sym_return_statement_token1] = ACTIONS(1090),
    [aux_sym_throw_expression_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token2] = ACTIONS(1090),
    [aux_sym_do_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token2] = ACTIONS(1090),
    [aux_sym_foreach_statement_token1] = ACTIONS(1090),
    [aux_sym_foreach_statement_token2] = ACTIONS(1090),
    [aux_sym_if_statement_token1] = ACTIONS(1090),
    [aux_sym_if_statement_token2] = ACTIONS(1090),
    [aux_sym_else_if_clause_token1] = ACTIONS(1090),
    [aux_sym_else_clause_token1] = ACTIONS(1090),
    [aux_sym_match_expression_token1] = ACTIONS(1090),
    [aux_sym_match_default_expression_token1] = ACTIONS(1090),
    [aux_sym_switch_statement_token1] = ACTIONS(1090),
    [aux_sym_switch_block_token1] = ACTIONS(1090),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1088),
    [aux_sym_clone_expression_token1] = ACTIONS(1090),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1090),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1088),
    [anon_sym_PLUS_PLUS] = ACTIONS(1088),
    [aux_sym__list_destructing_token1] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_self] = ACTIONS(1090),
    [anon_sym_parent] = ACTIONS(1090),
    [aux_sym__argument_name_token1] = ACTIONS(1090),
    [aux_sym__argument_name_token2] = ACTIONS(1090),
    [anon_sym_POUND_LBRACK] = ACTIONS(1088),
    [aux_sym_encapsed_string_token1] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_string_token1] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym_LT_LT_LT] = ACTIONS(1088),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [anon_sym_DOLLAR] = ACTIONS(1088),
    [aux_sym_yield_expression_token1] = ACTIONS(1090),
    [aux_sym_include_expression_token1] = ACTIONS(1090),
    [aux_sym_include_once_expression_token1] = ACTIONS(1090),
    [aux_sym_require_expression_token1] = ACTIONS(1090),
    [aux_sym_require_once_expression_token1] = ACTIONS(1090),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1092),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_name] = ACTIONS(1096),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1096),
    [aux_sym_global_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_definition_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1096),
    [anon_sym_BSLASH] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [aux_sym_trait_declaration_token1] = ACTIONS(1096),
    [aux_sym_interface_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_case_token1] = ACTIONS(1096),
    [aux_sym_class_declaration_token1] = ACTIONS(1096),
    [aux_sym_final_modifier_token1] = ACTIONS(1096),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1096),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1096),
    [sym_var_modifier] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1096),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1096),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [aux_sym_cast_type_token1] = ACTIONS(1096),
    [aux_sym_echo_statement_token1] = ACTIONS(1096),
    [aux_sym_exit_statement_token1] = ACTIONS(1096),
    [anon_sym_unset] = ACTIONS(1096),
    [aux_sym_declare_statement_token1] = ACTIONS(1096),
    [aux_sym_declare_statement_token2] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [aux_sym_try_statement_token1] = ACTIONS(1096),
    [aux_sym_goto_statement_token1] = ACTIONS(1096),
    [aux_sym_continue_statement_token1] = ACTIONS(1096),
    [aux_sym_break_statement_token1] = ACTIONS(1096),
    [sym_integer] = ACTIONS(1096),
    [aux_sym_return_statement_token1] = ACTIONS(1096),
    [aux_sym_throw_expression_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token2] = ACTIONS(1096),
    [aux_sym_do_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token2] = ACTIONS(1096),
    [aux_sym_foreach_statement_token1] = ACTIONS(1096),
    [aux_sym_foreach_statement_token2] = ACTIONS(1096),
    [aux_sym_if_statement_token1] = ACTIONS(1096),
    [aux_sym_if_statement_token2] = ACTIONS(1096),
    [aux_sym_else_if_clause_token1] = ACTIONS(1096),
    [aux_sym_else_clause_token1] = ACTIONS(1096),
    [aux_sym_match_expression_token1] = ACTIONS(1096),
    [aux_sym_match_default_expression_token1] = ACTIONS(1096),
    [aux_sym_switch_statement_token1] = ACTIONS(1096),
    [aux_sym_switch_block_token1] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1094),
    [aux_sym_clone_expression_token1] = ACTIONS(1096),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1096),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [aux_sym__list_destructing_token1] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_self] = ACTIONS(1096),
    [anon_sym_parent] = ACTIONS(1096),
    [aux_sym__argument_name_token1] = ACTIONS(1096),
    [aux_sym__argument_name_token2] = ACTIONS(1096),
    [anon_sym_POUND_LBRACK] = ACTIONS(1094),
    [aux_sym_encapsed_string_token1] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [aux_sym_string_token1] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [anon_sym_LT_LT_LT] = ACTIONS(1094),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [aux_sym_yield_expression_token1] = ACTIONS(1096),
    [aux_sym_include_expression_token1] = ACTIONS(1096),
    [aux_sym_include_once_expression_token1] = ACTIONS(1096),
    [aux_sym_require_expression_token1] = ACTIONS(1096),
    [aux_sym_require_once_expression_token1] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1098),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_name] = ACTIONS(1102),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1102),
    [aux_sym_global_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_definition_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1102),
    [anon_sym_BSLASH] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym_trait_declaration_token1] = ACTIONS(1102),
    [aux_sym_interface_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_case_token1] = ACTIONS(1102),
    [aux_sym_class_declaration_token1] = ACTIONS(1102),
    [aux_sym_final_modifier_token1] = ACTIONS(1102),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1102),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1102),
    [sym_var_modifier] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1102),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1100),
    [aux_sym_cast_type_token1] = ACTIONS(1102),
    [aux_sym_echo_statement_token1] = ACTIONS(1102),
    [aux_sym_exit_statement_token1] = ACTIONS(1102),
    [anon_sym_unset] = ACTIONS(1102),
    [aux_sym_declare_statement_token1] = ACTIONS(1102),
    [aux_sym_declare_statement_token2] = ACTIONS(1102),
    [sym_float] = ACTIONS(1102),
    [aux_sym_try_statement_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1102),
    [aux_sym_continue_statement_token1] = ACTIONS(1102),
    [aux_sym_break_statement_token1] = ACTIONS(1102),
    [sym_integer] = ACTIONS(1102),
    [aux_sym_return_statement_token1] = ACTIONS(1102),
    [aux_sym_throw_expression_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token2] = ACTIONS(1102),
    [aux_sym_do_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token2] = ACTIONS(1102),
    [aux_sym_foreach_statement_token1] = ACTIONS(1102),
    [aux_sym_foreach_statement_token2] = ACTIONS(1102),
    [aux_sym_if_statement_token1] = ACTIONS(1102),
    [aux_sym_if_statement_token2] = ACTIONS(1102),
    [aux_sym_else_if_clause_token1] = ACTIONS(1102),
    [aux_sym_else_clause_token1] = ACTIONS(1102),
    [aux_sym_match_expression_token1] = ACTIONS(1102),
    [aux_sym_match_default_expression_token1] = ACTIONS(1102),
    [aux_sym_switch_statement_token1] = ACTIONS(1102),
    [aux_sym_switch_block_token1] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [aux_sym_clone_expression_token1] = ACTIONS(1102),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1102),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [aux_sym__list_destructing_token1] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_self] = ACTIONS(1102),
    [anon_sym_parent] = ACTIONS(1102),
    [aux_sym__argument_name_token1] = ACTIONS(1102),
    [aux_sym__argument_name_token2] = ACTIONS(1102),
    [anon_sym_POUND_LBRACK] = ACTIONS(1100),
    [aux_sym_encapsed_string_token1] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_string_token1] = ACTIONS(1100),
    [anon_sym_SQUOTE] = ACTIONS(1100),
    [anon_sym_LT_LT_LT] = ACTIONS(1100),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [aux_sym_yield_expression_token1] = ACTIONS(1102),
    [aux_sym_include_expression_token1] = ACTIONS(1102),
    [aux_sym_include_once_expression_token1] = ACTIONS(1102),
    [aux_sym_require_expression_token1] = ACTIONS(1102),
    [aux_sym_require_once_expression_token1] = ACTIONS(1102),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1104),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [sym_var_modifier] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [aux_sym_exit_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [aux_sym__argument_name_token1] = ACTIONS(1108),
    [aux_sym__argument_name_token2] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1110),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__unary_expression] = STATE(922),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(922),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(592),
    [sym_member_access_expression] = STATE(592),
    [sym_nullsafe_member_access_expression] = STATE(592),
    [sym_scoped_property_access_expression] = STATE(592),
    [sym_function_call_expression] = STATE(575),
    [sym_scoped_call_expression] = STATE(575),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(575),
    [sym_nullsafe_member_call_expression] = STATE(575),
    [sym_subscript_expression] = STATE(575),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(575),
    [sym_variable_name] = STATE(575),
    [sym_include_expression] = STATE(922),
    [sym_include_once_expression] = STATE(922),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_name] = ACTIONS(1114),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1116),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1114),
    [aux_sym_global_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_definition_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1114),
    [anon_sym_BSLASH] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym_trait_declaration_token1] = ACTIONS(1114),
    [aux_sym_interface_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_case_token1] = ACTIONS(1114),
    [aux_sym_class_declaration_token1] = ACTIONS(1114),
    [aux_sym_final_modifier_token1] = ACTIONS(1114),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1114),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1114),
    [sym_var_modifier] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1114),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [aux_sym_cast_type_token1] = ACTIONS(1114),
    [aux_sym_echo_statement_token1] = ACTIONS(1114),
    [aux_sym_exit_statement_token1] = ACTIONS(1114),
    [anon_sym_unset] = ACTIONS(1114),
    [aux_sym_declare_statement_token1] = ACTIONS(1114),
    [aux_sym_declare_statement_token2] = ACTIONS(1114),
    [sym_float] = ACTIONS(1114),
    [aux_sym_try_statement_token1] = ACTIONS(1114),
    [aux_sym_goto_statement_token1] = ACTIONS(1114),
    [aux_sym_continue_statement_token1] = ACTIONS(1114),
    [aux_sym_break_statement_token1] = ACTIONS(1114),
    [sym_integer] = ACTIONS(1114),
    [aux_sym_return_statement_token1] = ACTIONS(1114),
    [aux_sym_throw_expression_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token2] = ACTIONS(1114),
    [aux_sym_do_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token2] = ACTIONS(1114),
    [aux_sym_foreach_statement_token1] = ACTIONS(1114),
    [aux_sym_foreach_statement_token2] = ACTIONS(1114),
    [aux_sym_if_statement_token1] = ACTIONS(1114),
    [aux_sym_if_statement_token2] = ACTIONS(1114),
    [aux_sym_else_if_clause_token1] = ACTIONS(1114),
    [aux_sym_else_clause_token1] = ACTIONS(1114),
    [aux_sym_match_expression_token1] = ACTIONS(1114),
    [aux_sym_match_default_expression_token1] = ACTIONS(1114),
    [aux_sym_switch_statement_token1] = ACTIONS(1114),
    [aux_sym_switch_block_token1] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [aux_sym_clone_expression_token1] = ACTIONS(1114),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1114),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [aux_sym__list_destructing_token1] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_self] = ACTIONS(1114),
    [anon_sym_parent] = ACTIONS(1114),
    [aux_sym__argument_name_token1] = ACTIONS(1114),
    [aux_sym__argument_name_token2] = ACTIONS(1114),
    [anon_sym_POUND_LBRACK] = ACTIONS(1112),
    [aux_sym_encapsed_string_token1] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [aux_sym_string_token1] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_LT_LT_LT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [aux_sym_yield_expression_token1] = ACTIONS(1114),
    [aux_sym_include_expression_token1] = ACTIONS(1114),
    [aux_sym_include_once_expression_token1] = ACTIONS(1114),
    [aux_sym_require_expression_token1] = ACTIONS(1114),
    [aux_sym_require_once_expression_token1] = ACTIONS(1114),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1116),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [sym_qualified_name] = STATE(688),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym__unary_expression] = STATE(922),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(922),
    [sym_clone_expression] = STATE(953),
    [sym_primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(683),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(592),
    [sym_member_access_expression] = STATE(592),
    [sym_nullsafe_member_access_expression] = STATE(592),
    [sym_scoped_property_access_expression] = STATE(592),
    [sym_function_call_expression] = STATE(575),
    [sym_scoped_call_expression] = STATE(575),
    [sym__scope_resolution_qualifier] = STATE(2535),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(575),
    [sym_nullsafe_member_call_expression] = STATE(575),
    [sym_subscript_expression] = STATE(575),
    [sym__dereferencable_expression] = STATE(1710),
    [sym_array_creation_expression] = STATE(683),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(678),
    [sym_dynamic_variable_name] = STATE(575),
    [sym_variable_name] = STATE(575),
    [sym_include_expression] = STATE(922),
    [sym_include_once_expression] = STATE(922),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [sym_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_name] = ACTIONS(1120),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1120),
    [aux_sym_global_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_definition_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1120),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [aux_sym_trait_declaration_token1] = ACTIONS(1120),
    [aux_sym_interface_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_case_token1] = ACTIONS(1120),
    [aux_sym_class_declaration_token1] = ACTIONS(1120),
    [aux_sym_final_modifier_token1] = ACTIONS(1120),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1120),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1120),
    [sym_var_modifier] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1120),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [aux_sym_cast_type_token1] = ACTIONS(1120),
    [aux_sym_echo_statement_token1] = ACTIONS(1120),
    [aux_sym_exit_statement_token1] = ACTIONS(1120),
    [anon_sym_unset] = ACTIONS(1120),
    [aux_sym_declare_statement_token1] = ACTIONS(1120),
    [aux_sym_declare_statement_token2] = ACTIONS(1120),
    [sym_float] = ACTIONS(1120),
    [aux_sym_try_statement_token1] = ACTIONS(1120),
    [aux_sym_goto_statement_token1] = ACTIONS(1120),
    [aux_sym_continue_statement_token1] = ACTIONS(1120),
    [aux_sym_break_statement_token1] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1120),
    [aux_sym_return_statement_token1] = ACTIONS(1120),
    [aux_sym_throw_expression_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token2] = ACTIONS(1120),
    [aux_sym_do_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token2] = ACTIONS(1120),
    [aux_sym_foreach_statement_token1] = ACTIONS(1120),
    [aux_sym_foreach_statement_token2] = ACTIONS(1120),
    [aux_sym_if_statement_token1] = ACTIONS(1120),
    [aux_sym_if_statement_token2] = ACTIONS(1120),
    [aux_sym_else_if_clause_token1] = ACTIONS(1120),
    [aux_sym_else_clause_token1] = ACTIONS(1120),
    [aux_sym_match_expression_token1] = ACTIONS(1120),
    [aux_sym_match_default_expression_token1] = ACTIONS(1120),
    [aux_sym_switch_statement_token1] = ACTIONS(1120),
    [aux_sym_switch_block_token1] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1118),
    [aux_sym_clone_expression_token1] = ACTIONS(1120),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1120),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [aux_sym__list_destructing_token1] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_self] = ACTIONS(1120),
    [anon_sym_parent] = ACTIONS(1120),
    [aux_sym__argument_name_token1] = ACTIONS(1120),
    [aux_sym__argument_name_token2] = ACTIONS(1120),
    [anon_sym_POUND_LBRACK] = ACTIONS(1118),
    [aux_sym_encapsed_string_token1] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_string_token1] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_LT_LT_LT] = ACTIONS(1118),
    [anon_sym_BQUOTE] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [aux_sym_yield_expression_token1] = ACTIONS(1120),
    [aux_sym_include_expression_token1] = ACTIONS(1120),
    [aux_sym_include_once_expression_token1] = ACTIONS(1120),
    [aux_sym_require_expression_token1] = ACTIONS(1120),
    [aux_sym_require_once_expression_token1] = ACTIONS(1120),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1122),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_name] = ACTIONS(1126),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1126),
    [aux_sym_global_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_definition_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1126),
    [anon_sym_BSLASH] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym_trait_declaration_token1] = ACTIONS(1126),
    [aux_sym_interface_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_case_token1] = ACTIONS(1126),
    [aux_sym_class_declaration_token1] = ACTIONS(1126),
    [aux_sym_final_modifier_token1] = ACTIONS(1126),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1126),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1126),
    [sym_var_modifier] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1126),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1126),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [aux_sym_cast_type_token1] = ACTIONS(1126),
    [aux_sym_echo_statement_token1] = ACTIONS(1126),
    [aux_sym_exit_statement_token1] = ACTIONS(1126),
    [anon_sym_unset] = ACTIONS(1126),
    [aux_sym_declare_statement_token1] = ACTIONS(1126),
    [aux_sym_declare_statement_token2] = ACTIONS(1126),
    [sym_float] = ACTIONS(1126),
    [aux_sym_try_statement_token1] = ACTIONS(1126),
    [aux_sym_goto_statement_token1] = ACTIONS(1126),
    [aux_sym_continue_statement_token1] = ACTIONS(1126),
    [aux_sym_break_statement_token1] = ACTIONS(1126),
    [sym_integer] = ACTIONS(1126),
    [aux_sym_return_statement_token1] = ACTIONS(1126),
    [aux_sym_throw_expression_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token2] = ACTIONS(1126),
    [aux_sym_do_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token2] = ACTIONS(1126),
    [aux_sym_foreach_statement_token1] = ACTIONS(1126),
    [aux_sym_foreach_statement_token2] = ACTIONS(1126),
    [aux_sym_if_statement_token1] = ACTIONS(1126),
    [aux_sym_if_statement_token2] = ACTIONS(1126),
    [aux_sym_else_if_clause_token1] = ACTIONS(1126),
    [aux_sym_else_clause_token1] = ACTIONS(1126),
    [aux_sym_match_expression_token1] = ACTIONS(1126),
    [aux_sym_match_default_expression_token1] = ACTIONS(1126),
    [aux_sym_switch_statement_token1] = ACTIONS(1126),
    [aux_sym_switch_block_token1] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [aux_sym_clone_expression_token1] = ACTIONS(1126),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1126),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1124),
    [aux_sym__list_destructing_token1] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_self] = ACTIONS(1126),
    [anon_sym_parent] = ACTIONS(1126),
    [aux_sym__argument_name_token1] = ACTIONS(1126),
    [aux_sym__argument_name_token2] = ACTIONS(1126),
    [anon_sym_POUND_LBRACK] = ACTIONS(1124),
    [aux_sym_encapsed_string_token1] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [aux_sym_string_token1] = ACTIONS(1124),
    [anon_sym_SQUOTE] = ACTIONS(1124),
    [anon_sym_LT_LT_LT] = ACTIONS(1124),
    [anon_sym_BQUOTE] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [aux_sym_yield_expression_token1] = ACTIONS(1126),
    [aux_sym_include_expression_token1] = ACTIONS(1126),
    [aux_sym_include_once_expression_token1] = ACTIONS(1126),
    [aux_sym_require_expression_token1] = ACTIONS(1126),
    [aux_sym_require_once_expression_token1] = ACTIONS(1126),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1128),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_name] = ACTIONS(1132),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1132),
    [aux_sym_global_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_definition_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1132),
    [anon_sym_BSLASH] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [aux_sym_trait_declaration_token1] = ACTIONS(1132),
    [aux_sym_interface_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_case_token1] = ACTIONS(1132),
    [aux_sym_class_declaration_token1] = ACTIONS(1132),
    [aux_sym_final_modifier_token1] = ACTIONS(1132),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1132),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1132),
    [sym_var_modifier] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1132),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [aux_sym_cast_type_token1] = ACTIONS(1132),
    [aux_sym_echo_statement_token1] = ACTIONS(1132),
    [aux_sym_exit_statement_token1] = ACTIONS(1132),
    [anon_sym_unset] = ACTIONS(1132),
    [aux_sym_declare_statement_token1] = ACTIONS(1132),
    [aux_sym_declare_statement_token2] = ACTIONS(1132),
    [sym_float] = ACTIONS(1132),
    [aux_sym_try_statement_token1] = ACTIONS(1132),
    [aux_sym_goto_statement_token1] = ACTIONS(1132),
    [aux_sym_continue_statement_token1] = ACTIONS(1132),
    [aux_sym_break_statement_token1] = ACTIONS(1132),
    [sym_integer] = ACTIONS(1132),
    [aux_sym_return_statement_token1] = ACTIONS(1132),
    [aux_sym_throw_expression_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token2] = ACTIONS(1132),
    [aux_sym_do_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token2] = ACTIONS(1132),
    [aux_sym_foreach_statement_token1] = ACTIONS(1132),
    [aux_sym_foreach_statement_token2] = ACTIONS(1132),
    [aux_sym_if_statement_token1] = ACTIONS(1132),
    [aux_sym_if_statement_token2] = ACTIONS(1132),
    [aux_sym_else_if_clause_token1] = ACTIONS(1132),
    [aux_sym_else_clause_token1] = ACTIONS(1132),
    [aux_sym_match_expression_token1] = ACTIONS(1132),
    [aux_sym_match_default_expression_token1] = ACTIONS(1132),
    [aux_sym_switch_statement_token1] = ACTIONS(1132),
    [aux_sym_switch_block_token1] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1130),
    [aux_sym_clone_expression_token1] = ACTIONS(1132),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1132),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [aux_sym__list_destructing_token1] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_self] = ACTIONS(1132),
    [anon_sym_parent] = ACTIONS(1132),
    [aux_sym__argument_name_token1] = ACTIONS(1132),
    [aux_sym__argument_name_token2] = ACTIONS(1132),
    [anon_sym_POUND_LBRACK] = ACTIONS(1130),
    [aux_sym_encapsed_string_token1] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [aux_sym_string_token1] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_LT_LT_LT] = ACTIONS(1130),
    [anon_sym_BQUOTE] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [aux_sym_yield_expression_token1] = ACTIONS(1132),
    [aux_sym_include_expression_token1] = ACTIONS(1132),
    [aux_sym_include_once_expression_token1] = ACTIONS(1132),
    [aux_sym_require_expression_token1] = ACTIONS(1132),
    [aux_sym_require_once_expression_token1] = ACTIONS(1132),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1134),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [sym_var_modifier] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [aux_sym_exit_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [aux_sym__argument_name_token1] = ACTIONS(1138),
    [aux_sym__argument_name_token2] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1136),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [sym_var_modifier] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [aux_sym_exit_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [aux_sym__argument_name_token1] = ACTIONS(1142),
    [aux_sym__argument_name_token2] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [sym_var_modifier] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [aux_sym_exit_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [aux_sym__argument_name_token1] = ACTIONS(1150),
    [aux_sym__argument_name_token2] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_name] = ACTIONS(1042),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1040),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1042),
    [aux_sym_global_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_definition_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1042),
    [anon_sym_BSLASH] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym_trait_declaration_token1] = ACTIONS(1042),
    [aux_sym_interface_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_case_token1] = ACTIONS(1042),
    [aux_sym_class_declaration_token1] = ACTIONS(1042),
    [aux_sym_final_modifier_token1] = ACTIONS(1042),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1042),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1042),
    [sym_var_modifier] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1042),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [aux_sym_cast_type_token1] = ACTIONS(1042),
    [aux_sym_echo_statement_token1] = ACTIONS(1042),
    [aux_sym_exit_statement_token1] = ACTIONS(1042),
    [anon_sym_unset] = ACTIONS(1042),
    [aux_sym_declare_statement_token1] = ACTIONS(1042),
    [aux_sym_declare_statement_token2] = ACTIONS(1042),
    [sym_float] = ACTIONS(1042),
    [aux_sym_try_statement_token1] = ACTIONS(1042),
    [aux_sym_goto_statement_token1] = ACTIONS(1042),
    [aux_sym_continue_statement_token1] = ACTIONS(1042),
    [aux_sym_break_statement_token1] = ACTIONS(1042),
    [sym_integer] = ACTIONS(1042),
    [aux_sym_return_statement_token1] = ACTIONS(1042),
    [aux_sym_throw_expression_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token2] = ACTIONS(1042),
    [aux_sym_do_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token2] = ACTIONS(1042),
    [aux_sym_foreach_statement_token1] = ACTIONS(1042),
    [aux_sym_foreach_statement_token2] = ACTIONS(1042),
    [aux_sym_if_statement_token1] = ACTIONS(1042),
    [aux_sym_if_statement_token2] = ACTIONS(1042),
    [aux_sym_else_if_clause_token1] = ACTIONS(1042),
    [aux_sym_else_clause_token1] = ACTIONS(1042),
    [aux_sym_match_expression_token1] = ACTIONS(1042),
    [aux_sym_match_default_expression_token1] = ACTIONS(1042),
    [aux_sym_switch_statement_token1] = ACTIONS(1042),
    [aux_sym_switch_block_token1] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [aux_sym_clone_expression_token1] = ACTIONS(1042),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1042),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [aux_sym__list_destructing_token1] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_self] = ACTIONS(1042),
    [anon_sym_parent] = ACTIONS(1042),
    [aux_sym__argument_name_token1] = ACTIONS(1042),
    [aux_sym__argument_name_token2] = ACTIONS(1042),
    [anon_sym_POUND_LBRACK] = ACTIONS(1040),
    [aux_sym_encapsed_string_token1] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_string_token1] = ACTIONS(1040),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [anon_sym_LT_LT_LT] = ACTIONS(1040),
    [anon_sym_BQUOTE] = ACTIONS(1040),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [aux_sym_yield_expression_token1] = ACTIONS(1042),
    [aux_sym_include_expression_token1] = ACTIONS(1042),
    [aux_sym_include_once_expression_token1] = ACTIONS(1042),
    [aux_sym_require_expression_token1] = ACTIONS(1042),
    [aux_sym_require_once_expression_token1] = ACTIONS(1042),
    [sym_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [sym_var_modifier] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [aux_sym_exit_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [aux_sym__argument_name_token1] = ACTIONS(1154),
    [aux_sym__argument_name_token2] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [sym_var_modifier] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [aux_sym_exit_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [aux_sym__argument_name_token1] = ACTIONS(1158),
    [aux_sym__argument_name_token2] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [sym_var_modifier] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [aux_sym_exit_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [aux_sym__argument_name_token1] = ACTIONS(1162),
    [aux_sym__argument_name_token2] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [sym_var_modifier] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [aux_sym_exit_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [aux_sym__argument_name_token1] = ACTIONS(1170),
    [aux_sym__argument_name_token2] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [sym_var_modifier] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [aux_sym_exit_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [aux_sym__argument_name_token1] = ACTIONS(1174),
    [aux_sym__argument_name_token2] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [sym_var_modifier] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [aux_sym_exit_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [aux_sym__argument_name_token1] = ACTIONS(1202),
    [aux_sym__argument_name_token2] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [sym_var_modifier] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [aux_sym_exit_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [aux_sym__argument_name_token1] = ACTIONS(1206),
    [aux_sym__argument_name_token2] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [sym_var_modifier] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [aux_sym_exit_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [aux_sym__argument_name_token1] = ACTIONS(1218),
    [aux_sym__argument_name_token2] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1025),
    [sym_name] = ACTIONS(1027),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1025),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1027),
    [aux_sym_global_declaration_token1] = ACTIONS(1027),
    [aux_sym_namespace_definition_token1] = ACTIONS(1027),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1027),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1027),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1027),
    [anon_sym_BSLASH] = ACTIONS(1025),
    [anon_sym_LBRACE] = ACTIONS(1025),
    [anon_sym_RBRACE] = ACTIONS(1025),
    [aux_sym_trait_declaration_token1] = ACTIONS(1027),
    [aux_sym_interface_declaration_token1] = ACTIONS(1027),
    [aux_sym_enum_declaration_token1] = ACTIONS(1027),
    [aux_sym_enum_case_token1] = ACTIONS(1027),
    [aux_sym_class_declaration_token1] = ACTIONS(1027),
    [aux_sym_final_modifier_token1] = ACTIONS(1027),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1027),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1027),
    [sym_var_modifier] = ACTIONS(1027),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1027),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1027),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1027),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [aux_sym_cast_type_token1] = ACTIONS(1027),
    [aux_sym_echo_statement_token1] = ACTIONS(1027),
    [aux_sym_exit_statement_token1] = ACTIONS(1027),
    [anon_sym_unset] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [aux_sym_declare_statement_token2] = ACTIONS(1027),
    [sym_float] = ACTIONS(1027),
    [aux_sym_try_statement_token1] = ACTIONS(1027),
    [aux_sym_goto_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [sym_integer] = ACTIONS(1027),
    [aux_sym_return_statement_token1] = ACTIONS(1027),
    [aux_sym_throw_expression_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token2] = ACTIONS(1027),
    [aux_sym_do_statement_token1] = ACTIONS(1027),
    [aux_sym_for_statement_token1] = ACTIONS(1027),
    [aux_sym_for_statement_token2] = ACTIONS(1027),
    [aux_sym_foreach_statement_token1] = ACTIONS(1027),
    [aux_sym_foreach_statement_token2] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token2] = ACTIONS(1027),
    [aux_sym_else_if_clause_token1] = ACTIONS(1027),
    [aux_sym_else_clause_token1] = ACTIONS(1027),
    [aux_sym_match_expression_token1] = ACTIONS(1027),
    [aux_sym_match_default_expression_token1] = ACTIONS(1027),
    [aux_sym_switch_statement_token1] = ACTIONS(1027),
    [aux_sym_switch_block_token1] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_TILDE] = ACTIONS(1025),
    [anon_sym_BANG] = ACTIONS(1025),
    [anon_sym_AT] = ACTIONS(1025),
    [aux_sym_clone_expression_token1] = ACTIONS(1027),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1027),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1025),
    [anon_sym_PLUS_PLUS] = ACTIONS(1025),
    [aux_sym__list_destructing_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(1027),
    [anon_sym_parent] = ACTIONS(1027),
    [aux_sym__argument_name_token1] = ACTIONS(1027),
    [aux_sym__argument_name_token2] = ACTIONS(1027),
    [anon_sym_POUND_LBRACK] = ACTIONS(1025),
    [aux_sym_encapsed_string_token1] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(1025),
    [aux_sym_string_token1] = ACTIONS(1025),
    [anon_sym_SQUOTE] = ACTIONS(1025),
    [anon_sym_LT_LT_LT] = ACTIONS(1025),
    [anon_sym_BQUOTE] = ACTIONS(1025),
    [anon_sym_DOLLAR] = ACTIONS(1025),
    [aux_sym_yield_expression_token1] = ACTIONS(1027),
    [aux_sym_include_expression_token1] = ACTIONS(1027),
    [aux_sym_include_once_expression_token1] = ACTIONS(1027),
    [aux_sym_require_expression_token1] = ACTIONS(1027),
    [aux_sym_require_once_expression_token1] = ACTIONS(1027),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [sym_var_modifier] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [aux_sym_exit_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [aux_sym__argument_name_token1] = ACTIONS(1138),
    [aux_sym__argument_name_token2] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [sym_var_modifier] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [aux_sym_exit_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [aux_sym__argument_name_token1] = ACTIONS(1142),
    [aux_sym__argument_name_token2] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1078),
    [sym_name] = ACTIONS(1080),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1078),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1080),
    [aux_sym_global_declaration_token1] = ACTIONS(1080),
    [aux_sym_namespace_definition_token1] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1080),
    [anon_sym_BSLASH] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_RBRACE] = ACTIONS(1078),
    [aux_sym_trait_declaration_token1] = ACTIONS(1080),
    [aux_sym_interface_declaration_token1] = ACTIONS(1080),
    [aux_sym_enum_declaration_token1] = ACTIONS(1080),
    [aux_sym_enum_case_token1] = ACTIONS(1080),
    [aux_sym_class_declaration_token1] = ACTIONS(1080),
    [aux_sym_final_modifier_token1] = ACTIONS(1080),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1080),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1080),
    [sym_var_modifier] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1080),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1078),
    [aux_sym_cast_type_token1] = ACTIONS(1080),
    [aux_sym_echo_statement_token1] = ACTIONS(1080),
    [aux_sym_exit_statement_token1] = ACTIONS(1080),
    [anon_sym_unset] = ACTIONS(1080),
    [aux_sym_declare_statement_token1] = ACTIONS(1080),
    [aux_sym_declare_statement_token2] = ACTIONS(1080),
    [sym_float] = ACTIONS(1080),
    [aux_sym_try_statement_token1] = ACTIONS(1080),
    [aux_sym_goto_statement_token1] = ACTIONS(1080),
    [aux_sym_continue_statement_token1] = ACTIONS(1080),
    [aux_sym_break_statement_token1] = ACTIONS(1080),
    [sym_integer] = ACTIONS(1080),
    [aux_sym_return_statement_token1] = ACTIONS(1080),
    [aux_sym_throw_expression_token1] = ACTIONS(1080),
    [aux_sym_while_statement_token1] = ACTIONS(1080),
    [aux_sym_while_statement_token2] = ACTIONS(1080),
    [aux_sym_do_statement_token1] = ACTIONS(1080),
    [aux_sym_for_statement_token1] = ACTIONS(1080),
    [aux_sym_for_statement_token2] = ACTIONS(1080),
    [aux_sym_foreach_statement_token1] = ACTIONS(1080),
    [aux_sym_foreach_statement_token2] = ACTIONS(1080),
    [aux_sym_if_statement_token1] = ACTIONS(1080),
    [aux_sym_if_statement_token2] = ACTIONS(1080),
    [aux_sym_else_if_clause_token1] = ACTIONS(1080),
    [aux_sym_else_clause_token1] = ACTIONS(1080),
    [aux_sym_match_expression_token1] = ACTIONS(1080),
    [aux_sym_match_default_expression_token1] = ACTIONS(1080),
    [aux_sym_switch_statement_token1] = ACTIONS(1080),
    [aux_sym_switch_block_token1] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1078),
    [anon_sym_BANG] = ACTIONS(1078),
    [anon_sym_AT] = ACTIONS(1078),
    [aux_sym_clone_expression_token1] = ACTIONS(1080),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1080),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1078),
    [aux_sym__list_destructing_token1] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_self] = ACTIONS(1080),
    [anon_sym_parent] = ACTIONS(1080),
    [aux_sym__argument_name_token1] = ACTIONS(1080),
    [aux_sym__argument_name_token2] = ACTIONS(1080),
    [anon_sym_POUND_LBRACK] = ACTIONS(1078),
    [aux_sym_encapsed_string_token1] = ACTIONS(1078),
    [anon_sym_DQUOTE] = ACTIONS(1078),
    [aux_sym_string_token1] = ACTIONS(1078),
    [anon_sym_SQUOTE] = ACTIONS(1078),
    [anon_sym_LT_LT_LT] = ACTIONS(1078),
    [anon_sym_BQUOTE] = ACTIONS(1078),
    [anon_sym_DOLLAR] = ACTIONS(1078),
    [aux_sym_yield_expression_token1] = ACTIONS(1080),
    [aux_sym_include_expression_token1] = ACTIONS(1080),
    [aux_sym_include_once_expression_token1] = ACTIONS(1080),
    [aux_sym_require_expression_token1] = ACTIONS(1080),
    [aux_sym_require_once_expression_token1] = ACTIONS(1080),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [sym_var_modifier] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [aux_sym_exit_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [aux_sym__argument_name_token1] = ACTIONS(1354),
    [aux_sym__argument_name_token2] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [sym_var_modifier] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [aux_sym_exit_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [aux_sym__argument_name_token1] = ACTIONS(1358),
    [aux_sym__argument_name_token2] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [sym_var_modifier] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [aux_sym_exit_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [aux_sym__argument_name_token1] = ACTIONS(1366),
    [aux_sym__argument_name_token2] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [sym_var_modifier] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [aux_sym_exit_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [aux_sym__argument_name_token1] = ACTIONS(1370),
    [aux_sym__argument_name_token2] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [sym_var_modifier] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [aux_sym_exit_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [aux_sym__argument_name_token1] = ACTIONS(1378),
    [aux_sym__argument_name_token2] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [sym_var_modifier] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [aux_sym_exit_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [aux_sym__argument_name_token1] = ACTIONS(1382),
    [aux_sym__argument_name_token2] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [sym_var_modifier] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [aux_sym_exit_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [aux_sym__argument_name_token1] = ACTIONS(1390),
    [aux_sym__argument_name_token2] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [sym_var_modifier] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [aux_sym_exit_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [aux_sym__argument_name_token1] = ACTIONS(1394),
    [aux_sym__argument_name_token2] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [sym_var_modifier] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [aux_sym_exit_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [aux_sym__argument_name_token1] = ACTIONS(1398),
    [aux_sym__argument_name_token2] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [sym_var_modifier] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [aux_sym_exit_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [aux_sym__argument_name_token1] = ACTIONS(1406),
    [aux_sym__argument_name_token2] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [sym_var_modifier] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [aux_sym_exit_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [aux_sym__argument_name_token1] = ACTIONS(1410),
    [aux_sym__argument_name_token2] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [sym_var_modifier] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [aux_sym_exit_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [aux_sym__argument_name_token1] = ACTIONS(1414),
    [aux_sym__argument_name_token2] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [sym_var_modifier] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [aux_sym_exit_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [aux_sym__argument_name_token1] = ACTIONS(1418),
    [aux_sym__argument_name_token2] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [sym_var_modifier] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [aux_sym_exit_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [aux_sym__argument_name_token1] = ACTIONS(1422),
    [aux_sym__argument_name_token2] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [sym_var_modifier] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [aux_sym_exit_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [aux_sym__argument_name_token1] = ACTIONS(1426),
    [aux_sym__argument_name_token2] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [sym_var_modifier] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [aux_sym_exit_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [aux_sym__argument_name_token1] = ACTIONS(1430),
    [aux_sym__argument_name_token2] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [sym_var_modifier] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [aux_sym_exit_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [aux_sym__argument_name_token1] = ACTIONS(1438),
    [aux_sym__argument_name_token2] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [sym_var_modifier] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [aux_sym_exit_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [aux_sym__argument_name_token1] = ACTIONS(1442),
    [aux_sym__argument_name_token2] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [sym_var_modifier] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [aux_sym_exit_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [aux_sym__argument_name_token1] = ACTIONS(1446),
    [aux_sym__argument_name_token2] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [sym_var_modifier] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [aux_sym_exit_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [aux_sym__argument_name_token1] = ACTIONS(1450),
    [aux_sym__argument_name_token2] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [sym_var_modifier] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [aux_sym_exit_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [aux_sym__argument_name_token1] = ACTIONS(1454),
    [aux_sym__argument_name_token2] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [sym_var_modifier] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [aux_sym_exit_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [aux_sym__argument_name_token1] = ACTIONS(1458),
    [aux_sym__argument_name_token2] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [sym_var_modifier] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [aux_sym_exit_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [aux_sym__argument_name_token1] = ACTIONS(1462),
    [aux_sym__argument_name_token2] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [sym_var_modifier] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [aux_sym_exit_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [aux_sym__argument_name_token1] = ACTIONS(1466),
    [aux_sym__argument_name_token2] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [sym_var_modifier] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [aux_sym_exit_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [aux_sym__argument_name_token1] = ACTIONS(1470),
    [aux_sym__argument_name_token2] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [sym_var_modifier] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [aux_sym_exit_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [aux_sym__argument_name_token1] = ACTIONS(1474),
    [aux_sym__argument_name_token2] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [sym_var_modifier] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [aux_sym_exit_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [aux_sym__argument_name_token1] = ACTIONS(1486),
    [aux_sym__argument_name_token2] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [sym_var_modifier] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [aux_sym_exit_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [aux_sym__argument_name_token1] = ACTIONS(1490),
    [aux_sym__argument_name_token2] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [sym_var_modifier] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [aux_sym_exit_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [aux_sym__argument_name_token1] = ACTIONS(1494),
    [aux_sym__argument_name_token2] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [sym_var_modifier] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [aux_sym_exit_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1522),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1520),
    [aux_sym_global_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_definition_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1520),
    [anon_sym_BSLASH] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [aux_sym_trait_declaration_token1] = ACTIONS(1520),
    [aux_sym_interface_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_declaration_token1] = ACTIONS(1520),
    [anon_sym_COLON] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1520),
    [aux_sym_final_modifier_token1] = ACTIONS(1520),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1520),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1520),
    [sym_var_modifier] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1520),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(1520),
    [aux_sym_echo_statement_token1] = ACTIONS(1520),
    [aux_sym_exit_statement_token1] = ACTIONS(1520),
    [anon_sym_unset] = ACTIONS(1520),
    [aux_sym_declare_statement_token1] = ACTIONS(1520),
    [sym_float] = ACTIONS(1520),
    [aux_sym_try_statement_token1] = ACTIONS(1520),
    [aux_sym_goto_statement_token1] = ACTIONS(1520),
    [aux_sym_continue_statement_token1] = ACTIONS(1520),
    [aux_sym_break_statement_token1] = ACTIONS(1520),
    [sym_integer] = ACTIONS(1520),
    [aux_sym_return_statement_token1] = ACTIONS(1520),
    [aux_sym_throw_expression_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token1] = ACTIONS(1520),
    [aux_sym_do_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token1] = ACTIONS(1520),
    [aux_sym_foreach_statement_token1] = ACTIONS(1520),
    [aux_sym_if_statement_token1] = ACTIONS(1520),
    [aux_sym_match_expression_token1] = ACTIONS(1520),
    [aux_sym_switch_statement_token1] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(1522),
    [aux_sym_clone_expression_token1] = ACTIONS(1520),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1520),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [aux_sym__list_destructing_token1] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_self] = ACTIONS(1520),
    [anon_sym_parent] = ACTIONS(1520),
    [aux_sym__argument_name_token1] = ACTIONS(1520),
    [aux_sym__argument_name_token2] = ACTIONS(1520),
    [anon_sym_POUND_LBRACK] = ACTIONS(1522),
    [aux_sym_encapsed_string_token1] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [aux_sym_string_token1] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_LT_LT_LT] = ACTIONS(1522),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1522),
    [aux_sym_yield_expression_token1] = ACTIONS(1520),
    [aux_sym_include_expression_token1] = ACTIONS(1520),
    [aux_sym_include_once_expression_token1] = ACTIONS(1520),
    [aux_sym_require_expression_token1] = ACTIONS(1520),
    [aux_sym_require_once_expression_token1] = ACTIONS(1520),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2483),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_primary_expression] = STATE(973),
    [sym_parenthesized_expression] = STATE(686),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_variable] = STATE(697),
    [sym_member_access_expression] = STATE(697),
    [sym_nullsafe_member_access_expression] = STATE(697),
    [sym_scoped_property_access_expression] = STATE(697),
    [sym_function_call_expression] = STATE(639),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2667),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1675),
    [sym_array_creation_expression] = STATE(686),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(685),
    [sym_dynamic_variable_name] = STATE(639),
    [sym_variable_name] = STATE(639),
    [sym__reserved_identifier] = STATE(1553),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2527),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_primary_expression] = STATE(973),
    [sym_parenthesized_expression] = STATE(686),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_variable] = STATE(697),
    [sym_member_access_expression] = STATE(697),
    [sym_nullsafe_member_access_expression] = STATE(697),
    [sym_scoped_property_access_expression] = STATE(697),
    [sym_function_call_expression] = STATE(639),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2667),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1675),
    [sym_array_creation_expression] = STATE(686),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(685),
    [sym_dynamic_variable_name] = STATE(639),
    [sym_variable_name] = STATE(639),
    [sym__reserved_identifier] = STATE(1553),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [sym_qualified_name] = STATE(835),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2270),
    [sym__arrow_function_header] = STATE(2613),
    [sym_arrow_function] = STATE(1062),
    [sym_literal] = STATE(1062),
    [sym_throw_expression] = STATE(1062),
    [sym_primary_expression] = STATE(1129),
    [sym_parenthesized_expression] = STATE(833),
    [sym_class_constant_access_expression] = STATE(918),
    [sym_print_intrinsic] = STATE(1062),
    [sym_anonymous_function_creation_expression] = STATE(1062),
    [sym_object_creation_expression] = STATE(1062),
    [sym_update_expression] = STATE(1062),
    [sym_cast_variable] = STATE(850),
    [sym_member_access_expression] = STATE(850),
    [sym_nullsafe_member_access_expression] = STATE(850),
    [sym_scoped_property_access_expression] = STATE(850),
    [sym_function_call_expression] = STATE(766),
    [sym_scoped_call_expression] = STATE(766),
    [sym__scope_resolution_qualifier] = STATE(2569),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(766),
    [sym_nullsafe_member_call_expression] = STATE(766),
    [sym_subscript_expression] = STATE(766),
    [sym__dereferencable_expression] = STATE(1679),
    [sym_array_creation_expression] = STATE(833),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1812),
    [sym_encapsed_string] = STATE(868),
    [sym_string] = STATE(868),
    [sym_heredoc] = STATE(868),
    [sym_nowdoc] = STATE(868),
    [sym_shell_command_expression] = STATE(1062),
    [sym_boolean] = STATE(1105),
    [sym_null] = STATE(1105),
    [sym__string] = STATE(832),
    [sym_dynamic_variable_name] = STATE(766),
    [sym_variable_name] = STATE(766),
    [sym__reserved_identifier] = STATE(1556),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2546),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2305),
    [sym__arrow_function_header] = STATE(2465),
    [sym_arrow_function] = STATE(979),
    [sym_literal] = STATE(979),
    [sym_throw_expression] = STATE(979),
    [sym_primary_expression] = STATE(973),
    [sym_parenthesized_expression] = STATE(686),
    [sym_class_constant_access_expression] = STATE(777),
    [sym_print_intrinsic] = STATE(979),
    [sym_anonymous_function_creation_expression] = STATE(979),
    [sym_object_creation_expression] = STATE(979),
    [sym_update_expression] = STATE(979),
    [sym_cast_variable] = STATE(697),
    [sym_member_access_expression] = STATE(697),
    [sym_nullsafe_member_access_expression] = STATE(697),
    [sym_scoped_property_access_expression] = STATE(697),
    [sym_function_call_expression] = STATE(639),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2667),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1675),
    [sym_array_creation_expression] = STATE(686),
    [sym_attribute_group] = STATE(1041),
    [sym_attribute_list] = STATE(1829),
    [sym_encapsed_string] = STATE(721),
    [sym_string] = STATE(721),
    [sym_heredoc] = STATE(721),
    [sym_nowdoc] = STATE(721),
    [sym_shell_command_expression] = STATE(979),
    [sym_boolean] = STATE(948),
    [sym_null] = STATE(948),
    [sym__string] = STATE(685),
    [sym_dynamic_variable_name] = STATE(639),
    [sym_variable_name] = STATE(639),
    [sym__reserved_identifier] = STATE(1553),
    [aux_sym_attribute_list_repeat1] = STATE(989),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_EQ] = ACTIONS(1538),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_base_clause_token1] = ACTIONS(1536),
    [anon_sym_COLON] = ACTIONS(1538),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1536),
    [anon_sym_EQ_GT] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1536),
    [anon_sym_QMARK] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_COLON_COLON] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1536),
    [anon_sym_STAR_EQ] = ACTIONS(1536),
    [anon_sym_SLASH_EQ] = ACTIONS(1536),
    [anon_sym_PERCENT_EQ] = ACTIONS(1536),
    [anon_sym_PLUS_EQ] = ACTIONS(1536),
    [anon_sym_DASH_EQ] = ACTIONS(1536),
    [anon_sym_DOT_EQ] = ACTIONS(1536),
    [anon_sym_LT_LT_EQ] = ACTIONS(1536),
    [anon_sym_GT_GT_EQ] = ACTIONS(1536),
    [anon_sym_AMP_EQ] = ACTIONS(1536),
    [anon_sym_CARET_EQ] = ACTIONS(1536),
    [anon_sym_PIPE_EQ] = ACTIONS(1536),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1536),
    [anon_sym_DASH_GT] = ACTIONS(1536),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_RBRACK] = ACTIONS(1536),
    [aux_sym_binary_expression_token1] = ACTIONS(1536),
    [anon_sym_QMARK_QMARK] = ACTIONS(1538),
    [anon_sym_STAR_STAR] = ACTIONS(1538),
    [aux_sym_binary_expression_token2] = ACTIONS(1536),
    [aux_sym_binary_expression_token3] = ACTIONS(1536),
    [aux_sym_binary_expression_token4] = ACTIONS(1536),
    [anon_sym_PIPE_PIPE] = ACTIONS(1536),
    [anon_sym_AMP_AMP] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1538),
    [anon_sym_BANG_EQ] = ACTIONS(1538),
    [anon_sym_LT_GT] = ACTIONS(1536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1536),
    [anon_sym_LT_EQ_GT] = ACTIONS(1536),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_SLASH] = ACTIONS(1538),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [sym_comment] = ACTIONS(1540),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1544),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [aux_sym_base_clause_token1] = ACTIONS(1542),
    [anon_sym_COLON] = ACTIONS(1544),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1542),
    [anon_sym_EQ_GT] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_RPAREN] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1544),
    [anon_sym_PIPE] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_COLON_COLON] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1542),
    [anon_sym_STAR_EQ] = ACTIONS(1542),
    [anon_sym_SLASH_EQ] = ACTIONS(1542),
    [anon_sym_PERCENT_EQ] = ACTIONS(1542),
    [anon_sym_PLUS_EQ] = ACTIONS(1542),
    [anon_sym_DASH_EQ] = ACTIONS(1542),
    [anon_sym_DOT_EQ] = ACTIONS(1542),
    [anon_sym_LT_LT_EQ] = ACTIONS(1542),
    [anon_sym_GT_GT_EQ] = ACTIONS(1542),
    [anon_sym_AMP_EQ] = ACTIONS(1542),
    [anon_sym_CARET_EQ] = ACTIONS(1542),
    [anon_sym_PIPE_EQ] = ACTIONS(1542),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1542),
    [anon_sym_DASH_GT] = ACTIONS(1542),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_RBRACK] = ACTIONS(1542),
    [aux_sym_binary_expression_token1] = ACTIONS(1542),
    [anon_sym_QMARK_QMARK] = ACTIONS(1544),
    [anon_sym_STAR_STAR] = ACTIONS(1544),
    [aux_sym_binary_expression_token2] = ACTIONS(1542),
    [aux_sym_binary_expression_token3] = ACTIONS(1542),
    [aux_sym_binary_expression_token4] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1542),
    [anon_sym_AMP_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1544),
    [anon_sym_EQ_EQ] = ACTIONS(1544),
    [anon_sym_BANG_EQ] = ACTIONS(1544),
    [anon_sym_LT_GT] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1544),
    [anon_sym_GT] = ACTIONS(1544),
    [anon_sym_LT_EQ] = ACTIONS(1544),
    [anon_sym_GT_EQ] = ACTIONS(1542),
    [anon_sym_LT_EQ_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1544),
    [anon_sym_GT_GT] = ACTIONS(1544),
    [anon_sym_DOT] = ACTIONS(1544),
    [anon_sym_STAR] = ACTIONS(1544),
    [anon_sym_SLASH] = ACTIONS(1544),
    [anon_sym_PERCENT] = ACTIONS(1544),
    [sym_comment] = ACTIONS(1540),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1546),
    [anon_sym_EQ] = ACTIONS(1548),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [aux_sym_base_clause_token1] = ACTIONS(1546),
    [anon_sym_COLON] = ACTIONS(1548),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1546),
    [anon_sym_EQ_GT] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1546),
    [anon_sym_RPAREN] = ACTIONS(1546),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_COLON_COLON] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1546),
    [anon_sym_STAR_EQ] = ACTIONS(1546),
    [anon_sym_SLASH_EQ] = ACTIONS(1546),
    [anon_sym_PERCENT_EQ] = ACTIONS(1546),
    [anon_sym_PLUS_EQ] = ACTIONS(1546),
    [anon_sym_DASH_EQ] = ACTIONS(1546),
    [anon_sym_DOT_EQ] = ACTIONS(1546),
    [anon_sym_LT_LT_EQ] = ACTIONS(1546),
    [anon_sym_GT_GT_EQ] = ACTIONS(1546),
    [anon_sym_AMP_EQ] = ACTIONS(1546),
    [anon_sym_CARET_EQ] = ACTIONS(1546),
    [anon_sym_PIPE_EQ] = ACTIONS(1546),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1546),
    [anon_sym_DASH_GT] = ACTIONS(1546),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_RBRACK] = ACTIONS(1546),
    [aux_sym_binary_expression_token1] = ACTIONS(1546),
    [anon_sym_QMARK_QMARK] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [aux_sym_binary_expression_token2] = ACTIONS(1546),
    [aux_sym_binary_expression_token3] = ACTIONS(1546),
    [aux_sym_binary_expression_token4] = ACTIONS(1546),
    [anon_sym_PIPE_PIPE] = ACTIONS(1546),
    [anon_sym_AMP_AMP] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_LT_GT] = ACTIONS(1546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1546),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1546),
    [anon_sym_LT] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1546),
    [anon_sym_LT_EQ_GT] = ACTIONS(1546),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [sym_comment] = ACTIONS(1540),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1550),
    [anon_sym_AMP] = ACTIONS(1552),
    [anon_sym_COMMA] = ACTIONS(1550),
    [anon_sym_EQ] = ACTIONS(1552),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [aux_sym_base_clause_token1] = ACTIONS(1550),
    [anon_sym_COLON] = ACTIONS(1552),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1550),
    [anon_sym_EQ_GT] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_RPAREN] = ACTIONS(1550),
    [anon_sym_QMARK] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_COLON_COLON] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1550),
    [anon_sym_STAR_EQ] = ACTIONS(1550),
    [anon_sym_SLASH_EQ] = ACTIONS(1550),
    [anon_sym_PERCENT_EQ] = ACTIONS(1550),
    [anon_sym_PLUS_EQ] = ACTIONS(1550),
    [anon_sym_DASH_EQ] = ACTIONS(1550),
    [anon_sym_DOT_EQ] = ACTIONS(1550),
    [anon_sym_LT_LT_EQ] = ACTIONS(1550),
    [anon_sym_GT_GT_EQ] = ACTIONS(1550),
    [anon_sym_AMP_EQ] = ACTIONS(1550),
    [anon_sym_CARET_EQ] = ACTIONS(1550),
    [anon_sym_PIPE_EQ] = ACTIONS(1550),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1550),
    [anon_sym_DASH_GT] = ACTIONS(1550),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(1550),
    [aux_sym_binary_expression_token1] = ACTIONS(1550),
    [anon_sym_QMARK_QMARK] = ACTIONS(1552),
    [anon_sym_STAR_STAR] = ACTIONS(1552),
    [aux_sym_binary_expression_token2] = ACTIONS(1550),
    [aux_sym_binary_expression_token3] = ACTIONS(1550),
    [aux_sym_binary_expression_token4] = ACTIONS(1550),
    [anon_sym_PIPE_PIPE] = ACTIONS(1550),
    [anon_sym_AMP_AMP] = ACTIONS(1550),
    [anon_sym_CARET] = ACTIONS(1552),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT_GT] = ACTIONS(1550),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1550),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1550),
    [anon_sym_LT] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1552),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT_EQ] = ACTIONS(1550),
    [anon_sym_LT_EQ_GT] = ACTIONS(1550),
    [anon_sym_LT_LT] = ACTIONS(1552),
    [anon_sym_GT_GT] = ACTIONS(1552),
    [anon_sym_DOT] = ACTIONS(1552),
    [anon_sym_STAR] = ACTIONS(1552),
    [anon_sym_SLASH] = ACTIONS(1552),
    [anon_sym_PERCENT] = ACTIONS(1552),
    [sym_comment] = ACTIONS(1540),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(572), 1,
      sym_text_interpolation,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1556), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1554), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(573), 1,
      sym_text_interpolation,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1562), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1560), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(574), 1,
      sym_text_interpolation,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1566), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1564), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [237] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    STATE(575), 1,
      sym_text_interpolation,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1578), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [324] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_text_interpolation,
    STATE(588), 1,
      sym_arguments,
    ACTIONS(1582), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [403] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(577), 1,
      sym_text_interpolation,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1586), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1584), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(578), 1,
      sym_text_interpolation,
    ACTIONS(1590), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1588), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(579), 1,
      sym_text_interpolation,
    ACTIONS(1594), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(580), 1,
      sym_text_interpolation,
    ACTIONS(1598), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [704] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(581), 1,
      sym_text_interpolation,
    ACTIONS(1602), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [778] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(582), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [852] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(583), 1,
      sym_text_interpolation,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(584), 1,
      sym_text_interpolation,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1000] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(585), 1,
      sym_text_interpolation,
    ACTIONS(1618), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1074] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(586), 1,
      sym_text_interpolation,
    ACTIONS(1622), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1148] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(587), 1,
      sym_text_interpolation,
    ACTIONS(1626), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1624), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(588), 1,
      sym_text_interpolation,
    ACTIONS(1630), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1628), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(589), 1,
      sym_text_interpolation,
    ACTIONS(1634), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1370] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(590), 1,
      sym_text_interpolation,
    ACTIONS(1638), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1444] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    STATE(591), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1529] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1578), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1610] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    STATE(593), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1694] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(594), 1,
      sym_text_interpolation,
    STATE(604), 1,
      sym_arguments,
    ACTIONS(1556), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1554), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1769] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(595), 1,
      sym_text_interpolation,
    STATE(605), 1,
      sym_arguments,
    ACTIONS(1562), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1560), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1844] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(596), 1,
      sym_text_interpolation,
    STATE(606), 1,
      sym_arguments,
    ACTIONS(1650), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1578), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1927] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_text_interpolation,
    STATE(620), 1,
      sym_arguments,
    ACTIONS(1582), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2002] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    STATE(598), 1,
      sym_text_interpolation,
    STATE(606), 1,
      sym_arguments,
    ACTIONS(1650), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1654), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2085] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_RPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(599), 1,
      sym_text_interpolation,
    STATE(2124), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2174] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(600), 1,
      sym_text_interpolation,
    STATE(616), 1,
      sym_arguments,
    ACTIONS(1586), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1584), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2249] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(601), 1,
      sym_text_interpolation,
    STATE(617), 1,
      sym_arguments,
    ACTIONS(1566), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1564), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2324] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    STATE(602), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1578), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2407] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(603), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2486] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(604), 1,
      sym_text_interpolation,
    ACTIONS(1622), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(605), 1,
      sym_text_interpolation,
    ACTIONS(1638), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(606), 1,
      sym_text_interpolation,
    ACTIONS(1590), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1588), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2696] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    STATE(607), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1658), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2780] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(608), 1,
      sym_text_interpolation,
    ACTIONS(1544), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1542), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(609), 1,
      sym_text_interpolation,
    ACTIONS(1602), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2920] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1548), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1546), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2990] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1661), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3074] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1538), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1536), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3144] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1594), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3214] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3292] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1552), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1550), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3362] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1626), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1624), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3432] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3502] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1618), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3572] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1634), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3642] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1630), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1628), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3712] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1598), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3782] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1665), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3864] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    STATE(623), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1667), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(624), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(625), 1,
      sym_text_interpolation,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4088] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    STATE(626), 1,
      sym_text_interpolation,
    ACTIONS(1650), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1654), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4165] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1650), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1578), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4242] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1578), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4319] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_RPAREN,
    STATE(629), 1,
      sym_text_interpolation,
    STATE(2124), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4402] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1669), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4485] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(631), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1667), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4563] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1658), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4641] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1661), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4719] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_EQ,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1665), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4795] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1669), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(636), 1,
      sym_text_interpolation,
    ACTIONS(1672), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1674), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [4936] = 31,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1678), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1680), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1682), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(637), 1,
      sym_text_interpolation,
    STATE(992), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1743), 1,
      sym_variable_name,
    STATE(1797), 1,
      sym_property_element,
    STATE(1800), 1,
      sym__function_definition_header,
    STATE(2133), 1,
      sym_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5051] = 31,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1678), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1680), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1682), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(638), 1,
      sym_text_interpolation,
    STATE(992), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1743), 1,
      sym_variable_name,
    STATE(1892), 1,
      sym_property_element,
    STATE(1894), 1,
      sym__function_definition_header,
    STATE(1958), 1,
      sym_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5166] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(639), 1,
      sym_text_interpolation,
    STATE(668), 1,
      sym_arguments,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5235] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(640), 1,
      sym_text_interpolation,
    STATE(660), 1,
      sym_arguments,
    ACTIONS(1586), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5300] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(641), 1,
      sym_text_interpolation,
    STATE(657), 1,
      sym_arguments,
    ACTIONS(1582), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5365] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(642), 1,
      sym_text_interpolation,
    STATE(734), 1,
      sym_arguments,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5436] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym_text_interpolation,
    STATE(666), 1,
      sym_arguments,
    ACTIONS(1566), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5501] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(644), 1,
      sym_text_interpolation,
    STATE(659), 1,
      sym_arguments,
    ACTIONS(1556), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5566] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(645), 1,
      sym_text_interpolation,
    STATE(668), 1,
      sym_arguments,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5637] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(646), 1,
      sym_text_interpolation,
    STATE(652), 1,
      sym_arguments,
    ACTIONS(1562), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5702] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(647), 1,
      sym_text_interpolation,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5763] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(648), 1,
      sym_text_interpolation,
    STATE(668), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5830] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(578), 1,
      sym_arguments,
    STATE(649), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5901] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(578), 1,
      sym_arguments,
    STATE(650), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1705), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5972] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(585), 1,
      sym_arguments,
    STATE(651), 1,
      sym_text_interpolation,
    ACTIONS(1709), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1707), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6036] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(652), 1,
      sym_text_interpolation,
    ACTIONS(1638), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6096] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1717), 1,
      anon_sym_RPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(653), 1,
      sym_text_interpolation,
    STATE(986), 1,
      sym_attribute_list,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1206), 1,
      sym_visibility_modifier,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1569), 1,
      sym__types,
    STATE(1698), 1,
      sym_type,
    STATE(1935), 1,
      sym_variable_name,
    STATE(1947), 1,
      sym_reference_modifier,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1943), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6206] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1725), 1,
      sym_name,
    ACTIONS(1729), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    STATE(654), 1,
      sym_text_interpolation,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1722), 1,
      sym__dereferencable_expression,
    STATE(2538), 1,
      sym_attribute_list,
    STATE(2587), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(852), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1724), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1727), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(838), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(853), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [6316] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(655), 1,
      sym_text_interpolation,
    ACTIONS(1548), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6376] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(656), 1,
      sym_text_interpolation,
    ACTIONS(1602), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(657), 1,
      sym_text_interpolation,
    ACTIONS(1630), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6496] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(658), 1,
      sym_text_interpolation,
    ACTIONS(1634), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(659), 1,
      sym_text_interpolation,
    ACTIONS(1622), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6616] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(660), 1,
      sym_text_interpolation,
    ACTIONS(1626), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6676] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1735), 1,
      anon_sym_COMMA,
    ACTIONS(1737), 1,
      anon_sym_RPAREN,
    STATE(661), 1,
      sym_text_interpolation,
    STATE(986), 1,
      sym_attribute_list,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1206), 1,
      sym_visibility_modifier,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1569), 1,
      sym__types,
    STATE(1698), 1,
      sym_type,
    STATE(1935), 1,
      sym_variable_name,
    STATE(1947), 1,
      sym_reference_modifier,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1927), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6786] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1739), 1,
      sym_name,
    ACTIONS(1741), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    STATE(662), 1,
      sym_text_interpolation,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1727), 1,
      sym__dereferencable_expression,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2551), 1,
      sym_attribute_list,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2655), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(693), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1724), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(687), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(690), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1567), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [6896] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(588), 1,
      sym_arguments,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1749), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1747), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6960] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1538), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7020] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(665), 1,
      sym_text_interpolation,
    ACTIONS(1544), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7080] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(666), 1,
      sym_text_interpolation,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7140] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(667), 1,
      sym_text_interpolation,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7200] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(668), 1,
      sym_text_interpolation,
    ACTIONS(1590), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7260] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(669), 1,
      sym_text_interpolation,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7320] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1552), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7440] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7500] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1618), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7560] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(674), 1,
      sym_text_interpolation,
    STATE(757), 1,
      sym_arguments,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7623] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(590), 1,
      sym_arguments,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7684] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(676), 1,
      sym_text_interpolation,
    STATE(744), 1,
      sym_arguments,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7747] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(587), 1,
      sym_arguments,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7808] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(678), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1753), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1751), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7873] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(657), 1,
      sym_arguments,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1749), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1747), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7936] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7997] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_text_interpolation,
    STATE(986), 1,
      sym_attribute_list,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1206), 1,
      sym_visibility_modifier,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1569), 1,
      sym__types,
    STATE(1698), 1,
      sym_type,
    STATE(1935), 1,
      sym_variable_name,
    STATE(1947), 1,
      sym_reference_modifier,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2217), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8104] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(673), 1,
      sym_arguments,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1709), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1707), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8167] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8232] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(684), 1,
      sym_text_interpolation,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1757), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8297] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_arguments,
    STATE(685), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1753), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1751), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8362] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_arguments,
    STATE(686), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8427] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN,
    STATE(687), 1,
      sym_text_interpolation,
    STATE(955), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8492] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(688), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8557] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(588), 1,
      sym_arguments,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8618] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(690), 1,
      sym_text_interpolation,
    STATE(734), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8683] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(745), 1,
      anon_sym_AMP,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    STATE(691), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2093), 1,
      sym_by_ref,
    STATE(2094), 1,
      sym__list_destructing,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1548), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1458), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8790] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1765), 1,
      anon_sym_RPAREN,
    STATE(692), 1,
      sym_text_interpolation,
    STATE(986), 1,
      sym_attribute_list,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1206), 1,
      sym_visibility_modifier,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1569), 1,
      sym__types,
    STATE(1698), 1,
      sym_type,
    STATE(1935), 1,
      sym_variable_name,
    STATE(1947), 1,
      sym_reference_modifier,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2217), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8897] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(693), 1,
      sym_text_interpolation,
    STATE(734), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8962] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      sym_name,
    ACTIONS(1769), 1,
      anon_sym_RBRACE,
    STATE(694), 1,
      sym_text_interpolation,
    STATE(708), 1,
      aux_sym_use_list_repeat1,
    STATE(1580), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2263), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1724), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1567), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9065] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_arguments,
    STATE(695), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9130] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(696), 1,
      sym_text_interpolation,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1773), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9195] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(697), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9258] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1775), 1,
      sym_name,
    ACTIONS(1781), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1784), 1,
      anon_sym_BSLASH,
    ACTIONS(1787), 1,
      anon_sym_RBRACE,
    ACTIONS(1789), 1,
      anon_sym_LPAREN,
    ACTIONS(1792), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1795), 1,
      anon_sym_LBRACK,
    ACTIONS(1804), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1807), 1,
      anon_sym_DOLLAR,
    STATE(1580), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(1798), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1801), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(698), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2263), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1778), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1724), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1567), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9359] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(699), 1,
      sym_text_interpolation,
    STATE(758), 1,
      sym_arguments,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9422] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(700), 1,
      sym_text_interpolation,
    STATE(743), 1,
      sym_arguments,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9485] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(701), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1705), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9550] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(702), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9611] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(703), 1,
      sym_text_interpolation,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9676] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_EQ,
    STATE(704), 1,
      sym_text_interpolation,
    ACTIONS(1814), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1812), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 30,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9739] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(705), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1705), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9804] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(706), 1,
      sym_text_interpolation,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9865] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(588), 1,
      sym_arguments,
    STATE(707), 1,
      sym_text_interpolation,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9928] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      sym_name,
    ACTIONS(1819), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_use_list_repeat1,
    STATE(708), 1,
      sym_text_interpolation,
    STATE(1580), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2263), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1724), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1567), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10031] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(709), 1,
      sym_text_interpolation,
    STATE(742), 1,
      sym_arguments,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10094] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    STATE(710), 1,
      sym_text_interpolation,
    STATE(986), 1,
      sym_attribute_list,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1206), 1,
      sym_visibility_modifier,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1569), 1,
      sym__types,
    STATE(1698), 1,
      sym_type,
    STATE(1935), 1,
      sym_variable_name,
    STATE(1947), 1,
      sym_reference_modifier,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2217), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10201] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(711), 1,
      sym_text_interpolation,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10264] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(745), 1,
      anon_sym_AMP,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    STATE(712), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2348), 1,
      sym_by_ref,
    STATE(2351), 1,
      sym__list_destructing,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1568), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1513), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10371] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(713), 1,
      sym_text_interpolation,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10434] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(714), 1,
      sym_text_interpolation,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10497] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1823), 1,
      anon_sym_RPAREN,
    STATE(715), 1,
      sym_text_interpolation,
    STATE(986), 1,
      sym_attribute_list,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1206), 1,
      sym_visibility_modifier,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1569), 1,
      sym__types,
    STATE(1698), 1,
      sym_type,
    STATE(1935), 1,
      sym_variable_name,
    STATE(1947), 1,
      sym_reference_modifier,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2217), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10604] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(716), 1,
      sym_text_interpolation,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10667] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(717), 1,
      sym_text_interpolation,
    ACTIONS(1827), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10725] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(718), 1,
      sym_text_interpolation,
    ACTIONS(1831), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(719), 1,
      sym_text_interpolation,
    ACTIONS(1835), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10841] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(1520), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1839), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10957] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11015] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1843), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11073] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1590), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11131] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1847), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1851), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11247] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1855), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11305] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_COLON_COLON,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11365] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11423] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11481] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1861), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11539] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1812), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1865), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11655] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1588), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1869), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11715] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(735), 1,
      sym_text_interpolation,
    STATE(986), 1,
      sym_attribute_list,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1206), 1,
      sym_visibility_modifier,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1569), 1,
      sym__types,
    STATE(1698), 1,
      sym_type,
    STATE(1935), 1,
      sym_variable_name,
    STATE(1947), 1,
      sym_reference_modifier,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2217), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11819] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1873), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11877] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11935] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1877), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11993] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1881), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12051] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1885), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12167] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1630), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12225] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12283] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12341] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1889), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1893), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1891), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12457] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1897), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12631] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1901), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12689] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1905), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12747] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(745), 1,
      anon_sym_AMP,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    STATE(752), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2206), 1,
      sym_by_ref,
    STATE(2281), 1,
      sym__array_destructing,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1566), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1534), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [12851] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1909), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(754), 1,
      sym_text_interpolation,
    ACTIONS(1913), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1911), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1917), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13025] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1921), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13141] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(758), 1,
      sym_text_interpolation,
    ACTIONS(1626), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13199] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1925), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1923), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13257] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1544), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1929), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13431] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1548), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13489] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(764), 1,
      sym_text_interpolation,
    ACTIONS(1933), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13547] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1937), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1935), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13605] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(766), 1,
      sym_text_interpolation,
    STATE(786), 1,
      sym_arguments,
    ACTIONS(1650), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13670] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(767), 1,
      sym_text_interpolation,
    STATE(793), 1,
      sym_arguments,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1027), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1025), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13788] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(769), 1,
      sym_text_interpolation,
    STATE(797), 1,
      sym_arguments,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13849] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_RPAREN,
    ACTIONS(1817), 1,
      anon_sym_EQ,
    STATE(770), 1,
      sym_text_interpolation,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13910] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(771), 1,
      sym_text_interpolation,
    STATE(802), 1,
      sym_arguments,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13971] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(772), 1,
      sym_text_interpolation,
    STATE(810), 1,
      sym_arguments,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14032] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(773), 1,
      sym_text_interpolation,
    STATE(880), 1,
      sym_arguments,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14099] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14158] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(775), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1773), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1042), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1040), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14274] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14333] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(778), 1,
      sym_text_interpolation,
    STATE(786), 1,
      sym_arguments,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14400] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(779), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1705), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14459] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(780), 1,
      sym_text_interpolation,
    STATE(790), 1,
      sym_arguments,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14520] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(578), 1,
      sym_arguments,
    STATE(781), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1705), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14587] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(782), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1757), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(783), 1,
      sym_text_interpolation,
    ACTIONS(1945), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1943), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [14703] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(606), 1,
      sym_arguments,
    STATE(784), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14770] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(785), 1,
      sym_text_interpolation,
    STATE(786), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(786), 1,
      sym_text_interpolation,
    ACTIONS(1590), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14889] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1947), 1,
      anon_sym_RPAREN,
    STATE(787), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1570), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1509), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [14987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15043] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15099] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1630), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15155] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15211] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1548), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15323] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1949), 1,
      anon_sym_COLON,
    STATE(578), 1,
      sym_arguments,
    STATE(794), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15391] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15447] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1951), 1,
      anon_sym_RPAREN,
    STATE(796), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1570), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1509), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [15545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1626), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15601] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1955), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1953), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [15657] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15769] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1957), 1,
      anon_sym_RPAREN,
    STATE(801), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1570), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1509), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [15867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15923] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1959), 1,
      anon_sym_COLON,
    STATE(606), 1,
      sym_arguments,
    STATE(803), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15991] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1961), 1,
      anon_sym_COLON,
    STATE(606), 1,
      sym_arguments,
    STATE(804), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16059] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1963), 1,
      anon_sym_RPAREN,
    STATE(805), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1570), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1509), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16157] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(1544), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16213] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16269] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(808), 1,
      sym_text_interpolation,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16325] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16381] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16437] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(811), 1,
      sym_text_interpolation,
    STATE(885), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1773), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16498] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(1965), 1,
      sym_name,
    ACTIONS(1967), 1,
      anon_sym_LPAREN,
    STATE(812), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1733), 1,
      sym__dereferencable_expression,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2634), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1593), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1561), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(782), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(684), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16593] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1526), 1,
      anon_sym_LPAREN,
    ACTIONS(1528), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1969), 1,
      sym_name,
    STATE(813), 1,
      sym_text_interpolation,
    STATE(1675), 1,
      sym__dereferencable_expression,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2667), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1553), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(702), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(648), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16688] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(814), 1,
      sym_text_interpolation,
    ACTIONS(1672), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16743] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1971), 1,
      sym_name,
    STATE(815), 1,
      sym_text_interpolation,
    STATE(1719), 1,
      sym__dereferencable_expression,
    STATE(2480), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(919), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1558), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1576), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1724), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(811), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16838] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(1973), 1,
      sym_name,
    STATE(816), 1,
      sym_text_interpolation,
    STATE(1748), 1,
      sym__dereferencable_expression,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(2623), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(847), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1724), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1727), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(915), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(846), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [16933] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(817), 1,
      sym_text_interpolation,
    STATE(885), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16994] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_arguments,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1753), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1751), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17055] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    STATE(819), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1570), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1509), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17150] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(790), 1,
      sym_arguments,
    STATE(820), 1,
      sym_text_interpolation,
    ACTIONS(1749), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1747), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17209] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    STATE(821), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(702), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1461), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17304] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(1965), 1,
      sym_name,
    ACTIONS(1967), 1,
      anon_sym_LPAREN,
    STATE(822), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1733), 1,
      sym__dereferencable_expression,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2634), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1593), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1561), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(774), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(703), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17454] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_EQ,
    STATE(824), 1,
      sym_text_interpolation,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17511] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(809), 1,
      sym_arguments,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(1709), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1707), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17570] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    STATE(826), 1,
      sym_text_interpolation,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(775), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1724), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1456), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17665] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(827), 1,
      sym_text_interpolation,
    STATE(885), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1757), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17726] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    STATE(828), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1540), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1469), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17821] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(618), 1,
      sym_arguments,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(1709), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1707), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17880] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(1971), 1,
      sym_name,
    ACTIONS(1975), 1,
      anon_sym_LPAREN,
    STATE(830), 1,
      sym_text_interpolation,
    STATE(1719), 1,
      sym__dereferencable_expression,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2629), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1558), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1576), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(916), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(827), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17975] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(588), 1,
      sym_arguments,
    STATE(831), 1,
      sym_text_interpolation,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18032] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_arguments,
    STATE(832), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1753), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1751), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18093] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_arguments,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18154] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_arguments,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18215] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_arguments,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18276] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    STATE(836), 1,
      sym_text_interpolation,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18333] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(587), 1,
      sym_arguments,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(1586), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18390] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    STATE(838), 1,
      sym_text_interpolation,
    STATE(1135), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18451] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(588), 1,
      sym_arguments,
    STATE(839), 1,
      sym_text_interpolation,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18510] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(840), 1,
      sym_text_interpolation,
    ACTIONS(1138), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1136), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18565] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(841), 1,
      sym_text_interpolation,
    ACTIONS(1566), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18624] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18683] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(620), 1,
      sym_arguments,
    STATE(843), 1,
      sym_text_interpolation,
    ACTIONS(1749), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1747), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18742] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(844), 1,
      sym_text_interpolation,
    ACTIONS(1080), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1078), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18797] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_arguments,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18858] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1705), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18919] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1705), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18980] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(1971), 1,
      sym_name,
    ACTIONS(1975), 1,
      anon_sym_LPAREN,
    STATE(848), 1,
      sym_text_interpolation,
    STATE(1719), 1,
      sym__dereferencable_expression,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2629), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1558), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1576), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(917), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(817), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19075] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(1979), 1,
      sym_name,
    STATE(849), 1,
      sym_text_interpolation,
    STATE(1739), 1,
      sym__dereferencable_expression,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(705), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1724), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(701), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1567), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [19170] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(850), 1,
      sym_text_interpolation,
    ACTIONS(1650), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19229] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(851), 1,
      sym_text_interpolation,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19288] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(852), 1,
      sym_text_interpolation,
    STATE(880), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19349] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(853), 1,
      sym_text_interpolation,
    STATE(880), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19410] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(854), 1,
      sym_text_interpolation,
    ACTIONS(1566), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19467] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(855), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19524] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(856), 1,
      sym_text_interpolation,
    ACTIONS(1586), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19583] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(1965), 1,
      sym_name,
    STATE(857), 1,
      sym_text_interpolation,
    STATE(1733), 1,
      sym__dereferencable_expression,
    STATE(2529), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(775), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1593), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1561), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1724), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(696), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19678] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1981), 1,
      sym_name,
    ACTIONS(1983), 1,
      anon_sym_LPAREN,
    STATE(858), 1,
      sym_text_interpolation,
    STATE(1679), 1,
      sym__dereferencable_expression,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2594), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1556), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1586), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(855), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(785), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19773] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(590), 1,
      sym_arguments,
    STATE(859), 1,
      sym_text_interpolation,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19830] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(860), 1,
      sym_text_interpolation,
    STATE(904), 1,
      sym_arguments,
    ACTIONS(1566), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19889] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(861), 1,
      sym_text_interpolation,
    STATE(907), 1,
      sym_arguments,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19948] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(862), 1,
      sym_text_interpolation,
    STATE(913), 1,
      sym_arguments,
    ACTIONS(1586), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20007] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1763), 1,
      sym_name,
    STATE(863), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym_class_constant_access_expression,
    STATE(1735), 1,
      sym__dereferencable_expression,
    STATE(2535), 1,
      sym__scope_resolution_qualifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1565), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1567), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1543), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1453), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [20102] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(864), 1,
      sym_text_interpolation,
    STATE(914), 1,
      sym_arguments,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20161] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(865), 1,
      sym_text_interpolation,
    STATE(887), 1,
      sym_arguments,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20220] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1548), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20274] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1634), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20328] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20382] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1925), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1923), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(870), 1,
      sym_text_interpolation,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20490] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_COLON_COLON,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20546] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1855), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20600] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1937), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1935), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20654] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1929), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20708] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1520), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20762] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1835), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20816] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(877), 1,
      sym_text_interpolation,
    ACTIONS(1827), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20870] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20924] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_EQ,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20980] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1588), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1869), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21036] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21090] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21144] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21198] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1861), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21252] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1590), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1538), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21360] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1630), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1905), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21468] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1881), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21522] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1552), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21576] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1865), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21684] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1847), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21738] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1933), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21792] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1851), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21846] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1913), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1911), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21900] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(1831), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21954] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1885), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22008] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22062] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1921), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22116] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_EQ,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 26,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22174] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(902), 1,
      sym_text_interpolation,
    ACTIONS(1893), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1891), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22228] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(1843), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22282] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(904), 1,
      sym_text_interpolation,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22336] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1901), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22390] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1909), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22444] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1638), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22498] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22552] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1917), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22606] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1544), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22660] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22714] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(1897), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22768] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1626), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22822] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1622), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22876] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1705), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22931] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1757), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22986] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23041] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23096] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1773), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23151] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(1993), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23255] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(1997), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1995), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23307] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(1552), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23359] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(924), 1,
      sym_text_interpolation,
    ACTIONS(2001), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(2005), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2003), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(2009), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(2013), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2011), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(2017), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2015), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(2021), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2019), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(2025), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2023), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23723] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(2029), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2027), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(2033), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2031), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23827] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2037), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2035), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(2041), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(2045), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23983] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(2049), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2047), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(2053), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2051), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24087] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(2057), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2055), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(2061), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2059), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(2065), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2063), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24243] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(2069), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2067), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24295] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(2073), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2071), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24347] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(1538), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(2077), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2075), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24451] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(2081), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2079), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24503] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(2085), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2083), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24555] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(2089), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2087), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24607] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(1753), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1751), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(2093), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2091), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24711] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(2097), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2095), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24763] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(2101), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2099), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24815] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(2105), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(2109), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2107), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24919] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(2113), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2111), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24971] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(1869), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25023] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(2117), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25075] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2123), 1,
      aux_sym_binary_expression_token1,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(2121), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2119), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25129] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25181] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25233] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25285] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(1544), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25337] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25441] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(2121), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2119), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(2151), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(2155), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2153), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25649] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(2159), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2157), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25701] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(2163), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2161), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25753] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(2167), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2165), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25805] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(2171), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2169), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25857] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(1548), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(2175), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25961] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(2179), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2177), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(2183), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2181), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26065] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(2187), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2185), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26117] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(2191), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2189), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26169] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(2195), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2193), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26221] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(1570), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26273] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(2199), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2197), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26325] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(2203), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2201), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(2207), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(2211), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26481] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(2215), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2213), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26533] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(2219), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2217), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26585] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(2221), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(986), 1,
      sym_text_interpolation,
    STATE(1204), 1,
      sym_visibility_modifier,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1569), 1,
      sym__types,
    STATE(1696), 1,
      sym_type,
    STATE(2046), 1,
      sym_reference_modifier,
    STATE(2049), 1,
      sym_variable_name,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [26672] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(1138), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1136), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26723] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(1080), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1078), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26774] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    STATE(989), 1,
      sym_text_interpolation,
    STATE(990), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    ACTIONS(2225), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2223), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [26831] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_POUND_LBRACK,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(990), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2229), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2227), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [26886] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2234), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26974] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2278), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2283), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2286), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2289), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2292), 1,
      sym_var_modifier,
    STATE(1333), 1,
      sym__modifier,
    STATE(992), 2,
      sym_text_interpolation,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2281), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2295), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2276), 18,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27040] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(993), 1,
      sym_text_interpolation,
    STATE(1333), 1,
      sym__modifier,
    STATE(1378), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1417), 1,
      sym__const_declaration,
    ACTIONS(2300), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2298), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27098] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 24,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27154] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(1705), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27228] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1705), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 18,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27294] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [27356] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 22,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27414] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27502] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [27562] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(1705), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27614] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27696] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27766] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27848] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27932] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [28018] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28106] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28182] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1009), 1,
      sym_text_interpolation,
    STATE(1333), 1,
      sym__modifier,
    STATE(1378), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1415), 1,
      sym__const_declaration,
    ACTIONS(2300), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2298), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [28240] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28328] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28416] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28498] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2055), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28586] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(1705), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28658] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2318), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28740] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2322), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28822] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 12,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [28900] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2324), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28988] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2326), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29076] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(1705), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29128] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2328), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29216] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2330), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29304] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2332), 1,
      anon_sym_EQ_GT,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2193), 6,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29394] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29476] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29558] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29639] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29720] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2322), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29801] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2318), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29882] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29963] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30044] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(1705), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30095] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [30154] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30211] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [30272] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1705), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30337] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30424] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(2376), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2374), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [30473] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(1705), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30544] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(2380), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2378), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [30668] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [30745] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30832] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30919] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2382), 1,
      anon_sym_EQ_GT,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2193), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31008] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31091] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [31176] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2330), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2386), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2384), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [31312] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2328), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(2390), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2388), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [31448] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2326), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31535] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31622] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31691] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(1705), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [31764] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(1705), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31815] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [31870] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2055), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31957] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2234), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32044] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2324), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32131] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32212] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(1570), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32260] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(1042), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1040), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32308] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32376] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32462] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(1997), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1995), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32510] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(1548), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32558] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2234), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32644] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32692] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(2117), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32740] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(1544), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32788] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(2101), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2099), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32884] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(2199), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2197), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32932] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(1552), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32980] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2203), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2201), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33028] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(2183), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2181), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33076] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33124] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33172] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2159), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2157), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33220] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2155), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2153), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33268] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33348] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33396] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(1705), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33446] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2073), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2071), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33494] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2113), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2111), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33542] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2069), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2067), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33590] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33644] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2179), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2177), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33772] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(2017), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2015), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33820] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2324), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33906] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2121), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2119), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33954] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(1705), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34004] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2432), 1,
      aux_sym_binary_expression_token1,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2121), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2119), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34054] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2109), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2107), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34102] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34182] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [34266] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34348] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2049), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2047), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34396] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 10,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [34472] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2005), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2003), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34520] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2163), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2161), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34568] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34642] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(1753), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1751), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34690] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(1705), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34760] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2081), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2079), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2195), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2193), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34856] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2021), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2019), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34904] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2191), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2189), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34952] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(1705), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35024] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1705), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(1538), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35136] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(1027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1025), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35184] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2207), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35232] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2215), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2213), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35280] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35340] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2219), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2217), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35388] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2057), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2055), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2167), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2165), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35484] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [35570] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 20,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2065), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2063), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35674] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2089), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2087), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35722] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2085), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2083), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35770] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [35856] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(1993), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35904] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(2171), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2169), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2175), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36000] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36086] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(2077), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2075), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36134] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(2097), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2095), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36182] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2093), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2091), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36230] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(2187), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2185), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36278] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(1869), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36326] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2318), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36406] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2322), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36486] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36566] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(2025), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2023), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36694] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(2105), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36742] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2053), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2051), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36790] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36838] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36886] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2037), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2035), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36934] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2211), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36982] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2151), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(2061), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2059), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37078] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2033), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2031), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37126] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [37184] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2055), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37270] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2045), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37318] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2029), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2027), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37366] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2013), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2011), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2041), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37462] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2001), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37510] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    ACTIONS(2434), 1,
      anon_sym_EQ_GT,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_binary_expression_token1,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37598] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(2009), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37646] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2330), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37732] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2328), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37818] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2326), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37904] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2436), 1,
      sym_name,
    STATE(1162), 1,
      sym_text_interpolation,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1652), 1,
      sym_type,
    STATE(1852), 1,
      sym_const_element,
    STATE(2502), 1,
      sym__reserved_identifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37979] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2436), 1,
      sym_name,
    STATE(1163), 1,
      sym_text_interpolation,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1640), 1,
      sym_type,
    STATE(1913), 1,
      sym_const_element,
    STATE(2502), 1,
      sym__reserved_identifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38054] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38139] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 9,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [38214] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2316), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38293] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2436), 1,
      sym_name,
    STATE(1167), 1,
      sym_text_interpolation,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1621), 1,
      sym_type,
    STATE(1818), 1,
      sym_const_element,
    STATE(2502), 1,
      sym__reserved_identifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38368] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 19,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [38423] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [38482] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1705), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 15,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38545] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(1705), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38614] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2322), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38693] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [38766] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38847] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2055), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38932] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [39015] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39094] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(1705), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [39143] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2234), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39228] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39307] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2302), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39392] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [39449] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(1705), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1703), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [39498] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39583] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2436), 1,
      sym_name,
    STATE(1185), 1,
      sym_text_interpolation,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1633), 1,
      sym_type,
    STATE(1855), 1,
      sym_const_element,
    STATE(2502), 1,
      sym__reserved_identifier,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39658] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1703), 21,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [39711] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39796] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(1705), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [39867] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1705), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1703), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [39934] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40013] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2308), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40098] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1192), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40177] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_COLON,
    STATE(1193), 1,
      sym_text_interpolation,
    ACTIONS(2017), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2015), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [40226] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40311] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2328), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40396] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2318), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40475] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2330), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40560] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_COLON,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(2179), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2177), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [40609] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_EQ_GT,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2193), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40696] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2484), 1,
      anon_sym_EQ_GT,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2193), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40782] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    ACTIONS(2488), 1,
      anon_sym_COMMA,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40868] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2490), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40952] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    ACTIONS(2488), 1,
      anon_sym_COMMA,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41038] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(1204), 1,
      sym_text_interpolation,
    STATE(1318), 1,
      sym_readonly_modifier,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(2150), 1,
      sym_variable_name,
    STATE(2225), 1,
      sym_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [41114] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2494), 1,
      anon_sym_COMMA,
    ACTIONS(2496), 1,
      anon_sym_EQ_GT,
    STATE(1205), 1,
      sym_text_interpolation,
    STATE(2104), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41202] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(1206), 1,
      sym_text_interpolation,
    STATE(1310), 1,
      sym_readonly_modifier,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(2041), 1,
      sym_variable_name,
    STATE(2363), 1,
      sym_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [41278] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2498), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41362] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2500), 1,
      anon_sym_EQ_GT,
    STATE(1208), 1,
      sym_text_interpolation,
    ACTIONS(2193), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41448] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2502), 1,
      anon_sym_EQ_GT,
    STATE(1209), 1,
      sym_text_interpolation,
    ACTIONS(2193), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41534] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1210), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2504), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41618] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1211), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2506), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41701] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2514), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2516), 1,
      anon_sym_RBRACE,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    STATE(637), 1,
      aux_sym_class_declaration_repeat1,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(993), 1,
      sym_final_modifier,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1212), 1,
      sym_text_interpolation,
    STATE(1258), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1405), 1,
      sym__const_declaration,
    STATE(1419), 1,
      sym__class_const_declaration,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1409), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [41790] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2486), 1,
      anon_sym_SEMI,
    ACTIONS(2528), 1,
      anon_sym_COMMA,
    STATE(1213), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41875] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1214), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41958] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2514), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2532), 1,
      anon_sym_RBRACE,
    STATE(637), 1,
      aux_sym_class_declaration_repeat1,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(993), 1,
      sym_final_modifier,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1212), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1215), 1,
      sym_text_interpolation,
    STATE(1333), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1405), 1,
      sym__const_declaration,
    STATE(1419), 1,
      sym__class_const_declaration,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1409), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42047] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2534), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42130] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1217), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2536), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42213] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1218), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42296] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2540), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42379] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42462] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2544), 1,
      anon_sym_EQ_GT,
    ACTIONS(2546), 1,
      anon_sym_RPAREN,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42547] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2544), 1,
      anon_sym_EQ_GT,
    ACTIONS(2548), 1,
      anon_sym_RPAREN,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42632] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2514), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2550), 1,
      anon_sym_RBRACE,
    STATE(637), 1,
      aux_sym_class_declaration_repeat1,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(993), 1,
      sym_final_modifier,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1223), 1,
      sym_text_interpolation,
    STATE(1258), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1405), 1,
      sym__const_declaration,
    STATE(1419), 1,
      sym__class_const_declaration,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1409), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42721] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2492), 1,
      anon_sym_SEMI,
    ACTIONS(2528), 1,
      anon_sym_COMMA,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42806] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2514), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2552), 1,
      anon_sym_RBRACE,
    STATE(637), 1,
      aux_sym_class_declaration_repeat1,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(993), 1,
      sym_final_modifier,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1225), 1,
      sym_text_interpolation,
    STATE(1229), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1405), 1,
      sym__const_declaration,
    STATE(1419), 1,
      sym__class_const_declaration,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1409), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42895] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2514), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2554), 1,
      anon_sym_RBRACE,
    STATE(637), 1,
      aux_sym_class_declaration_repeat1,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(993), 1,
      sym_final_modifier,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1226), 1,
      sym_text_interpolation,
    STATE(1258), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1405), 1,
      sym__const_declaration,
    STATE(1419), 1,
      sym__class_const_declaration,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1409), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42984] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1227), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43067] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1228), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2558), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43150] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2514), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2560), 1,
      anon_sym_RBRACE,
    STATE(637), 1,
      aux_sym_class_declaration_repeat1,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(993), 1,
      sym_final_modifier,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1229), 1,
      sym_text_interpolation,
    STATE(1258), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1405), 1,
      sym__const_declaration,
    STATE(1419), 1,
      sym__class_const_declaration,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1409), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43239] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1230), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43322] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2564), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43405] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2514), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    STATE(637), 1,
      aux_sym_class_declaration_repeat1,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(993), 1,
      sym_final_modifier,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1226), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1232), 1,
      sym_text_interpolation,
    STATE(1333), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1405), 1,
      sym__const_declaration,
    STATE(1419), 1,
      sym__class_const_declaration,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1409), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43494] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2568), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43577] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2570), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43660] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2572), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43743] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2514), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2574), 1,
      anon_sym_RBRACE,
    STATE(637), 1,
      aux_sym_class_declaration_repeat1,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(993), 1,
      sym_final_modifier,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1223), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1236), 1,
      sym_text_interpolation,
    STATE(1333), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1405), 1,
      sym__const_declaration,
    STATE(1419), 1,
      sym__class_const_declaration,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1409), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43832] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1237), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43915] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2486), 1,
      anon_sym_RPAREN,
    ACTIONS(2578), 1,
      anon_sym_COMMA,
    STATE(1238), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44000] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2580), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44083] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1240), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44166] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2584), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44249] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2586), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44332] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44415] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2544), 1,
      anon_sym_EQ_GT,
    ACTIONS(2590), 1,
      anon_sym_RPAREN,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44500] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2592), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44583] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2594), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44666] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2544), 1,
      anon_sym_EQ_GT,
    ACTIONS(2596), 1,
      anon_sym_RPAREN,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44751] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1248), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2598), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44834] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44917] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2602), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45000] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2604), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45083] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1252), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45166] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2608), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45249] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2610), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45332] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45415] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1256), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2614), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45498] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_GT_EQ,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2410), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2418), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2420), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2392), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2408), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2616), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2400), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2398), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45581] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2618), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2621), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2624), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2627), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2630), 1,
      anon_sym_RBRACE,
    ACTIONS(2632), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2635), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2638), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2641), 1,
      sym_var_modifier,
    ACTIONS(2647), 1,
      anon_sym_POUND_LBRACK,
    STATE(637), 1,
      aux_sym_class_declaration_repeat1,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(993), 1,
      sym_final_modifier,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1333), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1405), 1,
      sym__const_declaration,
    STATE(1419), 1,
      sym__class_const_declaration,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    STATE(1258), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2644), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1409), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45668] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_AMP,
    ACTIONS(2442), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2450), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2462), 1,
      anon_sym_CARET,
    ACTIONS(2470), 1,
      anon_sym_GT_EQ,
    ACTIONS(2474), 1,
      anon_sym_DOT,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2492), 1,
      anon_sym_RPAREN,
    ACTIONS(2578), 1,
      anon_sym_COMMA,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2472), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2466), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45753] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2650), 1,
      anon_sym_RBRACK,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45835] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      anon_sym_RBRACE,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45917] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2654), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45999] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2656), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46081] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2658), 1,
      anon_sym_RBRACE,
    STATE(1264), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46163] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2660), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46245] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2662), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1266), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46327] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2664), 1,
      anon_sym_RPAREN,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46409] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46491] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2666), 1,
      anon_sym_RBRACE,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46573] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2668), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46655] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2670), 1,
      anon_sym_RBRACE,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46737] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46819] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46901] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2676), 1,
      anon_sym_RPAREN,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46983] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47065] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47147] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47229] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2684), 1,
      anon_sym_RBRACE,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47311] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2686), 1,
      anon_sym_EQ_GT,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47393] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47475] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47557] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2692), 1,
      anon_sym_RBRACE,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47639] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2694), 1,
      anon_sym_EQ_GT,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47721] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2696), 1,
      anon_sym_RPAREN,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47803] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2698), 1,
      anon_sym_RBRACE,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47885] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2700), 1,
      anon_sym_EQ_GT,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47967] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48049] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48131] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2706), 1,
      anon_sym_COLON,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48213] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2708), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48295] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48377] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48459] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2714), 1,
      anon_sym_RBRACE,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48541] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48623] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48705] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48787] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48869] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48951] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2726), 1,
      anon_sym_RBRACE,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49033] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49115] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49197] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2732), 1,
      anon_sym_COLON,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49279] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2650), 1,
      anon_sym_RBRACE,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49361] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2736), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2734), 27,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49405] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2738), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49487] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2740), 1,
      anon_sym_RBRACK,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49569] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2742), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49651] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2744), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49733] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49815] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(1310), 1,
      sym_text_interpolation,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(2164), 1,
      sym_variable_name,
    STATE(2212), 1,
      sym_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [49885] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2748), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49967] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2740), 1,
      anon_sym_RBRACE,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50049] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2750), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50131] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50213] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2752), 1,
      anon_sym_COLON,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50295] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50377] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2756), 1,
      anon_sym_COLON,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50459] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(1318), 1,
      sym_text_interpolation,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1942), 1,
      sym_variable_name,
    STATE(2460), 1,
      sym_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50529] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2758), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50611] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2760), 1,
      anon_sym_RBRACE,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50693] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2762), 1,
      anon_sym_RBRACE,
    STATE(1321), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50775] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2764), 1,
      anon_sym_RPAREN,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50857] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2718), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50939] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2766), 1,
      anon_sym_RBRACE,
    STATE(1324), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51021] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2768), 1,
      anon_sym_RBRACE,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51103] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2770), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51185] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_AMP,
    ACTIONS(2336), 1,
      anon_sym_PIPE,
    ACTIONS(2340), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2348), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_GT_EQ,
    ACTIONS(2360), 1,
      anon_sym_DOT,
    ACTIONS(2364), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2370), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2770), 1,
      anon_sym_RBRACK,
    STATE(1327), 1,
      sym_text_interpolation,
    ACTIONS(2338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2358), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2362), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2352), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51267] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2772), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51349] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2774), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51431] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2250), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2254), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2256), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2258), 1,
      anon_sym_CARET,
    ACTIONS(2266), 1,
      anon_sym_GT_EQ,
    ACTIONS(2270), 1,
      anon_sym_DOT,
    ACTIONS(2274), 1,
      anon_sym_PERCENT,
    ACTIONS(2776), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      sym_text_interpolation,
    ACTIONS(2242), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2264), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51513] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1331), 1,
      sym_text_interpolation,
    ACTIONS(2780), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2778), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1332), 1,
      sym_text_interpolation,
    ACTIONS(2300), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2298), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51599] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1333), 1,
      sym_text_interpolation,
    ACTIONS(2784), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2782), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51642] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2786), 1,
      anon_sym_RBRACE,
    ACTIONS(2788), 1,
      aux_sym_enum_case_token1,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1333), 1,
      sym__modifier,
    STATE(1334), 1,
      sym_text_interpolation,
    STATE(1336), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1369), 1,
      sym_attribute_list,
    STATE(1374), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1423), 1,
      sym__enum_member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1421), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51723] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1335), 1,
      sym_text_interpolation,
    ACTIONS(2792), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2790), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51766] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2794), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2797), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2800), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    ACTIONS(2805), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2808), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2811), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2814), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2817), 1,
      sym_var_modifier,
    ACTIONS(2823), 1,
      anon_sym_POUND_LBRACK,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1333), 1,
      sym__modifier,
    STATE(1369), 1,
      sym_attribute_list,
    STATE(1374), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1423), 1,
      sym__enum_member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    STATE(1336), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2820), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1421), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1337), 1,
      sym_text_interpolation,
    ACTIONS(2828), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2826), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51888] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2788), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2830), 1,
      anon_sym_RBRACE,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1333), 1,
      sym__modifier,
    STATE(1334), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1338), 1,
      sym_text_interpolation,
    STATE(1369), 1,
      sym_attribute_list,
    STATE(1374), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1423), 1,
      sym__enum_member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1421), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51969] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2788), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2832), 1,
      anon_sym_RBRACE,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1333), 1,
      sym__modifier,
    STATE(1336), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1339), 1,
      sym_text_interpolation,
    STATE(1369), 1,
      sym_attribute_list,
    STATE(1374), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1423), 1,
      sym__enum_member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1421), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52050] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2510), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2788), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2834), 1,
      anon_sym_RBRACE,
    STATE(989), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1041), 1,
      sym_attribute_group,
    STATE(1333), 1,
      sym__modifier,
    STATE(1339), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1340), 1,
      sym_text_interpolation,
    STATE(1369), 1,
      sym_attribute_list,
    STATE(1374), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1423), 1,
      sym__enum_member_declaration,
    STATE(1821), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1421), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52131] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2836), 1,
      sym_bottom_type,
    STATE(1341), 1,
      sym_text_interpolation,
    STATE(1437), 1,
      sym__types,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(2334), 1,
      sym_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1526), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52198] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1342), 1,
      sym_text_interpolation,
    ACTIONS(2840), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2838), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52241] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_name,
    ACTIONS(2846), 1,
      anon_sym_LPAREN,
    ACTIONS(2848), 1,
      anon_sym_QMARK,
    ACTIONS(2850), 1,
      sym_bottom_type,
    STATE(1343), 1,
      sym_text_interpolation,
    STATE(1536), 1,
      sym__types,
    STATE(1760), 1,
      sym_qualified_name,
    STATE(1969), 1,
      sym_type,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1759), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2178), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(2844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52308] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2852), 1,
      anon_sym_LPAREN,
    STATE(1344), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1468), 1,
      sym__types,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52364] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1345), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1929), 1,
      sym__types,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2625), 1,
      sym_intersection_type,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52420] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(2852), 1,
      anon_sym_LPAREN,
    STATE(1346), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1468), 1,
      sym__types,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52476] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2852), 1,
      anon_sym_LPAREN,
    STATE(1347), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1470), 1,
      sym__types,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52532] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1348), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1929), 1,
      sym__types,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2643), 1,
      sym_intersection_type,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52588] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_name,
    ACTIONS(2848), 1,
      anon_sym_QMARK,
    ACTIONS(2854), 1,
      anon_sym_LPAREN,
    STATE(1349), 1,
      sym_text_interpolation,
    STATE(1760), 1,
      sym_qualified_name,
    STATE(1912), 1,
      sym__types,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1759), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52644] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1350), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1929), 1,
      sym__types,
    STATE(2499), 1,
      sym_intersection_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52700] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(2852), 1,
      anon_sym_LPAREN,
    STATE(1351), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1470), 1,
      sym__types,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52756] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1352), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1929), 1,
      sym__types,
    STATE(2501), 1,
      sym_intersection_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52812] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_name,
    ACTIONS(2848), 1,
      anon_sym_QMARK,
    ACTIONS(2854), 1,
      anon_sym_LPAREN,
    STATE(1353), 1,
      sym_text_interpolation,
    STATE(1760), 1,
      sym_qualified_name,
    STATE(1875), 1,
      sym__types,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1759), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52868] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1354), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1929), 1,
      sym__types,
    STATE(2474), 1,
      sym_intersection_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52924] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1473), 1,
      sym__types,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52977] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    STATE(1356), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1473), 1,
      sym__types,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53030] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1357), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1471), 1,
      sym__types,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53083] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_name,
    ACTIONS(2848), 1,
      anon_sym_QMARK,
    STATE(1358), 1,
      sym_text_interpolation,
    STATE(1760), 1,
      sym_qualified_name,
    STATE(1904), 1,
      sym__types,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1759), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53136] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    STATE(1359), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1471), 1,
      sym__types,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1442), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53189] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_name,
    ACTIONS(2848), 1,
      anon_sym_QMARK,
    STATE(1360), 1,
      sym_text_interpolation,
    STATE(1760), 1,
      sym_qualified_name,
    STATE(1883), 1,
      sym__types,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1759), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53242] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    ACTIONS(1857), 1,
      anon_sym_COLON_COLON,
    STATE(1361), 1,
      sym_text_interpolation,
    STATE(1789), 1,
      sym_static_variable_declaration,
    STATE(1791), 1,
      sym_variable_name,
    ACTIONS(1592), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2736), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53285] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    ACTIONS(1857), 1,
      anon_sym_COLON_COLON,
    STATE(1362), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_variable_name,
    STATE(1848), 1,
      sym_static_variable_declaration,
    ACTIONS(1592), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2736), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53328] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    STATE(1363), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(2586), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1450), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53374] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    STATE(1364), 1,
      sym_text_interpolation,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1450), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53420] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2856), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2858), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2860), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2862), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1365), 1,
      sym_text_interpolation,
    STATE(1377), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1440), 1,
      sym_static_modifier,
    STATE(2387), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [53480] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_name,
    STATE(1366), 1,
      sym_text_interpolation,
    STATE(1760), 1,
      sym_qualified_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1737), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53526] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2856), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2862), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2864), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2866), 1,
      aux_sym_class_declaration_token1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1367), 1,
      sym_text_interpolation,
    STATE(1376), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1440), 1,
      sym_static_modifier,
    STATE(2389), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [53586] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2514), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    STATE(638), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1009), 1,
      sym_final_modifier,
    STATE(1333), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_text_interpolation,
    STATE(1412), 1,
      sym__const_declaration,
    STATE(1795), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53643] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2868), 1,
      aux_sym_enum_case_token1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1369), 1,
      sym_text_interpolation,
    STATE(1370), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1795), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53695] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    STATE(992), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1370), 1,
      sym_text_interpolation,
    STATE(1894), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53744] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2870), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2872), 1,
      aux_sym_class_declaration_token1,
    STATE(992), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1371), 1,
      sym_text_interpolation,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53793] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2874), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2876), 1,
      aux_sym_class_declaration_token1,
    STATE(992), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1372), 1,
      sym_text_interpolation,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53842] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(587), 1,
      sym_integer,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2878), 1,
      sym_float,
    ACTIONS(2880), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2882), 1,
      aux_sym__argument_name_token2,
    STATE(1373), 1,
      sym_text_interpolation,
    STATE(2617), 1,
      sym_literal,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(948), 3,
      sym_boolean,
      sym_null,
      sym__string,
    STATE(721), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [53889] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    STATE(992), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1374), 1,
      sym_text_interpolation,
    STATE(1800), 1,
      sym__function_definition_header,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53938] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1375), 1,
      sym_text_interpolation,
    ACTIONS(2884), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1787), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [53968] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2886), 1,
      aux_sym_class_declaration_token1,
    STATE(992), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1376), 1,
      sym_text_interpolation,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54014] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2888), 1,
      aux_sym_class_declaration_token1,
    STATE(992), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1377), 1,
      sym_text_interpolation,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54060] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2518), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2520), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2522), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2524), 1,
      sym_var_modifier,
    ACTIONS(2874), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(992), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1333), 1,
      sym__modifier,
    STATE(1378), 1,
      sym_text_interpolation,
    ACTIONS(2526), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54106] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2890), 1,
      anon_sym_LBRACE,
    ACTIONS(2894), 1,
      anon_sym_BSLASHu,
    ACTIONS(2896), 1,
      sym__new_line,
    ACTIONS(2899), 1,
      anon_sym_DOLLAR,
    ACTIONS(2901), 1,
      sym_heredoc_end,
    STATE(1379), 1,
      sym_text_interpolation,
    STATE(1380), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1388), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1454), 1,
      sym_variable_name,
    STATE(1572), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2892), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1549), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1573), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54155] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2903), 1,
      anon_sym_LBRACE,
    ACTIONS(2909), 1,
      anon_sym_BSLASHu,
    ACTIONS(2912), 1,
      sym__new_line,
    ACTIONS(2915), 1,
      anon_sym_DOLLAR,
    ACTIONS(2918), 1,
      sym_heredoc_end,
    STATE(1388), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1454), 1,
      sym_variable_name,
    STATE(1572), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2906), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1380), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1549), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1573), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54202] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1381), 1,
      sym_text_interpolation,
    ACTIONS(2920), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54228] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2890), 1,
      anon_sym_LBRACE,
    ACTIONS(2894), 1,
      anon_sym_BSLASHu,
    ACTIONS(2899), 1,
      anon_sym_DOLLAR,
    ACTIONS(2922), 1,
      sym__new_line,
    STATE(1379), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1382), 1,
      sym_text_interpolation,
    STATE(1388), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1454), 1,
      sym_variable_name,
    STATE(1572), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2892), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1549), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1573), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(2924), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54300] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1384), 1,
      sym_text_interpolation,
    ACTIONS(2926), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54326] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2928), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54352] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1386), 1,
      sym_text_interpolation,
    ACTIONS(2930), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54378] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1387), 1,
      sym_text_interpolation,
    ACTIONS(2932), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54404] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2890), 1,
      anon_sym_LBRACE,
    ACTIONS(2894), 1,
      anon_sym_BSLASHu,
    ACTIONS(2899), 1,
      anon_sym_DOLLAR,
    STATE(1388), 1,
      sym_text_interpolation,
    STATE(1398), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1454), 1,
      sym_variable_name,
    STATE(1572), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2892), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2934), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1549), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1573), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54448] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2936), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54474] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(2938), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54500] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1391), 1,
      sym_text_interpolation,
    ACTIONS(2938), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54526] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1392), 1,
      sym_text_interpolation,
    ACTIONS(2940), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54552] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2942), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54578] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(2944), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54604] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(2930), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54630] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1396), 1,
      sym_text_interpolation,
    ACTIONS(2940), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54656] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2890), 1,
      anon_sym_LBRACE,
    ACTIONS(2894), 1,
      anon_sym_BSLASHu,
    ACTIONS(2899), 1,
      anon_sym_DOLLAR,
    STATE(1397), 1,
      sym_text_interpolation,
    STATE(1398), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1454), 1,
      sym_variable_name,
    STATE(1572), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2892), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2918), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1549), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1573), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54700] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2946), 1,
      anon_sym_LBRACE,
    ACTIONS(2952), 1,
      anon_sym_BSLASHu,
    ACTIONS(2957), 1,
      anon_sym_DOLLAR,
    STATE(1454), 1,
      sym_variable_name,
    STATE(1572), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2949), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2955), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1398), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1549), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1573), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54742] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1399), 1,
      sym_text_interpolation,
    ACTIONS(2960), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54768] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1400), 1,
      sym_text_interpolation,
    ACTIONS(2936), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54794] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2968), 1,
      anon_sym_DQUOTE,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    STATE(1401), 1,
      sym_text_interpolation,
    STATE(1434), 1,
      aux_sym__interpolated_string_body,
    STATE(1501), 1,
      sym_variable_name,
    STATE(1628), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2964), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1627), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1629), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54837] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2972), 1,
      sym_name,
    ACTIONS(2978), 1,
      anon_sym_BSLASH,
    STATE(1402), 1,
      sym_text_interpolation,
    STATE(1798), 1,
      sym_namespace_use_clause,
    STATE(2578), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2976), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1768), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54878] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_BSLASHu,
    ACTIONS(2989), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      anon_sym_DOLLAR,
    STATE(1488), 1,
      sym_variable_name,
    STATE(1604), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2983), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1403), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1606), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1632), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54919] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2972), 1,
      sym_name,
    ACTIONS(2996), 1,
      anon_sym_BSLASH,
    STATE(1404), 1,
      sym_text_interpolation,
    STATE(1851), 1,
      sym_namespace_use_clause,
    STATE(2570), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2994), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1768), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54960] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1405), 1,
      sym_text_interpolation,
    ACTIONS(2998), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54985] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3000), 1,
      anon_sym_LBRACE,
    ACTIONS(3004), 1,
      anon_sym_BSLASHu,
    ACTIONS(3006), 1,
      anon_sym_BQUOTE,
    ACTIONS(3008), 1,
      anon_sym_DOLLAR,
    STATE(1406), 1,
      sym_text_interpolation,
    STATE(1426), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1488), 1,
      sym_variable_name,
    STATE(1604), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3002), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1606), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1632), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55028] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1407), 1,
      sym_text_interpolation,
    ACTIONS(3010), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55053] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_BSLASHu,
    ACTIONS(3021), 1,
      anon_sym_DQUOTE,
    ACTIONS(3023), 1,
      anon_sym_DOLLAR,
    STATE(1501), 1,
      sym_variable_name,
    STATE(1628), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3015), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1408), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1627), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1629), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55094] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1409), 1,
      sym_text_interpolation,
    ACTIONS(3026), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55119] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    ACTIONS(3028), 1,
      anon_sym_DQUOTE,
    STATE(1410), 1,
      sym_text_interpolation,
    STATE(1428), 1,
      aux_sym__interpolated_string_body,
    STATE(1501), 1,
      sym_variable_name,
    STATE(1628), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2964), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1627), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1629), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55162] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3000), 1,
      anon_sym_LBRACE,
    ACTIONS(3004), 1,
      anon_sym_BSLASHu,
    ACTIONS(3008), 1,
      anon_sym_DOLLAR,
    ACTIONS(3030), 1,
      anon_sym_BQUOTE,
    STATE(1403), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1411), 1,
      sym_text_interpolation,
    STATE(1488), 1,
      sym_variable_name,
    STATE(1604), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3002), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1606), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1632), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55205] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1412), 1,
      sym_text_interpolation,
    ACTIONS(3032), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55230] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1413), 1,
      sym_text_interpolation,
    ACTIONS(3034), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55255] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(1414), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3036), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3038), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55286] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1415), 1,
      sym_text_interpolation,
    ACTIONS(3040), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55311] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1416), 1,
      sym_text_interpolation,
    ACTIONS(3042), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55336] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1417), 1,
      sym_text_interpolation,
    ACTIONS(3044), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55361] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3000), 1,
      anon_sym_LBRACE,
    ACTIONS(3004), 1,
      anon_sym_BSLASHu,
    ACTIONS(3008), 1,
      anon_sym_DOLLAR,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    STATE(1411), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1418), 1,
      sym_text_interpolation,
    STATE(1488), 1,
      sym_variable_name,
    STATE(1604), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3002), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1606), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1632), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55404] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1419), 1,
      sym_text_interpolation,
    ACTIONS(3048), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55429] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1420), 1,
      sym_text_interpolation,
    ACTIONS(3050), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55454] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1421), 1,
      sym_text_interpolation,
    ACTIONS(3052), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55479] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1422), 1,
      sym_text_interpolation,
    ACTIONS(3054), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55504] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1423), 1,
      sym_text_interpolation,
    ACTIONS(3056), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55529] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1424), 1,
      sym_text_interpolation,
    ACTIONS(3058), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55554] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1425), 1,
      sym_text_interpolation,
    ACTIONS(3060), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55579] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3000), 1,
      anon_sym_LBRACE,
    ACTIONS(3004), 1,
      anon_sym_BSLASHu,
    ACTIONS(3008), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      anon_sym_BQUOTE,
    STATE(1403), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1426), 1,
      sym_text_interpolation,
    STATE(1488), 1,
      sym_variable_name,
    STATE(1604), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3002), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1606), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1632), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55622] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1427), 1,
      sym_text_interpolation,
    ACTIONS(3064), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55647] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    ACTIONS(3066), 1,
      anon_sym_DQUOTE,
    STATE(1408), 1,
      aux_sym__interpolated_string_body,
    STATE(1428), 1,
      sym_text_interpolation,
    STATE(1501), 1,
      sym_variable_name,
    STATE(1628), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2964), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1627), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1629), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55690] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(3068), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1430), 1,
      sym_text_interpolation,
    ACTIONS(3070), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55740] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1431), 1,
      sym_text_interpolation,
    ACTIONS(3072), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55765] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1432), 1,
      sym_text_interpolation,
    ACTIONS(3074), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55790] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1433), 1,
      sym_text_interpolation,
    ACTIONS(3076), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55815] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    ACTIONS(3078), 1,
      anon_sym_DQUOTE,
    STATE(1408), 1,
      aux_sym__interpolated_string_body,
    STATE(1434), 1,
      sym_text_interpolation,
    STATE(1501), 1,
      sym_variable_name,
    STATE(1628), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2964), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1627), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1629), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55858] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3080), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3082), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1435), 1,
      sym_text_interpolation,
    ACTIONS(2300), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55886] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_BSLASHu,
    ACTIONS(3084), 1,
      anon_sym_LBRACE,
    ACTIONS(3086), 1,
      anon_sym_DOLLAR,
    STATE(1397), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1436), 1,
      sym_text_interpolation,
    STATE(1454), 1,
      sym_variable_name,
    STATE(1572), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2892), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1549), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1573), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55926] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_AMP,
    ACTIONS(3100), 1,
      anon_sym_PIPE,
    STATE(1437), 1,
      sym_text_interpolation,
    STATE(1462), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1502), 1,
      aux_sym_union_type_repeat1,
    STATE(1503), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3095), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3088), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [55962] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_RBRACK,
    STATE(1438), 1,
      sym_text_interpolation,
    STATE(2222), 1,
      sym_attribute,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1857), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56002] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    ACTIONS(3106), 1,
      anon_sym_RBRACK,
    STATE(1439), 1,
      sym_text_interpolation,
    STATE(2222), 1,
      sym_attribute,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1857), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56042] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3108), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3110), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1440), 1,
      sym_text_interpolation,
    ACTIONS(2300), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56069] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1949), 1,
      anon_sym_COLON,
    STATE(1441), 1,
      sym_text_interpolation,
    ACTIONS(2736), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1592), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56098] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1442), 1,
      sym_text_interpolation,
    ACTIONS(3112), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3114), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56123] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    STATE(1443), 1,
      sym_text_interpolation,
    STATE(2005), 1,
      sym_attribute,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1857), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56160] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3116), 1,
      sym_integer,
    STATE(1444), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(868), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [56193] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3118), 1,
      sym_integer,
    STATE(1445), 1,
      sym_text_interpolation,
    STATE(2261), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(868), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [56226] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2972), 1,
      sym_name,
    ACTIONS(3120), 1,
      anon_sym_BSLASH,
    STATE(1446), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      sym_namespace_use_clause,
    STATE(2579), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1768), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56263] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3102), 1,
      sym_name,
    STATE(1447), 1,
      sym_text_interpolation,
    STATE(2222), 1,
      sym_attribute,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1857), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56300] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(3036), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3038), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56325] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2972), 1,
      sym_name,
    ACTIONS(3122), 1,
      anon_sym_BSLASH,
    STATE(1449), 1,
      sym_text_interpolation,
    STATE(1907), 1,
      sym_namespace_use_clause,
    STATE(2494), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1768), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56362] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1450), 1,
      sym_text_interpolation,
    ACTIONS(3124), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3126), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56387] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(3128), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3130), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56412] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2972), 1,
      sym_name,
    STATE(1452), 1,
      sym_text_interpolation,
    STATE(2031), 1,
      sym_namespace_use_clause,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1768), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56449] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1453), 1,
      sym_text_interpolation,
    STATE(2085), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56481] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3138), 1,
      anon_sym_DASH_GT,
    ACTIONS(3140), 1,
      anon_sym_LBRACK,
    ACTIONS(3144), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1454), 1,
      sym_text_interpolation,
    ACTIONS(3136), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3142), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [56511] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3146), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(578), 1,
      sym_arguments,
    STATE(1455), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56543] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1456), 1,
      sym_text_interpolation,
    ACTIONS(1771), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56571] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3148), 1,
      sym_name,
    STATE(1457), 1,
      sym_text_interpolation,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1792), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56605] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3150), 1,
      anon_sym_RPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1458), 1,
      sym_text_interpolation,
    STATE(2025), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56637] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1459), 1,
      sym_text_interpolation,
    ACTIONS(1608), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1610), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [56661] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3152), 1,
      sym_name,
    STATE(1460), 1,
      sym_text_interpolation,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1613), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56695] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1461), 1,
      sym_text_interpolation,
    ACTIONS(1578), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56723] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_AMP,
    STATE(1462), 1,
      sym_text_interpolation,
    STATE(1464), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3154), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3156), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56751] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3158), 1,
      sym_name,
    STATE(1463), 1,
      sym_text_interpolation,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1972), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56785] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3162), 1,
      anon_sym_AMP,
    STATE(1464), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3160), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3165), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56811] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3167), 1,
      sym_name,
    STATE(1465), 1,
      sym_text_interpolation,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2081), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56845] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3169), 1,
      sym_name,
    STATE(1466), 1,
      sym_text_interpolation,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1816), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1467), 1,
      sym_text_interpolation,
    ACTIONS(3171), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3173), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56903] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1468), 1,
      sym_text_interpolation,
    ACTIONS(3175), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3178), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56927] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3181), 1,
      anon_sym_COMMA,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1469), 1,
      sym_text_interpolation,
    STATE(2060), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56959] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1470), 1,
      sym_text_interpolation,
    ACTIONS(3185), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3187), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56983] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1471), 1,
      sym_text_interpolation,
    ACTIONS(3189), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3191), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57007] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_COLON_COLON,
    STATE(1472), 1,
      sym_text_interpolation,
    ACTIONS(2736), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1592), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1473), 1,
      sym_text_interpolation,
    ACTIONS(3160), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3165), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [57057] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3193), 1,
      sym_name,
    ACTIONS(3195), 1,
      anon_sym_LBRACE,
    STATE(1474), 1,
      sym_text_interpolation,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(856), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57086] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3197), 1,
      sym_name,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    STATE(663), 1,
      sym__reserved_identifier,
    STATE(1475), 1,
      sym_text_interpolation,
    STATE(831), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57117] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_PIPE,
    STATE(1476), 1,
      sym_text_interpolation,
    STATE(1484), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3203), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3201), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57144] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3207), 1,
      sym_name,
    ACTIONS(3209), 1,
      anon_sym_LBRACE,
    STATE(1477), 1,
      sym_text_interpolation,
    STATE(1559), 1,
      sym__reserved_identifier,
    STATE(865), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57175] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3211), 1,
      sym_name,
    ACTIONS(3213), 1,
      anon_sym_LBRACE,
    STATE(1478), 1,
      sym_text_interpolation,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(851), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57204] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3215), 1,
      sym_name,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    STATE(843), 1,
      sym__reserved_identifier,
    STATE(1479), 1,
      sym_text_interpolation,
    STATE(597), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57235] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_PIPE,
    STATE(1476), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1480), 1,
      sym_text_interpolation,
    ACTIONS(3221), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3219), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57262] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3223), 1,
      sym_name,
    ACTIONS(3227), 1,
      anon_sym_LBRACE,
    STATE(1481), 1,
      sym_text_interpolation,
    ACTIONS(3225), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57291] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_name,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    STATE(1482), 1,
      sym_text_interpolation,
    ACTIONS(3225), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57320] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3197), 1,
      sym_name,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    STATE(663), 1,
      sym__reserved_identifier,
    STATE(1483), 1,
      sym_text_interpolation,
    STATE(707), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57351] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_PIPE,
    STATE(1484), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3187), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3185), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57376] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3236), 1,
      sym_name,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1485), 1,
      sym_text_interpolation,
    STATE(1584), 1,
      sym_reference_modifier,
    STATE(1610), 1,
      sym_formal_parameters,
    STATE(2265), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57409] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3240), 1,
      sym_name,
    ACTIONS(3244), 1,
      anon_sym_LBRACE,
    STATE(1486), 1,
      sym_text_interpolation,
    ACTIONS(3242), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(572), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57438] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3197), 1,
      sym_name,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    STATE(663), 1,
      sym__reserved_identifier,
    STATE(1487), 1,
      sym_text_interpolation,
    STATE(576), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57469] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_BSLASHu,
    ACTIONS(3246), 1,
      anon_sym_DASH_GT,
    ACTIONS(3248), 1,
      anon_sym_LBRACK,
    ACTIONS(3250), 1,
      sym_execution_string_chars_after_variable,
    STATE(1488), 1,
      sym_text_interpolation,
    ACTIONS(3142), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57498] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_arguments,
    STATE(1489), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57527] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1528), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3252), 1,
      sym_name,
    ACTIONS(3256), 1,
      anon_sym_LBRACE,
    STATE(1490), 1,
      sym_text_interpolation,
    ACTIONS(3254), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(644), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57556] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1528), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3258), 1,
      sym_name,
    ACTIONS(3260), 1,
      anon_sym_LBRACE,
    STATE(1491), 1,
      sym_text_interpolation,
    ACTIONS(3254), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(640), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57585] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1528), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3262), 1,
      sym_name,
    ACTIONS(3264), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym__reserved_identifier,
    STATE(1492), 1,
      sym_text_interpolation,
    STATE(641), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57616] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3266), 1,
      sym_name,
    ACTIONS(3268), 1,
      anon_sym_LBRACE,
    STATE(1493), 1,
      sym_text_interpolation,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(836), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57645] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3270), 1,
      sym_name,
    ACTIONS(3272), 1,
      anon_sym_LBRACE,
    STATE(1494), 1,
      sym_text_interpolation,
    STATE(1585), 1,
      sym__reserved_identifier,
    STATE(1587), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57676] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3274), 1,
      sym_name,
    ACTIONS(3276), 1,
      anon_sym_LBRACE,
    STATE(1495), 1,
      sym_text_interpolation,
    ACTIONS(3242), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(577), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57705] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3278), 1,
      sym_name,
    ACTIONS(3280), 1,
      anon_sym_LBRACE,
    STATE(1496), 1,
      sym_text_interpolation,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(837), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57734] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1497), 1,
      sym_text_interpolation,
    ACTIONS(2542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57761] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(668), 1,
      sym_arguments,
    STATE(1498), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57790] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3282), 1,
      sym_name,
    ACTIONS(3284), 1,
      anon_sym_LBRACE,
    STATE(820), 1,
      sym__reserved_identifier,
    STATE(1499), 1,
      sym_text_interpolation,
    STATE(780), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57821] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3286), 1,
      sym_name,
    ACTIONS(3288), 1,
      anon_sym_LBRACE,
    STATE(1500), 1,
      sym_text_interpolation,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(680), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57850] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_BSLASHu,
    ACTIONS(3290), 1,
      anon_sym_DASH_GT,
    ACTIONS(3292), 1,
      anon_sym_LBRACK,
    ACTIONS(3294), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1501), 1,
      sym_text_interpolation,
    ACTIONS(3142), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57879] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_PIPE,
    STATE(1502), 1,
      sym_text_interpolation,
    STATE(1508), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3298), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3296), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57906] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_PIPE,
    STATE(1484), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1503), 1,
      sym_text_interpolation,
    ACTIONS(3304), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3302), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57933] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    STATE(1504), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57962] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3306), 1,
      sym_name,
    ACTIONS(3308), 1,
      anon_sym_LBRACE,
    STATE(1505), 1,
      sym_text_interpolation,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(677), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57991] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1949), 1,
      anon_sym_COLON,
    STATE(1506), 1,
      sym_text_interpolation,
    ACTIONS(1592), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58016] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3207), 1,
      sym_name,
    ACTIONS(3209), 1,
      anon_sym_LBRACE,
    STATE(1507), 1,
      sym_text_interpolation,
    STATE(1559), 1,
      sym__reserved_identifier,
    STATE(1557), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58047] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3310), 1,
      anon_sym_PIPE,
    STATE(1508), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3191), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3189), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58072] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1509), 1,
      sym_text_interpolation,
    ACTIONS(3313), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58099] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3315), 1,
      sym_name,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    STATE(1510), 1,
      sym_text_interpolation,
    ACTIONS(3317), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(769), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58128] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(885), 1,
      sym_arguments,
    STATE(1511), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58157] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3321), 1,
      sym_name,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    STATE(1512), 1,
      sym_text_interpolation,
    STATE(1571), 1,
      sym__reserved_identifier,
    STATE(780), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58188] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1513), 1,
      sym_text_interpolation,
    ACTIONS(3325), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58215] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1514), 1,
      sym_text_interpolation,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58242] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_BSLASHu,
    STATE(1515), 1,
      sym_text_interpolation,
    ACTIONS(1608), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58265] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3236), 1,
      sym_name,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1516), 1,
      sym_text_interpolation,
    STATE(1592), 1,
      sym_reference_modifier,
    STATE(1634), 1,
      sym_formal_parameters,
    STATE(2265), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58298] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3327), 1,
      sym_name,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1517), 1,
      sym_text_interpolation,
    ACTIONS(3317), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58327] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(578), 1,
      sym_arguments,
    STATE(1518), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58356] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3331), 1,
      sym_name,
    ACTIONS(3333), 1,
      anon_sym_LBRACE,
    STATE(1519), 1,
      sym_text_interpolation,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(864), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58385] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3335), 1,
      sym_name,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1520), 1,
      sym_text_interpolation,
    ACTIONS(2974), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(862), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58414] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3339), 1,
      sym_name,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1521), 1,
      sym_text_interpolation,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(713), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58443] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3343), 1,
      sym_name,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1522), 1,
      sym_text_interpolation,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(711), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58472] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3197), 1,
      sym_name,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    STATE(663), 1,
      sym__reserved_identifier,
    STATE(1523), 1,
      sym_text_interpolation,
    STATE(839), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58503] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3274), 1,
      sym_name,
    ACTIONS(3276), 1,
      anon_sym_LBRACE,
    STATE(1524), 1,
      sym_text_interpolation,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(577), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58532] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3197), 1,
      sym_name,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    STATE(663), 1,
      sym__reserved_identifier,
    STATE(1525), 1,
      sym_text_interpolation,
    STATE(689), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1526), 1,
      sym_text_interpolation,
    ACTIONS(3347), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3349), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58586] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3240), 1,
      sym_name,
    ACTIONS(3244), 1,
      anon_sym_LBRACE,
    STATE(1527), 1,
      sym_text_interpolation,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(572), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58615] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3270), 1,
      sym_name,
    ACTIONS(3272), 1,
      anon_sym_LBRACE,
    STATE(1528), 1,
      sym_text_interpolation,
    STATE(1585), 1,
      sym__reserved_identifier,
    STATE(709), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_BSLASHu,
    STATE(1529), 1,
      sym_text_interpolation,
    ACTIONS(1608), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58669] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3351), 1,
      sym_name,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(1530), 1,
      sym_text_interpolation,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(699), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58698] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1531), 1,
      sym_text_interpolation,
    ACTIONS(2606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58725] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3355), 1,
      anon_sym_EQ,
    STATE(1532), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3038), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3036), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58754] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3357), 1,
      sym_name,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1533), 1,
      sym_text_interpolation,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(674), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58783] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1534), 1,
      sym_text_interpolation,
    ACTIONS(3361), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58810] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1535), 1,
      sym_text_interpolation,
    ACTIONS(2594), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58837] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_AMP,
    ACTIONS(3365), 1,
      anon_sym_PIPE,
    STATE(1536), 1,
      sym_text_interpolation,
    STATE(1674), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1734), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1736), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3095), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58867] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1073), 1,
      sym_declaration_list,
    STATE(1537), 1,
      sym_text_interpolation,
    STATE(1618), 1,
      sym_arguments,
    STATE(1806), 1,
      sym_base_clause,
    STATE(2244), 1,
      sym_class_interface_clause,
  [58901] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3375), 1,
      anon_sym_COMMA,
    ACTIONS(3377), 1,
      anon_sym_LBRACE,
    STATE(1394), 1,
      sym_use_list,
    STATE(1538), 1,
      sym_text_interpolation,
    STATE(1642), 1,
      aux_sym_base_clause_repeat1,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3373), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58933] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(985), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3379), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3382), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(983), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1539), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1726), 2,
      sym_catch_clause,
      sym_finally_clause,
  [58961] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_COMMA,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym_text_interpolation,
    STATE(2060), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58987] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1541), 1,
      sym_text_interpolation,
    STATE(1804), 1,
      sym_named_type,
    STATE(2118), 1,
      sym_type_list,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
  [59021] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_declaration_list,
    STATE(1542), 1,
      sym_text_interpolation,
    STATE(1648), 1,
      sym_arguments,
    STATE(1772), 1,
      sym_base_clause,
    STATE(2439), 1,
      sym_class_interface_clause,
  [59055] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    STATE(1543), 1,
      sym_text_interpolation,
    STATE(2085), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59081] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_declaration_list,
    STATE(1544), 1,
      sym_text_interpolation,
    STATE(1668), 1,
      sym_arguments,
    STATE(1877), 1,
      sym_base_clause,
    STATE(2418), 1,
      sym_class_interface_clause,
  [59115] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(1804), 1,
      sym_named_type,
    STATE(2050), 1,
      sym_type_list,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
  [59149] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1135), 1,
      sym_declaration_list,
    STATE(1546), 1,
      sym_text_interpolation,
    STATE(1673), 1,
      sym_arguments,
    STATE(1887), 1,
      sym_base_clause,
    STATE(2431), 1,
      sym_class_interface_clause,
  [59183] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(995), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3389), 1,
      aux_sym_finally_clause_token1,
    STATE(1539), 1,
      aux_sym_try_statement_repeat1,
    STATE(1547), 1,
      sym_text_interpolation,
    ACTIONS(993), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1726), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59213] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3150), 1,
      anon_sym_RPAREN,
    STATE(1548), 1,
      sym_text_interpolation,
    STATE(2025), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59239] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1549), 1,
      sym_text_interpolation,
    ACTIONS(3136), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3142), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59260] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    STATE(1448), 1,
      sym_qualified_name,
    STATE(1550), 1,
      sym_text_interpolation,
    STATE(2135), 1,
      sym_named_type,
    STATE(2546), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
  [59291] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_arguments,
    STATE(1551), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59314] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(908), 1,
      sym_arguments,
    STATE(1552), 1,
      sym_text_interpolation,
    ACTIONS(1707), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59337] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_arguments,
    STATE(1553), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59360] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1554), 1,
      sym_text_interpolation,
    ACTIONS(3391), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2955), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59381] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3395), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3398), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3393), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1555), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1808), 2,
      sym_case_statement,
      sym_default_statement,
  [59406] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_arguments,
    STATE(1556), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59429] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(887), 1,
      sym_arguments,
    STATE(1557), 1,
      sym_text_interpolation,
    ACTIONS(1580), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59452] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(885), 1,
      sym_arguments,
    STATE(1558), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59475] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(887), 1,
      sym_arguments,
    STATE(1559), 1,
      sym_text_interpolation,
    ACTIONS(1747), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59498] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1560), 1,
      sym_text_interpolation,
    ACTIONS(1610), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1608), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59519] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    STATE(1561), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59542] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1562), 1,
      sym_text_interpolation,
    ACTIONS(1602), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1600), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59563] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3403), 1,
      anon_sym_DASH,
    STATE(1563), 1,
      sym_text_interpolation,
    STATE(2642), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3401), 2,
      sym_integer,
      sym_name,
    STATE(2639), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [59590] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1564), 1,
      sym_text_interpolation,
    ACTIONS(1606), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1604), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59611] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1565), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59634] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1566), 1,
      sym_text_interpolation,
    ACTIONS(3361), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59655] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1567), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59678] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1568), 1,
      sym_text_interpolation,
    ACTIONS(3325), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59699] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_PIPE,
    STATE(1569), 1,
      sym_text_interpolation,
    STATE(1752), 1,
      aux_sym_union_type_repeat1,
    STATE(1753), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1830), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3095), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59728] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1570), 1,
      sym_text_interpolation,
    ACTIONS(3313), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59749] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(790), 1,
      sym_arguments,
    STATE(1571), 1,
      sym_text_interpolation,
    ACTIONS(1747), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59772] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1572), 1,
      sym_text_interpolation,
    ACTIONS(3413), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3415), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59793] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1573), 1,
      sym_text_interpolation,
    ACTIONS(3417), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3419), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59814] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3423), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1574), 1,
      sym_text_interpolation,
    STATE(1951), 1,
      sym_namespace_aliasing_clause,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3421), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59841] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3403), 1,
      anon_sym_DASH,
    STATE(1575), 1,
      sym_text_interpolation,
    STATE(2619), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3401), 2,
      sym_integer,
      sym_name,
    STATE(2639), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [59868] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    STATE(885), 1,
      sym_arguments,
    STATE(1576), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59891] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(809), 1,
      sym_arguments,
    STATE(1577), 1,
      sym_text_interpolation,
    ACTIONS(1707), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59914] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1578), 1,
      sym_text_interpolation,
    ACTIONS(1955), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(1953), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [59935] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(1579), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3038), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [59958] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3146), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3425), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1580), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59981] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_arguments,
    STATE(1581), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60004] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3403), 1,
      anon_sym_DASH,
    STATE(1582), 1,
      sym_text_interpolation,
    STATE(2489), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3401), 2,
      sym_integer,
      sym_name,
    STATE(2639), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [60031] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(760), 1,
      sym_arguments,
    STATE(1583), 1,
      sym_text_interpolation,
    ACTIONS(1707), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60054] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    ACTIONS(3427), 1,
      sym_name,
    STATE(1584), 1,
      sym_text_interpolation,
    STATE(1646), 1,
      sym_formal_parameters,
    STATE(2440), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60081] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(742), 1,
      sym_arguments,
    STATE(1585), 1,
      sym_text_interpolation,
    ACTIONS(1747), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60104] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_arguments,
    STATE(1586), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60127] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(742), 1,
      sym_arguments,
    STATE(1587), 1,
      sym_text_interpolation,
    ACTIONS(1580), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60150] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3429), 1,
      sym_name,
    STATE(1588), 1,
      sym_text_interpolation,
    STATE(1744), 1,
      sym_reference_modifier,
    STATE(2347), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60177] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1589), 1,
      sym_text_interpolation,
    ACTIONS(3431), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3433), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60198] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1590), 1,
      sym_text_interpolation,
    ACTIONS(3435), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3437), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60219] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1591), 1,
      sym_text_interpolation,
    ACTIONS(3439), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3441), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60240] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    ACTIONS(3427), 1,
      sym_name,
    STATE(1592), 1,
      sym_text_interpolation,
    STATE(1596), 1,
      sym_formal_parameters,
    STATE(2440), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60267] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    STATE(1593), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60290] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1594), 1,
      sym_text_interpolation,
    STATE(1755), 1,
      sym_declaration_list,
    STATE(1771), 1,
      sym_base_clause,
    STATE(2364), 1,
      sym_class_interface_clause,
  [60318] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3445), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3447), 1,
      aux_sym_switch_block_token1,
    STATE(1595), 1,
      sym_text_interpolation,
    STATE(1620), 1,
      aux_sym_switch_block_repeat1,
    STATE(1808), 2,
      sym_case_statement,
      sym_default_statement,
  [60344] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1079), 1,
      sym_compound_statement,
    STATE(1596), 1,
      sym_text_interpolation,
    STATE(1817), 1,
      sym_anonymous_function_use_clause,
    STATE(2318), 1,
      sym__return_type,
  [60372] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1597), 1,
      sym_text_interpolation,
    ACTIONS(1604), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60392] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1087), 1,
      sym_compound_statement,
    STATE(1598), 1,
      sym_text_interpolation,
    STATE(1814), 1,
      sym_anonymous_function_use_clause,
    STATE(2289), 1,
      sym__return_type,
  [60420] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_BSLASHu,
    STATE(1599), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60440] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3431), 1,
      anon_sym_BSLASHu,
    STATE(1600), 1,
      sym_text_interpolation,
    ACTIONS(3433), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60460] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
    STATE(1601), 1,
      sym_text_interpolation,
    STATE(1856), 1,
      sym_base_clause,
    STATE(2397), 1,
      sym_class_interface_clause,
  [60488] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3457), 1,
      anon_sym_SQUOTE,
    ACTIONS(3459), 1,
      aux_sym_string_token2,
    ACTIONS(3461), 1,
      aux_sym_string_content_token1,
    STATE(1602), 1,
      sym_text_interpolation,
    STATE(1630), 1,
      aux_sym_string_repeat1,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    STATE(1991), 1,
      sym_string_content,
  [60516] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_BSLASHu,
    STATE(1603), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60536] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3413), 1,
      anon_sym_BSLASHu,
    STATE(1604), 1,
      sym_text_interpolation,
    ACTIONS(3415), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym_BSLASHu,
    STATE(1605), 1,
      sym_text_interpolation,
    ACTIONS(3441), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60576] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_BSLASHu,
    STATE(1606), 1,
      sym_text_interpolation,
    ACTIONS(3142), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60596] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1607), 1,
      sym_text_interpolation,
    ACTIONS(1604), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60616] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1076), 1,
      sym_compound_statement,
    STATE(1608), 1,
      sym_text_interpolation,
    STATE(1844), 1,
      sym_anonymous_function_use_clause,
    STATE(2412), 1,
      sym__return_type,
  [60644] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_BSLASHu,
    STATE(1609), 1,
      sym_text_interpolation,
    ACTIONS(3437), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60664] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1142), 1,
      sym_compound_statement,
    STATE(1610), 1,
      sym_text_interpolation,
    STATE(1921), 1,
      sym_anonymous_function_use_clause,
    STATE(2443), 1,
      sym__return_type,
  [60692] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_BSLASHu,
    STATE(1611), 1,
      sym_text_interpolation,
    ACTIONS(1608), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60712] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(1612), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3463), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [60734] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3375), 1,
      anon_sym_COMMA,
    ACTIONS(3377), 1,
      anon_sym_LBRACE,
    STATE(1394), 1,
      sym_use_list,
    STATE(1613), 1,
      sym_text_interpolation,
    STATE(1642), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3373), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60760] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3465), 1,
      sym_php_tag,
    ACTIONS(3467), 1,
      aux_sym_text_token1,
    ACTIONS(3469), 1,
      aux_sym_text_token2,
    ACTIONS(3471), 1,
      sym__eof,
    STATE(1614), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      aux_sym_text_repeat1,
    STATE(2201), 1,
      sym_text,
  [60788] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_BSLASHu,
    STATE(1615), 1,
      sym_text_interpolation,
    ACTIONS(1608), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60808] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_declaration_list,
    STATE(1616), 1,
      sym_text_interpolation,
    STATE(1917), 1,
      sym_base_clause,
    STATE(2457), 1,
      sym_class_interface_clause,
  [60836] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3459), 1,
      aux_sym_string_token2,
    ACTIONS(3461), 1,
      aux_sym_string_content_token1,
    ACTIONS(3473), 1,
      anon_sym_SQUOTE,
    STATE(1617), 1,
      sym_text_interpolation,
    STATE(1636), 1,
      aux_sym_string_repeat1,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    STATE(1991), 1,
      sym_string_content,
  [60864] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1115), 1,
      sym_declaration_list,
    STATE(1618), 1,
      sym_text_interpolation,
    STATE(1809), 1,
      sym_base_clause,
    STATE(2279), 1,
      sym_class_interface_clause,
  [60892] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1011), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3475), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3478), 1,
      aux_sym_else_clause_token1,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(1684), 1,
      aux_sym_if_statement_repeat1,
    STATE(1944), 1,
      sym_else_if_clause,
    STATE(2062), 1,
      sym_else_clause,
  [60920] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3445), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3481), 1,
      aux_sym_switch_block_token1,
    STATE(1555), 1,
      aux_sym_switch_block_repeat1,
    STATE(1620), 1,
      sym_text_interpolation,
    STATE(1808), 2,
      sym_case_statement,
      sym_default_statement,
  [60946] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3483), 1,
      sym_name,
    STATE(1621), 1,
      sym_text_interpolation,
    STATE(1920), 1,
      sym_const_element,
    STATE(2502), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60970] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3445), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3485), 1,
      anon_sym_RBRACE,
    STATE(1555), 1,
      aux_sym_switch_block_repeat1,
    STATE(1622), 1,
      sym_text_interpolation,
    STATE(1808), 2,
      sym_case_statement,
      sym_default_statement,
  [60996] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1001), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3487), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3490), 1,
      aux_sym_else_clause_token1,
    STATE(1619), 1,
      aux_sym_if_statement_repeat1,
    STATE(1623), 1,
      sym_text_interpolation,
    STATE(1944), 1,
      sym_else_if_clause,
    STATE(1945), 1,
      sym_else_clause,
  [61024] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_compound_statement,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(1906), 1,
      sym_anonymous_function_use_clause,
    STATE(2407), 1,
      sym__return_type,
  [61052] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(1625), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2419), 1,
      sym_arguments,
    ACTIONS(3493), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61078] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1626), 1,
      sym_text_interpolation,
    STATE(1729), 1,
      sym_declaration_list,
    STATE(1914), 1,
      sym_base_clause,
    STATE(2417), 1,
      sym_class_interface_clause,
  [61106] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_BSLASHu,
    STATE(1627), 1,
      sym_text_interpolation,
    ACTIONS(3495), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3413), 1,
      anon_sym_BSLASHu,
    STATE(1628), 1,
      sym_text_interpolation,
    ACTIONS(3415), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61146] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_BSLASHu,
    STATE(1629), 1,
      sym_text_interpolation,
    ACTIONS(3142), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61166] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3459), 1,
      aux_sym_string_token2,
    ACTIONS(3461), 1,
      aux_sym_string_content_token1,
    ACTIONS(3499), 1,
      anon_sym_SQUOTE,
    STATE(1630), 1,
      sym_text_interpolation,
    STATE(1666), 1,
      aux_sym_string_repeat1,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    STATE(1991), 1,
      sym_string_content,
  [61194] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3501), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3503), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3505), 1,
      aux_sym_else_clause_token1,
    STATE(1631), 1,
      sym_text_interpolation,
    STATE(1725), 1,
      aux_sym_if_statement_repeat2,
    STATE(2090), 1,
      sym_else_if_clause_2,
    STATE(2590), 1,
      sym_else_clause_2,
  [61222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_BSLASHu,
    STATE(1632), 1,
      sym_text_interpolation,
    ACTIONS(3507), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61242] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3483), 1,
      sym_name,
    STATE(1633), 1,
      sym_text_interpolation,
    STATE(1908), 1,
      sym_const_element,
    STATE(2502), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61266] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1140), 1,
      sym_compound_statement,
    STATE(1634), 1,
      sym_text_interpolation,
    STATE(1773), 1,
      sym_anonymous_function_use_clause,
    STATE(2200), 1,
      sym__return_type,
  [61294] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3431), 1,
      anon_sym_BSLASHu,
    STATE(1635), 1,
      sym_text_interpolation,
    ACTIONS(3433), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61314] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3459), 1,
      aux_sym_string_token2,
    ACTIONS(3461), 1,
      aux_sym_string_content_token1,
    ACTIONS(3511), 1,
      anon_sym_SQUOTE,
    STATE(1636), 1,
      sym_text_interpolation,
    STATE(1666), 1,
      aux_sym_string_repeat1,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    STATE(1991), 1,
      sym_string_content,
  [61342] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3503), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3505), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3513), 1,
      aux_sym_if_statement_token2,
    STATE(1637), 1,
      sym_text_interpolation,
    STATE(1644), 1,
      aux_sym_if_statement_repeat2,
    STATE(2090), 1,
      sym_else_if_clause_2,
    STATE(2541), 1,
      sym_else_clause_2,
  [61370] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3445), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3515), 1,
      aux_sym_switch_block_token1,
    STATE(1638), 1,
      sym_text_interpolation,
    STATE(1645), 1,
      aux_sym_switch_block_repeat1,
    STATE(1808), 2,
      sym_case_statement,
      sym_default_statement,
  [61396] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(950), 1,
      sym_compound_statement,
    STATE(1639), 1,
      sym_text_interpolation,
    STATE(1902), 1,
      sym_anonymous_function_use_clause,
    STATE(2447), 1,
      sym__return_type,
  [61424] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3483), 1,
      sym_name,
    STATE(1640), 1,
      sym_text_interpolation,
    STATE(1863), 1,
      sym_const_element,
    STATE(2502), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61448] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(1801), 1,
      aux_sym_base_clause_repeat1,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3519), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [61474] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3375), 1,
      anon_sym_COMMA,
    ACTIONS(3377), 1,
      anon_sym_LBRACE,
    STATE(1381), 1,
      sym_use_list,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(1745), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61500] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3445), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3523), 1,
      anon_sym_RBRACE,
    STATE(1643), 1,
      sym_text_interpolation,
    STATE(1672), 1,
      aux_sym_switch_block_repeat1,
    STATE(1808), 2,
      sym_case_statement,
      sym_default_statement,
  [61526] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3503), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3505), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3525), 1,
      aux_sym_if_statement_token2,
    STATE(1644), 1,
      sym_text_interpolation,
    STATE(1725), 1,
      aux_sym_if_statement_repeat2,
    STATE(2090), 1,
      sym_else_if_clause_2,
    STATE(2523), 1,
      sym_else_clause_2,
  [61554] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3445), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3527), 1,
      aux_sym_switch_block_token1,
    STATE(1555), 1,
      aux_sym_switch_block_repeat1,
    STATE(1645), 1,
      sym_text_interpolation,
    STATE(1808), 2,
      sym_case_statement,
      sym_default_statement,
  [61580] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_compound_statement,
    STATE(1646), 1,
      sym_text_interpolation,
    STATE(1834), 1,
      sym_anonymous_function_use_clause,
    STATE(2344), 1,
      sym__return_type,
  [61608] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1116), 1,
      sym_compound_statement,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(1825), 1,
      sym_anonymous_function_use_clause,
    STATE(2296), 1,
      sym__return_type,
  [61636] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_declaration_list,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(1881), 1,
      sym_base_clause,
    STATE(2420), 1,
      sym_class_interface_clause,
  [61664] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(984), 1,
      sym_compound_statement,
    STATE(1649), 1,
      sym_text_interpolation,
    STATE(1826), 1,
      sym_anonymous_function_use_clause,
    STATE(2335), 1,
      sym__return_type,
  [61692] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3483), 1,
      sym_name,
    STATE(1650), 1,
      sym_text_interpolation,
    STATE(2061), 1,
      sym_const_element,
    STATE(2502), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61716] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_declaration_list,
    STATE(1651), 1,
      sym_text_interpolation,
    STATE(1776), 1,
      sym_base_clause,
    STATE(2190), 1,
      sym_class_interface_clause,
  [61744] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3483), 1,
      sym_name,
    STATE(1652), 1,
      sym_text_interpolation,
    STATE(1774), 1,
      sym_const_element,
    STATE(2502), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61768] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_compound_statement,
    STATE(1653), 1,
      sym_text_interpolation,
    STATE(1869), 1,
      sym_anonymous_function_use_clause,
    STATE(2409), 1,
      sym__return_type,
  [61796] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_declaration_list,
    STATE(1654), 1,
      sym_text_interpolation,
    STATE(1779), 1,
      sym_base_clause,
    STATE(2194), 1,
      sym_class_interface_clause,
  [61824] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(930), 1,
      sym_compound_statement,
    STATE(1655), 1,
      sym_text_interpolation,
    STATE(1866), 1,
      sym_anonymous_function_use_clause,
    STATE(2405), 1,
      sym__return_type,
  [61852] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1011), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3529), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3531), 1,
      aux_sym_else_clause_token1,
    STATE(1656), 1,
      sym_text_interpolation,
    STATE(1684), 1,
      aux_sym_if_statement_repeat1,
    STATE(1944), 1,
      sym_else_if_clause,
    STATE(2062), 1,
      sym_else_clause,
  [61880] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1134), 1,
      sym_compound_statement,
    STATE(1657), 1,
      sym_text_interpolation,
    STATE(1778), 1,
      sym_anonymous_function_use_clause,
    STATE(2203), 1,
      sym__return_type,
  [61908] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_BSLASHu,
    STATE(1658), 1,
      sym_text_interpolation,
    ACTIONS(3437), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61928] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym_BSLASHu,
    STATE(1659), 1,
      sym_text_interpolation,
    ACTIONS(3441), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61948] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(981), 1,
      sym_compound_statement,
    STATE(1660), 1,
      sym_text_interpolation,
    STATE(1837), 1,
      sym_anonymous_function_use_clause,
    STATE(2369), 1,
      sym__return_type,
  [61976] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(1683), 1,
      sym_declaration_list,
    STATE(1865), 1,
      sym_base_clause,
    STATE(2402), 1,
      sym_class_interface_clause,
  [62004] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(920), 1,
      sym_compound_statement,
    STATE(1662), 1,
      sym_text_interpolation,
    STATE(1840), 1,
      sym_anonymous_function_use_clause,
    STATE(2373), 1,
      sym__return_type,
  [62032] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1663), 1,
      sym_text_interpolation,
    STATE(1680), 1,
      sym_declaration_list,
    STATE(1859), 1,
      sym_base_clause,
    STATE(2401), 1,
      sym_class_interface_clause,
  [62060] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(941), 1,
      sym_compound_statement,
    STATE(1664), 1,
      sym_text_interpolation,
    STATE(1842), 1,
      sym_anonymous_function_use_clause,
    STATE(2376), 1,
      sym__return_type,
  [62088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_BSLASHu,
    STATE(1665), 1,
      sym_text_interpolation,
    ACTIONS(2989), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62108] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3535), 1,
      anon_sym_SQUOTE,
    ACTIONS(3537), 1,
      aux_sym_string_token2,
    ACTIONS(3540), 1,
      aux_sym_string_content_token1,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    STATE(1991), 1,
      sym_string_content,
    STATE(1666), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [62134] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3445), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3543), 1,
      anon_sym_RBRACE,
    STATE(1622), 1,
      aux_sym_switch_block_repeat1,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(1808), 2,
      sym_case_statement,
      sym_default_statement,
  [62160] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(982), 1,
      sym_declaration_list,
    STATE(1668), 1,
      sym_text_interpolation,
    STATE(1847), 1,
      sym_base_clause,
    STATE(2383), 1,
      sym_class_interface_clause,
  [62188] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3545), 1,
      anon_sym_BSLASHu,
    STATE(1669), 1,
      sym_text_interpolation,
    ACTIONS(3021), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62208] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3503), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3505), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3547), 1,
      aux_sym_if_statement_token2,
    STATE(1631), 1,
      aux_sym_if_statement_repeat2,
    STATE(1670), 1,
      sym_text_interpolation,
    STATE(2090), 1,
      sym_else_if_clause_2,
    STATE(2568), 1,
      sym_else_clause_2,
  [62236] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1001), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3529), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3531), 1,
      aux_sym_else_clause_token1,
    STATE(1656), 1,
      aux_sym_if_statement_repeat1,
    STATE(1671), 1,
      sym_text_interpolation,
    STATE(1944), 1,
      sym_else_if_clause,
    STATE(1945), 1,
      sym_else_clause,
  [62264] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3445), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3549), 1,
      anon_sym_RBRACE,
    STATE(1555), 1,
      aux_sym_switch_block_repeat1,
    STATE(1672), 1,
      sym_text_interpolation,
    STATE(1808), 2,
      sym_case_statement,
      sym_default_statement,
  [62290] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1072), 1,
      sym_declaration_list,
    STATE(1673), 1,
      sym_text_interpolation,
    STATE(1807), 1,
      sym_base_clause,
    STATE(2249), 1,
      sym_class_interface_clause,
  [62318] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_AMP,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(1701), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3156), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62339] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3555), 1,
      anon_sym_DASH_GT,
    ACTIONS(3557), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3559), 1,
      anon_sym_LBRACK,
    STATE(1675), 1,
      sym_text_interpolation,
  [62364] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3561), 1,
      sym_name,
    STATE(1676), 1,
      sym_text_interpolation,
    STATE(1780), 1,
      sym_namespace_name,
    STATE(2275), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3563), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [62387] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_BSLASH,
    STATE(1677), 1,
      sym_text_interpolation,
    STATE(1681), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3565), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [62408] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_PIPE,
    STATE(1678), 1,
      sym_text_interpolation,
    STATE(1700), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3203), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62429] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      anon_sym_DASH_GT,
    ACTIONS(3575), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3577), 1,
      anon_sym_LBRACK,
    STATE(1679), 1,
      sym_text_interpolation,
  [62454] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1132), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1680), 1,
      sym_text_interpolation,
    ACTIONS(1130), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3579), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62475] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_BSLASH,
    STATE(1681), 1,
      sym_text_interpolation,
    STATE(1688), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3581), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [62496] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3583), 1,
      anon_sym_LBRACE,
    ACTIONS(3585), 1,
      anon_sym_DASH_GT,
    ACTIONS(3587), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3589), 1,
      anon_sym_LBRACK,
    STATE(1682), 1,
      sym_text_interpolation,
  [62521] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1114), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1683), 1,
      sym_text_interpolation,
    ACTIONS(1112), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3591), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62542] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1029), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1031), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3593), 1,
      aux_sym_else_if_clause_token1,
    STATE(1944), 1,
      sym_else_if_clause,
    STATE(1684), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [62565] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(2480), 1,
      anon_sym_COLON,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1685), 1,
      sym_text_interpolation,
    STATE(2063), 1,
      sym_formal_parameters,
    STATE(2291), 1,
      sym_reference_modifier,
  [62590] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1054), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1686), 1,
      sym_text_interpolation,
    ACTIONS(1052), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62609] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3596), 1,
      anon_sym_LBRACE,
    ACTIONS(3598), 1,
      anon_sym_COLON,
    STATE(1687), 1,
      sym_text_interpolation,
    STATE(1948), 1,
      sym_enum_declaration_list,
    STATE(2404), 1,
      sym_class_interface_clause,
  [62634] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3602), 1,
      anon_sym_BSLASH,
    STATE(1688), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3600), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [62653] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1120), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1689), 1,
      sym_text_interpolation,
    ACTIONS(1118), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3605), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62674] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    ACTIONS(3609), 1,
      anon_sym_COLON,
    STATE(528), 1,
      sym_enum_declaration_list,
    STATE(1690), 1,
      sym_text_interpolation,
    STATE(2195), 1,
      sym_class_interface_clause,
  [62699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1038), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1691), 1,
      sym_text_interpolation,
    ACTIONS(1036), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62718] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1096), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1692), 1,
      sym_text_interpolation,
    ACTIONS(1094), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3611), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62739] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3613), 1,
      anon_sym_AMP,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    STATE(1693), 1,
      sym_text_interpolation,
    STATE(2264), 2,
      sym_variable_name,
      sym_variable_reference,
  [62762] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3561), 1,
      sym_name,
    STATE(1694), 1,
      sym_text_interpolation,
    STATE(1780), 1,
      sym_namespace_name,
    STATE(2168), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3563), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [62785] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1066), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1695), 1,
      sym_text_interpolation,
    ACTIONS(1064), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62806] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3619), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1696), 1,
      sym_text_interpolation,
    STATE(2144), 1,
      sym_variable_name,
    STATE(2145), 1,
      sym_reference_modifier,
  [62831] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_PIPE,
    STATE(1697), 1,
      sym_text_interpolation,
    STATE(1699), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3203), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62852] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3623), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1698), 1,
      sym_text_interpolation,
    STATE(2044), 1,
      sym_reference_modifier,
    STATE(2045), 1,
      sym_variable_name,
  [62877] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3625), 1,
      anon_sym_PIPE,
    STATE(1699), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3187), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62896] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_PIPE,
    STATE(1700), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3187), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62915] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3631), 1,
      anon_sym_AMP,
    STATE(1701), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3165), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62934] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3634), 1,
      anon_sym_PIPE,
    STATE(1702), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3191), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62953] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3637), 1,
      anon_sym_PIPE,
    STATE(1703), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3191), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62972] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3463), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [62993] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(3640), 1,
      anon_sym_LBRACE,
    STATE(1705), 1,
      sym_text_interpolation,
    STATE(2125), 1,
      aux_sym_base_clause_repeat1,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
  [63018] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_PIPE,
    STATE(1678), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1706), 1,
      sym_text_interpolation,
    ACTIONS(3221), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63039] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1046), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1707), 1,
      sym_text_interpolation,
    ACTIONS(1044), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [63058] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_COLON,
    STATE(1708), 1,
      sym_text_interpolation,
    STATE(1957), 1,
      sym__return_type,
    ACTIONS(3642), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63079] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1084), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1709), 1,
      sym_text_interpolation,
    ACTIONS(1082), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3646), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63100] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3648), 1,
      anon_sym_LBRACE,
    ACTIONS(3650), 1,
      anon_sym_DASH_GT,
    ACTIONS(3652), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3654), 1,
      anon_sym_LBRACK,
    STATE(1710), 1,
      sym_text_interpolation,
  [63125] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 1,
      aux_sym_text_token2,
    ACTIONS(3656), 1,
      ts_builtin_sym_end,
    ACTIONS(3658), 1,
      sym_php_tag,
    STATE(1711), 1,
      sym_text_interpolation,
    STATE(1754), 1,
      aux_sym_text_repeat1,
  [63150] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3389), 1,
      aux_sym_finally_clause_token1,
    STATE(1547), 1,
      aux_sym_try_statement_repeat1,
    STATE(1712), 1,
      sym_text_interpolation,
    STATE(1726), 2,
      sym_catch_clause,
      sym_finally_clause,
  [63173] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3660), 1,
      sym_name,
    ACTIONS(3662), 1,
      anon_sym_LBRACE,
    STATE(1713), 1,
      sym_text_interpolation,
    STATE(788), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63196] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1058), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1714), 1,
      sym_text_interpolation,
    ACTIONS(1056), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3664), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63217] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1072), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1715), 1,
      sym_text_interpolation,
    ACTIONS(1070), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3666), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63238] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_BSLASH,
    STATE(1716), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3600), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63257] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3596), 1,
      anon_sym_LBRACE,
    ACTIONS(3671), 1,
      anon_sym_COLON,
    STATE(1717), 1,
      sym_text_interpolation,
    STATE(2042), 1,
      sym_enum_declaration_list,
    STATE(2416), 1,
      sym_class_interface_clause,
  [63282] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3673), 1,
      sym_name,
    ACTIONS(3675), 1,
      anon_sym_LBRACE,
    ACTIONS(3677), 1,
      anon_sym_DOLLAR,
    STATE(1718), 1,
      sym_text_interpolation,
    STATE(1564), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63305] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3679), 1,
      anon_sym_LBRACE,
    ACTIONS(3681), 1,
      anon_sym_DASH_GT,
    ACTIONS(3683), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3685), 1,
      anon_sym_LBRACK,
    STATE(1719), 1,
      sym_text_interpolation,
  [63330] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3689), 1,
      anon_sym_BSLASH,
    STATE(1720), 1,
      sym_text_interpolation,
    STATE(2065), 1,
      sym_compound_statement,
    ACTIONS(3687), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63353] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3675), 1,
      anon_sym_LBRACE,
    ACTIONS(3677), 1,
      anon_sym_DOLLAR,
    ACTIONS(3691), 1,
      sym_name,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(1564), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63376] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3679), 1,
      anon_sym_LBRACE,
    ACTIONS(3685), 1,
      anon_sym_LBRACK,
    ACTIONS(3693), 1,
      anon_sym_DASH_GT,
    ACTIONS(3695), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1722), 1,
      sym_text_interpolation,
  [63401] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(2480), 1,
      anon_sym_COLON,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1624), 1,
      sym_formal_parameters,
    STATE(1723), 1,
      sym_text_interpolation,
    STATE(2458), 1,
      sym_reference_modifier,
  [63426] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1724), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63443] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3699), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3702), 1,
      aux_sym_else_clause_token1,
    STATE(2090), 1,
      sym_else_if_clause_2,
    STATE(1725), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [63466] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1050), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1726), 1,
      sym_text_interpolation,
    ACTIONS(1048), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [63485] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    ACTIONS(3706), 1,
      anon_sym_DASH_GT,
    ACTIONS(3708), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    STATE(1727), 1,
      sym_text_interpolation,
  [63510] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3712), 1,
      sym_name,
    ACTIONS(3714), 1,
      anon_sym_LBRACE,
    ACTIONS(3716), 1,
      anon_sym_DOLLAR,
    STATE(1728), 1,
      sym_text_interpolation,
    STATE(1597), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63533] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1108), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1729), 1,
      sym_text_interpolation,
    ACTIONS(1106), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3718), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63554] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3720), 1,
      sym_name,
    ACTIONS(3722), 1,
      anon_sym_LBRACE,
    STATE(1730), 1,
      sym_text_interpolation,
    STATE(582), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63577] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3724), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3726), 1,
      aux_sym_finally_clause_token1,
    STATE(425), 1,
      aux_sym_try_statement_repeat1,
    STATE(1731), 1,
      sym_text_interpolation,
    STATE(435), 2,
      sym_catch_clause,
      sym_finally_clause,
  [63600] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_name,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(3732), 1,
      anon_sym_DOLLAR,
    STATE(1732), 1,
      sym_text_interpolation,
    STATE(1607), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63623] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3734), 1,
      anon_sym_DASH_GT,
    ACTIONS(3736), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1733), 1,
      sym_text_interpolation,
  [63648] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_PIPE,
    STATE(1700), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1734), 1,
      sym_text_interpolation,
    ACTIONS(3304), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63669] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3648), 1,
      anon_sym_LBRACE,
    ACTIONS(3654), 1,
      anon_sym_LBRACK,
    ACTIONS(3738), 1,
      anon_sym_DASH_GT,
    ACTIONS(3740), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1735), 1,
      sym_text_interpolation,
  [63694] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    STATE(1702), 1,
      aux_sym_union_type_repeat1,
    STATE(1736), 1,
      sym_text_interpolation,
    ACTIONS(3298), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1737), 1,
      sym_text_interpolation,
    ACTIONS(3126), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [63732] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_COLON,
    STATE(1738), 1,
      sym_text_interpolation,
    STATE(1978), 1,
      sym__return_type,
    ACTIONS(3744), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63753] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3746), 1,
      anon_sym_DASH_GT,
    ACTIONS(3748), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1739), 1,
      sym_text_interpolation,
  [63778] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3750), 1,
      sym_name,
    ACTIONS(3752), 1,
      anon_sym_LBRACE,
    STATE(1740), 1,
      sym_text_interpolation,
    STATE(722), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63801] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_COLON,
    STATE(491), 1,
      sym_enum_declaration_list,
    STATE(1741), 1,
      sym_text_interpolation,
    STATE(2453), 1,
      sym_class_interface_clause,
  [63826] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3756), 1,
      sym_name,
    ACTIONS(3758), 1,
      anon_sym_BSLASH,
    STATE(1720), 1,
      sym_namespace_name,
    STATE(1742), 1,
      sym_text_interpolation,
    STATE(2177), 1,
      sym_compound_statement,
  [63851] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_EQ,
    STATE(1743), 1,
      sym_text_interpolation,
    STATE(1959), 1,
      sym_property_initializer,
    ACTIONS(3760), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [63872] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3764), 1,
      sym_name,
    STATE(1744), 1,
      sym_text_interpolation,
    STATE(2393), 1,
      sym__reserved_identifier,
    ACTIONS(2438), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [63893] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3766), 1,
      anon_sym_COMMA,
    STATE(1745), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3463), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63912] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3769), 1,
      sym_name,
    ACTIONS(3771), 1,
      anon_sym_LBRACE,
    STATE(1746), 1,
      sym_text_interpolation,
    STATE(883), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63935] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_BSLASH,
    STATE(1716), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1747), 1,
      sym_text_interpolation,
    ACTIONS(3581), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63956] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3679), 1,
      anon_sym_LBRACE,
    ACTIONS(3685), 1,
      anon_sym_LBRACK,
    ACTIONS(3776), 1,
      anon_sym_DASH_GT,
    ACTIONS(3778), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1748), 1,
      sym_text_interpolation,
  [63981] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3613), 1,
      anon_sym_AMP,
    ACTIONS(3780), 1,
      anon_sym_RPAREN,
    STATE(1749), 1,
      sym_text_interpolation,
    STATE(2264), 2,
      sym_variable_name,
      sym_variable_reference,
  [64004] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1126), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1750), 1,
      sym_text_interpolation,
    ACTIONS(1124), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64025] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1528), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3784), 1,
      sym_name,
    ACTIONS(3786), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      sym_text_interpolation,
    STATE(671), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64048] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_PIPE,
    STATE(1703), 1,
      aux_sym_union_type_repeat1,
    STATE(1752), 1,
      sym_text_interpolation,
    ACTIONS(3298), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64069] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_PIPE,
    STATE(1699), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1753), 1,
      sym_text_interpolation,
    ACTIONS(3304), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64090] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3790), 1,
      ts_builtin_sym_end,
    ACTIONS(3792), 1,
      sym_php_tag,
    ACTIONS(3794), 1,
      aux_sym_text_token1,
    ACTIONS(3797), 1,
      aux_sym_text_token2,
    STATE(1754), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [64113] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1102), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1755), 1,
      sym_text_interpolation,
    ACTIONS(1100), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3800), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64134] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_PIPE,
    STATE(1697), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1756), 1,
      sym_text_interpolation,
    ACTIONS(3221), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64155] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_BSLASH,
    STATE(1747), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1757), 1,
      sym_text_interpolation,
    ACTIONS(3565), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64176] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    ACTIONS(3732), 1,
      anon_sym_DOLLAR,
    ACTIONS(3805), 1,
      sym_name,
    STATE(1758), 1,
      sym_text_interpolation,
    STATE(1607), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64199] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1759), 1,
      sym_text_interpolation,
    ACTIONS(3114), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64216] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1760), 1,
      sym_text_interpolation,
    ACTIONS(3038), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64233] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1761), 1,
      sym_text_interpolation,
    ACTIONS(3130), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64250] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3807), 1,
      sym_name,
    STATE(1762), 1,
      sym_text_interpolation,
    STATE(2154), 1,
      sym_visibility_modifier,
    ACTIONS(3809), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [64271] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3756), 1,
      sym_name,
    ACTIONS(3758), 1,
      anon_sym_BSLASH,
    STATE(531), 1,
      sym_compound_statement,
    STATE(1763), 1,
      sym_text_interpolation,
    STATE(1766), 1,
      sym_namespace_name,
  [64296] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3790), 1,
      sym__eof,
    ACTIONS(3792), 1,
      sym_php_tag,
    ACTIONS(3811), 1,
      aux_sym_text_token1,
    ACTIONS(3814), 1,
      aux_sym_text_token2,
    STATE(1764), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [64319] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1090), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1765), 1,
      sym_text_interpolation,
    ACTIONS(1088), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3817), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64340] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3689), 1,
      anon_sym_BSLASH,
    STATE(512), 1,
      sym_compound_statement,
    STATE(1766), 1,
      sym_text_interpolation,
    ACTIONS(3819), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64363] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3821), 1,
      sym_name,
    ACTIONS(3823), 1,
      anon_sym_LBRACE,
    STATE(1767), 1,
      sym_text_interpolation,
    STATE(624), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64386] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1768), 1,
      sym_text_interpolation,
    STATE(1951), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3421), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [64407] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3467), 1,
      aux_sym_text_token1,
    ACTIONS(3469), 1,
      aux_sym_text_token2,
    ACTIONS(3656), 1,
      sym__eof,
    ACTIONS(3658), 1,
      sym_php_tag,
    STATE(1764), 1,
      aux_sym_text_repeat1,
    STATE(1769), 1,
      sym_text_interpolation,
  [64432] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_LBRACE,
    ACTIONS(3716), 1,
      anon_sym_DOLLAR,
    ACTIONS(3825), 1,
      sym_name,
    STATE(1770), 1,
      sym_text_interpolation,
    STATE(1597), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64455] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1714), 1,
      sym_declaration_list,
    STATE(1771), 1,
      sym_text_interpolation,
    STATE(2331), 1,
      sym_class_interface_clause,
  [64477] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_declaration_list,
    STATE(1772), 1,
      sym_text_interpolation,
    STATE(2420), 1,
      sym_class_interface_clause,
  [64499] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1077), 1,
      sym_compound_statement,
    STATE(1773), 1,
      sym_text_interpolation,
    STATE(2324), 1,
      sym__return_type,
  [64521] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3827), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64541] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(1824), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3831), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64561] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_declaration_list,
    STATE(1776), 1,
      sym_text_interpolation,
    STATE(2406), 1,
      sym_class_interface_clause,
  [64583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1777), 1,
      sym_text_interpolation,
    STATE(2584), 1,
      sym_declare_directive,
    ACTIONS(3833), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [64601] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1131), 1,
      sym_compound_statement,
    STATE(1778), 1,
      sym_text_interpolation,
    STATE(2315), 1,
      sym__return_type,
  [64623] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
    STATE(1779), 1,
      sym_text_interpolation,
    STATE(2346), 1,
      sym_class_interface_clause,
  [64645] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3837), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1780), 1,
      sym_text_interpolation,
    STATE(2411), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3835), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [64665] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1781), 1,
      sym_text_interpolation,
    ACTIONS(3839), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(3841), 2,
      sym__eof,
      aux_sym_text_token2,
  [64683] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1782), 1,
      sym_text_interpolation,
    STATE(1803), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64703] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(2063), 1,
      sym_formal_parameters,
    STATE(2291), 1,
      sym_reference_modifier,
  [64725] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1784), 1,
      sym_text_interpolation,
    ACTIONS(3847), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64741] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1785), 1,
      sym_text_interpolation,
    ACTIONS(3849), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64757] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1786), 1,
      sym_text_interpolation,
    ACTIONS(3173), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1787), 1,
      sym_text_interpolation,
    STATE(2469), 1,
      sym_declare_directive,
    ACTIONS(3833), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [64791] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_text_interpolation,
    STATE(1803), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3851), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64811] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_COMMA,
    STATE(1789), 1,
      sym_text_interpolation,
    STATE(1901), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3853), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64831] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3613), 1,
      anon_sym_AMP,
    STATE(1790), 1,
      sym_text_interpolation,
    STATE(2264), 2,
      sym_variable_name,
      sym_variable_reference,
  [64851] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_EQ,
    STATE(1791), 1,
      sym_text_interpolation,
    ACTIONS(3857), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [64869] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1792), 1,
      sym_text_interpolation,
    ACTIONS(3463), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [64885] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3863), 1,
      sym_nowdoc_string,
    ACTIONS(3861), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1793), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [64903] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1794), 1,
      sym_text_interpolation,
    ACTIONS(3866), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [64919] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_SEMI,
    ACTIONS(3870), 1,
      sym__automatic_semicolon,
    STATE(1385), 1,
      sym_compound_statement,
    STATE(1795), 1,
      sym_text_interpolation,
  [64941] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_COMMA,
    STATE(1796), 1,
      sym_text_interpolation,
    STATE(1905), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3872), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64961] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      sym_text_interpolation,
    STATE(1891), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3876), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64981] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(1798), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3878), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3884), 1,
      anon_sym_PIPE,
    ACTIONS(3882), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
    STATE(1799), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [65019] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_SEMI,
    ACTIONS(3889), 1,
      sym__automatic_semicolon,
    STATE(1399), 1,
      sym_compound_statement,
    STATE(1800), 1,
      sym_text_interpolation,
  [65041] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      sym_text_interpolation,
    STATE(1882), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3891), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [65061] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      sym_text_interpolation,
    STATE(1803), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65081] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3897), 1,
      anon_sym_COMMA,
    ACTIONS(3895), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1803), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
  [65099] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_PIPE,
    STATE(1804), 1,
      sym_text_interpolation,
    STATE(1878), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3900), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [65119] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1805), 1,
      sym_text_interpolation,
    ACTIONS(3904), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65139] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1115), 1,
      sym_declaration_list,
    STATE(1806), 1,
      sym_text_interpolation,
    STATE(2279), 1,
      sym_class_interface_clause,
  [65161] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1083), 1,
      sym_declaration_list,
    STATE(1807), 1,
      sym_text_interpolation,
    STATE(2277), 1,
      sym_class_interface_clause,
  [65183] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1808), 1,
      sym_text_interpolation,
    ACTIONS(3906), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [65199] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1081), 1,
      sym_declaration_list,
    STATE(1809), 1,
      sym_text_interpolation,
    STATE(2188), 1,
      sym_class_interface_clause,
  [65221] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1810), 1,
      sym_text_interpolation,
    STATE(2553), 1,
      sym_declare_directive,
    ACTIONS(3833), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [65239] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1653), 1,
      sym_formal_parameters,
    STATE(1811), 1,
      sym_text_interpolation,
    STATE(2314), 1,
      sym_reference_modifier,
  [65261] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2862), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3908), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1812), 1,
      sym_text_interpolation,
    STATE(2262), 1,
      sym_static_modifier,
  [65283] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1634), 1,
      sym_formal_parameters,
    STATE(1813), 1,
      sym_text_interpolation,
    STATE(2329), 1,
      sym_reference_modifier,
  [65305] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1102), 1,
      sym_compound_statement,
    STATE(1814), 1,
      sym_text_interpolation,
    STATE(2313), 1,
      sym__return_type,
  [65327] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_enum_declaration_list,
    STATE(1815), 1,
      sym_text_interpolation,
    STATE(2235), 1,
      sym_class_interface_clause,
  [65349] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      aux_sym_base_clause_repeat1,
    STATE(1816), 1,
      sym_text_interpolation,
    ACTIONS(3519), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [65369] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1109), 1,
      sym_compound_statement,
    STATE(1817), 1,
      sym_text_interpolation,
    STATE(2307), 1,
      sym__return_type,
  [65391] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      sym_text_interpolation,
    STATE(1918), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3910), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65411] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    STATE(495), 1,
      sym_declaration_list,
    STATE(1819), 1,
      sym_text_interpolation,
    STATE(2450), 1,
      sym_base_clause,
  [65433] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1660), 1,
      sym_formal_parameters,
    STATE(1820), 1,
      sym_text_interpolation,
    STATE(2341), 1,
      sym_reference_modifier,
  [65455] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3914), 1,
      anon_sym_SEMI,
    ACTIONS(3916), 1,
      sym__automatic_semicolon,
    STATE(1393), 1,
      sym_compound_statement,
    STATE(1821), 1,
      sym_text_interpolation,
  [65477] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_enum_declaration_list,
    STATE(1822), 1,
      sym_text_interpolation,
    STATE(2303), 1,
      sym_class_interface_clause,
  [65499] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3918), 1,
      anon_sym_AMP,
    ACTIONS(3165), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1823), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [65517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_COMMA,
    ACTIONS(3921), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1824), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [65535] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1144), 1,
      sym_compound_statement,
    STATE(1825), 1,
      sym_text_interpolation,
    STATE(2247), 1,
      sym__return_type,
  [65557] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(965), 1,
      sym_compound_statement,
    STATE(1826), 1,
      sym_text_interpolation,
    STATE(2326), 1,
      sym__return_type,
  [65579] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1624), 1,
      sym_formal_parameters,
    STATE(1827), 1,
      sym_text_interpolation,
    STATE(2458), 1,
      sym_reference_modifier,
  [65601] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1828), 1,
      sym_text_interpolation,
    ACTIONS(3926), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [65617] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2862), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3928), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1829), 1,
      sym_text_interpolation,
    STATE(2456), 1,
      sym_static_modifier,
  [65639] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3930), 1,
      anon_sym_AMP,
    STATE(1823), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1830), 1,
      sym_text_interpolation,
    ACTIONS(3156), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [65659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1831), 1,
      sym_text_interpolation,
    STATE(2472), 1,
      sym_declare_directive,
    ACTIONS(3833), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [65677] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1832), 1,
      sym_text_interpolation,
    ACTIONS(3933), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65697] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3613), 1,
      anon_sym_AMP,
    STATE(1833), 1,
      sym_text_interpolation,
    STATE(2140), 2,
      sym_variable_name,
      sym_variable_reference,
  [65717] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1154), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym_text_interpolation,
    STATE(2230), 1,
      sym__return_type,
  [65739] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3937), 1,
      sym_nowdoc_string,
    STATE(1793), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(1835), 1,
      sym_text_interpolation,
    ACTIONS(3935), 2,
      sym_heredoc_end,
      sym__new_line,
  [65759] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1836), 1,
      sym_text_interpolation,
    ACTIONS(3939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65779] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_compound_statement,
    STATE(1837), 1,
      sym_text_interpolation,
    STATE(2332), 1,
      sym__return_type,
  [65801] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1838), 1,
      sym_text_interpolation,
    ACTIONS(3941), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65817] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3596), 1,
      anon_sym_LBRACE,
    STATE(1839), 1,
      sym_text_interpolation,
    STATE(2106), 1,
      sym_enum_declaration_list,
    STATE(2337), 1,
      sym_class_interface_clause,
  [65839] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(929), 1,
      sym_compound_statement,
    STATE(1840), 1,
      sym_text_interpolation,
    STATE(2338), 1,
      sym__return_type,
  [65861] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3945), 1,
      anon_sym_COMMA,
    ACTIONS(3943), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1841), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [65879] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(925), 1,
      sym_compound_statement,
    STATE(1842), 1,
      sym_text_interpolation,
    STATE(2339), 1,
      sym__return_type,
  [65901] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1843), 1,
      sym_text_interpolation,
    ACTIONS(3839), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(3841), 2,
      ts_builtin_sym_end,
      aux_sym_text_token2,
  [65919] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1120), 1,
      sym_compound_statement,
    STATE(1844), 1,
      sym_text_interpolation,
    STATE(2290), 1,
      sym__return_type,
  [65941] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1845), 1,
      sym_text_interpolation,
    ACTIONS(3948), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65961] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_COMMA,
    ACTIONS(3950), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1846), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [65979] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(967), 1,
      sym_declaration_list,
    STATE(1847), 1,
      sym_text_interpolation,
    STATE(2345), 1,
      sym_class_interface_clause,
  [66001] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_COMMA,
    STATE(1848), 1,
      sym_text_interpolation,
    STATE(1896), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3955), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66021] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_COMMA,
    STATE(1849), 1,
      sym_text_interpolation,
    STATE(1897), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3957), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66041] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1850), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [66059] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(1851), 1,
      sym_text_interpolation,
    STATE(1900), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3964), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66079] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1775), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1852), 1,
      sym_text_interpolation,
    ACTIONS(3966), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66099] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1853), 1,
      sym_text_interpolation,
    STATE(2180), 1,
      sym_formal_parameters,
    STATE(2191), 1,
      sym_reference_modifier,
  [66121] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1608), 1,
      sym_formal_parameters,
    STATE(1854), 1,
      sym_text_interpolation,
    STATE(2193), 1,
      sym_reference_modifier,
  [66143] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(1909), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3968), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66163] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(437), 1,
      sym_declaration_list,
    STATE(1856), 1,
      sym_text_interpolation,
    STATE(2342), 1,
      sym_class_interface_clause,
  [66185] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(1857), 1,
      sym_text_interpolation,
    STATE(2419), 1,
      sym_arguments,
    ACTIONS(3493), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [66205] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(1858), 1,
      sym_text_interpolation,
    STATE(1955), 1,
      sym_declaration_list,
    STATE(2414), 1,
      sym_base_clause,
  [66227] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1750), 1,
      sym_declaration_list,
    STATE(1859), 1,
      sym_text_interpolation,
    STATE(2362), 1,
      sym_class_interface_clause,
  [66249] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1860), 1,
      sym_text_interpolation,
    ACTIONS(3600), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [66265] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1610), 1,
      sym_formal_parameters,
    STATE(1861), 1,
      sym_text_interpolation,
    STATE(2423), 1,
      sym_reference_modifier,
  [66287] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1862), 1,
      sym_text_interpolation,
    ACTIONS(3970), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66307] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1863), 1,
      sym_text_interpolation,
    ACTIONS(3972), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66327] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1864), 1,
      sym_text_interpolation,
    ACTIONS(3974), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66347] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1765), 1,
      sym_declaration_list,
    STATE(1865), 1,
      sym_text_interpolation,
    STATE(2371), 1,
      sym_class_interface_clause,
  [66369] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(975), 1,
      sym_compound_statement,
    STATE(1866), 1,
      sym_text_interpolation,
    STATE(2372), 1,
      sym__return_type,
  [66391] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_COLON,
    ACTIONS(3758), 1,
      anon_sym_BSLASH,
    ACTIONS(3976), 1,
      sym_name,
    STATE(1867), 1,
      sym_text_interpolation,
    STATE(2461), 1,
      sym_namespace_name,
  [66413] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3837), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(2285), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3978), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [66433] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(944), 1,
      sym_compound_statement,
    STATE(1869), 1,
      sym_text_interpolation,
    STATE(2375), 1,
      sym__return_type,
  [66455] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1870), 1,
      sym_text_interpolation,
    ACTIONS(3600), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [66471] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3980), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3982), 1,
      sym__new_line,
    ACTIONS(3984), 1,
      sym_heredoc_end,
    STATE(1871), 1,
      sym_text_interpolation,
    STATE(2209), 1,
      sym_heredoc_body,
  [66493] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3988), 1,
      aux_sym_string_content_token1,
    ACTIONS(3986), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
    STATE(1872), 2,
      sym_text_interpolation,
      aux_sym_string_content_repeat1,
  [66511] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1873), 1,
      sym_text_interpolation,
    ACTIONS(3941), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [66527] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3461), 1,
      aux_sym_string_content_token1,
    STATE(1872), 1,
      aux_sym_string_content_repeat1,
    STATE(1874), 1,
      sym_text_interpolation,
    ACTIONS(3991), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [66547] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1875), 1,
      sym_text_interpolation,
    ACTIONS(3187), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66563] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3982), 1,
      sym__new_line,
    ACTIONS(3993), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3995), 1,
      sym_heredoc_end,
    STATE(1876), 1,
      sym_text_interpolation,
    STATE(2394), 1,
      sym_heredoc_body,
  [66585] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(982), 1,
      sym_declaration_list,
    STATE(1877), 1,
      sym_text_interpolation,
    STATE(2383), 1,
      sym_class_interface_clause,
  [66607] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_PIPE,
    STATE(1799), 1,
      aux_sym_type_list_repeat1,
    STATE(1878), 1,
      sym_text_interpolation,
    ACTIONS(3997), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [66627] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1657), 1,
      sym_formal_parameters,
    STATE(1879), 1,
      sym_text_interpolation,
    STATE(2398), 1,
      sym_reference_modifier,
  [66649] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(2008), 1,
      sym_formal_parameters,
    STATE(2396), 1,
      sym_reference_modifier,
  [66671] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym_declaration_list,
    STATE(1881), 1,
      sym_text_interpolation,
    STATE(2384), 1,
      sym_class_interface_clause,
  [66693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3999), 1,
      anon_sym_COMMA,
    ACTIONS(3463), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1882), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [66711] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1883), 1,
      sym_text_interpolation,
    ACTIONS(3191), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66727] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1884), 1,
      sym_text_interpolation,
    ACTIONS(4002), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [66743] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_EQ,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      sym_text_interpolation,
    STATE(2127), 1,
      aux_sym__list_destructing_repeat1,
  [66765] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3982), 1,
      sym__new_line,
    ACTIONS(4008), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4010), 1,
      sym_heredoc_end,
    STATE(1886), 1,
      sym_text_interpolation,
    STATE(2448), 1,
      sym_heredoc_body,
  [66787] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1072), 1,
      sym_declaration_list,
    STATE(1887), 1,
      sym_text_interpolation,
    STATE(2249), 1,
      sym_class_interface_clause,
  [66809] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3596), 1,
      anon_sym_LBRACE,
    STATE(1888), 1,
      sym_text_interpolation,
    STATE(1996), 1,
      sym_enum_declaration_list,
    STATE(2392), 1,
      sym_class_interface_clause,
  [66831] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1889), 1,
      sym_text_interpolation,
    ACTIONS(3849), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66847] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1890), 1,
      sym_text_interpolation,
    ACTIONS(4012), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66867] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1803), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1891), 1,
      sym_text_interpolation,
    ACTIONS(4014), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66887] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1782), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1892), 1,
      sym_text_interpolation,
    ACTIONS(4016), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66907] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1893), 1,
      sym_text_interpolation,
    ACTIONS(4018), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66927] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_SEMI,
    ACTIONS(4022), 1,
      sym__automatic_semicolon,
    STATE(1387), 1,
      sym_compound_statement,
    STATE(1894), 1,
      sym_text_interpolation,
  [66949] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1895), 1,
      sym_text_interpolation,
    STATE(2011), 1,
      sym_formal_parameters,
    STATE(2391), 1,
      sym_reference_modifier,
  [66971] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1896), 1,
      sym_text_interpolation,
    ACTIONS(4024), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66991] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1897), 1,
      sym_text_interpolation,
    ACTIONS(4026), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67011] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(1898), 1,
      sym_text_interpolation,
    STATE(1910), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4028), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67031] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1899), 1,
      sym_text_interpolation,
    ACTIONS(3847), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [67047] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1900), 1,
      sym_text_interpolation,
    ACTIONS(4028), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67067] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1901), 1,
      sym_text_interpolation,
    ACTIONS(4030), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67087] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(927), 1,
      sym_compound_statement,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(2395), 1,
      sym__return_type,
  [67109] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1903), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [67125] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1904), 1,
      sym_text_interpolation,
    ACTIONS(3165), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [67141] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1905), 1,
      sym_text_interpolation,
    ACTIONS(4032), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67161] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(940), 1,
      sym_compound_statement,
    STATE(1906), 1,
      sym_text_interpolation,
    STATE(2442), 1,
      sym__return_type,
  [67183] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(1845), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1907), 1,
      sym_text_interpolation,
    ACTIONS(4034), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67203] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1908), 1,
      sym_text_interpolation,
    ACTIONS(4036), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67223] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1909), 1,
      sym_text_interpolation,
    ACTIONS(4038), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67243] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1910), 1,
      sym_text_interpolation,
    ACTIONS(4040), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67263] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1911), 1,
      sym_text_interpolation,
    ACTIONS(4034), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67283] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1912), 1,
      sym_text_interpolation,
    ACTIONS(3178), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [67299] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1862), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1913), 1,
      sym_text_interpolation,
    ACTIONS(4038), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67319] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1695), 1,
      sym_declaration_list,
    STATE(1914), 1,
      sym_text_interpolation,
    STATE(2435), 1,
      sym_class_interface_clause,
  [67341] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1915), 1,
      sym_text_interpolation,
    ACTIONS(3926), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [67357] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1655), 1,
      sym_formal_parameters,
    STATE(1916), 1,
      sym_text_interpolation,
    STATE(2302), 1,
      sym_reference_modifier,
  [67379] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_declaration_list,
    STATE(1917), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      sym_class_interface_clause,
  [67401] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1918), 1,
      sym_text_interpolation,
    ACTIONS(3966), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67421] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3982), 1,
      sym__new_line,
    ACTIONS(4042), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4044), 1,
      sym_heredoc_end,
    STATE(1919), 1,
      sym_text_interpolation,
    STATE(2312), 1,
      sym_heredoc_body,
  [67443] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(1832), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1920), 1,
      sym_text_interpolation,
    ACTIONS(4046), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67463] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(1123), 1,
      sym_compound_statement,
    STATE(1921), 1,
      sym_text_interpolation,
    STATE(2333), 1,
      sym__return_type,
  [67485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1922), 1,
      sym_text_interpolation,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67502] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1923), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67519] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    ACTIONS(3744), 1,
      anon_sym_LBRACE,
    STATE(1924), 1,
      sym_text_interpolation,
    STATE(2532), 1,
      sym__return_type,
  [67538] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1925), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67555] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1926), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67572] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4048), 1,
      anon_sym_COMMA,
    ACTIONS(4050), 1,
      anon_sym_RPAREN,
    STATE(1927), 1,
      sym_text_interpolation,
    STATE(1952), 1,
      aux_sym_formal_parameters_repeat1,
  [67591] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1928), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67608] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_AMP,
    ACTIONS(4052), 1,
      anon_sym_RPAREN,
    STATE(1462), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1929), 1,
      sym_text_interpolation,
  [67627] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(847), 1,
      anon_sym_RBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(1930), 1,
      sym_text_interpolation,
    STATE(2151), 1,
      aux_sym_array_creation_expression_repeat1,
  [67646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_EQ,
    STATE(1931), 1,
      sym_text_interpolation,
    ACTIONS(4056), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67663] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(2112), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [67682] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3982), 1,
      sym__new_line,
    ACTIONS(4062), 1,
      sym_heredoc_end,
    STATE(1933), 1,
      sym_text_interpolation,
    STATE(2415), 1,
      sym_heredoc_body,
  [67701] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1934), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67718] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_EQ,
    STATE(1935), 1,
      sym_text_interpolation,
    ACTIONS(4064), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67735] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1936), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67752] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_COMMA,
    ACTIONS(4070), 1,
      anon_sym_RPAREN,
    STATE(1937), 1,
      sym_text_interpolation,
    STATE(1962), 1,
      aux_sym_array_creation_expression_repeat1,
  [67771] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_COMMA,
    ACTIONS(4074), 1,
      anon_sym_RPAREN,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(1988), 1,
      aux_sym_arguments_repeat1,
  [67790] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1939), 1,
      sym_text_interpolation,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67807] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    ACTIONS(4076), 1,
      anon_sym_EQ_GT,
    STATE(1940), 1,
      sym_text_interpolation,
    STATE(2555), 1,
      sym__return_type,
  [67826] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_EQ,
    STATE(1941), 1,
      sym_text_interpolation,
    ACTIONS(4078), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67843] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4084), 1,
      anon_sym_EQ,
    STATE(1942), 1,
      sym_text_interpolation,
    ACTIONS(4082), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67860] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_COMMA,
    ACTIONS(4088), 1,
      anon_sym_RPAREN,
    STATE(1943), 1,
      sym_text_interpolation,
    STATE(2043), 1,
      aux_sym_formal_parameters_repeat1,
  [67879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1944), 1,
      sym_text_interpolation,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67896] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1945), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1946), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67930] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4090), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1947), 1,
      sym_text_interpolation,
    STATE(2038), 1,
      sym_variable_name,
  [67949] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1948), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67966] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4092), 1,
      sym_name,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    STATE(1949), 1,
      sym_text_interpolation,
    STATE(2370), 1,
      sym_namespace_use_group,
  [67985] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4096), 1,
      anon_sym_COMMA,
    ACTIONS(4098), 1,
      anon_sym_RPAREN,
    STATE(1950), 1,
      sym_text_interpolation,
    STATE(2083), 1,
      aux_sym_array_creation_expression_repeat1,
  [68004] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1951), 1,
      sym_text_interpolation,
    ACTIONS(4100), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68019] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_RPAREN,
    ACTIONS(4102), 1,
      anon_sym_COMMA,
    STATE(1952), 1,
      sym_text_interpolation,
    STATE(2158), 1,
      aux_sym_formal_parameters_repeat1,
  [68038] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1953), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68055] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1954), 1,
      sym_text_interpolation,
    STATE(2023), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68072] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1955), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68089] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(1791), 1,
      sym_variable_name,
    STATE(1956), 1,
      sym_text_interpolation,
    STATE(2020), 1,
      sym_static_variable_declaration,
  [68108] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1957), 1,
      sym_text_interpolation,
    ACTIONS(4104), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68123] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(1743), 1,
      sym_variable_name,
    STATE(1805), 1,
      sym_property_element,
    STATE(1958), 1,
      sym_text_interpolation,
  [68142] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1959), 1,
      sym_text_interpolation,
    ACTIONS(4106), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68157] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_LBRACE,
    ACTIONS(4110), 1,
      anon_sym_COLON,
    STATE(460), 1,
      sym_switch_block,
    STATE(1960), 1,
      sym_text_interpolation,
  [68176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4114), 1,
      anon_sym_EQ,
    STATE(1961), 1,
      sym_text_interpolation,
    ACTIONS(4112), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68193] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(835), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COMMA,
    STATE(1962), 1,
      sym_text_interpolation,
    STATE(2148), 1,
      aux_sym_array_creation_expression_repeat1,
  [68212] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1963), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68229] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1964), 1,
      sym_text_interpolation,
    ACTIONS(4118), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [68244] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4120), 1,
      anon_sym_COMMA,
    ACTIONS(4122), 1,
      anon_sym_RBRACE,
    STATE(1965), 1,
      sym_text_interpolation,
    STATE(2077), 1,
      aux_sym_namespace_use_group_repeat1,
  [68263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1966), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68280] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_RPAREN,
    STATE(1967), 1,
      sym_text_interpolation,
    STATE(2124), 1,
      aux_sym__list_destructing_repeat1,
  [68299] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_RPAREN,
    STATE(1968), 1,
      sym_text_interpolation,
    STATE(2139), 1,
      aux_sym__list_destructing_repeat1,
  [68318] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1969), 1,
      sym_text_interpolation,
    ACTIONS(4124), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68333] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_COMMA,
    ACTIONS(4128), 1,
      anon_sym_RBRACK,
    STATE(1970), 1,
      sym_text_interpolation,
    STATE(1974), 1,
      aux_sym__array_destructing_repeat1,
  [68352] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4130), 1,
      anon_sym_COMMA,
    ACTIONS(4132), 1,
      anon_sym_RBRACE,
    STATE(1971), 1,
      sym_text_interpolation,
    STATE(2018), 1,
      aux_sym_match_block_repeat1,
  [68371] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1972), 1,
      sym_text_interpolation,
    ACTIONS(3463), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [68386] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(837), 1,
      anon_sym_RBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_COMMA,
    STATE(1973), 1,
      sym_text_interpolation,
    STATE(2151), 1,
      aux_sym_array_creation_expression_repeat1,
  [68405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4136), 1,
      anon_sym_COMMA,
    ACTIONS(4139), 1,
      anon_sym_RBRACK,
    STATE(1974), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [68422] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3104), 1,
      anon_sym_RBRACK,
    ACTIONS(4141), 1,
      anon_sym_COMMA,
    STATE(1975), 1,
      sym_text_interpolation,
    STATE(2153), 1,
      aux_sym_attribute_group_repeat1,
  [68441] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COMMA,
    ACTIONS(4145), 1,
      anon_sym_RBRACK,
    STATE(1930), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1976), 1,
      sym_text_interpolation,
  [68460] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_EQ,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(4147), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68477] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(4151), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68492] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1979), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1980), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68526] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1981), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68543] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4153), 1,
      anon_sym_LBRACE,
    ACTIONS(4155), 1,
      anon_sym_COLON,
    STATE(1982), 1,
      sym_text_interpolation,
    STATE(2012), 1,
      sym_switch_block,
  [68562] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3982), 1,
      sym__new_line,
    ACTIONS(4157), 1,
      sym_heredoc_end,
    STATE(1983), 1,
      sym_text_interpolation,
    STATE(2213), 1,
      sym_heredoc_body,
  [68581] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3982), 1,
      sym__new_line,
    ACTIONS(4159), 1,
      sym_heredoc_end,
    STATE(1984), 1,
      sym_text_interpolation,
    STATE(2381), 1,
      sym_heredoc_body,
  [68600] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4163), 1,
      aux_sym_else_clause_token1,
    STATE(1985), 1,
      sym_text_interpolation,
    ACTIONS(4161), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [68617] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4165), 1,
      sym__new_line,
    ACTIONS(4167), 1,
      sym_heredoc_end,
    STATE(1986), 1,
      sym_text_interpolation,
    STATE(2377), 1,
      sym_nowdoc_body,
  [68636] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1987), 1,
      sym_text_interpolation,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68653] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(809), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_COMMA,
    STATE(1988), 1,
      sym_text_interpolation,
    STATE(2080), 1,
      aux_sym_arguments_repeat1,
  [68672] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1989), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68689] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4173), 1,
      aux_sym_string_content_token1,
    STATE(1990), 1,
      sym_text_interpolation,
    ACTIONS(4171), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [68706] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4177), 1,
      aux_sym_string_content_token1,
    STATE(1991), 1,
      sym_text_interpolation,
    ACTIONS(4175), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [68723] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_COMMA,
    ACTIONS(4182), 1,
      anon_sym_RBRACE,
    STATE(1992), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [68740] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1993), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68757] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1994), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68774] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1995), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68791] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1996), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1997), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68825] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_COLON,
    ACTIONS(4184), 1,
      anon_sym_LPAREN,
    STATE(1998), 1,
      sym_text_interpolation,
    STATE(2366), 1,
      sym_parenthesized_expression,
  [68844] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1999), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68861] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_COMMA,
    ACTIONS(4188), 1,
      anon_sym_RPAREN,
    STATE(2000), 1,
      sym_text_interpolation,
    STATE(2185), 1,
      aux_sym_arguments_repeat1,
  [68880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2001), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68897] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_EQ_GT,
    ACTIONS(4190), 1,
      anon_sym_COMMA,
    STATE(2002), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [68914] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2003), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2004), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68948] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_COMMA,
    ACTIONS(4195), 1,
      anon_sym_RBRACK,
    STATE(1975), 1,
      aux_sym_attribute_group_repeat1,
    STATE(2005), 1,
      sym_text_interpolation,
  [68967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2006), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2007), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69001] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    ACTIONS(4197), 1,
      anon_sym_EQ_GT,
    STATE(2008), 1,
      sym_text_interpolation,
    STATE(2658), 1,
      sym__return_type,
  [69020] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2009), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69037] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2010), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69054] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    ACTIONS(4199), 1,
      anon_sym_EQ_GT,
    STATE(2011), 1,
      sym_text_interpolation,
    STATE(2662), 1,
      sym__return_type,
  [69073] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2012), 1,
      sym_text_interpolation,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69090] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2013), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69107] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2014), 1,
      sym_text_interpolation,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69124] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2015), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69141] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_COMMA,
    ACTIONS(4201), 1,
      anon_sym_RBRACK,
    STATE(1974), 1,
      aux_sym__array_destructing_repeat1,
    STATE(2016), 1,
      sym_text_interpolation,
  [69160] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    ACTIONS(4203), 1,
      anon_sym_EQ_GT,
    STATE(2017), 1,
      sym_text_interpolation,
    STATE(2562), 1,
      sym__return_type,
  [69179] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(857), 1,
      anon_sym_RBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_match_block_repeat1,
    STATE(2018), 1,
      sym_text_interpolation,
  [69198] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2019), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69215] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2020), 1,
      sym_text_interpolation,
    ACTIONS(3959), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69230] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2021), 1,
      sym_text_interpolation,
    ACTIONS(4207), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2022), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69262] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(3950), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69277] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_COMMA,
    ACTIONS(4211), 1,
      anon_sym_RBRACK,
    STATE(1973), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2024), 1,
      sym_text_interpolation,
  [69296] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_RPAREN,
    STATE(2025), 1,
      sym_text_interpolation,
    STATE(2139), 1,
      aux_sym__list_destructing_repeat1,
  [69315] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4092), 1,
      sym_name,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    STATE(2026), 1,
      sym_text_interpolation,
    STATE(2429), 1,
      sym_namespace_use_group,
  [69334] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2027), 1,
      sym_text_interpolation,
    ACTIONS(4215), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69349] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(4217), 1,
      sym_name,
    STATE(2028), 1,
      sym_text_interpolation,
    STATE(2429), 1,
      sym_namespace_use_group,
  [69368] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2029), 1,
      sym_text_interpolation,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69385] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2030), 1,
      sym_text_interpolation,
    ACTIONS(4219), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69400] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2031), 1,
      sym_text_interpolation,
    ACTIONS(3943), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69415] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_COMMA,
    ACTIONS(4201), 1,
      anon_sym_RBRACK,
    STATE(1970), 1,
      aux_sym__array_destructing_repeat1,
    STATE(2032), 1,
      sym_text_interpolation,
  [69434] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_RPAREN,
    STATE(2033), 1,
      sym_text_interpolation,
    STATE(2139), 1,
      aux_sym__list_destructing_repeat1,
  [69453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2034), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69470] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_EQ,
    STATE(2035), 1,
      sym_text_interpolation,
    ACTIONS(4223), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [69487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2036), 1,
      sym_text_interpolation,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2037), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    STATE(2038), 1,
      sym_text_interpolation,
    ACTIONS(4225), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69538] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2039), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69555] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    ACTIONS(4229), 1,
      anon_sym_EQ_GT,
    STATE(2040), 1,
      sym_text_interpolation,
    STATE(2544), 1,
      sym__return_type,
  [69574] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_EQ,
    STATE(2041), 1,
      sym_text_interpolation,
    ACTIONS(4231), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69591] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2042), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69608] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    ACTIONS(4235), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      sym_text_interpolation,
    STATE(2158), 1,
      aux_sym_formal_parameters_repeat1,
  [69627] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4237), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2044), 1,
      sym_text_interpolation,
    STATE(2155), 1,
      sym_variable_name,
  [69646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4241), 1,
      anon_sym_EQ,
    STATE(2045), 1,
      sym_text_interpolation,
    ACTIONS(4239), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69663] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4243), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2046), 1,
      sym_text_interpolation,
    STATE(2152), 1,
      sym_variable_name,
  [69682] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69716] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4247), 1,
      anon_sym_EQ,
    STATE(2049), 1,
      sym_text_interpolation,
    ACTIONS(4245), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69733] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4249), 1,
      anon_sym_RPAREN,
    STATE(2050), 1,
      sym_text_interpolation,
    STATE(2522), 1,
      sym_variable_name,
  [69752] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    ACTIONS(3642), 1,
      anon_sym_LBRACE,
    STATE(2051), 1,
      sym_text_interpolation,
    STATE(2626), 1,
      sym__return_type,
  [69771] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2052), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69788] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(4217), 1,
      sym_name,
    STATE(2053), 1,
      sym_text_interpolation,
    STATE(2361), 1,
      sym_namespace_use_group,
  [69807] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(2054), 1,
      sym_text_interpolation,
    ACTIONS(4251), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [69822] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1174), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2055), 1,
      sym_text_interpolation,
    ACTIONS(1172), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2056), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69856] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69873] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2058), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69890] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69907] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_RPAREN,
    ACTIONS(4253), 1,
      anon_sym_COMMA,
    STATE(2060), 1,
      sym_text_interpolation,
    STATE(2123), 1,
      aux_sym_unset_statement_repeat1,
  [69926] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2061), 1,
      sym_text_interpolation,
    ACTIONS(3921), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69941] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2062), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69958] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    ACTIONS(4255), 1,
      anon_sym_EQ_GT,
    STATE(2063), 1,
      sym_text_interpolation,
    STATE(2566), 1,
      sym__return_type,
  [69977] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2064), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69994] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70011] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2066), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70028] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_LPAREN,
    STATE(2067), 1,
      sym_text_interpolation,
    ACTIONS(4257), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70045] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2068), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70062] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(4217), 1,
      sym_name,
    STATE(2069), 1,
      sym_text_interpolation,
    STATE(2399), 1,
      sym_namespace_use_group,
  [70081] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4092), 1,
      sym_name,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    STATE(2070), 1,
      sym_text_interpolation,
    STATE(2399), 1,
      sym_namespace_use_group,
  [70100] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2071), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70117] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2072), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70134] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2073), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70151] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70168] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70185] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2076), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70202] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    ACTIONS(4264), 1,
      anon_sym_RBRACE,
    STATE(2077), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_group_repeat1,
  [70219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2078), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70236] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2079), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70253] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4266), 1,
      anon_sym_COMMA,
    ACTIONS(4269), 1,
      anon_sym_RPAREN,
    STATE(2080), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [70270] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(3640), 1,
      anon_sym_LBRACE,
    STATE(2081), 1,
      sym_text_interpolation,
    STATE(2125), 1,
      aux_sym_base_clause_repeat1,
  [70289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2082), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70306] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(853), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      sym_text_interpolation,
    STATE(2148), 1,
      aux_sym_array_creation_expression_repeat1,
  [70325] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4092), 1,
      sym_name,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    STATE(2084), 1,
      sym_text_interpolation,
    STATE(2413), 1,
      sym_namespace_use_group,
  [70344] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RPAREN,
    ACTIONS(4273), 1,
      anon_sym_COMMA,
    STATE(2085), 1,
      sym_text_interpolation,
    STATE(2123), 1,
      aux_sym_unset_statement_repeat1,
  [70363] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_EQ,
    STATE(2086), 1,
      sym_text_interpolation,
    ACTIONS(4275), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2089), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70431] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4281), 1,
      aux_sym_else_clause_token1,
    STATE(2090), 1,
      sym_text_interpolation,
    ACTIONS(4279), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [70448] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2091), 1,
      sym_text_interpolation,
    ACTIONS(4283), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70463] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2092), 1,
      sym_text_interpolation,
    ACTIONS(4285), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70478] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3150), 1,
      anon_sym_RPAREN,
    STATE(2025), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2093), 1,
      sym_text_interpolation,
  [70497] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4287), 1,
      anon_sym_RPAREN,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2094), 1,
      sym_text_interpolation,
  [70516] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2095), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70533] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2096), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70550] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2097), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70567] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_DQUOTE,
    ACTIONS(4291), 1,
      anon_sym_SQUOTE,
    ACTIONS(4293), 1,
      sym_heredoc_start,
    STATE(2098), 1,
      sym_text_interpolation,
  [70586] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4295), 1,
      anon_sym_COMMA,
    ACTIONS(4297), 1,
      anon_sym_RBRACE,
    STATE(2099), 1,
      sym_text_interpolation,
    STATE(2105), 1,
      aux_sym_match_block_repeat1,
  [70605] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2100), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70622] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2101), 1,
      sym_text_interpolation,
    STATE(1849), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [70639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2102), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70656] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2103), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70673] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_EQ_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4299), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_match_condition_list_repeat1,
    STATE(2104), 1,
      sym_text_interpolation,
  [70692] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(875), 1,
      anon_sym_RBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4301), 1,
      anon_sym_COMMA,
    STATE(1992), 1,
      aux_sym_match_block_repeat1,
    STATE(2105), 1,
      sym_text_interpolation,
  [70711] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2106), 1,
      sym_text_interpolation,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70728] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2108), 1,
      sym_text_interpolation,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70762] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2109), 1,
      sym_text_interpolation,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70779] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70796] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70813] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4303), 1,
      anon_sym_COMMA,
    ACTIONS(4306), 1,
      anon_sym_RPAREN,
    STATE(2112), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [70830] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2113), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70847] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2114), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70864] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2115), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70881] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_EQ,
    STATE(2116), 1,
      sym_text_interpolation,
    ACTIONS(4308), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70898] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(803), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_COMMA,
    STATE(2080), 1,
      aux_sym_arguments_repeat1,
    STATE(2117), 1,
      sym_text_interpolation,
  [70917] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4312), 1,
      anon_sym_RPAREN,
    STATE(2118), 1,
      sym_text_interpolation,
    STATE(2517), 1,
      sym_variable_name,
  [70936] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_COMMA,
    ACTIONS(4316), 1,
      anon_sym_RPAREN,
    STATE(2117), 1,
      aux_sym_arguments_repeat1,
    STATE(2119), 1,
      sym_text_interpolation,
  [70955] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_COMMA,
    ACTIONS(4320), 1,
      anon_sym_RPAREN,
    STATE(2120), 1,
      sym_text_interpolation,
    STATE(2128), 1,
      aux_sym_arguments_repeat1,
  [70974] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(1743), 1,
      sym_variable_name,
    STATE(2121), 1,
      sym_text_interpolation,
    STATE(2131), 1,
      sym_property_element,
  [70993] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2122), 1,
      sym_text_interpolation,
    ACTIONS(4322), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71008] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_RPAREN,
    ACTIONS(4324), 1,
      anon_sym_COMMA,
    STATE(2123), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [71025] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4327), 1,
      anon_sym_RPAREN,
    STATE(2124), 1,
      sym_text_interpolation,
    STATE(2139), 1,
      aux_sym__list_destructing_repeat1,
  [71044] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_LBRACE,
    STATE(1882), 1,
      aux_sym_base_clause_repeat1,
    STATE(2125), 1,
      sym_text_interpolation,
  [71063] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2126), 1,
      sym_text_interpolation,
    ACTIONS(4331), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71078] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_RPAREN,
    STATE(2127), 1,
      sym_text_interpolation,
    STATE(2139), 1,
      aux_sym__list_destructing_repeat1,
  [71097] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(785), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_COMMA,
    STATE(2080), 1,
      aux_sym_arguments_repeat1,
    STATE(2128), 1,
      sym_text_interpolation,
  [71116] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2129), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4339), 1,
      anon_sym_EQ,
    STATE(2130), 1,
      sym_text_interpolation,
    ACTIONS(4337), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71150] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2131), 1,
      sym_text_interpolation,
    ACTIONS(3895), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [71165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2132), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71182] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(1743), 1,
      sym_variable_name,
    STATE(1890), 1,
      sym_property_element,
    STATE(2133), 1,
      sym_text_interpolation,
  [71201] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2134), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71218] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2135), 1,
      sym_text_interpolation,
    ACTIONS(3882), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [71233] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_BSLASH,
    ACTIONS(3976), 1,
      sym_name,
    STATE(2136), 1,
      sym_text_interpolation,
    STATE(2461), 1,
      sym_namespace_name,
  [71252] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2137), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71269] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2138), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71286] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1661), 1,
      anon_sym_RPAREN,
    ACTIONS(4341), 1,
      anon_sym_COMMA,
    STATE(2139), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [71303] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4344), 1,
      anon_sym_COMMA,
    ACTIONS(4346), 1,
      anon_sym_RPAREN,
    STATE(1932), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2140), 1,
      sym_text_interpolation,
  [71322] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_EQ,
    STATE(2141), 1,
      sym_text_interpolation,
    ACTIONS(4348), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71339] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2142), 1,
      sym_text_interpolation,
    ACTIONS(4350), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71354] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4352), 1,
      anon_sym_COMMA,
    STATE(2080), 1,
      aux_sym_arguments_repeat1,
    STATE(2143), 1,
      sym_text_interpolation,
  [71373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4356), 1,
      anon_sym_EQ,
    STATE(2144), 1,
      sym_text_interpolation,
    ACTIONS(4354), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71390] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4358), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1931), 1,
      sym_variable_name,
    STATE(2145), 1,
      sym_text_interpolation,
  [71409] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2146), 1,
      sym_text_interpolation,
    ACTIONS(4360), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71424] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2147), 1,
      sym_text_interpolation,
    ACTIONS(4362), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [71439] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_RPAREN,
    ACTIONS(4364), 1,
      anon_sym_COMMA,
    STATE(2148), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [71456] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4369), 1,
      anon_sym_RPAREN,
    STATE(2143), 1,
      aux_sym_arguments_repeat1,
    STATE(2149), 1,
      sym_text_interpolation,
  [71475] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_EQ,
    STATE(2150), 1,
      sym_text_interpolation,
    ACTIONS(4371), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71492] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_RBRACK,
    ACTIONS(4375), 1,
      anon_sym_COMMA,
    STATE(2151), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [71509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4380), 1,
      anon_sym_EQ,
    STATE(2152), 1,
      sym_text_interpolation,
    ACTIONS(4378), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71526] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4382), 1,
      anon_sym_COMMA,
    ACTIONS(4385), 1,
      anon_sym_RBRACK,
    STATE(2153), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [71543] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4387), 1,
      sym_name,
    STATE(2154), 1,
      sym_text_interpolation,
    ACTIONS(4389), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71560] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    STATE(2155), 1,
      sym_text_interpolation,
    ACTIONS(4391), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71577] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2156), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71594] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2157), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71611] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4395), 1,
      anon_sym_COMMA,
    ACTIONS(4398), 1,
      anon_sym_RPAREN,
    STATE(2158), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [71628] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2159), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71645] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_COMMA,
    ACTIONS(4402), 1,
      anon_sym_RPAREN,
    STATE(2160), 1,
      sym_text_interpolation,
    STATE(2166), 1,
      aux_sym_arguments_repeat1,
  [71664] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(783), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    STATE(2080), 1,
      aux_sym_arguments_repeat1,
    STATE(2161), 1,
      sym_text_interpolation,
  [71683] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_DQUOTE,
    ACTIONS(4408), 1,
      anon_sym_SQUOTE,
    ACTIONS(4410), 1,
      sym_heredoc_start,
    STATE(2162), 1,
      sym_text_interpolation,
  [71702] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_EQ,
    STATE(2163), 1,
      sym_text_interpolation,
    ACTIONS(4412), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71719] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_EQ,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(4416), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71736] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3982), 1,
      sym__new_line,
    ACTIONS(4420), 1,
      sym_heredoc_end,
    STATE(2165), 1,
      sym_text_interpolation,
    STATE(2297), 1,
      sym_heredoc_body,
  [71755] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(811), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_COMMA,
    STATE(2080), 1,
      aux_sym_arguments_repeat1,
    STATE(2166), 1,
      sym_text_interpolation,
  [71774] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_COMMA,
    ACTIONS(4426), 1,
      anon_sym_RPAREN,
    STATE(2161), 1,
      aux_sym_arguments_repeat1,
    STATE(2167), 1,
      sym_text_interpolation,
  [71793] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4120), 1,
      anon_sym_COMMA,
    ACTIONS(4428), 1,
      anon_sym_RBRACE,
    STATE(1965), 1,
      aux_sym_namespace_use_group_repeat1,
    STATE(2168), 1,
      sym_text_interpolation,
  [71812] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2169), 1,
      sym_text_interpolation,
    ACTIONS(4430), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71829] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4165), 1,
      sym__new_line,
    ACTIONS(4434), 1,
      sym_heredoc_end,
    STATE(2170), 1,
      sym_text_interpolation,
    STATE(2306), 1,
      sym_nowdoc_body,
  [71848] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2171), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71865] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LBRACE,
    ACTIONS(4217), 1,
      sym_name,
    STATE(2172), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      sym_namespace_use_group,
  [71884] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2173), 1,
      sym_text_interpolation,
    ACTIONS(2792), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [71899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2174), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71916] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2175), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71933] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(795), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_COMMA,
    STATE(2080), 1,
      aux_sym_arguments_repeat1,
    STATE(2176), 1,
      sym_text_interpolation,
  [71952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2177), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71969] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2178), 1,
      sym_text_interpolation,
    ACTIONS(3349), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [71984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2179), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72001] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    ACTIONS(4438), 1,
      anon_sym_EQ_GT,
    STATE(2180), 1,
      sym_text_interpolation,
    STATE(2504), 1,
      sym__return_type,
  [72020] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2181), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72037] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2182), 1,
      sym_text_interpolation,
    STATE(1796), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [72054] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2183), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72071] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2184), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72088] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(805), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4440), 1,
      anon_sym_COMMA,
    STATE(2080), 1,
      aux_sym_arguments_repeat1,
    STATE(2185), 1,
      sym_text_interpolation,
  [72107] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4442), 1,
      anon_sym_COMMA,
    ACTIONS(4444), 1,
      anon_sym_RPAREN,
    STATE(2176), 1,
      aux_sym_arguments_repeat1,
    STATE(2186), 1,
      sym_text_interpolation,
  [72126] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    ACTIONS(4446), 1,
      anon_sym_EQ_GT,
    STATE(2187), 1,
      sym_text_interpolation,
    STATE(2525), 1,
      sym__return_type,
  [72145] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1148), 1,
      sym_declaration_list,
    STATE(2188), 1,
      sym_text_interpolation,
  [72161] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2189), 1,
      sym_text_interpolation,
    ACTIONS(4448), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72175] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_declaration_list,
    STATE(2190), 1,
      sym_text_interpolation,
  [72191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(2017), 1,
      sym_formal_parameters,
    STATE(2191), 1,
      sym_text_interpolation,
  [72207] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    STATE(81), 1,
      sym_parenthesized_expression,
    STATE(2192), 1,
      sym_text_interpolation,
  [72223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1647), 1,
      sym_formal_parameters,
    STATE(2193), 1,
      sym_text_interpolation,
  [72239] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
    STATE(2194), 1,
      sym_text_interpolation,
  [72255] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    STATE(560), 1,
      sym_enum_declaration_list,
    STATE(2195), 1,
      sym_text_interpolation,
  [72271] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2196), 1,
      sym_text_interpolation,
    ACTIONS(4219), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [72285] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(561), 1,
      ts_builtin_sym_end,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4452), 1,
      sym_php_tag,
    STATE(2197), 1,
      sym_text_interpolation,
  [72301] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2198), 1,
      sym_text_interpolation,
    ACTIONS(2492), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [72315] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2199), 1,
      sym_text_interpolation,
    ACTIONS(4454), 2,
      anon_sym_string,
      anon_sym_int,
  [72329] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1078), 1,
      sym_compound_statement,
    STATE(2200), 1,
      sym_text_interpolation,
  [72345] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2201), 1,
      sym_text_interpolation,
    ACTIONS(4456), 2,
      sym__eof,
      sym_php_tag,
  [72359] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(2202), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      aux_sym_namespace_name_repeat1,
  [72375] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1085), 1,
      sym_compound_statement,
    STATE(2203), 1,
      sym_text_interpolation,
  [72391] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2204), 1,
      sym_text_interpolation,
    ACTIONS(2594), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72405] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2205), 1,
      sym_text_interpolation,
    ACTIONS(2606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72419] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2206), 1,
      sym_text_interpolation,
    ACTIONS(3361), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72433] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2207), 1,
      sym_text_interpolation,
    ACTIONS(4458), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72447] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4460), 1,
      sym_name,
    STATE(1868), 1,
      sym_namespace_name,
    STATE(2208), 1,
      sym_text_interpolation,
  [72463] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4462), 1,
      sym__new_line,
    ACTIONS(4464), 1,
      sym_heredoc_end,
    STATE(2209), 1,
      sym_text_interpolation,
  [72479] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2210), 1,
      sym_text_interpolation,
    ACTIONS(4466), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4468), 1,
      sym_name,
    STATE(2211), 1,
      sym_text_interpolation,
    STATE(2461), 1,
      sym_namespace_name,
  [72509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(1961), 1,
      sym_variable_name,
    STATE(2212), 1,
      sym_text_interpolation,
  [72525] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4471), 1,
      sym__new_line,
    ACTIONS(4473), 1,
      sym_heredoc_end,
    STATE(2213), 1,
      sym_text_interpolation,
  [72541] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4468), 1,
      sym_name,
    STATE(2214), 1,
      sym_text_interpolation,
    STATE(2588), 1,
      sym_namespace_name,
  [72557] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2215), 1,
      sym_text_interpolation,
    ACTIONS(4475), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4468), 1,
      sym_name,
    STATE(2216), 1,
      sym_text_interpolation,
    STATE(2580), 1,
      sym_namespace_name,
  [72587] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2217), 1,
      sym_text_interpolation,
    ACTIONS(4398), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72601] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2218), 1,
      sym_text_interpolation,
    ACTIONS(4477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72615] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2219), 1,
      sym_text_interpolation,
    ACTIONS(4479), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72629] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2220), 1,
      sym_text_interpolation,
    ACTIONS(4481), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72643] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2221), 1,
      sym_text_interpolation,
    ACTIONS(4483), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72657] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2222), 1,
      sym_text_interpolation,
    ACTIONS(4385), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2223), 1,
      sym_text_interpolation,
    STATE(2454), 1,
      sym_variable_name,
  [72687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1731), 1,
      sym_compound_statement,
    STATE(2224), 1,
      sym_text_interpolation,
  [72703] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(1941), 1,
      sym_variable_name,
    STATE(2225), 1,
      sym_text_interpolation,
  [72719] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2226), 1,
      sym_text_interpolation,
    STATE(2455), 1,
      sym_variable_name,
  [72735] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
    STATE(2227), 1,
      sym_text_interpolation,
  [72751] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    STATE(28), 1,
      sym_parenthesized_expression,
    STATE(2228), 1,
      sym_text_interpolation,
  [72767] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2229), 1,
      sym_text_interpolation,
    ACTIONS(4485), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72781] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1086), 1,
      sym_compound_statement,
    STATE(2230), 1,
      sym_text_interpolation,
  [72797] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2231), 1,
      sym_text_interpolation,
    STATE(2445), 1,
      sym_variable_name,
  [72813] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_LPAREN,
    STATE(2232), 1,
      sym_text_interpolation,
    STATE(2336), 1,
      sym_parenthesized_expression,
  [72829] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_LPAREN,
    STATE(1960), 1,
      sym_parenthesized_expression,
    STATE(2233), 1,
      sym_text_interpolation,
  [72845] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2234), 1,
      sym_text_interpolation,
    ACTIONS(4488), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72859] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    STATE(552), 1,
      sym_enum_declaration_list,
    STATE(2235), 1,
      sym_text_interpolation,
  [72875] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2236), 1,
      sym_text_interpolation,
    ACTIONS(4389), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72889] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2237), 1,
      sym_text_interpolation,
    ACTIONS(4490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72903] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2238), 1,
      sym_text_interpolation,
    ACTIONS(4492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72917] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2239), 1,
      sym_text_interpolation,
    ACTIONS(507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72931] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2240), 1,
      sym_text_interpolation,
    ACTIONS(1661), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72945] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(548), 1,
      sym_compound_statement,
    STATE(2241), 1,
      sym_text_interpolation,
  [72961] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2242), 1,
      sym_text_interpolation,
    ACTIONS(4004), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [72975] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2243), 1,
      sym_text_interpolation,
    ACTIONS(4494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72989] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1115), 1,
      sym_declaration_list,
    STATE(2244), 1,
      sym_text_interpolation,
  [73005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_RPAREN,
    ACTIONS(4496), 1,
      anon_sym_EQ,
    STATE(2245), 1,
      sym_text_interpolation,
  [73021] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2246), 1,
      sym_text_interpolation,
    ACTIONS(4498), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [73035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1133), 1,
      sym_compound_statement,
    STATE(2247), 1,
      sym_text_interpolation,
  [73051] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_RPAREN,
    ACTIONS(4496), 1,
      anon_sym_EQ,
    STATE(2248), 1,
      sym_text_interpolation,
  [73067] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1083), 1,
      sym_declaration_list,
    STATE(2249), 1,
      sym_text_interpolation,
  [73083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(455), 1,
      anon_sym_COLON,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1985), 1,
      sym_colon_block,
    STATE(2250), 1,
      sym_text_interpolation,
  [73099] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2251), 1,
      sym_text_interpolation,
    ACTIONS(3485), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73113] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_RPAREN,
    ACTIONS(4496), 1,
      anon_sym_EQ,
    STATE(2252), 1,
      sym_text_interpolation,
  [73129] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4500), 1,
      sym_name,
    STATE(2253), 1,
      sym_text_interpolation,
    STATE(2498), 1,
      sym_namespace_name,
  [73145] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2254), 1,
      sym_text_interpolation,
    ACTIONS(4503), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73159] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4505), 1,
      anon_sym_SEMI,
    ACTIONS(4507), 1,
      sym__automatic_semicolon,
    STATE(2255), 1,
      sym_text_interpolation,
  [73175] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2256), 1,
      sym_text_interpolation,
    ACTIONS(477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4509), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_compound_statement,
    STATE(2257), 1,
      sym_text_interpolation,
  [73205] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2258), 1,
      sym_text_interpolation,
    ACTIONS(4511), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [73219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4468), 1,
      sym_name,
    STATE(2259), 1,
      sym_text_interpolation,
    STATE(2493), 1,
      sym_namespace_name,
  [73235] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2260), 1,
      sym_text_interpolation,
    ACTIONS(4513), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73249] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2261), 1,
      sym_text_interpolation,
    ACTIONS(4515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3108), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3110), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2262), 1,
      sym_text_interpolation,
  [73279] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2263), 1,
      sym_text_interpolation,
    ACTIONS(4517), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73293] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2264), 1,
      sym_text_interpolation,
    ACTIONS(4306), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73307] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1924), 1,
      sym_formal_parameters,
    STATE(2265), 1,
      sym_text_interpolation,
  [73323] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2266), 1,
      sym_text_interpolation,
    ACTIONS(4519), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [73337] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2267), 1,
      sym_text_interpolation,
    ACTIONS(4521), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73351] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2268), 1,
      sym_text_interpolation,
    ACTIONS(4523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73365] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1712), 1,
      sym_compound_statement,
    STATE(2269), 1,
      sym_text_interpolation,
  [73381] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3080), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3082), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2270), 1,
      sym_text_interpolation,
  [73397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    STATE(17), 1,
      sym_parenthesized_expression,
    STATE(2271), 1,
      sym_text_interpolation,
  [73413] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_LPAREN,
    STATE(2272), 1,
      sym_text_interpolation,
    STATE(2366), 1,
      sym_parenthesized_expression,
  [73429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_LPAREN,
    STATE(1982), 1,
      sym_parenthesized_expression,
    STATE(2273), 1,
      sym_text_interpolation,
  [73445] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2274), 1,
      sym_text_interpolation,
    STATE(2436), 1,
      sym_variable_name,
  [73461] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2275), 1,
      sym_text_interpolation,
    ACTIONS(4264), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73475] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    STATE(54), 1,
      sym_parenthesized_expression,
    STATE(2276), 1,
      sym_text_interpolation,
  [73491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1080), 1,
      sym_declaration_list,
    STATE(2277), 1,
      sym_text_interpolation,
  [73507] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_parenthesized_expression,
    STATE(2278), 1,
      sym_text_interpolation,
  [73523] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym_declaration_list,
    STATE(2279), 1,
      sym_text_interpolation,
  [73539] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(383), 1,
      anon_sym_COLON,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2280), 1,
      sym_text_interpolation,
    STATE(2595), 1,
      sym_colon_block,
  [73555] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2281), 1,
      sym_text_interpolation,
    ACTIONS(4348), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73569] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_LPAREN,
    STATE(2250), 1,
      sym_parenthesized_expression,
    STATE(2282), 1,
      sym_text_interpolation,
  [73585] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2283), 1,
      sym_text_interpolation,
    ACTIONS(4525), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73599] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2284), 1,
      sym_text_interpolation,
    ACTIONS(4527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73613] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2285), 1,
      sym_text_interpolation,
    ACTIONS(4529), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73627] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_declaration_list,
    STATE(2286), 1,
      sym_text_interpolation,
  [73643] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2287), 1,
      sym_text_interpolation,
    ACTIONS(4531), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73657] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2288), 1,
      sym_text_interpolation,
    ACTIONS(2486), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [73671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1100), 1,
      sym_compound_statement,
    STATE(2289), 1,
      sym_text_interpolation,
  [73687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1143), 1,
      sym_compound_statement,
    STATE(2290), 1,
      sym_text_interpolation,
  [73703] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1940), 1,
      sym_formal_parameters,
    STATE(2291), 1,
      sym_text_interpolation,
  [73719] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    STATE(65), 1,
      sym_parenthesized_expression,
    STATE(2292), 1,
      sym_text_interpolation,
  [73735] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    STATE(63), 1,
      sym_parenthesized_expression,
    STATE(2293), 1,
      sym_text_interpolation,
  [73751] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2294), 1,
      sym_text_interpolation,
    ACTIONS(4533), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73765] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2295), 1,
      sym_text_interpolation,
    ACTIONS(4535), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73779] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1145), 1,
      sym_compound_statement,
    STATE(2296), 1,
      sym_text_interpolation,
  [73795] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4537), 1,
      sym__new_line,
    ACTIONS(4539), 1,
      sym_heredoc_end,
    STATE(2297), 1,
      sym_text_interpolation,
  [73811] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2298), 1,
      sym_text_interpolation,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4541), 1,
      anon_sym_LPAREN,
    ACTIONS(4543), 1,
      anon_sym_RPAREN,
    STATE(2299), 1,
      sym_text_interpolation,
  [73841] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2300), 1,
      sym_text_interpolation,
    ACTIONS(4545), 2,
      anon_sym_string,
      anon_sym_int,
  [73855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3937), 1,
      sym_nowdoc_string,
    STATE(1835), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2301), 1,
      sym_text_interpolation,
  [73871] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1662), 1,
      sym_formal_parameters,
    STATE(2302), 1,
      sym_text_interpolation,
  [73887] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_enum_declaration_list,
    STATE(2303), 1,
      sym_text_interpolation,
  [73903] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_declaration_list,
    STATE(2304), 1,
      sym_text_interpolation,
  [73919] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3082), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4547), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2305), 1,
      sym_text_interpolation,
  [73935] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4549), 1,
      sym__new_line,
    ACTIONS(4551), 1,
      sym_heredoc_end,
    STATE(2306), 1,
      sym_text_interpolation,
  [73951] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1146), 1,
      sym_compound_statement,
    STATE(2307), 1,
      sym_text_interpolation,
  [73967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4553), 1,
      anon_sym_LPAREN,
    STATE(2308), 1,
      sym_text_interpolation,
    STATE(2428), 1,
      sym_parenthesized_expression,
  [73983] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2309), 1,
      sym_text_interpolation,
    ACTIONS(4269), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73997] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2310), 1,
      sym_text_interpolation,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74011] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2311), 1,
      sym_text_interpolation,
    ACTIONS(4555), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74025] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4557), 1,
      sym__new_line,
    ACTIONS(4559), 1,
      sym_heredoc_end,
    STATE(2312), 1,
      sym_text_interpolation,
  [74041] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1147), 1,
      sym_compound_statement,
    STATE(2313), 1,
      sym_text_interpolation,
  [74057] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1664), 1,
      sym_formal_parameters,
    STATE(2314), 1,
      sym_text_interpolation,
  [74073] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1103), 1,
      sym_compound_statement,
    STATE(2315), 1,
      sym_text_interpolation,
  [74089] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2316), 1,
      sym_text_interpolation,
    ACTIONS(2492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74103] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2317), 1,
      sym_text_interpolation,
    ACTIONS(4561), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74117] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1107), 1,
      sym_compound_statement,
    STATE(2318), 1,
      sym_text_interpolation,
  [74133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2082), 1,
      sym_compound_statement,
    STATE(2319), 1,
      sym_text_interpolation,
  [74149] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2320), 1,
      sym_text_interpolation,
    ACTIONS(4563), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74163] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2321), 1,
      sym_text_interpolation,
    ACTIONS(4565), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74177] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2322), 1,
      sym_text_interpolation,
    ACTIONS(4567), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74191] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2323), 1,
      sym_text_interpolation,
    ACTIONS(4569), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74205] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1110), 1,
      sym_compound_statement,
    STATE(2324), 1,
      sym_text_interpolation,
  [74221] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2325), 1,
      sym_text_interpolation,
    ACTIONS(495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74235] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(949), 1,
      sym_compound_statement,
    STATE(2326), 1,
      sym_text_interpolation,
  [74251] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2327), 1,
      sym_text_interpolation,
    ACTIONS(501), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1686), 1,
      sym_compound_statement,
    STATE(2328), 1,
      sym_text_interpolation,
  [74281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1596), 1,
      sym_formal_parameters,
    STATE(2329), 1,
      sym_text_interpolation,
  [74297] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2330), 1,
      sym_text_interpolation,
    ACTIONS(4571), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74311] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1689), 1,
      sym_declaration_list,
    STATE(2331), 1,
      sym_text_interpolation,
  [74327] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(960), 1,
      sym_compound_statement,
    STATE(2332), 1,
      sym_text_interpolation,
  [74343] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1155), 1,
      sym_compound_statement,
    STATE(2333), 1,
      sym_text_interpolation,
  [74359] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2334), 1,
      sym_text_interpolation,
    ACTIONS(4124), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [74373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(933), 1,
      sym_compound_statement,
    STATE(2335), 1,
      sym_text_interpolation,
  [74389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4573), 1,
      anon_sym_LBRACE,
    STATE(1141), 1,
      sym_match_block,
    STATE(2336), 1,
      sym_text_interpolation,
  [74405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_LBRACE,
    STATE(2037), 1,
      sym_enum_declaration_list,
    STATE(2337), 1,
      sym_text_interpolation,
  [74421] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(983), 1,
      sym_compound_statement,
    STATE(2338), 1,
      sym_text_interpolation,
  [74437] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(966), 1,
      sym_compound_statement,
    STATE(2339), 1,
      sym_text_interpolation,
  [74453] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2340), 1,
      sym_text_interpolation,
    ACTIONS(4575), 2,
      anon_sym_string,
      anon_sym_int,
  [74467] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1649), 1,
      sym_formal_parameters,
    STATE(2341), 1,
      sym_text_interpolation,
  [74483] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_declaration_list,
    STATE(2342), 1,
      sym_text_interpolation,
  [74499] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2343), 1,
      sym_text_interpolation,
    ACTIONS(4577), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74513] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1153), 1,
      sym_compound_statement,
    STATE(2344), 1,
      sym_text_interpolation,
  [74529] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_declaration_list,
    STATE(2345), 1,
      sym_text_interpolation,
  [74545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_declaration_list,
    STATE(2346), 1,
      sym_text_interpolation,
  [74561] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_LPAREN,
    STATE(1738), 1,
      sym_formal_parameters,
    STATE(2347), 1,
      sym_text_interpolation,
  [74577] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2348), 1,
      sym_text_interpolation,
    ACTIONS(3325), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74591] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_SEMI,
    ACTIONS(4584), 1,
      sym__automatic_semicolon,
    STATE(2349), 1,
      sym_text_interpolation,
  [74607] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(2058), 1,
      sym_declaration_list,
    STATE(2350), 1,
      sym_text_interpolation,
  [74623] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2351), 1,
      sym_text_interpolation,
    ACTIONS(4586), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74637] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_RPAREN,
    ACTIONS(4496), 1,
      anon_sym_EQ,
    STATE(2352), 1,
      sym_text_interpolation,
  [74653] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2353), 1,
      sym_text_interpolation,
    ACTIONS(4588), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74667] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1707), 1,
      sym_compound_statement,
    STATE(2354), 1,
      sym_text_interpolation,
  [74683] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2221), 1,
      sym_variable_name,
    STATE(2355), 1,
      sym_text_interpolation,
  [74699] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2356), 1,
      sym_text_interpolation,
    ACTIONS(4590), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74713] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2357), 1,
      sym_text_interpolation,
    ACTIONS(4592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74727] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2358), 1,
      sym_text_interpolation,
    ACTIONS(4594), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74741] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2359), 1,
      sym_text_interpolation,
    ACTIONS(4182), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74755] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2220), 1,
      sym_variable_name,
    STATE(2360), 1,
      sym_text_interpolation,
  [74771] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2361), 1,
      sym_text_interpolation,
    ACTIONS(4596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1709), 1,
      sym_declaration_list,
    STATE(2362), 1,
      sym_text_interpolation,
  [74801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2163), 1,
      sym_variable_name,
    STATE(2363), 1,
      sym_text_interpolation,
  [74817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1714), 1,
      sym_declaration_list,
    STATE(2364), 1,
      sym_text_interpolation,
  [74833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_SEMI,
    ACTIONS(4600), 1,
      sym__automatic_semicolon,
    STATE(2365), 1,
      sym_text_interpolation,
  [74849] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_match_block,
    STATE(2366), 1,
      sym_text_interpolation,
  [74865] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2210), 1,
      sym_variable_name,
    STATE(2367), 1,
      sym_text_interpolation,
  [74881] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2368), 1,
      sym_text_interpolation,
    ACTIONS(4604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74895] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(985), 1,
      sym_compound_statement,
    STATE(2369), 1,
      sym_text_interpolation,
  [74911] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2370), 1,
      sym_text_interpolation,
    ACTIONS(3948), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1715), 1,
      sym_declaration_list,
    STATE(2371), 1,
      sym_text_interpolation,
  [74941] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(977), 1,
      sym_compound_statement,
    STATE(2372), 1,
      sym_text_interpolation,
  [74957] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(945), 1,
      sym_compound_statement,
    STATE(2373), 1,
      sym_text_interpolation,
  [74973] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2374), 1,
      sym_text_interpolation,
    ACTIONS(4606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(969), 1,
      sym_compound_statement,
    STATE(2375), 1,
      sym_text_interpolation,
  [75003] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(936), 1,
      sym_compound_statement,
    STATE(2376), 1,
      sym_text_interpolation,
  [75019] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4608), 1,
      sym__new_line,
    ACTIONS(4610), 1,
      sym_heredoc_end,
    STATE(2377), 1,
      sym_text_interpolation,
  [75035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4509), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_compound_statement,
    STATE(2378), 1,
      sym_text_interpolation,
  [75051] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2379), 1,
      sym_text_interpolation,
    ACTIONS(4612), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75065] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_BSLASH,
    STATE(1688), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2380), 1,
      sym_text_interpolation,
  [75081] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4617), 1,
      sym__new_line,
    ACTIONS(4619), 1,
      sym_heredoc_end,
    STATE(2381), 1,
      sym_text_interpolation,
  [75097] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2382), 1,
      sym_text_interpolation,
    ACTIONS(4621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75111] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(967), 1,
      sym_declaration_list,
    STATE(2383), 1,
      sym_text_interpolation,
  [75127] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(968), 1,
      sym_declaration_list,
    STATE(2384), 1,
      sym_text_interpolation,
  [75143] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2385), 1,
      sym_text_interpolation,
    ACTIONS(4623), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75157] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4625), 1,
      anon_sym_SEMI,
    ACTIONS(4627), 1,
      sym__automatic_semicolon,
    STATE(2386), 1,
      sym_text_interpolation,
  [75173] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2004), 1,
      sym_compound_statement,
    STATE(2387), 1,
      sym_text_interpolation,
  [75189] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2388), 1,
      sym_text_interpolation,
    ACTIONS(4629), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(530), 1,
      sym_compound_statement,
    STATE(2389), 1,
      sym_text_interpolation,
  [75219] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2390), 1,
      sym_text_interpolation,
    ACTIONS(4631), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75233] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(2187), 1,
      sym_formal_parameters,
    STATE(2391), 1,
      sym_text_interpolation,
  [75249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_LBRACE,
    STATE(2138), 1,
      sym_enum_declaration_list,
    STATE(2392), 1,
      sym_text_interpolation,
  [75265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_LPAREN,
    STATE(1708), 1,
      sym_formal_parameters,
    STATE(2393), 1,
      sym_text_interpolation,
  [75281] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4633), 1,
      sym__new_line,
    ACTIONS(4635), 1,
      sym_heredoc_end,
    STATE(2394), 1,
      sym_text_interpolation,
  [75297] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(954), 1,
      sym_compound_statement,
    STATE(2395), 1,
      sym_text_interpolation,
  [75313] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameters,
    STATE(2396), 1,
      sym_text_interpolation,
  [75329] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(437), 1,
      sym_declaration_list,
    STATE(2397), 1,
      sym_text_interpolation,
  [75345] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1598), 1,
      sym_formal_parameters,
    STATE(2398), 1,
      sym_text_interpolation,
  [75361] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2399), 1,
      sym_text_interpolation,
    ACTIONS(4637), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75375] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2400), 1,
      sym_text_interpolation,
    ACTIONS(2542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1750), 1,
      sym_declaration_list,
    STATE(2401), 1,
      sym_text_interpolation,
  [75405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1765), 1,
      sym_declaration_list,
    STATE(2402), 1,
      sym_text_interpolation,
  [75421] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_COLON,
    ACTIONS(4541), 1,
      anon_sym_LPAREN,
    STATE(2403), 1,
      sym_text_interpolation,
  [75437] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_LBRACE,
    STATE(2181), 1,
      sym_enum_declaration_list,
    STATE(2404), 1,
      sym_text_interpolation,
  [75453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(962), 1,
      sym_compound_statement,
    STATE(2405), 1,
      sym_text_interpolation,
  [75469] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_declaration_list,
    STATE(2406), 1,
      sym_text_interpolation,
  [75485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(946), 1,
      sym_compound_statement,
    STATE(2407), 1,
      sym_text_interpolation,
  [75501] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2408), 1,
      sym_text_interpolation,
    ACTIONS(4639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(942), 1,
      sym_compound_statement,
    STATE(2409), 1,
      sym_text_interpolation,
  [75531] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4468), 1,
      sym_name,
    STATE(2410), 1,
      sym_text_interpolation,
    STATE(2516), 1,
      sym_namespace_name,
  [75547] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2411), 1,
      sym_text_interpolation,
    ACTIONS(3978), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [75561] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1118), 1,
      sym_compound_statement,
    STATE(2412), 1,
      sym_text_interpolation,
  [75577] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2413), 1,
      sym_text_interpolation,
    ACTIONS(4040), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75591] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(2055), 1,
      sym_declaration_list,
    STATE(2414), 1,
      sym_text_interpolation,
  [75607] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4641), 1,
      sym__new_line,
    ACTIONS(4643), 1,
      sym_heredoc_end,
    STATE(2415), 1,
      sym_text_interpolation,
  [75623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_LBRACE,
    STATE(1926), 1,
      sym_enum_declaration_list,
    STATE(2416), 1,
      sym_text_interpolation,
  [75639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1695), 1,
      sym_declaration_list,
    STATE(2417), 1,
      sym_text_interpolation,
  [75655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(982), 1,
      sym_declaration_list,
    STATE(2418), 1,
      sym_text_interpolation,
  [75671] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2419), 1,
      sym_text_interpolation,
    ACTIONS(4645), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75685] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym_declaration_list,
    STATE(2420), 1,
      sym_text_interpolation,
  [75701] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2421), 1,
      sym_text_interpolation,
    ACTIONS(4647), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2422), 1,
      sym_text_interpolation,
    ACTIONS(3549), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1646), 1,
      sym_formal_parameters,
    STATE(2423), 1,
      sym_text_interpolation,
  [75745] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2424), 1,
      sym_text_interpolation,
    ACTIONS(1667), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75759] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2425), 1,
      sym_text_interpolation,
    ACTIONS(4139), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75773] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2426), 1,
      sym_text_interpolation,
    ACTIONS(4649), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75787] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    STATE(82), 1,
      sym_parenthesized_expression,
    STATE(2427), 1,
      sym_text_interpolation,
  [75803] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2428), 1,
      sym_text_interpolation,
    ACTIONS(4651), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75817] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2429), 1,
      sym_text_interpolation,
    ACTIONS(4653), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75831] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2430), 1,
      sym_text_interpolation,
    ACTIONS(4655), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1072), 1,
      sym_declaration_list,
    STATE(2431), 1,
      sym_text_interpolation,
  [75861] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2432), 1,
      sym_text_interpolation,
    ACTIONS(4657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75875] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2368), 1,
      sym_variable_name,
    STATE(2433), 1,
      sym_text_interpolation,
  [75891] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2434), 1,
      sym_text_interpolation,
    ACTIONS(4659), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75905] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(1692), 1,
      sym_declaration_list,
    STATE(2435), 1,
      sym_text_interpolation,
  [75921] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2436), 1,
      sym_text_interpolation,
    ACTIONS(4661), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75935] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LPAREN,
    STATE(22), 1,
      sym_parenthesized_expression,
    STATE(2437), 1,
      sym_text_interpolation,
  [75951] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1691), 1,
      sym_compound_statement,
    STATE(2438), 1,
      sym_text_interpolation,
  [75967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_declaration_list,
    STATE(2439), 1,
      sym_text_interpolation,
  [75983] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(2051), 1,
      sym_formal_parameters,
    STATE(2440), 1,
      sym_text_interpolation,
  [75999] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2441), 1,
      sym_text_interpolation,
    ACTIONS(4663), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [76013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(934), 1,
      sym_compound_statement,
    STATE(2442), 1,
      sym_text_interpolation,
  [76029] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LBRACE,
    STATE(1125), 1,
      sym_compound_statement,
    STATE(2443), 1,
      sym_text_interpolation,
  [76045] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4553), 1,
      anon_sym_LPAREN,
    STATE(2287), 1,
      sym_parenthesized_expression,
    STATE(2444), 1,
      sym_text_interpolation,
  [76061] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2445), 1,
      sym_text_interpolation,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4509), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_compound_statement,
    STATE(2446), 1,
      sym_text_interpolation,
  [76091] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(931), 1,
      sym_compound_statement,
    STATE(2447), 1,
      sym_text_interpolation,
  [76107] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4667), 1,
      sym__new_line,
    ACTIONS(4669), 1,
      sym_heredoc_end,
    STATE(2448), 1,
      sym_text_interpolation,
  [76123] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2267), 1,
      sym_variable_name,
    STATE(2449), 1,
      sym_text_interpolation,
  [76139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_declaration_list,
    STATE(2450), 1,
      sym_text_interpolation,
  [76155] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2451), 1,
      sym_text_interpolation,
    ACTIONS(4671), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76169] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2452), 1,
      sym_text_interpolation,
    ACTIONS(4673), 2,
      anon_sym_string,
      anon_sym_int,
  [76183] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    STATE(519), 1,
      sym_enum_declaration_list,
    STATE(2453), 1,
      sym_text_interpolation,
  [76199] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2454), 1,
      sym_text_interpolation,
    ACTIONS(4675), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76213] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2455), 1,
      sym_text_interpolation,
    ACTIONS(4677), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76227] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3110), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4679), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2456), 1,
      sym_text_interpolation,
  [76243] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_declaration_list,
    STATE(2457), 1,
      sym_text_interpolation,
  [76259] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_LPAREN,
    STATE(1639), 1,
      sym_formal_parameters,
    STATE(2458), 1,
      sym_text_interpolation,
  [76275] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_RPAREN,
    ACTIONS(4496), 1,
      anon_sym_EQ,
    STATE(2459), 1,
      sym_text_interpolation,
  [76291] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2086), 1,
      sym_variable_name,
    STATE(2460), 1,
      sym_text_interpolation,
  [76307] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3689), 1,
      anon_sym_BSLASH,
    STATE(2461), 1,
      sym_text_interpolation,
  [76320] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_RPAREN,
    STATE(2462), 1,
      sym_text_interpolation,
  [76333] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_RPAREN,
    STATE(2463), 1,
      sym_text_interpolation,
  [76346] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(891), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2464), 1,
      sym_text_interpolation,
  [76359] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4681), 1,
      anon_sym_EQ_GT,
    STATE(2465), 1,
      sym_text_interpolation,
  [76372] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4683), 1,
      anon_sym_RPAREN,
    STATE(2466), 1,
      sym_text_interpolation,
  [76385] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_RPAREN,
    STATE(2467), 1,
      sym_text_interpolation,
  [76398] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_RPAREN,
    STATE(2468), 1,
      sym_text_interpolation,
  [76411] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4687), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      sym_text_interpolation,
  [76424] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_EQ,
    STATE(2470), 1,
      sym_text_interpolation,
  [76437] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_RPAREN,
    STATE(2471), 1,
      sym_text_interpolation,
  [76450] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_RPAREN,
    STATE(2472), 1,
      sym_text_interpolation,
  [76463] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4693), 1,
      anon_sym_LPAREN,
    STATE(2473), 1,
      sym_text_interpolation,
  [76476] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4695), 1,
      anon_sym_RPAREN,
    STATE(2474), 1,
      sym_text_interpolation,
  [76489] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4697), 1,
      sym_name,
    STATE(2475), 1,
      sym_text_interpolation,
  [76502] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4699), 1,
      sym_name,
    STATE(2476), 1,
      sym_text_interpolation,
  [76515] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4701), 1,
      anon_sym_SEMI,
    STATE(2477), 1,
      sym_text_interpolation,
  [76528] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4703), 1,
      anon_sym_LPAREN,
    STATE(2478), 1,
      sym_text_interpolation,
  [76541] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_RPAREN,
    STATE(2479), 1,
      sym_text_interpolation,
  [76554] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4707), 1,
      anon_sym_COLON_COLON,
    STATE(2480), 1,
      sym_text_interpolation,
  [76567] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4709), 1,
      anon_sym_EQ,
    STATE(2481), 1,
      sym_text_interpolation,
  [76580] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_RBRACK,
    STATE(2482), 1,
      sym_text_interpolation,
  [76593] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4711), 1,
      anon_sym_EQ_GT,
    STATE(2483), 1,
      sym_text_interpolation,
  [76606] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4713), 1,
      anon_sym_RPAREN,
    STATE(2484), 1,
      sym_text_interpolation,
  [76619] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_RPAREN,
    STATE(2485), 1,
      sym_text_interpolation,
  [76632] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4211), 1,
      anon_sym_RBRACK,
    STATE(2486), 1,
      sym_text_interpolation,
  [76645] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_RBRACE,
    STATE(2487), 1,
      sym_text_interpolation,
  [76658] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_RPAREN,
    STATE(2488), 1,
      sym_text_interpolation,
  [76671] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_RBRACK,
    STATE(2489), 1,
      sym_text_interpolation,
  [76684] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4717), 1,
      sym_name,
    STATE(2490), 1,
      sym_text_interpolation,
  [76697] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4719), 1,
      sym_heredoc_end,
    STATE(2491), 1,
      sym_text_interpolation,
  [76710] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4721), 1,
      sym_name,
    STATE(2492), 1,
      sym_text_interpolation,
  [76723] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_BSLASH,
    STATE(2493), 1,
      sym_text_interpolation,
  [76736] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_BSLASH,
    STATE(2494), 1,
      sym_text_interpolation,
  [76749] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4727), 1,
      aux_sym_while_statement_token2,
    STATE(2495), 1,
      sym_text_interpolation,
  [76762] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4729), 1,
      anon_sym_SQUOTE2,
    STATE(2496), 1,
      sym_text_interpolation,
  [76775] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4217), 1,
      sym_name,
    STATE(2497), 1,
      sym_text_interpolation,
  [76788] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4731), 1,
      anon_sym_BSLASH,
    STATE(2498), 1,
      sym_text_interpolation,
  [76801] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4733), 1,
      anon_sym_RPAREN,
    STATE(2499), 1,
      sym_text_interpolation,
  [76814] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_RPAREN,
    STATE(2500), 1,
      sym_text_interpolation,
  [76827] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4735), 1,
      anon_sym_RPAREN,
    STATE(2501), 1,
      sym_text_interpolation,
  [76840] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_EQ,
    STATE(2502), 1,
      sym_text_interpolation,
  [76853] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4737), 1,
      sym_name,
    STATE(2503), 1,
      sym_text_interpolation,
  [76866] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_EQ_GT,
    STATE(2504), 1,
      sym_text_interpolation,
  [76879] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4741), 1,
      sym_name,
    STATE(2505), 1,
      sym_text_interpolation,
  [76892] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4743), 1,
      sym_name,
    STATE(2506), 1,
      sym_text_interpolation,
  [76905] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4745), 1,
      sym_name,
    STATE(2507), 1,
      sym_text_interpolation,
  [76918] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4747), 1,
      sym_name,
    STATE(2508), 1,
      sym_text_interpolation,
  [76931] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4749), 1,
      sym_heredoc_end,
    STATE(2509), 1,
      sym_text_interpolation,
  [76944] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4092), 1,
      sym_name,
    STATE(2510), 1,
      sym_text_interpolation,
  [76957] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4751), 1,
      sym_heredoc_end,
    STATE(2511), 1,
      sym_text_interpolation,
  [76970] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4753), 1,
      sym_name,
    STATE(2512), 1,
      sym_text_interpolation,
  [76983] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4755), 1,
      sym_name,
    STATE(2513), 1,
      sym_text_interpolation,
  [76996] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4757), 1,
      sym_heredoc_start,
    STATE(2514), 1,
      sym_text_interpolation,
  [77009] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4759), 1,
      sym_heredoc_start,
    STATE(2515), 1,
      sym_text_interpolation,
  [77022] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_BSLASH,
    STATE(2516), 1,
      sym_text_interpolation,
  [77035] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4763), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      sym_text_interpolation,
  [77048] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4765), 1,
      aux_sym_foreach_statement_token2,
    STATE(2518), 1,
      sym_text_interpolation,
  [77061] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(923), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2519), 1,
      sym_text_interpolation,
  [77074] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4767), 1,
      anon_sym_RPAREN,
    STATE(2520), 1,
      sym_text_interpolation,
  [77087] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(901), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2521), 1,
      sym_text_interpolation,
  [77100] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4769), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      sym_text_interpolation,
  [77113] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4771), 1,
      aux_sym_if_statement_token2,
    STATE(2523), 1,
      sym_text_interpolation,
  [77126] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4773), 1,
      anon_sym_RPAREN,
    STATE(2524), 1,
      sym_text_interpolation,
  [77139] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4775), 1,
      anon_sym_EQ_GT,
    STATE(2525), 1,
      sym_text_interpolation,
  [77152] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_RPAREN,
    STATE(2526), 1,
      sym_text_interpolation,
  [77165] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4777), 1,
      anon_sym_EQ_GT,
    STATE(2527), 1,
      sym_text_interpolation,
  [77178] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4779), 1,
      anon_sym_EQ,
    STATE(2528), 1,
      sym_text_interpolation,
  [77191] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4781), 1,
      anon_sym_COLON_COLON,
    STATE(2529), 1,
      sym_text_interpolation,
  [77204] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4783), 1,
      anon_sym_RPAREN,
    STATE(2530), 1,
      sym_text_interpolation,
  [77217] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(893), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2531), 1,
      sym_text_interpolation,
  [77230] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4151), 1,
      anon_sym_LBRACE,
    STATE(2532), 1,
      sym_text_interpolation,
  [77243] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4785), 1,
      sym_heredoc_end,
    STATE(2533), 1,
      sym_text_interpolation,
  [77256] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3720), 1,
      sym_name,
    STATE(2534), 1,
      sym_text_interpolation,
  [77269] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4787), 1,
      anon_sym_COLON_COLON,
    STATE(2535), 1,
      sym_text_interpolation,
  [77282] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_EQ,
    STATE(2536), 1,
      sym_text_interpolation,
  [77295] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4789), 1,
      anon_sym_RPAREN,
    STATE(2537), 1,
      sym_text_interpolation,
  [77308] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4791), 1,
      aux_sym_class_declaration_token1,
    STATE(2538), 1,
      sym_text_interpolation,
  [77321] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4793), 1,
      sym_heredoc_end,
    STATE(2539), 1,
      sym_text_interpolation,
  [77334] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4795), 1,
      sym_heredoc_end,
    STATE(2540), 1,
      sym_text_interpolation,
  [77347] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_if_statement_token2,
    STATE(2541), 1,
      sym_text_interpolation,
  [77360] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4799), 1,
      sym_name,
    STATE(2542), 1,
      sym_text_interpolation,
  [77373] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4801), 1,
      aux_sym_while_statement_token1,
    STATE(2543), 1,
      sym_text_interpolation,
  [77386] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4803), 1,
      anon_sym_EQ_GT,
    STATE(2544), 1,
      sym_text_interpolation,
  [77399] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_RPAREN,
    STATE(2545), 1,
      sym_text_interpolation,
  [77412] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4807), 1,
      sym_name,
    STATE(2546), 1,
      sym_text_interpolation,
  [77425] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4809), 1,
      sym_heredoc_end,
    STATE(2547), 1,
      sym_text_interpolation,
  [77438] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4811), 1,
      sym_name,
    STATE(2548), 1,
      sym_text_interpolation,
  [77451] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4813), 1,
      anon_sym_SQUOTE2,
    STATE(2549), 1,
      sym_text_interpolation,
  [77464] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4815), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym_text_interpolation,
  [77477] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4817), 1,
      aux_sym_class_declaration_token1,
    STATE(2551), 1,
      sym_text_interpolation,
  [77490] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_text_interpolation,
  [77503] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4821), 1,
      anon_sym_RPAREN,
    STATE(2553), 1,
      sym_text_interpolation,
  [77516] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_RPAREN,
    STATE(2554), 1,
      sym_text_interpolation,
  [77529] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4823), 1,
      anon_sym_EQ_GT,
    STATE(2555), 1,
      sym_text_interpolation,
  [77542] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4825), 1,
      sym_heredoc_end,
    STATE(2556), 1,
      sym_text_interpolation,
  [77555] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4827), 1,
      sym_name,
    STATE(2557), 1,
      sym_text_interpolation,
  [77568] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4829), 1,
      sym_name,
    STATE(2558), 1,
      sym_text_interpolation,
  [77581] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4831), 1,
      sym_name,
    STATE(2559), 1,
      sym_text_interpolation,
  [77594] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4833), 1,
      sym_heredoc_end,
    STATE(2560), 1,
      sym_text_interpolation,
  [77607] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4835), 1,
      anon_sym_RBRACK,
    STATE(2561), 1,
      sym_text_interpolation,
  [77620] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4837), 1,
      anon_sym_EQ_GT,
    STATE(2562), 1,
      sym_text_interpolation,
  [77633] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4839), 1,
      sym_heredoc_start,
    STATE(2563), 1,
      sym_text_interpolation,
  [77646] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(917), 1,
      anon_sym_SEMI,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2564), 1,
      sym_text_interpolation,
  [77659] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(895), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2565), 1,
      sym_text_interpolation,
  [77672] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4841), 1,
      anon_sym_EQ_GT,
    STATE(2566), 1,
      sym_text_interpolation,
  [77685] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4843), 1,
      aux_sym_while_statement_token2,
    STATE(2567), 1,
      sym_text_interpolation,
  [77698] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4845), 1,
      aux_sym_if_statement_token2,
    STATE(2568), 1,
      sym_text_interpolation,
  [77711] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4847), 1,
      anon_sym_COLON_COLON,
    STATE(2569), 1,
      sym_text_interpolation,
  [77724] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_BSLASH,
    STATE(2570), 1,
      sym_text_interpolation,
  [77737] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4851), 1,
      sym_name,
    STATE(2571), 1,
      sym_text_interpolation,
  [77750] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_RBRACE,
    STATE(2572), 1,
      sym_text_interpolation,
  [77763] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4541), 1,
      anon_sym_LPAREN,
    STATE(2573), 1,
      sym_text_interpolation,
  [77776] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4853), 1,
      anon_sym_EQ_GT,
    STATE(2574), 1,
      sym_text_interpolation,
  [77789] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4855), 1,
      aux_sym_while_statement_token1,
    STATE(2575), 1,
      sym_text_interpolation,
  [77802] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4857), 1,
      sym_name,
    STATE(2576), 1,
      sym_text_interpolation,
  [77815] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4859), 1,
      sym_heredoc_start,
    STATE(2577), 1,
      sym_text_interpolation,
  [77828] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4861), 1,
      anon_sym_BSLASH,
    STATE(2578), 1,
      sym_text_interpolation,
  [77841] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4863), 1,
      anon_sym_BSLASH,
    STATE(2579), 1,
      sym_text_interpolation,
  [77854] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4865), 1,
      anon_sym_BSLASH,
    STATE(2580), 1,
      sym_text_interpolation,
  [77867] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4867), 1,
      sym_name,
    STATE(2581), 1,
      sym_text_interpolation,
  [77880] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4869), 1,
      sym_name,
    STATE(2582), 1,
      sym_text_interpolation,
  [77893] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4871), 1,
      sym_name,
    STATE(2583), 1,
      sym_text_interpolation,
  [77906] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4873), 1,
      anon_sym_RPAREN,
    STATE(2584), 1,
      sym_text_interpolation,
  [77919] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4875), 1,
      anon_sym_EQ_GT,
    STATE(2585), 1,
      sym_text_interpolation,
  [77932] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4877), 1,
      sym_name,
    STATE(2586), 1,
      sym_text_interpolation,
  [77945] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4879), 1,
      anon_sym_COLON_COLON,
    STATE(2587), 1,
      sym_text_interpolation,
  [77958] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4881), 1,
      anon_sym_BSLASH,
    STATE(2588), 1,
      sym_text_interpolation,
  [77971] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_RPAREN,
    STATE(2589), 1,
      sym_text_interpolation,
  [77984] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4885), 1,
      aux_sym_if_statement_token2,
    STATE(2590), 1,
      sym_text_interpolation,
  [77997] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4887), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_text_interpolation,
  [78010] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(905), 1,
      anon_sym_SEMI,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2592), 1,
      sym_text_interpolation,
  [78023] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4889), 1,
      aux_sym_foreach_statement_token2,
    STATE(2593), 1,
      sym_text_interpolation,
  [78036] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON_COLON,
    STATE(2594), 1,
      sym_text_interpolation,
  [78049] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4893), 1,
      aux_sym_if_statement_token2,
    STATE(2595), 1,
      sym_text_interpolation,
  [78062] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_RPAREN,
    STATE(2596), 1,
      sym_text_interpolation,
  [78075] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(915), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2597), 1,
      sym_text_interpolation,
  [78088] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_COLON_COLON,
    STATE(2598), 1,
      sym_text_interpolation,
  [78101] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_SEMI,
    STATE(2599), 1,
      sym_text_interpolation,
  [78114] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_RPAREN,
    STATE(2600), 1,
      sym_text_interpolation,
  [78127] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_RPAREN,
    STATE(2601), 1,
      sym_text_interpolation,
  [78140] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_SEMI,
    STATE(2602), 1,
      sym_text_interpolation,
  [78153] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(911), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2603), 1,
      sym_text_interpolation,
  [78166] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3821), 1,
      sym_name,
    STATE(2604), 1,
      sym_text_interpolation,
  [78179] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4901), 1,
      anon_sym_RPAREN,
    STATE(2605), 1,
      sym_text_interpolation,
  [78192] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4903), 1,
      sym_name,
    STATE(2606), 1,
      sym_text_interpolation,
  [78205] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(881), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2607), 1,
      sym_text_interpolation,
  [78218] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_COLON_COLON,
    STATE(2608), 1,
      sym_text_interpolation,
  [78231] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_COLON_COLON,
    STATE(2609), 1,
      sym_text_interpolation,
  [78244] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4907), 1,
      sym_name,
    STATE(2610), 1,
      sym_text_interpolation,
  [78257] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4909), 1,
      anon_sym_LPAREN,
    STATE(2611), 1,
      sym_text_interpolation,
  [78270] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4911), 1,
      anon_sym_EQ,
    STATE(2612), 1,
      sym_text_interpolation,
  [78283] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4913), 1,
      anon_sym_EQ_GT,
    STATE(2613), 1,
      sym_text_interpolation,
  [78296] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_RPAREN,
    STATE(2614), 1,
      sym_text_interpolation,
  [78309] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4915), 1,
      anon_sym_BSLASH,
    STATE(2615), 1,
      sym_text_interpolation,
  [78322] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4917), 1,
      sym_name,
    STATE(2616), 1,
      sym_text_interpolation,
  [78335] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_RPAREN,
    STATE(2617), 1,
      sym_text_interpolation,
  [78348] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_RPAREN,
    STATE(2618), 1,
      sym_text_interpolation,
  [78361] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_RBRACK,
    STATE(2619), 1,
      sym_text_interpolation,
  [78374] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(897), 1,
      anon_sym_SEMI,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2620), 1,
      sym_text_interpolation,
  [78387] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4923), 1,
      sym_name,
    STATE(2621), 1,
      sym_text_interpolation,
  [78400] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2622), 1,
      sym_text_interpolation,
  [78413] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON_COLON,
    STATE(2623), 1,
      sym_text_interpolation,
  [78426] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4929), 1,
      anon_sym_SEMI,
    STATE(2624), 1,
      sym_text_interpolation,
  [78439] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4931), 1,
      anon_sym_RPAREN,
    STATE(2625), 1,
      sym_text_interpolation,
  [78452] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_LBRACE,
    STATE(2626), 1,
      sym_text_interpolation,
  [78465] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_LPAREN,
    STATE(2627), 1,
      sym_text_interpolation,
  [78478] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_LPAREN,
    STATE(2628), 1,
      sym_text_interpolation,
  [78491] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4937), 1,
      anon_sym_COLON_COLON,
    STATE(2629), 1,
      sym_text_interpolation,
  [78504] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4939), 1,
      sym_name,
    STATE(2630), 1,
      sym_text_interpolation,
  [78517] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_RPAREN,
    STATE(2631), 1,
      sym_text_interpolation,
  [78530] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_LPAREN,
    STATE(2632), 1,
      sym_text_interpolation,
  [78543] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4943), 1,
      anon_sym_LPAREN,
    STATE(2633), 1,
      sym_text_interpolation,
  [78556] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_COLON_COLON,
    STATE(2634), 1,
      sym_text_interpolation,
  [78569] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_LPAREN,
    STATE(2635), 1,
      sym_text_interpolation,
  [78582] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4949), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_text_interpolation,
  [78595] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    STATE(2637), 1,
      sym_text_interpolation,
  [78608] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_RPAREN,
    STATE(2638), 1,
      sym_text_interpolation,
  [78621] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4953), 1,
      anon_sym_RBRACK,
    STATE(2639), 1,
      sym_text_interpolation,
  [78634] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4955), 1,
      sym_integer,
    STATE(2640), 1,
      sym_text_interpolation,
  [78647] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4957), 1,
      sym_name,
    STATE(2641), 1,
      sym_text_interpolation,
  [78660] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_RBRACK,
    STATE(2642), 1,
      sym_text_interpolation,
  [78673] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_RPAREN,
    STATE(2643), 1,
      sym_text_interpolation,
  [78686] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4963), 1,
      anon_sym_LPAREN,
    STATE(2644), 1,
      sym_text_interpolation,
  [78699] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4965), 1,
      sym_name,
    STATE(2645), 1,
      sym_text_interpolation,
  [78712] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4967), 1,
      anon_sym_SEMI,
    STATE(2646), 1,
      sym_text_interpolation,
  [78725] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4969), 1,
      sym_name,
    STATE(2647), 1,
      sym_text_interpolation,
  [78738] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(909), 1,
      anon_sym_SEMI,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2648), 1,
      sym_text_interpolation,
  [78751] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4971), 1,
      sym_name,
    STATE(2649), 1,
      sym_text_interpolation,
  [78764] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4973), 1,
      sym_heredoc_end,
    STATE(2650), 1,
      sym_text_interpolation,
  [78777] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4975), 1,
      anon_sym_SEMI,
    STATE(2651), 1,
      sym_text_interpolation,
  [78790] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    STATE(2652), 1,
      sym_text_interpolation,
  [78803] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_RPAREN,
    STATE(2653), 1,
      sym_text_interpolation,
  [78816] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4979), 1,
      anon_sym_SEMI,
    STATE(2654), 1,
      sym_text_interpolation,
  [78829] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4981), 1,
      anon_sym_COLON_COLON,
    STATE(2655), 1,
      sym_text_interpolation,
  [78842] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4983), 1,
      anon_sym_LPAREN,
    STATE(2656), 1,
      sym_text_interpolation,
  [78855] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4985), 1,
      anon_sym_LPAREN,
    STATE(2657), 1,
      sym_text_interpolation,
  [78868] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_EQ_GT,
    STATE(2658), 1,
      sym_text_interpolation,
  [78881] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4989), 1,
      anon_sym_LPAREN,
    STATE(2659), 1,
      sym_text_interpolation,
  [78894] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4444), 1,
      anon_sym_RPAREN,
    STATE(2660), 1,
      sym_text_interpolation,
  [78907] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_SEMI,
    STATE(2661), 1,
      sym_text_interpolation,
  [78920] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4993), 1,
      anon_sym_EQ_GT,
    STATE(2662), 1,
      sym_text_interpolation,
  [78933] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4995), 1,
      anon_sym_LPAREN,
    STATE(2663), 1,
      sym_text_interpolation,
  [78946] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4997), 1,
      ts_builtin_sym_end,
    STATE(2664), 1,
      sym_text_interpolation,
  [78959] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4999), 1,
      anon_sym_LPAREN,
    STATE(2665), 1,
      sym_text_interpolation,
  [78972] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(5001), 1,
      anon_sym_LPAREN,
    STATE(2666), 1,
      sym_text_interpolation,
  [78985] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_COLON_COLON,
    STATE(2667), 1,
      sym_text_interpolation,
  [78998] = 1,
    ACTIONS(5005), 1,
      ts_builtin_sym_end,
  [79002] = 1,
    ACTIONS(5007), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(572)] = 0,
  [SMALL_STATE(573)] = 79,
  [SMALL_STATE(574)] = 158,
  [SMALL_STATE(575)] = 237,
  [SMALL_STATE(576)] = 324,
  [SMALL_STATE(577)] = 403,
  [SMALL_STATE(578)] = 482,
  [SMALL_STATE(579)] = 556,
  [SMALL_STATE(580)] = 630,
  [SMALL_STATE(581)] = 704,
  [SMALL_STATE(582)] = 778,
  [SMALL_STATE(583)] = 852,
  [SMALL_STATE(584)] = 926,
  [SMALL_STATE(585)] = 1000,
  [SMALL_STATE(586)] = 1074,
  [SMALL_STATE(587)] = 1148,
  [SMALL_STATE(588)] = 1222,
  [SMALL_STATE(589)] = 1296,
  [SMALL_STATE(590)] = 1370,
  [SMALL_STATE(591)] = 1444,
  [SMALL_STATE(592)] = 1529,
  [SMALL_STATE(593)] = 1610,
  [SMALL_STATE(594)] = 1694,
  [SMALL_STATE(595)] = 1769,
  [SMALL_STATE(596)] = 1844,
  [SMALL_STATE(597)] = 1927,
  [SMALL_STATE(598)] = 2002,
  [SMALL_STATE(599)] = 2085,
  [SMALL_STATE(600)] = 2174,
  [SMALL_STATE(601)] = 2249,
  [SMALL_STATE(602)] = 2324,
  [SMALL_STATE(603)] = 2407,
  [SMALL_STATE(604)] = 2486,
  [SMALL_STATE(605)] = 2556,
  [SMALL_STATE(606)] = 2626,
  [SMALL_STATE(607)] = 2696,
  [SMALL_STATE(608)] = 2780,
  [SMALL_STATE(609)] = 2850,
  [SMALL_STATE(610)] = 2920,
  [SMALL_STATE(611)] = 2990,
  [SMALL_STATE(612)] = 3074,
  [SMALL_STATE(613)] = 3144,
  [SMALL_STATE(614)] = 3214,
  [SMALL_STATE(615)] = 3292,
  [SMALL_STATE(616)] = 3362,
  [SMALL_STATE(617)] = 3432,
  [SMALL_STATE(618)] = 3502,
  [SMALL_STATE(619)] = 3572,
  [SMALL_STATE(620)] = 3642,
  [SMALL_STATE(621)] = 3712,
  [SMALL_STATE(622)] = 3782,
  [SMALL_STATE(623)] = 3864,
  [SMALL_STATE(624)] = 3948,
  [SMALL_STATE(625)] = 4018,
  [SMALL_STATE(626)] = 4088,
  [SMALL_STATE(627)] = 4165,
  [SMALL_STATE(628)] = 4242,
  [SMALL_STATE(629)] = 4319,
  [SMALL_STATE(630)] = 4402,
  [SMALL_STATE(631)] = 4485,
  [SMALL_STATE(632)] = 4563,
  [SMALL_STATE(633)] = 4641,
  [SMALL_STATE(634)] = 4719,
  [SMALL_STATE(635)] = 4795,
  [SMALL_STATE(636)] = 4872,
  [SMALL_STATE(637)] = 4936,
  [SMALL_STATE(638)] = 5051,
  [SMALL_STATE(639)] = 5166,
  [SMALL_STATE(640)] = 5235,
  [SMALL_STATE(641)] = 5300,
  [SMALL_STATE(642)] = 5365,
  [SMALL_STATE(643)] = 5436,
  [SMALL_STATE(644)] = 5501,
  [SMALL_STATE(645)] = 5566,
  [SMALL_STATE(646)] = 5637,
  [SMALL_STATE(647)] = 5702,
  [SMALL_STATE(648)] = 5763,
  [SMALL_STATE(649)] = 5830,
  [SMALL_STATE(650)] = 5901,
  [SMALL_STATE(651)] = 5972,
  [SMALL_STATE(652)] = 6036,
  [SMALL_STATE(653)] = 6096,
  [SMALL_STATE(654)] = 6206,
  [SMALL_STATE(655)] = 6316,
  [SMALL_STATE(656)] = 6376,
  [SMALL_STATE(657)] = 6436,
  [SMALL_STATE(658)] = 6496,
  [SMALL_STATE(659)] = 6556,
  [SMALL_STATE(660)] = 6616,
  [SMALL_STATE(661)] = 6676,
  [SMALL_STATE(662)] = 6786,
  [SMALL_STATE(663)] = 6896,
  [SMALL_STATE(664)] = 6960,
  [SMALL_STATE(665)] = 7020,
  [SMALL_STATE(666)] = 7080,
  [SMALL_STATE(667)] = 7140,
  [SMALL_STATE(668)] = 7200,
  [SMALL_STATE(669)] = 7260,
  [SMALL_STATE(670)] = 7320,
  [SMALL_STATE(671)] = 7380,
  [SMALL_STATE(672)] = 7440,
  [SMALL_STATE(673)] = 7500,
  [SMALL_STATE(674)] = 7560,
  [SMALL_STATE(675)] = 7623,
  [SMALL_STATE(676)] = 7684,
  [SMALL_STATE(677)] = 7747,
  [SMALL_STATE(678)] = 7808,
  [SMALL_STATE(679)] = 7873,
  [SMALL_STATE(680)] = 7936,
  [SMALL_STATE(681)] = 7997,
  [SMALL_STATE(682)] = 8104,
  [SMALL_STATE(683)] = 8167,
  [SMALL_STATE(684)] = 8232,
  [SMALL_STATE(685)] = 8297,
  [SMALL_STATE(686)] = 8362,
  [SMALL_STATE(687)] = 8427,
  [SMALL_STATE(688)] = 8492,
  [SMALL_STATE(689)] = 8557,
  [SMALL_STATE(690)] = 8618,
  [SMALL_STATE(691)] = 8683,
  [SMALL_STATE(692)] = 8790,
  [SMALL_STATE(693)] = 8897,
  [SMALL_STATE(694)] = 8962,
  [SMALL_STATE(695)] = 9065,
  [SMALL_STATE(696)] = 9130,
  [SMALL_STATE(697)] = 9195,
  [SMALL_STATE(698)] = 9258,
  [SMALL_STATE(699)] = 9359,
  [SMALL_STATE(700)] = 9422,
  [SMALL_STATE(701)] = 9485,
  [SMALL_STATE(702)] = 9550,
  [SMALL_STATE(703)] = 9611,
  [SMALL_STATE(704)] = 9676,
  [SMALL_STATE(705)] = 9739,
  [SMALL_STATE(706)] = 9804,
  [SMALL_STATE(707)] = 9865,
  [SMALL_STATE(708)] = 9928,
  [SMALL_STATE(709)] = 10031,
  [SMALL_STATE(710)] = 10094,
  [SMALL_STATE(711)] = 10201,
  [SMALL_STATE(712)] = 10264,
  [SMALL_STATE(713)] = 10371,
  [SMALL_STATE(714)] = 10434,
  [SMALL_STATE(715)] = 10497,
  [SMALL_STATE(716)] = 10604,
  [SMALL_STATE(717)] = 10667,
  [SMALL_STATE(718)] = 10725,
  [SMALL_STATE(719)] = 10783,
  [SMALL_STATE(720)] = 10841,
  [SMALL_STATE(721)] = 10899,
  [SMALL_STATE(722)] = 10957,
  [SMALL_STATE(723)] = 11015,
  [SMALL_STATE(724)] = 11073,
  [SMALL_STATE(725)] = 11131,
  [SMALL_STATE(726)] = 11189,
  [SMALL_STATE(727)] = 11247,
  [SMALL_STATE(728)] = 11305,
  [SMALL_STATE(729)] = 11365,
  [SMALL_STATE(730)] = 11423,
  [SMALL_STATE(731)] = 11481,
  [SMALL_STATE(732)] = 11539,
  [SMALL_STATE(733)] = 11597,
  [SMALL_STATE(734)] = 11655,
  [SMALL_STATE(735)] = 11715,
  [SMALL_STATE(736)] = 11819,
  [SMALL_STATE(737)] = 11877,
  [SMALL_STATE(738)] = 11935,
  [SMALL_STATE(739)] = 11993,
  [SMALL_STATE(740)] = 12051,
  [SMALL_STATE(741)] = 12109,
  [SMALL_STATE(742)] = 12167,
  [SMALL_STATE(743)] = 12225,
  [SMALL_STATE(744)] = 12283,
  [SMALL_STATE(745)] = 12341,
  [SMALL_STATE(746)] = 12399,
  [SMALL_STATE(747)] = 12457,
  [SMALL_STATE(748)] = 12515,
  [SMALL_STATE(749)] = 12573,
  [SMALL_STATE(750)] = 12631,
  [SMALL_STATE(751)] = 12689,
  [SMALL_STATE(752)] = 12747,
  [SMALL_STATE(753)] = 12851,
  [SMALL_STATE(754)] = 12909,
  [SMALL_STATE(755)] = 12967,
  [SMALL_STATE(756)] = 13025,
  [SMALL_STATE(757)] = 13083,
  [SMALL_STATE(758)] = 13141,
  [SMALL_STATE(759)] = 13199,
  [SMALL_STATE(760)] = 13257,
  [SMALL_STATE(761)] = 13315,
  [SMALL_STATE(762)] = 13373,
  [SMALL_STATE(763)] = 13431,
  [SMALL_STATE(764)] = 13489,
  [SMALL_STATE(765)] = 13547,
  [SMALL_STATE(766)] = 13605,
  [SMALL_STATE(767)] = 13670,
  [SMALL_STATE(768)] = 13731,
  [SMALL_STATE(769)] = 13788,
  [SMALL_STATE(770)] = 13849,
  [SMALL_STATE(771)] = 13910,
  [SMALL_STATE(772)] = 13971,
  [SMALL_STATE(773)] = 14032,
  [SMALL_STATE(774)] = 14099,
  [SMALL_STATE(775)] = 14158,
  [SMALL_STATE(776)] = 14217,
  [SMALL_STATE(777)] = 14274,
  [SMALL_STATE(778)] = 14333,
  [SMALL_STATE(779)] = 14400,
  [SMALL_STATE(780)] = 14459,
  [SMALL_STATE(781)] = 14520,
  [SMALL_STATE(782)] = 14587,
  [SMALL_STATE(783)] = 14646,
  [SMALL_STATE(784)] = 14703,
  [SMALL_STATE(785)] = 14770,
  [SMALL_STATE(786)] = 14833,
  [SMALL_STATE(787)] = 14889,
  [SMALL_STATE(788)] = 14987,
  [SMALL_STATE(789)] = 15043,
  [SMALL_STATE(790)] = 15099,
  [SMALL_STATE(791)] = 15155,
  [SMALL_STATE(792)] = 15211,
  [SMALL_STATE(793)] = 15267,
  [SMALL_STATE(794)] = 15323,
  [SMALL_STATE(795)] = 15391,
  [SMALL_STATE(796)] = 15447,
  [SMALL_STATE(797)] = 15545,
  [SMALL_STATE(798)] = 15601,
  [SMALL_STATE(799)] = 15657,
  [SMALL_STATE(800)] = 15713,
  [SMALL_STATE(801)] = 15769,
  [SMALL_STATE(802)] = 15867,
  [SMALL_STATE(803)] = 15923,
  [SMALL_STATE(804)] = 15991,
  [SMALL_STATE(805)] = 16059,
  [SMALL_STATE(806)] = 16157,
  [SMALL_STATE(807)] = 16213,
  [SMALL_STATE(808)] = 16269,
  [SMALL_STATE(809)] = 16325,
  [SMALL_STATE(810)] = 16381,
  [SMALL_STATE(811)] = 16437,
  [SMALL_STATE(812)] = 16498,
  [SMALL_STATE(813)] = 16593,
  [SMALL_STATE(814)] = 16688,
  [SMALL_STATE(815)] = 16743,
  [SMALL_STATE(816)] = 16838,
  [SMALL_STATE(817)] = 16933,
  [SMALL_STATE(818)] = 16994,
  [SMALL_STATE(819)] = 17055,
  [SMALL_STATE(820)] = 17150,
  [SMALL_STATE(821)] = 17209,
  [SMALL_STATE(822)] = 17304,
  [SMALL_STATE(823)] = 17399,
  [SMALL_STATE(824)] = 17454,
  [SMALL_STATE(825)] = 17511,
  [SMALL_STATE(826)] = 17570,
  [SMALL_STATE(827)] = 17665,
  [SMALL_STATE(828)] = 17726,
  [SMALL_STATE(829)] = 17821,
  [SMALL_STATE(830)] = 17880,
  [SMALL_STATE(831)] = 17975,
  [SMALL_STATE(832)] = 18032,
  [SMALL_STATE(833)] = 18093,
  [SMALL_STATE(834)] = 18154,
  [SMALL_STATE(835)] = 18215,
  [SMALL_STATE(836)] = 18276,
  [SMALL_STATE(837)] = 18333,
  [SMALL_STATE(838)] = 18390,
  [SMALL_STATE(839)] = 18451,
  [SMALL_STATE(840)] = 18510,
  [SMALL_STATE(841)] = 18565,
  [SMALL_STATE(842)] = 18624,
  [SMALL_STATE(843)] = 18683,
  [SMALL_STATE(844)] = 18742,
  [SMALL_STATE(845)] = 18797,
  [SMALL_STATE(846)] = 18858,
  [SMALL_STATE(847)] = 18919,
  [SMALL_STATE(848)] = 18980,
  [SMALL_STATE(849)] = 19075,
  [SMALL_STATE(850)] = 19170,
  [SMALL_STATE(851)] = 19229,
  [SMALL_STATE(852)] = 19288,
  [SMALL_STATE(853)] = 19349,
  [SMALL_STATE(854)] = 19410,
  [SMALL_STATE(855)] = 19467,
  [SMALL_STATE(856)] = 19524,
  [SMALL_STATE(857)] = 19583,
  [SMALL_STATE(858)] = 19678,
  [SMALL_STATE(859)] = 19773,
  [SMALL_STATE(860)] = 19830,
  [SMALL_STATE(861)] = 19889,
  [SMALL_STATE(862)] = 19948,
  [SMALL_STATE(863)] = 20007,
  [SMALL_STATE(864)] = 20102,
  [SMALL_STATE(865)] = 20161,
  [SMALL_STATE(866)] = 20220,
  [SMALL_STATE(867)] = 20274,
  [SMALL_STATE(868)] = 20328,
  [SMALL_STATE(869)] = 20382,
  [SMALL_STATE(870)] = 20436,
  [SMALL_STATE(871)] = 20490,
  [SMALL_STATE(872)] = 20546,
  [SMALL_STATE(873)] = 20600,
  [SMALL_STATE(874)] = 20654,
  [SMALL_STATE(875)] = 20708,
  [SMALL_STATE(876)] = 20762,
  [SMALL_STATE(877)] = 20816,
  [SMALL_STATE(878)] = 20870,
  [SMALL_STATE(879)] = 20924,
  [SMALL_STATE(880)] = 20980,
  [SMALL_STATE(881)] = 21036,
  [SMALL_STATE(882)] = 21090,
  [SMALL_STATE(883)] = 21144,
  [SMALL_STATE(884)] = 21198,
  [SMALL_STATE(885)] = 21252,
  [SMALL_STATE(886)] = 21306,
  [SMALL_STATE(887)] = 21360,
  [SMALL_STATE(888)] = 21414,
  [SMALL_STATE(889)] = 21468,
  [SMALL_STATE(890)] = 21522,
  [SMALL_STATE(891)] = 21576,
  [SMALL_STATE(892)] = 21630,
  [SMALL_STATE(893)] = 21684,
  [SMALL_STATE(894)] = 21738,
  [SMALL_STATE(895)] = 21792,
  [SMALL_STATE(896)] = 21846,
  [SMALL_STATE(897)] = 21900,
  [SMALL_STATE(898)] = 21954,
  [SMALL_STATE(899)] = 22008,
  [SMALL_STATE(900)] = 22062,
  [SMALL_STATE(901)] = 22116,
  [SMALL_STATE(902)] = 22174,
  [SMALL_STATE(903)] = 22228,
  [SMALL_STATE(904)] = 22282,
  [SMALL_STATE(905)] = 22336,
  [SMALL_STATE(906)] = 22390,
  [SMALL_STATE(907)] = 22444,
  [SMALL_STATE(908)] = 22498,
  [SMALL_STATE(909)] = 22552,
  [SMALL_STATE(910)] = 22606,
  [SMALL_STATE(911)] = 22660,
  [SMALL_STATE(912)] = 22714,
  [SMALL_STATE(913)] = 22768,
  [SMALL_STATE(914)] = 22822,
  [SMALL_STATE(915)] = 22876,
  [SMALL_STATE(916)] = 22931,
  [SMALL_STATE(917)] = 22986,
  [SMALL_STATE(918)] = 23041,
  [SMALL_STATE(919)] = 23096,
  [SMALL_STATE(920)] = 23151,
  [SMALL_STATE(921)] = 23203,
  [SMALL_STATE(922)] = 23255,
  [SMALL_STATE(923)] = 23307,
  [SMALL_STATE(924)] = 23359,
  [SMALL_STATE(925)] = 23411,
  [SMALL_STATE(926)] = 23463,
  [SMALL_STATE(927)] = 23515,
  [SMALL_STATE(928)] = 23567,
  [SMALL_STATE(929)] = 23619,
  [SMALL_STATE(930)] = 23671,
  [SMALL_STATE(931)] = 23723,
  [SMALL_STATE(932)] = 23775,
  [SMALL_STATE(933)] = 23827,
  [SMALL_STATE(934)] = 23879,
  [SMALL_STATE(935)] = 23931,
  [SMALL_STATE(936)] = 23983,
  [SMALL_STATE(937)] = 24035,
  [SMALL_STATE(938)] = 24087,
  [SMALL_STATE(939)] = 24139,
  [SMALL_STATE(940)] = 24191,
  [SMALL_STATE(941)] = 24243,
  [SMALL_STATE(942)] = 24295,
  [SMALL_STATE(943)] = 24347,
  [SMALL_STATE(944)] = 24399,
  [SMALL_STATE(945)] = 24451,
  [SMALL_STATE(946)] = 24503,
  [SMALL_STATE(947)] = 24555,
  [SMALL_STATE(948)] = 24607,
  [SMALL_STATE(949)] = 24659,
  [SMALL_STATE(950)] = 24711,
  [SMALL_STATE(951)] = 24763,
  [SMALL_STATE(952)] = 24815,
  [SMALL_STATE(953)] = 24867,
  [SMALL_STATE(954)] = 24919,
  [SMALL_STATE(955)] = 24971,
  [SMALL_STATE(956)] = 25023,
  [SMALL_STATE(957)] = 25075,
  [SMALL_STATE(958)] = 25129,
  [SMALL_STATE(959)] = 25181,
  [SMALL_STATE(960)] = 25233,
  [SMALL_STATE(961)] = 25285,
  [SMALL_STATE(962)] = 25337,
  [SMALL_STATE(963)] = 25389,
  [SMALL_STATE(964)] = 25441,
  [SMALL_STATE(965)] = 25493,
  [SMALL_STATE(966)] = 25545,
  [SMALL_STATE(967)] = 25597,
  [SMALL_STATE(968)] = 25649,
  [SMALL_STATE(969)] = 25701,
  [SMALL_STATE(970)] = 25753,
  [SMALL_STATE(971)] = 25805,
  [SMALL_STATE(972)] = 25857,
  [SMALL_STATE(973)] = 25909,
  [SMALL_STATE(974)] = 25961,
  [SMALL_STATE(975)] = 26013,
  [SMALL_STATE(976)] = 26065,
  [SMALL_STATE(977)] = 26117,
  [SMALL_STATE(978)] = 26169,
  [SMALL_STATE(979)] = 26221,
  [SMALL_STATE(980)] = 26273,
  [SMALL_STATE(981)] = 26325,
  [SMALL_STATE(982)] = 26377,
  [SMALL_STATE(983)] = 26429,
  [SMALL_STATE(984)] = 26481,
  [SMALL_STATE(985)] = 26533,
  [SMALL_STATE(986)] = 26585,
  [SMALL_STATE(987)] = 26672,
  [SMALL_STATE(988)] = 26723,
  [SMALL_STATE(989)] = 26774,
  [SMALL_STATE(990)] = 26831,
  [SMALL_STATE(991)] = 26886,
  [SMALL_STATE(992)] = 26974,
  [SMALL_STATE(993)] = 27040,
  [SMALL_STATE(994)] = 27098,
  [SMALL_STATE(995)] = 27154,
  [SMALL_STATE(996)] = 27228,
  [SMALL_STATE(997)] = 27294,
  [SMALL_STATE(998)] = 27356,
  [SMALL_STATE(999)] = 27414,
  [SMALL_STATE(1000)] = 27502,
  [SMALL_STATE(1001)] = 27562,
  [SMALL_STATE(1002)] = 27614,
  [SMALL_STATE(1003)] = 27696,
  [SMALL_STATE(1004)] = 27766,
  [SMALL_STATE(1005)] = 27848,
  [SMALL_STATE(1006)] = 27932,
  [SMALL_STATE(1007)] = 28018,
  [SMALL_STATE(1008)] = 28106,
  [SMALL_STATE(1009)] = 28182,
  [SMALL_STATE(1010)] = 28240,
  [SMALL_STATE(1011)] = 28328,
  [SMALL_STATE(1012)] = 28416,
  [SMALL_STATE(1013)] = 28498,
  [SMALL_STATE(1014)] = 28586,
  [SMALL_STATE(1015)] = 28658,
  [SMALL_STATE(1016)] = 28740,
  [SMALL_STATE(1017)] = 28822,
  [SMALL_STATE(1018)] = 28900,
  [SMALL_STATE(1019)] = 28988,
  [SMALL_STATE(1020)] = 29076,
  [SMALL_STATE(1021)] = 29128,
  [SMALL_STATE(1022)] = 29216,
  [SMALL_STATE(1023)] = 29304,
  [SMALL_STATE(1024)] = 29394,
  [SMALL_STATE(1025)] = 29476,
  [SMALL_STATE(1026)] = 29558,
  [SMALL_STATE(1027)] = 29639,
  [SMALL_STATE(1028)] = 29720,
  [SMALL_STATE(1029)] = 29801,
  [SMALL_STATE(1030)] = 29882,
  [SMALL_STATE(1031)] = 29963,
  [SMALL_STATE(1032)] = 30044,
  [SMALL_STATE(1033)] = 30095,
  [SMALL_STATE(1034)] = 30154,
  [SMALL_STATE(1035)] = 30211,
  [SMALL_STATE(1036)] = 30272,
  [SMALL_STATE(1037)] = 30337,
  [SMALL_STATE(1038)] = 30424,
  [SMALL_STATE(1039)] = 30473,
  [SMALL_STATE(1040)] = 30544,
  [SMALL_STATE(1041)] = 30619,
  [SMALL_STATE(1042)] = 30668,
  [SMALL_STATE(1043)] = 30745,
  [SMALL_STATE(1044)] = 30832,
  [SMALL_STATE(1045)] = 30919,
  [SMALL_STATE(1046)] = 31008,
  [SMALL_STATE(1047)] = 31091,
  [SMALL_STATE(1048)] = 31176,
  [SMALL_STATE(1049)] = 31263,
  [SMALL_STATE(1050)] = 31312,
  [SMALL_STATE(1051)] = 31399,
  [SMALL_STATE(1052)] = 31448,
  [SMALL_STATE(1053)] = 31535,
  [SMALL_STATE(1054)] = 31622,
  [SMALL_STATE(1055)] = 31691,
  [SMALL_STATE(1056)] = 31764,
  [SMALL_STATE(1057)] = 31815,
  [SMALL_STATE(1058)] = 31870,
  [SMALL_STATE(1059)] = 31957,
  [SMALL_STATE(1060)] = 32044,
  [SMALL_STATE(1061)] = 32131,
  [SMALL_STATE(1062)] = 32212,
  [SMALL_STATE(1063)] = 32260,
  [SMALL_STATE(1064)] = 32308,
  [SMALL_STATE(1065)] = 32376,
  [SMALL_STATE(1066)] = 32462,
  [SMALL_STATE(1067)] = 32510,
  [SMALL_STATE(1068)] = 32558,
  [SMALL_STATE(1069)] = 32644,
  [SMALL_STATE(1070)] = 32692,
  [SMALL_STATE(1071)] = 32740,
  [SMALL_STATE(1072)] = 32788,
  [SMALL_STATE(1073)] = 32836,
  [SMALL_STATE(1074)] = 32884,
  [SMALL_STATE(1075)] = 32932,
  [SMALL_STATE(1076)] = 32980,
  [SMALL_STATE(1077)] = 33028,
  [SMALL_STATE(1078)] = 33076,
  [SMALL_STATE(1079)] = 33124,
  [SMALL_STATE(1080)] = 33172,
  [SMALL_STATE(1081)] = 33220,
  [SMALL_STATE(1082)] = 33268,
  [SMALL_STATE(1083)] = 33348,
  [SMALL_STATE(1084)] = 33396,
  [SMALL_STATE(1085)] = 33446,
  [SMALL_STATE(1086)] = 33494,
  [SMALL_STATE(1087)] = 33542,
  [SMALL_STATE(1088)] = 33590,
  [SMALL_STATE(1089)] = 33644,
  [SMALL_STATE(1090)] = 33724,
  [SMALL_STATE(1091)] = 33772,
  [SMALL_STATE(1092)] = 33820,
  [SMALL_STATE(1093)] = 33906,
  [SMALL_STATE(1094)] = 33954,
  [SMALL_STATE(1095)] = 34004,
  [SMALL_STATE(1096)] = 34054,
  [SMALL_STATE(1097)] = 34102,
  [SMALL_STATE(1098)] = 34182,
  [SMALL_STATE(1099)] = 34266,
  [SMALL_STATE(1100)] = 34348,
  [SMALL_STATE(1101)] = 34396,
  [SMALL_STATE(1102)] = 34472,
  [SMALL_STATE(1103)] = 34520,
  [SMALL_STATE(1104)] = 34568,
  [SMALL_STATE(1105)] = 34642,
  [SMALL_STATE(1106)] = 34690,
  [SMALL_STATE(1107)] = 34760,
  [SMALL_STATE(1108)] = 34808,
  [SMALL_STATE(1109)] = 34856,
  [SMALL_STATE(1110)] = 34904,
  [SMALL_STATE(1111)] = 34952,
  [SMALL_STATE(1112)] = 35024,
  [SMALL_STATE(1113)] = 35088,
  [SMALL_STATE(1114)] = 35136,
  [SMALL_STATE(1115)] = 35184,
  [SMALL_STATE(1116)] = 35232,
  [SMALL_STATE(1117)] = 35280,
  [SMALL_STATE(1118)] = 35340,
  [SMALL_STATE(1119)] = 35388,
  [SMALL_STATE(1120)] = 35436,
  [SMALL_STATE(1121)] = 35484,
  [SMALL_STATE(1122)] = 35570,
  [SMALL_STATE(1123)] = 35626,
  [SMALL_STATE(1124)] = 35674,
  [SMALL_STATE(1125)] = 35722,
  [SMALL_STATE(1126)] = 35770,
  [SMALL_STATE(1127)] = 35856,
  [SMALL_STATE(1128)] = 35904,
  [SMALL_STATE(1129)] = 35952,
  [SMALL_STATE(1130)] = 36000,
  [SMALL_STATE(1131)] = 36086,
  [SMALL_STATE(1132)] = 36134,
  [SMALL_STATE(1133)] = 36182,
  [SMALL_STATE(1134)] = 36230,
  [SMALL_STATE(1135)] = 36278,
  [SMALL_STATE(1136)] = 36326,
  [SMALL_STATE(1137)] = 36406,
  [SMALL_STATE(1138)] = 36486,
  [SMALL_STATE(1139)] = 36566,
  [SMALL_STATE(1140)] = 36646,
  [SMALL_STATE(1141)] = 36694,
  [SMALL_STATE(1142)] = 36742,
  [SMALL_STATE(1143)] = 36790,
  [SMALL_STATE(1144)] = 36838,
  [SMALL_STATE(1145)] = 36886,
  [SMALL_STATE(1146)] = 36934,
  [SMALL_STATE(1147)] = 36982,
  [SMALL_STATE(1148)] = 37030,
  [SMALL_STATE(1149)] = 37078,
  [SMALL_STATE(1150)] = 37126,
  [SMALL_STATE(1151)] = 37184,
  [SMALL_STATE(1152)] = 37270,
  [SMALL_STATE(1153)] = 37318,
  [SMALL_STATE(1154)] = 37366,
  [SMALL_STATE(1155)] = 37414,
  [SMALL_STATE(1156)] = 37462,
  [SMALL_STATE(1157)] = 37510,
  [SMALL_STATE(1158)] = 37598,
  [SMALL_STATE(1159)] = 37646,
  [SMALL_STATE(1160)] = 37732,
  [SMALL_STATE(1161)] = 37818,
  [SMALL_STATE(1162)] = 37904,
  [SMALL_STATE(1163)] = 37979,
  [SMALL_STATE(1164)] = 38054,
  [SMALL_STATE(1165)] = 38139,
  [SMALL_STATE(1166)] = 38214,
  [SMALL_STATE(1167)] = 38293,
  [SMALL_STATE(1168)] = 38368,
  [SMALL_STATE(1169)] = 38423,
  [SMALL_STATE(1170)] = 38482,
  [SMALL_STATE(1171)] = 38545,
  [SMALL_STATE(1172)] = 38614,
  [SMALL_STATE(1173)] = 38693,
  [SMALL_STATE(1174)] = 38766,
  [SMALL_STATE(1175)] = 38847,
  [SMALL_STATE(1176)] = 38932,
  [SMALL_STATE(1177)] = 39015,
  [SMALL_STATE(1178)] = 39094,
  [SMALL_STATE(1179)] = 39143,
  [SMALL_STATE(1180)] = 39228,
  [SMALL_STATE(1181)] = 39307,
  [SMALL_STATE(1182)] = 39392,
  [SMALL_STATE(1183)] = 39449,
  [SMALL_STATE(1184)] = 39498,
  [SMALL_STATE(1185)] = 39583,
  [SMALL_STATE(1186)] = 39658,
  [SMALL_STATE(1187)] = 39711,
  [SMALL_STATE(1188)] = 39796,
  [SMALL_STATE(1189)] = 39867,
  [SMALL_STATE(1190)] = 39934,
  [SMALL_STATE(1191)] = 40013,
  [SMALL_STATE(1192)] = 40098,
  [SMALL_STATE(1193)] = 40177,
  [SMALL_STATE(1194)] = 40226,
  [SMALL_STATE(1195)] = 40311,
  [SMALL_STATE(1196)] = 40396,
  [SMALL_STATE(1197)] = 40475,
  [SMALL_STATE(1198)] = 40560,
  [SMALL_STATE(1199)] = 40609,
  [SMALL_STATE(1200)] = 40696,
  [SMALL_STATE(1201)] = 40782,
  [SMALL_STATE(1202)] = 40868,
  [SMALL_STATE(1203)] = 40952,
  [SMALL_STATE(1204)] = 41038,
  [SMALL_STATE(1205)] = 41114,
  [SMALL_STATE(1206)] = 41202,
  [SMALL_STATE(1207)] = 41278,
  [SMALL_STATE(1208)] = 41362,
  [SMALL_STATE(1209)] = 41448,
  [SMALL_STATE(1210)] = 41534,
  [SMALL_STATE(1211)] = 41618,
  [SMALL_STATE(1212)] = 41701,
  [SMALL_STATE(1213)] = 41790,
  [SMALL_STATE(1214)] = 41875,
  [SMALL_STATE(1215)] = 41958,
  [SMALL_STATE(1216)] = 42047,
  [SMALL_STATE(1217)] = 42130,
  [SMALL_STATE(1218)] = 42213,
  [SMALL_STATE(1219)] = 42296,
  [SMALL_STATE(1220)] = 42379,
  [SMALL_STATE(1221)] = 42462,
  [SMALL_STATE(1222)] = 42547,
  [SMALL_STATE(1223)] = 42632,
  [SMALL_STATE(1224)] = 42721,
  [SMALL_STATE(1225)] = 42806,
  [SMALL_STATE(1226)] = 42895,
  [SMALL_STATE(1227)] = 42984,
  [SMALL_STATE(1228)] = 43067,
  [SMALL_STATE(1229)] = 43150,
  [SMALL_STATE(1230)] = 43239,
  [SMALL_STATE(1231)] = 43322,
  [SMALL_STATE(1232)] = 43405,
  [SMALL_STATE(1233)] = 43494,
  [SMALL_STATE(1234)] = 43577,
  [SMALL_STATE(1235)] = 43660,
  [SMALL_STATE(1236)] = 43743,
  [SMALL_STATE(1237)] = 43832,
  [SMALL_STATE(1238)] = 43915,
  [SMALL_STATE(1239)] = 44000,
  [SMALL_STATE(1240)] = 44083,
  [SMALL_STATE(1241)] = 44166,
  [SMALL_STATE(1242)] = 44249,
  [SMALL_STATE(1243)] = 44332,
  [SMALL_STATE(1244)] = 44415,
  [SMALL_STATE(1245)] = 44500,
  [SMALL_STATE(1246)] = 44583,
  [SMALL_STATE(1247)] = 44666,
  [SMALL_STATE(1248)] = 44751,
  [SMALL_STATE(1249)] = 44834,
  [SMALL_STATE(1250)] = 44917,
  [SMALL_STATE(1251)] = 45000,
  [SMALL_STATE(1252)] = 45083,
  [SMALL_STATE(1253)] = 45166,
  [SMALL_STATE(1254)] = 45249,
  [SMALL_STATE(1255)] = 45332,
  [SMALL_STATE(1256)] = 45415,
  [SMALL_STATE(1257)] = 45498,
  [SMALL_STATE(1258)] = 45581,
  [SMALL_STATE(1259)] = 45668,
  [SMALL_STATE(1260)] = 45753,
  [SMALL_STATE(1261)] = 45835,
  [SMALL_STATE(1262)] = 45917,
  [SMALL_STATE(1263)] = 45999,
  [SMALL_STATE(1264)] = 46081,
  [SMALL_STATE(1265)] = 46163,
  [SMALL_STATE(1266)] = 46245,
  [SMALL_STATE(1267)] = 46327,
  [SMALL_STATE(1268)] = 46409,
  [SMALL_STATE(1269)] = 46491,
  [SMALL_STATE(1270)] = 46573,
  [SMALL_STATE(1271)] = 46655,
  [SMALL_STATE(1272)] = 46737,
  [SMALL_STATE(1273)] = 46819,
  [SMALL_STATE(1274)] = 46901,
  [SMALL_STATE(1275)] = 46983,
  [SMALL_STATE(1276)] = 47065,
  [SMALL_STATE(1277)] = 47147,
  [SMALL_STATE(1278)] = 47229,
  [SMALL_STATE(1279)] = 47311,
  [SMALL_STATE(1280)] = 47393,
  [SMALL_STATE(1281)] = 47475,
  [SMALL_STATE(1282)] = 47557,
  [SMALL_STATE(1283)] = 47639,
  [SMALL_STATE(1284)] = 47721,
  [SMALL_STATE(1285)] = 47803,
  [SMALL_STATE(1286)] = 47885,
  [SMALL_STATE(1287)] = 47967,
  [SMALL_STATE(1288)] = 48049,
  [SMALL_STATE(1289)] = 48131,
  [SMALL_STATE(1290)] = 48213,
  [SMALL_STATE(1291)] = 48295,
  [SMALL_STATE(1292)] = 48377,
  [SMALL_STATE(1293)] = 48459,
  [SMALL_STATE(1294)] = 48541,
  [SMALL_STATE(1295)] = 48623,
  [SMALL_STATE(1296)] = 48705,
  [SMALL_STATE(1297)] = 48787,
  [SMALL_STATE(1298)] = 48869,
  [SMALL_STATE(1299)] = 48951,
  [SMALL_STATE(1300)] = 49033,
  [SMALL_STATE(1301)] = 49115,
  [SMALL_STATE(1302)] = 49197,
  [SMALL_STATE(1303)] = 49279,
  [SMALL_STATE(1304)] = 49361,
  [SMALL_STATE(1305)] = 49405,
  [SMALL_STATE(1306)] = 49487,
  [SMALL_STATE(1307)] = 49569,
  [SMALL_STATE(1308)] = 49651,
  [SMALL_STATE(1309)] = 49733,
  [SMALL_STATE(1310)] = 49815,
  [SMALL_STATE(1311)] = 49885,
  [SMALL_STATE(1312)] = 49967,
  [SMALL_STATE(1313)] = 50049,
  [SMALL_STATE(1314)] = 50131,
  [SMALL_STATE(1315)] = 50213,
  [SMALL_STATE(1316)] = 50295,
  [SMALL_STATE(1317)] = 50377,
  [SMALL_STATE(1318)] = 50459,
  [SMALL_STATE(1319)] = 50529,
  [SMALL_STATE(1320)] = 50611,
  [SMALL_STATE(1321)] = 50693,
  [SMALL_STATE(1322)] = 50775,
  [SMALL_STATE(1323)] = 50857,
  [SMALL_STATE(1324)] = 50939,
  [SMALL_STATE(1325)] = 51021,
  [SMALL_STATE(1326)] = 51103,
  [SMALL_STATE(1327)] = 51185,
  [SMALL_STATE(1328)] = 51267,
  [SMALL_STATE(1329)] = 51349,
  [SMALL_STATE(1330)] = 51431,
  [SMALL_STATE(1331)] = 51513,
  [SMALL_STATE(1332)] = 51556,
  [SMALL_STATE(1333)] = 51599,
  [SMALL_STATE(1334)] = 51642,
  [SMALL_STATE(1335)] = 51723,
  [SMALL_STATE(1336)] = 51766,
  [SMALL_STATE(1337)] = 51845,
  [SMALL_STATE(1338)] = 51888,
  [SMALL_STATE(1339)] = 51969,
  [SMALL_STATE(1340)] = 52050,
  [SMALL_STATE(1341)] = 52131,
  [SMALL_STATE(1342)] = 52198,
  [SMALL_STATE(1343)] = 52241,
  [SMALL_STATE(1344)] = 52308,
  [SMALL_STATE(1345)] = 52364,
  [SMALL_STATE(1346)] = 52420,
  [SMALL_STATE(1347)] = 52476,
  [SMALL_STATE(1348)] = 52532,
  [SMALL_STATE(1349)] = 52588,
  [SMALL_STATE(1350)] = 52644,
  [SMALL_STATE(1351)] = 52700,
  [SMALL_STATE(1352)] = 52756,
  [SMALL_STATE(1353)] = 52812,
  [SMALL_STATE(1354)] = 52868,
  [SMALL_STATE(1355)] = 52924,
  [SMALL_STATE(1356)] = 52977,
  [SMALL_STATE(1357)] = 53030,
  [SMALL_STATE(1358)] = 53083,
  [SMALL_STATE(1359)] = 53136,
  [SMALL_STATE(1360)] = 53189,
  [SMALL_STATE(1361)] = 53242,
  [SMALL_STATE(1362)] = 53285,
  [SMALL_STATE(1363)] = 53328,
  [SMALL_STATE(1364)] = 53374,
  [SMALL_STATE(1365)] = 53420,
  [SMALL_STATE(1366)] = 53480,
  [SMALL_STATE(1367)] = 53526,
  [SMALL_STATE(1368)] = 53586,
  [SMALL_STATE(1369)] = 53643,
  [SMALL_STATE(1370)] = 53695,
  [SMALL_STATE(1371)] = 53744,
  [SMALL_STATE(1372)] = 53793,
  [SMALL_STATE(1373)] = 53842,
  [SMALL_STATE(1374)] = 53889,
  [SMALL_STATE(1375)] = 53938,
  [SMALL_STATE(1376)] = 53968,
  [SMALL_STATE(1377)] = 54014,
  [SMALL_STATE(1378)] = 54060,
  [SMALL_STATE(1379)] = 54106,
  [SMALL_STATE(1380)] = 54155,
  [SMALL_STATE(1381)] = 54202,
  [SMALL_STATE(1382)] = 54228,
  [SMALL_STATE(1383)] = 54274,
  [SMALL_STATE(1384)] = 54300,
  [SMALL_STATE(1385)] = 54326,
  [SMALL_STATE(1386)] = 54352,
  [SMALL_STATE(1387)] = 54378,
  [SMALL_STATE(1388)] = 54404,
  [SMALL_STATE(1389)] = 54448,
  [SMALL_STATE(1390)] = 54474,
  [SMALL_STATE(1391)] = 54500,
  [SMALL_STATE(1392)] = 54526,
  [SMALL_STATE(1393)] = 54552,
  [SMALL_STATE(1394)] = 54578,
  [SMALL_STATE(1395)] = 54604,
  [SMALL_STATE(1396)] = 54630,
  [SMALL_STATE(1397)] = 54656,
  [SMALL_STATE(1398)] = 54700,
  [SMALL_STATE(1399)] = 54742,
  [SMALL_STATE(1400)] = 54768,
  [SMALL_STATE(1401)] = 54794,
  [SMALL_STATE(1402)] = 54837,
  [SMALL_STATE(1403)] = 54878,
  [SMALL_STATE(1404)] = 54919,
  [SMALL_STATE(1405)] = 54960,
  [SMALL_STATE(1406)] = 54985,
  [SMALL_STATE(1407)] = 55028,
  [SMALL_STATE(1408)] = 55053,
  [SMALL_STATE(1409)] = 55094,
  [SMALL_STATE(1410)] = 55119,
  [SMALL_STATE(1411)] = 55162,
  [SMALL_STATE(1412)] = 55205,
  [SMALL_STATE(1413)] = 55230,
  [SMALL_STATE(1414)] = 55255,
  [SMALL_STATE(1415)] = 55286,
  [SMALL_STATE(1416)] = 55311,
  [SMALL_STATE(1417)] = 55336,
  [SMALL_STATE(1418)] = 55361,
  [SMALL_STATE(1419)] = 55404,
  [SMALL_STATE(1420)] = 55429,
  [SMALL_STATE(1421)] = 55454,
  [SMALL_STATE(1422)] = 55479,
  [SMALL_STATE(1423)] = 55504,
  [SMALL_STATE(1424)] = 55529,
  [SMALL_STATE(1425)] = 55554,
  [SMALL_STATE(1426)] = 55579,
  [SMALL_STATE(1427)] = 55622,
  [SMALL_STATE(1428)] = 55647,
  [SMALL_STATE(1429)] = 55690,
  [SMALL_STATE(1430)] = 55715,
  [SMALL_STATE(1431)] = 55740,
  [SMALL_STATE(1432)] = 55765,
  [SMALL_STATE(1433)] = 55790,
  [SMALL_STATE(1434)] = 55815,
  [SMALL_STATE(1435)] = 55858,
  [SMALL_STATE(1436)] = 55886,
  [SMALL_STATE(1437)] = 55926,
  [SMALL_STATE(1438)] = 55962,
  [SMALL_STATE(1439)] = 56002,
  [SMALL_STATE(1440)] = 56042,
  [SMALL_STATE(1441)] = 56069,
  [SMALL_STATE(1442)] = 56098,
  [SMALL_STATE(1443)] = 56123,
  [SMALL_STATE(1444)] = 56160,
  [SMALL_STATE(1445)] = 56193,
  [SMALL_STATE(1446)] = 56226,
  [SMALL_STATE(1447)] = 56263,
  [SMALL_STATE(1448)] = 56300,
  [SMALL_STATE(1449)] = 56325,
  [SMALL_STATE(1450)] = 56362,
  [SMALL_STATE(1451)] = 56387,
  [SMALL_STATE(1452)] = 56412,
  [SMALL_STATE(1453)] = 56449,
  [SMALL_STATE(1454)] = 56481,
  [SMALL_STATE(1455)] = 56511,
  [SMALL_STATE(1456)] = 56543,
  [SMALL_STATE(1457)] = 56571,
  [SMALL_STATE(1458)] = 56605,
  [SMALL_STATE(1459)] = 56637,
  [SMALL_STATE(1460)] = 56661,
  [SMALL_STATE(1461)] = 56695,
  [SMALL_STATE(1462)] = 56723,
  [SMALL_STATE(1463)] = 56751,
  [SMALL_STATE(1464)] = 56785,
  [SMALL_STATE(1465)] = 56811,
  [SMALL_STATE(1466)] = 56845,
  [SMALL_STATE(1467)] = 56879,
  [SMALL_STATE(1468)] = 56903,
  [SMALL_STATE(1469)] = 56927,
  [SMALL_STATE(1470)] = 56959,
  [SMALL_STATE(1471)] = 56983,
  [SMALL_STATE(1472)] = 57007,
  [SMALL_STATE(1473)] = 57033,
  [SMALL_STATE(1474)] = 57057,
  [SMALL_STATE(1475)] = 57086,
  [SMALL_STATE(1476)] = 57117,
  [SMALL_STATE(1477)] = 57144,
  [SMALL_STATE(1478)] = 57175,
  [SMALL_STATE(1479)] = 57204,
  [SMALL_STATE(1480)] = 57235,
  [SMALL_STATE(1481)] = 57262,
  [SMALL_STATE(1482)] = 57291,
  [SMALL_STATE(1483)] = 57320,
  [SMALL_STATE(1484)] = 57351,
  [SMALL_STATE(1485)] = 57376,
  [SMALL_STATE(1486)] = 57409,
  [SMALL_STATE(1487)] = 57438,
  [SMALL_STATE(1488)] = 57469,
  [SMALL_STATE(1489)] = 57498,
  [SMALL_STATE(1490)] = 57527,
  [SMALL_STATE(1491)] = 57556,
  [SMALL_STATE(1492)] = 57585,
  [SMALL_STATE(1493)] = 57616,
  [SMALL_STATE(1494)] = 57645,
  [SMALL_STATE(1495)] = 57676,
  [SMALL_STATE(1496)] = 57705,
  [SMALL_STATE(1497)] = 57734,
  [SMALL_STATE(1498)] = 57761,
  [SMALL_STATE(1499)] = 57790,
  [SMALL_STATE(1500)] = 57821,
  [SMALL_STATE(1501)] = 57850,
  [SMALL_STATE(1502)] = 57879,
  [SMALL_STATE(1503)] = 57906,
  [SMALL_STATE(1504)] = 57933,
  [SMALL_STATE(1505)] = 57962,
  [SMALL_STATE(1506)] = 57991,
  [SMALL_STATE(1507)] = 58016,
  [SMALL_STATE(1508)] = 58047,
  [SMALL_STATE(1509)] = 58072,
  [SMALL_STATE(1510)] = 58099,
  [SMALL_STATE(1511)] = 58128,
  [SMALL_STATE(1512)] = 58157,
  [SMALL_STATE(1513)] = 58188,
  [SMALL_STATE(1514)] = 58215,
  [SMALL_STATE(1515)] = 58242,
  [SMALL_STATE(1516)] = 58265,
  [SMALL_STATE(1517)] = 58298,
  [SMALL_STATE(1518)] = 58327,
  [SMALL_STATE(1519)] = 58356,
  [SMALL_STATE(1520)] = 58385,
  [SMALL_STATE(1521)] = 58414,
  [SMALL_STATE(1522)] = 58443,
  [SMALL_STATE(1523)] = 58472,
  [SMALL_STATE(1524)] = 58503,
  [SMALL_STATE(1525)] = 58532,
  [SMALL_STATE(1526)] = 58563,
  [SMALL_STATE(1527)] = 58586,
  [SMALL_STATE(1528)] = 58615,
  [SMALL_STATE(1529)] = 58646,
  [SMALL_STATE(1530)] = 58669,
  [SMALL_STATE(1531)] = 58698,
  [SMALL_STATE(1532)] = 58725,
  [SMALL_STATE(1533)] = 58754,
  [SMALL_STATE(1534)] = 58783,
  [SMALL_STATE(1535)] = 58810,
  [SMALL_STATE(1536)] = 58837,
  [SMALL_STATE(1537)] = 58867,
  [SMALL_STATE(1538)] = 58901,
  [SMALL_STATE(1539)] = 58933,
  [SMALL_STATE(1540)] = 58961,
  [SMALL_STATE(1541)] = 58987,
  [SMALL_STATE(1542)] = 59021,
  [SMALL_STATE(1543)] = 59055,
  [SMALL_STATE(1544)] = 59081,
  [SMALL_STATE(1545)] = 59115,
  [SMALL_STATE(1546)] = 59149,
  [SMALL_STATE(1547)] = 59183,
  [SMALL_STATE(1548)] = 59213,
  [SMALL_STATE(1549)] = 59239,
  [SMALL_STATE(1550)] = 59260,
  [SMALL_STATE(1551)] = 59291,
  [SMALL_STATE(1552)] = 59314,
  [SMALL_STATE(1553)] = 59337,
  [SMALL_STATE(1554)] = 59360,
  [SMALL_STATE(1555)] = 59381,
  [SMALL_STATE(1556)] = 59406,
  [SMALL_STATE(1557)] = 59429,
  [SMALL_STATE(1558)] = 59452,
  [SMALL_STATE(1559)] = 59475,
  [SMALL_STATE(1560)] = 59498,
  [SMALL_STATE(1561)] = 59519,
  [SMALL_STATE(1562)] = 59542,
  [SMALL_STATE(1563)] = 59563,
  [SMALL_STATE(1564)] = 59590,
  [SMALL_STATE(1565)] = 59611,
  [SMALL_STATE(1566)] = 59634,
  [SMALL_STATE(1567)] = 59655,
  [SMALL_STATE(1568)] = 59678,
  [SMALL_STATE(1569)] = 59699,
  [SMALL_STATE(1570)] = 59728,
  [SMALL_STATE(1571)] = 59749,
  [SMALL_STATE(1572)] = 59772,
  [SMALL_STATE(1573)] = 59793,
  [SMALL_STATE(1574)] = 59814,
  [SMALL_STATE(1575)] = 59841,
  [SMALL_STATE(1576)] = 59868,
  [SMALL_STATE(1577)] = 59891,
  [SMALL_STATE(1578)] = 59914,
  [SMALL_STATE(1579)] = 59935,
  [SMALL_STATE(1580)] = 59958,
  [SMALL_STATE(1581)] = 59981,
  [SMALL_STATE(1582)] = 60004,
  [SMALL_STATE(1583)] = 60031,
  [SMALL_STATE(1584)] = 60054,
  [SMALL_STATE(1585)] = 60081,
  [SMALL_STATE(1586)] = 60104,
  [SMALL_STATE(1587)] = 60127,
  [SMALL_STATE(1588)] = 60150,
  [SMALL_STATE(1589)] = 60177,
  [SMALL_STATE(1590)] = 60198,
  [SMALL_STATE(1591)] = 60219,
  [SMALL_STATE(1592)] = 60240,
  [SMALL_STATE(1593)] = 60267,
  [SMALL_STATE(1594)] = 60290,
  [SMALL_STATE(1595)] = 60318,
  [SMALL_STATE(1596)] = 60344,
  [SMALL_STATE(1597)] = 60372,
  [SMALL_STATE(1598)] = 60392,
  [SMALL_STATE(1599)] = 60420,
  [SMALL_STATE(1600)] = 60440,
  [SMALL_STATE(1601)] = 60460,
  [SMALL_STATE(1602)] = 60488,
  [SMALL_STATE(1603)] = 60516,
  [SMALL_STATE(1604)] = 60536,
  [SMALL_STATE(1605)] = 60556,
  [SMALL_STATE(1606)] = 60576,
  [SMALL_STATE(1607)] = 60596,
  [SMALL_STATE(1608)] = 60616,
  [SMALL_STATE(1609)] = 60644,
  [SMALL_STATE(1610)] = 60664,
  [SMALL_STATE(1611)] = 60692,
  [SMALL_STATE(1612)] = 60712,
  [SMALL_STATE(1613)] = 60734,
  [SMALL_STATE(1614)] = 60760,
  [SMALL_STATE(1615)] = 60788,
  [SMALL_STATE(1616)] = 60808,
  [SMALL_STATE(1617)] = 60836,
  [SMALL_STATE(1618)] = 60864,
  [SMALL_STATE(1619)] = 60892,
  [SMALL_STATE(1620)] = 60920,
  [SMALL_STATE(1621)] = 60946,
  [SMALL_STATE(1622)] = 60970,
  [SMALL_STATE(1623)] = 60996,
  [SMALL_STATE(1624)] = 61024,
  [SMALL_STATE(1625)] = 61052,
  [SMALL_STATE(1626)] = 61078,
  [SMALL_STATE(1627)] = 61106,
  [SMALL_STATE(1628)] = 61126,
  [SMALL_STATE(1629)] = 61146,
  [SMALL_STATE(1630)] = 61166,
  [SMALL_STATE(1631)] = 61194,
  [SMALL_STATE(1632)] = 61222,
  [SMALL_STATE(1633)] = 61242,
  [SMALL_STATE(1634)] = 61266,
  [SMALL_STATE(1635)] = 61294,
  [SMALL_STATE(1636)] = 61314,
  [SMALL_STATE(1637)] = 61342,
  [SMALL_STATE(1638)] = 61370,
  [SMALL_STATE(1639)] = 61396,
  [SMALL_STATE(1640)] = 61424,
  [SMALL_STATE(1641)] = 61448,
  [SMALL_STATE(1642)] = 61474,
  [SMALL_STATE(1643)] = 61500,
  [SMALL_STATE(1644)] = 61526,
  [SMALL_STATE(1645)] = 61554,
  [SMALL_STATE(1646)] = 61580,
  [SMALL_STATE(1647)] = 61608,
  [SMALL_STATE(1648)] = 61636,
  [SMALL_STATE(1649)] = 61664,
  [SMALL_STATE(1650)] = 61692,
  [SMALL_STATE(1651)] = 61716,
  [SMALL_STATE(1652)] = 61744,
  [SMALL_STATE(1653)] = 61768,
  [SMALL_STATE(1654)] = 61796,
  [SMALL_STATE(1655)] = 61824,
  [SMALL_STATE(1656)] = 61852,
  [SMALL_STATE(1657)] = 61880,
  [SMALL_STATE(1658)] = 61908,
  [SMALL_STATE(1659)] = 61928,
  [SMALL_STATE(1660)] = 61948,
  [SMALL_STATE(1661)] = 61976,
  [SMALL_STATE(1662)] = 62004,
  [SMALL_STATE(1663)] = 62032,
  [SMALL_STATE(1664)] = 62060,
  [SMALL_STATE(1665)] = 62088,
  [SMALL_STATE(1666)] = 62108,
  [SMALL_STATE(1667)] = 62134,
  [SMALL_STATE(1668)] = 62160,
  [SMALL_STATE(1669)] = 62188,
  [SMALL_STATE(1670)] = 62208,
  [SMALL_STATE(1671)] = 62236,
  [SMALL_STATE(1672)] = 62264,
  [SMALL_STATE(1673)] = 62290,
  [SMALL_STATE(1674)] = 62318,
  [SMALL_STATE(1675)] = 62339,
  [SMALL_STATE(1676)] = 62364,
  [SMALL_STATE(1677)] = 62387,
  [SMALL_STATE(1678)] = 62408,
  [SMALL_STATE(1679)] = 62429,
  [SMALL_STATE(1680)] = 62454,
  [SMALL_STATE(1681)] = 62475,
  [SMALL_STATE(1682)] = 62496,
  [SMALL_STATE(1683)] = 62521,
  [SMALL_STATE(1684)] = 62542,
  [SMALL_STATE(1685)] = 62565,
  [SMALL_STATE(1686)] = 62590,
  [SMALL_STATE(1687)] = 62609,
  [SMALL_STATE(1688)] = 62634,
  [SMALL_STATE(1689)] = 62653,
  [SMALL_STATE(1690)] = 62674,
  [SMALL_STATE(1691)] = 62699,
  [SMALL_STATE(1692)] = 62718,
  [SMALL_STATE(1693)] = 62739,
  [SMALL_STATE(1694)] = 62762,
  [SMALL_STATE(1695)] = 62785,
  [SMALL_STATE(1696)] = 62806,
  [SMALL_STATE(1697)] = 62831,
  [SMALL_STATE(1698)] = 62852,
  [SMALL_STATE(1699)] = 62877,
  [SMALL_STATE(1700)] = 62896,
  [SMALL_STATE(1701)] = 62915,
  [SMALL_STATE(1702)] = 62934,
  [SMALL_STATE(1703)] = 62953,
  [SMALL_STATE(1704)] = 62972,
  [SMALL_STATE(1705)] = 62993,
  [SMALL_STATE(1706)] = 63018,
  [SMALL_STATE(1707)] = 63039,
  [SMALL_STATE(1708)] = 63058,
  [SMALL_STATE(1709)] = 63079,
  [SMALL_STATE(1710)] = 63100,
  [SMALL_STATE(1711)] = 63125,
  [SMALL_STATE(1712)] = 63150,
  [SMALL_STATE(1713)] = 63173,
  [SMALL_STATE(1714)] = 63196,
  [SMALL_STATE(1715)] = 63217,
  [SMALL_STATE(1716)] = 63238,
  [SMALL_STATE(1717)] = 63257,
  [SMALL_STATE(1718)] = 63282,
  [SMALL_STATE(1719)] = 63305,
  [SMALL_STATE(1720)] = 63330,
  [SMALL_STATE(1721)] = 63353,
  [SMALL_STATE(1722)] = 63376,
  [SMALL_STATE(1723)] = 63401,
  [SMALL_STATE(1724)] = 63426,
  [SMALL_STATE(1725)] = 63443,
  [SMALL_STATE(1726)] = 63466,
  [SMALL_STATE(1727)] = 63485,
  [SMALL_STATE(1728)] = 63510,
  [SMALL_STATE(1729)] = 63533,
  [SMALL_STATE(1730)] = 63554,
  [SMALL_STATE(1731)] = 63577,
  [SMALL_STATE(1732)] = 63600,
  [SMALL_STATE(1733)] = 63623,
  [SMALL_STATE(1734)] = 63648,
  [SMALL_STATE(1735)] = 63669,
  [SMALL_STATE(1736)] = 63694,
  [SMALL_STATE(1737)] = 63715,
  [SMALL_STATE(1738)] = 63732,
  [SMALL_STATE(1739)] = 63753,
  [SMALL_STATE(1740)] = 63778,
  [SMALL_STATE(1741)] = 63801,
  [SMALL_STATE(1742)] = 63826,
  [SMALL_STATE(1743)] = 63851,
  [SMALL_STATE(1744)] = 63872,
  [SMALL_STATE(1745)] = 63893,
  [SMALL_STATE(1746)] = 63912,
  [SMALL_STATE(1747)] = 63935,
  [SMALL_STATE(1748)] = 63956,
  [SMALL_STATE(1749)] = 63981,
  [SMALL_STATE(1750)] = 64004,
  [SMALL_STATE(1751)] = 64025,
  [SMALL_STATE(1752)] = 64048,
  [SMALL_STATE(1753)] = 64069,
  [SMALL_STATE(1754)] = 64090,
  [SMALL_STATE(1755)] = 64113,
  [SMALL_STATE(1756)] = 64134,
  [SMALL_STATE(1757)] = 64155,
  [SMALL_STATE(1758)] = 64176,
  [SMALL_STATE(1759)] = 64199,
  [SMALL_STATE(1760)] = 64216,
  [SMALL_STATE(1761)] = 64233,
  [SMALL_STATE(1762)] = 64250,
  [SMALL_STATE(1763)] = 64271,
  [SMALL_STATE(1764)] = 64296,
  [SMALL_STATE(1765)] = 64319,
  [SMALL_STATE(1766)] = 64340,
  [SMALL_STATE(1767)] = 64363,
  [SMALL_STATE(1768)] = 64386,
  [SMALL_STATE(1769)] = 64407,
  [SMALL_STATE(1770)] = 64432,
  [SMALL_STATE(1771)] = 64455,
  [SMALL_STATE(1772)] = 64477,
  [SMALL_STATE(1773)] = 64499,
  [SMALL_STATE(1774)] = 64521,
  [SMALL_STATE(1775)] = 64541,
  [SMALL_STATE(1776)] = 64561,
  [SMALL_STATE(1777)] = 64583,
  [SMALL_STATE(1778)] = 64601,
  [SMALL_STATE(1779)] = 64623,
  [SMALL_STATE(1780)] = 64645,
  [SMALL_STATE(1781)] = 64665,
  [SMALL_STATE(1782)] = 64683,
  [SMALL_STATE(1783)] = 64703,
  [SMALL_STATE(1784)] = 64725,
  [SMALL_STATE(1785)] = 64741,
  [SMALL_STATE(1786)] = 64757,
  [SMALL_STATE(1787)] = 64773,
  [SMALL_STATE(1788)] = 64791,
  [SMALL_STATE(1789)] = 64811,
  [SMALL_STATE(1790)] = 64831,
  [SMALL_STATE(1791)] = 64851,
  [SMALL_STATE(1792)] = 64869,
  [SMALL_STATE(1793)] = 64885,
  [SMALL_STATE(1794)] = 64903,
  [SMALL_STATE(1795)] = 64919,
  [SMALL_STATE(1796)] = 64941,
  [SMALL_STATE(1797)] = 64961,
  [SMALL_STATE(1798)] = 64981,
  [SMALL_STATE(1799)] = 65001,
  [SMALL_STATE(1800)] = 65019,
  [SMALL_STATE(1801)] = 65041,
  [SMALL_STATE(1802)] = 65061,
  [SMALL_STATE(1803)] = 65081,
  [SMALL_STATE(1804)] = 65099,
  [SMALL_STATE(1805)] = 65119,
  [SMALL_STATE(1806)] = 65139,
  [SMALL_STATE(1807)] = 65161,
  [SMALL_STATE(1808)] = 65183,
  [SMALL_STATE(1809)] = 65199,
  [SMALL_STATE(1810)] = 65221,
  [SMALL_STATE(1811)] = 65239,
  [SMALL_STATE(1812)] = 65261,
  [SMALL_STATE(1813)] = 65283,
  [SMALL_STATE(1814)] = 65305,
  [SMALL_STATE(1815)] = 65327,
  [SMALL_STATE(1816)] = 65349,
  [SMALL_STATE(1817)] = 65369,
  [SMALL_STATE(1818)] = 65391,
  [SMALL_STATE(1819)] = 65411,
  [SMALL_STATE(1820)] = 65433,
  [SMALL_STATE(1821)] = 65455,
  [SMALL_STATE(1822)] = 65477,
  [SMALL_STATE(1823)] = 65499,
  [SMALL_STATE(1824)] = 65517,
  [SMALL_STATE(1825)] = 65535,
  [SMALL_STATE(1826)] = 65557,
  [SMALL_STATE(1827)] = 65579,
  [SMALL_STATE(1828)] = 65601,
  [SMALL_STATE(1829)] = 65617,
  [SMALL_STATE(1830)] = 65639,
  [SMALL_STATE(1831)] = 65659,
  [SMALL_STATE(1832)] = 65677,
  [SMALL_STATE(1833)] = 65697,
  [SMALL_STATE(1834)] = 65717,
  [SMALL_STATE(1835)] = 65739,
  [SMALL_STATE(1836)] = 65759,
  [SMALL_STATE(1837)] = 65779,
  [SMALL_STATE(1838)] = 65801,
  [SMALL_STATE(1839)] = 65817,
  [SMALL_STATE(1840)] = 65839,
  [SMALL_STATE(1841)] = 65861,
  [SMALL_STATE(1842)] = 65879,
  [SMALL_STATE(1843)] = 65901,
  [SMALL_STATE(1844)] = 65919,
  [SMALL_STATE(1845)] = 65941,
  [SMALL_STATE(1846)] = 65961,
  [SMALL_STATE(1847)] = 65979,
  [SMALL_STATE(1848)] = 66001,
  [SMALL_STATE(1849)] = 66021,
  [SMALL_STATE(1850)] = 66041,
  [SMALL_STATE(1851)] = 66059,
  [SMALL_STATE(1852)] = 66079,
  [SMALL_STATE(1853)] = 66099,
  [SMALL_STATE(1854)] = 66121,
  [SMALL_STATE(1855)] = 66143,
  [SMALL_STATE(1856)] = 66163,
  [SMALL_STATE(1857)] = 66185,
  [SMALL_STATE(1858)] = 66205,
  [SMALL_STATE(1859)] = 66227,
  [SMALL_STATE(1860)] = 66249,
  [SMALL_STATE(1861)] = 66265,
  [SMALL_STATE(1862)] = 66287,
  [SMALL_STATE(1863)] = 66307,
  [SMALL_STATE(1864)] = 66327,
  [SMALL_STATE(1865)] = 66347,
  [SMALL_STATE(1866)] = 66369,
  [SMALL_STATE(1867)] = 66391,
  [SMALL_STATE(1868)] = 66413,
  [SMALL_STATE(1869)] = 66433,
  [SMALL_STATE(1870)] = 66455,
  [SMALL_STATE(1871)] = 66471,
  [SMALL_STATE(1872)] = 66493,
  [SMALL_STATE(1873)] = 66511,
  [SMALL_STATE(1874)] = 66527,
  [SMALL_STATE(1875)] = 66547,
  [SMALL_STATE(1876)] = 66563,
  [SMALL_STATE(1877)] = 66585,
  [SMALL_STATE(1878)] = 66607,
  [SMALL_STATE(1879)] = 66627,
  [SMALL_STATE(1880)] = 66649,
  [SMALL_STATE(1881)] = 66671,
  [SMALL_STATE(1882)] = 66693,
  [SMALL_STATE(1883)] = 66711,
  [SMALL_STATE(1884)] = 66727,
  [SMALL_STATE(1885)] = 66743,
  [SMALL_STATE(1886)] = 66765,
  [SMALL_STATE(1887)] = 66787,
  [SMALL_STATE(1888)] = 66809,
  [SMALL_STATE(1889)] = 66831,
  [SMALL_STATE(1890)] = 66847,
  [SMALL_STATE(1891)] = 66867,
  [SMALL_STATE(1892)] = 66887,
  [SMALL_STATE(1893)] = 66907,
  [SMALL_STATE(1894)] = 66927,
  [SMALL_STATE(1895)] = 66949,
  [SMALL_STATE(1896)] = 66971,
  [SMALL_STATE(1897)] = 66991,
  [SMALL_STATE(1898)] = 67011,
  [SMALL_STATE(1899)] = 67031,
  [SMALL_STATE(1900)] = 67047,
  [SMALL_STATE(1901)] = 67067,
  [SMALL_STATE(1902)] = 67087,
  [SMALL_STATE(1903)] = 67109,
  [SMALL_STATE(1904)] = 67125,
  [SMALL_STATE(1905)] = 67141,
  [SMALL_STATE(1906)] = 67161,
  [SMALL_STATE(1907)] = 67183,
  [SMALL_STATE(1908)] = 67203,
  [SMALL_STATE(1909)] = 67223,
  [SMALL_STATE(1910)] = 67243,
  [SMALL_STATE(1911)] = 67263,
  [SMALL_STATE(1912)] = 67283,
  [SMALL_STATE(1913)] = 67299,
  [SMALL_STATE(1914)] = 67319,
  [SMALL_STATE(1915)] = 67341,
  [SMALL_STATE(1916)] = 67357,
  [SMALL_STATE(1917)] = 67379,
  [SMALL_STATE(1918)] = 67401,
  [SMALL_STATE(1919)] = 67421,
  [SMALL_STATE(1920)] = 67443,
  [SMALL_STATE(1921)] = 67463,
  [SMALL_STATE(1922)] = 67485,
  [SMALL_STATE(1923)] = 67502,
  [SMALL_STATE(1924)] = 67519,
  [SMALL_STATE(1925)] = 67538,
  [SMALL_STATE(1926)] = 67555,
  [SMALL_STATE(1927)] = 67572,
  [SMALL_STATE(1928)] = 67591,
  [SMALL_STATE(1929)] = 67608,
  [SMALL_STATE(1930)] = 67627,
  [SMALL_STATE(1931)] = 67646,
  [SMALL_STATE(1932)] = 67663,
  [SMALL_STATE(1933)] = 67682,
  [SMALL_STATE(1934)] = 67701,
  [SMALL_STATE(1935)] = 67718,
  [SMALL_STATE(1936)] = 67735,
  [SMALL_STATE(1937)] = 67752,
  [SMALL_STATE(1938)] = 67771,
  [SMALL_STATE(1939)] = 67790,
  [SMALL_STATE(1940)] = 67807,
  [SMALL_STATE(1941)] = 67826,
  [SMALL_STATE(1942)] = 67843,
  [SMALL_STATE(1943)] = 67860,
  [SMALL_STATE(1944)] = 67879,
  [SMALL_STATE(1945)] = 67896,
  [SMALL_STATE(1946)] = 67913,
  [SMALL_STATE(1947)] = 67930,
  [SMALL_STATE(1948)] = 67949,
  [SMALL_STATE(1949)] = 67966,
  [SMALL_STATE(1950)] = 67985,
  [SMALL_STATE(1951)] = 68004,
  [SMALL_STATE(1952)] = 68019,
  [SMALL_STATE(1953)] = 68038,
  [SMALL_STATE(1954)] = 68055,
  [SMALL_STATE(1955)] = 68072,
  [SMALL_STATE(1956)] = 68089,
  [SMALL_STATE(1957)] = 68108,
  [SMALL_STATE(1958)] = 68123,
  [SMALL_STATE(1959)] = 68142,
  [SMALL_STATE(1960)] = 68157,
  [SMALL_STATE(1961)] = 68176,
  [SMALL_STATE(1962)] = 68193,
  [SMALL_STATE(1963)] = 68212,
  [SMALL_STATE(1964)] = 68229,
  [SMALL_STATE(1965)] = 68244,
  [SMALL_STATE(1966)] = 68263,
  [SMALL_STATE(1967)] = 68280,
  [SMALL_STATE(1968)] = 68299,
  [SMALL_STATE(1969)] = 68318,
  [SMALL_STATE(1970)] = 68333,
  [SMALL_STATE(1971)] = 68352,
  [SMALL_STATE(1972)] = 68371,
  [SMALL_STATE(1973)] = 68386,
  [SMALL_STATE(1974)] = 68405,
  [SMALL_STATE(1975)] = 68422,
  [SMALL_STATE(1976)] = 68441,
  [SMALL_STATE(1977)] = 68460,
  [SMALL_STATE(1978)] = 68477,
  [SMALL_STATE(1979)] = 68492,
  [SMALL_STATE(1980)] = 68509,
  [SMALL_STATE(1981)] = 68526,
  [SMALL_STATE(1982)] = 68543,
  [SMALL_STATE(1983)] = 68562,
  [SMALL_STATE(1984)] = 68581,
  [SMALL_STATE(1985)] = 68600,
  [SMALL_STATE(1986)] = 68617,
  [SMALL_STATE(1987)] = 68636,
  [SMALL_STATE(1988)] = 68653,
  [SMALL_STATE(1989)] = 68672,
  [SMALL_STATE(1990)] = 68689,
  [SMALL_STATE(1991)] = 68706,
  [SMALL_STATE(1992)] = 68723,
  [SMALL_STATE(1993)] = 68740,
  [SMALL_STATE(1994)] = 68757,
  [SMALL_STATE(1995)] = 68774,
  [SMALL_STATE(1996)] = 68791,
  [SMALL_STATE(1997)] = 68808,
  [SMALL_STATE(1998)] = 68825,
  [SMALL_STATE(1999)] = 68844,
  [SMALL_STATE(2000)] = 68861,
  [SMALL_STATE(2001)] = 68880,
  [SMALL_STATE(2002)] = 68897,
  [SMALL_STATE(2003)] = 68914,
  [SMALL_STATE(2004)] = 68931,
  [SMALL_STATE(2005)] = 68948,
  [SMALL_STATE(2006)] = 68967,
  [SMALL_STATE(2007)] = 68984,
  [SMALL_STATE(2008)] = 69001,
  [SMALL_STATE(2009)] = 69020,
  [SMALL_STATE(2010)] = 69037,
  [SMALL_STATE(2011)] = 69054,
  [SMALL_STATE(2012)] = 69073,
  [SMALL_STATE(2013)] = 69090,
  [SMALL_STATE(2014)] = 69107,
  [SMALL_STATE(2015)] = 69124,
  [SMALL_STATE(2016)] = 69141,
  [SMALL_STATE(2017)] = 69160,
  [SMALL_STATE(2018)] = 69179,
  [SMALL_STATE(2019)] = 69198,
  [SMALL_STATE(2020)] = 69215,
  [SMALL_STATE(2021)] = 69230,
  [SMALL_STATE(2022)] = 69245,
  [SMALL_STATE(2023)] = 69262,
  [SMALL_STATE(2024)] = 69277,
  [SMALL_STATE(2025)] = 69296,
  [SMALL_STATE(2026)] = 69315,
  [SMALL_STATE(2027)] = 69334,
  [SMALL_STATE(2028)] = 69349,
  [SMALL_STATE(2029)] = 69368,
  [SMALL_STATE(2030)] = 69385,
  [SMALL_STATE(2031)] = 69400,
  [SMALL_STATE(2032)] = 69415,
  [SMALL_STATE(2033)] = 69434,
  [SMALL_STATE(2034)] = 69453,
  [SMALL_STATE(2035)] = 69470,
  [SMALL_STATE(2036)] = 69487,
  [SMALL_STATE(2037)] = 69504,
  [SMALL_STATE(2038)] = 69521,
  [SMALL_STATE(2039)] = 69538,
  [SMALL_STATE(2040)] = 69555,
  [SMALL_STATE(2041)] = 69574,
  [SMALL_STATE(2042)] = 69591,
  [SMALL_STATE(2043)] = 69608,
  [SMALL_STATE(2044)] = 69627,
  [SMALL_STATE(2045)] = 69646,
  [SMALL_STATE(2046)] = 69663,
  [SMALL_STATE(2047)] = 69682,
  [SMALL_STATE(2048)] = 69699,
  [SMALL_STATE(2049)] = 69716,
  [SMALL_STATE(2050)] = 69733,
  [SMALL_STATE(2051)] = 69752,
  [SMALL_STATE(2052)] = 69771,
  [SMALL_STATE(2053)] = 69788,
  [SMALL_STATE(2054)] = 69807,
  [SMALL_STATE(2055)] = 69822,
  [SMALL_STATE(2056)] = 69839,
  [SMALL_STATE(2057)] = 69856,
  [SMALL_STATE(2058)] = 69873,
  [SMALL_STATE(2059)] = 69890,
  [SMALL_STATE(2060)] = 69907,
  [SMALL_STATE(2061)] = 69926,
  [SMALL_STATE(2062)] = 69941,
  [SMALL_STATE(2063)] = 69958,
  [SMALL_STATE(2064)] = 69977,
  [SMALL_STATE(2065)] = 69994,
  [SMALL_STATE(2066)] = 70011,
  [SMALL_STATE(2067)] = 70028,
  [SMALL_STATE(2068)] = 70045,
  [SMALL_STATE(2069)] = 70062,
  [SMALL_STATE(2070)] = 70081,
  [SMALL_STATE(2071)] = 70100,
  [SMALL_STATE(2072)] = 70117,
  [SMALL_STATE(2073)] = 70134,
  [SMALL_STATE(2074)] = 70151,
  [SMALL_STATE(2075)] = 70168,
  [SMALL_STATE(2076)] = 70185,
  [SMALL_STATE(2077)] = 70202,
  [SMALL_STATE(2078)] = 70219,
  [SMALL_STATE(2079)] = 70236,
  [SMALL_STATE(2080)] = 70253,
  [SMALL_STATE(2081)] = 70270,
  [SMALL_STATE(2082)] = 70289,
  [SMALL_STATE(2083)] = 70306,
  [SMALL_STATE(2084)] = 70325,
  [SMALL_STATE(2085)] = 70344,
  [SMALL_STATE(2086)] = 70363,
  [SMALL_STATE(2087)] = 70380,
  [SMALL_STATE(2088)] = 70397,
  [SMALL_STATE(2089)] = 70414,
  [SMALL_STATE(2090)] = 70431,
  [SMALL_STATE(2091)] = 70448,
  [SMALL_STATE(2092)] = 70463,
  [SMALL_STATE(2093)] = 70478,
  [SMALL_STATE(2094)] = 70497,
  [SMALL_STATE(2095)] = 70516,
  [SMALL_STATE(2096)] = 70533,
  [SMALL_STATE(2097)] = 70550,
  [SMALL_STATE(2098)] = 70567,
  [SMALL_STATE(2099)] = 70586,
  [SMALL_STATE(2100)] = 70605,
  [SMALL_STATE(2101)] = 70622,
  [SMALL_STATE(2102)] = 70639,
  [SMALL_STATE(2103)] = 70656,
  [SMALL_STATE(2104)] = 70673,
  [SMALL_STATE(2105)] = 70692,
  [SMALL_STATE(2106)] = 70711,
  [SMALL_STATE(2107)] = 70728,
  [SMALL_STATE(2108)] = 70745,
  [SMALL_STATE(2109)] = 70762,
  [SMALL_STATE(2110)] = 70779,
  [SMALL_STATE(2111)] = 70796,
  [SMALL_STATE(2112)] = 70813,
  [SMALL_STATE(2113)] = 70830,
  [SMALL_STATE(2114)] = 70847,
  [SMALL_STATE(2115)] = 70864,
  [SMALL_STATE(2116)] = 70881,
  [SMALL_STATE(2117)] = 70898,
  [SMALL_STATE(2118)] = 70917,
  [SMALL_STATE(2119)] = 70936,
  [SMALL_STATE(2120)] = 70955,
  [SMALL_STATE(2121)] = 70974,
  [SMALL_STATE(2122)] = 70993,
  [SMALL_STATE(2123)] = 71008,
  [SMALL_STATE(2124)] = 71025,
  [SMALL_STATE(2125)] = 71044,
  [SMALL_STATE(2126)] = 71063,
  [SMALL_STATE(2127)] = 71078,
  [SMALL_STATE(2128)] = 71097,
  [SMALL_STATE(2129)] = 71116,
  [SMALL_STATE(2130)] = 71133,
  [SMALL_STATE(2131)] = 71150,
  [SMALL_STATE(2132)] = 71165,
  [SMALL_STATE(2133)] = 71182,
  [SMALL_STATE(2134)] = 71201,
  [SMALL_STATE(2135)] = 71218,
  [SMALL_STATE(2136)] = 71233,
  [SMALL_STATE(2137)] = 71252,
  [SMALL_STATE(2138)] = 71269,
  [SMALL_STATE(2139)] = 71286,
  [SMALL_STATE(2140)] = 71303,
  [SMALL_STATE(2141)] = 71322,
  [SMALL_STATE(2142)] = 71339,
  [SMALL_STATE(2143)] = 71354,
  [SMALL_STATE(2144)] = 71373,
  [SMALL_STATE(2145)] = 71390,
  [SMALL_STATE(2146)] = 71409,
  [SMALL_STATE(2147)] = 71424,
  [SMALL_STATE(2148)] = 71439,
  [SMALL_STATE(2149)] = 71456,
  [SMALL_STATE(2150)] = 71475,
  [SMALL_STATE(2151)] = 71492,
  [SMALL_STATE(2152)] = 71509,
  [SMALL_STATE(2153)] = 71526,
  [SMALL_STATE(2154)] = 71543,
  [SMALL_STATE(2155)] = 71560,
  [SMALL_STATE(2156)] = 71577,
  [SMALL_STATE(2157)] = 71594,
  [SMALL_STATE(2158)] = 71611,
  [SMALL_STATE(2159)] = 71628,
  [SMALL_STATE(2160)] = 71645,
  [SMALL_STATE(2161)] = 71664,
  [SMALL_STATE(2162)] = 71683,
  [SMALL_STATE(2163)] = 71702,
  [SMALL_STATE(2164)] = 71719,
  [SMALL_STATE(2165)] = 71736,
  [SMALL_STATE(2166)] = 71755,
  [SMALL_STATE(2167)] = 71774,
  [SMALL_STATE(2168)] = 71793,
  [SMALL_STATE(2169)] = 71812,
  [SMALL_STATE(2170)] = 71829,
  [SMALL_STATE(2171)] = 71848,
  [SMALL_STATE(2172)] = 71865,
  [SMALL_STATE(2173)] = 71884,
  [SMALL_STATE(2174)] = 71899,
  [SMALL_STATE(2175)] = 71916,
  [SMALL_STATE(2176)] = 71933,
  [SMALL_STATE(2177)] = 71952,
  [SMALL_STATE(2178)] = 71969,
  [SMALL_STATE(2179)] = 71984,
  [SMALL_STATE(2180)] = 72001,
  [SMALL_STATE(2181)] = 72020,
  [SMALL_STATE(2182)] = 72037,
  [SMALL_STATE(2183)] = 72054,
  [SMALL_STATE(2184)] = 72071,
  [SMALL_STATE(2185)] = 72088,
  [SMALL_STATE(2186)] = 72107,
  [SMALL_STATE(2187)] = 72126,
  [SMALL_STATE(2188)] = 72145,
  [SMALL_STATE(2189)] = 72161,
  [SMALL_STATE(2190)] = 72175,
  [SMALL_STATE(2191)] = 72191,
  [SMALL_STATE(2192)] = 72207,
  [SMALL_STATE(2193)] = 72223,
  [SMALL_STATE(2194)] = 72239,
  [SMALL_STATE(2195)] = 72255,
  [SMALL_STATE(2196)] = 72271,
  [SMALL_STATE(2197)] = 72285,
  [SMALL_STATE(2198)] = 72301,
  [SMALL_STATE(2199)] = 72315,
  [SMALL_STATE(2200)] = 72329,
  [SMALL_STATE(2201)] = 72345,
  [SMALL_STATE(2202)] = 72359,
  [SMALL_STATE(2203)] = 72375,
  [SMALL_STATE(2204)] = 72391,
  [SMALL_STATE(2205)] = 72405,
  [SMALL_STATE(2206)] = 72419,
  [SMALL_STATE(2207)] = 72433,
  [SMALL_STATE(2208)] = 72447,
  [SMALL_STATE(2209)] = 72463,
  [SMALL_STATE(2210)] = 72479,
  [SMALL_STATE(2211)] = 72493,
  [SMALL_STATE(2212)] = 72509,
  [SMALL_STATE(2213)] = 72525,
  [SMALL_STATE(2214)] = 72541,
  [SMALL_STATE(2215)] = 72557,
  [SMALL_STATE(2216)] = 72571,
  [SMALL_STATE(2217)] = 72587,
  [SMALL_STATE(2218)] = 72601,
  [SMALL_STATE(2219)] = 72615,
  [SMALL_STATE(2220)] = 72629,
  [SMALL_STATE(2221)] = 72643,
  [SMALL_STATE(2222)] = 72657,
  [SMALL_STATE(2223)] = 72671,
  [SMALL_STATE(2224)] = 72687,
  [SMALL_STATE(2225)] = 72703,
  [SMALL_STATE(2226)] = 72719,
  [SMALL_STATE(2227)] = 72735,
  [SMALL_STATE(2228)] = 72751,
  [SMALL_STATE(2229)] = 72767,
  [SMALL_STATE(2230)] = 72781,
  [SMALL_STATE(2231)] = 72797,
  [SMALL_STATE(2232)] = 72813,
  [SMALL_STATE(2233)] = 72829,
  [SMALL_STATE(2234)] = 72845,
  [SMALL_STATE(2235)] = 72859,
  [SMALL_STATE(2236)] = 72875,
  [SMALL_STATE(2237)] = 72889,
  [SMALL_STATE(2238)] = 72903,
  [SMALL_STATE(2239)] = 72917,
  [SMALL_STATE(2240)] = 72931,
  [SMALL_STATE(2241)] = 72945,
  [SMALL_STATE(2242)] = 72961,
  [SMALL_STATE(2243)] = 72975,
  [SMALL_STATE(2244)] = 72989,
  [SMALL_STATE(2245)] = 73005,
  [SMALL_STATE(2246)] = 73021,
  [SMALL_STATE(2247)] = 73035,
  [SMALL_STATE(2248)] = 73051,
  [SMALL_STATE(2249)] = 73067,
  [SMALL_STATE(2250)] = 73083,
  [SMALL_STATE(2251)] = 73099,
  [SMALL_STATE(2252)] = 73113,
  [SMALL_STATE(2253)] = 73129,
  [SMALL_STATE(2254)] = 73145,
  [SMALL_STATE(2255)] = 73159,
  [SMALL_STATE(2256)] = 73175,
  [SMALL_STATE(2257)] = 73189,
  [SMALL_STATE(2258)] = 73205,
  [SMALL_STATE(2259)] = 73219,
  [SMALL_STATE(2260)] = 73235,
  [SMALL_STATE(2261)] = 73249,
  [SMALL_STATE(2262)] = 73263,
  [SMALL_STATE(2263)] = 73279,
  [SMALL_STATE(2264)] = 73293,
  [SMALL_STATE(2265)] = 73307,
  [SMALL_STATE(2266)] = 73323,
  [SMALL_STATE(2267)] = 73337,
  [SMALL_STATE(2268)] = 73351,
  [SMALL_STATE(2269)] = 73365,
  [SMALL_STATE(2270)] = 73381,
  [SMALL_STATE(2271)] = 73397,
  [SMALL_STATE(2272)] = 73413,
  [SMALL_STATE(2273)] = 73429,
  [SMALL_STATE(2274)] = 73445,
  [SMALL_STATE(2275)] = 73461,
  [SMALL_STATE(2276)] = 73475,
  [SMALL_STATE(2277)] = 73491,
  [SMALL_STATE(2278)] = 73507,
  [SMALL_STATE(2279)] = 73523,
  [SMALL_STATE(2280)] = 73539,
  [SMALL_STATE(2281)] = 73555,
  [SMALL_STATE(2282)] = 73569,
  [SMALL_STATE(2283)] = 73585,
  [SMALL_STATE(2284)] = 73599,
  [SMALL_STATE(2285)] = 73613,
  [SMALL_STATE(2286)] = 73627,
  [SMALL_STATE(2287)] = 73643,
  [SMALL_STATE(2288)] = 73657,
  [SMALL_STATE(2289)] = 73671,
  [SMALL_STATE(2290)] = 73687,
  [SMALL_STATE(2291)] = 73703,
  [SMALL_STATE(2292)] = 73719,
  [SMALL_STATE(2293)] = 73735,
  [SMALL_STATE(2294)] = 73751,
  [SMALL_STATE(2295)] = 73765,
  [SMALL_STATE(2296)] = 73779,
  [SMALL_STATE(2297)] = 73795,
  [SMALL_STATE(2298)] = 73811,
  [SMALL_STATE(2299)] = 73825,
  [SMALL_STATE(2300)] = 73841,
  [SMALL_STATE(2301)] = 73855,
  [SMALL_STATE(2302)] = 73871,
  [SMALL_STATE(2303)] = 73887,
  [SMALL_STATE(2304)] = 73903,
  [SMALL_STATE(2305)] = 73919,
  [SMALL_STATE(2306)] = 73935,
  [SMALL_STATE(2307)] = 73951,
  [SMALL_STATE(2308)] = 73967,
  [SMALL_STATE(2309)] = 73983,
  [SMALL_STATE(2310)] = 73997,
  [SMALL_STATE(2311)] = 74011,
  [SMALL_STATE(2312)] = 74025,
  [SMALL_STATE(2313)] = 74041,
  [SMALL_STATE(2314)] = 74057,
  [SMALL_STATE(2315)] = 74073,
  [SMALL_STATE(2316)] = 74089,
  [SMALL_STATE(2317)] = 74103,
  [SMALL_STATE(2318)] = 74117,
  [SMALL_STATE(2319)] = 74133,
  [SMALL_STATE(2320)] = 74149,
  [SMALL_STATE(2321)] = 74163,
  [SMALL_STATE(2322)] = 74177,
  [SMALL_STATE(2323)] = 74191,
  [SMALL_STATE(2324)] = 74205,
  [SMALL_STATE(2325)] = 74221,
  [SMALL_STATE(2326)] = 74235,
  [SMALL_STATE(2327)] = 74251,
  [SMALL_STATE(2328)] = 74265,
  [SMALL_STATE(2329)] = 74281,
  [SMALL_STATE(2330)] = 74297,
  [SMALL_STATE(2331)] = 74311,
  [SMALL_STATE(2332)] = 74327,
  [SMALL_STATE(2333)] = 74343,
  [SMALL_STATE(2334)] = 74359,
  [SMALL_STATE(2335)] = 74373,
  [SMALL_STATE(2336)] = 74389,
  [SMALL_STATE(2337)] = 74405,
  [SMALL_STATE(2338)] = 74421,
  [SMALL_STATE(2339)] = 74437,
  [SMALL_STATE(2340)] = 74453,
  [SMALL_STATE(2341)] = 74467,
  [SMALL_STATE(2342)] = 74483,
  [SMALL_STATE(2343)] = 74499,
  [SMALL_STATE(2344)] = 74513,
  [SMALL_STATE(2345)] = 74529,
  [SMALL_STATE(2346)] = 74545,
  [SMALL_STATE(2347)] = 74561,
  [SMALL_STATE(2348)] = 74577,
  [SMALL_STATE(2349)] = 74591,
  [SMALL_STATE(2350)] = 74607,
  [SMALL_STATE(2351)] = 74623,
  [SMALL_STATE(2352)] = 74637,
  [SMALL_STATE(2353)] = 74653,
  [SMALL_STATE(2354)] = 74667,
  [SMALL_STATE(2355)] = 74683,
  [SMALL_STATE(2356)] = 74699,
  [SMALL_STATE(2357)] = 74713,
  [SMALL_STATE(2358)] = 74727,
  [SMALL_STATE(2359)] = 74741,
  [SMALL_STATE(2360)] = 74755,
  [SMALL_STATE(2361)] = 74771,
  [SMALL_STATE(2362)] = 74785,
  [SMALL_STATE(2363)] = 74801,
  [SMALL_STATE(2364)] = 74817,
  [SMALL_STATE(2365)] = 74833,
  [SMALL_STATE(2366)] = 74849,
  [SMALL_STATE(2367)] = 74865,
  [SMALL_STATE(2368)] = 74881,
  [SMALL_STATE(2369)] = 74895,
  [SMALL_STATE(2370)] = 74911,
  [SMALL_STATE(2371)] = 74925,
  [SMALL_STATE(2372)] = 74941,
  [SMALL_STATE(2373)] = 74957,
  [SMALL_STATE(2374)] = 74973,
  [SMALL_STATE(2375)] = 74987,
  [SMALL_STATE(2376)] = 75003,
  [SMALL_STATE(2377)] = 75019,
  [SMALL_STATE(2378)] = 75035,
  [SMALL_STATE(2379)] = 75051,
  [SMALL_STATE(2380)] = 75065,
  [SMALL_STATE(2381)] = 75081,
  [SMALL_STATE(2382)] = 75097,
  [SMALL_STATE(2383)] = 75111,
  [SMALL_STATE(2384)] = 75127,
  [SMALL_STATE(2385)] = 75143,
  [SMALL_STATE(2386)] = 75157,
  [SMALL_STATE(2387)] = 75173,
  [SMALL_STATE(2388)] = 75189,
  [SMALL_STATE(2389)] = 75203,
  [SMALL_STATE(2390)] = 75219,
  [SMALL_STATE(2391)] = 75233,
  [SMALL_STATE(2392)] = 75249,
  [SMALL_STATE(2393)] = 75265,
  [SMALL_STATE(2394)] = 75281,
  [SMALL_STATE(2395)] = 75297,
  [SMALL_STATE(2396)] = 75313,
  [SMALL_STATE(2397)] = 75329,
  [SMALL_STATE(2398)] = 75345,
  [SMALL_STATE(2399)] = 75361,
  [SMALL_STATE(2400)] = 75375,
  [SMALL_STATE(2401)] = 75389,
  [SMALL_STATE(2402)] = 75405,
  [SMALL_STATE(2403)] = 75421,
  [SMALL_STATE(2404)] = 75437,
  [SMALL_STATE(2405)] = 75453,
  [SMALL_STATE(2406)] = 75469,
  [SMALL_STATE(2407)] = 75485,
  [SMALL_STATE(2408)] = 75501,
  [SMALL_STATE(2409)] = 75515,
  [SMALL_STATE(2410)] = 75531,
  [SMALL_STATE(2411)] = 75547,
  [SMALL_STATE(2412)] = 75561,
  [SMALL_STATE(2413)] = 75577,
  [SMALL_STATE(2414)] = 75591,
  [SMALL_STATE(2415)] = 75607,
  [SMALL_STATE(2416)] = 75623,
  [SMALL_STATE(2417)] = 75639,
  [SMALL_STATE(2418)] = 75655,
  [SMALL_STATE(2419)] = 75671,
  [SMALL_STATE(2420)] = 75685,
  [SMALL_STATE(2421)] = 75701,
  [SMALL_STATE(2422)] = 75715,
  [SMALL_STATE(2423)] = 75729,
  [SMALL_STATE(2424)] = 75745,
  [SMALL_STATE(2425)] = 75759,
  [SMALL_STATE(2426)] = 75773,
  [SMALL_STATE(2427)] = 75787,
  [SMALL_STATE(2428)] = 75803,
  [SMALL_STATE(2429)] = 75817,
  [SMALL_STATE(2430)] = 75831,
  [SMALL_STATE(2431)] = 75845,
  [SMALL_STATE(2432)] = 75861,
  [SMALL_STATE(2433)] = 75875,
  [SMALL_STATE(2434)] = 75891,
  [SMALL_STATE(2435)] = 75905,
  [SMALL_STATE(2436)] = 75921,
  [SMALL_STATE(2437)] = 75935,
  [SMALL_STATE(2438)] = 75951,
  [SMALL_STATE(2439)] = 75967,
  [SMALL_STATE(2440)] = 75983,
  [SMALL_STATE(2441)] = 75999,
  [SMALL_STATE(2442)] = 76013,
  [SMALL_STATE(2443)] = 76029,
  [SMALL_STATE(2444)] = 76045,
  [SMALL_STATE(2445)] = 76061,
  [SMALL_STATE(2446)] = 76075,
  [SMALL_STATE(2447)] = 76091,
  [SMALL_STATE(2448)] = 76107,
  [SMALL_STATE(2449)] = 76123,
  [SMALL_STATE(2450)] = 76139,
  [SMALL_STATE(2451)] = 76155,
  [SMALL_STATE(2452)] = 76169,
  [SMALL_STATE(2453)] = 76183,
  [SMALL_STATE(2454)] = 76199,
  [SMALL_STATE(2455)] = 76213,
  [SMALL_STATE(2456)] = 76227,
  [SMALL_STATE(2457)] = 76243,
  [SMALL_STATE(2458)] = 76259,
  [SMALL_STATE(2459)] = 76275,
  [SMALL_STATE(2460)] = 76291,
  [SMALL_STATE(2461)] = 76307,
  [SMALL_STATE(2462)] = 76320,
  [SMALL_STATE(2463)] = 76333,
  [SMALL_STATE(2464)] = 76346,
  [SMALL_STATE(2465)] = 76359,
  [SMALL_STATE(2466)] = 76372,
  [SMALL_STATE(2467)] = 76385,
  [SMALL_STATE(2468)] = 76398,
  [SMALL_STATE(2469)] = 76411,
  [SMALL_STATE(2470)] = 76424,
  [SMALL_STATE(2471)] = 76437,
  [SMALL_STATE(2472)] = 76450,
  [SMALL_STATE(2473)] = 76463,
  [SMALL_STATE(2474)] = 76476,
  [SMALL_STATE(2475)] = 76489,
  [SMALL_STATE(2476)] = 76502,
  [SMALL_STATE(2477)] = 76515,
  [SMALL_STATE(2478)] = 76528,
  [SMALL_STATE(2479)] = 76541,
  [SMALL_STATE(2480)] = 76554,
  [SMALL_STATE(2481)] = 76567,
  [SMALL_STATE(2482)] = 76580,
  [SMALL_STATE(2483)] = 76593,
  [SMALL_STATE(2484)] = 76606,
  [SMALL_STATE(2485)] = 76619,
  [SMALL_STATE(2486)] = 76632,
  [SMALL_STATE(2487)] = 76645,
  [SMALL_STATE(2488)] = 76658,
  [SMALL_STATE(2489)] = 76671,
  [SMALL_STATE(2490)] = 76684,
  [SMALL_STATE(2491)] = 76697,
  [SMALL_STATE(2492)] = 76710,
  [SMALL_STATE(2493)] = 76723,
  [SMALL_STATE(2494)] = 76736,
  [SMALL_STATE(2495)] = 76749,
  [SMALL_STATE(2496)] = 76762,
  [SMALL_STATE(2497)] = 76775,
  [SMALL_STATE(2498)] = 76788,
  [SMALL_STATE(2499)] = 76801,
  [SMALL_STATE(2500)] = 76814,
  [SMALL_STATE(2501)] = 76827,
  [SMALL_STATE(2502)] = 76840,
  [SMALL_STATE(2503)] = 76853,
  [SMALL_STATE(2504)] = 76866,
  [SMALL_STATE(2505)] = 76879,
  [SMALL_STATE(2506)] = 76892,
  [SMALL_STATE(2507)] = 76905,
  [SMALL_STATE(2508)] = 76918,
  [SMALL_STATE(2509)] = 76931,
  [SMALL_STATE(2510)] = 76944,
  [SMALL_STATE(2511)] = 76957,
  [SMALL_STATE(2512)] = 76970,
  [SMALL_STATE(2513)] = 76983,
  [SMALL_STATE(2514)] = 76996,
  [SMALL_STATE(2515)] = 77009,
  [SMALL_STATE(2516)] = 77022,
  [SMALL_STATE(2517)] = 77035,
  [SMALL_STATE(2518)] = 77048,
  [SMALL_STATE(2519)] = 77061,
  [SMALL_STATE(2520)] = 77074,
  [SMALL_STATE(2521)] = 77087,
  [SMALL_STATE(2522)] = 77100,
  [SMALL_STATE(2523)] = 77113,
  [SMALL_STATE(2524)] = 77126,
  [SMALL_STATE(2525)] = 77139,
  [SMALL_STATE(2526)] = 77152,
  [SMALL_STATE(2527)] = 77165,
  [SMALL_STATE(2528)] = 77178,
  [SMALL_STATE(2529)] = 77191,
  [SMALL_STATE(2530)] = 77204,
  [SMALL_STATE(2531)] = 77217,
  [SMALL_STATE(2532)] = 77230,
  [SMALL_STATE(2533)] = 77243,
  [SMALL_STATE(2534)] = 77256,
  [SMALL_STATE(2535)] = 77269,
  [SMALL_STATE(2536)] = 77282,
  [SMALL_STATE(2537)] = 77295,
  [SMALL_STATE(2538)] = 77308,
  [SMALL_STATE(2539)] = 77321,
  [SMALL_STATE(2540)] = 77334,
  [SMALL_STATE(2541)] = 77347,
  [SMALL_STATE(2542)] = 77360,
  [SMALL_STATE(2543)] = 77373,
  [SMALL_STATE(2544)] = 77386,
  [SMALL_STATE(2545)] = 77399,
  [SMALL_STATE(2546)] = 77412,
  [SMALL_STATE(2547)] = 77425,
  [SMALL_STATE(2548)] = 77438,
  [SMALL_STATE(2549)] = 77451,
  [SMALL_STATE(2550)] = 77464,
  [SMALL_STATE(2551)] = 77477,
  [SMALL_STATE(2552)] = 77490,
  [SMALL_STATE(2553)] = 77503,
  [SMALL_STATE(2554)] = 77516,
  [SMALL_STATE(2555)] = 77529,
  [SMALL_STATE(2556)] = 77542,
  [SMALL_STATE(2557)] = 77555,
  [SMALL_STATE(2558)] = 77568,
  [SMALL_STATE(2559)] = 77581,
  [SMALL_STATE(2560)] = 77594,
  [SMALL_STATE(2561)] = 77607,
  [SMALL_STATE(2562)] = 77620,
  [SMALL_STATE(2563)] = 77633,
  [SMALL_STATE(2564)] = 77646,
  [SMALL_STATE(2565)] = 77659,
  [SMALL_STATE(2566)] = 77672,
  [SMALL_STATE(2567)] = 77685,
  [SMALL_STATE(2568)] = 77698,
  [SMALL_STATE(2569)] = 77711,
  [SMALL_STATE(2570)] = 77724,
  [SMALL_STATE(2571)] = 77737,
  [SMALL_STATE(2572)] = 77750,
  [SMALL_STATE(2573)] = 77763,
  [SMALL_STATE(2574)] = 77776,
  [SMALL_STATE(2575)] = 77789,
  [SMALL_STATE(2576)] = 77802,
  [SMALL_STATE(2577)] = 77815,
  [SMALL_STATE(2578)] = 77828,
  [SMALL_STATE(2579)] = 77841,
  [SMALL_STATE(2580)] = 77854,
  [SMALL_STATE(2581)] = 77867,
  [SMALL_STATE(2582)] = 77880,
  [SMALL_STATE(2583)] = 77893,
  [SMALL_STATE(2584)] = 77906,
  [SMALL_STATE(2585)] = 77919,
  [SMALL_STATE(2586)] = 77932,
  [SMALL_STATE(2587)] = 77945,
  [SMALL_STATE(2588)] = 77958,
  [SMALL_STATE(2589)] = 77971,
  [SMALL_STATE(2590)] = 77984,
  [SMALL_STATE(2591)] = 77997,
  [SMALL_STATE(2592)] = 78010,
  [SMALL_STATE(2593)] = 78023,
  [SMALL_STATE(2594)] = 78036,
  [SMALL_STATE(2595)] = 78049,
  [SMALL_STATE(2596)] = 78062,
  [SMALL_STATE(2597)] = 78075,
  [SMALL_STATE(2598)] = 78088,
  [SMALL_STATE(2599)] = 78101,
  [SMALL_STATE(2600)] = 78114,
  [SMALL_STATE(2601)] = 78127,
  [SMALL_STATE(2602)] = 78140,
  [SMALL_STATE(2603)] = 78153,
  [SMALL_STATE(2604)] = 78166,
  [SMALL_STATE(2605)] = 78179,
  [SMALL_STATE(2606)] = 78192,
  [SMALL_STATE(2607)] = 78205,
  [SMALL_STATE(2608)] = 78218,
  [SMALL_STATE(2609)] = 78231,
  [SMALL_STATE(2610)] = 78244,
  [SMALL_STATE(2611)] = 78257,
  [SMALL_STATE(2612)] = 78270,
  [SMALL_STATE(2613)] = 78283,
  [SMALL_STATE(2614)] = 78296,
  [SMALL_STATE(2615)] = 78309,
  [SMALL_STATE(2616)] = 78322,
  [SMALL_STATE(2617)] = 78335,
  [SMALL_STATE(2618)] = 78348,
  [SMALL_STATE(2619)] = 78361,
  [SMALL_STATE(2620)] = 78374,
  [SMALL_STATE(2621)] = 78387,
  [SMALL_STATE(2622)] = 78400,
  [SMALL_STATE(2623)] = 78413,
  [SMALL_STATE(2624)] = 78426,
  [SMALL_STATE(2625)] = 78439,
  [SMALL_STATE(2626)] = 78452,
  [SMALL_STATE(2627)] = 78465,
  [SMALL_STATE(2628)] = 78478,
  [SMALL_STATE(2629)] = 78491,
  [SMALL_STATE(2630)] = 78504,
  [SMALL_STATE(2631)] = 78517,
  [SMALL_STATE(2632)] = 78530,
  [SMALL_STATE(2633)] = 78543,
  [SMALL_STATE(2634)] = 78556,
  [SMALL_STATE(2635)] = 78569,
  [SMALL_STATE(2636)] = 78582,
  [SMALL_STATE(2637)] = 78595,
  [SMALL_STATE(2638)] = 78608,
  [SMALL_STATE(2639)] = 78621,
  [SMALL_STATE(2640)] = 78634,
  [SMALL_STATE(2641)] = 78647,
  [SMALL_STATE(2642)] = 78660,
  [SMALL_STATE(2643)] = 78673,
  [SMALL_STATE(2644)] = 78686,
  [SMALL_STATE(2645)] = 78699,
  [SMALL_STATE(2646)] = 78712,
  [SMALL_STATE(2647)] = 78725,
  [SMALL_STATE(2648)] = 78738,
  [SMALL_STATE(2649)] = 78751,
  [SMALL_STATE(2650)] = 78764,
  [SMALL_STATE(2651)] = 78777,
  [SMALL_STATE(2652)] = 78790,
  [SMALL_STATE(2653)] = 78803,
  [SMALL_STATE(2654)] = 78816,
  [SMALL_STATE(2655)] = 78829,
  [SMALL_STATE(2656)] = 78842,
  [SMALL_STATE(2657)] = 78855,
  [SMALL_STATE(2658)] = 78868,
  [SMALL_STATE(2659)] = 78881,
  [SMALL_STATE(2660)] = 78894,
  [SMALL_STATE(2661)] = 78907,
  [SMALL_STATE(2662)] = 78920,
  [SMALL_STATE(2663)] = 78933,
  [SMALL_STATE(2664)] = 78946,
  [SMALL_STATE(2665)] = 78959,
  [SMALL_STATE(2666)] = 78972,
  [SMALL_STATE(2667)] = 78985,
  [SMALL_STATE(2668)] = 78998,
  [SMALL_STATE(2669)] = 79002,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [19] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(803),
  [22] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1361),
  [28] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2182),
  [31] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1763),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1485),
  [40] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1167),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2211),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(20),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2649),
  [52] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2647),
  [55] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2645),
  [58] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [60] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [63] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [69] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [72] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [78] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1783),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(93),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2635),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2169),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2633),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2632),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1105),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2224),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2630),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(194),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2227),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(77),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2628),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2627),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2228),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2232),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2233),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(412),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(412),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(566),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(416),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(654),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2622),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(103),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(728),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1091),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1443),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1602),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2162),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1418),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1767),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(286),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(365),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(363),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 133),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 133),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 133),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 133),
  [352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2656),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2278),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2665),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2611),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2271),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(738),
  [868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(881),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2473),
  [990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2446),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 3),
  [995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 3),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2192),
  [1008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(78),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2192),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(78),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2192),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 166),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 166),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 182),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 182),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 153),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 153),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 0),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 0),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 147),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 147),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 0),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 0),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 167),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 167),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 0),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 0),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 175),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 175),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 153),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 153),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 148),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 148),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 167),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 167),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 171),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 171),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 143),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 143),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, 0, 142),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, 0, 142),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, 0, 143),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, 0, 143),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [1658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2512),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1455),
  [1778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(728),
  [1781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2136),
  [1784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2211),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [1795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [1798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1401),
  [1801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [1804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2098),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 93),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 93),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 51),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 51),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 91),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 91),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 50),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 50),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 168),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 168),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 52),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 52),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 92),
  [1893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 92),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 136),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 136),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 137),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 137),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 94),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 94),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 138),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 138),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 137),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 137),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 168),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 168),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 19),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 19),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 53),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 53),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 172),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 172),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 139),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 139),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 144),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 144),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 183),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 183),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 174),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 174),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 173),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 173),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 169),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 169),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 170),
  [2211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 170),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 149),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 149),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1443),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [2286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [2292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [2298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 22),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 21),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 60),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 28),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2, 0, 0),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 162),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 176),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 177),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 178),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 179),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 124),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 118),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 160),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 116),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 114),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 78),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 158),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 157),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 155),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 131),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 184),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 132),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 55),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 54),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 95),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [2621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1460),
  [2624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1588),
  [2627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1167),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [2635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [2638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [2641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [2647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1443),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [2797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1460),
  [2800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1588),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2548),
  [2808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [2811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [2814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [2817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [2823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1443),
  [2826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [2896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1436),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [2901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(381),
  [2906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1573),
  [2909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1573),
  [2912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1436),
  [2915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1721),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 27),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 164),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 165),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 127),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 84),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 9),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [2946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(381),
  [2949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1573),
  [2952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1573),
  [2955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1721),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [2980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(390),
  [2983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1632),
  [2986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1632),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [2991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1770),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 74),
  [3012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(300),
  [3015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1627),
  [3018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1627),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1758),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 0),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 85),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 39),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 126),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 83),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 40),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1, 0, 0),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1, 0, 0),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 185),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 180),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 163),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 181),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 39),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 180),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 11),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 163),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [3088] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3095] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1, 0, 0),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [3171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [3219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1357),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2644),
  [3382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2438),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [3391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [3398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2258),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [3405] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1356),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [3431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [3475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2427),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(80),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2427),
  [3490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(80),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1991),
  [3540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [3581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [3593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2427),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [3625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1351),
  [3628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1353),
  [3631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1358),
  [3634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1360),
  [3637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [3642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 34),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [3658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [3668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2508),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [3699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90), SHIFT_REPEAT(2282),
  [3702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 13),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 0),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [3766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1457),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2508),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1843),
  [3797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1843),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [3802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2508),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [3811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1781),
  [3814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1781),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1, 0, 0),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [3839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [3847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 2),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [3861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2054),
  [3866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [3884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1550),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2121),
  [3900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1, 0, 0),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1356),
  [3921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1650),
  [3926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [3930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1356),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [3941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1452),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1954),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1956),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2, 0, 0),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [3991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [3999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1463),
  [4002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [4004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [4052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 123),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 2),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 15),
  [4078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 121),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 120),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 0),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [4104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 79),
  [4106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2, 0, 0),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [4112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 115),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [4124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 36),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 33),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [4182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 26),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 109),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 135),
  [4217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3, 0, 0),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2, 0, 0),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [4223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 6),
  [4225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 29),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 57),
  [4231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 30),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 31),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 32),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [4251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1, 0, 0),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 4),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [4261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1676),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0),
  [4266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [4269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 159),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 49),
  [4285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1790),
  [4306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 48),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(819),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 49),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [4341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [4348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 49),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 77),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [4360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 135),
  [4362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [4371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 76),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 75),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [4385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [4389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 73),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [4395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(735),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 71),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 70),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 67),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 69),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1, 0, 0), SHIFT(2202),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [4477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 72),
  [4483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 74),
  [4485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0), SHIFT(2202),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 161),
  [4523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3, 0, 0),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [4577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 134),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 11),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2512),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [4645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 4),
  [4647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [4661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 117),
  [4663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2, 0, 0),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 122),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [4755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4, 0, 0),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [4803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 99),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [4823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 42),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [4835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 152),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 16),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 3),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [4953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1, 0, 0),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 58),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 66),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4997] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2, 0, 0),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [12] = {
    [ts_external_token_heredoc_end] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
