#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2627
#define LARGE_STATE_COUNT 565
#define SYMBOL_COUNT 406
#define ALIAS_COUNT 0
#define TOKEN_COUNT 192
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 26
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 186

enum ts_symbol_identifiers {
  sym_name = 1,
  anon_sym_QMARK_GT = 2,
  sym_php_tag = 3,
  aux_sym_text_token1 = 4,
  anon_sym_SEMI = 5,
  anon_sym_AMP = 6,
  aux_sym_function_static_declaration_token1 = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  aux_sym_global_declaration_token1 = 10,
  aux_sym_namespace_definition_token1 = 11,
  aux_sym_namespace_use_declaration_token1 = 12,
  aux_sym_namespace_use_declaration_token2 = 13,
  aux_sym_namespace_use_declaration_token3 = 14,
  anon_sym_BSLASH = 15,
  aux_sym_namespace_aliasing_clause_token1 = 16,
  anon_sym_LBRACE = 17,
  anon_sym_RBRACE = 18,
  aux_sym_trait_declaration_token1 = 19,
  aux_sym_interface_declaration_token1 = 20,
  aux_sym_base_clause_token1 = 21,
  aux_sym_enum_declaration_token1 = 22,
  anon_sym_COLON = 23,
  anon_sym_string = 24,
  anon_sym_int = 25,
  aux_sym_enum_case_token1 = 26,
  aux_sym_class_declaration_token1 = 27,
  aux_sym_final_modifier_token1 = 28,
  aux_sym_abstract_modifier_token1 = 29,
  aux_sym_readonly_modifier_token1 = 30,
  aux_sym_class_interface_clause_token1 = 31,
  sym_var_modifier = 32,
  aux_sym_use_instead_of_clause_token1 = 33,
  aux_sym_visibility_modifier_token1 = 34,
  aux_sym_visibility_modifier_token2 = 35,
  aux_sym_visibility_modifier_token3 = 36,
  aux_sym__arrow_function_header_token1 = 37,
  anon_sym_EQ_GT = 38,
  anon_sym_LPAREN = 39,
  anon_sym_RPAREN = 40,
  anon_sym_DOT_DOT_DOT = 41,
  anon_sym_QMARK = 42,
  sym_bottom_type = 43,
  anon_sym_PIPE = 44,
  anon_sym_array = 45,
  aux_sym_primitive_type_token1 = 46,
  anon_sym_iterable = 47,
  anon_sym_bool = 48,
  anon_sym_float = 49,
  anon_sym_void = 50,
  anon_sym_mixed = 51,
  anon_sym_false = 52,
  anon_sym_null = 53,
  anon_sym_true = 54,
  aux_sym_cast_type_token1 = 55,
  aux_sym_cast_type_token2 = 56,
  aux_sym_cast_type_token3 = 57,
  aux_sym_cast_type_token4 = 58,
  aux_sym_cast_type_token5 = 59,
  aux_sym_cast_type_token6 = 60,
  aux_sym_cast_type_token7 = 61,
  aux_sym_cast_type_token8 = 62,
  aux_sym_cast_type_token9 = 63,
  aux_sym_cast_type_token10 = 64,
  aux_sym_cast_type_token11 = 65,
  aux_sym_cast_type_token12 = 66,
  aux_sym_echo_statement_token1 = 67,
  aux_sym_exit_statement_token1 = 68,
  anon_sym_unset = 69,
  aux_sym_declare_statement_token1 = 70,
  aux_sym_declare_statement_token2 = 71,
  anon_sym_ticks = 72,
  anon_sym_encoding = 73,
  anon_sym_strict_types = 74,
  sym_float = 75,
  aux_sym_try_statement_token1 = 76,
  aux_sym_catch_clause_token1 = 77,
  aux_sym_finally_clause_token1 = 78,
  aux_sym_goto_statement_token1 = 79,
  aux_sym_continue_statement_token1 = 80,
  aux_sym_break_statement_token1 = 81,
  sym_integer = 82,
  aux_sym_return_statement_token1 = 83,
  aux_sym_throw_expression_token1 = 84,
  aux_sym_while_statement_token1 = 85,
  aux_sym_while_statement_token2 = 86,
  aux_sym_do_statement_token1 = 87,
  aux_sym_for_statement_token1 = 88,
  aux_sym_for_statement_token2 = 89,
  aux_sym_foreach_statement_token1 = 90,
  aux_sym_foreach_statement_token2 = 91,
  aux_sym_if_statement_token1 = 92,
  aux_sym_if_statement_token2 = 93,
  aux_sym_else_if_clause_token1 = 94,
  aux_sym_else_clause_token1 = 95,
  aux_sym_match_expression_token1 = 96,
  aux_sym_match_default_expression_token1 = 97,
  aux_sym_switch_statement_token1 = 98,
  aux_sym_switch_block_token1 = 99,
  anon_sym_PLUS = 100,
  anon_sym_DASH = 101,
  anon_sym_TILDE = 102,
  anon_sym_BANG = 103,
  anon_sym_AT = 104,
  aux_sym_clone_expression_token1 = 105,
  anon_sym_COLON_COLON = 106,
  aux_sym_print_intrinsic_token1 = 107,
  aux_sym_object_creation_expression_token1 = 108,
  anon_sym_DASH_DASH = 109,
  anon_sym_PLUS_PLUS = 110,
  anon_sym_STAR_STAR_EQ = 111,
  anon_sym_STAR_EQ = 112,
  anon_sym_SLASH_EQ = 113,
  anon_sym_PERCENT_EQ = 114,
  anon_sym_PLUS_EQ = 115,
  anon_sym_DASH_EQ = 116,
  anon_sym_DOT_EQ = 117,
  anon_sym_LT_LT_EQ = 118,
  anon_sym_GT_GT_EQ = 119,
  anon_sym_AMP_EQ = 120,
  anon_sym_CARET_EQ = 121,
  anon_sym_PIPE_EQ = 122,
  anon_sym_QMARK_QMARK_EQ = 123,
  anon_sym_DASH_GT = 124,
  anon_sym_QMARK_DASH_GT = 125,
  aux_sym__list_destructing_token1 = 126,
  anon_sym_LBRACK = 127,
  anon_sym_RBRACK = 128,
  anon_sym_self = 129,
  anon_sym_parent = 130,
  aux_sym__argument_name_token1 = 131,
  aux_sym__argument_name_token2 = 132,
  anon_sym_POUND_LBRACK = 133,
  sym_escape_sequence = 134,
  anon_sym_BSLASHu = 135,
  aux_sym_encapsed_string_token1 = 136,
  anon_sym_DQUOTE = 137,
  aux_sym_string_token1 = 138,
  anon_sym_SQUOTE = 139,
  aux_sym_string_token2 = 140,
  aux_sym_string_content_token1 = 141,
  anon_sym_LT_LT_LT = 142,
  anon_sym_DQUOTE2 = 143,
  sym__new_line = 144,
  anon_sym_SQUOTE2 = 145,
  anon_sym_BQUOTE = 146,
  anon_sym_DOLLAR = 147,
  aux_sym_yield_expression_token1 = 148,
  aux_sym_yield_expression_token2 = 149,
  aux_sym_binary_expression_token1 = 150,
  anon_sym_QMARK_QMARK = 151,
  anon_sym_STAR_STAR = 152,
  aux_sym_binary_expression_token2 = 153,
  aux_sym_binary_expression_token3 = 154,
  aux_sym_binary_expression_token4 = 155,
  anon_sym_PIPE_PIPE = 156,
  anon_sym_AMP_AMP = 157,
  anon_sym_CARET = 158,
  anon_sym_EQ_EQ = 159,
  anon_sym_BANG_EQ = 160,
  anon_sym_LT_GT = 161,
  anon_sym_EQ_EQ_EQ = 162,
  anon_sym_BANG_EQ_EQ = 163,
  anon_sym_LT = 164,
  anon_sym_GT = 165,
  anon_sym_LT_EQ = 166,
  anon_sym_GT_EQ = 167,
  anon_sym_LT_EQ_GT = 168,
  anon_sym_LT_LT = 169,
  anon_sym_GT_GT = 170,
  anon_sym_DOT = 171,
  anon_sym_STAR = 172,
  anon_sym_SLASH = 173,
  anon_sym_PERCENT = 174,
  aux_sym_include_expression_token1 = 175,
  aux_sym_include_once_expression_token1 = 176,
  aux_sym_require_expression_token1 = 177,
  aux_sym_require_once_expression_token1 = 178,
  sym_comment = 179,
  sym__automatic_semicolon = 180,
  sym_encapsed_string_chars = 181,
  sym_encapsed_string_chars_after_variable = 182,
  sym_execution_string_chars = 183,
  sym_execution_string_chars_after_variable = 184,
  sym_encapsed_string_chars_heredoc = 185,
  sym_encapsed_string_chars_after_variable_heredoc = 186,
  sym__eof = 187,
  sym_heredoc_start = 188,
  sym_heredoc_end = 189,
  sym_nowdoc_string = 190,
  sym_sentinel_error = 191,
  sym_program = 192,
  sym_statement = 193,
  sym_empty_statement = 194,
  sym_reference_modifier = 195,
  sym_function_static_declaration = 196,
  sym_static_variable_declaration = 197,
  sym_global_declaration = 198,
  sym_namespace_definition = 199,
  sym_namespace_use_declaration = 200,
  sym_namespace_use_clause = 201,
  sym_qualified_name = 202,
  sym_namespace_name_as_prefix = 203,
  sym_namespace_name = 204,
  sym_namespace_aliasing_clause = 205,
  sym_namespace_use_group = 206,
  sym_namespace_use_group_clause = 207,
  sym_trait_declaration = 208,
  sym_interface_declaration = 209,
  sym_base_clause = 210,
  sym_enum_declaration = 211,
  sym_enum_declaration_list = 212,
  sym__enum_member_declaration = 213,
  sym_enum_case = 214,
  sym_class_declaration = 215,
  sym_declaration_list = 216,
  sym_final_modifier = 217,
  sym_abstract_modifier = 218,
  sym_readonly_modifier = 219,
  sym_class_interface_clause = 220,
  sym__member_declaration = 221,
  sym_const_declaration = 222,
  sym__class_const_declaration = 223,
  sym__const_declaration = 224,
  sym_property_declaration = 225,
  sym__modifier = 226,
  sym_property_element = 227,
  sym_property_initializer = 228,
  sym_method_declaration = 229,
  sym_static_modifier = 230,
  sym_use_declaration = 231,
  sym_use_list = 232,
  sym_use_instead_of_clause = 233,
  sym_use_as_clause = 234,
  sym_visibility_modifier = 235,
  sym_function_definition = 236,
  sym__function_definition_header = 237,
  sym__arrow_function_header = 238,
  sym_arrow_function = 239,
  sym_formal_parameters = 240,
  sym_property_promotion_parameter = 241,
  sym_simple_parameter = 242,
  sym_variadic_parameter = 243,
  sym_type = 244,
  sym__types = 245,
  sym_named_type = 246,
  sym_optional_type = 247,
  sym_union_type = 248,
  sym_intersection_type = 249,
  sym_disjunctive_normal_form_type = 250,
  sym_primitive_type = 251,
  sym_cast_type = 252,
  sym__return_type = 253,
  sym_const_element = 254,
  sym_echo_statement = 255,
  sym_exit_statement = 256,
  sym_unset_statement = 257,
  sym_declare_statement = 258,
  sym_declare_directive = 259,
  sym_literal = 260,
  sym_try_statement = 261,
  sym_catch_clause = 262,
  sym_type_list = 263,
  sym_finally_clause = 264,
  sym_goto_statement = 265,
  sym_continue_statement = 266,
  sym_break_statement = 267,
  sym_return_statement = 268,
  sym_throw_expression = 269,
  sym_while_statement = 270,
  sym_do_statement = 271,
  sym_for_statement = 272,
  sym__expressions = 273,
  sym_sequence_expression = 274,
  sym_foreach_statement = 275,
  sym_foreach_pair = 276,
  sym_if_statement = 277,
  sym_colon_block = 278,
  sym_else_if_clause = 279,
  sym_else_clause = 280,
  sym_else_if_clause_2 = 281,
  sym_else_clause_2 = 282,
  sym_match_expression = 283,
  sym_match_block = 284,
  sym_match_condition_list = 285,
  sym_match_conditional_expression = 286,
  sym_match_default_expression = 287,
  sym_switch_statement = 288,
  sym_switch_block = 289,
  sym_case_statement = 290,
  sym_default_statement = 291,
  sym_compound_statement = 292,
  sym_named_label_statement = 293,
  sym_expression_statement = 294,
  sym_expression = 295,
  sym__unary_expression = 296,
  sym_unary_op_expression = 297,
  sym_error_suppression_expression = 298,
  sym_clone_expression = 299,
  sym_primary_expression = 300,
  sym_parenthesized_expression = 301,
  sym_class_constant_access_expression = 302,
  sym_print_intrinsic = 303,
  sym_anonymous_function_creation_expression = 304,
  sym_anonymous_function_use_clause = 305,
  sym_object_creation_expression = 306,
  sym_update_expression = 307,
  sym_cast_expression = 308,
  sym_cast_variable = 309,
  sym_assignment_expression = 310,
  sym_reference_assignment_expression = 311,
  sym_conditional_expression = 312,
  sym_augmented_assignment_expression = 313,
  sym_member_access_expression = 314,
  sym_nullsafe_member_access_expression = 315,
  sym_scoped_property_access_expression = 316,
  sym_list_literal = 317,
  sym__list_destructing = 318,
  sym__array_destructing = 319,
  sym__array_destructing_element = 320,
  sym_function_call_expression = 321,
  sym_scoped_call_expression = 322,
  sym__scope_resolution_qualifier = 323,
  sym_relative_scope = 324,
  sym_variadic_placeholder = 325,
  sym_arguments = 326,
  sym_argument = 327,
  sym__argument_name = 328,
  sym_member_call_expression = 329,
  sym_nullsafe_member_call_expression = 330,
  sym_variadic_unpacking = 331,
  sym_subscript_expression = 332,
  sym__dereferencable_expression = 333,
  sym_array_creation_expression = 334,
  sym_attribute_group = 335,
  sym_attribute_list = 336,
  sym_attribute = 337,
  sym__complex_string_part = 338,
  sym__simple_string_member_access_expression = 339,
  sym__simple_string_subscript_unary_expression = 340,
  sym__simple_string_array_access_argument = 341,
  sym__simple_string_subscript_expression = 342,
  sym__simple_string_part = 343,
  aux_sym__interpolated_string_body = 344,
  aux_sym__interpolated_string_body_heredoc = 345,
  sym_encapsed_string = 346,
  sym_string = 347,
  sym_string_content = 348,
  sym_heredoc_body = 349,
  sym_heredoc = 350,
  sym_nowdoc_body = 351,
  sym_nowdoc = 352,
  aux_sym__interpolated_execution_operator_body = 353,
  sym_shell_command_expression = 354,
  sym_boolean = 355,
  sym_null = 356,
  sym__string = 357,
  sym_dynamic_variable_name = 358,
  sym_variable_name = 359,
  sym_variable_reference = 360,
  sym_by_ref = 361,
  sym_yield_expression = 362,
  sym_array_element_initializer = 363,
  sym_binary_expression = 364,
  sym_include_expression = 365,
  sym_include_once_expression = 366,
  sym_require_expression = 367,
  sym_require_once_expression = 368,
  sym__reserved_identifier = 369,
  aux_sym_program_repeat1 = 370,
  aux_sym_function_static_declaration_repeat1 = 371,
  aux_sym_global_declaration_repeat1 = 372,
  aux_sym_namespace_use_declaration_repeat1 = 373,
  aux_sym_namespace_name_repeat1 = 374,
  aux_sym_namespace_use_group_repeat1 = 375,
  aux_sym_base_clause_repeat1 = 376,
  aux_sym_enum_declaration_list_repeat1 = 377,
  aux_sym_class_declaration_repeat1 = 378,
  aux_sym_declaration_list_repeat1 = 379,
  aux_sym__const_declaration_repeat1 = 380,
  aux_sym_property_declaration_repeat1 = 381,
  aux_sym_use_list_repeat1 = 382,
  aux_sym_formal_parameters_repeat1 = 383,
  aux_sym_union_type_repeat1 = 384,
  aux_sym_intersection_type_repeat1 = 385,
  aux_sym_disjunctive_normal_form_type_repeat1 = 386,
  aux_sym_unset_statement_repeat1 = 387,
  aux_sym_try_statement_repeat1 = 388,
  aux_sym_type_list_repeat1 = 389,
  aux_sym_if_statement_repeat1 = 390,
  aux_sym_if_statement_repeat2 = 391,
  aux_sym_match_block_repeat1 = 392,
  aux_sym_match_condition_list_repeat1 = 393,
  aux_sym_switch_block_repeat1 = 394,
  aux_sym_anonymous_function_use_clause_repeat1 = 395,
  aux_sym__list_destructing_repeat1 = 396,
  aux_sym__array_destructing_repeat1 = 397,
  aux_sym_arguments_repeat1 = 398,
  aux_sym_array_creation_expression_repeat1 = 399,
  aux_sym_attribute_group_repeat1 = 400,
  aux_sym_attribute_list_repeat1 = 401,
  aux_sym_string_repeat1 = 402,
  aux_sym_string_content_repeat1 = 403,
  aux_sym_heredoc_body_repeat1 = 404,
  aux_sym_nowdoc_body_repeat1 = 405,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [anon_sym_QMARK_GT] = "\?>",
  [sym_php_tag] = "php_tag",
  [aux_sym_text_token1] = "text_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [sym_php_tag] = sym_php_tag,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attributes = 4,
  field_body = 5,
  field_condition = 6,
  field_conditional_expressions = 7,
  field_default_value = 8,
  field_end_tag = 9,
  field_function = 10,
  field_identifier = 11,
  field_left = 12,
  field_name = 13,
  field_object = 14,
  field_operator = 15,
  field_parameters = 16,
  field_readonly = 17,
  field_reference_modifier = 18,
  field_return_expression = 19,
  field_return_type = 20,
  field_right = 21,
  field_scope = 22,
  field_static_modifier = 23,
  field_type = 24,
  field_value = 25,
  field_visibility = 26,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 4},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [18] = {.index = 27, .length = 2},
  [19] = {.index = 29, .length = 2},
  [20] = {.index = 31, .length = 1},
  [21] = {.index = 32, .length = 5},
  [22] = {.index = 37, .length = 3},
  [23] = {.index = 40, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 5},
  [28] = {.index = 53, .length = 2},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 2},
  [35] = {.index = 68, .length = 3},
  [36] = {.index = 71, .length = 1},
  [37] = {.index = 72, .length = 3},
  [38] = {.index = 75, .length = 2},
  [39] = {.index = 77, .length = 1},
  [40] = {.index = 78, .length = 2},
  [41] = {.index = 80, .length = 2},
  [42] = {.index = 82, .length = 3},
  [43] = {.index = 85, .length = 2},
  [44] = {.index = 87, .length = 1},
  [45] = {.index = 88, .length = 3},
  [46] = {.index = 91, .length = 3},
  [47] = {.index = 94, .length = 1},
  [50] = {.index = 95, .length = 2},
  [51] = {.index = 97, .length = 3},
  [52] = {.index = 100, .length = 2},
  [53] = {.index = 1, .length = 1},
  [54] = {.index = 102, .length = 1},
  [55] = {.index = 103, .length = 1},
  [56] = {.index = 104, .length = 3},
  [57] = {.index = 107, .length = 2},
  [58] = {.index = 109, .length = 2},
  [59] = {.index = 111, .length = 2},
  [60] = {.index = 113, .length = 2},
  [61] = {.index = 115, .length = 3},
  [62] = {.index = 118, .length = 3},
  [63] = {.index = 121, .length = 3},
  [64] = {.index = 124, .length = 3},
  [65] = {.index = 127, .length = 3},
  [66] = {.index = 130, .length = 3},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 2},
  [69] = {.index = 137, .length = 2},
  [70] = {.index = 139, .length = 3},
  [71] = {.index = 142, .length = 3},
  [72] = {.index = 145, .length = 2},
  [73] = {.index = 147, .length = 3},
  [74] = {.index = 150, .length = 2},
  [75] = {.index = 152, .length = 3},
  [76] = {.index = 155, .length = 3},
  [77] = {.index = 158, .length = 3},
  [78] = {.index = 161, .length = 2},
  [79] = {.index = 163, .length = 3},
  [80] = {.index = 166, .length = 4},
  [81] = {.index = 170, .length = 3},
  [82] = {.index = 173, .length = 3},
  [83] = {.index = 176, .length = 1},
  [84] = {.index = 177, .length = 3},
  [85] = {.index = 180, .length = 2},
  [86] = {.index = 182, .length = 2},
  [87] = {.index = 182, .length = 2},
  [88] = {.index = 184, .length = 2},
  [89] = {.index = 186, .length = 4},
  [90] = {.index = 190, .length = 2},
  [91] = {.index = 192, .length = 3},
  [92] = {.index = 195, .length = 3},
  [93] = {.index = 198, .length = 2},
  [94] = {.index = 200, .length = 3},
  [95] = {.index = 203, .length = 2},
  [96] = {.index = 205, .length = 4},
  [97] = {.index = 209, .length = 4},
  [98] = {.index = 213, .length = 3},
  [99] = {.index = 216, .length = 3},
  [100] = {.index = 219, .length = 3},
  [102] = {.index = 222, .length = 2},
  [103] = {.index = 224, .length = 4},
  [104] = {.index = 228, .length = 4},
  [105] = {.index = 232, .length = 3},
  [106] = {.index = 235, .length = 3},
  [107] = {.index = 238, .length = 4},
  [108] = {.index = 242, .length = 4},
  [109] = {.index = 246, .length = 3},
  [110] = {.index = 249, .length = 3},
  [111] = {.index = 252, .length = 3},
  [112] = {.index = 255, .length = 1},
  [113] = {.index = 256, .length = 2},
  [114] = {.index = 258, .length = 3},
  [115] = {.index = 261, .length = 4},
  [116] = {.index = 265, .length = 3},
  [117] = {.index = 268, .length = 3},
  [118] = {.index = 271, .length = 3},
  [119] = {.index = 274, .length = 3},
  [120] = {.index = 277, .length = 4},
  [121] = {.index = 281, .length = 4},
  [122] = {.index = 285, .length = 3},
  [123] = {.index = 288, .length = 4},
  [124] = {.index = 292, .length = 3},
  [125] = {.index = 295, .length = 4},
  [126] = {.index = 299, .length = 2},
  [127] = {.index = 301, .length = 4},
  [128] = {.index = 305, .length = 3},
  [129] = {.index = 308, .length = 4},
  [130] = {.index = 312, .length = 2},
  [131] = {.index = 314, .length = 1},
  [132] = {.index = 315, .length = 2},
  [133] = {.index = 317, .length = 1},
  [136] = {.index = 318, .length = 3},
  [137] = {.index = 321, .length = 3},
  [138] = {.index = 324, .length = 3},
  [139] = {.index = 327, .length = 5},
  [140] = {.index = 332, .length = 4},
  [141] = {.index = 336, .length = 4},
  [142] = {.index = 340, .length = 3},
  [143] = {.index = 343, .length = 3},
  [144] = {.index = 346, .length = 5},
  [145] = {.index = 351, .length = 4},
  [146] = {.index = 355, .length = 4},
  [147] = {.index = 359, .length = 3},
  [148] = {.index = 359, .length = 3},
  [149] = {.index = 362, .length = 5},
  [150] = {.index = 367, .length = 5},
  [151] = {.index = 372, .length = 4},
  [152] = {.index = 376, .length = 4},
  [153] = {.index = 380, .length = 3},
  [154] = {.index = 383, .length = 2},
  [155] = {.index = 385, .length = 4},
  [156] = {.index = 389, .length = 4},
  [157] = {.index = 393, .length = 4},
  [158] = {.index = 397, .length = 4},
  [159] = {.index = 401, .length = 5},
  [160] = {.index = 406, .length = 4},
  [161] = {.index = 410, .length = 4},
  [162] = {.index = 414, .length = 4},
  [163] = {.index = 418, .length = 1},
  [164] = {.index = 419, .length = 4},
  [165] = {.index = 423, .length = 5},
  [166] = {.index = 428, .length = 2},
  [167] = {.index = 430, .length = 1},
  [168] = {.index = 431, .length = 3},
  [169] = {.index = 434, .length = 5},
  [170] = {.index = 439, .length = 5},
  [171] = {.index = 444, .length = 3},
  [172] = {.index = 447, .length = 6},
  [173] = {.index = 453, .length = 5},
  [174] = {.index = 458, .length = 5},
  [175] = {.index = 463, .length = 3},
  [176] = {.index = 466, .length = 5},
  [177] = {.index = 471, .length = 5},
  [178] = {.index = 476, .length = 5},
  [179] = {.index = 481, .length = 5},
  [180] = {.index = 486, .length = 2},
  [181] = {.index = 488, .length = 2},
  [182] = {.index = 490, .length = 3},
  [183] = {.index = 493, .length = 6},
  [184] = {.index = 499, .length = 6},
  [185] = {.index = 505, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [8] =
    {field_arguments, 1},
    {field_function, 0},
  [10] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [14] =
    {field_argument, 0},
    {field_operator, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_body, 2},
    {field_name, 1},
  [19] =
    {field_name, 1},
    {field_parameters, 2},
  [21] =
    {field_body, 2},
    {field_parameters, 1},
  [23] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [25] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [27] =
    {field_body, 2},
    {field_condition, 1},
  [29] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [31] =
    {field_parameters, 2},
  [32] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [37] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [40] =
    {field_left, 0},
    {field_right, 2},
  [42] =
    {field_name, 2},
    {field_scope, 0},
  [44] =
    {field_name, 2},
    {field_object, 0},
  [46] =
    {field_attributes, 0},
    {field_parameters, 2},
  [48] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [53] =
    {field_name, 0},
    {field_value, 2},
  [55] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [57] =
    {field_name, 1},
    {field_visibility, 0},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_attributes, 0},
    {field_name, 1},
  [63] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [66] =
    {field_name, 2},
    {field_parameters, 3},
  [68] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [71] =
    {field_return_type, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_type, 1},
  [78] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [80] =
    {field_body, 3},
    {field_name, 1},
  [82] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [85] =
    {field_type, 1},
    {field_value, 3},
  [87] =
    {field_alternative, 0},
  [88] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [91] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [94] =
    {field_attributes, 1},
  [95] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [97] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [100] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [102] =
    {field_reference_modifier, 0},
  [103] =
    {field_name, 0, .inherited = true},
  [104] =
    {field_body, 3},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [107] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [109] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [111] =
    {field_alternative, 3},
    {field_condition, 0},
  [113] =
    {field_left, 0},
    {field_right, 3},
  [115] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [118] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [121] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [124] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [127] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [130] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
  [135] =
    {field_body, 3},
    {field_name, 2},
  [137] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [139] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [142] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [145] =
    {field_name, 2},
    {field_type, 0},
  [147] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [150] =
    {field_attributes, 0},
    {field_name, 2},
  [152] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [155] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [161] =
    {field_default_value, 2},
    {field_name, 0},
  [163] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [166] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [170] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [173] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [176] =
    {field_type, 1, .inherited = true},
  [177] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [180] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [182] =
    {field_body, 4},
    {field_name, 1},
  [184] =
    {field_body, 1},
    {field_condition, 3},
  [186] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [190] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [192] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [195] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [198] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [200] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [203] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [205] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [209] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [213] =
    {field_body, 4},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [216] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [219] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [222] =
    {field_name, 3},
    {field_object, 0},
  [224] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [228] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [235] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [238] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [242] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [246] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [249] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [252] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [255] =
    {field_type, 2},
  [256] =
    {field_body, 4},
    {field_name, 2},
  [258] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [261] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [265] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [268] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [274] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [277] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [281] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [285] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [288] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [292] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [295] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [299] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [301] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [305] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [308] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [312] =
    {field_body, 5},
    {field_name, 1},
  [314] =
    {field_return_expression, 2},
  [315] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [317] =
    {field_value, 1},
  [318] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [321] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [324] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [327] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [332] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [336] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [340] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [343] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [346] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [351] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [355] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [359] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [362] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [367] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [372] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [376] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [380] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [383] =
    {field_body, 5},
    {field_name, 2},
  [385] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [389] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [393] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [397] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [401] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [406] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [410] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [414] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [418] =
    {field_attributes, 0},
  [419] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [423] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [428] =
    {field_body, 4},
    {field_type, 2},
  [430] =
    {field_body, 6},
  [431] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [434] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [439] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [444] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [447] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [453] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [458] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [463] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [466] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [471] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [476] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [481] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [486] =
    {field_attributes, 0},
    {field_type, 2},
  [488] =
    {field_name, 1},
    {field_value, 3},
  [490] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [493] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [499] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [505] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_list_literal,
  },
  [17] = {
    [0] = anon_sym_array,
  },
  [48] = {
    [1] = sym_list_literal,
  },
  [49] = {
    [2] = sym_list_literal,
  },
  [53] = {
    [0] = sym_name,
  },
  [86] = {
    [3] = sym_primitive_type,
  },
  [101] = {
    [3] = sym_name,
  },
  [130] = {
    [3] = sym_primitive_type,
  },
  [134] = {
    [3] = sym_list_literal,
  },
  [135] = {
    [4] = sym_list_literal,
  },
  [147] = {
    [4] = sym_primitive_type,
  },
  [171] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 7,
  [10] = 10,
  [11] = 10,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 15,
  [17] = 15,
  [18] = 15,
  [19] = 19,
  [20] = 20,
  [21] = 19,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 25,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 23,
  [35] = 23,
  [36] = 36,
  [37] = 29,
  [38] = 38,
  [39] = 25,
  [40] = 27,
  [41] = 28,
  [42] = 22,
  [43] = 43,
  [44] = 20,
  [45] = 24,
  [46] = 46,
  [47] = 47,
  [48] = 38,
  [49] = 49,
  [50] = 36,
  [51] = 38,
  [52] = 26,
  [53] = 27,
  [54] = 22,
  [55] = 36,
  [56] = 23,
  [57] = 49,
  [58] = 19,
  [59] = 19,
  [60] = 25,
  [61] = 27,
  [62] = 47,
  [63] = 22,
  [64] = 43,
  [65] = 43,
  [66] = 46,
  [67] = 20,
  [68] = 38,
  [69] = 33,
  [70] = 36,
  [71] = 20,
  [72] = 43,
  [73] = 32,
  [74] = 31,
  [75] = 75,
  [76] = 75,
  [77] = 77,
  [78] = 78,
  [79] = 77,
  [80] = 78,
  [81] = 77,
  [82] = 77,
  [83] = 83,
  [84] = 83,
  [85] = 83,
  [86] = 83,
  [87] = 87,
  [88] = 87,
  [89] = 87,
  [90] = 87,
  [91] = 91,
  [92] = 87,
  [93] = 91,
  [94] = 87,
  [95] = 91,
  [96] = 91,
  [97] = 87,
  [98] = 91,
  [99] = 99,
  [100] = 100,
  [101] = 99,
  [102] = 99,
  [103] = 99,
  [104] = 100,
  [105] = 100,
  [106] = 99,
  [107] = 100,
  [108] = 99,
  [109] = 99,
  [110] = 100,
  [111] = 99,
  [112] = 112,
  [113] = 113,
  [114] = 112,
  [115] = 115,
  [116] = 113,
  [117] = 115,
  [118] = 113,
  [119] = 115,
  [120] = 113,
  [121] = 113,
  [122] = 115,
  [123] = 115,
  [124] = 124,
  [125] = 113,
  [126] = 115,
  [127] = 113,
  [128] = 115,
  [129] = 124,
  [130] = 115,
  [131] = 113,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 133,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 137,
  [140] = 132,
  [141] = 136,
  [142] = 138,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 143,
  [147] = 144,
  [148] = 148,
  [149] = 149,
  [150] = 148,
  [151] = 151,
  [152] = 149,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 157,
  [159] = 159,
  [160] = 159,
  [161] = 161,
  [162] = 162,
  [163] = 159,
  [164] = 157,
  [165] = 165,
  [166] = 156,
  [167] = 167,
  [168] = 167,
  [169] = 156,
  [170] = 161,
  [171] = 162,
  [172] = 165,
  [173] = 157,
  [174] = 165,
  [175] = 167,
  [176] = 159,
  [177] = 162,
  [178] = 161,
  [179] = 167,
  [180] = 161,
  [181] = 165,
  [182] = 156,
  [183] = 162,
  [184] = 184,
  [185] = 185,
  [186] = 185,
  [187] = 187,
  [188] = 184,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 189,
  [193] = 193,
  [194] = 189,
  [195] = 189,
  [196] = 196,
  [197] = 190,
  [198] = 191,
  [199] = 189,
  [200] = 200,
  [201] = 189,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 202,
  [206] = 204,
  [207] = 202,
  [208] = 208,
  [209] = 203,
  [210] = 202,
  [211] = 204,
  [212] = 202,
  [213] = 202,
  [214] = 203,
  [215] = 215,
  [216] = 204,
  [217] = 203,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 220,
  [222] = 215,
  [223] = 215,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 233,
  [237] = 237,
  [238] = 232,
  [239] = 224,
  [240] = 230,
  [241] = 227,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 242,
  [257] = 257,
  [258] = 225,
  [259] = 224,
  [260] = 260,
  [261] = 228,
  [262] = 229,
  [263] = 243,
  [264] = 234,
  [265] = 235,
  [266] = 266,
  [267] = 267,
  [268] = 237,
  [269] = 269,
  [270] = 270,
  [271] = 266,
  [272] = 270,
  [273] = 273,
  [274] = 244,
  [275] = 269,
  [276] = 276,
  [277] = 267,
  [278] = 245,
  [279] = 246,
  [280] = 247,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 273,
  [285] = 285,
  [286] = 248,
  [287] = 260,
  [288] = 249,
  [289] = 255,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 250,
  [294] = 251,
  [295] = 290,
  [296] = 252,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 273,
  [301] = 267,
  [302] = 253,
  [303] = 254,
  [304] = 225,
  [305] = 269,
  [306] = 306,
  [307] = 233,
  [308] = 232,
  [309] = 230,
  [310] = 227,
  [311] = 242,
  [312] = 243,
  [313] = 244,
  [314] = 245,
  [315] = 246,
  [316] = 247,
  [317] = 248,
  [318] = 249,
  [319] = 319,
  [320] = 320,
  [321] = 250,
  [322] = 251,
  [323] = 252,
  [324] = 253,
  [325] = 237,
  [326] = 254,
  [327] = 235,
  [328] = 283,
  [329] = 270,
  [330] = 234,
  [331] = 255,
  [332] = 291,
  [333] = 333,
  [334] = 237,
  [335] = 283,
  [336] = 336,
  [337] = 273,
  [338] = 338,
  [339] = 255,
  [340] = 254,
  [341] = 253,
  [342] = 283,
  [343] = 252,
  [344] = 251,
  [345] = 250,
  [346] = 249,
  [347] = 273,
  [348] = 255,
  [349] = 248,
  [350] = 247,
  [351] = 246,
  [352] = 283,
  [353] = 245,
  [354] = 354,
  [355] = 273,
  [356] = 244,
  [357] = 243,
  [358] = 242,
  [359] = 227,
  [360] = 230,
  [361] = 232,
  [362] = 233,
  [363] = 225,
  [364] = 285,
  [365] = 319,
  [366] = 366,
  [367] = 338,
  [368] = 291,
  [369] = 338,
  [370] = 283,
  [371] = 224,
  [372] = 266,
  [373] = 319,
  [374] = 228,
  [375] = 229,
  [376] = 291,
  [377] = 234,
  [378] = 285,
  [379] = 379,
  [380] = 235,
  [381] = 381,
  [382] = 273,
  [383] = 267,
  [384] = 384,
  [385] = 285,
  [386] = 269,
  [387] = 387,
  [388] = 270,
  [389] = 266,
  [390] = 306,
  [391] = 391,
  [392] = 392,
  [393] = 290,
  [394] = 229,
  [395] = 255,
  [396] = 396,
  [397] = 260,
  [398] = 228,
  [399] = 306,
  [400] = 299,
  [401] = 283,
  [402] = 306,
  [403] = 403,
  [404] = 299,
  [405] = 405,
  [406] = 255,
  [407] = 260,
  [408] = 285,
  [409] = 260,
  [410] = 319,
  [411] = 273,
  [412] = 283,
  [413] = 255,
  [414] = 260,
  [415] = 285,
  [416] = 299,
  [417] = 273,
  [418] = 283,
  [419] = 255,
  [420] = 283,
  [421] = 273,
  [422] = 285,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 426,
  [428] = 425,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 434,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 460,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 460,
  [512] = 512,
  [513] = 513,
  [514] = 460,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 433,
  [523] = 523,
  [524] = 524,
  [525] = 442,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 437,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 460,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 561,
  [563] = 561,
  [564] = 561,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 589,
  [591] = 589,
  [592] = 569,
  [593] = 574,
  [594] = 572,
  [595] = 570,
  [596] = 573,
  [597] = 597,
  [598] = 571,
  [599] = 599,
  [600] = 572,
  [601] = 579,
  [602] = 587,
  [603] = 578,
  [604] = 597,
  [605] = 577,
  [606] = 568,
  [607] = 567,
  [608] = 608,
  [609] = 584,
  [610] = 566,
  [611] = 582,
  [612] = 612,
  [613] = 583,
  [614] = 580,
  [615] = 589,
  [616] = 612,
  [617] = 576,
  [618] = 565,
  [619] = 581,
  [620] = 585,
  [621] = 586,
  [622] = 575,
  [623] = 588,
  [624] = 597,
  [625] = 625,
  [626] = 626,
  [627] = 588,
  [628] = 628,
  [629] = 628,
  [630] = 597,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 571,
  [637] = 637,
  [638] = 573,
  [639] = 574,
  [640] = 582,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 570,
  [645] = 645,
  [646] = 569,
  [647] = 642,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 566,
  [652] = 587,
  [653] = 579,
  [654] = 578,
  [655] = 649,
  [656] = 582,
  [657] = 565,
  [658] = 576,
  [659] = 659,
  [660] = 583,
  [661] = 659,
  [662] = 580,
  [663] = 581,
  [664] = 575,
  [665] = 584,
  [666] = 586,
  [667] = 585,
  [668] = 577,
  [669] = 568,
  [670] = 567,
  [671] = 571,
  [672] = 672,
  [673] = 673,
  [674] = 573,
  [675] = 571,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 637,
  [680] = 569,
  [681] = 570,
  [682] = 574,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 569,
  [687] = 673,
  [688] = 688,
  [689] = 571,
  [690] = 570,
  [691] = 569,
  [692] = 570,
  [693] = 693,
  [694] = 676,
  [695] = 573,
  [696] = 574,
  [697] = 677,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 650,
  [703] = 648,
  [704] = 573,
  [705] = 683,
  [706] = 706,
  [707] = 685,
  [708] = 574,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 568,
  [715] = 580,
  [716] = 716,
  [717] = 578,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 565,
  [724] = 724,
  [725] = 581,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 583,
  [739] = 739,
  [740] = 576,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 579,
  [745] = 745,
  [746] = 560,
  [747] = 747,
  [748] = 577,
  [749] = 575,
  [750] = 750,
  [751] = 586,
  [752] = 752,
  [753] = 587,
  [754] = 754,
  [755] = 755,
  [756] = 567,
  [757] = 757,
  [758] = 758,
  [759] = 585,
  [760] = 566,
  [761] = 584,
  [762] = 573,
  [763] = 693,
  [764] = 642,
  [765] = 433,
  [766] = 434,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 645,
  [773] = 643,
  [774] = 641,
  [775] = 637,
  [776] = 709,
  [777] = 570,
  [778] = 574,
  [779] = 642,
  [780] = 571,
  [781] = 569,
  [782] = 580,
  [783] = 581,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 784,
  [788] = 788,
  [789] = 577,
  [790] = 585,
  [791] = 578,
  [792] = 788,
  [793] = 582,
  [794] = 794,
  [795] = 587,
  [796] = 586,
  [797] = 575,
  [798] = 568,
  [799] = 567,
  [800] = 565,
  [801] = 566,
  [802] = 786,
  [803] = 584,
  [804] = 579,
  [805] = 576,
  [806] = 583,
  [807] = 688,
  [808] = 808,
  [809] = 648,
  [810] = 683,
  [811] = 685,
  [812] = 648,
  [813] = 633,
  [814] = 814,
  [815] = 573,
  [816] = 574,
  [817] = 673,
  [818] = 571,
  [819] = 819,
  [820] = 571,
  [821] = 698,
  [822] = 570,
  [823] = 569,
  [824] = 573,
  [825] = 574,
  [826] = 685,
  [827] = 673,
  [828] = 828,
  [829] = 814,
  [830] = 808,
  [831] = 700,
  [832] = 709,
  [833] = 442,
  [834] = 637,
  [835] = 835,
  [836] = 582,
  [837] = 683,
  [838] = 571,
  [839] = 835,
  [840] = 808,
  [841] = 570,
  [842] = 569,
  [843] = 819,
  [844] = 844,
  [845] = 574,
  [846] = 710,
  [847] = 569,
  [848] = 570,
  [849] = 808,
  [850] = 835,
  [851] = 650,
  [852] = 712,
  [853] = 828,
  [854] = 808,
  [855] = 650,
  [856] = 672,
  [857] = 711,
  [858] = 693,
  [859] = 437,
  [860] = 573,
  [861] = 701,
  [862] = 721,
  [863] = 716,
  [864] = 726,
  [865] = 728,
  [866] = 743,
  [867] = 560,
  [868] = 737,
  [869] = 732,
  [870] = 733,
  [871] = 567,
  [872] = 736,
  [873] = 581,
  [874] = 734,
  [875] = 745,
  [876] = 758,
  [877] = 709,
  [878] = 584,
  [879] = 742,
  [880] = 587,
  [881] = 730,
  [882] = 729,
  [883] = 724,
  [884] = 718,
  [885] = 727,
  [886] = 586,
  [887] = 575,
  [888] = 754,
  [889] = 719,
  [890] = 722,
  [891] = 568,
  [892] = 565,
  [893] = 578,
  [894] = 747,
  [895] = 752,
  [896] = 709,
  [897] = 566,
  [898] = 577,
  [899] = 580,
  [900] = 583,
  [901] = 720,
  [902] = 731,
  [903] = 576,
  [904] = 755,
  [905] = 739,
  [906] = 741,
  [907] = 750,
  [908] = 585,
  [909] = 579,
  [910] = 693,
  [911] = 770,
  [912] = 768,
  [913] = 771,
  [914] = 769,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 565,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 566,
  [952] = 952,
  [953] = 567,
  [954] = 954,
  [955] = 955,
  [956] = 568,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 437,
  [981] = 981,
  [982] = 442,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 992,
  [1019] = 990,
  [1020] = 1009,
  [1021] = 1015,
  [1022] = 989,
  [1023] = 985,
  [1024] = 1005,
  [1025] = 1013,
  [1026] = 986,
  [1027] = 1014,
  [1028] = 1011,
  [1029] = 1010,
  [1030] = 991,
  [1031] = 1006,
  [1032] = 1003,
  [1033] = 1001,
  [1034] = 1004,
  [1035] = 996,
  [1036] = 988,
  [1037] = 987,
  [1038] = 1016,
  [1039] = 994,
  [1040] = 1040,
  [1041] = 1012,
  [1042] = 1008,
  [1043] = 1007,
  [1044] = 1044,
  [1045] = 1000,
  [1046] = 999,
  [1047] = 1002,
  [1048] = 995,
  [1049] = 997,
  [1050] = 993,
  [1051] = 1051,
  [1052] = 998,
  [1053] = 1006,
  [1054] = 949,
  [1055] = 928,
  [1056] = 962,
  [1057] = 958,
  [1058] = 1009,
  [1059] = 935,
  [1060] = 932,
  [1061] = 999,
  [1062] = 1000,
  [1063] = 1007,
  [1064] = 993,
  [1065] = 1008,
  [1066] = 1013,
  [1067] = 927,
  [1068] = 1015,
  [1069] = 922,
  [1070] = 918,
  [1071] = 989,
  [1072] = 985,
  [1073] = 1005,
  [1074] = 936,
  [1075] = 986,
  [1076] = 931,
  [1077] = 929,
  [1078] = 1014,
  [1079] = 1012,
  [1080] = 1011,
  [1081] = 1010,
  [1082] = 961,
  [1083] = 941,
  [1084] = 920,
  [1085] = 933,
  [1086] = 1003,
  [1087] = 955,
  [1088] = 957,
  [1089] = 1001,
  [1090] = 990,
  [1091] = 988,
  [1092] = 930,
  [1093] = 925,
  [1094] = 939,
  [1095] = 915,
  [1096] = 987,
  [1097] = 934,
  [1098] = 940,
  [1099] = 937,
  [1100] = 921,
  [1101] = 952,
  [1102] = 998,
  [1103] = 924,
  [1104] = 919,
  [1105] = 917,
  [1106] = 938,
  [1107] = 926,
  [1108] = 973,
  [1109] = 977,
  [1110] = 434,
  [1111] = 433,
  [1112] = 923,
  [1113] = 1016,
  [1114] = 972,
  [1115] = 947,
  [1116] = 974,
  [1117] = 971,
  [1118] = 970,
  [1119] = 963,
  [1120] = 975,
  [1121] = 968,
  [1122] = 1004,
  [1123] = 967,
  [1124] = 965,
  [1125] = 942,
  [1126] = 978,
  [1127] = 976,
  [1128] = 960,
  [1129] = 966,
  [1130] = 994,
  [1131] = 916,
  [1132] = 969,
  [1133] = 979,
  [1134] = 991,
  [1135] = 959,
  [1136] = 964,
  [1137] = 954,
  [1138] = 992,
  [1139] = 995,
  [1140] = 568,
  [1141] = 950,
  [1142] = 996,
  [1143] = 565,
  [1144] = 566,
  [1145] = 567,
  [1146] = 948,
  [1147] = 945,
  [1148] = 997,
  [1149] = 943,
  [1150] = 944,
  [1151] = 1002,
  [1152] = 989,
  [1153] = 1153,
  [1154] = 1015,
  [1155] = 1002,
  [1156] = 998,
  [1157] = 985,
  [1158] = 997,
  [1159] = 996,
  [1160] = 1013,
  [1161] = 991,
  [1162] = 1004,
  [1163] = 1005,
  [1164] = 1016,
  [1165] = 987,
  [1166] = 986,
  [1167] = 1008,
  [1168] = 988,
  [1169] = 990,
  [1170] = 1014,
  [1171] = 1171,
  [1172] = 1001,
  [1173] = 994,
  [1174] = 1174,
  [1175] = 993,
  [1176] = 1012,
  [1177] = 1171,
  [1178] = 1178,
  [1179] = 1174,
  [1180] = 1003,
  [1181] = 1011,
  [1182] = 1006,
  [1183] = 1009,
  [1184] = 995,
  [1185] = 992,
  [1186] = 1010,
  [1187] = 999,
  [1188] = 1007,
  [1189] = 1000,
  [1190] = 991,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 991,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1192,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1201,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1194,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1205,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1213,
  [1224] = 1194,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1213,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1201,
  [1238] = 1209,
  [1239] = 1208,
  [1240] = 1206,
  [1241] = 1205,
  [1242] = 1201,
  [1243] = 1219,
  [1244] = 1205,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1192,
  [1248] = 1213,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1253,
  [1256] = 1251,
  [1257] = 1253,
  [1258] = 1258,
  [1259] = 1253,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1254,
  [1264] = 1252,
  [1265] = 1251,
  [1266] = 1254,
  [1267] = 1267,
  [1268] = 1258,
  [1269] = 1252,
  [1270] = 1251,
  [1271] = 1258,
  [1272] = 1272,
  [1273] = 1260,
  [1274] = 1258,
  [1275] = 1262,
  [1276] = 1276,
  [1277] = 1260,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1254,
  [1281] = 1262,
  [1282] = 1252,
  [1283] = 1251,
  [1284] = 1284,
  [1285] = 1272,
  [1286] = 1262,
  [1287] = 1272,
  [1288] = 1251,
  [1289] = 1252,
  [1290] = 1261,
  [1291] = 1272,
  [1292] = 1260,
  [1293] = 1254,
  [1294] = 1254,
  [1295] = 1252,
  [1296] = 1251,
  [1297] = 1297,
  [1298] = 1252,
  [1299] = 1251,
  [1300] = 1272,
  [1301] = 1301,
  [1302] = 1276,
  [1303] = 1262,
  [1304] = 1260,
  [1305] = 1254,
  [1306] = 1252,
  [1307] = 1261,
  [1308] = 1254,
  [1309] = 1309,
  [1310] = 1279,
  [1311] = 1254,
  [1312] = 1260,
  [1313] = 1252,
  [1314] = 1262,
  [1315] = 1251,
  [1316] = 1272,
  [1317] = 1251,
  [1318] = 1272,
  [1319] = 1279,
  [1320] = 1252,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1327,
  [1329] = 1322,
  [1330] = 1330,
  [1331] = 1330,
  [1332] = 1332,
  [1333] = 1332,
  [1334] = 1334,
  [1335] = 1334,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1332,
  [1339] = 1336,
  [1340] = 1337,
  [1341] = 1334,
  [1342] = 1336,
  [1343] = 1343,
  [1344] = 1343,
  [1345] = 1345,
  [1346] = 1345,
  [1347] = 1345,
  [1348] = 1343,
  [1349] = 1349,
  [1350] = 1349,
  [1351] = 1351,
  [1352] = 1351,
  [1353] = 1353,
  [1354] = 1351,
  [1355] = 1353,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1359,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1364,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1412,
  [1415] = 1394,
  [1416] = 1403,
  [1417] = 1389,
  [1418] = 1391,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1431,
  [1436] = 637,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 577,
  [1445] = 1442,
  [1446] = 1446,
  [1447] = 688,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1451,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1458,
  [1462] = 1462,
  [1463] = 1457,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1464,
  [1467] = 1457,
  [1468] = 1464,
  [1469] = 1457,
  [1470] = 1470,
  [1471] = 1464,
  [1472] = 1457,
  [1473] = 1470,
  [1474] = 1464,
  [1475] = 1470,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1458,
  [1480] = 1480,
  [1481] = 1464,
  [1482] = 577,
  [1483] = 1470,
  [1484] = 1484,
  [1485] = 1470,
  [1486] = 1464,
  [1487] = 1458,
  [1488] = 1457,
  [1489] = 1470,
  [1490] = 1457,
  [1491] = 1464,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1470,
  [1495] = 1470,
  [1496] = 1464,
  [1497] = 1497,
  [1498] = 1464,
  [1499] = 1464,
  [1500] = 1457,
  [1501] = 1501,
  [1502] = 1470,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1457,
  [1507] = 577,
  [1508] = 1508,
  [1509] = 1470,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1457,
  [1513] = 1464,
  [1514] = 1470,
  [1515] = 1458,
  [1516] = 1516,
  [1517] = 1457,
  [1518] = 1464,
  [1519] = 1419,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 424,
  [1525] = 1525,
  [1526] = 1525,
  [1527] = 423,
  [1528] = 1521,
  [1529] = 1522,
  [1530] = 1530,
  [1531] = 1523,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 785,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1533,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1400,
  [1542] = 648,
  [1543] = 571,
  [1544] = 1544,
  [1545] = 650,
  [1546] = 1544,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1419,
  [1550] = 1550,
  [1551] = 1540,
  [1552] = 1552,
  [1553] = 1533,
  [1554] = 1554,
  [1555] = 585,
  [1556] = 650,
  [1557] = 648,
  [1558] = 584,
  [1559] = 1533,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 648,
  [1563] = 650,
  [1564] = 1544,
  [1565] = 1533,
  [1566] = 1544,
  [1567] = 1544,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1540,
  [1571] = 1533,
  [1572] = 1572,
  [1573] = 571,
  [1574] = 577,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 584,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1575,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 585,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1591,
  [1593] = 1536,
  [1594] = 1552,
  [1595] = 1595,
  [1596] = 1547,
  [1597] = 1597,
  [1598] = 1548,
  [1599] = 1599,
  [1600] = 426,
  [1601] = 425,
  [1602] = 1602,
  [1603] = 1587,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 425,
  [1607] = 1579,
  [1608] = 1602,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 577,
  [1613] = 426,
  [1614] = 1580,
  [1615] = 1615,
  [1616] = 1552,
  [1617] = 1611,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1589,
  [1622] = 1622,
  [1623] = 1581,
  [1624] = 1620,
  [1625] = 1609,
  [1626] = 1583,
  [1627] = 1627,
  [1628] = 585,
  [1629] = 1619,
  [1630] = 1597,
  [1631] = 1576,
  [1632] = 1632,
  [1633] = 584,
  [1634] = 577,
  [1635] = 1632,
  [1636] = 1627,
  [1637] = 1618,
  [1638] = 1590,
  [1639] = 1599,
  [1640] = 1640,
  [1641] = 1584,
  [1642] = 1536,
  [1643] = 1605,
  [1644] = 1595,
  [1645] = 1548,
  [1646] = 1547,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1586,
  [1650] = 438,
  [1651] = 1477,
  [1652] = 1652,
  [1653] = 1640,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1434,
  [1657] = 1427,
  [1658] = 1655,
  [1659] = 1465,
  [1660] = 1660,
  [1661] = 1426,
  [1662] = 1660,
  [1663] = 1663,
  [1664] = 1484,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1477,
  [1670] = 1670,
  [1671] = 1660,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1673,
  [1675] = 1673,
  [1676] = 432,
  [1677] = 439,
  [1678] = 440,
  [1679] = 1497,
  [1680] = 1680,
  [1681] = 1660,
  [1682] = 1660,
  [1683] = 1446,
  [1684] = 1673,
  [1685] = 1685,
  [1686] = 1493,
  [1687] = 1660,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 445,
  [1691] = 1691,
  [1692] = 1673,
  [1693] = 1452,
  [1694] = 430,
  [1695] = 431,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1660,
  [1699] = 1699,
  [1700] = 1673,
  [1701] = 1701,
  [1702] = 436,
  [1703] = 1703,
  [1704] = 1697,
  [1705] = 447,
  [1706] = 1706,
  [1707] = 441,
  [1708] = 1660,
  [1709] = 1673,
  [1710] = 443,
  [1711] = 446,
  [1712] = 1673,
  [1713] = 1673,
  [1714] = 1673,
  [1715] = 1484,
  [1716] = 1716,
  [1717] = 1673,
  [1718] = 1465,
  [1719] = 1508,
  [1720] = 1660,
  [1721] = 444,
  [1722] = 1722,
  [1723] = 1508,
  [1724] = 1660,
  [1725] = 429,
  [1726] = 1493,
  [1727] = 1696,
  [1728] = 1497,
  [1729] = 1722,
  [1730] = 1701,
  [1731] = 1731,
  [1732] = 448,
  [1733] = 1673,
  [1734] = 1660,
  [1735] = 435,
  [1736] = 1706,
  [1737] = 1672,
  [1738] = 1738,
  [1739] = 1667,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1746,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1446,
  [1772] = 1745,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1455,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1448,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1438,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1787,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1776,
  [1793] = 1769,
  [1794] = 1794,
  [1795] = 1763,
  [1796] = 1762,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1757,
  [1800] = 1783,
  [1801] = 1801,
  [1802] = 1791,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1754,
  [1806] = 1743,
  [1807] = 1740,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1742,
  [1811] = 1752,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1803,
  [1820] = 1801,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1784,
  [1825] = 1788,
  [1826] = 1780,
  [1827] = 1779,
  [1828] = 1798,
  [1829] = 1818,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1753,
  [1833] = 1808,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1815,
  [1838] = 1823,
  [1839] = 1839,
  [1840] = 1437,
  [1841] = 1841,
  [1842] = 1439,
  [1843] = 1748,
  [1844] = 1761,
  [1845] = 1770,
  [1846] = 1778,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 633,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1777,
  [1859] = 1784,
  [1860] = 1765,
  [1861] = 1857,
  [1862] = 1755,
  [1863] = 1834,
  [1864] = 1864,
  [1865] = 1830,
  [1866] = 1812,
  [1867] = 1867,
  [1868] = 1809,
  [1869] = 1784,
  [1870] = 1852,
  [1871] = 1817,
  [1872] = 1836,
  [1873] = 1855,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1856,
  [1879] = 1854,
  [1880] = 1880,
  [1881] = 1767,
  [1882] = 1882,
  [1883] = 1853,
  [1884] = 1738,
  [1885] = 1885,
  [1886] = 1452,
  [1887] = 1760,
  [1888] = 531,
  [1889] = 462,
  [1890] = 1890,
  [1891] = 529,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 546,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 492,
  [1898] = 520,
  [1899] = 1492,
  [1900] = 1326,
  [1901] = 468,
  [1902] = 1902,
  [1903] = 475,
  [1904] = 476,
  [1905] = 479,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 449,
  [1917] = 558,
  [1918] = 557,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 539,
  [1924] = 538,
  [1925] = 536,
  [1926] = 534,
  [1927] = 533,
  [1928] = 1928,
  [1929] = 524,
  [1930] = 1930,
  [1931] = 518,
  [1932] = 516,
  [1933] = 1919,
  [1934] = 512,
  [1935] = 450,
  [1936] = 503,
  [1937] = 1937,
  [1938] = 502,
  [1939] = 500,
  [1940] = 499,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 498,
  [1945] = 1945,
  [1946] = 495,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1947,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1937,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1744,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 507,
  [1969] = 513,
  [1970] = 517,
  [1971] = 1971,
  [1972] = 521,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1915,
  [1981] = 545,
  [1982] = 1982,
  [1983] = 1665,
  [1984] = 528,
  [1985] = 506,
  [1986] = 1986,
  [1987] = 505,
  [1988] = 1988,
  [1989] = 493,
  [1990] = 490,
  [1991] = 486,
  [1992] = 478,
  [1993] = 477,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1902,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 484,
  [2003] = 494,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 1928,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 527,
  [2011] = 504,
  [2012] = 2012,
  [2013] = 1893,
  [2014] = 2014,
  [2015] = 555,
  [2016] = 2016,
  [2017] = 552,
  [2018] = 548,
  [2019] = 543,
  [2020] = 2020,
  [2021] = 542,
  [2022] = 541,
  [2023] = 2023,
  [2024] = 537,
  [2025] = 535,
  [2026] = 469,
  [2027] = 515,
  [2028] = 1890,
  [2029] = 509,
  [2030] = 1948,
  [2031] = 1906,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 485,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 464,
  [2044] = 2044,
  [2045] = 1910,
  [2046] = 457,
  [2047] = 1663,
  [2048] = 456,
  [2049] = 2049,
  [2050] = 1976,
  [2051] = 2051,
  [2052] = 455,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 452,
  [2056] = 459,
  [2057] = 2057,
  [2058] = 461,
  [2059] = 463,
  [2060] = 467,
  [2061] = 519,
  [2062] = 1909,
  [2063] = 2063,
  [2064] = 487,
  [2065] = 488,
  [2066] = 1941,
  [2067] = 2067,
  [2068] = 491,
  [2069] = 497,
  [2070] = 1943,
  [2071] = 551,
  [2072] = 2072,
  [2073] = 1945,
  [2074] = 1908,
  [2075] = 1895,
  [2076] = 1892,
  [2077] = 1895,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 472,
  [2084] = 470,
  [2085] = 1945,
  [2086] = 454,
  [2087] = 453,
  [2088] = 451,
  [2089] = 466,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 2036,
  [2094] = 2039,
  [2095] = 489,
  [2096] = 1945,
  [2097] = 530,
  [2098] = 2098,
  [2099] = 1895,
  [2100] = 544,
  [2101] = 554,
  [2102] = 2023,
  [2103] = 559,
  [2104] = 532,
  [2105] = 526,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 523,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 1945,
  [2114] = 2114,
  [2115] = 1895,
  [2116] = 2116,
  [2117] = 1895,
  [2118] = 1975,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 483,
  [2122] = 482,
  [2123] = 1945,
  [2124] = 1945,
  [2125] = 481,
  [2126] = 2126,
  [2127] = 480,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 547,
  [2131] = 1895,
  [2132] = 465,
  [2133] = 458,
  [2134] = 2134,
  [2135] = 473,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 496,
  [2140] = 553,
  [2141] = 550,
  [2142] = 549,
  [2143] = 1895,
  [2144] = 2144,
  [2145] = 510,
  [2146] = 2146,
  [2147] = 471,
  [2148] = 1945,
  [2149] = 2020,
  [2150] = 508,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 1672,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2195,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2161,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2181,
  [2227] = 2227,
  [2228] = 2188,
  [2229] = 2190,
  [2230] = 2193,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2184,
  [2245] = 2164,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2188,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2171,
  [2256] = 2221,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 1977,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2191,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2227,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2153,
  [2288] = 2288,
  [2289] = 2155,
  [2290] = 2160,
  [2291] = 2291,
  [2292] = 2204,
  [2293] = 2286,
  [2294] = 2288,
  [2295] = 2282,
  [2296] = 2210,
  [2297] = 2202,
  [2298] = 2198,
  [2299] = 2225,
  [2300] = 2184,
  [2301] = 2237,
  [2302] = 2302,
  [2303] = 2239,
  [2304] = 2243,
  [2305] = 2291,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2161,
  [2310] = 2310,
  [2311] = 2188,
  [2312] = 2312,
  [2313] = 2285,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2152,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2238,
  [2323] = 2323,
  [2324] = 2235,
  [2325] = 2325,
  [2326] = 2249,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2159,
  [2333] = 2333,
  [2334] = 2306,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2328,
  [2339] = 2327,
  [2340] = 2242,
  [2341] = 2265,
  [2342] = 2250,
  [2343] = 2169,
  [2344] = 2344,
  [2345] = 2308,
  [2346] = 2312,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2173,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2232,
  [2354] = 2321,
  [2355] = 2176,
  [2356] = 2207,
  [2357] = 2315,
  [2358] = 2178,
  [2359] = 2318,
  [2360] = 2180,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2257,
  [2364] = 2283,
  [2365] = 2209,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2220,
  [2369] = 2352,
  [2370] = 2281,
  [2371] = 2262,
  [2372] = 2280,
  [2373] = 2302,
  [2374] = 2374,
  [2375] = 2277,
  [2376] = 2264,
  [2377] = 2203,
  [2378] = 2274,
  [2379] = 2233,
  [2380] = 2272,
  [2381] = 2201,
  [2382] = 2268,
  [2383] = 2241,
  [2384] = 2263,
  [2385] = 2200,
  [2386] = 2347,
  [2387] = 2330,
  [2388] = 2351,
  [2389] = 2214,
  [2390] = 2344,
  [2391] = 2206,
  [2392] = 2392,
  [2393] = 2205,
  [2394] = 2184,
  [2395] = 2395,
  [2396] = 2325,
  [2397] = 2273,
  [2398] = 1667,
  [2399] = 2175,
  [2400] = 2092,
  [2401] = 2172,
  [2402] = 2270,
  [2403] = 2403,
  [2404] = 2154,
  [2405] = 2329,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2166,
  [2409] = 2331,
  [2410] = 2333,
  [2411] = 2156,
  [2412] = 2412,
  [2413] = 2276,
  [2414] = 2196,
  [2415] = 2165,
  [2416] = 2161,
  [2417] = 2319,
  [2418] = 2189,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2420,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2439,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2445,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2446,
  [2459] = 2444,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2431,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2439,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2428,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2419,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2423,
  [2483] = 2483,
  [2484] = 2446,
  [2485] = 2445,
  [2486] = 2442,
  [2487] = 2439,
  [2488] = 2455,
  [2489] = 2440,
  [2490] = 2490,
  [2491] = 2421,
  [2492] = 2492,
  [2493] = 2433,
  [2494] = 2428,
  [2495] = 2495,
  [2496] = 2449,
  [2497] = 2497,
  [2498] = 2460,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2451,
  [2502] = 2428,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2457,
  [2507] = 2507,
  [2508] = 2447,
  [2509] = 2428,
  [2510] = 2510,
  [2511] = 2472,
  [2512] = 2431,
  [2513] = 2450,
  [2514] = 2499,
  [2515] = 1973,
  [2516] = 2516,
  [2517] = 2424,
  [2518] = 2429,
  [2519] = 2430,
  [2520] = 2437,
  [2521] = 2421,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2507,
  [2525] = 2442,
  [2526] = 2526,
  [2527] = 2510,
  [2528] = 2461,
  [2529] = 2483,
  [2530] = 2462,
  [2531] = 2439,
  [2532] = 2466,
  [2533] = 2533,
  [2534] = 2443,
  [2535] = 2481,
  [2536] = 2435,
  [2537] = 2436,
  [2538] = 2423,
  [2539] = 2432,
  [2540] = 2442,
  [2541] = 2431,
  [2542] = 2499,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2456,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2453,
  [2550] = 2442,
  [2551] = 2551,
  [2552] = 2445,
  [2553] = 2553,
  [2554] = 2460,
  [2555] = 2446,
  [2556] = 2448,
  [2557] = 2449,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2421,
  [2561] = 2561,
  [2562] = 2423,
  [2563] = 2563,
  [2564] = 2420,
  [2565] = 2565,
  [2566] = 2522,
  [2567] = 2442,
  [2568] = 2483,
  [2569] = 2442,
  [2570] = 2570,
  [2571] = 2522,
  [2572] = 2572,
  [2573] = 2545,
  [2574] = 2574,
  [2575] = 2442,
  [2576] = 2442,
  [2577] = 2453,
  [2578] = 2449,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2448,
  [2582] = 2544,
  [2583] = 2522,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2522,
  [2587] = 2548,
  [2588] = 2495,
  [2589] = 2442,
  [2590] = 2465,
  [2591] = 2504,
  [2592] = 2480,
  [2593] = 2585,
  [2594] = 2584,
  [2595] = 2551,
  [2596] = 2596,
  [2597] = 2597,
  [2598] = 2553,
  [2599] = 2004,
  [2600] = 2456,
  [2601] = 2470,
  [2602] = 2558,
  [2603] = 2474,
  [2604] = 2522,
  [2605] = 2453,
  [2606] = 2559,
  [2607] = 2442,
  [2608] = 2448,
  [2609] = 2584,
  [2610] = 2477,
  [2611] = 2474,
  [2612] = 2425,
  [2613] = 2584,
  [2614] = 2579,
  [2615] = 2615,
  [2616] = 2442,
  [2617] = 2522,
  [2618] = 2474,
  [2619] = 2522,
  [2620] = 2579,
  [2621] = 2442,
  [2622] = 2579,
  [2623] = 2523,
  [2624] = 2460,
  [2625] = 2523,
  [2626] = 2523,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 121,
        '"', 169,
        '#', 249,
        '$', 173,
        '%', 209,
        '&', 72,
        '\'', 171,
        '(', 82,
        ')', 83,
        '*', 204,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 202,
        '/', 207,
        '0', 103,
        ':', 80,
        ';', 69,
        '<', 187,
        '=', 74,
        '>', 191,
        '?', 86,
        '@', 122,
        '[', 141,
        '\\', 76,
        ']', 142,
        '^', 181,
        '_', 244,
        '`', 172,
        '{', 77,
        '|', 91,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 210,
        'b', 210,
        'E', 213,
        'e', 213,
        'F', 214,
        'f', 214,
        'I', 228,
        'i', 228,
        'N', 242,
        'n', 242,
        'S', 240,
        's', 240,
        'T', 233,
        't', 233,
        'U', 226,
        'u', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(247);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(247);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(248);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 170,
        '\r', 170,
        '"', 169,
        '#', 250,
        '$', 173,
        '-', 31,
        '/', 20,
        '[', 141,
        '\\', 35,
        '{', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 170,
        '\r', 170,
        '#', 250,
        '$', 173,
        '-', 31,
        '/', 20,
        '[', 141,
        '\\', 36,
        '{', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 121,
        '"', 155,
        '#', 249,
        '$', 173,
        '%', 208,
        '&', 71,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 202,
        '/', 206,
        '0', 103,
        ':', 79,
        ';', 69,
        '<', 188,
        '=', 30,
        '>', 192,
        '?', 89,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 180,
        '_', 244,
        '`', 172,
        '|', 92,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
        'E', 213,
        'e', 213,
        'F', 215,
        'f', 215,
        'N', 242,
        'n', 242,
        'T', 233,
        't', 233,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 249,
        '$', 173,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 99,
        '/', 20,
        '0', 103,
        '<', 26,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '_', 244,
        '`', 172,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
        'E', 213,
        'e', 213,
        'F', 215,
        'f', 215,
        'N', 242,
        'n', 242,
        'T', 233,
        't', 233,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 249,
        '$', 173,
        '\'', 157,
        '(', 82,
        '+', 112,
        '-', 115,
        '.', 100,
        '/', 20,
        '0', 103,
        '<', 26,
        '@', 122,
        '[', 141,
        '\\', 75,
        '_', 244,
        '`', 172,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 210,
        'b', 210,
        'E', 213,
        'e', 213,
        'F', 214,
        'f', 214,
        'I', 228,
        'i', 228,
        'N', 242,
        'n', 242,
        'S', 240,
        's', 240,
        'T', 233,
        't', 233,
        'U', 226,
        'u', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 112,
        ',', 73,
        '-', 117,
        '.', 201,
        '/', 206,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 30,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 35,
        ']', 142,
        '^', 180,
        '`', 172,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 112,
        ',', 73,
        '-', 117,
        '.', 201,
        '/', 206,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 30,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 36,
        ']', 142,
        '^', 180,
        '`', 172,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 29,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '\'', 171,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 111,
        ',', 73,
        '-', 118,
        '.', 201,
        '/', 206,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 74,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 180,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 29,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 111,
        ',', 73,
        '-', 118,
        '.', 201,
        '/', 206,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 74,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 180,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 29,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 111,
        ',', 73,
        '-', 114,
        '.', 201,
        '/', 206,
        ':', 79,
        ';', 69,
        '<', 190,
        '=', 30,
        '>', 192,
        '?', 89,
        '\\', 75,
        ']', 142,
        '^', 180,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 155,
        '#', 249,
        '$', 173,
        '\'', 157,
        '(', 82,
        '/', 20,
        '<', 26,
        '[', 141,
        '\\', 75,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 155,
        '#', 250,
        '$', 173,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '.', 23,
        '/', 20,
        '0', 108,
        '<', 26,
        '[', 141,
        '\\', 75,
        '|', 90,
        '}', 78,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '"', 155,
        '#', 250,
        '\'', 157,
        '.', 100,
        '/', 20,
        '0', 103,
        '<', 26,
        '_', 56,
        'B', 13,
        'b', 13,
        'E', 39,
        'e', 39,
        'F', 40,
        'f', 40,
        'N', 50,
        'n', 50,
        'T', 47,
        't', 47,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 249,
        '$', 173,
        '&', 70,
        '(', 82,
        ')', 83,
        ',', 73,
        '.', 23,
        '/', 20,
        '?', 85,
        '\\', 75,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 250,
        '$', 173,
        '&', 70,
        '(', 82,
        ')', 83,
        '.', 23,
        '/', 20,
        '=', 32,
        '?', 85,
        '\\', 75,
        '{', 77,
        '|', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(166);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '/') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(161);
      if (lookahead != 0) ADVANCE(167);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(248);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(247);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(25);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(84);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(28);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(28);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(168);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(183);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(182);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(140);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(153);
      if (lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(150);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(148);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(152);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(158);
      if (lookahead != 0) ADVANCE(167);
      END_STATE();
    case 39:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 40:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 41:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 42:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(46);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 47:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 48:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(41);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 51:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(106);
      END_STATE();
    case 52:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(151);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 62:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 121,
        '"', 155,
        '#', 249,
        '$', 173,
        '%', 209,
        '&', 72,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 204,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 202,
        '/', 207,
        '0', 103,
        ':', 80,
        ';', 69,
        '<', 187,
        '=', 74,
        '>', 191,
        '?', 86,
        '@', 122,
        '[', 141,
        '\\', 76,
        ']', 142,
        '^', 181,
        '_', 244,
        '`', 172,
        '{', 77,
        '|', 91,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 210,
        'b', 210,
        'E', 213,
        'e', 213,
        'F', 214,
        'f', 214,
        'I', 228,
        'i', 228,
        'N', 242,
        'n', 242,
        'S', 240,
        's', 240,
        'T', 233,
        't', 233,
        'U', 226,
        'u', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 63:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 249,
        '$', 173,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 100,
        '/', 20,
        '0', 103,
        ':', 79,
        ';', 69,
        '<', 27,
        '=', 32,
        '?', 33,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '_', 244,
        '`', 172,
        '{', 77,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
        'E', 213,
        'e', 213,
        'F', 215,
        'f', 215,
        'N', 242,
        'n', 242,
        'T', 233,
        't', 233,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 64:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 250,
        '$', 173,
        '%', 209,
        '&', 72,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 204,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 203,
        '/', 207,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 189,
        '=', 74,
        '>', 191,
        '?', 87,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 181,
        '{', 77,
        '|', 91,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(67);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(42);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(179);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(182);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(158);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(123);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '>') ADVANCE(66);
      if (lookahead == '?') ADVANCE(175);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '?') ADVANCE(175);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '?') ADVANCE(174);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(174);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '|') ADVANCE(178);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(178);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 100,
        '_', 52,
        'B', 51,
        'b', 51,
        'E', 39,
        'e', 39,
        'O', 109,
        'o', 109,
        'X', 59,
        'x', 59,
        '8', 24,
        '9', 24,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(51);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(109);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(125);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(183);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(149);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(148);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(61);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(167);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead == '>') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(166);
      if (lookahead == '/') ADVANCE(162);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(164);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead == '/') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(170);
      if (lookahead == '\r') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(185);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(186);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(197);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(198);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(196);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(195);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(168);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(176);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(248);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(248);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(244);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(225);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(225);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(146);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(97);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(227);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(94);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(144);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(223);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(220);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(217);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(222);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(216);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(221);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(218);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(219);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(95);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(96);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(98);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(218);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(93);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(248);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(248);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 63},
  [2] = {.lex_state = 63},
  [3] = {.lex_state = 63},
  [4] = {.lex_state = 63},
  [5] = {.lex_state = 63},
  [6] = {.lex_state = 63},
  [7] = {.lex_state = 63},
  [8] = {.lex_state = 63},
  [9] = {.lex_state = 63},
  [10] = {.lex_state = 63},
  [11] = {.lex_state = 63},
  [12] = {.lex_state = 63},
  [13] = {.lex_state = 63},
  [14] = {.lex_state = 63},
  [15] = {.lex_state = 63, .external_lex_state = 2},
  [16] = {.lex_state = 63, .external_lex_state = 2},
  [17] = {.lex_state = 63, .external_lex_state = 2},
  [18] = {.lex_state = 63, .external_lex_state = 2},
  [19] = {.lex_state = 63},
  [20] = {.lex_state = 63, .external_lex_state = 2},
  [21] = {.lex_state = 63},
  [22] = {.lex_state = 63, .external_lex_state = 2},
  [23] = {.lex_state = 63},
  [24] = {.lex_state = 63},
  [25] = {.lex_state = 63, .external_lex_state = 2},
  [26] = {.lex_state = 63},
  [27] = {.lex_state = 63, .external_lex_state = 2},
  [28] = {.lex_state = 63},
  [29] = {.lex_state = 63},
  [30] = {.lex_state = 63, .external_lex_state = 2},
  [31] = {.lex_state = 63},
  [32] = {.lex_state = 63},
  [33] = {.lex_state = 63},
  [34] = {.lex_state = 63},
  [35] = {.lex_state = 63},
  [36] = {.lex_state = 63},
  [37] = {.lex_state = 63},
  [38] = {.lex_state = 63},
  [39] = {.lex_state = 63, .external_lex_state = 2},
  [40] = {.lex_state = 63, .external_lex_state = 2},
  [41] = {.lex_state = 63},
  [42] = {.lex_state = 63, .external_lex_state = 2},
  [43] = {.lex_state = 63, .external_lex_state = 2},
  [44] = {.lex_state = 63, .external_lex_state = 2},
  [45] = {.lex_state = 63},
  [46] = {.lex_state = 63},
  [47] = {.lex_state = 63},
  [48] = {.lex_state = 63},
  [49] = {.lex_state = 63},
  [50] = {.lex_state = 63},
  [51] = {.lex_state = 63},
  [52] = {.lex_state = 63},
  [53] = {.lex_state = 63, .external_lex_state = 2},
  [54] = {.lex_state = 63, .external_lex_state = 2},
  [55] = {.lex_state = 63},
  [56] = {.lex_state = 63},
  [57] = {.lex_state = 63},
  [58] = {.lex_state = 63},
  [59] = {.lex_state = 63},
  [60] = {.lex_state = 63, .external_lex_state = 2},
  [61] = {.lex_state = 63, .external_lex_state = 2},
  [62] = {.lex_state = 63},
  [63] = {.lex_state = 63, .external_lex_state = 2},
  [64] = {.lex_state = 63, .external_lex_state = 2},
  [65] = {.lex_state = 63, .external_lex_state = 2},
  [66] = {.lex_state = 63},
  [67] = {.lex_state = 63, .external_lex_state = 2},
  [68] = {.lex_state = 63},
  [69] = {.lex_state = 63},
  [70] = {.lex_state = 63},
  [71] = {.lex_state = 63, .external_lex_state = 2},
  [72] = {.lex_state = 63, .external_lex_state = 2},
  [73] = {.lex_state = 63},
  [74] = {.lex_state = 63},
  [75] = {.lex_state = 63},
  [76] = {.lex_state = 63},
  [77] = {.lex_state = 63},
  [78] = {.lex_state = 63},
  [79] = {.lex_state = 63},
  [80] = {.lex_state = 63},
  [81] = {.lex_state = 63},
  [82] = {.lex_state = 63},
  [83] = {.lex_state = 5},
  [84] = {.lex_state = 5},
  [85] = {.lex_state = 5, .external_lex_state = 2},
  [86] = {.lex_state = 5},
  [87] = {.lex_state = 7},
  [88] = {.lex_state = 7},
  [89] = {.lex_state = 7},
  [90] = {.lex_state = 7},
  [91] = {.lex_state = 7},
  [92] = {.lex_state = 7},
  [93] = {.lex_state = 7},
  [94] = {.lex_state = 7},
  [95] = {.lex_state = 7},
  [96] = {.lex_state = 7},
  [97] = {.lex_state = 7},
  [98] = {.lex_state = 7},
  [99] = {.lex_state = 6},
  [100] = {.lex_state = 6},
  [101] = {.lex_state = 6},
  [102] = {.lex_state = 6},
  [103] = {.lex_state = 6},
  [104] = {.lex_state = 6},
  [105] = {.lex_state = 6},
  [106] = {.lex_state = 6},
  [107] = {.lex_state = 6},
  [108] = {.lex_state = 6},
  [109] = {.lex_state = 6},
  [110] = {.lex_state = 6},
  [111] = {.lex_state = 6},
  [112] = {.lex_state = 6},
  [113] = {.lex_state = 6},
  [114] = {.lex_state = 6},
  [115] = {.lex_state = 6},
  [116] = {.lex_state = 6},
  [117] = {.lex_state = 6},
  [118] = {.lex_state = 6},
  [119] = {.lex_state = 6},
  [120] = {.lex_state = 6},
  [121] = {.lex_state = 6},
  [122] = {.lex_state = 6},
  [123] = {.lex_state = 6},
  [124] = {.lex_state = 6},
  [125] = {.lex_state = 6},
  [126] = {.lex_state = 6},
  [127] = {.lex_state = 6},
  [128] = {.lex_state = 6},
  [129] = {.lex_state = 6},
  [130] = {.lex_state = 6},
  [131] = {.lex_state = 6},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 63},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 63},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 63},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 63},
  [146] = {.lex_state = 63},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 63},
  [149] = {.lex_state = 63},
  [150] = {.lex_state = 63},
  [151] = {.lex_state = 63},
  [152] = {.lex_state = 63},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 63},
  [155] = {.lex_state = 63},
  [156] = {.lex_state = 63},
  [157] = {.lex_state = 63},
  [158] = {.lex_state = 63},
  [159] = {.lex_state = 63},
  [160] = {.lex_state = 63},
  [161] = {.lex_state = 63},
  [162] = {.lex_state = 63},
  [163] = {.lex_state = 63},
  [164] = {.lex_state = 63},
  [165] = {.lex_state = 63},
  [166] = {.lex_state = 63},
  [167] = {.lex_state = 63},
  [168] = {.lex_state = 63},
  [169] = {.lex_state = 63},
  [170] = {.lex_state = 63},
  [171] = {.lex_state = 63},
  [172] = {.lex_state = 63},
  [173] = {.lex_state = 63},
  [174] = {.lex_state = 63},
  [175] = {.lex_state = 63},
  [176] = {.lex_state = 63},
  [177] = {.lex_state = 63},
  [178] = {.lex_state = 63},
  [179] = {.lex_state = 63},
  [180] = {.lex_state = 63},
  [181] = {.lex_state = 63},
  [182] = {.lex_state = 63},
  [183] = {.lex_state = 63},
  [184] = {.lex_state = 63, .external_lex_state = 2},
  [185] = {.lex_state = 63, .external_lex_state = 2},
  [186] = {.lex_state = 63, .external_lex_state = 2},
  [187] = {.lex_state = 6},
  [188] = {.lex_state = 63, .external_lex_state = 2},
  [189] = {.lex_state = 63},
  [190] = {.lex_state = 63, .external_lex_state = 2},
  [191] = {.lex_state = 63},
  [192] = {.lex_state = 63},
  [193] = {.lex_state = 63},
  [194] = {.lex_state = 63},
  [195] = {.lex_state = 63},
  [196] = {.lex_state = 63},
  [197] = {.lex_state = 63, .external_lex_state = 2},
  [198] = {.lex_state = 63},
  [199] = {.lex_state = 63},
  [200] = {.lex_state = 6},
  [201] = {.lex_state = 63},
  [202] = {.lex_state = 63},
  [203] = {.lex_state = 63},
  [204] = {.lex_state = 63},
  [205] = {.lex_state = 63},
  [206] = {.lex_state = 63},
  [207] = {.lex_state = 63},
  [208] = {.lex_state = 63},
  [209] = {.lex_state = 63},
  [210] = {.lex_state = 63},
  [211] = {.lex_state = 63},
  [212] = {.lex_state = 63},
  [213] = {.lex_state = 63},
  [214] = {.lex_state = 63},
  [215] = {.lex_state = 63},
  [216] = {.lex_state = 63},
  [217] = {.lex_state = 63},
  [218] = {.lex_state = 63},
  [219] = {.lex_state = 63},
  [220] = {.lex_state = 63},
  [221] = {.lex_state = 63},
  [222] = {.lex_state = 63},
  [223] = {.lex_state = 63},
  [224] = {.lex_state = 63},
  [225] = {.lex_state = 63},
  [226] = {.lex_state = 63},
  [227] = {.lex_state = 63},
  [228] = {.lex_state = 63},
  [229] = {.lex_state = 63},
  [230] = {.lex_state = 63},
  [231] = {.lex_state = 63},
  [232] = {.lex_state = 63},
  [233] = {.lex_state = 63},
  [234] = {.lex_state = 63},
  [235] = {.lex_state = 63},
  [236] = {.lex_state = 63},
  [237] = {.lex_state = 63},
  [238] = {.lex_state = 63},
  [239] = {.lex_state = 63},
  [240] = {.lex_state = 63},
  [241] = {.lex_state = 63},
  [242] = {.lex_state = 63},
  [243] = {.lex_state = 63},
  [244] = {.lex_state = 63},
  [245] = {.lex_state = 63},
  [246] = {.lex_state = 63},
  [247] = {.lex_state = 63},
  [248] = {.lex_state = 63},
  [249] = {.lex_state = 63},
  [250] = {.lex_state = 63},
  [251] = {.lex_state = 63},
  [252] = {.lex_state = 63},
  [253] = {.lex_state = 63},
  [254] = {.lex_state = 63},
  [255] = {.lex_state = 63},
  [256] = {.lex_state = 63},
  [257] = {.lex_state = 63},
  [258] = {.lex_state = 63},
  [259] = {.lex_state = 63},
  [260] = {.lex_state = 63},
  [261] = {.lex_state = 63},
  [262] = {.lex_state = 63},
  [263] = {.lex_state = 63},
  [264] = {.lex_state = 63},
  [265] = {.lex_state = 63},
  [266] = {.lex_state = 63},
  [267] = {.lex_state = 63},
  [268] = {.lex_state = 63},
  [269] = {.lex_state = 63},
  [270] = {.lex_state = 63},
  [271] = {.lex_state = 63},
  [272] = {.lex_state = 63},
  [273] = {.lex_state = 63},
  [274] = {.lex_state = 63},
  [275] = {.lex_state = 63},
  [276] = {.lex_state = 63},
  [277] = {.lex_state = 63},
  [278] = {.lex_state = 63},
  [279] = {.lex_state = 63},
  [280] = {.lex_state = 63},
  [281] = {.lex_state = 63},
  [282] = {.lex_state = 63},
  [283] = {.lex_state = 63},
  [284] = {.lex_state = 63},
  [285] = {.lex_state = 63},
  [286] = {.lex_state = 63},
  [287] = {.lex_state = 63},
  [288] = {.lex_state = 63},
  [289] = {.lex_state = 63},
  [290] = {.lex_state = 63},
  [291] = {.lex_state = 63},
  [292] = {.lex_state = 63},
  [293] = {.lex_state = 63},
  [294] = {.lex_state = 63},
  [295] = {.lex_state = 63},
  [296] = {.lex_state = 63},
  [297] = {.lex_state = 63},
  [298] = {.lex_state = 63},
  [299] = {.lex_state = 63},
  [300] = {.lex_state = 63},
  [301] = {.lex_state = 63},
  [302] = {.lex_state = 63},
  [303] = {.lex_state = 63},
  [304] = {.lex_state = 63},
  [305] = {.lex_state = 63},
  [306] = {.lex_state = 63},
  [307] = {.lex_state = 63},
  [308] = {.lex_state = 63},
  [309] = {.lex_state = 63},
  [310] = {.lex_state = 63},
  [311] = {.lex_state = 63},
  [312] = {.lex_state = 63},
  [313] = {.lex_state = 63},
  [314] = {.lex_state = 63},
  [315] = {.lex_state = 63},
  [316] = {.lex_state = 63},
  [317] = {.lex_state = 63},
  [318] = {.lex_state = 63},
  [319] = {.lex_state = 63},
  [320] = {.lex_state = 63},
  [321] = {.lex_state = 63},
  [322] = {.lex_state = 63},
  [323] = {.lex_state = 63},
  [324] = {.lex_state = 63},
  [325] = {.lex_state = 63},
  [326] = {.lex_state = 63},
  [327] = {.lex_state = 63},
  [328] = {.lex_state = 63},
  [329] = {.lex_state = 63},
  [330] = {.lex_state = 63},
  [331] = {.lex_state = 63},
  [332] = {.lex_state = 63},
  [333] = {.lex_state = 63},
  [334] = {.lex_state = 63},
  [335] = {.lex_state = 63},
  [336] = {.lex_state = 63},
  [337] = {.lex_state = 63},
  [338] = {.lex_state = 63},
  [339] = {.lex_state = 63},
  [340] = {.lex_state = 63},
  [341] = {.lex_state = 63},
  [342] = {.lex_state = 63},
  [343] = {.lex_state = 63},
  [344] = {.lex_state = 63},
  [345] = {.lex_state = 63},
  [346] = {.lex_state = 63},
  [347] = {.lex_state = 63},
  [348] = {.lex_state = 63},
  [349] = {.lex_state = 63},
  [350] = {.lex_state = 63},
  [351] = {.lex_state = 63},
  [352] = {.lex_state = 63},
  [353] = {.lex_state = 63},
  [354] = {.lex_state = 63},
  [355] = {.lex_state = 63},
  [356] = {.lex_state = 63},
  [357] = {.lex_state = 63},
  [358] = {.lex_state = 63},
  [359] = {.lex_state = 63},
  [360] = {.lex_state = 63},
  [361] = {.lex_state = 63},
  [362] = {.lex_state = 63},
  [363] = {.lex_state = 63},
  [364] = {.lex_state = 63},
  [365] = {.lex_state = 63},
  [366] = {.lex_state = 63},
  [367] = {.lex_state = 63},
  [368] = {.lex_state = 63},
  [369] = {.lex_state = 63},
  [370] = {.lex_state = 63},
  [371] = {.lex_state = 63},
  [372] = {.lex_state = 63},
  [373] = {.lex_state = 63},
  [374] = {.lex_state = 63},
  [375] = {.lex_state = 63},
  [376] = {.lex_state = 63},
  [377] = {.lex_state = 63},
  [378] = {.lex_state = 63},
  [379] = {.lex_state = 63},
  [380] = {.lex_state = 63},
  [381] = {.lex_state = 63},
  [382] = {.lex_state = 63},
  [383] = {.lex_state = 63},
  [384] = {.lex_state = 63},
  [385] = {.lex_state = 63},
  [386] = {.lex_state = 63},
  [387] = {.lex_state = 63},
  [388] = {.lex_state = 63},
  [389] = {.lex_state = 63},
  [390] = {.lex_state = 63},
  [391] = {.lex_state = 63},
  [392] = {.lex_state = 63},
  [393] = {.lex_state = 63},
  [394] = {.lex_state = 63},
  [395] = {.lex_state = 63},
  [396] = {.lex_state = 63},
  [397] = {.lex_state = 63},
  [398] = {.lex_state = 63},
  [399] = {.lex_state = 63},
  [400] = {.lex_state = 63},
  [401] = {.lex_state = 63},
  [402] = {.lex_state = 63},
  [403] = {.lex_state = 63},
  [404] = {.lex_state = 63},
  [405] = {.lex_state = 63},
  [406] = {.lex_state = 63},
  [407] = {.lex_state = 63},
  [408] = {.lex_state = 63},
  [409] = {.lex_state = 63},
  [410] = {.lex_state = 63},
  [411] = {.lex_state = 63},
  [412] = {.lex_state = 63},
  [413] = {.lex_state = 63},
  [414] = {.lex_state = 63},
  [415] = {.lex_state = 63},
  [416] = {.lex_state = 63},
  [417] = {.lex_state = 63},
  [418] = {.lex_state = 63},
  [419] = {.lex_state = 63},
  [420] = {.lex_state = 63},
  [421] = {.lex_state = 63},
  [422] = {.lex_state = 63},
  [423] = {.lex_state = 63},
  [424] = {.lex_state = 63},
  [425] = {.lex_state = 63},
  [426] = {.lex_state = 63},
  [427] = {.lex_state = 63},
  [428] = {.lex_state = 63},
  [429] = {.lex_state = 63},
  [430] = {.lex_state = 63},
  [431] = {.lex_state = 63},
  [432] = {.lex_state = 63},
  [433] = {.lex_state = 63},
  [434] = {.lex_state = 63},
  [435] = {.lex_state = 63, .external_lex_state = 2},
  [436] = {.lex_state = 63, .external_lex_state = 2},
  [437] = {.lex_state = 63, .external_lex_state = 2},
  [438] = {.lex_state = 63, .external_lex_state = 2},
  [439] = {.lex_state = 63, .external_lex_state = 2},
  [440] = {.lex_state = 63, .external_lex_state = 2},
  [441] = {.lex_state = 63, .external_lex_state = 2},
  [442] = {.lex_state = 63, .external_lex_state = 2},
  [443] = {.lex_state = 63, .external_lex_state = 2},
  [444] = {.lex_state = 63, .external_lex_state = 2},
  [445] = {.lex_state = 63, .external_lex_state = 2},
  [446] = {.lex_state = 63, .external_lex_state = 2},
  [447] = {.lex_state = 63, .external_lex_state = 2},
  [448] = {.lex_state = 63, .external_lex_state = 2},
  [449] = {.lex_state = 63},
  [450] = {.lex_state = 63},
  [451] = {.lex_state = 63},
  [452] = {.lex_state = 63},
  [453] = {.lex_state = 63},
  [454] = {.lex_state = 63},
  [455] = {.lex_state = 63},
  [456] = {.lex_state = 63},
  [457] = {.lex_state = 63},
  [458] = {.lex_state = 63},
  [459] = {.lex_state = 63},
  [460] = {.lex_state = 63},
  [461] = {.lex_state = 63},
  [462] = {.lex_state = 63},
  [463] = {.lex_state = 63},
  [464] = {.lex_state = 63},
  [465] = {.lex_state = 63},
  [466] = {.lex_state = 63},
  [467] = {.lex_state = 63},
  [468] = {.lex_state = 63},
  [469] = {.lex_state = 63},
  [470] = {.lex_state = 63},
  [471] = {.lex_state = 63},
  [472] = {.lex_state = 63},
  [473] = {.lex_state = 63},
  [474] = {.lex_state = 63},
  [475] = {.lex_state = 63},
  [476] = {.lex_state = 63},
  [477] = {.lex_state = 63},
  [478] = {.lex_state = 63},
  [479] = {.lex_state = 63},
  [480] = {.lex_state = 63},
  [481] = {.lex_state = 63},
  [482] = {.lex_state = 63},
  [483] = {.lex_state = 63},
  [484] = {.lex_state = 63},
  [485] = {.lex_state = 63},
  [486] = {.lex_state = 63},
  [487] = {.lex_state = 63},
  [488] = {.lex_state = 63},
  [489] = {.lex_state = 63},
  [490] = {.lex_state = 63},
  [491] = {.lex_state = 63},
  [492] = {.lex_state = 63},
  [493] = {.lex_state = 63},
  [494] = {.lex_state = 63},
  [495] = {.lex_state = 63},
  [496] = {.lex_state = 63},
  [497] = {.lex_state = 63},
  [498] = {.lex_state = 63},
  [499] = {.lex_state = 63},
  [500] = {.lex_state = 63},
  [501] = {.lex_state = 63},
  [502] = {.lex_state = 63},
  [503] = {.lex_state = 63},
  [504] = {.lex_state = 63},
  [505] = {.lex_state = 63},
  [506] = {.lex_state = 63},
  [507] = {.lex_state = 63},
  [508] = {.lex_state = 63},
  [509] = {.lex_state = 63},
  [510] = {.lex_state = 63},
  [511] = {.lex_state = 63},
  [512] = {.lex_state = 63},
  [513] = {.lex_state = 63},
  [514] = {.lex_state = 63},
  [515] = {.lex_state = 63},
  [516] = {.lex_state = 63},
  [517] = {.lex_state = 63},
  [518] = {.lex_state = 63},
  [519] = {.lex_state = 63},
  [520] = {.lex_state = 63},
  [521] = {.lex_state = 63},
  [522] = {.lex_state = 63},
  [523] = {.lex_state = 63},
  [524] = {.lex_state = 63},
  [525] = {.lex_state = 63},
  [526] = {.lex_state = 63},
  [527] = {.lex_state = 63},
  [528] = {.lex_state = 63},
  [529] = {.lex_state = 63},
  [530] = {.lex_state = 63},
  [531] = {.lex_state = 63},
  [532] = {.lex_state = 63},
  [533] = {.lex_state = 63},
  [534] = {.lex_state = 63},
  [535] = {.lex_state = 63},
  [536] = {.lex_state = 63},
  [537] = {.lex_state = 63},
  [538] = {.lex_state = 63},
  [539] = {.lex_state = 63},
  [540] = {.lex_state = 63},
  [541] = {.lex_state = 63},
  [542] = {.lex_state = 63},
  [543] = {.lex_state = 63},
  [544] = {.lex_state = 63},
  [545] = {.lex_state = 63},
  [546] = {.lex_state = 63},
  [547] = {.lex_state = 63},
  [548] = {.lex_state = 63},
  [549] = {.lex_state = 63},
  [550] = {.lex_state = 63},
  [551] = {.lex_state = 63},
  [552] = {.lex_state = 63},
  [553] = {.lex_state = 63},
  [554] = {.lex_state = 63},
  [555] = {.lex_state = 63},
  [556] = {.lex_state = 63},
  [557] = {.lex_state = 63},
  [558] = {.lex_state = 63},
  [559] = {.lex_state = 63},
  [560] = {.lex_state = 63},
  [561] = {.lex_state = 63},
  [562] = {.lex_state = 63},
  [563] = {.lex_state = 63},
  [564] = {.lex_state = 63},
  [565] = {.lex_state = 64},
  [566] = {.lex_state = 64},
  [567] = {.lex_state = 64},
  [568] = {.lex_state = 64},
  [569] = {.lex_state = 64},
  [570] = {.lex_state = 64},
  [571] = {.lex_state = 64},
  [572] = {.lex_state = 64},
  [573] = {.lex_state = 64},
  [574] = {.lex_state = 64},
  [575] = {.lex_state = 64},
  [576] = {.lex_state = 64},
  [577] = {.lex_state = 64},
  [578] = {.lex_state = 64},
  [579] = {.lex_state = 64},
  [580] = {.lex_state = 64},
  [581] = {.lex_state = 64},
  [582] = {.lex_state = 64},
  [583] = {.lex_state = 64},
  [584] = {.lex_state = 64},
  [585] = {.lex_state = 64},
  [586] = {.lex_state = 64},
  [587] = {.lex_state = 64},
  [588] = {.lex_state = 64},
  [589] = {.lex_state = 64},
  [590] = {.lex_state = 64},
  [591] = {.lex_state = 64, .external_lex_state = 2},
  [592] = {.lex_state = 64, .external_lex_state = 2},
  [593] = {.lex_state = 64, .external_lex_state = 2},
  [594] = {.lex_state = 64},
  [595] = {.lex_state = 64, .external_lex_state = 2},
  [596] = {.lex_state = 64, .external_lex_state = 2},
  [597] = {.lex_state = 64},
  [598] = {.lex_state = 64, .external_lex_state = 2},
  [599] = {.lex_state = 64},
  [600] = {.lex_state = 64, .external_lex_state = 2},
  [601] = {.lex_state = 64, .external_lex_state = 2},
  [602] = {.lex_state = 64, .external_lex_state = 2},
  [603] = {.lex_state = 64, .external_lex_state = 2},
  [604] = {.lex_state = 64},
  [605] = {.lex_state = 64, .external_lex_state = 2},
  [606] = {.lex_state = 64, .external_lex_state = 2},
  [607] = {.lex_state = 64, .external_lex_state = 2},
  [608] = {.lex_state = 64},
  [609] = {.lex_state = 64, .external_lex_state = 2},
  [610] = {.lex_state = 64, .external_lex_state = 2},
  [611] = {.lex_state = 64, .external_lex_state = 2},
  [612] = {.lex_state = 64},
  [613] = {.lex_state = 64, .external_lex_state = 2},
  [614] = {.lex_state = 64, .external_lex_state = 2},
  [615] = {.lex_state = 64},
  [616] = {.lex_state = 64},
  [617] = {.lex_state = 64, .external_lex_state = 2},
  [618] = {.lex_state = 64, .external_lex_state = 2},
  [619] = {.lex_state = 64, .external_lex_state = 2},
  [620] = {.lex_state = 64, .external_lex_state = 2},
  [621] = {.lex_state = 64, .external_lex_state = 2},
  [622] = {.lex_state = 64, .external_lex_state = 2},
  [623] = {.lex_state = 64},
  [624] = {.lex_state = 64, .external_lex_state = 2},
  [625] = {.lex_state = 64},
  [626] = {.lex_state = 64},
  [627] = {.lex_state = 64, .external_lex_state = 2},
  [628] = {.lex_state = 64},
  [629] = {.lex_state = 64},
  [630] = {.lex_state = 64},
  [631] = {.lex_state = 64},
  [632] = {.lex_state = 64},
  [633] = {.lex_state = 10},
  [634] = {.lex_state = 12},
  [635] = {.lex_state = 12},
  [636] = {.lex_state = 8},
  [637] = {.lex_state = 8},
  [638] = {.lex_state = 8},
  [639] = {.lex_state = 8},
  [640] = {.lex_state = 10},
  [641] = {.lex_state = 10},
  [642] = {.lex_state = 10},
  [643] = {.lex_state = 10},
  [644] = {.lex_state = 8},
  [645] = {.lex_state = 8},
  [646] = {.lex_state = 8},
  [647] = {.lex_state = 10},
  [648] = {.lex_state = 10},
  [649] = {.lex_state = 17},
  [650] = {.lex_state = 10},
  [651] = {.lex_state = 8},
  [652] = {.lex_state = 8},
  [653] = {.lex_state = 8},
  [654] = {.lex_state = 8},
  [655] = {.lex_state = 17},
  [656] = {.lex_state = 8},
  [657] = {.lex_state = 8},
  [658] = {.lex_state = 8},
  [659] = {.lex_state = 14},
  [660] = {.lex_state = 8},
  [661] = {.lex_state = 14},
  [662] = {.lex_state = 8},
  [663] = {.lex_state = 8},
  [664] = {.lex_state = 8},
  [665] = {.lex_state = 8},
  [666] = {.lex_state = 8},
  [667] = {.lex_state = 8},
  [668] = {.lex_state = 8},
  [669] = {.lex_state = 8},
  [670] = {.lex_state = 8},
  [671] = {.lex_state = 10},
  [672] = {.lex_state = 10},
  [673] = {.lex_state = 10},
  [674] = {.lex_state = 10},
  [675] = {.lex_state = 10},
  [676] = {.lex_state = 17},
  [677] = {.lex_state = 17},
  [678] = {.lex_state = 15},
  [679] = {.lex_state = 10},
  [680] = {.lex_state = 10},
  [681] = {.lex_state = 10},
  [682] = {.lex_state = 10},
  [683] = {.lex_state = 10},
  [684] = {.lex_state = 15},
  [685] = {.lex_state = 10},
  [686] = {.lex_state = 10},
  [687] = {.lex_state = 10},
  [688] = {.lex_state = 10},
  [689] = {.lex_state = 10},
  [690] = {.lex_state = 10},
  [691] = {.lex_state = 10},
  [692] = {.lex_state = 10},
  [693] = {.lex_state = 8},
  [694] = {.lex_state = 17},
  [695] = {.lex_state = 10},
  [696] = {.lex_state = 10},
  [697] = {.lex_state = 17},
  [698] = {.lex_state = 10},
  [699] = {.lex_state = 15},
  [700] = {.lex_state = 8},
  [701] = {.lex_state = 10},
  [702] = {.lex_state = 10},
  [703] = {.lex_state = 10},
  [704] = {.lex_state = 10},
  [705] = {.lex_state = 10},
  [706] = {.lex_state = 15},
  [707] = {.lex_state = 10},
  [708] = {.lex_state = 10},
  [709] = {.lex_state = 10},
  [710] = {.lex_state = 10},
  [711] = {.lex_state = 10},
  [712] = {.lex_state = 10},
  [713] = {.lex_state = 15},
  [714] = {.lex_state = 10},
  [715] = {.lex_state = 10},
  [716] = {.lex_state = 10},
  [717] = {.lex_state = 10},
  [718] = {.lex_state = 10},
  [719] = {.lex_state = 10},
  [720] = {.lex_state = 10},
  [721] = {.lex_state = 10},
  [722] = {.lex_state = 10},
  [723] = {.lex_state = 10},
  [724] = {.lex_state = 10},
  [725] = {.lex_state = 10},
  [726] = {.lex_state = 10},
  [727] = {.lex_state = 10},
  [728] = {.lex_state = 10},
  [729] = {.lex_state = 10},
  [730] = {.lex_state = 10},
  [731] = {.lex_state = 10},
  [732] = {.lex_state = 10},
  [733] = {.lex_state = 10},
  [734] = {.lex_state = 10},
  [735] = {.lex_state = 17},
  [736] = {.lex_state = 10},
  [737] = {.lex_state = 10},
  [738] = {.lex_state = 10},
  [739] = {.lex_state = 10},
  [740] = {.lex_state = 10},
  [741] = {.lex_state = 10},
  [742] = {.lex_state = 10},
  [743] = {.lex_state = 10},
  [744] = {.lex_state = 10},
  [745] = {.lex_state = 10},
  [746] = {.lex_state = 10},
  [747] = {.lex_state = 10},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 10},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 10},
  [752] = {.lex_state = 10},
  [753] = {.lex_state = 10},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 15},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 10},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 8, .external_lex_state = 2},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 10, .external_lex_state = 2},
  [765] = {.lex_state = 12},
  [766] = {.lex_state = 12},
  [767] = {.lex_state = 6},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 8, .external_lex_state = 2},
  [773] = {.lex_state = 10, .external_lex_state = 2},
  [774] = {.lex_state = 10, .external_lex_state = 2},
  [775] = {.lex_state = 8, .external_lex_state = 2},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 8, .external_lex_state = 2},
  [778] = {.lex_state = 8, .external_lex_state = 2},
  [779] = {.lex_state = 10, .external_lex_state = 2},
  [780] = {.lex_state = 8, .external_lex_state = 2},
  [781] = {.lex_state = 8, .external_lex_state = 2},
  [782] = {.lex_state = 8, .external_lex_state = 2},
  [783] = {.lex_state = 8, .external_lex_state = 2},
  [784] = {.lex_state = 15},
  [785] = {.lex_state = 6},
  [786] = {.lex_state = 10, .external_lex_state = 2},
  [787] = {.lex_state = 15},
  [788] = {.lex_state = 15},
  [789] = {.lex_state = 8, .external_lex_state = 2},
  [790] = {.lex_state = 8, .external_lex_state = 2},
  [791] = {.lex_state = 8, .external_lex_state = 2},
  [792] = {.lex_state = 15},
  [793] = {.lex_state = 8, .external_lex_state = 2},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 8, .external_lex_state = 2},
  [796] = {.lex_state = 8, .external_lex_state = 2},
  [797] = {.lex_state = 8, .external_lex_state = 2},
  [798] = {.lex_state = 8, .external_lex_state = 2},
  [799] = {.lex_state = 8, .external_lex_state = 2},
  [800] = {.lex_state = 8, .external_lex_state = 2},
  [801] = {.lex_state = 8, .external_lex_state = 2},
  [802] = {.lex_state = 10, .external_lex_state = 2},
  [803] = {.lex_state = 8, .external_lex_state = 2},
  [804] = {.lex_state = 8, .external_lex_state = 2},
  [805] = {.lex_state = 8, .external_lex_state = 2},
  [806] = {.lex_state = 8, .external_lex_state = 2},
  [807] = {.lex_state = 10, .external_lex_state = 2},
  [808] = {.lex_state = 15},
  [809] = {.lex_state = 10, .external_lex_state = 2},
  [810] = {.lex_state = 10, .external_lex_state = 2},
  [811] = {.lex_state = 10, .external_lex_state = 2},
  [812] = {.lex_state = 10, .external_lex_state = 2},
  [813] = {.lex_state = 10, .external_lex_state = 2},
  [814] = {.lex_state = 15},
  [815] = {.lex_state = 10, .external_lex_state = 2},
  [816] = {.lex_state = 10, .external_lex_state = 2},
  [817] = {.lex_state = 10, .external_lex_state = 2},
  [818] = {.lex_state = 10, .external_lex_state = 2},
  [819] = {.lex_state = 15},
  [820] = {.lex_state = 10, .external_lex_state = 2},
  [821] = {.lex_state = 10, .external_lex_state = 2},
  [822] = {.lex_state = 10, .external_lex_state = 2},
  [823] = {.lex_state = 10, .external_lex_state = 2},
  [824] = {.lex_state = 10, .external_lex_state = 2},
  [825] = {.lex_state = 10, .external_lex_state = 2},
  [826] = {.lex_state = 10, .external_lex_state = 2},
  [827] = {.lex_state = 10, .external_lex_state = 2},
  [828] = {.lex_state = 15},
  [829] = {.lex_state = 15},
  [830] = {.lex_state = 15},
  [831] = {.lex_state = 8, .external_lex_state = 2},
  [832] = {.lex_state = 10, .external_lex_state = 2},
  [833] = {.lex_state = 12},
  [834] = {.lex_state = 10, .external_lex_state = 2},
  [835] = {.lex_state = 15},
  [836] = {.lex_state = 10, .external_lex_state = 2},
  [837] = {.lex_state = 10, .external_lex_state = 2},
  [838] = {.lex_state = 10, .external_lex_state = 2},
  [839] = {.lex_state = 15},
  [840] = {.lex_state = 15},
  [841] = {.lex_state = 10, .external_lex_state = 2},
  [842] = {.lex_state = 10, .external_lex_state = 2},
  [843] = {.lex_state = 15},
  [844] = {.lex_state = 15},
  [845] = {.lex_state = 10, .external_lex_state = 2},
  [846] = {.lex_state = 10, .external_lex_state = 2},
  [847] = {.lex_state = 10, .external_lex_state = 2},
  [848] = {.lex_state = 10, .external_lex_state = 2},
  [849] = {.lex_state = 15},
  [850] = {.lex_state = 15},
  [851] = {.lex_state = 10, .external_lex_state = 2},
  [852] = {.lex_state = 10, .external_lex_state = 2},
  [853] = {.lex_state = 15},
  [854] = {.lex_state = 15},
  [855] = {.lex_state = 10, .external_lex_state = 2},
  [856] = {.lex_state = 10, .external_lex_state = 2},
  [857] = {.lex_state = 10, .external_lex_state = 2},
  [858] = {.lex_state = 8, .external_lex_state = 2},
  [859] = {.lex_state = 12},
  [860] = {.lex_state = 10, .external_lex_state = 2},
  [861] = {.lex_state = 10, .external_lex_state = 2},
  [862] = {.lex_state = 10, .external_lex_state = 2},
  [863] = {.lex_state = 10, .external_lex_state = 2},
  [864] = {.lex_state = 10, .external_lex_state = 2},
  [865] = {.lex_state = 10, .external_lex_state = 2},
  [866] = {.lex_state = 10, .external_lex_state = 2},
  [867] = {.lex_state = 10, .external_lex_state = 2},
  [868] = {.lex_state = 10, .external_lex_state = 2},
  [869] = {.lex_state = 10, .external_lex_state = 2},
  [870] = {.lex_state = 10, .external_lex_state = 2},
  [871] = {.lex_state = 10, .external_lex_state = 2},
  [872] = {.lex_state = 10, .external_lex_state = 2},
  [873] = {.lex_state = 10, .external_lex_state = 2},
  [874] = {.lex_state = 10, .external_lex_state = 2},
  [875] = {.lex_state = 10, .external_lex_state = 2},
  [876] = {.lex_state = 10, .external_lex_state = 2},
  [877] = {.lex_state = 10},
  [878] = {.lex_state = 10, .external_lex_state = 2},
  [879] = {.lex_state = 10, .external_lex_state = 2},
  [880] = {.lex_state = 10, .external_lex_state = 2},
  [881] = {.lex_state = 10, .external_lex_state = 2},
  [882] = {.lex_state = 10, .external_lex_state = 2},
  [883] = {.lex_state = 10, .external_lex_state = 2},
  [884] = {.lex_state = 10, .external_lex_state = 2},
  [885] = {.lex_state = 10, .external_lex_state = 2},
  [886] = {.lex_state = 10, .external_lex_state = 2},
  [887] = {.lex_state = 10, .external_lex_state = 2},
  [888] = {.lex_state = 10, .external_lex_state = 2},
  [889] = {.lex_state = 10, .external_lex_state = 2},
  [890] = {.lex_state = 10, .external_lex_state = 2},
  [891] = {.lex_state = 10, .external_lex_state = 2},
  [892] = {.lex_state = 10, .external_lex_state = 2},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 10, .external_lex_state = 2},
  [895] = {.lex_state = 10, .external_lex_state = 2},
  [896] = {.lex_state = 10},
  [897] = {.lex_state = 10, .external_lex_state = 2},
  [898] = {.lex_state = 10, .external_lex_state = 2},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 10, .external_lex_state = 2},
  [901] = {.lex_state = 10, .external_lex_state = 2},
  [902] = {.lex_state = 10, .external_lex_state = 2},
  [903] = {.lex_state = 10, .external_lex_state = 2},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 10, .external_lex_state = 2},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 10, .external_lex_state = 2},
  [909] = {.lex_state = 10, .external_lex_state = 2},
  [910] = {.lex_state = 10, .external_lex_state = 2},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 10, .external_lex_state = 2},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 10, .external_lex_state = 2},
  [915] = {.lex_state = 12},
  [916] = {.lex_state = 12},
  [917] = {.lex_state = 12},
  [918] = {.lex_state = 12},
  [919] = {.lex_state = 12},
  [920] = {.lex_state = 12},
  [921] = {.lex_state = 12},
  [922] = {.lex_state = 12},
  [923] = {.lex_state = 12},
  [924] = {.lex_state = 12},
  [925] = {.lex_state = 12},
  [926] = {.lex_state = 12},
  [927] = {.lex_state = 12},
  [928] = {.lex_state = 12},
  [929] = {.lex_state = 12},
  [930] = {.lex_state = 12},
  [931] = {.lex_state = 12},
  [932] = {.lex_state = 12},
  [933] = {.lex_state = 12},
  [934] = {.lex_state = 12},
  [935] = {.lex_state = 12},
  [936] = {.lex_state = 12},
  [937] = {.lex_state = 12},
  [938] = {.lex_state = 12},
  [939] = {.lex_state = 12},
  [940] = {.lex_state = 12},
  [941] = {.lex_state = 12},
  [942] = {.lex_state = 12},
  [943] = {.lex_state = 12},
  [944] = {.lex_state = 12},
  [945] = {.lex_state = 12},
  [946] = {.lex_state = 12},
  [947] = {.lex_state = 12},
  [948] = {.lex_state = 12},
  [949] = {.lex_state = 12},
  [950] = {.lex_state = 12},
  [951] = {.lex_state = 12},
  [952] = {.lex_state = 12},
  [953] = {.lex_state = 12},
  [954] = {.lex_state = 12},
  [955] = {.lex_state = 12},
  [956] = {.lex_state = 12},
  [957] = {.lex_state = 12},
  [958] = {.lex_state = 12},
  [959] = {.lex_state = 12},
  [960] = {.lex_state = 12},
  [961] = {.lex_state = 12},
  [962] = {.lex_state = 12},
  [963] = {.lex_state = 12},
  [964] = {.lex_state = 12},
  [965] = {.lex_state = 12},
  [966] = {.lex_state = 12},
  [967] = {.lex_state = 12},
  [968] = {.lex_state = 12},
  [969] = {.lex_state = 12},
  [970] = {.lex_state = 12},
  [971] = {.lex_state = 12},
  [972] = {.lex_state = 12},
  [973] = {.lex_state = 12},
  [974] = {.lex_state = 12},
  [975] = {.lex_state = 12},
  [976] = {.lex_state = 12},
  [977] = {.lex_state = 12},
  [978] = {.lex_state = 12},
  [979] = {.lex_state = 12},
  [980] = {.lex_state = 12, .external_lex_state = 2},
  [981] = {.lex_state = 17},
  [982] = {.lex_state = 12, .external_lex_state = 2},
  [983] = {.lex_state = 18},
  [984] = {.lex_state = 17},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 17},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12},
  [1044] = {.lex_state = 17},
  [1045] = {.lex_state = 12},
  [1046] = {.lex_state = 12},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 17},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 12, .external_lex_state = 2},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12, .external_lex_state = 2},
  [1057] = {.lex_state = 12, .external_lex_state = 2},
  [1058] = {.lex_state = 12, .external_lex_state = 2},
  [1059] = {.lex_state = 12, .external_lex_state = 2},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12, .external_lex_state = 2},
  [1069] = {.lex_state = 12, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 12, .external_lex_state = 2},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12, .external_lex_state = 2},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12, .external_lex_state = 2},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12, .external_lex_state = 2},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 12},
  [1153] = {.lex_state = 12},
  [1154] = {.lex_state = 12},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12},
  [1181] = {.lex_state = 12},
  [1182] = {.lex_state = 12},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12},
  [1187] = {.lex_state = 12},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12, .external_lex_state = 2},
  [1192] = {.lex_state = 12, .external_lex_state = 2},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 12, .external_lex_state = 2},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12, .external_lex_state = 2},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12, .external_lex_state = 2},
  [1200] = {.lex_state = 12},
  [1201] = {.lex_state = 17},
  [1202] = {.lex_state = 12},
  [1203] = {.lex_state = 12},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 17},
  [1206] = {.lex_state = 12, .external_lex_state = 2},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 12, .external_lex_state = 2},
  [1209] = {.lex_state = 12, .external_lex_state = 2},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 17},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 12},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 17},
  [1219] = {.lex_state = 12, .external_lex_state = 2},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 17},
  [1238] = {.lex_state = 12, .external_lex_state = 2},
  [1239] = {.lex_state = 12, .external_lex_state = 2},
  [1240] = {.lex_state = 12, .external_lex_state = 2},
  [1241] = {.lex_state = 17},
  [1242] = {.lex_state = 17},
  [1243] = {.lex_state = 12, .external_lex_state = 2},
  [1244] = {.lex_state = 17},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 17},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 17},
  [1322] = {.lex_state = 17},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 17},
  [1328] = {.lex_state = 17},
  [1329] = {.lex_state = 17},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 12},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 12},
  [1339] = {.lex_state = 12},
  [1340] = {.lex_state = 12},
  [1341] = {.lex_state = 12},
  [1342] = {.lex_state = 12},
  [1343] = {.lex_state = 12},
  [1344] = {.lex_state = 12},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 12},
  [1347] = {.lex_state = 12},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 64},
  [1350] = {.lex_state = 64},
  [1351] = {.lex_state = 64},
  [1352] = {.lex_state = 64},
  [1353] = {.lex_state = 64},
  [1354] = {.lex_state = 64},
  [1355] = {.lex_state = 64},
  [1356] = {.lex_state = 64},
  [1357] = {.lex_state = 64},
  [1358] = {.lex_state = 64},
  [1359] = {.lex_state = 64},
  [1360] = {.lex_state = 64},
  [1361] = {.lex_state = 64},
  [1362] = {.lex_state = 16},
  [1363] = {.lex_state = 64},
  [1364] = {.lex_state = 64},
  [1365] = {.lex_state = 15},
  [1366] = {.lex_state = 64},
  [1367] = {.lex_state = 3, .external_lex_state = 3},
  [1368] = {.lex_state = 3, .external_lex_state = 3},
  [1369] = {.lex_state = 3, .external_lex_state = 3},
  [1370] = {.lex_state = 3, .external_lex_state = 3},
  [1371] = {.lex_state = 17},
  [1372] = {.lex_state = 17},
  [1373] = {.lex_state = 17},
  [1374] = {.lex_state = 17},
  [1375] = {.lex_state = 17},
  [1376] = {.lex_state = 17},
  [1377] = {.lex_state = 17},
  [1378] = {.lex_state = 17},
  [1379] = {.lex_state = 17},
  [1380] = {.lex_state = 3, .external_lex_state = 3},
  [1381] = {.lex_state = 17},
  [1382] = {.lex_state = 17},
  [1383] = {.lex_state = 17},
  [1384] = {.lex_state = 17},
  [1385] = {.lex_state = 17},
  [1386] = {.lex_state = 17},
  [1387] = {.lex_state = 3, .external_lex_state = 4},
  [1388] = {.lex_state = 17},
  [1389] = {.lex_state = 8, .external_lex_state = 5},
  [1390] = {.lex_state = 17},
  [1391] = {.lex_state = 8, .external_lex_state = 5},
  [1392] = {.lex_state = 8, .external_lex_state = 5},
  [1393] = {.lex_state = 17},
  [1394] = {.lex_state = 8, .external_lex_state = 6},
  [1395] = {.lex_state = 17},
  [1396] = {.lex_state = 17},
  [1397] = {.lex_state = 17},
  [1398] = {.lex_state = 17},
  [1399] = {.lex_state = 17},
  [1400] = {.lex_state = 18},
  [1401] = {.lex_state = 17},
  [1402] = {.lex_state = 17},
  [1403] = {.lex_state = 8, .external_lex_state = 6},
  [1404] = {.lex_state = 17},
  [1405] = {.lex_state = 17},
  [1406] = {.lex_state = 8, .external_lex_state = 6},
  [1407] = {.lex_state = 17},
  [1408] = {.lex_state = 17},
  [1409] = {.lex_state = 17},
  [1410] = {.lex_state = 17},
  [1411] = {.lex_state = 17},
  [1412] = {.lex_state = 64},
  [1413] = {.lex_state = 17},
  [1414] = {.lex_state = 64},
  [1415] = {.lex_state = 8, .external_lex_state = 6},
  [1416] = {.lex_state = 8, .external_lex_state = 6},
  [1417] = {.lex_state = 8, .external_lex_state = 5},
  [1418] = {.lex_state = 8, .external_lex_state = 5},
  [1419] = {.lex_state = 64},
  [1420] = {.lex_state = 64},
  [1421] = {.lex_state = 64},
  [1422] = {.lex_state = 8, .external_lex_state = 4},
  [1423] = {.lex_state = 64},
  [1424] = {.lex_state = 64},
  [1425] = {.lex_state = 64},
  [1426] = {.lex_state = 18},
  [1427] = {.lex_state = 18},
  [1428] = {.lex_state = 15},
  [1429] = {.lex_state = 64},
  [1430] = {.lex_state = 15},
  [1431] = {.lex_state = 64},
  [1432] = {.lex_state = 64},
  [1433] = {.lex_state = 64},
  [1434] = {.lex_state = 18},
  [1435] = {.lex_state = 64},
  [1436] = {.lex_state = 64},
  [1437] = {.lex_state = 18},
  [1438] = {.lex_state = 18},
  [1439] = {.lex_state = 18},
  [1440] = {.lex_state = 3, .external_lex_state = 7},
  [1441] = {.lex_state = 64},
  [1442] = {.lex_state = 64},
  [1443] = {.lex_state = 64},
  [1444] = {.lex_state = 3, .external_lex_state = 7},
  [1445] = {.lex_state = 64},
  [1446] = {.lex_state = 64},
  [1447] = {.lex_state = 64},
  [1448] = {.lex_state = 18},
  [1449] = {.lex_state = 64},
  [1450] = {.lex_state = 64},
  [1451] = {.lex_state = 64},
  [1452] = {.lex_state = 64},
  [1453] = {.lex_state = 64},
  [1454] = {.lex_state = 64},
  [1455] = {.lex_state = 18},
  [1456] = {.lex_state = 64},
  [1457] = {.lex_state = 64},
  [1458] = {.lex_state = 64},
  [1459] = {.lex_state = 64},
  [1460] = {.lex_state = 64},
  [1461] = {.lex_state = 64},
  [1462] = {.lex_state = 64},
  [1463] = {.lex_state = 64},
  [1464] = {.lex_state = 64},
  [1465] = {.lex_state = 64},
  [1466] = {.lex_state = 64},
  [1467] = {.lex_state = 64},
  [1468] = {.lex_state = 64},
  [1469] = {.lex_state = 64},
  [1470] = {.lex_state = 64},
  [1471] = {.lex_state = 64},
  [1472] = {.lex_state = 64},
  [1473] = {.lex_state = 64},
  [1474] = {.lex_state = 64},
  [1475] = {.lex_state = 64},
  [1476] = {.lex_state = 8, .external_lex_state = 8},
  [1477] = {.lex_state = 64},
  [1478] = {.lex_state = 64},
  [1479] = {.lex_state = 64},
  [1480] = {.lex_state = 64},
  [1481] = {.lex_state = 64},
  [1482] = {.lex_state = 8, .external_lex_state = 9},
  [1483] = {.lex_state = 64},
  [1484] = {.lex_state = 64},
  [1485] = {.lex_state = 64},
  [1486] = {.lex_state = 64},
  [1487] = {.lex_state = 64},
  [1488] = {.lex_state = 64},
  [1489] = {.lex_state = 64},
  [1490] = {.lex_state = 64},
  [1491] = {.lex_state = 64},
  [1492] = {.lex_state = 18},
  [1493] = {.lex_state = 64},
  [1494] = {.lex_state = 64},
  [1495] = {.lex_state = 64},
  [1496] = {.lex_state = 64},
  [1497] = {.lex_state = 64},
  [1498] = {.lex_state = 64},
  [1499] = {.lex_state = 64},
  [1500] = {.lex_state = 64},
  [1501] = {.lex_state = 64},
  [1502] = {.lex_state = 64},
  [1503] = {.lex_state = 64},
  [1504] = {.lex_state = 8, .external_lex_state = 9},
  [1505] = {.lex_state = 64},
  [1506] = {.lex_state = 64},
  [1507] = {.lex_state = 8, .external_lex_state = 8},
  [1508] = {.lex_state = 64},
  [1509] = {.lex_state = 64},
  [1510] = {.lex_state = 64},
  [1511] = {.lex_state = 64},
  [1512] = {.lex_state = 64},
  [1513] = {.lex_state = 64},
  [1514] = {.lex_state = 64},
  [1515] = {.lex_state = 64},
  [1516] = {.lex_state = 64},
  [1517] = {.lex_state = 64},
  [1518] = {.lex_state = 64},
  [1519] = {.lex_state = 64, .external_lex_state = 2},
  [1520] = {.lex_state = 64},
  [1521] = {.lex_state = 64},
  [1522] = {.lex_state = 64},
  [1523] = {.lex_state = 64},
  [1524] = {.lex_state = 64},
  [1525] = {.lex_state = 64},
  [1526] = {.lex_state = 64},
  [1527] = {.lex_state = 64},
  [1528] = {.lex_state = 64},
  [1529] = {.lex_state = 64},
  [1530] = {.lex_state = 64, .external_lex_state = 2},
  [1531] = {.lex_state = 64},
  [1532] = {.lex_state = 64},
  [1533] = {.lex_state = 64},
  [1534] = {.lex_state = 18},
  [1535] = {.lex_state = 64},
  [1536] = {.lex_state = 3, .external_lex_state = 3},
  [1537] = {.lex_state = 64},
  [1538] = {.lex_state = 64},
  [1539] = {.lex_state = 64},
  [1540] = {.lex_state = 10},
  [1541] = {.lex_state = 64, .external_lex_state = 2},
  [1542] = {.lex_state = 64},
  [1543] = {.lex_state = 64},
  [1544] = {.lex_state = 64},
  [1545] = {.lex_state = 64},
  [1546] = {.lex_state = 64},
  [1547] = {.lex_state = 3, .external_lex_state = 3},
  [1548] = {.lex_state = 3, .external_lex_state = 3},
  [1549] = {.lex_state = 15},
  [1550] = {.lex_state = 64},
  [1551] = {.lex_state = 10},
  [1552] = {.lex_state = 3, .external_lex_state = 3},
  [1553] = {.lex_state = 64},
  [1554] = {.lex_state = 3, .external_lex_state = 3},
  [1555] = {.lex_state = 3, .external_lex_state = 3},
  [1556] = {.lex_state = 64},
  [1557] = {.lex_state = 64},
  [1558] = {.lex_state = 3, .external_lex_state = 3},
  [1559] = {.lex_state = 64},
  [1560] = {.lex_state = 64},
  [1561] = {.lex_state = 64},
  [1562] = {.lex_state = 64},
  [1563] = {.lex_state = 64},
  [1564] = {.lex_state = 64},
  [1565] = {.lex_state = 64},
  [1566] = {.lex_state = 64},
  [1567] = {.lex_state = 64},
  [1568] = {.lex_state = 64, .external_lex_state = 2},
  [1569] = {.lex_state = 64},
  [1570] = {.lex_state = 10},
  [1571] = {.lex_state = 64},
  [1572] = {.lex_state = 64},
  [1573] = {.lex_state = 64},
  [1574] = {.lex_state = 3, .external_lex_state = 3},
  [1575] = {.lex_state = 64},
  [1576] = {.lex_state = 64},
  [1577] = {.lex_state = 64},
  [1578] = {.lex_state = 8, .external_lex_state = 6},
  [1579] = {.lex_state = 64},
  [1580] = {.lex_state = 64},
  [1581] = {.lex_state = 64},
  [1582] = {.lex_state = 8, .external_lex_state = 6},
  [1583] = {.lex_state = 19},
  [1584] = {.lex_state = 64},
  [1585] = {.lex_state = 64},
  [1586] = {.lex_state = 64},
  [1587] = {.lex_state = 64},
  [1588] = {.lex_state = 8, .external_lex_state = 6},
  [1589] = {.lex_state = 64},
  [1590] = {.lex_state = 64},
  [1591] = {.lex_state = 64},
  [1592] = {.lex_state = 64},
  [1593] = {.lex_state = 8, .external_lex_state = 6},
  [1594] = {.lex_state = 8, .external_lex_state = 5},
  [1595] = {.lex_state = 64},
  [1596] = {.lex_state = 8, .external_lex_state = 5},
  [1597] = {.lex_state = 64},
  [1598] = {.lex_state = 8, .external_lex_state = 5},
  [1599] = {.lex_state = 64},
  [1600] = {.lex_state = 64},
  [1601] = {.lex_state = 64},
  [1602] = {.lex_state = 64},
  [1603] = {.lex_state = 64},
  [1604] = {.lex_state = 64},
  [1605] = {.lex_state = 64},
  [1606] = {.lex_state = 64},
  [1607] = {.lex_state = 64},
  [1608] = {.lex_state = 64},
  [1609] = {.lex_state = 64},
  [1610] = {.lex_state = 64, .external_lex_state = 2},
  [1611] = {.lex_state = 64},
  [1612] = {.lex_state = 8, .external_lex_state = 5},
  [1613] = {.lex_state = 64},
  [1614] = {.lex_state = 64},
  [1615] = {.lex_state = 64},
  [1616] = {.lex_state = 8, .external_lex_state = 6},
  [1617] = {.lex_state = 64},
  [1618] = {.lex_state = 64},
  [1619] = {.lex_state = 64},
  [1620] = {.lex_state = 19},
  [1621] = {.lex_state = 64},
  [1622] = {.lex_state = 19},
  [1623] = {.lex_state = 64},
  [1624] = {.lex_state = 19},
  [1625] = {.lex_state = 64},
  [1626] = {.lex_state = 19},
  [1627] = {.lex_state = 64},
  [1628] = {.lex_state = 8, .external_lex_state = 5},
  [1629] = {.lex_state = 64},
  [1630] = {.lex_state = 64},
  [1631] = {.lex_state = 64},
  [1632] = {.lex_state = 64},
  [1633] = {.lex_state = 8, .external_lex_state = 5},
  [1634] = {.lex_state = 8, .external_lex_state = 6},
  [1635] = {.lex_state = 64},
  [1636] = {.lex_state = 64},
  [1637] = {.lex_state = 64},
  [1638] = {.lex_state = 64},
  [1639] = {.lex_state = 64},
  [1640] = {.lex_state = 64, .external_lex_state = 2},
  [1641] = {.lex_state = 64},
  [1642] = {.lex_state = 8, .external_lex_state = 5},
  [1643] = {.lex_state = 64},
  [1644] = {.lex_state = 64},
  [1645] = {.lex_state = 8, .external_lex_state = 6},
  [1646] = {.lex_state = 8, .external_lex_state = 6},
  [1647] = {.lex_state = 8, .external_lex_state = 5},
  [1648] = {.lex_state = 64, .external_lex_state = 2},
  [1649] = {.lex_state = 64},
  [1650] = {.lex_state = 64, .external_lex_state = 2},
  [1651] = {.lex_state = 15},
  [1652] = {.lex_state = 64},
  [1653] = {.lex_state = 64},
  [1654] = {.lex_state = 64, .external_lex_state = 2},
  [1655] = {.lex_state = 64},
  [1656] = {.lex_state = 64, .external_lex_state = 2},
  [1657] = {.lex_state = 64, .external_lex_state = 2},
  [1658] = {.lex_state = 64},
  [1659] = {.lex_state = 64, .external_lex_state = 2},
  [1660] = {.lex_state = 64},
  [1661] = {.lex_state = 64, .external_lex_state = 2},
  [1662] = {.lex_state = 64},
  [1663] = {.lex_state = 64, .external_lex_state = 2},
  [1664] = {.lex_state = 64, .external_lex_state = 2},
  [1665] = {.lex_state = 64, .external_lex_state = 2},
  [1666] = {.lex_state = 64},
  [1667] = {.lex_state = 64},
  [1668] = {.lex_state = 15},
  [1669] = {.lex_state = 64, .external_lex_state = 2},
  [1670] = {.lex_state = 64},
  [1671] = {.lex_state = 64},
  [1672] = {.lex_state = 64},
  [1673] = {.lex_state = 64},
  [1674] = {.lex_state = 64},
  [1675] = {.lex_state = 64},
  [1676] = {.lex_state = 64},
  [1677] = {.lex_state = 64, .external_lex_state = 2},
  [1678] = {.lex_state = 64, .external_lex_state = 2},
  [1679] = {.lex_state = 64, .external_lex_state = 2},
  [1680] = {.lex_state = 64, .external_lex_state = 2},
  [1681] = {.lex_state = 64},
  [1682] = {.lex_state = 64},
  [1683] = {.lex_state = 64, .external_lex_state = 2},
  [1684] = {.lex_state = 64},
  [1685] = {.lex_state = 64},
  [1686] = {.lex_state = 64, .external_lex_state = 2},
  [1687] = {.lex_state = 64},
  [1688] = {.lex_state = 64},
  [1689] = {.lex_state = 64},
  [1690] = {.lex_state = 64, .external_lex_state = 2},
  [1691] = {.lex_state = 64},
  [1692] = {.lex_state = 64},
  [1693] = {.lex_state = 64, .external_lex_state = 2},
  [1694] = {.lex_state = 64},
  [1695] = {.lex_state = 64},
  [1696] = {.lex_state = 64},
  [1697] = {.lex_state = 64},
  [1698] = {.lex_state = 64},
  [1699] = {.lex_state = 64},
  [1700] = {.lex_state = 64},
  [1701] = {.lex_state = 64},
  [1702] = {.lex_state = 64, .external_lex_state = 2},
  [1703] = {.lex_state = 64},
  [1704] = {.lex_state = 64},
  [1705] = {.lex_state = 64, .external_lex_state = 2},
  [1706] = {.lex_state = 64, .external_lex_state = 2},
  [1707] = {.lex_state = 64, .external_lex_state = 2},
  [1708] = {.lex_state = 64},
  [1709] = {.lex_state = 64},
  [1710] = {.lex_state = 64, .external_lex_state = 2},
  [1711] = {.lex_state = 64, .external_lex_state = 2},
  [1712] = {.lex_state = 64},
  [1713] = {.lex_state = 64},
  [1714] = {.lex_state = 64},
  [1715] = {.lex_state = 15},
  [1716] = {.lex_state = 64},
  [1717] = {.lex_state = 64},
  [1718] = {.lex_state = 15},
  [1719] = {.lex_state = 64, .external_lex_state = 2},
  [1720] = {.lex_state = 64},
  [1721] = {.lex_state = 64, .external_lex_state = 2},
  [1722] = {.lex_state = 64},
  [1723] = {.lex_state = 15},
  [1724] = {.lex_state = 64},
  [1725] = {.lex_state = 64},
  [1726] = {.lex_state = 15},
  [1727] = {.lex_state = 64, .external_lex_state = 2},
  [1728] = {.lex_state = 15},
  [1729] = {.lex_state = 64},
  [1730] = {.lex_state = 64},
  [1731] = {.lex_state = 15},
  [1732] = {.lex_state = 64, .external_lex_state = 2},
  [1733] = {.lex_state = 64},
  [1734] = {.lex_state = 64},
  [1735] = {.lex_state = 64, .external_lex_state = 2},
  [1736] = {.lex_state = 64, .external_lex_state = 2},
  [1737] = {.lex_state = 64, .external_lex_state = 2},
  [1738] = {.lex_state = 64, .external_lex_state = 2},
  [1739] = {.lex_state = 64, .external_lex_state = 2},
  [1740] = {.lex_state = 64},
  [1741] = {.lex_state = 64},
  [1742] = {.lex_state = 64, .external_lex_state = 2},
  [1743] = {.lex_state = 64, .external_lex_state = 2},
  [1744] = {.lex_state = 64, .external_lex_state = 2},
  [1745] = {.lex_state = 64},
  [1746] = {.lex_state = 64},
  [1747] = {.lex_state = 64, .external_lex_state = 2},
  [1748] = {.lex_state = 3, .external_lex_state = 10},
  [1749] = {.lex_state = 64},
  [1750] = {.lex_state = 64},
  [1751] = {.lex_state = 64, .external_lex_state = 2},
  [1752] = {.lex_state = 64},
  [1753] = {.lex_state = 64},
  [1754] = {.lex_state = 64, .external_lex_state = 2},
  [1755] = {.lex_state = 64},
  [1756] = {.lex_state = 64},
  [1757] = {.lex_state = 64},
  [1758] = {.lex_state = 64},
  [1759] = {.lex_state = 64},
  [1760] = {.lex_state = 3, .external_lex_state = 10},
  [1761] = {.lex_state = 64},
  [1762] = {.lex_state = 64},
  [1763] = {.lex_state = 64},
  [1764] = {.lex_state = 64},
  [1765] = {.lex_state = 64, .external_lex_state = 2},
  [1766] = {.lex_state = 64, .external_lex_state = 2},
  [1767] = {.lex_state = 64},
  [1768] = {.lex_state = 64, .external_lex_state = 2},
  [1769] = {.lex_state = 64},
  [1770] = {.lex_state = 64},
  [1771] = {.lex_state = 15},
  [1772] = {.lex_state = 64, .external_lex_state = 2},
  [1773] = {.lex_state = 64, .external_lex_state = 2},
  [1774] = {.lex_state = 19},
  [1775] = {.lex_state = 64, .external_lex_state = 2},
  [1776] = {.lex_state = 64},
  [1777] = {.lex_state = 64},
  [1778] = {.lex_state = 64},
  [1779] = {.lex_state = 64},
  [1780] = {.lex_state = 64},
  [1781] = {.lex_state = 64},
  [1782] = {.lex_state = 64, .external_lex_state = 2},
  [1783] = {.lex_state = 64},
  [1784] = {.lex_state = 64},
  [1785] = {.lex_state = 64, .external_lex_state = 2},
  [1786] = {.lex_state = 3, .external_lex_state = 11},
  [1787] = {.lex_state = 64, .external_lex_state = 2},
  [1788] = {.lex_state = 64},
  [1789] = {.lex_state = 64, .external_lex_state = 2},
  [1790] = {.lex_state = 64, .external_lex_state = 2},
  [1791] = {.lex_state = 64},
  [1792] = {.lex_state = 64},
  [1793] = {.lex_state = 64},
  [1794] = {.lex_state = 64},
  [1795] = {.lex_state = 64},
  [1796] = {.lex_state = 64},
  [1797] = {.lex_state = 64, .external_lex_state = 2},
  [1798] = {.lex_state = 64, .external_lex_state = 2},
  [1799] = {.lex_state = 64},
  [1800] = {.lex_state = 64},
  [1801] = {.lex_state = 64, .external_lex_state = 2},
  [1802] = {.lex_state = 64},
  [1803] = {.lex_state = 64, .external_lex_state = 2},
  [1804] = {.lex_state = 64},
  [1805] = {.lex_state = 64, .external_lex_state = 2},
  [1806] = {.lex_state = 64, .external_lex_state = 2},
  [1807] = {.lex_state = 64},
  [1808] = {.lex_state = 64, .external_lex_state = 2},
  [1809] = {.lex_state = 64, .external_lex_state = 2},
  [1810] = {.lex_state = 64},
  [1811] = {.lex_state = 64},
  [1812] = {.lex_state = 64, .external_lex_state = 2},
  [1813] = {.lex_state = 19},
  [1814] = {.lex_state = 64},
  [1815] = {.lex_state = 64},
  [1816] = {.lex_state = 64, .external_lex_state = 2},
  [1817] = {.lex_state = 64},
  [1818] = {.lex_state = 64},
  [1819] = {.lex_state = 64, .external_lex_state = 2},
  [1820] = {.lex_state = 64, .external_lex_state = 2},
  [1821] = {.lex_state = 3, .external_lex_state = 11},
  [1822] = {.lex_state = 64},
  [1823] = {.lex_state = 64, .external_lex_state = 2},
  [1824] = {.lex_state = 64},
  [1825] = {.lex_state = 64},
  [1826] = {.lex_state = 64},
  [1827] = {.lex_state = 64},
  [1828] = {.lex_state = 64},
  [1829] = {.lex_state = 64},
  [1830] = {.lex_state = 64, .external_lex_state = 2},
  [1831] = {.lex_state = 64, .external_lex_state = 2},
  [1832] = {.lex_state = 64},
  [1833] = {.lex_state = 64, .external_lex_state = 2},
  [1834] = {.lex_state = 64},
  [1835] = {.lex_state = 64, .external_lex_state = 2},
  [1836] = {.lex_state = 64, .external_lex_state = 2},
  [1837] = {.lex_state = 64},
  [1838] = {.lex_state = 64, .external_lex_state = 2},
  [1839] = {.lex_state = 64},
  [1840] = {.lex_state = 64, .external_lex_state = 2},
  [1841] = {.lex_state = 64, .external_lex_state = 2},
  [1842] = {.lex_state = 64, .external_lex_state = 2},
  [1843] = {.lex_state = 3, .external_lex_state = 10},
  [1844] = {.lex_state = 64},
  [1845] = {.lex_state = 64},
  [1846] = {.lex_state = 64},
  [1847] = {.lex_state = 64},
  [1848] = {.lex_state = 64},
  [1849] = {.lex_state = 64, .external_lex_state = 2},
  [1850] = {.lex_state = 15},
  [1851] = {.lex_state = 64},
  [1852] = {.lex_state = 64},
  [1853] = {.lex_state = 64, .external_lex_state = 2},
  [1854] = {.lex_state = 64, .external_lex_state = 2},
  [1855] = {.lex_state = 64, .external_lex_state = 2},
  [1856] = {.lex_state = 64},
  [1857] = {.lex_state = 64, .external_lex_state = 2},
  [1858] = {.lex_state = 64, .external_lex_state = 2},
  [1859] = {.lex_state = 64},
  [1860] = {.lex_state = 64, .external_lex_state = 2},
  [1861] = {.lex_state = 64, .external_lex_state = 2},
  [1862] = {.lex_state = 64},
  [1863] = {.lex_state = 64},
  [1864] = {.lex_state = 64},
  [1865] = {.lex_state = 64, .external_lex_state = 2},
  [1866] = {.lex_state = 64, .external_lex_state = 2},
  [1867] = {.lex_state = 64, .external_lex_state = 2},
  [1868] = {.lex_state = 64, .external_lex_state = 2},
  [1869] = {.lex_state = 64},
  [1870] = {.lex_state = 64, .external_lex_state = 2},
  [1871] = {.lex_state = 64},
  [1872] = {.lex_state = 64, .external_lex_state = 2},
  [1873] = {.lex_state = 64, .external_lex_state = 2},
  [1874] = {.lex_state = 64, .external_lex_state = 2},
  [1875] = {.lex_state = 64, .external_lex_state = 2},
  [1876] = {.lex_state = 64, .external_lex_state = 2},
  [1877] = {.lex_state = 64, .external_lex_state = 2},
  [1878] = {.lex_state = 64},
  [1879] = {.lex_state = 64, .external_lex_state = 2},
  [1880] = {.lex_state = 64, .external_lex_state = 2},
  [1881] = {.lex_state = 64},
  [1882] = {.lex_state = 64},
  [1883] = {.lex_state = 64, .external_lex_state = 2},
  [1884] = {.lex_state = 64},
  [1885] = {.lex_state = 64},
  [1886] = {.lex_state = 15},
  [1887] = {.lex_state = 3, .external_lex_state = 10},
  [1888] = {.lex_state = 64},
  [1889] = {.lex_state = 64},
  [1890] = {.lex_state = 3, .external_lex_state = 10},
  [1891] = {.lex_state = 64},
  [1892] = {.lex_state = 64},
  [1893] = {.lex_state = 64},
  [1894] = {.lex_state = 64},
  [1895] = {.lex_state = 64},
  [1896] = {.lex_state = 64},
  [1897] = {.lex_state = 64},
  [1898] = {.lex_state = 64},
  [1899] = {.lex_state = 64, .external_lex_state = 2},
  [1900] = {.lex_state = 64, .external_lex_state = 2},
  [1901] = {.lex_state = 64},
  [1902] = {.lex_state = 64},
  [1903] = {.lex_state = 64},
  [1904] = {.lex_state = 64},
  [1905] = {.lex_state = 64},
  [1906] = {.lex_state = 64, .external_lex_state = 2},
  [1907] = {.lex_state = 64, .external_lex_state = 2},
  [1908] = {.lex_state = 64, .external_lex_state = 12},
  [1909] = {.lex_state = 64},
  [1910] = {.lex_state = 64},
  [1911] = {.lex_state = 64},
  [1912] = {.lex_state = 64},
  [1913] = {.lex_state = 64},
  [1914] = {.lex_state = 64},
  [1915] = {.lex_state = 64},
  [1916] = {.lex_state = 64},
  [1917] = {.lex_state = 64},
  [1918] = {.lex_state = 64},
  [1919] = {.lex_state = 64},
  [1920] = {.lex_state = 64, .external_lex_state = 2},
  [1921] = {.lex_state = 64},
  [1922] = {.lex_state = 64},
  [1923] = {.lex_state = 64},
  [1924] = {.lex_state = 64},
  [1925] = {.lex_state = 64},
  [1926] = {.lex_state = 64},
  [1927] = {.lex_state = 64},
  [1928] = {.lex_state = 64},
  [1929] = {.lex_state = 64},
  [1930] = {.lex_state = 64},
  [1931] = {.lex_state = 64},
  [1932] = {.lex_state = 64},
  [1933] = {.lex_state = 64},
  [1934] = {.lex_state = 64},
  [1935] = {.lex_state = 64},
  [1936] = {.lex_state = 64},
  [1937] = {.lex_state = 64},
  [1938] = {.lex_state = 64},
  [1939] = {.lex_state = 64},
  [1940] = {.lex_state = 64},
  [1941] = {.lex_state = 3, .external_lex_state = 10},
  [1942] = {.lex_state = 64},
  [1943] = {.lex_state = 3, .external_lex_state = 10},
  [1944] = {.lex_state = 64},
  [1945] = {.lex_state = 64},
  [1946] = {.lex_state = 64},
  [1947] = {.lex_state = 64},
  [1948] = {.lex_state = 64},
  [1949] = {.lex_state = 64},
  [1950] = {.lex_state = 64},
  [1951] = {.lex_state = 64},
  [1952] = {.lex_state = 64},
  [1953] = {.lex_state = 64},
  [1954] = {.lex_state = 64},
  [1955] = {.lex_state = 64},
  [1956] = {.lex_state = 64},
  [1957] = {.lex_state = 64},
  [1958] = {.lex_state = 64},
  [1959] = {.lex_state = 64},
  [1960] = {.lex_state = 64},
  [1961] = {.lex_state = 64},
  [1962] = {.lex_state = 64, .external_lex_state = 2},
  [1963] = {.lex_state = 64},
  [1964] = {.lex_state = 64},
  [1965] = {.lex_state = 64, .external_lex_state = 2},
  [1966] = {.lex_state = 64},
  [1967] = {.lex_state = 64},
  [1968] = {.lex_state = 64},
  [1969] = {.lex_state = 64},
  [1970] = {.lex_state = 64},
  [1971] = {.lex_state = 64, .external_lex_state = 2},
  [1972] = {.lex_state = 64},
  [1973] = {.lex_state = 64, .external_lex_state = 2},
  [1974] = {.lex_state = 64},
  [1975] = {.lex_state = 64},
  [1976] = {.lex_state = 64},
  [1977] = {.lex_state = 64, .external_lex_state = 2},
  [1978] = {.lex_state = 64},
  [1979] = {.lex_state = 15},
  [1980] = {.lex_state = 64},
  [1981] = {.lex_state = 64},
  [1982] = {.lex_state = 64},
  [1983] = {.lex_state = 64},
  [1984] = {.lex_state = 64},
  [1985] = {.lex_state = 64},
  [1986] = {.lex_state = 64},
  [1987] = {.lex_state = 64},
  [1988] = {.lex_state = 64},
  [1989] = {.lex_state = 64},
  [1990] = {.lex_state = 64},
  [1991] = {.lex_state = 64},
  [1992] = {.lex_state = 64},
  [1993] = {.lex_state = 64},
  [1994] = {.lex_state = 64},
  [1995] = {.lex_state = 64},
  [1996] = {.lex_state = 64},
  [1997] = {.lex_state = 64},
  [1998] = {.lex_state = 64},
  [1999] = {.lex_state = 64},
  [2000] = {.lex_state = 64},
  [2001] = {.lex_state = 64},
  [2002] = {.lex_state = 64},
  [2003] = {.lex_state = 64},
  [2004] = {.lex_state = 64, .external_lex_state = 2},
  [2005] = {.lex_state = 64, .external_lex_state = 2},
  [2006] = {.lex_state = 64},
  [2007] = {.lex_state = 64},
  [2008] = {.lex_state = 64},
  [2009] = {.lex_state = 64},
  [2010] = {.lex_state = 64},
  [2011] = {.lex_state = 64},
  [2012] = {.lex_state = 64},
  [2013] = {.lex_state = 64},
  [2014] = {.lex_state = 64},
  [2015] = {.lex_state = 64},
  [2016] = {.lex_state = 64},
  [2017] = {.lex_state = 64},
  [2018] = {.lex_state = 64},
  [2019] = {.lex_state = 64},
  [2020] = {.lex_state = 64},
  [2021] = {.lex_state = 64},
  [2022] = {.lex_state = 64},
  [2023] = {.lex_state = 64},
  [2024] = {.lex_state = 64},
  [2025] = {.lex_state = 64},
  [2026] = {.lex_state = 64},
  [2027] = {.lex_state = 64},
  [2028] = {.lex_state = 3, .external_lex_state = 10},
  [2029] = {.lex_state = 64},
  [2030] = {.lex_state = 64},
  [2031] = {.lex_state = 64, .external_lex_state = 2},
  [2032] = {.lex_state = 64},
  [2033] = {.lex_state = 64},
  [2034] = {.lex_state = 64},
  [2035] = {.lex_state = 64},
  [2036] = {.lex_state = 64},
  [2037] = {.lex_state = 64},
  [2038] = {.lex_state = 64},
  [2039] = {.lex_state = 64},
  [2040] = {.lex_state = 64},
  [2041] = {.lex_state = 64},
  [2042] = {.lex_state = 64},
  [2043] = {.lex_state = 64},
  [2044] = {.lex_state = 64},
  [2045] = {.lex_state = 64},
  [2046] = {.lex_state = 64},
  [2047] = {.lex_state = 64},
  [2048] = {.lex_state = 64},
  [2049] = {.lex_state = 64},
  [2050] = {.lex_state = 64},
  [2051] = {.lex_state = 15},
  [2052] = {.lex_state = 64},
  [2053] = {.lex_state = 64},
  [2054] = {.lex_state = 15},
  [2055] = {.lex_state = 64},
  [2056] = {.lex_state = 64},
  [2057] = {.lex_state = 64},
  [2058] = {.lex_state = 64},
  [2059] = {.lex_state = 64},
  [2060] = {.lex_state = 64},
  [2061] = {.lex_state = 64},
  [2062] = {.lex_state = 64},
  [2063] = {.lex_state = 64},
  [2064] = {.lex_state = 64},
  [2065] = {.lex_state = 64},
  [2066] = {.lex_state = 3, .external_lex_state = 10},
  [2067] = {.lex_state = 64},
  [2068] = {.lex_state = 64},
  [2069] = {.lex_state = 64},
  [2070] = {.lex_state = 3, .external_lex_state = 10},
  [2071] = {.lex_state = 64},
  [2072] = {.lex_state = 64},
  [2073] = {.lex_state = 64},
  [2074] = {.lex_state = 64, .external_lex_state = 12},
  [2075] = {.lex_state = 64},
  [2076] = {.lex_state = 64},
  [2077] = {.lex_state = 64},
  [2078] = {.lex_state = 64},
  [2079] = {.lex_state = 64},
  [2080] = {.lex_state = 64},
  [2081] = {.lex_state = 64},
  [2082] = {.lex_state = 64},
  [2083] = {.lex_state = 64},
  [2084] = {.lex_state = 64},
  [2085] = {.lex_state = 64},
  [2086] = {.lex_state = 64},
  [2087] = {.lex_state = 64},
  [2088] = {.lex_state = 64},
  [2089] = {.lex_state = 64},
  [2090] = {.lex_state = 64},
  [2091] = {.lex_state = 64, .external_lex_state = 2},
  [2092] = {.lex_state = 64, .external_lex_state = 2},
  [2093] = {.lex_state = 64},
  [2094] = {.lex_state = 64},
  [2095] = {.lex_state = 64},
  [2096] = {.lex_state = 64},
  [2097] = {.lex_state = 64},
  [2098] = {.lex_state = 64},
  [2099] = {.lex_state = 64},
  [2100] = {.lex_state = 64},
  [2101] = {.lex_state = 64},
  [2102] = {.lex_state = 64},
  [2103] = {.lex_state = 64},
  [2104] = {.lex_state = 64},
  [2105] = {.lex_state = 64},
  [2106] = {.lex_state = 64},
  [2107] = {.lex_state = 64, .external_lex_state = 2},
  [2108] = {.lex_state = 64},
  [2109] = {.lex_state = 64},
  [2110] = {.lex_state = 64, .external_lex_state = 2},
  [2111] = {.lex_state = 64},
  [2112] = {.lex_state = 64},
  [2113] = {.lex_state = 64},
  [2114] = {.lex_state = 64},
  [2115] = {.lex_state = 64},
  [2116] = {.lex_state = 64},
  [2117] = {.lex_state = 64},
  [2118] = {.lex_state = 64},
  [2119] = {.lex_state = 64},
  [2120] = {.lex_state = 64},
  [2121] = {.lex_state = 64},
  [2122] = {.lex_state = 64},
  [2123] = {.lex_state = 64},
  [2124] = {.lex_state = 64},
  [2125] = {.lex_state = 64},
  [2126] = {.lex_state = 64},
  [2127] = {.lex_state = 64},
  [2128] = {.lex_state = 15},
  [2129] = {.lex_state = 64},
  [2130] = {.lex_state = 64},
  [2131] = {.lex_state = 64},
  [2132] = {.lex_state = 64},
  [2133] = {.lex_state = 64},
  [2134] = {.lex_state = 64},
  [2135] = {.lex_state = 64},
  [2136] = {.lex_state = 64},
  [2137] = {.lex_state = 64},
  [2138] = {.lex_state = 64, .external_lex_state = 2},
  [2139] = {.lex_state = 64},
  [2140] = {.lex_state = 64},
  [2141] = {.lex_state = 64},
  [2142] = {.lex_state = 64},
  [2143] = {.lex_state = 64},
  [2144] = {.lex_state = 64},
  [2145] = {.lex_state = 64},
  [2146] = {.lex_state = 64},
  [2147] = {.lex_state = 64},
  [2148] = {.lex_state = 64},
  [2149] = {.lex_state = 64},
  [2150] = {.lex_state = 64},
  [2151] = {.lex_state = 64},
  [2152] = {.lex_state = 64},
  [2153] = {.lex_state = 3, .external_lex_state = 10},
  [2154] = {.lex_state = 64, .external_lex_state = 2},
  [2155] = {.lex_state = 64, .external_lex_state = 2},
  [2156] = {.lex_state = 64},
  [2157] = {.lex_state = 64},
  [2158] = {.lex_state = 64},
  [2159] = {.lex_state = 64},
  [2160] = {.lex_state = 64, .external_lex_state = 2},
  [2161] = {.lex_state = 64},
  [2162] = {.lex_state = 64},
  [2163] = {.lex_state = 64},
  [2164] = {.lex_state = 64},
  [2165] = {.lex_state = 64},
  [2166] = {.lex_state = 64},
  [2167] = {.lex_state = 64},
  [2168] = {.lex_state = 64},
  [2169] = {.lex_state = 64},
  [2170] = {.lex_state = 64},
  [2171] = {.lex_state = 64},
  [2172] = {.lex_state = 64, .external_lex_state = 2},
  [2173] = {.lex_state = 64, .external_lex_state = 2},
  [2174] = {.lex_state = 64},
  [2175] = {.lex_state = 64, .external_lex_state = 2},
  [2176] = {.lex_state = 64},
  [2177] = {.lex_state = 64},
  [2178] = {.lex_state = 64},
  [2179] = {.lex_state = 64},
  [2180] = {.lex_state = 64},
  [2181] = {.lex_state = 64},
  [2182] = {.lex_state = 64},
  [2183] = {.lex_state = 64},
  [2184] = {.lex_state = 64},
  [2185] = {.lex_state = 64},
  [2186] = {.lex_state = 64},
  [2187] = {.lex_state = 64},
  [2188] = {.lex_state = 64},
  [2189] = {.lex_state = 64, .external_lex_state = 2},
  [2190] = {.lex_state = 64},
  [2191] = {.lex_state = 64},
  [2192] = {.lex_state = 64, .external_lex_state = 2},
  [2193] = {.lex_state = 64},
  [2194] = {.lex_state = 64, .external_lex_state = 2},
  [2195] = {.lex_state = 64, .external_lex_state = 2},
  [2196] = {.lex_state = 64},
  [2197] = {.lex_state = 64},
  [2198] = {.lex_state = 64},
  [2199] = {.lex_state = 64, .external_lex_state = 2},
  [2200] = {.lex_state = 64},
  [2201] = {.lex_state = 64},
  [2202] = {.lex_state = 64},
  [2203] = {.lex_state = 64},
  [2204] = {.lex_state = 64, .external_lex_state = 2},
  [2205] = {.lex_state = 64, .external_lex_state = 2},
  [2206] = {.lex_state = 64},
  [2207] = {.lex_state = 64},
  [2208] = {.lex_state = 64, .external_lex_state = 2},
  [2209] = {.lex_state = 64},
  [2210] = {.lex_state = 64, .external_lex_state = 2},
  [2211] = {.lex_state = 64},
  [2212] = {.lex_state = 64},
  [2213] = {.lex_state = 64},
  [2214] = {.lex_state = 64},
  [2215] = {.lex_state = 64},
  [2216] = {.lex_state = 64, .external_lex_state = 2},
  [2217] = {.lex_state = 64},
  [2218] = {.lex_state = 64},
  [2219] = {.lex_state = 64},
  [2220] = {.lex_state = 64},
  [2221] = {.lex_state = 64},
  [2222] = {.lex_state = 64},
  [2223] = {.lex_state = 64},
  [2224] = {.lex_state = 64},
  [2225] = {.lex_state = 64},
  [2226] = {.lex_state = 64},
  [2227] = {.lex_state = 64},
  [2228] = {.lex_state = 64},
  [2229] = {.lex_state = 64},
  [2230] = {.lex_state = 64},
  [2231] = {.lex_state = 64},
  [2232] = {.lex_state = 64},
  [2233] = {.lex_state = 64},
  [2234] = {.lex_state = 64},
  [2235] = {.lex_state = 3, .external_lex_state = 10},
  [2236] = {.lex_state = 64},
  [2237] = {.lex_state = 64, .external_lex_state = 2},
  [2238] = {.lex_state = 3, .external_lex_state = 10},
  [2239] = {.lex_state = 64},
  [2240] = {.lex_state = 64},
  [2241] = {.lex_state = 64},
  [2242] = {.lex_state = 64},
  [2243] = {.lex_state = 64, .external_lex_state = 2},
  [2244] = {.lex_state = 64},
  [2245] = {.lex_state = 64},
  [2246] = {.lex_state = 64, .external_lex_state = 2},
  [2247] = {.lex_state = 64},
  [2248] = {.lex_state = 64},
  [2249] = {.lex_state = 64, .external_lex_state = 2},
  [2250] = {.lex_state = 64, .external_lex_state = 2},
  [2251] = {.lex_state = 64},
  [2252] = {.lex_state = 64},
  [2253] = {.lex_state = 64, .external_lex_state = 2},
  [2254] = {.lex_state = 64},
  [2255] = {.lex_state = 64},
  [2256] = {.lex_state = 64},
  [2257] = {.lex_state = 64},
  [2258] = {.lex_state = 64},
  [2259] = {.lex_state = 64},
  [2260] = {.lex_state = 64},
  [2261] = {.lex_state = 64, .external_lex_state = 13},
  [2262] = {.lex_state = 64, .external_lex_state = 2},
  [2263] = {.lex_state = 3, .external_lex_state = 10},
  [2264] = {.lex_state = 64, .external_lex_state = 2},
  [2265] = {.lex_state = 64},
  [2266] = {.lex_state = 64},
  [2267] = {.lex_state = 64},
  [2268] = {.lex_state = 64},
  [2269] = {.lex_state = 64},
  [2270] = {.lex_state = 64},
  [2271] = {.lex_state = 64},
  [2272] = {.lex_state = 64},
  [2273] = {.lex_state = 64, .external_lex_state = 2},
  [2274] = {.lex_state = 64},
  [2275] = {.lex_state = 64},
  [2276] = {.lex_state = 64},
  [2277] = {.lex_state = 64},
  [2278] = {.lex_state = 64},
  [2279] = {.lex_state = 64},
  [2280] = {.lex_state = 64},
  [2281] = {.lex_state = 64},
  [2282] = {.lex_state = 64, .external_lex_state = 2},
  [2283] = {.lex_state = 64},
  [2284] = {.lex_state = 64},
  [2285] = {.lex_state = 64},
  [2286] = {.lex_state = 64},
  [2287] = {.lex_state = 3, .external_lex_state = 10},
  [2288] = {.lex_state = 64},
  [2289] = {.lex_state = 64, .external_lex_state = 2},
  [2290] = {.lex_state = 64, .external_lex_state = 2},
  [2291] = {.lex_state = 64, .external_lex_state = 2},
  [2292] = {.lex_state = 64, .external_lex_state = 2},
  [2293] = {.lex_state = 64},
  [2294] = {.lex_state = 64},
  [2295] = {.lex_state = 64, .external_lex_state = 2},
  [2296] = {.lex_state = 64, .external_lex_state = 2},
  [2297] = {.lex_state = 64},
  [2298] = {.lex_state = 64},
  [2299] = {.lex_state = 64},
  [2300] = {.lex_state = 64},
  [2301] = {.lex_state = 64, .external_lex_state = 2},
  [2302] = {.lex_state = 64, .external_lex_state = 2},
  [2303] = {.lex_state = 64},
  [2304] = {.lex_state = 64, .external_lex_state = 2},
  [2305] = {.lex_state = 64, .external_lex_state = 2},
  [2306] = {.lex_state = 64},
  [2307] = {.lex_state = 64, .external_lex_state = 2},
  [2308] = {.lex_state = 64},
  [2309] = {.lex_state = 64},
  [2310] = {.lex_state = 64},
  [2311] = {.lex_state = 64},
  [2312] = {.lex_state = 64},
  [2313] = {.lex_state = 64},
  [2314] = {.lex_state = 64},
  [2315] = {.lex_state = 64},
  [2316] = {.lex_state = 64},
  [2317] = {.lex_state = 64},
  [2318] = {.lex_state = 64},
  [2319] = {.lex_state = 64},
  [2320] = {.lex_state = 64},
  [2321] = {.lex_state = 64},
  [2322] = {.lex_state = 3, .external_lex_state = 10},
  [2323] = {.lex_state = 64},
  [2324] = {.lex_state = 3, .external_lex_state = 10},
  [2325] = {.lex_state = 64},
  [2326] = {.lex_state = 64, .external_lex_state = 2},
  [2327] = {.lex_state = 64},
  [2328] = {.lex_state = 64, .external_lex_state = 2},
  [2329] = {.lex_state = 64, .external_lex_state = 2},
  [2330] = {.lex_state = 64},
  [2331] = {.lex_state = 64, .external_lex_state = 2},
  [2332] = {.lex_state = 64},
  [2333] = {.lex_state = 64, .external_lex_state = 2},
  [2334] = {.lex_state = 64},
  [2335] = {.lex_state = 64},
  [2336] = {.lex_state = 64},
  [2337] = {.lex_state = 64, .external_lex_state = 2},
  [2338] = {.lex_state = 64, .external_lex_state = 2},
  [2339] = {.lex_state = 64},
  [2340] = {.lex_state = 64},
  [2341] = {.lex_state = 64},
  [2342] = {.lex_state = 64, .external_lex_state = 2},
  [2343] = {.lex_state = 64},
  [2344] = {.lex_state = 64, .external_lex_state = 2},
  [2345] = {.lex_state = 64},
  [2346] = {.lex_state = 64},
  [2347] = {.lex_state = 3, .external_lex_state = 10},
  [2348] = {.lex_state = 64},
  [2349] = {.lex_state = 64},
  [2350] = {.lex_state = 64, .external_lex_state = 2},
  [2351] = {.lex_state = 64, .external_lex_state = 2},
  [2352] = {.lex_state = 64},
  [2353] = {.lex_state = 64},
  [2354] = {.lex_state = 64},
  [2355] = {.lex_state = 64},
  [2356] = {.lex_state = 64},
  [2357] = {.lex_state = 64},
  [2358] = {.lex_state = 64},
  [2359] = {.lex_state = 64},
  [2360] = {.lex_state = 64},
  [2361] = {.lex_state = 64},
  [2362] = {.lex_state = 64},
  [2363] = {.lex_state = 64},
  [2364] = {.lex_state = 64},
  [2365] = {.lex_state = 64},
  [2366] = {.lex_state = 64},
  [2367] = {.lex_state = 64},
  [2368] = {.lex_state = 64},
  [2369] = {.lex_state = 64},
  [2370] = {.lex_state = 64},
  [2371] = {.lex_state = 64, .external_lex_state = 2},
  [2372] = {.lex_state = 64},
  [2373] = {.lex_state = 64},
  [2374] = {.lex_state = 64},
  [2375] = {.lex_state = 64},
  [2376] = {.lex_state = 64, .external_lex_state = 2},
  [2377] = {.lex_state = 64},
  [2378] = {.lex_state = 64},
  [2379] = {.lex_state = 64},
  [2380] = {.lex_state = 64},
  [2381] = {.lex_state = 64},
  [2382] = {.lex_state = 64},
  [2383] = {.lex_state = 64},
  [2384] = {.lex_state = 3, .external_lex_state = 10},
  [2385] = {.lex_state = 64},
  [2386] = {.lex_state = 3, .external_lex_state = 10},
  [2387] = {.lex_state = 64},
  [2388] = {.lex_state = 64, .external_lex_state = 2},
  [2389] = {.lex_state = 64},
  [2390] = {.lex_state = 64, .external_lex_state = 2},
  [2391] = {.lex_state = 64},
  [2392] = {.lex_state = 64},
  [2393] = {.lex_state = 64, .external_lex_state = 2},
  [2394] = {.lex_state = 64},
  [2395] = {.lex_state = 64},
  [2396] = {.lex_state = 64},
  [2397] = {.lex_state = 64, .external_lex_state = 2},
  [2398] = {.lex_state = 64},
  [2399] = {.lex_state = 64, .external_lex_state = 2},
  [2400] = {.lex_state = 64},
  [2401] = {.lex_state = 64, .external_lex_state = 2},
  [2402] = {.lex_state = 64},
  [2403] = {.lex_state = 64},
  [2404] = {.lex_state = 64, .external_lex_state = 2},
  [2405] = {.lex_state = 64, .external_lex_state = 2},
  [2406] = {.lex_state = 64},
  [2407] = {.lex_state = 64},
  [2408] = {.lex_state = 64},
  [2409] = {.lex_state = 64, .external_lex_state = 2},
  [2410] = {.lex_state = 64, .external_lex_state = 2},
  [2411] = {.lex_state = 64},
  [2412] = {.lex_state = 64},
  [2413] = {.lex_state = 64},
  [2414] = {.lex_state = 64},
  [2415] = {.lex_state = 64},
  [2416] = {.lex_state = 64},
  [2417] = {.lex_state = 64},
  [2418] = {.lex_state = 64, .external_lex_state = 2},
  [2419] = {.lex_state = 64, .external_lex_state = 10},
  [2420] = {.lex_state = 64},
  [2421] = {.lex_state = 64},
  [2422] = {.lex_state = 64},
  [2423] = {.lex_state = 64},
  [2424] = {.lex_state = 64},
  [2425] = {.lex_state = 64},
  [2426] = {.lex_state = 64},
  [2427] = {.lex_state = 64},
  [2428] = {.lex_state = 64},
  [2429] = {.lex_state = 64},
  [2430] = {.lex_state = 64},
  [2431] = {.lex_state = 64},
  [2432] = {.lex_state = 64, .external_lex_state = 10},
  [2433] = {.lex_state = 64},
  [2434] = {.lex_state = 64},
  [2435] = {.lex_state = 64},
  [2436] = {.lex_state = 64},
  [2437] = {.lex_state = 64},
  [2438] = {.lex_state = 64},
  [2439] = {.lex_state = 64},
  [2440] = {.lex_state = 64},
  [2441] = {.lex_state = 64},
  [2442] = {.lex_state = 64},
  [2443] = {.lex_state = 64, .external_lex_state = 12},
  [2444] = {.lex_state = 64, .external_lex_state = 12},
  [2445] = {.lex_state = 64},
  [2446] = {.lex_state = 64},
  [2447] = {.lex_state = 64},
  [2448] = {.lex_state = 64},
  [2449] = {.lex_state = 64},
  [2450] = {.lex_state = 64, .external_lex_state = 10},
  [2451] = {.lex_state = 64},
  [2452] = {.lex_state = 64},
  [2453] = {.lex_state = 64},
  [2454] = {.lex_state = 64},
  [2455] = {.lex_state = 64, .external_lex_state = 10},
  [2456] = {.lex_state = 64},
  [2457] = {.lex_state = 64},
  [2458] = {.lex_state = 64},
  [2459] = {.lex_state = 64, .external_lex_state = 12},
  [2460] = {.lex_state = 64},
  [2461] = {.lex_state = 64},
  [2462] = {.lex_state = 64},
  [2463] = {.lex_state = 64},
  [2464] = {.lex_state = 64},
  [2465] = {.lex_state = 64},
  [2466] = {.lex_state = 64},
  [2467] = {.lex_state = 64},
  [2468] = {.lex_state = 64},
  [2469] = {.lex_state = 64},
  [2470] = {.lex_state = 64},
  [2471] = {.lex_state = 64},
  [2472] = {.lex_state = 64},
  [2473] = {.lex_state = 64},
  [2474] = {.lex_state = 64},
  [2475] = {.lex_state = 64},
  [2476] = {.lex_state = 64},
  [2477] = {.lex_state = 64},
  [2478] = {.lex_state = 64},
  [2479] = {.lex_state = 64, .external_lex_state = 10},
  [2480] = {.lex_state = 64},
  [2481] = {.lex_state = 64, .external_lex_state = 10},
  [2482] = {.lex_state = 64},
  [2483] = {.lex_state = 64},
  [2484] = {.lex_state = 64},
  [2485] = {.lex_state = 64},
  [2486] = {.lex_state = 64},
  [2487] = {.lex_state = 64},
  [2488] = {.lex_state = 64, .external_lex_state = 10},
  [2489] = {.lex_state = 64},
  [2490] = {.lex_state = 64},
  [2491] = {.lex_state = 64},
  [2492] = {.lex_state = 64},
  [2493] = {.lex_state = 64},
  [2494] = {.lex_state = 64},
  [2495] = {.lex_state = 64},
  [2496] = {.lex_state = 64},
  [2497] = {.lex_state = 64},
  [2498] = {.lex_state = 64},
  [2499] = {.lex_state = 64},
  [2500] = {.lex_state = 64},
  [2501] = {.lex_state = 64},
  [2502] = {.lex_state = 64},
  [2503] = {.lex_state = 64},
  [2504] = {.lex_state = 64},
  [2505] = {.lex_state = 64},
  [2506] = {.lex_state = 64},
  [2507] = {.lex_state = 10},
  [2508] = {.lex_state = 64},
  [2509] = {.lex_state = 64},
  [2510] = {.lex_state = 64},
  [2511] = {.lex_state = 64},
  [2512] = {.lex_state = 64},
  [2513] = {.lex_state = 64, .external_lex_state = 10},
  [2514] = {.lex_state = 64},
  [2515] = {.lex_state = 64},
  [2516] = {.lex_state = 64},
  [2517] = {.lex_state = 64},
  [2518] = {.lex_state = 64},
  [2519] = {.lex_state = 64},
  [2520] = {.lex_state = 64},
  [2521] = {.lex_state = 64},
  [2522] = {.lex_state = 64},
  [2523] = {.lex_state = 64},
  [2524] = {.lex_state = 10},
  [2525] = {.lex_state = 64},
  [2526] = {.lex_state = 64},
  [2527] = {.lex_state = 64},
  [2528] = {.lex_state = 64},
  [2529] = {.lex_state = 64},
  [2530] = {.lex_state = 64},
  [2531] = {.lex_state = 64},
  [2532] = {.lex_state = 64},
  [2533] = {.lex_state = 64},
  [2534] = {.lex_state = 64, .external_lex_state = 12},
  [2535] = {.lex_state = 64, .external_lex_state = 10},
  [2536] = {.lex_state = 64},
  [2537] = {.lex_state = 64},
  [2538] = {.lex_state = 64},
  [2539] = {.lex_state = 64, .external_lex_state = 10},
  [2540] = {.lex_state = 64},
  [2541] = {.lex_state = 64},
  [2542] = {.lex_state = 64},
  [2543] = {.lex_state = 64},
  [2544] = {.lex_state = 64},
  [2545] = {.lex_state = 64},
  [2546] = {.lex_state = 64},
  [2547] = {.lex_state = 64},
  [2548] = {.lex_state = 64},
  [2549] = {.lex_state = 64},
  [2550] = {.lex_state = 64},
  [2551] = {.lex_state = 64},
  [2552] = {.lex_state = 64},
  [2553] = {.lex_state = 64},
  [2554] = {.lex_state = 64},
  [2555] = {.lex_state = 64},
  [2556] = {.lex_state = 64},
  [2557] = {.lex_state = 64},
  [2558] = {.lex_state = 64},
  [2559] = {.lex_state = 64},
  [2560] = {.lex_state = 64},
  [2561] = {.lex_state = 64},
  [2562] = {.lex_state = 64},
  [2563] = {.lex_state = 64},
  [2564] = {.lex_state = 64},
  [2565] = {.lex_state = 64},
  [2566] = {.lex_state = 64},
  [2567] = {.lex_state = 64},
  [2568] = {.lex_state = 64},
  [2569] = {.lex_state = 64},
  [2570] = {.lex_state = 64},
  [2571] = {.lex_state = 64},
  [2572] = {.lex_state = 64},
  [2573] = {.lex_state = 64},
  [2574] = {.lex_state = 64},
  [2575] = {.lex_state = 64},
  [2576] = {.lex_state = 64},
  [2577] = {.lex_state = 64},
  [2578] = {.lex_state = 64},
  [2579] = {.lex_state = 64},
  [2580] = {.lex_state = 64},
  [2581] = {.lex_state = 64},
  [2582] = {.lex_state = 64},
  [2583] = {.lex_state = 64},
  [2584] = {.lex_state = 64},
  [2585] = {.lex_state = 64},
  [2586] = {.lex_state = 64},
  [2587] = {.lex_state = 64},
  [2588] = {.lex_state = 64},
  [2589] = {.lex_state = 64},
  [2590] = {.lex_state = 64},
  [2591] = {.lex_state = 64},
  [2592] = {.lex_state = 64},
  [2593] = {.lex_state = 64},
  [2594] = {.lex_state = 64},
  [2595] = {.lex_state = 64},
  [2596] = {.lex_state = 64},
  [2597] = {.lex_state = 64},
  [2598] = {.lex_state = 64},
  [2599] = {.lex_state = 64},
  [2600] = {.lex_state = 64},
  [2601] = {.lex_state = 64},
  [2602] = {.lex_state = 64},
  [2603] = {.lex_state = 64},
  [2604] = {.lex_state = 64},
  [2605] = {.lex_state = 64},
  [2606] = {.lex_state = 64},
  [2607] = {.lex_state = 64},
  [2608] = {.lex_state = 64},
  [2609] = {.lex_state = 64},
  [2610] = {.lex_state = 64},
  [2611] = {.lex_state = 64},
  [2612] = {.lex_state = 64},
  [2613] = {.lex_state = 64},
  [2614] = {.lex_state = 64},
  [2615] = {.lex_state = 64},
  [2616] = {.lex_state = 64},
  [2617] = {.lex_state = 64},
  [2618] = {.lex_state = 64},
  [2619] = {.lex_state = 64},
  [2620] = {.lex_state = 64},
  [2621] = {.lex_state = 64},
  [2622] = {.lex_state = 64},
  [2623] = {.lex_state = 64},
  [2624] = {.lex_state = 64},
  [2625] = {.lex_state = 64},
  [2626] = {.lex_state = 64},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2565),
    [sym_statement] = STATE(14),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(9),
    [sym_php_tag] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_name] = ACTIONS(139),
    [anon_sym_QMARK_GT] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(157),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [anon_sym_RBRACE] = ACTIONS(137),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_enum_case_token1] = ACTIONS(178),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [aux_sym__arrow_function_header_token1] = ACTIONS(198),
    [anon_sym_LPAREN] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(216),
    [aux_sym_declare_statement_token2] = ACTIONS(178),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(240),
    [aux_sym_while_statement_token2] = ACTIONS(178),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(246),
    [aux_sym_for_statement_token2] = ACTIONS(178),
    [aux_sym_foreach_statement_token1] = ACTIONS(249),
    [aux_sym_foreach_statement_token2] = ACTIONS(178),
    [aux_sym_if_statement_token1] = ACTIONS(252),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_match_default_expression_token1] = ACTIONS(178),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [aux_sym_switch_block_token1] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym_object_creation_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(330),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(332),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(332),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(332),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_statement] = STATE(3),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(334),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(336),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(336),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(336),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(338),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(340),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(340),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_statement] = STATE(5),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(344),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(344),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_statement] = STATE(11),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(346),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(346),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_statement] = STATE(8),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(157),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [aux_sym__arrow_function_header_token1] = ACTIONS(198),
    [anon_sym_LPAREN] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(348),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(351),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(354),
    [aux_sym_foreach_statement_token1] = ACTIONS(357),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_else_if_clause_token1] = ACTIONS(178),
    [aux_sym_else_clause_token1] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym_object_creation_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_statement] = STATE(10),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token2] = ACTIONS(346),
    [aux_sym_else_if_clause_token1] = ACTIONS(346),
    [aux_sym_else_clause_token1] = ACTIONS(346),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_statement] = STATE(8),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token2] = ACTIONS(373),
    [aux_sym_else_if_clause_token1] = ACTIONS(373),
    [aux_sym_else_clause_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [ts_builtin_sym_end] = ACTIONS(375),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_statement] = STATE(12),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [ts_builtin_sym_end] = ACTIONS(379),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(381),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [ts_builtin_sym_end] = ACTIONS(379),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(381),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_statement] = STATE(532),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_colon_block] = STATE(2592),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(383),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(387),
  },
  [16] = {
    [sym_statement] = STATE(2104),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_colon_block] = STATE(2480),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(391),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(421),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [17] = {
    [sym_statement] = STATE(532),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_colon_block] = STATE(2592),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(383),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(387),
  },
  [18] = {
    [sym_statement] = STATE(2104),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_colon_block] = STATE(2480),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(391),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [19] = {
    [sym_statement] = STATE(426),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_colon_block] = STATE(1592),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_statement] = STATE(2021),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(463),
  },
  [21] = {
    [sym_statement] = STATE(1600),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_colon_block] = STATE(1591),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_statement] = STATE(531),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(467),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(471),
  },
  [23] = {
    [sym_statement] = STATE(1944),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_colon_block] = STATE(2511),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(421),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(473),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_statement] = STATE(496),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(475),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(479),
  },
  [26] = {
    [sym_statement] = STATE(28),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(473),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_statement] = STATE(465),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [28] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(487),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_statement] = STATE(31),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(487),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_statement] = STATE(496),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(475),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(479),
  },
  [31] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(489),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_statement] = STATE(33),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(33),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(489),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(491),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_statement] = STATE(498),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_colon_block] = STATE(2472),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_statement] = STATE(1944),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_colon_block] = STATE(2511),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(493),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_statement] = STATE(74),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(74),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(495),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_statement] = STATE(36),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(36),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(497),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_statement] = STATE(2139),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(501),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(503),
  },
  [40] = {
    [sym_statement] = STATE(2132),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [41] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(495),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_statement] = STATE(1888),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(511),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(513),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [43] = {
    [sym_statement] = STATE(2060),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [44] = {
    [sym_statement] = STATE(542),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(523),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(525),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(527),
  },
  [45] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_statement] = STATE(62),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(531),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(533),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_statement] = STATE(55),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(535),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_statement] = STATE(45),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(537),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(539),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_statement] = STATE(50),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(50),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(541),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_statement] = STATE(41),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(41),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_statement] = STATE(465),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [54] = {
    [sym_statement] = STATE(531),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(467),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(471),
  },
  [55] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(543),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_statement] = STATE(498),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_colon_block] = STATE(2472),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_statement] = STATE(24),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(545),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_statement] = STATE(427),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_colon_block] = STATE(1592),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_statement] = STATE(1613),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_colon_block] = STATE(1591),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_statement] = STATE(2139),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(501),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(421),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(503),
  },
  [61] = {
    [sym_statement] = STATE(2132),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(421),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [62] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(547),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_statement] = STATE(1888),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(511),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(513),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(421),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [64] = {
    [sym_statement] = STATE(2060),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(421),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [65] = {
    [sym_statement] = STATE(467),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(551),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(553),
  },
  [66] = {
    [sym_statement] = STATE(47),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(555),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_statement] = STATE(2021),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(421),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(463),
  },
  [68] = {
    [sym_statement] = STATE(70),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(557),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(561),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_statement] = STATE(542),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(523),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(525),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(527),
  },
  [72] = {
    [sym_statement] = STATE(467),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(551),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(553),
  },
  [73] = {
    [sym_statement] = STATE(69),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_statement] = STATE(487),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_statement] = STATE(2064),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_statement] = STATE(2061),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(421),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_statement] = STATE(2466),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(421),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_statement] = STATE(519),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_statement] = STATE(2532),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(421),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_statement] = STATE(2061),
    [sym_empty_statement] = STATE(1891),
    [sym_function_static_declaration] = STATE(1891),
    [sym_global_declaration] = STATE(1891),
    [sym_namespace_definition] = STATE(1891),
    [sym_namespace_use_declaration] = STATE(1891),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(1891),
    [sym_interface_declaration] = STATE(1891),
    [sym_enum_declaration] = STATE(1891),
    [sym_class_declaration] = STATE(1891),
    [sym_final_modifier] = STATE(1359),
    [sym_abstract_modifier] = STATE(1359),
    [sym_readonly_modifier] = STATE(1359),
    [sym_const_declaration] = STATE(1891),
    [sym__const_declaration] = STATE(1894),
    [sym__modifier] = STATE(1359),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1359),
    [sym_function_definition] = STATE(1891),
    [sym__function_definition_header] = STATE(2368),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(1891),
    [sym_exit_statement] = STATE(1891),
    [sym_unset_statement] = STATE(1891),
    [sym_declare_statement] = STATE(1891),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(1891),
    [sym_goto_statement] = STATE(1891),
    [sym_continue_statement] = STATE(1891),
    [sym_break_statement] = STATE(1891),
    [sym_return_statement] = STATE(1891),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(1891),
    [sym_do_statement] = STATE(1891),
    [sym_for_statement] = STATE(1891),
    [sym_foreach_statement] = STATE(1891),
    [sym_if_statement] = STATE(1891),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(1891),
    [sym_compound_statement] = STATE(1891),
    [sym_named_label_statement] = STATE(1891),
    [sym_expression_statement] = STATE(1891),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1355),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(393),
    [aux_sym_global_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_definition_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(399),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(401),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(403),
    [aux_sym_trait_declaration_token1] = ACTIONS(405),
    [aux_sym_interface_declaration_token1] = ACTIONS(407),
    [aux_sym_enum_declaration_token1] = ACTIONS(409),
    [aux_sym_class_declaration_token1] = ACTIONS(411),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(413),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(415),
    [aux_sym_exit_statement_token1] = ACTIONS(417),
    [anon_sym_unset] = ACTIONS(419),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(423),
    [aux_sym_goto_statement_token1] = ACTIONS(425),
    [aux_sym_continue_statement_token1] = ACTIONS(427),
    [aux_sym_break_statement_token1] = ACTIONS(429),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(431),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(435),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_statement] = STATE(519),
    [sym_empty_statement] = STATE(529),
    [sym_function_static_declaration] = STATE(529),
    [sym_global_declaration] = STATE(529),
    [sym_namespace_definition] = STATE(529),
    [sym_namespace_use_declaration] = STATE(529),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_trait_declaration] = STATE(529),
    [sym_interface_declaration] = STATE(529),
    [sym_enum_declaration] = STATE(529),
    [sym_class_declaration] = STATE(529),
    [sym_final_modifier] = STATE(1361),
    [sym_abstract_modifier] = STATE(1361),
    [sym_readonly_modifier] = STATE(1361),
    [sym_const_declaration] = STATE(529),
    [sym__const_declaration] = STATE(546),
    [sym__modifier] = STATE(1361),
    [sym_static_modifier] = STATE(1420),
    [sym_visibility_modifier] = STATE(1361),
    [sym_function_definition] = STATE(529),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_echo_statement] = STATE(529),
    [sym_exit_statement] = STATE(529),
    [sym_unset_statement] = STATE(529),
    [sym_declare_statement] = STATE(529),
    [sym_literal] = STATE(1103),
    [sym_try_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_throw_expression] = STATE(1103),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_foreach_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_match_expression] = STATE(1104),
    [sym_switch_statement] = STATE(529),
    [sym_compound_statement] = STATE(529),
    [sym_named_label_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(991),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(954),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_AMP] = ACTIONS(569),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(577),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_COLON] = ACTIONS(567),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(581),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(577),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_yield_expression_token2] = ACTIONS(623),
    [aux_sym_binary_expression_token1] = ACTIONS(577),
    [anon_sym_QMARK_QMARK] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(567),
    [aux_sym_binary_expression_token2] = ACTIONS(577),
    [aux_sym_binary_expression_token3] = ACTIONS(577),
    [aux_sym_binary_expression_token4] = ACTIONS(577),
    [anon_sym_PIPE_PIPE] = ACTIONS(567),
    [anon_sym_AMP_AMP] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_EQ_EQ] = ACTIONS(577),
    [anon_sym_BANG_EQ] = ACTIONS(577),
    [anon_sym_LT_GT] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT] = ACTIONS(577),
    [anon_sym_GT] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_SLASH] = ACTIONS(577),
    [anon_sym_PERCENT] = ACTIONS(567),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(954),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_AMP] = ACTIONS(569),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(567),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(567),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(577),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(639),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(567),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_yield_expression_token2] = ACTIONS(653),
    [aux_sym_binary_expression_token1] = ACTIONS(577),
    [anon_sym_QMARK_QMARK] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(567),
    [aux_sym_binary_expression_token2] = ACTIONS(577),
    [aux_sym_binary_expression_token3] = ACTIONS(577),
    [aux_sym_binary_expression_token4] = ACTIONS(577),
    [anon_sym_PIPE_PIPE] = ACTIONS(567),
    [anon_sym_AMP_AMP] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_EQ_EQ] = ACTIONS(577),
    [anon_sym_BANG_EQ] = ACTIONS(577),
    [anon_sym_LT_GT] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT] = ACTIONS(577),
    [anon_sym_GT] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_SLASH] = ACTIONS(577),
    [anon_sym_PERCENT] = ACTIONS(567),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_variadic_unpacking] = STATE(1126),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(1126),
    [sym_yield_expression] = STATE(1104),
    [sym_array_element_initializer] = STATE(1137),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_AMP] = ACTIONS(665),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(567),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(577),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_yield_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token1] = ACTIONS(577),
    [anon_sym_QMARK_QMARK] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(567),
    [aux_sym_binary_expression_token2] = ACTIONS(577),
    [aux_sym_binary_expression_token3] = ACTIONS(577),
    [aux_sym_binary_expression_token4] = ACTIONS(577),
    [anon_sym_PIPE_PIPE] = ACTIONS(567),
    [anon_sym_AMP_AMP] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_EQ_EQ] = ACTIONS(577),
    [anon_sym_BANG_EQ] = ACTIONS(577),
    [anon_sym_LT_GT] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT] = ACTIONS(577),
    [anon_sym_GT] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_SLASH] = ACTIONS(577),
    [anon_sym_PERCENT] = ACTIONS(567),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(567),
  },
  [86] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(954),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(569),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(567),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(577),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(679),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_yield_expression_token2] = ACTIONS(693),
    [aux_sym_binary_expression_token1] = ACTIONS(577),
    [anon_sym_QMARK_QMARK] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(567),
    [aux_sym_binary_expression_token2] = ACTIONS(577),
    [aux_sym_binary_expression_token3] = ACTIONS(577),
    [aux_sym_binary_expression_token4] = ACTIONS(577),
    [anon_sym_PIPE_PIPE] = ACTIONS(567),
    [anon_sym_AMP_AMP] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_EQ_EQ] = ACTIONS(577),
    [anon_sym_BANG_EQ] = ACTIONS(577),
    [anon_sym_LT_GT] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT] = ACTIONS(577),
    [anon_sym_GT] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_SLASH] = ACTIONS(577),
    [anon_sym_PERCENT] = ACTIONS(567),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2502),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2428),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2476),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2509),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2439),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2494),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2441),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2476),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2487),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2473),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2509),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_cast_type] = STATE(2531),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_variadic_placeholder] = STATE(2586),
    [sym_argument] = STATE(2117),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(629),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(629),
    [sym_nullsafe_member_access_expression] = STATE(629),
    [sym_scoped_property_access_expression] = STATE(629),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(1950),
    [sym__array_destructing_element] = STATE(1951),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(2374),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(1937),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym__array_destructing_repeat1] = STATE(1953),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(739),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_variadic_placeholder] = STATE(2604),
    [sym_argument] = STATE(2131),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_variadic_placeholder] = STATE(2619),
    [sym_argument] = STATE(2143),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(745),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_variadic_placeholder] = STATE(2583),
    [sym_argument] = STATE(2115),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(749),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(629),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(629),
    [sym_nullsafe_member_access_expression] = STATE(629),
    [sym_scoped_property_access_expression] = STATE(629),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(1950),
    [sym__array_destructing_element] = STATE(1951),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(2374),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(1937),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym__array_destructing_repeat1] = STATE(1953),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(753),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(629),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(629),
    [sym_nullsafe_member_access_expression] = STATE(629),
    [sym_scoped_property_access_expression] = STATE(629),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(1950),
    [sym__array_destructing_element] = STATE(1951),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(2374),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(1937),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym__array_destructing_repeat1] = STATE(1953),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(755),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_variadic_placeholder] = STATE(2571),
    [sym_argument] = STATE(2099),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(757),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(629),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(629),
    [sym_nullsafe_member_access_expression] = STATE(629),
    [sym_scoped_property_access_expression] = STATE(629),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(1950),
    [sym__array_destructing_element] = STATE(1951),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(2374),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(1937),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym__array_destructing_repeat1] = STATE(1953),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(761),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_variadic_placeholder] = STATE(2617),
    [sym_argument] = STATE(1895),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(763),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_variadic_placeholder] = STATE(2522),
    [sym_argument] = STATE(2075),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(767),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(629),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(629),
    [sym_nullsafe_member_access_expression] = STATE(629),
    [sym_scoped_property_access_expression] = STATE(629),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(1950),
    [sym__array_destructing_element] = STATE(1951),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(2374),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(1952),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym__array_destructing_repeat1] = STATE(1953),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(771),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(773),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_variadic_placeholder] = STATE(2566),
    [sym_argument] = STATE(2077),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(1999),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(779),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(1902),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(1952),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(807),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(809),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(1937),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(819),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(821),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(2044),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(827),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(2044),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_argument] = STATE(2266),
    [sym__argument_name] = STATE(153),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2218),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1480),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(2044),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(2044),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_match_condition_list] = STATE(2467),
    [sym_match_conditional_expression] = STATE(1928),
    [sym_match_default_expression] = STATE(1928),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(835),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(837),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(2044),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(841),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_match_condition_list] = STATE(2467),
    [sym_match_conditional_expression] = STATE(2006),
    [sym_match_default_expression] = STATE(2006),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(843),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(845),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(2044),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(847),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(2044),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(2044),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(851),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(628),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(1950),
    [sym__array_destructing_element] = STATE(2320),
    [sym_function_call_expression] = STATE(612),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(612),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2320),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(853),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(855),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_RBRACK] = ACTIONS(859),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(2044),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(628),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(1950),
    [sym__array_destructing_element] = STATE(2320),
    [sym_function_call_expression] = STATE(612),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(612),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2320),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(853),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(855),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(628),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(1950),
    [sym__array_destructing_element] = STATE(2320),
    [sym_function_call_expression] = STATE(612),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(612),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2320),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(853),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(855),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_RBRACK] = ACTIONS(862),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(978),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(978),
    [sym_yield_expression] = STATE(919),
    [sym_array_element_initializer] = STATE(2044),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_match_condition_list] = STATE(2467),
    [sym_match_conditional_expression] = STATE(2403),
    [sym_match_default_expression] = STATE(2403),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(865),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_match_condition_list] = STATE(2467),
    [sym_match_conditional_expression] = STATE(2403),
    [sym_match_default_expression] = STATE(2403),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(867),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_match_condition_list] = STATE(2467),
    [sym_match_conditional_expression] = STATE(2403),
    [sym_match_default_expression] = STATE(2403),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(869),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(625),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(625),
    [sym_nullsafe_member_access_expression] = STATE(625),
    [sym_scoped_property_access_expression] = STATE(625),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(1794),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(2008),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym__list_destructing_repeat1] = STATE(2009),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(871),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(855),
    [anon_sym_RPAREN] = ACTIONS(873),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_match_condition_list] = STATE(2467),
    [sym_match_conditional_expression] = STATE(2403),
    [sym_match_default_expression] = STATE(2403),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(875),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2223),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1510),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2033),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(608),
    [sym_scoped_call_expression] = STATE(608),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(608),
    [sym_nullsafe_member_call_expression] = STATE(608),
    [sym_subscript_expression] = STATE(608),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(608),
    [sym_variable_name] = STATE(608),
    [sym_by_ref] = STATE(2284),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(877),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(855),
    [anon_sym_RPAREN] = ACTIONS(877),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_match_condition_list] = STATE(2467),
    [sym_match_conditional_expression] = STATE(2403),
    [sym_match_default_expression] = STATE(2403),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2577),
    [sym_sequence_expression] = STATE(2577),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(879),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_foreach_pair] = STATE(2557),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2219),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2557),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_foreach_pair] = STATE(2449),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2161),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2449),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2448),
    [sym_sequence_expression] = STATE(2448),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(881),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2556),
    [sym_sequence_expression] = STATE(2556),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(883),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2521),
    [sym_sequence_expression] = STATE(2521),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(885),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2474),
    [sym_sequence_expression] = STATE(2474),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(887),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2608),
    [sym_sequence_expression] = STATE(2608),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_foreach_pair] = STATE(2496),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2309),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2496),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2538),
    [sym_sequence_expression] = STATE(2538),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(891),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2605),
    [sym_sequence_expression] = STATE(2605),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2624),
    [sym_sequence_expression] = STATE(2624),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(895),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2554),
    [sym_sequence_expression] = STATE(2554),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(897),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2453),
    [sym_sequence_expression] = STATE(2453),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(899),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2491),
    [sym_sequence_expression] = STATE(2491),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(901),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2603),
    [sym_sequence_expression] = STATE(2603),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2562),
    [sym_sequence_expression] = STATE(2562),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(905),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_foreach_pair] = STATE(2578),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2416),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2578),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2482),
    [sym_sequence_expression] = STATE(2482),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(907),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2498),
    [sym_sequence_expression] = STATE(2498),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(909),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2581),
    [sym_sequence_expression] = STATE(2581),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(911),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2618),
    [sym_sequence_expression] = STATE(2618),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(913),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2560),
    [sym_sequence_expression] = STATE(2560),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(915),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2460),
    [sym_sequence_expression] = STATE(2460),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(917),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2421),
    [sym_sequence_expression] = STATE(2421),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(919),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2423),
    [sym_sequence_expression] = STATE(2423),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(921),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2549),
    [sym_sequence_expression] = STATE(2549),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(923),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__expressions] = STATE(2611),
    [sym_sequence_expression] = STATE(2611),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(925),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(927),
  },
  [185] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(929),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(929),
  },
  [186] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(931),
  },
  [187] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2269),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1459),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(933),
  },
  [189] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(969),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(937),
  },
  [191] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym__expressions] = STATE(2344),
    [sym_sequence_expression] = STATE(2344),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_by_ref] = STATE(969),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(632),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(632),
    [sym_nullsafe_member_access_expression] = STATE(632),
    [sym_scoped_property_access_expression] = STATE(632),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2041),
    [sym_function_call_expression] = STATE(626),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(626),
    [sym_variable_name] = STATE(626),
    [sym_by_ref] = STATE(2259),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_by_ref] = STATE(969),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(1132),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2231),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2543),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(941),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(941),
  },
  [198] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym__expressions] = STATE(2390),
    [sym_sequence_expression] = STATE(2390),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(994),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(969),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(2234),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1511),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(969),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(735),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(943),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(945),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(947),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(949),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(951),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1000),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(957),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(959),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(961),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(963),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(965),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_sequence_expression] = STATE(2373),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(969),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1045),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(973),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(977),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(979),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_sequence_expression] = STATE(2373),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_sequence_expression] = STATE(2302),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(987),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1046),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1148),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1142),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1016),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(992),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(974),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(972),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(972),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(974),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1004),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1318),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1310),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1048),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(988),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(990),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1001),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1003),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1006),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1010),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1012),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(986),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1005),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(985),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(989),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1013),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1008),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1007),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(996),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(997),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1043),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1042),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1025),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1022),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1023),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1024),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1026),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1027),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1041),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1028),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1029),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1032),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1033),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1036),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(999),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1037),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1047),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(993),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1049),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1035),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1034),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(974),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(972),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1038),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2445),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(998),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1002),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1009),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(995),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2485),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_match_expression] = STATE(1104),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_op_expression] = STATE(1105),
    [sym_error_suppression_expression] = STATE(1104),
    [sym_clone_expression] = STATE(1105),
    [sym_primary_expression] = STATE(1105),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1105),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(1104),
    [sym_reference_assignment_expression] = STATE(1104),
    [sym_conditional_expression] = STATE(1104),
    [sym_augmented_assignment_expression] = STATE(1104),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(1104),
    [sym_binary_expression] = STATE(1104),
    [sym_include_expression] = STATE(1104),
    [sym_include_once_expression] = STATE(1104),
    [sym_require_expression] = STATE(1104),
    [sym_require_once_expression] = STATE(1104),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_match_expression] = STATE(919),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(917),
    [sym_unary_op_expression] = STATE(917),
    [sym_error_suppression_expression] = STATE(919),
    [sym_clone_expression] = STATE(917),
    [sym_primary_expression] = STATE(917),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(917),
    [sym_cast_variable] = STATE(597),
    [sym_assignment_expression] = STATE(919),
    [sym_reference_assignment_expression] = STATE(919),
    [sym_conditional_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_list_literal] = STATE(2454),
    [sym__list_destructing] = STATE(2222),
    [sym__array_destructing] = STATE(2222),
    [sym_function_call_expression] = STATE(589),
    [sym_scoped_call_expression] = STATE(589),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(589),
    [sym_nullsafe_member_call_expression] = STATE(589),
    [sym_subscript_expression] = STATE(589),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(589),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_include_expression] = STATE(919),
    [sym_include_once_expression] = STATE(919),
    [sym_require_expression] = STATE(919),
    [sym_require_once_expression] = STATE(919),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_catch_clause] = STATE(424),
    [sym_finally_clause] = STATE(424),
    [aux_sym_try_statement_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(981),
    [sym_name] = ACTIONS(983),
    [anon_sym_QMARK_GT] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(983),
    [aux_sym_global_declaration_token1] = ACTIONS(983),
    [aux_sym_namespace_definition_token1] = ACTIONS(983),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(983),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(983),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(983),
    [anon_sym_BSLASH] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(981),
    [anon_sym_RBRACE] = ACTIONS(981),
    [aux_sym_trait_declaration_token1] = ACTIONS(983),
    [aux_sym_interface_declaration_token1] = ACTIONS(983),
    [aux_sym_enum_declaration_token1] = ACTIONS(983),
    [aux_sym_enum_case_token1] = ACTIONS(983),
    [aux_sym_class_declaration_token1] = ACTIONS(983),
    [aux_sym_final_modifier_token1] = ACTIONS(983),
    [aux_sym_abstract_modifier_token1] = ACTIONS(983),
    [aux_sym_readonly_modifier_token1] = ACTIONS(983),
    [sym_var_modifier] = ACTIONS(983),
    [aux_sym_visibility_modifier_token1] = ACTIONS(983),
    [aux_sym_visibility_modifier_token2] = ACTIONS(983),
    [aux_sym_visibility_modifier_token3] = ACTIONS(983),
    [aux_sym__arrow_function_header_token1] = ACTIONS(983),
    [anon_sym_LPAREN] = ACTIONS(981),
    [aux_sym_cast_type_token1] = ACTIONS(983),
    [aux_sym_echo_statement_token1] = ACTIONS(983),
    [aux_sym_exit_statement_token1] = ACTIONS(983),
    [anon_sym_unset] = ACTIONS(983),
    [aux_sym_declare_statement_token1] = ACTIONS(983),
    [aux_sym_declare_statement_token2] = ACTIONS(983),
    [sym_float] = ACTIONS(983),
    [aux_sym_try_statement_token1] = ACTIONS(983),
    [aux_sym_catch_clause_token1] = ACTIONS(985),
    [aux_sym_finally_clause_token1] = ACTIONS(987),
    [aux_sym_goto_statement_token1] = ACTIONS(983),
    [aux_sym_continue_statement_token1] = ACTIONS(983),
    [aux_sym_break_statement_token1] = ACTIONS(983),
    [sym_integer] = ACTIONS(983),
    [aux_sym_return_statement_token1] = ACTIONS(983),
    [aux_sym_throw_expression_token1] = ACTIONS(983),
    [aux_sym_while_statement_token1] = ACTIONS(983),
    [aux_sym_while_statement_token2] = ACTIONS(983),
    [aux_sym_do_statement_token1] = ACTIONS(983),
    [aux_sym_for_statement_token1] = ACTIONS(983),
    [aux_sym_for_statement_token2] = ACTIONS(983),
    [aux_sym_foreach_statement_token1] = ACTIONS(983),
    [aux_sym_foreach_statement_token2] = ACTIONS(983),
    [aux_sym_if_statement_token1] = ACTIONS(983),
    [aux_sym_if_statement_token2] = ACTIONS(983),
    [aux_sym_else_if_clause_token1] = ACTIONS(983),
    [aux_sym_else_clause_token1] = ACTIONS(983),
    [aux_sym_match_expression_token1] = ACTIONS(983),
    [aux_sym_match_default_expression_token1] = ACTIONS(983),
    [aux_sym_switch_statement_token1] = ACTIONS(983),
    [aux_sym_switch_block_token1] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_DASH] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(981),
    [aux_sym_clone_expression_token1] = ACTIONS(983),
    [aux_sym_print_intrinsic_token1] = ACTIONS(983),
    [aux_sym_object_creation_expression_token1] = ACTIONS(983),
    [anon_sym_DASH_DASH] = ACTIONS(981),
    [anon_sym_PLUS_PLUS] = ACTIONS(981),
    [aux_sym__list_destructing_token1] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(983),
    [anon_sym_parent] = ACTIONS(983),
    [aux_sym__argument_name_token1] = ACTIONS(983),
    [aux_sym__argument_name_token2] = ACTIONS(983),
    [anon_sym_POUND_LBRACK] = ACTIONS(981),
    [aux_sym_encapsed_string_token1] = ACTIONS(981),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [aux_sym_string_token1] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(981),
    [anon_sym_LT_LT_LT] = ACTIONS(981),
    [anon_sym_BQUOTE] = ACTIONS(981),
    [anon_sym_DOLLAR] = ACTIONS(981),
    [aux_sym_yield_expression_token1] = ACTIONS(983),
    [aux_sym_include_expression_token1] = ACTIONS(983),
    [aux_sym_include_once_expression_token1] = ACTIONS(983),
    [aux_sym_require_expression_token1] = ACTIONS(983),
    [aux_sym_require_once_expression_token1] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_catch_clause] = STATE(424),
    [sym_finally_clause] = STATE(424),
    [aux_sym_try_statement_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_name] = ACTIONS(991),
    [anon_sym_QMARK_GT] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(989),
    [aux_sym_function_static_declaration_token1] = ACTIONS(991),
    [aux_sym_global_declaration_token1] = ACTIONS(991),
    [aux_sym_namespace_definition_token1] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(991),
    [anon_sym_BSLASH] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_RBRACE] = ACTIONS(989),
    [aux_sym_trait_declaration_token1] = ACTIONS(991),
    [aux_sym_interface_declaration_token1] = ACTIONS(991),
    [aux_sym_enum_declaration_token1] = ACTIONS(991),
    [aux_sym_enum_case_token1] = ACTIONS(991),
    [aux_sym_class_declaration_token1] = ACTIONS(991),
    [aux_sym_final_modifier_token1] = ACTIONS(991),
    [aux_sym_abstract_modifier_token1] = ACTIONS(991),
    [aux_sym_readonly_modifier_token1] = ACTIONS(991),
    [sym_var_modifier] = ACTIONS(991),
    [aux_sym_visibility_modifier_token1] = ACTIONS(991),
    [aux_sym_visibility_modifier_token2] = ACTIONS(991),
    [aux_sym_visibility_modifier_token3] = ACTIONS(991),
    [aux_sym__arrow_function_header_token1] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(991),
    [aux_sym_echo_statement_token1] = ACTIONS(991),
    [aux_sym_exit_statement_token1] = ACTIONS(991),
    [anon_sym_unset] = ACTIONS(991),
    [aux_sym_declare_statement_token1] = ACTIONS(991),
    [aux_sym_declare_statement_token2] = ACTIONS(991),
    [sym_float] = ACTIONS(991),
    [aux_sym_try_statement_token1] = ACTIONS(991),
    [aux_sym_catch_clause_token1] = ACTIONS(993),
    [aux_sym_finally_clause_token1] = ACTIONS(996),
    [aux_sym_goto_statement_token1] = ACTIONS(991),
    [aux_sym_continue_statement_token1] = ACTIONS(991),
    [aux_sym_break_statement_token1] = ACTIONS(991),
    [sym_integer] = ACTIONS(991),
    [aux_sym_return_statement_token1] = ACTIONS(991),
    [aux_sym_throw_expression_token1] = ACTIONS(991),
    [aux_sym_while_statement_token1] = ACTIONS(991),
    [aux_sym_while_statement_token2] = ACTIONS(991),
    [aux_sym_do_statement_token1] = ACTIONS(991),
    [aux_sym_for_statement_token1] = ACTIONS(991),
    [aux_sym_for_statement_token2] = ACTIONS(991),
    [aux_sym_foreach_statement_token1] = ACTIONS(991),
    [aux_sym_foreach_statement_token2] = ACTIONS(991),
    [aux_sym_if_statement_token1] = ACTIONS(991),
    [aux_sym_if_statement_token2] = ACTIONS(991),
    [aux_sym_else_if_clause_token1] = ACTIONS(991),
    [aux_sym_else_clause_token1] = ACTIONS(991),
    [aux_sym_match_expression_token1] = ACTIONS(991),
    [aux_sym_match_default_expression_token1] = ACTIONS(991),
    [aux_sym_switch_statement_token1] = ACTIONS(991),
    [aux_sym_switch_block_token1] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(989),
    [aux_sym_clone_expression_token1] = ACTIONS(991),
    [aux_sym_print_intrinsic_token1] = ACTIONS(991),
    [aux_sym_object_creation_expression_token1] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(989),
    [aux_sym__list_destructing_token1] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_self] = ACTIONS(991),
    [anon_sym_parent] = ACTIONS(991),
    [aux_sym__argument_name_token1] = ACTIONS(991),
    [aux_sym__argument_name_token2] = ACTIONS(991),
    [anon_sym_POUND_LBRACK] = ACTIONS(989),
    [aux_sym_encapsed_string_token1] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [aux_sym_string_token1] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_LT_LT_LT] = ACTIONS(989),
    [anon_sym_BQUOTE] = ACTIONS(989),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [aux_sym_yield_expression_token1] = ACTIONS(991),
    [aux_sym_include_expression_token1] = ACTIONS(991),
    [aux_sym_include_once_expression_token1] = ACTIONS(991),
    [aux_sym_require_expression_token1] = ACTIONS(991),
    [aux_sym_require_once_expression_token1] = ACTIONS(991),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_else_if_clause] = STATE(478),
    [sym_else_clause] = STATE(515),
    [aux_sym_if_statement_repeat1] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_name] = ACTIONS(1001),
    [anon_sym_QMARK_GT] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1001),
    [aux_sym_global_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_definition_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1001),
    [anon_sym_BSLASH] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [aux_sym_trait_declaration_token1] = ACTIONS(1001),
    [aux_sym_interface_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_case_token1] = ACTIONS(1001),
    [aux_sym_class_declaration_token1] = ACTIONS(1001),
    [aux_sym_final_modifier_token1] = ACTIONS(1001),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1001),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1001),
    [sym_var_modifier] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1001),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [aux_sym_cast_type_token1] = ACTIONS(1001),
    [aux_sym_echo_statement_token1] = ACTIONS(1001),
    [aux_sym_exit_statement_token1] = ACTIONS(1001),
    [anon_sym_unset] = ACTIONS(1001),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [aux_sym_declare_statement_token2] = ACTIONS(1001),
    [sym_float] = ACTIONS(1001),
    [aux_sym_try_statement_token1] = ACTIONS(1001),
    [aux_sym_goto_statement_token1] = ACTIONS(1001),
    [aux_sym_continue_statement_token1] = ACTIONS(1001),
    [aux_sym_break_statement_token1] = ACTIONS(1001),
    [sym_integer] = ACTIONS(1001),
    [aux_sym_return_statement_token1] = ACTIONS(1001),
    [aux_sym_throw_expression_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token2] = ACTIONS(1001),
    [aux_sym_do_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token2] = ACTIONS(1001),
    [aux_sym_foreach_statement_token1] = ACTIONS(1001),
    [aux_sym_foreach_statement_token2] = ACTIONS(1001),
    [aux_sym_if_statement_token1] = ACTIONS(1001),
    [aux_sym_if_statement_token2] = ACTIONS(1001),
    [aux_sym_else_if_clause_token1] = ACTIONS(1003),
    [aux_sym_else_clause_token1] = ACTIONS(1006),
    [aux_sym_match_expression_token1] = ACTIONS(1001),
    [aux_sym_match_default_expression_token1] = ACTIONS(1001),
    [aux_sym_switch_statement_token1] = ACTIONS(1001),
    [aux_sym_switch_block_token1] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(999),
    [aux_sym_clone_expression_token1] = ACTIONS(1001),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1001),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [aux_sym__list_destructing_token1] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_self] = ACTIONS(1001),
    [anon_sym_parent] = ACTIONS(1001),
    [aux_sym__argument_name_token1] = ACTIONS(1001),
    [aux_sym__argument_name_token2] = ACTIONS(1001),
    [anon_sym_POUND_LBRACK] = ACTIONS(999),
    [aux_sym_encapsed_string_token1] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_string_token1] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(999),
    [anon_sym_LT_LT_LT] = ACTIONS(999),
    [anon_sym_BQUOTE] = ACTIONS(999),
    [anon_sym_DOLLAR] = ACTIONS(999),
    [aux_sym_yield_expression_token1] = ACTIONS(1001),
    [aux_sym_include_expression_token1] = ACTIONS(1001),
    [aux_sym_include_once_expression_token1] = ACTIONS(1001),
    [aux_sym_require_expression_token1] = ACTIONS(1001),
    [aux_sym_require_once_expression_token1] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_else_if_clause] = STATE(478),
    [sym_else_clause] = STATE(477),
    [aux_sym_if_statement_repeat1] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym_name] = ACTIONS(1011),
    [anon_sym_QMARK_GT] = ACTIONS(1009),
    [anon_sym_SEMI] = ACTIONS(1009),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1011),
    [aux_sym_global_declaration_token1] = ACTIONS(1011),
    [aux_sym_namespace_definition_token1] = ACTIONS(1011),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1011),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1011),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1011),
    [anon_sym_BSLASH] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(1009),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [aux_sym_trait_declaration_token1] = ACTIONS(1011),
    [aux_sym_interface_declaration_token1] = ACTIONS(1011),
    [aux_sym_enum_declaration_token1] = ACTIONS(1011),
    [aux_sym_enum_case_token1] = ACTIONS(1011),
    [aux_sym_class_declaration_token1] = ACTIONS(1011),
    [aux_sym_final_modifier_token1] = ACTIONS(1011),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1011),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1011),
    [sym_var_modifier] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1011),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1011),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [aux_sym_cast_type_token1] = ACTIONS(1011),
    [aux_sym_echo_statement_token1] = ACTIONS(1011),
    [aux_sym_exit_statement_token1] = ACTIONS(1011),
    [anon_sym_unset] = ACTIONS(1011),
    [aux_sym_declare_statement_token1] = ACTIONS(1011),
    [aux_sym_declare_statement_token2] = ACTIONS(1011),
    [sym_float] = ACTIONS(1011),
    [aux_sym_try_statement_token1] = ACTIONS(1011),
    [aux_sym_goto_statement_token1] = ACTIONS(1011),
    [aux_sym_continue_statement_token1] = ACTIONS(1011),
    [aux_sym_break_statement_token1] = ACTIONS(1011),
    [sym_integer] = ACTIONS(1011),
    [aux_sym_return_statement_token1] = ACTIONS(1011),
    [aux_sym_throw_expression_token1] = ACTIONS(1011),
    [aux_sym_while_statement_token1] = ACTIONS(1011),
    [aux_sym_while_statement_token2] = ACTIONS(1011),
    [aux_sym_do_statement_token1] = ACTIONS(1011),
    [aux_sym_for_statement_token1] = ACTIONS(1011),
    [aux_sym_for_statement_token2] = ACTIONS(1011),
    [aux_sym_foreach_statement_token1] = ACTIONS(1011),
    [aux_sym_foreach_statement_token2] = ACTIONS(1011),
    [aux_sym_if_statement_token1] = ACTIONS(1011),
    [aux_sym_if_statement_token2] = ACTIONS(1011),
    [aux_sym_else_if_clause_token1] = ACTIONS(1013),
    [aux_sym_else_clause_token1] = ACTIONS(1016),
    [aux_sym_match_expression_token1] = ACTIONS(1011),
    [aux_sym_match_default_expression_token1] = ACTIONS(1011),
    [aux_sym_switch_statement_token1] = ACTIONS(1011),
    [aux_sym_switch_block_token1] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1011),
    [anon_sym_DASH] = ACTIONS(1011),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1009),
    [aux_sym_clone_expression_token1] = ACTIONS(1011),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1011),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1011),
    [anon_sym_DASH_DASH] = ACTIONS(1009),
    [anon_sym_PLUS_PLUS] = ACTIONS(1009),
    [aux_sym__list_destructing_token1] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_self] = ACTIONS(1011),
    [anon_sym_parent] = ACTIONS(1011),
    [aux_sym__argument_name_token1] = ACTIONS(1011),
    [aux_sym__argument_name_token2] = ACTIONS(1011),
    [anon_sym_POUND_LBRACK] = ACTIONS(1009),
    [aux_sym_encapsed_string_token1] = ACTIONS(1009),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [aux_sym_string_token1] = ACTIONS(1009),
    [anon_sym_SQUOTE] = ACTIONS(1009),
    [anon_sym_LT_LT_LT] = ACTIONS(1009),
    [anon_sym_BQUOTE] = ACTIONS(1009),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [aux_sym_yield_expression_token1] = ACTIONS(1011),
    [aux_sym_include_expression_token1] = ACTIONS(1011),
    [aux_sym_include_once_expression_token1] = ACTIONS(1011),
    [aux_sym_require_expression_token1] = ACTIONS(1011),
    [aux_sym_require_once_expression_token1] = ACTIONS(1011),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_else_if_clause] = STATE(478),
    [sym_else_clause] = STATE(477),
    [aux_sym_if_statement_repeat1] = STATE(428),
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym_name] = ACTIONS(1011),
    [anon_sym_QMARK_GT] = ACTIONS(1009),
    [anon_sym_SEMI] = ACTIONS(1009),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1011),
    [aux_sym_global_declaration_token1] = ACTIONS(1011),
    [aux_sym_namespace_definition_token1] = ACTIONS(1011),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1011),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1011),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1011),
    [anon_sym_BSLASH] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(1009),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [aux_sym_trait_declaration_token1] = ACTIONS(1011),
    [aux_sym_interface_declaration_token1] = ACTIONS(1011),
    [aux_sym_enum_declaration_token1] = ACTIONS(1011),
    [aux_sym_enum_case_token1] = ACTIONS(1011),
    [aux_sym_class_declaration_token1] = ACTIONS(1011),
    [aux_sym_final_modifier_token1] = ACTIONS(1011),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1011),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1011),
    [sym_var_modifier] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1011),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1011),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1011),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [aux_sym_cast_type_token1] = ACTIONS(1011),
    [aux_sym_echo_statement_token1] = ACTIONS(1011),
    [aux_sym_exit_statement_token1] = ACTIONS(1011),
    [anon_sym_unset] = ACTIONS(1011),
    [aux_sym_declare_statement_token1] = ACTIONS(1011),
    [aux_sym_declare_statement_token2] = ACTIONS(1011),
    [sym_float] = ACTIONS(1011),
    [aux_sym_try_statement_token1] = ACTIONS(1011),
    [aux_sym_goto_statement_token1] = ACTIONS(1011),
    [aux_sym_continue_statement_token1] = ACTIONS(1011),
    [aux_sym_break_statement_token1] = ACTIONS(1011),
    [sym_integer] = ACTIONS(1011),
    [aux_sym_return_statement_token1] = ACTIONS(1011),
    [aux_sym_throw_expression_token1] = ACTIONS(1011),
    [aux_sym_while_statement_token1] = ACTIONS(1011),
    [aux_sym_while_statement_token2] = ACTIONS(1011),
    [aux_sym_do_statement_token1] = ACTIONS(1011),
    [aux_sym_for_statement_token1] = ACTIONS(1011),
    [aux_sym_for_statement_token2] = ACTIONS(1011),
    [aux_sym_foreach_statement_token1] = ACTIONS(1011),
    [aux_sym_foreach_statement_token2] = ACTIONS(1011),
    [aux_sym_if_statement_token1] = ACTIONS(1011),
    [aux_sym_if_statement_token2] = ACTIONS(1011),
    [aux_sym_else_if_clause_token1] = ACTIONS(1019),
    [aux_sym_else_clause_token1] = ACTIONS(1021),
    [aux_sym_match_expression_token1] = ACTIONS(1011),
    [aux_sym_match_default_expression_token1] = ACTIONS(1011),
    [aux_sym_switch_statement_token1] = ACTIONS(1011),
    [aux_sym_switch_block_token1] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1011),
    [anon_sym_DASH] = ACTIONS(1011),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1009),
    [aux_sym_clone_expression_token1] = ACTIONS(1011),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1011),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1011),
    [anon_sym_DASH_DASH] = ACTIONS(1009),
    [anon_sym_PLUS_PLUS] = ACTIONS(1009),
    [aux_sym__list_destructing_token1] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_self] = ACTIONS(1011),
    [anon_sym_parent] = ACTIONS(1011),
    [aux_sym__argument_name_token1] = ACTIONS(1011),
    [aux_sym__argument_name_token2] = ACTIONS(1011),
    [anon_sym_POUND_LBRACK] = ACTIONS(1009),
    [aux_sym_encapsed_string_token1] = ACTIONS(1009),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [aux_sym_string_token1] = ACTIONS(1009),
    [anon_sym_SQUOTE] = ACTIONS(1009),
    [anon_sym_LT_LT_LT] = ACTIONS(1009),
    [anon_sym_BQUOTE] = ACTIONS(1009),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [aux_sym_yield_expression_token1] = ACTIONS(1011),
    [aux_sym_include_expression_token1] = ACTIONS(1011),
    [aux_sym_include_once_expression_token1] = ACTIONS(1011),
    [aux_sym_require_expression_token1] = ACTIONS(1011),
    [aux_sym_require_once_expression_token1] = ACTIONS(1011),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_else_if_clause] = STATE(478),
    [sym_else_clause] = STATE(515),
    [aux_sym_if_statement_repeat1] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_name] = ACTIONS(1001),
    [anon_sym_QMARK_GT] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1001),
    [aux_sym_global_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_definition_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1001),
    [anon_sym_BSLASH] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [aux_sym_trait_declaration_token1] = ACTIONS(1001),
    [aux_sym_interface_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_case_token1] = ACTIONS(1001),
    [aux_sym_class_declaration_token1] = ACTIONS(1001),
    [aux_sym_final_modifier_token1] = ACTIONS(1001),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1001),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1001),
    [sym_var_modifier] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1001),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [aux_sym_cast_type_token1] = ACTIONS(1001),
    [aux_sym_echo_statement_token1] = ACTIONS(1001),
    [aux_sym_exit_statement_token1] = ACTIONS(1001),
    [anon_sym_unset] = ACTIONS(1001),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [aux_sym_declare_statement_token2] = ACTIONS(1001),
    [sym_float] = ACTIONS(1001),
    [aux_sym_try_statement_token1] = ACTIONS(1001),
    [aux_sym_goto_statement_token1] = ACTIONS(1001),
    [aux_sym_continue_statement_token1] = ACTIONS(1001),
    [aux_sym_break_statement_token1] = ACTIONS(1001),
    [sym_integer] = ACTIONS(1001),
    [aux_sym_return_statement_token1] = ACTIONS(1001),
    [aux_sym_throw_expression_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token2] = ACTIONS(1001),
    [aux_sym_do_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token2] = ACTIONS(1001),
    [aux_sym_foreach_statement_token1] = ACTIONS(1001),
    [aux_sym_foreach_statement_token2] = ACTIONS(1001),
    [aux_sym_if_statement_token1] = ACTIONS(1001),
    [aux_sym_if_statement_token2] = ACTIONS(1001),
    [aux_sym_else_if_clause_token1] = ACTIONS(1019),
    [aux_sym_else_clause_token1] = ACTIONS(1021),
    [aux_sym_match_expression_token1] = ACTIONS(1001),
    [aux_sym_match_default_expression_token1] = ACTIONS(1001),
    [aux_sym_switch_statement_token1] = ACTIONS(1001),
    [aux_sym_switch_block_token1] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(999),
    [aux_sym_clone_expression_token1] = ACTIONS(1001),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1001),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [aux_sym__list_destructing_token1] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_self] = ACTIONS(1001),
    [anon_sym_parent] = ACTIONS(1001),
    [aux_sym__argument_name_token1] = ACTIONS(1001),
    [aux_sym__argument_name_token2] = ACTIONS(1001),
    [anon_sym_POUND_LBRACK] = ACTIONS(999),
    [aux_sym_encapsed_string_token1] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_string_token1] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(999),
    [anon_sym_LT_LT_LT] = ACTIONS(999),
    [anon_sym_BQUOTE] = ACTIONS(999),
    [anon_sym_DOLLAR] = ACTIONS(999),
    [aux_sym_yield_expression_token1] = ACTIONS(1001),
    [aux_sym_include_expression_token1] = ACTIONS(1001),
    [aux_sym_include_once_expression_token1] = ACTIONS(1001),
    [aux_sym_require_expression_token1] = ACTIONS(1001),
    [aux_sym_require_once_expression_token1] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_else_if_clause] = STATE(478),
    [aux_sym_if_statement_repeat1] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_name] = ACTIONS(1025),
    [anon_sym_QMARK_GT] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1025),
    [aux_sym_global_declaration_token1] = ACTIONS(1025),
    [aux_sym_namespace_definition_token1] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1025),
    [anon_sym_BSLASH] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [aux_sym_trait_declaration_token1] = ACTIONS(1025),
    [aux_sym_interface_declaration_token1] = ACTIONS(1025),
    [aux_sym_enum_declaration_token1] = ACTIONS(1025),
    [aux_sym_enum_case_token1] = ACTIONS(1025),
    [aux_sym_class_declaration_token1] = ACTIONS(1025),
    [aux_sym_final_modifier_token1] = ACTIONS(1025),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1025),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1025),
    [sym_var_modifier] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1025),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_cast_type_token1] = ACTIONS(1025),
    [aux_sym_echo_statement_token1] = ACTIONS(1025),
    [aux_sym_exit_statement_token1] = ACTIONS(1025),
    [anon_sym_unset] = ACTIONS(1025),
    [aux_sym_declare_statement_token1] = ACTIONS(1025),
    [aux_sym_declare_statement_token2] = ACTIONS(1025),
    [sym_float] = ACTIONS(1025),
    [aux_sym_try_statement_token1] = ACTIONS(1025),
    [aux_sym_goto_statement_token1] = ACTIONS(1025),
    [aux_sym_continue_statement_token1] = ACTIONS(1025),
    [aux_sym_break_statement_token1] = ACTIONS(1025),
    [sym_integer] = ACTIONS(1025),
    [aux_sym_return_statement_token1] = ACTIONS(1025),
    [aux_sym_throw_expression_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token2] = ACTIONS(1025),
    [aux_sym_do_statement_token1] = ACTIONS(1025),
    [aux_sym_for_statement_token1] = ACTIONS(1025),
    [aux_sym_for_statement_token2] = ACTIONS(1025),
    [aux_sym_foreach_statement_token1] = ACTIONS(1025),
    [aux_sym_foreach_statement_token2] = ACTIONS(1025),
    [aux_sym_if_statement_token1] = ACTIONS(1025),
    [aux_sym_if_statement_token2] = ACTIONS(1025),
    [aux_sym_else_if_clause_token1] = ACTIONS(1027),
    [aux_sym_else_clause_token1] = ACTIONS(1025),
    [aux_sym_match_expression_token1] = ACTIONS(1025),
    [aux_sym_match_default_expression_token1] = ACTIONS(1025),
    [aux_sym_switch_statement_token1] = ACTIONS(1025),
    [aux_sym_switch_block_token1] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1023),
    [anon_sym_BANG] = ACTIONS(1023),
    [anon_sym_AT] = ACTIONS(1023),
    [aux_sym_clone_expression_token1] = ACTIONS(1025),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1025),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1025),
    [anon_sym_DASH_DASH] = ACTIONS(1023),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [aux_sym__list_destructing_token1] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_self] = ACTIONS(1025),
    [anon_sym_parent] = ACTIONS(1025),
    [aux_sym__argument_name_token1] = ACTIONS(1025),
    [aux_sym__argument_name_token2] = ACTIONS(1025),
    [anon_sym_POUND_LBRACK] = ACTIONS(1023),
    [aux_sym_encapsed_string_token1] = ACTIONS(1023),
    [anon_sym_DQUOTE] = ACTIONS(1023),
    [aux_sym_string_token1] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_LT_LT_LT] = ACTIONS(1023),
    [anon_sym_BQUOTE] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(1023),
    [aux_sym_yield_expression_token1] = ACTIONS(1025),
    [aux_sym_include_expression_token1] = ACTIONS(1025),
    [aux_sym_include_once_expression_token1] = ACTIONS(1025),
    [aux_sym_require_expression_token1] = ACTIONS(1025),
    [aux_sym_require_once_expression_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(1030),
    [sym_name] = ACTIONS(1032),
    [anon_sym_QMARK_GT] = ACTIONS(1030),
    [anon_sym_SEMI] = ACTIONS(1030),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1032),
    [aux_sym_global_declaration_token1] = ACTIONS(1032),
    [aux_sym_namespace_definition_token1] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1032),
    [anon_sym_BSLASH] = ACTIONS(1030),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_RBRACE] = ACTIONS(1030),
    [aux_sym_trait_declaration_token1] = ACTIONS(1032),
    [aux_sym_interface_declaration_token1] = ACTIONS(1032),
    [aux_sym_enum_declaration_token1] = ACTIONS(1032),
    [aux_sym_enum_case_token1] = ACTIONS(1032),
    [aux_sym_class_declaration_token1] = ACTIONS(1032),
    [aux_sym_final_modifier_token1] = ACTIONS(1032),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1032),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1032),
    [sym_var_modifier] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1032),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(1030),
    [aux_sym_cast_type_token1] = ACTIONS(1032),
    [aux_sym_echo_statement_token1] = ACTIONS(1032),
    [aux_sym_exit_statement_token1] = ACTIONS(1032),
    [anon_sym_unset] = ACTIONS(1032),
    [aux_sym_declare_statement_token1] = ACTIONS(1032),
    [aux_sym_declare_statement_token2] = ACTIONS(1032),
    [sym_float] = ACTIONS(1032),
    [aux_sym_try_statement_token1] = ACTIONS(1032),
    [aux_sym_catch_clause_token1] = ACTIONS(1032),
    [aux_sym_finally_clause_token1] = ACTIONS(1032),
    [aux_sym_goto_statement_token1] = ACTIONS(1032),
    [aux_sym_continue_statement_token1] = ACTIONS(1032),
    [aux_sym_break_statement_token1] = ACTIONS(1032),
    [sym_integer] = ACTIONS(1032),
    [aux_sym_return_statement_token1] = ACTIONS(1032),
    [aux_sym_throw_expression_token1] = ACTIONS(1032),
    [aux_sym_while_statement_token1] = ACTIONS(1032),
    [aux_sym_while_statement_token2] = ACTIONS(1032),
    [aux_sym_do_statement_token1] = ACTIONS(1032),
    [aux_sym_for_statement_token1] = ACTIONS(1032),
    [aux_sym_for_statement_token2] = ACTIONS(1032),
    [aux_sym_foreach_statement_token1] = ACTIONS(1032),
    [aux_sym_foreach_statement_token2] = ACTIONS(1032),
    [aux_sym_if_statement_token1] = ACTIONS(1032),
    [aux_sym_if_statement_token2] = ACTIONS(1032),
    [aux_sym_else_if_clause_token1] = ACTIONS(1032),
    [aux_sym_else_clause_token1] = ACTIONS(1032),
    [aux_sym_match_expression_token1] = ACTIONS(1032),
    [aux_sym_match_default_expression_token1] = ACTIONS(1032),
    [aux_sym_switch_statement_token1] = ACTIONS(1032),
    [aux_sym_switch_block_token1] = ACTIONS(1032),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_AT] = ACTIONS(1030),
    [aux_sym_clone_expression_token1] = ACTIONS(1032),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1032),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1030),
    [anon_sym_PLUS_PLUS] = ACTIONS(1030),
    [aux_sym__list_destructing_token1] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1030),
    [anon_sym_self] = ACTIONS(1032),
    [anon_sym_parent] = ACTIONS(1032),
    [aux_sym__argument_name_token1] = ACTIONS(1032),
    [aux_sym__argument_name_token2] = ACTIONS(1032),
    [anon_sym_POUND_LBRACK] = ACTIONS(1030),
    [aux_sym_encapsed_string_token1] = ACTIONS(1030),
    [anon_sym_DQUOTE] = ACTIONS(1030),
    [aux_sym_string_token1] = ACTIONS(1030),
    [anon_sym_SQUOTE] = ACTIONS(1030),
    [anon_sym_LT_LT_LT] = ACTIONS(1030),
    [anon_sym_BQUOTE] = ACTIONS(1030),
    [anon_sym_DOLLAR] = ACTIONS(1030),
    [aux_sym_yield_expression_token1] = ACTIONS(1032),
    [aux_sym_include_expression_token1] = ACTIONS(1032),
    [aux_sym_include_once_expression_token1] = ACTIONS(1032),
    [aux_sym_require_expression_token1] = ACTIONS(1032),
    [aux_sym_require_once_expression_token1] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(1034),
    [sym_name] = ACTIONS(1036),
    [anon_sym_QMARK_GT] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1034),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1036),
    [aux_sym_global_declaration_token1] = ACTIONS(1036),
    [aux_sym_namespace_definition_token1] = ACTIONS(1036),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1036),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1036),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1036),
    [anon_sym_BSLASH] = ACTIONS(1034),
    [anon_sym_LBRACE] = ACTIONS(1034),
    [anon_sym_RBRACE] = ACTIONS(1034),
    [aux_sym_trait_declaration_token1] = ACTIONS(1036),
    [aux_sym_interface_declaration_token1] = ACTIONS(1036),
    [aux_sym_enum_declaration_token1] = ACTIONS(1036),
    [aux_sym_enum_case_token1] = ACTIONS(1036),
    [aux_sym_class_declaration_token1] = ACTIONS(1036),
    [aux_sym_final_modifier_token1] = ACTIONS(1036),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1036),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1036),
    [sym_var_modifier] = ACTIONS(1036),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1036),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1036),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1036),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1036),
    [anon_sym_LPAREN] = ACTIONS(1034),
    [aux_sym_cast_type_token1] = ACTIONS(1036),
    [aux_sym_echo_statement_token1] = ACTIONS(1036),
    [aux_sym_exit_statement_token1] = ACTIONS(1036),
    [anon_sym_unset] = ACTIONS(1036),
    [aux_sym_declare_statement_token1] = ACTIONS(1036),
    [aux_sym_declare_statement_token2] = ACTIONS(1036),
    [sym_float] = ACTIONS(1036),
    [aux_sym_try_statement_token1] = ACTIONS(1036),
    [aux_sym_catch_clause_token1] = ACTIONS(1036),
    [aux_sym_finally_clause_token1] = ACTIONS(1036),
    [aux_sym_goto_statement_token1] = ACTIONS(1036),
    [aux_sym_continue_statement_token1] = ACTIONS(1036),
    [aux_sym_break_statement_token1] = ACTIONS(1036),
    [sym_integer] = ACTIONS(1036),
    [aux_sym_return_statement_token1] = ACTIONS(1036),
    [aux_sym_throw_expression_token1] = ACTIONS(1036),
    [aux_sym_while_statement_token1] = ACTIONS(1036),
    [aux_sym_while_statement_token2] = ACTIONS(1036),
    [aux_sym_do_statement_token1] = ACTIONS(1036),
    [aux_sym_for_statement_token1] = ACTIONS(1036),
    [aux_sym_for_statement_token2] = ACTIONS(1036),
    [aux_sym_foreach_statement_token1] = ACTIONS(1036),
    [aux_sym_foreach_statement_token2] = ACTIONS(1036),
    [aux_sym_if_statement_token1] = ACTIONS(1036),
    [aux_sym_if_statement_token2] = ACTIONS(1036),
    [aux_sym_else_if_clause_token1] = ACTIONS(1036),
    [aux_sym_else_clause_token1] = ACTIONS(1036),
    [aux_sym_match_expression_token1] = ACTIONS(1036),
    [aux_sym_match_default_expression_token1] = ACTIONS(1036),
    [aux_sym_switch_statement_token1] = ACTIONS(1036),
    [aux_sym_switch_block_token1] = ACTIONS(1036),
    [anon_sym_PLUS] = ACTIONS(1036),
    [anon_sym_DASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1034),
    [anon_sym_BANG] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(1034),
    [aux_sym_clone_expression_token1] = ACTIONS(1036),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1036),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1036),
    [anon_sym_DASH_DASH] = ACTIONS(1034),
    [anon_sym_PLUS_PLUS] = ACTIONS(1034),
    [aux_sym__list_destructing_token1] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_self] = ACTIONS(1036),
    [anon_sym_parent] = ACTIONS(1036),
    [aux_sym__argument_name_token1] = ACTIONS(1036),
    [aux_sym__argument_name_token2] = ACTIONS(1036),
    [anon_sym_POUND_LBRACK] = ACTIONS(1034),
    [aux_sym_encapsed_string_token1] = ACTIONS(1034),
    [anon_sym_DQUOTE] = ACTIONS(1034),
    [aux_sym_string_token1] = ACTIONS(1034),
    [anon_sym_SQUOTE] = ACTIONS(1034),
    [anon_sym_LT_LT_LT] = ACTIONS(1034),
    [anon_sym_BQUOTE] = ACTIONS(1034),
    [anon_sym_DOLLAR] = ACTIONS(1034),
    [aux_sym_yield_expression_token1] = ACTIONS(1036),
    [aux_sym_include_expression_token1] = ACTIONS(1036),
    [aux_sym_include_once_expression_token1] = ACTIONS(1036),
    [aux_sym_require_expression_token1] = ACTIONS(1036),
    [aux_sym_require_once_expression_token1] = ACTIONS(1036),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(1038),
    [sym_name] = ACTIONS(1040),
    [anon_sym_QMARK_GT] = ACTIONS(1038),
    [anon_sym_SEMI] = ACTIONS(1038),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1040),
    [aux_sym_global_declaration_token1] = ACTIONS(1040),
    [aux_sym_namespace_definition_token1] = ACTIONS(1040),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1040),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1040),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1040),
    [anon_sym_BSLASH] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_RBRACE] = ACTIONS(1038),
    [aux_sym_trait_declaration_token1] = ACTIONS(1040),
    [aux_sym_interface_declaration_token1] = ACTIONS(1040),
    [aux_sym_enum_declaration_token1] = ACTIONS(1040),
    [aux_sym_enum_case_token1] = ACTIONS(1040),
    [aux_sym_class_declaration_token1] = ACTIONS(1040),
    [aux_sym_final_modifier_token1] = ACTIONS(1040),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1040),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1040),
    [sym_var_modifier] = ACTIONS(1040),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1040),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1040),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1040),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [aux_sym_cast_type_token1] = ACTIONS(1040),
    [aux_sym_echo_statement_token1] = ACTIONS(1040),
    [aux_sym_exit_statement_token1] = ACTIONS(1040),
    [anon_sym_unset] = ACTIONS(1040),
    [aux_sym_declare_statement_token1] = ACTIONS(1040),
    [aux_sym_declare_statement_token2] = ACTIONS(1040),
    [sym_float] = ACTIONS(1040),
    [aux_sym_try_statement_token1] = ACTIONS(1040),
    [aux_sym_catch_clause_token1] = ACTIONS(1040),
    [aux_sym_finally_clause_token1] = ACTIONS(1040),
    [aux_sym_goto_statement_token1] = ACTIONS(1040),
    [aux_sym_continue_statement_token1] = ACTIONS(1040),
    [aux_sym_break_statement_token1] = ACTIONS(1040),
    [sym_integer] = ACTIONS(1040),
    [aux_sym_return_statement_token1] = ACTIONS(1040),
    [aux_sym_throw_expression_token1] = ACTIONS(1040),
    [aux_sym_while_statement_token1] = ACTIONS(1040),
    [aux_sym_while_statement_token2] = ACTIONS(1040),
    [aux_sym_do_statement_token1] = ACTIONS(1040),
    [aux_sym_for_statement_token1] = ACTIONS(1040),
    [aux_sym_for_statement_token2] = ACTIONS(1040),
    [aux_sym_foreach_statement_token1] = ACTIONS(1040),
    [aux_sym_foreach_statement_token2] = ACTIONS(1040),
    [aux_sym_if_statement_token1] = ACTIONS(1040),
    [aux_sym_if_statement_token2] = ACTIONS(1040),
    [aux_sym_else_if_clause_token1] = ACTIONS(1040),
    [aux_sym_else_clause_token1] = ACTIONS(1040),
    [aux_sym_match_expression_token1] = ACTIONS(1040),
    [aux_sym_match_default_expression_token1] = ACTIONS(1040),
    [aux_sym_switch_statement_token1] = ACTIONS(1040),
    [aux_sym_switch_block_token1] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_BANG] = ACTIONS(1038),
    [anon_sym_AT] = ACTIONS(1038),
    [aux_sym_clone_expression_token1] = ACTIONS(1040),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1040),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1040),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [aux_sym__list_destructing_token1] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_self] = ACTIONS(1040),
    [anon_sym_parent] = ACTIONS(1040),
    [aux_sym__argument_name_token1] = ACTIONS(1040),
    [aux_sym__argument_name_token2] = ACTIONS(1040),
    [anon_sym_POUND_LBRACK] = ACTIONS(1038),
    [aux_sym_encapsed_string_token1] = ACTIONS(1038),
    [anon_sym_DQUOTE] = ACTIONS(1038),
    [aux_sym_string_token1] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1038),
    [anon_sym_LT_LT_LT] = ACTIONS(1038),
    [anon_sym_BQUOTE] = ACTIONS(1038),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [aux_sym_yield_expression_token1] = ACTIONS(1040),
    [aux_sym_include_expression_token1] = ACTIONS(1040),
    [aux_sym_include_once_expression_token1] = ACTIONS(1040),
    [aux_sym_require_expression_token1] = ACTIONS(1040),
    [aux_sym_require_once_expression_token1] = ACTIONS(1040),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(1042),
    [sym_name] = ACTIONS(1044),
    [anon_sym_QMARK_GT] = ACTIONS(1042),
    [anon_sym_SEMI] = ACTIONS(1042),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1044),
    [aux_sym_global_declaration_token1] = ACTIONS(1044),
    [aux_sym_namespace_definition_token1] = ACTIONS(1044),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1044),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1044),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1044),
    [anon_sym_BSLASH] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_RBRACE] = ACTIONS(1042),
    [aux_sym_trait_declaration_token1] = ACTIONS(1044),
    [aux_sym_interface_declaration_token1] = ACTIONS(1044),
    [aux_sym_enum_declaration_token1] = ACTIONS(1044),
    [aux_sym_enum_case_token1] = ACTIONS(1044),
    [aux_sym_class_declaration_token1] = ACTIONS(1044),
    [aux_sym_final_modifier_token1] = ACTIONS(1044),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1044),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1044),
    [sym_var_modifier] = ACTIONS(1044),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1044),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1044),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1044),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [aux_sym_cast_type_token1] = ACTIONS(1044),
    [aux_sym_echo_statement_token1] = ACTIONS(1044),
    [aux_sym_exit_statement_token1] = ACTIONS(1044),
    [anon_sym_unset] = ACTIONS(1044),
    [aux_sym_declare_statement_token1] = ACTIONS(1044),
    [aux_sym_declare_statement_token2] = ACTIONS(1044),
    [sym_float] = ACTIONS(1044),
    [aux_sym_try_statement_token1] = ACTIONS(1044),
    [aux_sym_catch_clause_token1] = ACTIONS(1044),
    [aux_sym_finally_clause_token1] = ACTIONS(1044),
    [aux_sym_goto_statement_token1] = ACTIONS(1044),
    [aux_sym_continue_statement_token1] = ACTIONS(1044),
    [aux_sym_break_statement_token1] = ACTIONS(1044),
    [sym_integer] = ACTIONS(1044),
    [aux_sym_return_statement_token1] = ACTIONS(1044),
    [aux_sym_throw_expression_token1] = ACTIONS(1044),
    [aux_sym_while_statement_token1] = ACTIONS(1044),
    [aux_sym_while_statement_token2] = ACTIONS(1044),
    [aux_sym_do_statement_token1] = ACTIONS(1044),
    [aux_sym_for_statement_token1] = ACTIONS(1044),
    [aux_sym_for_statement_token2] = ACTIONS(1044),
    [aux_sym_foreach_statement_token1] = ACTIONS(1044),
    [aux_sym_foreach_statement_token2] = ACTIONS(1044),
    [aux_sym_if_statement_token1] = ACTIONS(1044),
    [aux_sym_if_statement_token2] = ACTIONS(1044),
    [aux_sym_else_if_clause_token1] = ACTIONS(1044),
    [aux_sym_else_clause_token1] = ACTIONS(1044),
    [aux_sym_match_expression_token1] = ACTIONS(1044),
    [aux_sym_match_default_expression_token1] = ACTIONS(1044),
    [aux_sym_switch_statement_token1] = ACTIONS(1044),
    [aux_sym_switch_block_token1] = ACTIONS(1044),
    [anon_sym_PLUS] = ACTIONS(1044),
    [anon_sym_DASH] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_BANG] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(1042),
    [aux_sym_clone_expression_token1] = ACTIONS(1044),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1044),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1044),
    [anon_sym_DASH_DASH] = ACTIONS(1042),
    [anon_sym_PLUS_PLUS] = ACTIONS(1042),
    [aux_sym__list_destructing_token1] = ACTIONS(1044),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_self] = ACTIONS(1044),
    [anon_sym_parent] = ACTIONS(1044),
    [aux_sym__argument_name_token1] = ACTIONS(1044),
    [aux_sym__argument_name_token2] = ACTIONS(1044),
    [anon_sym_POUND_LBRACK] = ACTIONS(1042),
    [aux_sym_encapsed_string_token1] = ACTIONS(1042),
    [anon_sym_DQUOTE] = ACTIONS(1042),
    [aux_sym_string_token1] = ACTIONS(1042),
    [anon_sym_SQUOTE] = ACTIONS(1042),
    [anon_sym_LT_LT_LT] = ACTIONS(1042),
    [anon_sym_BQUOTE] = ACTIONS(1042),
    [anon_sym_DOLLAR] = ACTIONS(1042),
    [aux_sym_yield_expression_token1] = ACTIONS(1044),
    [aux_sym_include_expression_token1] = ACTIONS(1044),
    [aux_sym_include_once_expression_token1] = ACTIONS(1044),
    [aux_sym_require_expression_token1] = ACTIONS(1044),
    [aux_sym_require_once_expression_token1] = ACTIONS(1044),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_name] = ACTIONS(1048),
    [anon_sym_QMARK_GT] = ACTIONS(1046),
    [anon_sym_SEMI] = ACTIONS(1046),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1048),
    [aux_sym_global_declaration_token1] = ACTIONS(1048),
    [aux_sym_namespace_definition_token1] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1048),
    [anon_sym_BSLASH] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [aux_sym_trait_declaration_token1] = ACTIONS(1048),
    [aux_sym_interface_declaration_token1] = ACTIONS(1048),
    [aux_sym_enum_declaration_token1] = ACTIONS(1048),
    [aux_sym_enum_case_token1] = ACTIONS(1048),
    [aux_sym_class_declaration_token1] = ACTIONS(1048),
    [aux_sym_final_modifier_token1] = ACTIONS(1048),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1048),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1048),
    [sym_var_modifier] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1048),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [aux_sym_cast_type_token1] = ACTIONS(1048),
    [aux_sym_echo_statement_token1] = ACTIONS(1048),
    [aux_sym_exit_statement_token1] = ACTIONS(1048),
    [anon_sym_unset] = ACTIONS(1048),
    [aux_sym_declare_statement_token1] = ACTIONS(1048),
    [aux_sym_declare_statement_token2] = ACTIONS(1048),
    [sym_float] = ACTIONS(1048),
    [aux_sym_try_statement_token1] = ACTIONS(1048),
    [aux_sym_catch_clause_token1] = ACTIONS(1048),
    [aux_sym_finally_clause_token1] = ACTIONS(1048),
    [aux_sym_goto_statement_token1] = ACTIONS(1048),
    [aux_sym_continue_statement_token1] = ACTIONS(1048),
    [aux_sym_break_statement_token1] = ACTIONS(1048),
    [sym_integer] = ACTIONS(1048),
    [aux_sym_return_statement_token1] = ACTIONS(1048),
    [aux_sym_throw_expression_token1] = ACTIONS(1048),
    [aux_sym_while_statement_token1] = ACTIONS(1048),
    [aux_sym_while_statement_token2] = ACTIONS(1048),
    [aux_sym_do_statement_token1] = ACTIONS(1048),
    [aux_sym_for_statement_token1] = ACTIONS(1048),
    [aux_sym_for_statement_token2] = ACTIONS(1048),
    [aux_sym_foreach_statement_token1] = ACTIONS(1048),
    [aux_sym_foreach_statement_token2] = ACTIONS(1048),
    [aux_sym_if_statement_token1] = ACTIONS(1048),
    [aux_sym_if_statement_token2] = ACTIONS(1048),
    [aux_sym_else_if_clause_token1] = ACTIONS(1048),
    [aux_sym_else_clause_token1] = ACTIONS(1048),
    [aux_sym_match_expression_token1] = ACTIONS(1048),
    [aux_sym_match_default_expression_token1] = ACTIONS(1048),
    [aux_sym_switch_statement_token1] = ACTIONS(1048),
    [aux_sym_switch_block_token1] = ACTIONS(1048),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_AT] = ACTIONS(1046),
    [aux_sym_clone_expression_token1] = ACTIONS(1048),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1048),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1048),
    [anon_sym_DASH_DASH] = ACTIONS(1046),
    [anon_sym_PLUS_PLUS] = ACTIONS(1046),
    [aux_sym__list_destructing_token1] = ACTIONS(1048),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_self] = ACTIONS(1048),
    [anon_sym_parent] = ACTIONS(1048),
    [aux_sym__argument_name_token1] = ACTIONS(1048),
    [aux_sym__argument_name_token2] = ACTIONS(1048),
    [anon_sym_POUND_LBRACK] = ACTIONS(1046),
    [aux_sym_encapsed_string_token1] = ACTIONS(1046),
    [anon_sym_DQUOTE] = ACTIONS(1046),
    [aux_sym_string_token1] = ACTIONS(1046),
    [anon_sym_SQUOTE] = ACTIONS(1046),
    [anon_sym_LT_LT_LT] = ACTIONS(1046),
    [anon_sym_BQUOTE] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1046),
    [aux_sym_yield_expression_token1] = ACTIONS(1048),
    [aux_sym_include_expression_token1] = ACTIONS(1048),
    [aux_sym_include_once_expression_token1] = ACTIONS(1048),
    [aux_sym_require_expression_token1] = ACTIONS(1048),
    [aux_sym_require_once_expression_token1] = ACTIONS(1048),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(1050),
    [sym_name] = ACTIONS(1052),
    [anon_sym_QMARK_GT] = ACTIONS(1050),
    [anon_sym_SEMI] = ACTIONS(1054),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1052),
    [aux_sym_global_declaration_token1] = ACTIONS(1052),
    [aux_sym_namespace_definition_token1] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1052),
    [anon_sym_BSLASH] = ACTIONS(1050),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [aux_sym_trait_declaration_token1] = ACTIONS(1052),
    [aux_sym_interface_declaration_token1] = ACTIONS(1052),
    [aux_sym_enum_declaration_token1] = ACTIONS(1052),
    [aux_sym_enum_case_token1] = ACTIONS(1052),
    [aux_sym_class_declaration_token1] = ACTIONS(1052),
    [aux_sym_final_modifier_token1] = ACTIONS(1052),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1052),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1052),
    [sym_var_modifier] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1052),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1052),
    [anon_sym_LPAREN] = ACTIONS(1050),
    [aux_sym_cast_type_token1] = ACTIONS(1052),
    [aux_sym_echo_statement_token1] = ACTIONS(1052),
    [aux_sym_exit_statement_token1] = ACTIONS(1052),
    [anon_sym_unset] = ACTIONS(1052),
    [aux_sym_declare_statement_token1] = ACTIONS(1052),
    [aux_sym_declare_statement_token2] = ACTIONS(1052),
    [sym_float] = ACTIONS(1052),
    [aux_sym_try_statement_token1] = ACTIONS(1052),
    [aux_sym_goto_statement_token1] = ACTIONS(1052),
    [aux_sym_continue_statement_token1] = ACTIONS(1052),
    [aux_sym_break_statement_token1] = ACTIONS(1052),
    [sym_integer] = ACTIONS(1052),
    [aux_sym_return_statement_token1] = ACTIONS(1052),
    [aux_sym_throw_expression_token1] = ACTIONS(1052),
    [aux_sym_while_statement_token1] = ACTIONS(1052),
    [aux_sym_while_statement_token2] = ACTIONS(1052),
    [aux_sym_do_statement_token1] = ACTIONS(1052),
    [aux_sym_for_statement_token1] = ACTIONS(1052),
    [aux_sym_for_statement_token2] = ACTIONS(1052),
    [aux_sym_foreach_statement_token1] = ACTIONS(1052),
    [aux_sym_foreach_statement_token2] = ACTIONS(1052),
    [aux_sym_if_statement_token1] = ACTIONS(1052),
    [aux_sym_if_statement_token2] = ACTIONS(1052),
    [aux_sym_else_if_clause_token1] = ACTIONS(1052),
    [aux_sym_else_clause_token1] = ACTIONS(1052),
    [aux_sym_match_expression_token1] = ACTIONS(1052),
    [aux_sym_match_default_expression_token1] = ACTIONS(1052),
    [aux_sym_switch_statement_token1] = ACTIONS(1052),
    [aux_sym_switch_block_token1] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(1050),
    [anon_sym_AT] = ACTIONS(1050),
    [aux_sym_clone_expression_token1] = ACTIONS(1052),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1052),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1052),
    [anon_sym_DASH_DASH] = ACTIONS(1050),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [aux_sym__list_destructing_token1] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(1052),
    [anon_sym_parent] = ACTIONS(1052),
    [aux_sym__argument_name_token1] = ACTIONS(1052),
    [aux_sym__argument_name_token2] = ACTIONS(1052),
    [anon_sym_POUND_LBRACK] = ACTIONS(1050),
    [aux_sym_encapsed_string_token1] = ACTIONS(1050),
    [anon_sym_DQUOTE] = ACTIONS(1050),
    [aux_sym_string_token1] = ACTIONS(1050),
    [anon_sym_SQUOTE] = ACTIONS(1050),
    [anon_sym_LT_LT_LT] = ACTIONS(1050),
    [anon_sym_BQUOTE] = ACTIONS(1050),
    [anon_sym_DOLLAR] = ACTIONS(1050),
    [aux_sym_yield_expression_token1] = ACTIONS(1052),
    [aux_sym_include_expression_token1] = ACTIONS(1052),
    [aux_sym_include_once_expression_token1] = ACTIONS(1052),
    [aux_sym_require_expression_token1] = ACTIONS(1052),
    [aux_sym_require_once_expression_token1] = ACTIONS(1052),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1054),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_name] = ACTIONS(1058),
    [anon_sym_QMARK_GT] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1058),
    [aux_sym_global_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_definition_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1058),
    [anon_sym_BSLASH] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [aux_sym_trait_declaration_token1] = ACTIONS(1058),
    [aux_sym_interface_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_case_token1] = ACTIONS(1058),
    [aux_sym_class_declaration_token1] = ACTIONS(1058),
    [aux_sym_final_modifier_token1] = ACTIONS(1058),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1058),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1058),
    [sym_var_modifier] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1058),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [aux_sym_cast_type_token1] = ACTIONS(1058),
    [aux_sym_echo_statement_token1] = ACTIONS(1058),
    [aux_sym_exit_statement_token1] = ACTIONS(1058),
    [anon_sym_unset] = ACTIONS(1058),
    [aux_sym_declare_statement_token1] = ACTIONS(1058),
    [aux_sym_declare_statement_token2] = ACTIONS(1058),
    [sym_float] = ACTIONS(1058),
    [aux_sym_try_statement_token1] = ACTIONS(1058),
    [aux_sym_goto_statement_token1] = ACTIONS(1058),
    [aux_sym_continue_statement_token1] = ACTIONS(1058),
    [aux_sym_break_statement_token1] = ACTIONS(1058),
    [sym_integer] = ACTIONS(1058),
    [aux_sym_return_statement_token1] = ACTIONS(1058),
    [aux_sym_throw_expression_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token2] = ACTIONS(1058),
    [aux_sym_do_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token2] = ACTIONS(1058),
    [aux_sym_foreach_statement_token1] = ACTIONS(1058),
    [aux_sym_foreach_statement_token2] = ACTIONS(1058),
    [aux_sym_if_statement_token1] = ACTIONS(1058),
    [aux_sym_if_statement_token2] = ACTIONS(1058),
    [aux_sym_else_if_clause_token1] = ACTIONS(1058),
    [aux_sym_else_clause_token1] = ACTIONS(1058),
    [aux_sym_match_expression_token1] = ACTIONS(1058),
    [aux_sym_match_default_expression_token1] = ACTIONS(1058),
    [aux_sym_switch_statement_token1] = ACTIONS(1058),
    [aux_sym_switch_block_token1] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1056),
    [aux_sym_clone_expression_token1] = ACTIONS(1058),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1058),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [aux_sym__list_destructing_token1] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(1058),
    [anon_sym_parent] = ACTIONS(1058),
    [aux_sym__argument_name_token1] = ACTIONS(1058),
    [aux_sym__argument_name_token2] = ACTIONS(1058),
    [anon_sym_POUND_LBRACK] = ACTIONS(1056),
    [aux_sym_encapsed_string_token1] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [aux_sym_string_token1] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1056),
    [anon_sym_LT_LT_LT] = ACTIONS(1056),
    [anon_sym_BQUOTE] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1056),
    [aux_sym_yield_expression_token1] = ACTIONS(1058),
    [aux_sym_include_expression_token1] = ACTIONS(1058),
    [aux_sym_include_once_expression_token1] = ACTIONS(1058),
    [aux_sym_require_expression_token1] = ACTIONS(1058),
    [aux_sym_require_once_expression_token1] = ACTIONS(1058),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1060),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(1062),
    [sym_name] = ACTIONS(1064),
    [anon_sym_QMARK_GT] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1062),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1064),
    [aux_sym_global_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_definition_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1064),
    [anon_sym_BSLASH] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1062),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [aux_sym_trait_declaration_token1] = ACTIONS(1064),
    [aux_sym_interface_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_case_token1] = ACTIONS(1064),
    [aux_sym_class_declaration_token1] = ACTIONS(1064),
    [aux_sym_final_modifier_token1] = ACTIONS(1064),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1064),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1064),
    [sym_var_modifier] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1064),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1064),
    [aux_sym_echo_statement_token1] = ACTIONS(1064),
    [aux_sym_exit_statement_token1] = ACTIONS(1064),
    [anon_sym_unset] = ACTIONS(1064),
    [aux_sym_declare_statement_token1] = ACTIONS(1064),
    [aux_sym_declare_statement_token2] = ACTIONS(1064),
    [sym_float] = ACTIONS(1064),
    [aux_sym_try_statement_token1] = ACTIONS(1064),
    [aux_sym_goto_statement_token1] = ACTIONS(1064),
    [aux_sym_continue_statement_token1] = ACTIONS(1064),
    [aux_sym_break_statement_token1] = ACTIONS(1064),
    [sym_integer] = ACTIONS(1064),
    [aux_sym_return_statement_token1] = ACTIONS(1064),
    [aux_sym_throw_expression_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token2] = ACTIONS(1064),
    [aux_sym_do_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token2] = ACTIONS(1064),
    [aux_sym_foreach_statement_token1] = ACTIONS(1064),
    [aux_sym_foreach_statement_token2] = ACTIONS(1064),
    [aux_sym_if_statement_token1] = ACTIONS(1064),
    [aux_sym_if_statement_token2] = ACTIONS(1064),
    [aux_sym_else_if_clause_token1] = ACTIONS(1064),
    [aux_sym_else_clause_token1] = ACTIONS(1064),
    [aux_sym_match_expression_token1] = ACTIONS(1064),
    [aux_sym_match_default_expression_token1] = ACTIONS(1064),
    [aux_sym_switch_statement_token1] = ACTIONS(1064),
    [aux_sym_switch_block_token1] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1062),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [aux_sym_clone_expression_token1] = ACTIONS(1064),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1064),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1064),
    [anon_sym_DASH_DASH] = ACTIONS(1062),
    [anon_sym_PLUS_PLUS] = ACTIONS(1062),
    [aux_sym__list_destructing_token1] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(1064),
    [anon_sym_parent] = ACTIONS(1064),
    [aux_sym__argument_name_token1] = ACTIONS(1064),
    [aux_sym__argument_name_token2] = ACTIONS(1064),
    [anon_sym_POUND_LBRACK] = ACTIONS(1062),
    [aux_sym_encapsed_string_token1] = ACTIONS(1062),
    [anon_sym_DQUOTE] = ACTIONS(1062),
    [aux_sym_string_token1] = ACTIONS(1062),
    [anon_sym_SQUOTE] = ACTIONS(1062),
    [anon_sym_LT_LT_LT] = ACTIONS(1062),
    [anon_sym_BQUOTE] = ACTIONS(1062),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [aux_sym_yield_expression_token1] = ACTIONS(1064),
    [aux_sym_include_expression_token1] = ACTIONS(1064),
    [aux_sym_include_once_expression_token1] = ACTIONS(1064),
    [aux_sym_require_expression_token1] = ACTIONS(1064),
    [aux_sym_require_once_expression_token1] = ACTIONS(1064),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1062),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(1066),
    [sym_name] = ACTIONS(1068),
    [anon_sym_QMARK_GT] = ACTIONS(1066),
    [anon_sym_SEMI] = ACTIONS(1070),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1068),
    [aux_sym_global_declaration_token1] = ACTIONS(1068),
    [aux_sym_namespace_definition_token1] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1068),
    [anon_sym_BSLASH] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1066),
    [anon_sym_RBRACE] = ACTIONS(1066),
    [aux_sym_trait_declaration_token1] = ACTIONS(1068),
    [aux_sym_interface_declaration_token1] = ACTIONS(1068),
    [aux_sym_enum_declaration_token1] = ACTIONS(1068),
    [aux_sym_enum_case_token1] = ACTIONS(1068),
    [aux_sym_class_declaration_token1] = ACTIONS(1068),
    [aux_sym_final_modifier_token1] = ACTIONS(1068),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1068),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1068),
    [sym_var_modifier] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1068),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1068),
    [anon_sym_LPAREN] = ACTIONS(1066),
    [aux_sym_cast_type_token1] = ACTIONS(1068),
    [aux_sym_echo_statement_token1] = ACTIONS(1068),
    [aux_sym_exit_statement_token1] = ACTIONS(1068),
    [anon_sym_unset] = ACTIONS(1068),
    [aux_sym_declare_statement_token1] = ACTIONS(1068),
    [aux_sym_declare_statement_token2] = ACTIONS(1068),
    [sym_float] = ACTIONS(1068),
    [aux_sym_try_statement_token1] = ACTIONS(1068),
    [aux_sym_goto_statement_token1] = ACTIONS(1068),
    [aux_sym_continue_statement_token1] = ACTIONS(1068),
    [aux_sym_break_statement_token1] = ACTIONS(1068),
    [sym_integer] = ACTIONS(1068),
    [aux_sym_return_statement_token1] = ACTIONS(1068),
    [aux_sym_throw_expression_token1] = ACTIONS(1068),
    [aux_sym_while_statement_token1] = ACTIONS(1068),
    [aux_sym_while_statement_token2] = ACTIONS(1068),
    [aux_sym_do_statement_token1] = ACTIONS(1068),
    [aux_sym_for_statement_token1] = ACTIONS(1068),
    [aux_sym_for_statement_token2] = ACTIONS(1068),
    [aux_sym_foreach_statement_token1] = ACTIONS(1068),
    [aux_sym_foreach_statement_token2] = ACTIONS(1068),
    [aux_sym_if_statement_token1] = ACTIONS(1068),
    [aux_sym_if_statement_token2] = ACTIONS(1068),
    [aux_sym_else_if_clause_token1] = ACTIONS(1068),
    [aux_sym_else_clause_token1] = ACTIONS(1068),
    [aux_sym_match_expression_token1] = ACTIONS(1068),
    [aux_sym_match_default_expression_token1] = ACTIONS(1068),
    [aux_sym_switch_statement_token1] = ACTIONS(1068),
    [aux_sym_switch_block_token1] = ACTIONS(1068),
    [anon_sym_PLUS] = ACTIONS(1068),
    [anon_sym_DASH] = ACTIONS(1068),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [aux_sym_clone_expression_token1] = ACTIONS(1068),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1068),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1066),
    [anon_sym_PLUS_PLUS] = ACTIONS(1066),
    [aux_sym__list_destructing_token1] = ACTIONS(1068),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_self] = ACTIONS(1068),
    [anon_sym_parent] = ACTIONS(1068),
    [aux_sym__argument_name_token1] = ACTIONS(1068),
    [aux_sym__argument_name_token2] = ACTIONS(1068),
    [anon_sym_POUND_LBRACK] = ACTIONS(1066),
    [aux_sym_encapsed_string_token1] = ACTIONS(1066),
    [anon_sym_DQUOTE] = ACTIONS(1066),
    [aux_sym_string_token1] = ACTIONS(1066),
    [anon_sym_SQUOTE] = ACTIONS(1066),
    [anon_sym_LT_LT_LT] = ACTIONS(1066),
    [anon_sym_BQUOTE] = ACTIONS(1066),
    [anon_sym_DOLLAR] = ACTIONS(1066),
    [aux_sym_yield_expression_token1] = ACTIONS(1068),
    [aux_sym_include_expression_token1] = ACTIONS(1068),
    [aux_sym_include_once_expression_token1] = ACTIONS(1068),
    [aux_sym_require_expression_token1] = ACTIONS(1068),
    [aux_sym_require_once_expression_token1] = ACTIONS(1068),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1070),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_name] = ACTIONS(1074),
    [anon_sym_QMARK_GT] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1076),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1074),
    [aux_sym_global_declaration_token1] = ACTIONS(1074),
    [aux_sym_namespace_definition_token1] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1074),
    [anon_sym_BSLASH] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [aux_sym_trait_declaration_token1] = ACTIONS(1074),
    [aux_sym_interface_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_case_token1] = ACTIONS(1074),
    [aux_sym_class_declaration_token1] = ACTIONS(1074),
    [aux_sym_final_modifier_token1] = ACTIONS(1074),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1074),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1074),
    [sym_var_modifier] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1074),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [aux_sym_cast_type_token1] = ACTIONS(1074),
    [aux_sym_echo_statement_token1] = ACTIONS(1074),
    [aux_sym_exit_statement_token1] = ACTIONS(1074),
    [anon_sym_unset] = ACTIONS(1074),
    [aux_sym_declare_statement_token1] = ACTIONS(1074),
    [aux_sym_declare_statement_token2] = ACTIONS(1074),
    [sym_float] = ACTIONS(1074),
    [aux_sym_try_statement_token1] = ACTIONS(1074),
    [aux_sym_goto_statement_token1] = ACTIONS(1074),
    [aux_sym_continue_statement_token1] = ACTIONS(1074),
    [aux_sym_break_statement_token1] = ACTIONS(1074),
    [sym_integer] = ACTIONS(1074),
    [aux_sym_return_statement_token1] = ACTIONS(1074),
    [aux_sym_throw_expression_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token2] = ACTIONS(1074),
    [aux_sym_do_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token2] = ACTIONS(1074),
    [aux_sym_foreach_statement_token1] = ACTIONS(1074),
    [aux_sym_foreach_statement_token2] = ACTIONS(1074),
    [aux_sym_if_statement_token1] = ACTIONS(1074),
    [aux_sym_if_statement_token2] = ACTIONS(1074),
    [aux_sym_else_if_clause_token1] = ACTIONS(1074),
    [aux_sym_else_clause_token1] = ACTIONS(1074),
    [aux_sym_match_expression_token1] = ACTIONS(1074),
    [aux_sym_match_default_expression_token1] = ACTIONS(1074),
    [aux_sym_switch_statement_token1] = ACTIONS(1074),
    [aux_sym_switch_block_token1] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1072),
    [aux_sym_clone_expression_token1] = ACTIONS(1074),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1074),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1072),
    [anon_sym_PLUS_PLUS] = ACTIONS(1072),
    [aux_sym__list_destructing_token1] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_self] = ACTIONS(1074),
    [anon_sym_parent] = ACTIONS(1074),
    [aux_sym__argument_name_token1] = ACTIONS(1074),
    [aux_sym__argument_name_token2] = ACTIONS(1074),
    [anon_sym_POUND_LBRACK] = ACTIONS(1072),
    [aux_sym_encapsed_string_token1] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_string_token1] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [anon_sym_LT_LT_LT] = ACTIONS(1072),
    [anon_sym_BQUOTE] = ACTIONS(1072),
    [anon_sym_DOLLAR] = ACTIONS(1072),
    [aux_sym_yield_expression_token1] = ACTIONS(1074),
    [aux_sym_include_expression_token1] = ACTIONS(1074),
    [aux_sym_include_once_expression_token1] = ACTIONS(1074),
    [aux_sym_require_expression_token1] = ACTIONS(1074),
    [aux_sym_require_once_expression_token1] = ACTIONS(1074),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1076),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(1078),
    [sym_name] = ACTIONS(1080),
    [anon_sym_QMARK_GT] = ACTIONS(1078),
    [anon_sym_SEMI] = ACTIONS(1082),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1080),
    [aux_sym_global_declaration_token1] = ACTIONS(1080),
    [aux_sym_namespace_definition_token1] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1080),
    [anon_sym_BSLASH] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_RBRACE] = ACTIONS(1078),
    [aux_sym_trait_declaration_token1] = ACTIONS(1080),
    [aux_sym_interface_declaration_token1] = ACTIONS(1080),
    [aux_sym_enum_declaration_token1] = ACTIONS(1080),
    [aux_sym_enum_case_token1] = ACTIONS(1080),
    [aux_sym_class_declaration_token1] = ACTIONS(1080),
    [aux_sym_final_modifier_token1] = ACTIONS(1080),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1080),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1080),
    [sym_var_modifier] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1080),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1078),
    [aux_sym_cast_type_token1] = ACTIONS(1080),
    [aux_sym_echo_statement_token1] = ACTIONS(1080),
    [aux_sym_exit_statement_token1] = ACTIONS(1080),
    [anon_sym_unset] = ACTIONS(1080),
    [aux_sym_declare_statement_token1] = ACTIONS(1080),
    [aux_sym_declare_statement_token2] = ACTIONS(1080),
    [sym_float] = ACTIONS(1080),
    [aux_sym_try_statement_token1] = ACTIONS(1080),
    [aux_sym_goto_statement_token1] = ACTIONS(1080),
    [aux_sym_continue_statement_token1] = ACTIONS(1080),
    [aux_sym_break_statement_token1] = ACTIONS(1080),
    [sym_integer] = ACTIONS(1080),
    [aux_sym_return_statement_token1] = ACTIONS(1080),
    [aux_sym_throw_expression_token1] = ACTIONS(1080),
    [aux_sym_while_statement_token1] = ACTIONS(1080),
    [aux_sym_while_statement_token2] = ACTIONS(1080),
    [aux_sym_do_statement_token1] = ACTIONS(1080),
    [aux_sym_for_statement_token1] = ACTIONS(1080),
    [aux_sym_for_statement_token2] = ACTIONS(1080),
    [aux_sym_foreach_statement_token1] = ACTIONS(1080),
    [aux_sym_foreach_statement_token2] = ACTIONS(1080),
    [aux_sym_if_statement_token1] = ACTIONS(1080),
    [aux_sym_if_statement_token2] = ACTIONS(1080),
    [aux_sym_else_if_clause_token1] = ACTIONS(1080),
    [aux_sym_else_clause_token1] = ACTIONS(1080),
    [aux_sym_match_expression_token1] = ACTIONS(1080),
    [aux_sym_match_default_expression_token1] = ACTIONS(1080),
    [aux_sym_switch_statement_token1] = ACTIONS(1080),
    [aux_sym_switch_block_token1] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1078),
    [anon_sym_BANG] = ACTIONS(1078),
    [anon_sym_AT] = ACTIONS(1078),
    [aux_sym_clone_expression_token1] = ACTIONS(1080),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1080),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1078),
    [aux_sym__list_destructing_token1] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_self] = ACTIONS(1080),
    [anon_sym_parent] = ACTIONS(1080),
    [aux_sym__argument_name_token1] = ACTIONS(1080),
    [aux_sym__argument_name_token2] = ACTIONS(1080),
    [anon_sym_POUND_LBRACK] = ACTIONS(1078),
    [aux_sym_encapsed_string_token1] = ACTIONS(1078),
    [anon_sym_DQUOTE] = ACTIONS(1078),
    [aux_sym_string_token1] = ACTIONS(1078),
    [anon_sym_SQUOTE] = ACTIONS(1078),
    [anon_sym_LT_LT_LT] = ACTIONS(1078),
    [anon_sym_BQUOTE] = ACTIONS(1078),
    [anon_sym_DOLLAR] = ACTIONS(1078),
    [aux_sym_yield_expression_token1] = ACTIONS(1080),
    [aux_sym_include_expression_token1] = ACTIONS(1080),
    [aux_sym_include_once_expression_token1] = ACTIONS(1080),
    [aux_sym_require_expression_token1] = ACTIONS(1080),
    [aux_sym_require_once_expression_token1] = ACTIONS(1080),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1082),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(1084),
    [sym_name] = ACTIONS(1086),
    [anon_sym_QMARK_GT] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1088),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1086),
    [aux_sym_global_declaration_token1] = ACTIONS(1086),
    [aux_sym_namespace_definition_token1] = ACTIONS(1086),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1086),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1086),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1086),
    [anon_sym_BSLASH] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1084),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [aux_sym_trait_declaration_token1] = ACTIONS(1086),
    [aux_sym_interface_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_case_token1] = ACTIONS(1086),
    [aux_sym_class_declaration_token1] = ACTIONS(1086),
    [aux_sym_final_modifier_token1] = ACTIONS(1086),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1086),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1086),
    [sym_var_modifier] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1086),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [aux_sym_cast_type_token1] = ACTIONS(1086),
    [aux_sym_echo_statement_token1] = ACTIONS(1086),
    [aux_sym_exit_statement_token1] = ACTIONS(1086),
    [anon_sym_unset] = ACTIONS(1086),
    [aux_sym_declare_statement_token1] = ACTIONS(1086),
    [aux_sym_declare_statement_token2] = ACTIONS(1086),
    [sym_float] = ACTIONS(1086),
    [aux_sym_try_statement_token1] = ACTIONS(1086),
    [aux_sym_goto_statement_token1] = ACTIONS(1086),
    [aux_sym_continue_statement_token1] = ACTIONS(1086),
    [aux_sym_break_statement_token1] = ACTIONS(1086),
    [sym_integer] = ACTIONS(1086),
    [aux_sym_return_statement_token1] = ACTIONS(1086),
    [aux_sym_throw_expression_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token2] = ACTIONS(1086),
    [aux_sym_do_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token2] = ACTIONS(1086),
    [aux_sym_foreach_statement_token1] = ACTIONS(1086),
    [aux_sym_foreach_statement_token2] = ACTIONS(1086),
    [aux_sym_if_statement_token1] = ACTIONS(1086),
    [aux_sym_if_statement_token2] = ACTIONS(1086),
    [aux_sym_else_if_clause_token1] = ACTIONS(1086),
    [aux_sym_else_clause_token1] = ACTIONS(1086),
    [aux_sym_match_expression_token1] = ACTIONS(1086),
    [aux_sym_match_default_expression_token1] = ACTIONS(1086),
    [aux_sym_switch_statement_token1] = ACTIONS(1086),
    [aux_sym_switch_block_token1] = ACTIONS(1086),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1084),
    [aux_sym_clone_expression_token1] = ACTIONS(1086),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1086),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1084),
    [aux_sym__list_destructing_token1] = ACTIONS(1086),
    [anon_sym_LBRACK] = ACTIONS(1084),
    [anon_sym_self] = ACTIONS(1086),
    [anon_sym_parent] = ACTIONS(1086),
    [aux_sym__argument_name_token1] = ACTIONS(1086),
    [aux_sym__argument_name_token2] = ACTIONS(1086),
    [anon_sym_POUND_LBRACK] = ACTIONS(1084),
    [aux_sym_encapsed_string_token1] = ACTIONS(1084),
    [anon_sym_DQUOTE] = ACTIONS(1084),
    [aux_sym_string_token1] = ACTIONS(1084),
    [anon_sym_SQUOTE] = ACTIONS(1084),
    [anon_sym_LT_LT_LT] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1084),
    [aux_sym_yield_expression_token1] = ACTIONS(1086),
    [aux_sym_include_expression_token1] = ACTIONS(1086),
    [aux_sym_include_once_expression_token1] = ACTIONS(1086),
    [aux_sym_require_expression_token1] = ACTIONS(1086),
    [aux_sym_require_once_expression_token1] = ACTIONS(1086),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1088),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(1090),
    [sym_name] = ACTIONS(1092),
    [anon_sym_QMARK_GT] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1092),
    [aux_sym_global_declaration_token1] = ACTIONS(1092),
    [aux_sym_namespace_definition_token1] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1092),
    [anon_sym_BSLASH] = ACTIONS(1090),
    [anon_sym_LBRACE] = ACTIONS(1090),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [aux_sym_trait_declaration_token1] = ACTIONS(1092),
    [aux_sym_interface_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_case_token1] = ACTIONS(1092),
    [aux_sym_class_declaration_token1] = ACTIONS(1092),
    [aux_sym_final_modifier_token1] = ACTIONS(1092),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1092),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1092),
    [sym_var_modifier] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1092),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1092),
    [anon_sym_LPAREN] = ACTIONS(1090),
    [aux_sym_cast_type_token1] = ACTIONS(1092),
    [aux_sym_echo_statement_token1] = ACTIONS(1092),
    [aux_sym_exit_statement_token1] = ACTIONS(1092),
    [anon_sym_unset] = ACTIONS(1092),
    [aux_sym_declare_statement_token1] = ACTIONS(1092),
    [aux_sym_declare_statement_token2] = ACTIONS(1092),
    [sym_float] = ACTIONS(1092),
    [aux_sym_try_statement_token1] = ACTIONS(1092),
    [aux_sym_goto_statement_token1] = ACTIONS(1092),
    [aux_sym_continue_statement_token1] = ACTIONS(1092),
    [aux_sym_break_statement_token1] = ACTIONS(1092),
    [sym_integer] = ACTIONS(1092),
    [aux_sym_return_statement_token1] = ACTIONS(1092),
    [aux_sym_throw_expression_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token2] = ACTIONS(1092),
    [aux_sym_do_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token2] = ACTIONS(1092),
    [aux_sym_foreach_statement_token1] = ACTIONS(1092),
    [aux_sym_foreach_statement_token2] = ACTIONS(1092),
    [aux_sym_if_statement_token1] = ACTIONS(1092),
    [aux_sym_if_statement_token2] = ACTIONS(1092),
    [aux_sym_else_if_clause_token1] = ACTIONS(1092),
    [aux_sym_else_clause_token1] = ACTIONS(1092),
    [aux_sym_match_expression_token1] = ACTIONS(1092),
    [aux_sym_match_default_expression_token1] = ACTIONS(1092),
    [aux_sym_switch_statement_token1] = ACTIONS(1092),
    [aux_sym_switch_block_token1] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1090),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1090),
    [aux_sym_clone_expression_token1] = ACTIONS(1092),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1092),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1090),
    [aux_sym__list_destructing_token1] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(1090),
    [anon_sym_self] = ACTIONS(1092),
    [anon_sym_parent] = ACTIONS(1092),
    [aux_sym__argument_name_token1] = ACTIONS(1092),
    [aux_sym__argument_name_token2] = ACTIONS(1092),
    [anon_sym_POUND_LBRACK] = ACTIONS(1090),
    [aux_sym_encapsed_string_token1] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [aux_sym_string_token1] = ACTIONS(1090),
    [anon_sym_SQUOTE] = ACTIONS(1090),
    [anon_sym_LT_LT_LT] = ACTIONS(1090),
    [anon_sym_BQUOTE] = ACTIONS(1090),
    [anon_sym_DOLLAR] = ACTIONS(1090),
    [aux_sym_yield_expression_token1] = ACTIONS(1092),
    [aux_sym_include_expression_token1] = ACTIONS(1092),
    [aux_sym_include_once_expression_token1] = ACTIONS(1092),
    [aux_sym_require_expression_token1] = ACTIONS(1092),
    [aux_sym_require_once_expression_token1] = ACTIONS(1092),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1090),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_name] = ACTIONS(1096),
    [anon_sym_QMARK_GT] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1096),
    [aux_sym_global_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_definition_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1096),
    [anon_sym_BSLASH] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [aux_sym_trait_declaration_token1] = ACTIONS(1096),
    [aux_sym_interface_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_case_token1] = ACTIONS(1096),
    [aux_sym_class_declaration_token1] = ACTIONS(1096),
    [aux_sym_final_modifier_token1] = ACTIONS(1096),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1096),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1096),
    [sym_var_modifier] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1096),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1096),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [aux_sym_cast_type_token1] = ACTIONS(1096),
    [aux_sym_echo_statement_token1] = ACTIONS(1096),
    [aux_sym_exit_statement_token1] = ACTIONS(1096),
    [anon_sym_unset] = ACTIONS(1096),
    [aux_sym_declare_statement_token1] = ACTIONS(1096),
    [aux_sym_declare_statement_token2] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [aux_sym_try_statement_token1] = ACTIONS(1096),
    [aux_sym_goto_statement_token1] = ACTIONS(1096),
    [aux_sym_continue_statement_token1] = ACTIONS(1096),
    [aux_sym_break_statement_token1] = ACTIONS(1096),
    [sym_integer] = ACTIONS(1096),
    [aux_sym_return_statement_token1] = ACTIONS(1096),
    [aux_sym_throw_expression_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token2] = ACTIONS(1096),
    [aux_sym_do_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token2] = ACTIONS(1096),
    [aux_sym_foreach_statement_token1] = ACTIONS(1096),
    [aux_sym_foreach_statement_token2] = ACTIONS(1096),
    [aux_sym_if_statement_token1] = ACTIONS(1096),
    [aux_sym_if_statement_token2] = ACTIONS(1096),
    [aux_sym_else_if_clause_token1] = ACTIONS(1096),
    [aux_sym_else_clause_token1] = ACTIONS(1096),
    [aux_sym_match_expression_token1] = ACTIONS(1096),
    [aux_sym_match_default_expression_token1] = ACTIONS(1096),
    [aux_sym_switch_statement_token1] = ACTIONS(1096),
    [aux_sym_switch_block_token1] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1094),
    [aux_sym_clone_expression_token1] = ACTIONS(1096),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1096),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [aux_sym__list_destructing_token1] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_self] = ACTIONS(1096),
    [anon_sym_parent] = ACTIONS(1096),
    [aux_sym__argument_name_token1] = ACTIONS(1096),
    [aux_sym__argument_name_token2] = ACTIONS(1096),
    [anon_sym_POUND_LBRACK] = ACTIONS(1094),
    [aux_sym_encapsed_string_token1] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [aux_sym_string_token1] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [anon_sym_LT_LT_LT] = ACTIONS(1094),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [aux_sym_yield_expression_token1] = ACTIONS(1096),
    [aux_sym_include_expression_token1] = ACTIONS(1096),
    [aux_sym_include_once_expression_token1] = ACTIONS(1096),
    [aux_sym_require_expression_token1] = ACTIONS(1096),
    [aux_sym_require_once_expression_token1] = ACTIONS(1096),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1098),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_name] = ACTIONS(1102),
    [anon_sym_QMARK_GT] = ACTIONS(1100),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1102),
    [aux_sym_global_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_definition_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1102),
    [anon_sym_BSLASH] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym_trait_declaration_token1] = ACTIONS(1102),
    [aux_sym_interface_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_case_token1] = ACTIONS(1102),
    [aux_sym_class_declaration_token1] = ACTIONS(1102),
    [aux_sym_final_modifier_token1] = ACTIONS(1102),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1102),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1102),
    [sym_var_modifier] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1102),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1100),
    [aux_sym_cast_type_token1] = ACTIONS(1102),
    [aux_sym_echo_statement_token1] = ACTIONS(1102),
    [aux_sym_exit_statement_token1] = ACTIONS(1102),
    [anon_sym_unset] = ACTIONS(1102),
    [aux_sym_declare_statement_token1] = ACTIONS(1102),
    [aux_sym_declare_statement_token2] = ACTIONS(1102),
    [sym_float] = ACTIONS(1102),
    [aux_sym_try_statement_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1102),
    [aux_sym_continue_statement_token1] = ACTIONS(1102),
    [aux_sym_break_statement_token1] = ACTIONS(1102),
    [sym_integer] = ACTIONS(1102),
    [aux_sym_return_statement_token1] = ACTIONS(1102),
    [aux_sym_throw_expression_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token2] = ACTIONS(1102),
    [aux_sym_do_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token2] = ACTIONS(1102),
    [aux_sym_foreach_statement_token1] = ACTIONS(1102),
    [aux_sym_foreach_statement_token2] = ACTIONS(1102),
    [aux_sym_if_statement_token1] = ACTIONS(1102),
    [aux_sym_if_statement_token2] = ACTIONS(1102),
    [aux_sym_else_if_clause_token1] = ACTIONS(1102),
    [aux_sym_else_clause_token1] = ACTIONS(1102),
    [aux_sym_match_expression_token1] = ACTIONS(1102),
    [aux_sym_match_default_expression_token1] = ACTIONS(1102),
    [aux_sym_switch_statement_token1] = ACTIONS(1102),
    [aux_sym_switch_block_token1] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [aux_sym_clone_expression_token1] = ACTIONS(1102),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1102),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [aux_sym__list_destructing_token1] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_self] = ACTIONS(1102),
    [anon_sym_parent] = ACTIONS(1102),
    [aux_sym__argument_name_token1] = ACTIONS(1102),
    [aux_sym__argument_name_token2] = ACTIONS(1102),
    [anon_sym_POUND_LBRACK] = ACTIONS(1100),
    [aux_sym_encapsed_string_token1] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_string_token1] = ACTIONS(1100),
    [anon_sym_SQUOTE] = ACTIONS(1100),
    [anon_sym_LT_LT_LT] = ACTIONS(1100),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [aux_sym_yield_expression_token1] = ACTIONS(1102),
    [aux_sym_include_expression_token1] = ACTIONS(1102),
    [aux_sym_include_once_expression_token1] = ACTIONS(1102),
    [aux_sym_require_expression_token1] = ACTIONS(1102),
    [aux_sym_require_once_expression_token1] = ACTIONS(1102),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1104),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(1106),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [sym_var_modifier] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [aux_sym_exit_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [aux_sym__argument_name_token1] = ACTIONS(1108),
    [aux_sym__argument_name_token2] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1110),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_name] = ACTIONS(1114),
    [anon_sym_QMARK_GT] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1116),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1114),
    [aux_sym_global_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_definition_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1114),
    [anon_sym_BSLASH] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym_trait_declaration_token1] = ACTIONS(1114),
    [aux_sym_interface_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_case_token1] = ACTIONS(1114),
    [aux_sym_class_declaration_token1] = ACTIONS(1114),
    [aux_sym_final_modifier_token1] = ACTIONS(1114),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1114),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1114),
    [sym_var_modifier] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1114),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [aux_sym_cast_type_token1] = ACTIONS(1114),
    [aux_sym_echo_statement_token1] = ACTIONS(1114),
    [aux_sym_exit_statement_token1] = ACTIONS(1114),
    [anon_sym_unset] = ACTIONS(1114),
    [aux_sym_declare_statement_token1] = ACTIONS(1114),
    [aux_sym_declare_statement_token2] = ACTIONS(1114),
    [sym_float] = ACTIONS(1114),
    [aux_sym_try_statement_token1] = ACTIONS(1114),
    [aux_sym_goto_statement_token1] = ACTIONS(1114),
    [aux_sym_continue_statement_token1] = ACTIONS(1114),
    [aux_sym_break_statement_token1] = ACTIONS(1114),
    [sym_integer] = ACTIONS(1114),
    [aux_sym_return_statement_token1] = ACTIONS(1114),
    [aux_sym_throw_expression_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token2] = ACTIONS(1114),
    [aux_sym_do_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token2] = ACTIONS(1114),
    [aux_sym_foreach_statement_token1] = ACTIONS(1114),
    [aux_sym_foreach_statement_token2] = ACTIONS(1114),
    [aux_sym_if_statement_token1] = ACTIONS(1114),
    [aux_sym_if_statement_token2] = ACTIONS(1114),
    [aux_sym_else_if_clause_token1] = ACTIONS(1114),
    [aux_sym_else_clause_token1] = ACTIONS(1114),
    [aux_sym_match_expression_token1] = ACTIONS(1114),
    [aux_sym_match_default_expression_token1] = ACTIONS(1114),
    [aux_sym_switch_statement_token1] = ACTIONS(1114),
    [aux_sym_switch_block_token1] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [aux_sym_clone_expression_token1] = ACTIONS(1114),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1114),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [aux_sym__list_destructing_token1] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_self] = ACTIONS(1114),
    [anon_sym_parent] = ACTIONS(1114),
    [aux_sym__argument_name_token1] = ACTIONS(1114),
    [aux_sym__argument_name_token2] = ACTIONS(1114),
    [anon_sym_POUND_LBRACK] = ACTIONS(1112),
    [aux_sym_encapsed_string_token1] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [aux_sym_string_token1] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_LT_LT_LT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [aux_sym_yield_expression_token1] = ACTIONS(1114),
    [aux_sym_include_expression_token1] = ACTIONS(1114),
    [aux_sym_include_once_expression_token1] = ACTIONS(1114),
    [aux_sym_require_expression_token1] = ACTIONS(1114),
    [aux_sym_require_once_expression_token1] = ACTIONS(1114),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1116),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_name] = ACTIONS(1120),
    [anon_sym_QMARK_GT] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1120),
    [aux_sym_global_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_definition_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1120),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [aux_sym_trait_declaration_token1] = ACTIONS(1120),
    [aux_sym_interface_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_case_token1] = ACTIONS(1120),
    [aux_sym_class_declaration_token1] = ACTIONS(1120),
    [aux_sym_final_modifier_token1] = ACTIONS(1120),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1120),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1120),
    [sym_var_modifier] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1120),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [aux_sym_cast_type_token1] = ACTIONS(1120),
    [aux_sym_echo_statement_token1] = ACTIONS(1120),
    [aux_sym_exit_statement_token1] = ACTIONS(1120),
    [anon_sym_unset] = ACTIONS(1120),
    [aux_sym_declare_statement_token1] = ACTIONS(1120),
    [aux_sym_declare_statement_token2] = ACTIONS(1120),
    [sym_float] = ACTIONS(1120),
    [aux_sym_try_statement_token1] = ACTIONS(1120),
    [aux_sym_goto_statement_token1] = ACTIONS(1120),
    [aux_sym_continue_statement_token1] = ACTIONS(1120),
    [aux_sym_break_statement_token1] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1120),
    [aux_sym_return_statement_token1] = ACTIONS(1120),
    [aux_sym_throw_expression_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token2] = ACTIONS(1120),
    [aux_sym_do_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token2] = ACTIONS(1120),
    [aux_sym_foreach_statement_token1] = ACTIONS(1120),
    [aux_sym_foreach_statement_token2] = ACTIONS(1120),
    [aux_sym_if_statement_token1] = ACTIONS(1120),
    [aux_sym_if_statement_token2] = ACTIONS(1120),
    [aux_sym_else_if_clause_token1] = ACTIONS(1120),
    [aux_sym_else_clause_token1] = ACTIONS(1120),
    [aux_sym_match_expression_token1] = ACTIONS(1120),
    [aux_sym_match_default_expression_token1] = ACTIONS(1120),
    [aux_sym_switch_statement_token1] = ACTIONS(1120),
    [aux_sym_switch_block_token1] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1118),
    [aux_sym_clone_expression_token1] = ACTIONS(1120),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1120),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [aux_sym__list_destructing_token1] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_self] = ACTIONS(1120),
    [anon_sym_parent] = ACTIONS(1120),
    [aux_sym__argument_name_token1] = ACTIONS(1120),
    [aux_sym__argument_name_token2] = ACTIONS(1120),
    [anon_sym_POUND_LBRACK] = ACTIONS(1118),
    [aux_sym_encapsed_string_token1] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_string_token1] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_LT_LT_LT] = ACTIONS(1118),
    [anon_sym_BQUOTE] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [aux_sym_yield_expression_token1] = ACTIONS(1120),
    [aux_sym_include_expression_token1] = ACTIONS(1120),
    [aux_sym_include_once_expression_token1] = ACTIONS(1120),
    [aux_sym_require_expression_token1] = ACTIONS(1120),
    [aux_sym_require_once_expression_token1] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1122),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_name] = ACTIONS(1126),
    [anon_sym_QMARK_GT] = ACTIONS(1124),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1126),
    [aux_sym_global_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_definition_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1126),
    [anon_sym_BSLASH] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym_trait_declaration_token1] = ACTIONS(1126),
    [aux_sym_interface_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_case_token1] = ACTIONS(1126),
    [aux_sym_class_declaration_token1] = ACTIONS(1126),
    [aux_sym_final_modifier_token1] = ACTIONS(1126),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1126),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1126),
    [sym_var_modifier] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1126),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1126),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [aux_sym_cast_type_token1] = ACTIONS(1126),
    [aux_sym_echo_statement_token1] = ACTIONS(1126),
    [aux_sym_exit_statement_token1] = ACTIONS(1126),
    [anon_sym_unset] = ACTIONS(1126),
    [aux_sym_declare_statement_token1] = ACTIONS(1126),
    [aux_sym_declare_statement_token2] = ACTIONS(1126),
    [sym_float] = ACTIONS(1126),
    [aux_sym_try_statement_token1] = ACTIONS(1126),
    [aux_sym_goto_statement_token1] = ACTIONS(1126),
    [aux_sym_continue_statement_token1] = ACTIONS(1126),
    [aux_sym_break_statement_token1] = ACTIONS(1126),
    [sym_integer] = ACTIONS(1126),
    [aux_sym_return_statement_token1] = ACTIONS(1126),
    [aux_sym_throw_expression_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token2] = ACTIONS(1126),
    [aux_sym_do_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token2] = ACTIONS(1126),
    [aux_sym_foreach_statement_token1] = ACTIONS(1126),
    [aux_sym_foreach_statement_token2] = ACTIONS(1126),
    [aux_sym_if_statement_token1] = ACTIONS(1126),
    [aux_sym_if_statement_token2] = ACTIONS(1126),
    [aux_sym_else_if_clause_token1] = ACTIONS(1126),
    [aux_sym_else_clause_token1] = ACTIONS(1126),
    [aux_sym_match_expression_token1] = ACTIONS(1126),
    [aux_sym_match_default_expression_token1] = ACTIONS(1126),
    [aux_sym_switch_statement_token1] = ACTIONS(1126),
    [aux_sym_switch_block_token1] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [aux_sym_clone_expression_token1] = ACTIONS(1126),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1126),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1124),
    [aux_sym__list_destructing_token1] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_self] = ACTIONS(1126),
    [anon_sym_parent] = ACTIONS(1126),
    [aux_sym__argument_name_token1] = ACTIONS(1126),
    [aux_sym__argument_name_token2] = ACTIONS(1126),
    [anon_sym_POUND_LBRACK] = ACTIONS(1124),
    [aux_sym_encapsed_string_token1] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [aux_sym_string_token1] = ACTIONS(1124),
    [anon_sym_SQUOTE] = ACTIONS(1124),
    [anon_sym_LT_LT_LT] = ACTIONS(1124),
    [anon_sym_BQUOTE] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [aux_sym_yield_expression_token1] = ACTIONS(1126),
    [aux_sym_include_expression_token1] = ACTIONS(1126),
    [aux_sym_include_once_expression_token1] = ACTIONS(1126),
    [aux_sym_require_expression_token1] = ACTIONS(1126),
    [aux_sym_require_once_expression_token1] = ACTIONS(1126),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1128),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_name] = ACTIONS(1132),
    [anon_sym_QMARK_GT] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1132),
    [aux_sym_global_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_definition_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1132),
    [anon_sym_BSLASH] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [aux_sym_trait_declaration_token1] = ACTIONS(1132),
    [aux_sym_interface_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_case_token1] = ACTIONS(1132),
    [aux_sym_class_declaration_token1] = ACTIONS(1132),
    [aux_sym_final_modifier_token1] = ACTIONS(1132),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1132),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1132),
    [sym_var_modifier] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1132),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [aux_sym_cast_type_token1] = ACTIONS(1132),
    [aux_sym_echo_statement_token1] = ACTIONS(1132),
    [aux_sym_exit_statement_token1] = ACTIONS(1132),
    [anon_sym_unset] = ACTIONS(1132),
    [aux_sym_declare_statement_token1] = ACTIONS(1132),
    [aux_sym_declare_statement_token2] = ACTIONS(1132),
    [sym_float] = ACTIONS(1132),
    [aux_sym_try_statement_token1] = ACTIONS(1132),
    [aux_sym_goto_statement_token1] = ACTIONS(1132),
    [aux_sym_continue_statement_token1] = ACTIONS(1132),
    [aux_sym_break_statement_token1] = ACTIONS(1132),
    [sym_integer] = ACTIONS(1132),
    [aux_sym_return_statement_token1] = ACTIONS(1132),
    [aux_sym_throw_expression_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token2] = ACTIONS(1132),
    [aux_sym_do_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token2] = ACTIONS(1132),
    [aux_sym_foreach_statement_token1] = ACTIONS(1132),
    [aux_sym_foreach_statement_token2] = ACTIONS(1132),
    [aux_sym_if_statement_token1] = ACTIONS(1132),
    [aux_sym_if_statement_token2] = ACTIONS(1132),
    [aux_sym_else_if_clause_token1] = ACTIONS(1132),
    [aux_sym_else_clause_token1] = ACTIONS(1132),
    [aux_sym_match_expression_token1] = ACTIONS(1132),
    [aux_sym_match_default_expression_token1] = ACTIONS(1132),
    [aux_sym_switch_statement_token1] = ACTIONS(1132),
    [aux_sym_switch_block_token1] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1130),
    [aux_sym_clone_expression_token1] = ACTIONS(1132),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1132),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [aux_sym__list_destructing_token1] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_self] = ACTIONS(1132),
    [anon_sym_parent] = ACTIONS(1132),
    [aux_sym__argument_name_token1] = ACTIONS(1132),
    [aux_sym__argument_name_token2] = ACTIONS(1132),
    [anon_sym_POUND_LBRACK] = ACTIONS(1130),
    [aux_sym_encapsed_string_token1] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [aux_sym_string_token1] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_LT_LT_LT] = ACTIONS(1130),
    [anon_sym_BQUOTE] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [aux_sym_yield_expression_token1] = ACTIONS(1132),
    [aux_sym_include_expression_token1] = ACTIONS(1132),
    [aux_sym_include_once_expression_token1] = ACTIONS(1132),
    [aux_sym_require_expression_token1] = ACTIONS(1132),
    [aux_sym_require_once_expression_token1] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_name] = ACTIONS(1136),
    [anon_sym_QMARK_GT] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1136),
    [aux_sym_global_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_definition_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1136),
    [anon_sym_BSLASH] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [aux_sym_trait_declaration_token1] = ACTIONS(1136),
    [aux_sym_interface_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_case_token1] = ACTIONS(1136),
    [aux_sym_class_declaration_token1] = ACTIONS(1136),
    [aux_sym_final_modifier_token1] = ACTIONS(1136),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1136),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1136),
    [sym_var_modifier] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1136),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [aux_sym_cast_type_token1] = ACTIONS(1136),
    [aux_sym_echo_statement_token1] = ACTIONS(1136),
    [aux_sym_exit_statement_token1] = ACTIONS(1136),
    [anon_sym_unset] = ACTIONS(1136),
    [aux_sym_declare_statement_token1] = ACTIONS(1136),
    [aux_sym_declare_statement_token2] = ACTIONS(1136),
    [sym_float] = ACTIONS(1136),
    [aux_sym_try_statement_token1] = ACTIONS(1136),
    [aux_sym_goto_statement_token1] = ACTIONS(1136),
    [aux_sym_continue_statement_token1] = ACTIONS(1136),
    [aux_sym_break_statement_token1] = ACTIONS(1136),
    [sym_integer] = ACTIONS(1136),
    [aux_sym_return_statement_token1] = ACTIONS(1136),
    [aux_sym_throw_expression_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token2] = ACTIONS(1136),
    [aux_sym_do_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token2] = ACTIONS(1136),
    [aux_sym_foreach_statement_token1] = ACTIONS(1136),
    [aux_sym_foreach_statement_token2] = ACTIONS(1136),
    [aux_sym_if_statement_token1] = ACTIONS(1136),
    [aux_sym_if_statement_token2] = ACTIONS(1136),
    [aux_sym_else_if_clause_token1] = ACTIONS(1136),
    [aux_sym_else_clause_token1] = ACTIONS(1136),
    [aux_sym_match_expression_token1] = ACTIONS(1136),
    [aux_sym_match_default_expression_token1] = ACTIONS(1136),
    [aux_sym_switch_statement_token1] = ACTIONS(1136),
    [aux_sym_switch_block_token1] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [aux_sym_clone_expression_token1] = ACTIONS(1136),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1136),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [aux_sym__list_destructing_token1] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_self] = ACTIONS(1136),
    [anon_sym_parent] = ACTIONS(1136),
    [aux_sym__argument_name_token1] = ACTIONS(1136),
    [aux_sym__argument_name_token2] = ACTIONS(1136),
    [anon_sym_POUND_LBRACK] = ACTIONS(1134),
    [aux_sym_encapsed_string_token1] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [aux_sym_string_token1] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_LT_LT_LT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1134),
    [aux_sym_yield_expression_token1] = ACTIONS(1136),
    [aux_sym_include_expression_token1] = ACTIONS(1136),
    [aux_sym_include_once_expression_token1] = ACTIONS(1136),
    [aux_sym_require_expression_token1] = ACTIONS(1136),
    [aux_sym_require_once_expression_token1] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_name] = ACTIONS(1140),
    [anon_sym_QMARK_GT] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1140),
    [aux_sym_global_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_definition_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1140),
    [anon_sym_BSLASH] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [aux_sym_trait_declaration_token1] = ACTIONS(1140),
    [aux_sym_interface_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_case_token1] = ACTIONS(1140),
    [aux_sym_class_declaration_token1] = ACTIONS(1140),
    [aux_sym_final_modifier_token1] = ACTIONS(1140),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1140),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1140),
    [sym_var_modifier] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1140),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [aux_sym_cast_type_token1] = ACTIONS(1140),
    [aux_sym_echo_statement_token1] = ACTIONS(1140),
    [aux_sym_exit_statement_token1] = ACTIONS(1140),
    [anon_sym_unset] = ACTIONS(1140),
    [aux_sym_declare_statement_token1] = ACTIONS(1140),
    [aux_sym_declare_statement_token2] = ACTIONS(1140),
    [sym_float] = ACTIONS(1140),
    [aux_sym_try_statement_token1] = ACTIONS(1140),
    [aux_sym_goto_statement_token1] = ACTIONS(1140),
    [aux_sym_continue_statement_token1] = ACTIONS(1140),
    [aux_sym_break_statement_token1] = ACTIONS(1140),
    [sym_integer] = ACTIONS(1140),
    [aux_sym_return_statement_token1] = ACTIONS(1140),
    [aux_sym_throw_expression_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token2] = ACTIONS(1140),
    [aux_sym_do_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token2] = ACTIONS(1140),
    [aux_sym_foreach_statement_token1] = ACTIONS(1140),
    [aux_sym_foreach_statement_token2] = ACTIONS(1140),
    [aux_sym_if_statement_token1] = ACTIONS(1140),
    [aux_sym_if_statement_token2] = ACTIONS(1140),
    [aux_sym_else_if_clause_token1] = ACTIONS(1140),
    [aux_sym_else_clause_token1] = ACTIONS(1140),
    [aux_sym_match_expression_token1] = ACTIONS(1140),
    [aux_sym_match_default_expression_token1] = ACTIONS(1140),
    [aux_sym_switch_statement_token1] = ACTIONS(1140),
    [aux_sym_switch_block_token1] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [aux_sym_clone_expression_token1] = ACTIONS(1140),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1140),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [aux_sym__list_destructing_token1] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_self] = ACTIONS(1140),
    [anon_sym_parent] = ACTIONS(1140),
    [aux_sym__argument_name_token1] = ACTIONS(1140),
    [aux_sym__argument_name_token2] = ACTIONS(1140),
    [anon_sym_POUND_LBRACK] = ACTIONS(1138),
    [aux_sym_encapsed_string_token1] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [aux_sym_string_token1] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_LT_LT_LT] = ACTIONS(1138),
    [anon_sym_BQUOTE] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1138),
    [aux_sym_yield_expression_token1] = ACTIONS(1140),
    [aux_sym_include_expression_token1] = ACTIONS(1140),
    [aux_sym_include_once_expression_token1] = ACTIONS(1140),
    [aux_sym_require_expression_token1] = ACTIONS(1140),
    [aux_sym_require_once_expression_token1] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_name] = ACTIONS(1144),
    [anon_sym_QMARK_GT] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1144),
    [aux_sym_global_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_definition_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1144),
    [anon_sym_BSLASH] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [aux_sym_trait_declaration_token1] = ACTIONS(1144),
    [aux_sym_interface_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_case_token1] = ACTIONS(1144),
    [aux_sym_class_declaration_token1] = ACTIONS(1144),
    [aux_sym_final_modifier_token1] = ACTIONS(1144),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1144),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1144),
    [sym_var_modifier] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1144),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [aux_sym_cast_type_token1] = ACTIONS(1144),
    [aux_sym_echo_statement_token1] = ACTIONS(1144),
    [aux_sym_exit_statement_token1] = ACTIONS(1144),
    [anon_sym_unset] = ACTIONS(1144),
    [aux_sym_declare_statement_token1] = ACTIONS(1144),
    [aux_sym_declare_statement_token2] = ACTIONS(1144),
    [sym_float] = ACTIONS(1144),
    [aux_sym_try_statement_token1] = ACTIONS(1144),
    [aux_sym_goto_statement_token1] = ACTIONS(1144),
    [aux_sym_continue_statement_token1] = ACTIONS(1144),
    [aux_sym_break_statement_token1] = ACTIONS(1144),
    [sym_integer] = ACTIONS(1144),
    [aux_sym_return_statement_token1] = ACTIONS(1144),
    [aux_sym_throw_expression_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token2] = ACTIONS(1144),
    [aux_sym_do_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token2] = ACTIONS(1144),
    [aux_sym_foreach_statement_token1] = ACTIONS(1144),
    [aux_sym_foreach_statement_token2] = ACTIONS(1144),
    [aux_sym_if_statement_token1] = ACTIONS(1144),
    [aux_sym_if_statement_token2] = ACTIONS(1144),
    [aux_sym_else_if_clause_token1] = ACTIONS(1144),
    [aux_sym_else_clause_token1] = ACTIONS(1144),
    [aux_sym_match_expression_token1] = ACTIONS(1144),
    [aux_sym_match_default_expression_token1] = ACTIONS(1144),
    [aux_sym_switch_statement_token1] = ACTIONS(1144),
    [aux_sym_switch_block_token1] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1142),
    [aux_sym_clone_expression_token1] = ACTIONS(1144),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1144),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [aux_sym__list_destructing_token1] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_self] = ACTIONS(1144),
    [anon_sym_parent] = ACTIONS(1144),
    [aux_sym__argument_name_token1] = ACTIONS(1144),
    [aux_sym__argument_name_token2] = ACTIONS(1144),
    [anon_sym_POUND_LBRACK] = ACTIONS(1142),
    [aux_sym_encapsed_string_token1] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [aux_sym_string_token1] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_LT_LT_LT] = ACTIONS(1142),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1142),
    [aux_sym_yield_expression_token1] = ACTIONS(1144),
    [aux_sym_include_expression_token1] = ACTIONS(1144),
    [aux_sym_include_once_expression_token1] = ACTIONS(1144),
    [aux_sym_require_expression_token1] = ACTIONS(1144),
    [aux_sym_require_once_expression_token1] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [sym_var_modifier] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [aux_sym_exit_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [aux_sym__argument_name_token1] = ACTIONS(1148),
    [aux_sym__argument_name_token2] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_name] = ACTIONS(1152),
    [anon_sym_QMARK_GT] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1152),
    [aux_sym_global_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_definition_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1152),
    [anon_sym_BSLASH] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [aux_sym_trait_declaration_token1] = ACTIONS(1152),
    [aux_sym_interface_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_case_token1] = ACTIONS(1152),
    [aux_sym_class_declaration_token1] = ACTIONS(1152),
    [aux_sym_final_modifier_token1] = ACTIONS(1152),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1152),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1152),
    [sym_var_modifier] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1152),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1152),
    [anon_sym_LPAREN] = ACTIONS(1150),
    [aux_sym_cast_type_token1] = ACTIONS(1152),
    [aux_sym_echo_statement_token1] = ACTIONS(1152),
    [aux_sym_exit_statement_token1] = ACTIONS(1152),
    [anon_sym_unset] = ACTIONS(1152),
    [aux_sym_declare_statement_token1] = ACTIONS(1152),
    [aux_sym_declare_statement_token2] = ACTIONS(1152),
    [sym_float] = ACTIONS(1152),
    [aux_sym_try_statement_token1] = ACTIONS(1152),
    [aux_sym_goto_statement_token1] = ACTIONS(1152),
    [aux_sym_continue_statement_token1] = ACTIONS(1152),
    [aux_sym_break_statement_token1] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1152),
    [aux_sym_return_statement_token1] = ACTIONS(1152),
    [aux_sym_throw_expression_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token2] = ACTIONS(1152),
    [aux_sym_do_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token2] = ACTIONS(1152),
    [aux_sym_foreach_statement_token1] = ACTIONS(1152),
    [aux_sym_foreach_statement_token2] = ACTIONS(1152),
    [aux_sym_if_statement_token1] = ACTIONS(1152),
    [aux_sym_if_statement_token2] = ACTIONS(1152),
    [aux_sym_else_if_clause_token1] = ACTIONS(1152),
    [aux_sym_else_clause_token1] = ACTIONS(1152),
    [aux_sym_match_expression_token1] = ACTIONS(1152),
    [aux_sym_match_default_expression_token1] = ACTIONS(1152),
    [aux_sym_switch_statement_token1] = ACTIONS(1152),
    [aux_sym_switch_block_token1] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1150),
    [aux_sym_clone_expression_token1] = ACTIONS(1152),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1152),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [aux_sym__list_destructing_token1] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_self] = ACTIONS(1152),
    [anon_sym_parent] = ACTIONS(1152),
    [aux_sym__argument_name_token1] = ACTIONS(1152),
    [aux_sym__argument_name_token2] = ACTIONS(1152),
    [anon_sym_POUND_LBRACK] = ACTIONS(1150),
    [aux_sym_encapsed_string_token1] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_string_token1] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_LT_LT_LT] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1150),
    [aux_sym_yield_expression_token1] = ACTIONS(1152),
    [aux_sym_include_expression_token1] = ACTIONS(1152),
    [aux_sym_include_once_expression_token1] = ACTIONS(1152),
    [aux_sym_require_expression_token1] = ACTIONS(1152),
    [aux_sym_require_once_expression_token1] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_name] = ACTIONS(1156),
    [anon_sym_QMARK_GT] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1156),
    [aux_sym_global_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_definition_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1156),
    [anon_sym_BSLASH] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [aux_sym_trait_declaration_token1] = ACTIONS(1156),
    [aux_sym_interface_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_case_token1] = ACTIONS(1156),
    [aux_sym_class_declaration_token1] = ACTIONS(1156),
    [aux_sym_final_modifier_token1] = ACTIONS(1156),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1156),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1156),
    [sym_var_modifier] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1156),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1156),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [aux_sym_cast_type_token1] = ACTIONS(1156),
    [aux_sym_echo_statement_token1] = ACTIONS(1156),
    [aux_sym_exit_statement_token1] = ACTIONS(1156),
    [anon_sym_unset] = ACTIONS(1156),
    [aux_sym_declare_statement_token1] = ACTIONS(1156),
    [aux_sym_declare_statement_token2] = ACTIONS(1156),
    [sym_float] = ACTIONS(1156),
    [aux_sym_try_statement_token1] = ACTIONS(1156),
    [aux_sym_goto_statement_token1] = ACTIONS(1156),
    [aux_sym_continue_statement_token1] = ACTIONS(1156),
    [aux_sym_break_statement_token1] = ACTIONS(1156),
    [sym_integer] = ACTIONS(1156),
    [aux_sym_return_statement_token1] = ACTIONS(1156),
    [aux_sym_throw_expression_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token2] = ACTIONS(1156),
    [aux_sym_do_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token2] = ACTIONS(1156),
    [aux_sym_foreach_statement_token1] = ACTIONS(1156),
    [aux_sym_foreach_statement_token2] = ACTIONS(1156),
    [aux_sym_if_statement_token1] = ACTIONS(1156),
    [aux_sym_if_statement_token2] = ACTIONS(1156),
    [aux_sym_else_if_clause_token1] = ACTIONS(1156),
    [aux_sym_else_clause_token1] = ACTIONS(1156),
    [aux_sym_match_expression_token1] = ACTIONS(1156),
    [aux_sym_match_default_expression_token1] = ACTIONS(1156),
    [aux_sym_switch_statement_token1] = ACTIONS(1156),
    [aux_sym_switch_block_token1] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1154),
    [aux_sym_clone_expression_token1] = ACTIONS(1156),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1156),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [aux_sym__list_destructing_token1] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_self] = ACTIONS(1156),
    [anon_sym_parent] = ACTIONS(1156),
    [aux_sym__argument_name_token1] = ACTIONS(1156),
    [aux_sym__argument_name_token2] = ACTIONS(1156),
    [anon_sym_POUND_LBRACK] = ACTIONS(1154),
    [aux_sym_encapsed_string_token1] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [aux_sym_string_token1] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_LT_LT_LT] = ACTIONS(1154),
    [anon_sym_BQUOTE] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [aux_sym_yield_expression_token1] = ACTIONS(1156),
    [aux_sym_include_expression_token1] = ACTIONS(1156),
    [aux_sym_include_once_expression_token1] = ACTIONS(1156),
    [aux_sym_require_expression_token1] = ACTIONS(1156),
    [aux_sym_require_once_expression_token1] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_name] = ACTIONS(1160),
    [anon_sym_QMARK_GT] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1160),
    [aux_sym_global_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_definition_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1160),
    [anon_sym_BSLASH] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [aux_sym_trait_declaration_token1] = ACTIONS(1160),
    [aux_sym_interface_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_case_token1] = ACTIONS(1160),
    [aux_sym_class_declaration_token1] = ACTIONS(1160),
    [aux_sym_final_modifier_token1] = ACTIONS(1160),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1160),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1160),
    [sym_var_modifier] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1160),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(1158),
    [aux_sym_cast_type_token1] = ACTIONS(1160),
    [aux_sym_echo_statement_token1] = ACTIONS(1160),
    [aux_sym_exit_statement_token1] = ACTIONS(1160),
    [anon_sym_unset] = ACTIONS(1160),
    [aux_sym_declare_statement_token1] = ACTIONS(1160),
    [aux_sym_declare_statement_token2] = ACTIONS(1160),
    [sym_float] = ACTIONS(1160),
    [aux_sym_try_statement_token1] = ACTIONS(1160),
    [aux_sym_goto_statement_token1] = ACTIONS(1160),
    [aux_sym_continue_statement_token1] = ACTIONS(1160),
    [aux_sym_break_statement_token1] = ACTIONS(1160),
    [sym_integer] = ACTIONS(1160),
    [aux_sym_return_statement_token1] = ACTIONS(1160),
    [aux_sym_throw_expression_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token2] = ACTIONS(1160),
    [aux_sym_do_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token2] = ACTIONS(1160),
    [aux_sym_foreach_statement_token1] = ACTIONS(1160),
    [aux_sym_foreach_statement_token2] = ACTIONS(1160),
    [aux_sym_if_statement_token1] = ACTIONS(1160),
    [aux_sym_if_statement_token2] = ACTIONS(1160),
    [aux_sym_else_if_clause_token1] = ACTIONS(1160),
    [aux_sym_else_clause_token1] = ACTIONS(1160),
    [aux_sym_match_expression_token1] = ACTIONS(1160),
    [aux_sym_match_default_expression_token1] = ACTIONS(1160),
    [aux_sym_switch_statement_token1] = ACTIONS(1160),
    [aux_sym_switch_block_token1] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1158),
    [aux_sym_clone_expression_token1] = ACTIONS(1160),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1160),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [aux_sym__list_destructing_token1] = ACTIONS(1160),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_self] = ACTIONS(1160),
    [anon_sym_parent] = ACTIONS(1160),
    [aux_sym__argument_name_token1] = ACTIONS(1160),
    [aux_sym__argument_name_token2] = ACTIONS(1160),
    [anon_sym_POUND_LBRACK] = ACTIONS(1158),
    [aux_sym_encapsed_string_token1] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [aux_sym_string_token1] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_LT_LT_LT] = ACTIONS(1158),
    [anon_sym_BQUOTE] = ACTIONS(1158),
    [anon_sym_DOLLAR] = ACTIONS(1158),
    [aux_sym_yield_expression_token1] = ACTIONS(1160),
    [aux_sym_include_expression_token1] = ACTIONS(1160),
    [aux_sym_include_once_expression_token1] = ACTIONS(1160),
    [aux_sym_require_expression_token1] = ACTIONS(1160),
    [aux_sym_require_once_expression_token1] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_name] = ACTIONS(1164),
    [anon_sym_QMARK_GT] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1164),
    [aux_sym_global_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_definition_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1164),
    [anon_sym_BSLASH] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [aux_sym_trait_declaration_token1] = ACTIONS(1164),
    [aux_sym_interface_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_case_token1] = ACTIONS(1164),
    [aux_sym_class_declaration_token1] = ACTIONS(1164),
    [aux_sym_final_modifier_token1] = ACTIONS(1164),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1164),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1164),
    [sym_var_modifier] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1164),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1162),
    [aux_sym_cast_type_token1] = ACTIONS(1164),
    [aux_sym_echo_statement_token1] = ACTIONS(1164),
    [aux_sym_exit_statement_token1] = ACTIONS(1164),
    [anon_sym_unset] = ACTIONS(1164),
    [aux_sym_declare_statement_token1] = ACTIONS(1164),
    [aux_sym_declare_statement_token2] = ACTIONS(1164),
    [sym_float] = ACTIONS(1164),
    [aux_sym_try_statement_token1] = ACTIONS(1164),
    [aux_sym_goto_statement_token1] = ACTIONS(1164),
    [aux_sym_continue_statement_token1] = ACTIONS(1164),
    [aux_sym_break_statement_token1] = ACTIONS(1164),
    [sym_integer] = ACTIONS(1164),
    [aux_sym_return_statement_token1] = ACTIONS(1164),
    [aux_sym_throw_expression_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token2] = ACTIONS(1164),
    [aux_sym_do_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token2] = ACTIONS(1164),
    [aux_sym_foreach_statement_token1] = ACTIONS(1164),
    [aux_sym_foreach_statement_token2] = ACTIONS(1164),
    [aux_sym_if_statement_token1] = ACTIONS(1164),
    [aux_sym_if_statement_token2] = ACTIONS(1164),
    [aux_sym_else_if_clause_token1] = ACTIONS(1164),
    [aux_sym_else_clause_token1] = ACTIONS(1164),
    [aux_sym_match_expression_token1] = ACTIONS(1164),
    [aux_sym_match_default_expression_token1] = ACTIONS(1164),
    [aux_sym_switch_statement_token1] = ACTIONS(1164),
    [aux_sym_switch_block_token1] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1162),
    [aux_sym_clone_expression_token1] = ACTIONS(1164),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1164),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [aux_sym__list_destructing_token1] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(1164),
    [anon_sym_parent] = ACTIONS(1164),
    [aux_sym__argument_name_token1] = ACTIONS(1164),
    [aux_sym__argument_name_token2] = ACTIONS(1164),
    [anon_sym_POUND_LBRACK] = ACTIONS(1162),
    [aux_sym_encapsed_string_token1] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [aux_sym_string_token1] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_LT_LT_LT] = ACTIONS(1162),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1162),
    [aux_sym_yield_expression_token1] = ACTIONS(1164),
    [aux_sym_include_expression_token1] = ACTIONS(1164),
    [aux_sym_include_once_expression_token1] = ACTIONS(1164),
    [aux_sym_require_expression_token1] = ACTIONS(1164),
    [aux_sym_require_once_expression_token1] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_name] = ACTIONS(1168),
    [anon_sym_QMARK_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1168),
    [aux_sym_global_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_definition_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1168),
    [anon_sym_BSLASH] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [aux_sym_trait_declaration_token1] = ACTIONS(1168),
    [aux_sym_interface_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_case_token1] = ACTIONS(1168),
    [aux_sym_class_declaration_token1] = ACTIONS(1168),
    [aux_sym_final_modifier_token1] = ACTIONS(1168),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1168),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1168),
    [sym_var_modifier] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1168),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [aux_sym_cast_type_token1] = ACTIONS(1168),
    [aux_sym_echo_statement_token1] = ACTIONS(1168),
    [aux_sym_exit_statement_token1] = ACTIONS(1168),
    [anon_sym_unset] = ACTIONS(1168),
    [aux_sym_declare_statement_token1] = ACTIONS(1168),
    [aux_sym_declare_statement_token2] = ACTIONS(1168),
    [sym_float] = ACTIONS(1168),
    [aux_sym_try_statement_token1] = ACTIONS(1168),
    [aux_sym_goto_statement_token1] = ACTIONS(1168),
    [aux_sym_continue_statement_token1] = ACTIONS(1168),
    [aux_sym_break_statement_token1] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1168),
    [aux_sym_return_statement_token1] = ACTIONS(1168),
    [aux_sym_throw_expression_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token2] = ACTIONS(1168),
    [aux_sym_do_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token2] = ACTIONS(1168),
    [aux_sym_foreach_statement_token1] = ACTIONS(1168),
    [aux_sym_foreach_statement_token2] = ACTIONS(1168),
    [aux_sym_if_statement_token1] = ACTIONS(1168),
    [aux_sym_if_statement_token2] = ACTIONS(1168),
    [aux_sym_else_if_clause_token1] = ACTIONS(1168),
    [aux_sym_else_clause_token1] = ACTIONS(1168),
    [aux_sym_match_expression_token1] = ACTIONS(1168),
    [aux_sym_match_default_expression_token1] = ACTIONS(1168),
    [aux_sym_switch_statement_token1] = ACTIONS(1168),
    [aux_sym_switch_block_token1] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1166),
    [aux_sym_clone_expression_token1] = ACTIONS(1168),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1168),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [aux_sym__list_destructing_token1] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_self] = ACTIONS(1168),
    [anon_sym_parent] = ACTIONS(1168),
    [aux_sym__argument_name_token1] = ACTIONS(1168),
    [aux_sym__argument_name_token2] = ACTIONS(1168),
    [anon_sym_POUND_LBRACK] = ACTIONS(1166),
    [aux_sym_encapsed_string_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [aux_sym_string_token1] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_LT_LT_LT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1166),
    [aux_sym_yield_expression_token1] = ACTIONS(1168),
    [aux_sym_include_expression_token1] = ACTIONS(1168),
    [aux_sym_include_once_expression_token1] = ACTIONS(1168),
    [aux_sym_require_expression_token1] = ACTIONS(1168),
    [aux_sym_require_once_expression_token1] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_name] = ACTIONS(1172),
    [anon_sym_QMARK_GT] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1172),
    [aux_sym_global_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_definition_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1172),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [aux_sym_trait_declaration_token1] = ACTIONS(1172),
    [aux_sym_interface_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_case_token1] = ACTIONS(1172),
    [aux_sym_class_declaration_token1] = ACTIONS(1172),
    [aux_sym_final_modifier_token1] = ACTIONS(1172),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1172),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1172),
    [sym_var_modifier] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1172),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1172),
    [anon_sym_LPAREN] = ACTIONS(1170),
    [aux_sym_cast_type_token1] = ACTIONS(1172),
    [aux_sym_echo_statement_token1] = ACTIONS(1172),
    [aux_sym_exit_statement_token1] = ACTIONS(1172),
    [anon_sym_unset] = ACTIONS(1172),
    [aux_sym_declare_statement_token1] = ACTIONS(1172),
    [aux_sym_declare_statement_token2] = ACTIONS(1172),
    [sym_float] = ACTIONS(1172),
    [aux_sym_try_statement_token1] = ACTIONS(1172),
    [aux_sym_goto_statement_token1] = ACTIONS(1172),
    [aux_sym_continue_statement_token1] = ACTIONS(1172),
    [aux_sym_break_statement_token1] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1172),
    [aux_sym_return_statement_token1] = ACTIONS(1172),
    [aux_sym_throw_expression_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token2] = ACTIONS(1172),
    [aux_sym_do_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token2] = ACTIONS(1172),
    [aux_sym_foreach_statement_token1] = ACTIONS(1172),
    [aux_sym_foreach_statement_token2] = ACTIONS(1172),
    [aux_sym_if_statement_token1] = ACTIONS(1172),
    [aux_sym_if_statement_token2] = ACTIONS(1172),
    [aux_sym_else_if_clause_token1] = ACTIONS(1172),
    [aux_sym_else_clause_token1] = ACTIONS(1172),
    [aux_sym_match_expression_token1] = ACTIONS(1172),
    [aux_sym_match_default_expression_token1] = ACTIONS(1172),
    [aux_sym_switch_statement_token1] = ACTIONS(1172),
    [aux_sym_switch_block_token1] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1170),
    [aux_sym_clone_expression_token1] = ACTIONS(1172),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1172),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [aux_sym__list_destructing_token1] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_self] = ACTIONS(1172),
    [anon_sym_parent] = ACTIONS(1172),
    [aux_sym__argument_name_token1] = ACTIONS(1172),
    [aux_sym__argument_name_token2] = ACTIONS(1172),
    [anon_sym_POUND_LBRACK] = ACTIONS(1170),
    [aux_sym_encapsed_string_token1] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_string_token1] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_LT_LT_LT] = ACTIONS(1170),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1170),
    [aux_sym_yield_expression_token1] = ACTIONS(1172),
    [aux_sym_include_expression_token1] = ACTIONS(1172),
    [aux_sym_include_once_expression_token1] = ACTIONS(1172),
    [aux_sym_require_expression_token1] = ACTIONS(1172),
    [aux_sym_require_once_expression_token1] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__unary_expression] = STATE(963),
    [sym_unary_op_expression] = STATE(963),
    [sym_error_suppression_expression] = STATE(963),
    [sym_clone_expression] = STATE(963),
    [sym_primary_expression] = STATE(963),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(963),
    [sym_cast_variable] = STATE(588),
    [sym_member_access_expression] = STATE(588),
    [sym_nullsafe_member_access_expression] = STATE(588),
    [sym_scoped_property_access_expression] = STATE(588),
    [sym_function_call_expression] = STATE(572),
    [sym_scoped_call_expression] = STATE(572),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(572),
    [sym_nullsafe_member_call_expression] = STATE(572),
    [sym_subscript_expression] = STATE(572),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(572),
    [sym_variable_name] = STATE(572),
    [sym_include_expression] = STATE(963),
    [sym_include_once_expression] = STATE(963),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(1176),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(1184),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_name] = ACTIONS(1168),
    [anon_sym_QMARK_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1168),
    [aux_sym_global_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_definition_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1168),
    [anon_sym_BSLASH] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [aux_sym_trait_declaration_token1] = ACTIONS(1168),
    [aux_sym_interface_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_case_token1] = ACTIONS(1168),
    [aux_sym_class_declaration_token1] = ACTIONS(1168),
    [aux_sym_final_modifier_token1] = ACTIONS(1168),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1168),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1168),
    [sym_var_modifier] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1168),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [aux_sym_cast_type_token1] = ACTIONS(1168),
    [aux_sym_echo_statement_token1] = ACTIONS(1168),
    [aux_sym_exit_statement_token1] = ACTIONS(1168),
    [anon_sym_unset] = ACTIONS(1168),
    [aux_sym_declare_statement_token1] = ACTIONS(1168),
    [aux_sym_declare_statement_token2] = ACTIONS(1168),
    [sym_float] = ACTIONS(1168),
    [aux_sym_try_statement_token1] = ACTIONS(1168),
    [aux_sym_goto_statement_token1] = ACTIONS(1168),
    [aux_sym_continue_statement_token1] = ACTIONS(1168),
    [aux_sym_break_statement_token1] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1168),
    [aux_sym_return_statement_token1] = ACTIONS(1168),
    [aux_sym_throw_expression_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token2] = ACTIONS(1168),
    [aux_sym_do_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token2] = ACTIONS(1168),
    [aux_sym_foreach_statement_token1] = ACTIONS(1168),
    [aux_sym_foreach_statement_token2] = ACTIONS(1168),
    [aux_sym_if_statement_token1] = ACTIONS(1168),
    [aux_sym_if_statement_token2] = ACTIONS(1168),
    [aux_sym_else_if_clause_token1] = ACTIONS(1168),
    [aux_sym_else_clause_token1] = ACTIONS(1168),
    [aux_sym_match_expression_token1] = ACTIONS(1168),
    [aux_sym_match_default_expression_token1] = ACTIONS(1168),
    [aux_sym_switch_statement_token1] = ACTIONS(1168),
    [aux_sym_switch_block_token1] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1166),
    [aux_sym_clone_expression_token1] = ACTIONS(1168),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1168),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [aux_sym__list_destructing_token1] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_self] = ACTIONS(1168),
    [anon_sym_parent] = ACTIONS(1168),
    [aux_sym__argument_name_token1] = ACTIONS(1168),
    [aux_sym__argument_name_token2] = ACTIONS(1168),
    [anon_sym_POUND_LBRACK] = ACTIONS(1166),
    [aux_sym_encapsed_string_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [aux_sym_string_token1] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_LT_LT_LT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1166),
    [aux_sym_yield_expression_token1] = ACTIONS(1168),
    [aux_sym_include_expression_token1] = ACTIONS(1168),
    [aux_sym_include_once_expression_token1] = ACTIONS(1168),
    [aux_sym_require_expression_token1] = ACTIONS(1168),
    [aux_sym_require_once_expression_token1] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [sym_var_modifier] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [aux_sym_exit_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [aux_sym__argument_name_token1] = ACTIONS(1202),
    [aux_sym__argument_name_token2] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [sym_var_modifier] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [aux_sym_exit_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [aux_sym__argument_name_token1] = ACTIONS(1206),
    [aux_sym__argument_name_token2] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(1212),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [sym_var_modifier] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [aux_sym_exit_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [aux_sym__argument_name_token1] = ACTIONS(1218),
    [aux_sym__argument_name_token2] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_name] = ACTIONS(1048),
    [anon_sym_QMARK_GT] = ACTIONS(1046),
    [anon_sym_SEMI] = ACTIONS(1046),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1048),
    [aux_sym_global_declaration_token1] = ACTIONS(1048),
    [aux_sym_namespace_definition_token1] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1048),
    [anon_sym_BSLASH] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [aux_sym_trait_declaration_token1] = ACTIONS(1048),
    [aux_sym_interface_declaration_token1] = ACTIONS(1048),
    [aux_sym_enum_declaration_token1] = ACTIONS(1048),
    [aux_sym_enum_case_token1] = ACTIONS(1048),
    [aux_sym_class_declaration_token1] = ACTIONS(1048),
    [aux_sym_final_modifier_token1] = ACTIONS(1048),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1048),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1048),
    [sym_var_modifier] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1048),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [aux_sym_cast_type_token1] = ACTIONS(1048),
    [aux_sym_echo_statement_token1] = ACTIONS(1048),
    [aux_sym_exit_statement_token1] = ACTIONS(1048),
    [anon_sym_unset] = ACTIONS(1048),
    [aux_sym_declare_statement_token1] = ACTIONS(1048),
    [aux_sym_declare_statement_token2] = ACTIONS(1048),
    [sym_float] = ACTIONS(1048),
    [aux_sym_try_statement_token1] = ACTIONS(1048),
    [aux_sym_goto_statement_token1] = ACTIONS(1048),
    [aux_sym_continue_statement_token1] = ACTIONS(1048),
    [aux_sym_break_statement_token1] = ACTIONS(1048),
    [sym_integer] = ACTIONS(1048),
    [aux_sym_return_statement_token1] = ACTIONS(1048),
    [aux_sym_throw_expression_token1] = ACTIONS(1048),
    [aux_sym_while_statement_token1] = ACTIONS(1048),
    [aux_sym_while_statement_token2] = ACTIONS(1048),
    [aux_sym_do_statement_token1] = ACTIONS(1048),
    [aux_sym_for_statement_token1] = ACTIONS(1048),
    [aux_sym_for_statement_token2] = ACTIONS(1048),
    [aux_sym_foreach_statement_token1] = ACTIONS(1048),
    [aux_sym_foreach_statement_token2] = ACTIONS(1048),
    [aux_sym_if_statement_token1] = ACTIONS(1048),
    [aux_sym_if_statement_token2] = ACTIONS(1048),
    [aux_sym_else_if_clause_token1] = ACTIONS(1048),
    [aux_sym_else_clause_token1] = ACTIONS(1048),
    [aux_sym_match_expression_token1] = ACTIONS(1048),
    [aux_sym_match_default_expression_token1] = ACTIONS(1048),
    [aux_sym_switch_statement_token1] = ACTIONS(1048),
    [aux_sym_switch_block_token1] = ACTIONS(1048),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_AT] = ACTIONS(1046),
    [aux_sym_clone_expression_token1] = ACTIONS(1048),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1048),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1048),
    [anon_sym_DASH_DASH] = ACTIONS(1046),
    [anon_sym_PLUS_PLUS] = ACTIONS(1046),
    [aux_sym__list_destructing_token1] = ACTIONS(1048),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_self] = ACTIONS(1048),
    [anon_sym_parent] = ACTIONS(1048),
    [aux_sym__argument_name_token1] = ACTIONS(1048),
    [aux_sym__argument_name_token2] = ACTIONS(1048),
    [anon_sym_POUND_LBRACK] = ACTIONS(1046),
    [aux_sym_encapsed_string_token1] = ACTIONS(1046),
    [anon_sym_DQUOTE] = ACTIONS(1046),
    [aux_sym_string_token1] = ACTIONS(1046),
    [anon_sym_SQUOTE] = ACTIONS(1046),
    [anon_sym_LT_LT_LT] = ACTIONS(1046),
    [anon_sym_BQUOTE] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1046),
    [aux_sym_yield_expression_token1] = ACTIONS(1048),
    [aux_sym_include_expression_token1] = ACTIONS(1048),
    [aux_sym_include_once_expression_token1] = ACTIONS(1048),
    [aux_sym_require_expression_token1] = ACTIONS(1048),
    [aux_sym_require_once_expression_token1] = ACTIONS(1048),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(1296),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__unary_expression] = STATE(963),
    [sym_unary_op_expression] = STATE(963),
    [sym_error_suppression_expression] = STATE(963),
    [sym_clone_expression] = STATE(963),
    [sym_primary_expression] = STATE(963),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(963),
    [sym_cast_variable] = STATE(588),
    [sym_member_access_expression] = STATE(588),
    [sym_nullsafe_member_access_expression] = STATE(588),
    [sym_scoped_property_access_expression] = STATE(588),
    [sym_function_call_expression] = STATE(572),
    [sym_scoped_call_expression] = STATE(572),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(572),
    [sym_nullsafe_member_call_expression] = STATE(572),
    [sym_subscript_expression] = STATE(572),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(572),
    [sym_variable_name] = STATE(572),
    [sym_include_expression] = STATE(963),
    [sym_include_once_expression] = STATE(963),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [sym_var_modifier] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [aux_sym_exit_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [aux_sym__argument_name_token1] = ACTIONS(1354),
    [aux_sym__argument_name_token2] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1119),
    [sym_unary_op_expression] = STATE(1119),
    [sym_error_suppression_expression] = STATE(1119),
    [sym_clone_expression] = STATE(1119),
    [sym_primary_expression] = STATE(1119),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_expression] = STATE(1119),
    [sym_cast_variable] = STATE(627),
    [sym_member_access_expression] = STATE(627),
    [sym_nullsafe_member_access_expression] = STATE(627),
    [sym_scoped_property_access_expression] = STATE(627),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2550),
    [sym_relative_scope] = STATE(2550),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1681),
    [sym_array_creation_expression] = STATE(811),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(817),
    [sym_string] = STATE(817),
    [sym_heredoc] = STATE(817),
    [sym_nowdoc] = STATE(817),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(817),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_include_expression] = STATE(1119),
    [sym_include_once_expression] = STATE(1119),
    [sym__reserved_identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [sym_var_modifier] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [aux_sym_exit_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [aux_sym__argument_name_token1] = ACTIONS(1360),
    [aux_sym__argument_name_token2] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_name] = ACTIONS(1364),
    [anon_sym_QMARK_GT] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1364),
    [aux_sym_global_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_definition_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1364),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [aux_sym_trait_declaration_token1] = ACTIONS(1364),
    [aux_sym_interface_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_case_token1] = ACTIONS(1364),
    [aux_sym_class_declaration_token1] = ACTIONS(1364),
    [aux_sym_final_modifier_token1] = ACTIONS(1364),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1364),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1364),
    [sym_var_modifier] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1364),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [aux_sym_cast_type_token1] = ACTIONS(1364),
    [aux_sym_echo_statement_token1] = ACTIONS(1364),
    [aux_sym_exit_statement_token1] = ACTIONS(1364),
    [anon_sym_unset] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_declare_statement_token2] = ACTIONS(1364),
    [sym_float] = ACTIONS(1364),
    [aux_sym_try_statement_token1] = ACTIONS(1364),
    [aux_sym_goto_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [sym_integer] = ACTIONS(1364),
    [aux_sym_return_statement_token1] = ACTIONS(1364),
    [aux_sym_throw_expression_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token2] = ACTIONS(1364),
    [aux_sym_do_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token2] = ACTIONS(1364),
    [aux_sym_foreach_statement_token1] = ACTIONS(1364),
    [aux_sym_foreach_statement_token2] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token2] = ACTIONS(1364),
    [aux_sym_else_if_clause_token1] = ACTIONS(1364),
    [aux_sym_else_clause_token1] = ACTIONS(1364),
    [aux_sym_match_expression_token1] = ACTIONS(1364),
    [aux_sym_match_default_expression_token1] = ACTIONS(1364),
    [aux_sym_switch_statement_token1] = ACTIONS(1364),
    [aux_sym_switch_block_token1] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [aux_sym_clone_expression_token1] = ACTIONS(1364),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1364),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [aux_sym__list_destructing_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_self] = ACTIONS(1364),
    [anon_sym_parent] = ACTIONS(1364),
    [aux_sym__argument_name_token1] = ACTIONS(1364),
    [aux_sym__argument_name_token2] = ACTIONS(1364),
    [anon_sym_POUND_LBRACK] = ACTIONS(1362),
    [aux_sym_encapsed_string_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [aux_sym_string_token1] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_LT_LT_LT] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [aux_sym_yield_expression_token1] = ACTIONS(1364),
    [aux_sym_include_expression_token1] = ACTIONS(1364),
    [aux_sym_include_once_expression_token1] = ACTIONS(1364),
    [aux_sym_require_expression_token1] = ACTIONS(1364),
    [aux_sym_require_once_expression_token1] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__unary_expression] = STATE(963),
    [sym_unary_op_expression] = STATE(963),
    [sym_error_suppression_expression] = STATE(963),
    [sym_clone_expression] = STATE(963),
    [sym_primary_expression] = STATE(963),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(963),
    [sym_cast_variable] = STATE(588),
    [sym_member_access_expression] = STATE(588),
    [sym_nullsafe_member_access_expression] = STATE(588),
    [sym_scoped_property_access_expression] = STATE(588),
    [sym_function_call_expression] = STATE(572),
    [sym_scoped_call_expression] = STATE(572),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(572),
    [sym_nullsafe_member_call_expression] = STATE(572),
    [sym_subscript_expression] = STATE(572),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(572),
    [sym_variable_name] = STATE(572),
    [sym_include_expression] = STATE(963),
    [sym_include_once_expression] = STATE(963),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_name] = ACTIONS(1368),
    [anon_sym_QMARK_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1368),
    [aux_sym_global_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_definition_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [aux_sym_trait_declaration_token1] = ACTIONS(1368),
    [aux_sym_interface_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_case_token1] = ACTIONS(1368),
    [aux_sym_class_declaration_token1] = ACTIONS(1368),
    [aux_sym_final_modifier_token1] = ACTIONS(1368),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1368),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1368),
    [sym_var_modifier] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1368),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1368),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [aux_sym_cast_type_token1] = ACTIONS(1368),
    [aux_sym_echo_statement_token1] = ACTIONS(1368),
    [aux_sym_exit_statement_token1] = ACTIONS(1368),
    [anon_sym_unset] = ACTIONS(1368),
    [aux_sym_declare_statement_token1] = ACTIONS(1368),
    [aux_sym_declare_statement_token2] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [aux_sym_try_statement_token1] = ACTIONS(1368),
    [aux_sym_goto_statement_token1] = ACTIONS(1368),
    [aux_sym_continue_statement_token1] = ACTIONS(1368),
    [aux_sym_break_statement_token1] = ACTIONS(1368),
    [sym_integer] = ACTIONS(1368),
    [aux_sym_return_statement_token1] = ACTIONS(1368),
    [aux_sym_throw_expression_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token2] = ACTIONS(1368),
    [aux_sym_do_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token2] = ACTIONS(1368),
    [aux_sym_foreach_statement_token1] = ACTIONS(1368),
    [aux_sym_foreach_statement_token2] = ACTIONS(1368),
    [aux_sym_if_statement_token1] = ACTIONS(1368),
    [aux_sym_if_statement_token2] = ACTIONS(1368),
    [aux_sym_else_if_clause_token1] = ACTIONS(1368),
    [aux_sym_else_clause_token1] = ACTIONS(1368),
    [aux_sym_match_expression_token1] = ACTIONS(1368),
    [aux_sym_match_default_expression_token1] = ACTIONS(1368),
    [aux_sym_switch_statement_token1] = ACTIONS(1368),
    [aux_sym_switch_block_token1] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [aux_sym_clone_expression_token1] = ACTIONS(1368),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1368),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [aux_sym__list_destructing_token1] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_self] = ACTIONS(1368),
    [anon_sym_parent] = ACTIONS(1368),
    [aux_sym__argument_name_token1] = ACTIONS(1368),
    [aux_sym__argument_name_token2] = ACTIONS(1368),
    [anon_sym_POUND_LBRACK] = ACTIONS(1366),
    [aux_sym_encapsed_string_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [aux_sym_string_token1] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_LT_LT_LT] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [aux_sym_yield_expression_token1] = ACTIONS(1368),
    [aux_sym_include_expression_token1] = ACTIONS(1368),
    [aux_sym_include_once_expression_token1] = ACTIONS(1368),
    [aux_sym_require_expression_token1] = ACTIONS(1368),
    [aux_sym_require_once_expression_token1] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_name] = ACTIONS(1372),
    [anon_sym_QMARK_GT] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1372),
    [aux_sym_global_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_definition_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1372),
    [anon_sym_BSLASH] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [aux_sym_trait_declaration_token1] = ACTIONS(1372),
    [aux_sym_interface_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_case_token1] = ACTIONS(1372),
    [aux_sym_class_declaration_token1] = ACTIONS(1372),
    [aux_sym_final_modifier_token1] = ACTIONS(1372),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1372),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1372),
    [sym_var_modifier] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1372),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_cast_type_token1] = ACTIONS(1372),
    [aux_sym_echo_statement_token1] = ACTIONS(1372),
    [aux_sym_exit_statement_token1] = ACTIONS(1372),
    [anon_sym_unset] = ACTIONS(1372),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [aux_sym_declare_statement_token2] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [aux_sym_try_statement_token1] = ACTIONS(1372),
    [aux_sym_goto_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [sym_integer] = ACTIONS(1372),
    [aux_sym_return_statement_token1] = ACTIONS(1372),
    [aux_sym_throw_expression_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token2] = ACTIONS(1372),
    [aux_sym_do_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token2] = ACTIONS(1372),
    [aux_sym_foreach_statement_token1] = ACTIONS(1372),
    [aux_sym_foreach_statement_token2] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token2] = ACTIONS(1372),
    [aux_sym_else_if_clause_token1] = ACTIONS(1372),
    [aux_sym_else_clause_token1] = ACTIONS(1372),
    [aux_sym_match_expression_token1] = ACTIONS(1372),
    [aux_sym_match_default_expression_token1] = ACTIONS(1372),
    [aux_sym_switch_statement_token1] = ACTIONS(1372),
    [aux_sym_switch_block_token1] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [aux_sym_clone_expression_token1] = ACTIONS(1372),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1372),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [aux_sym__list_destructing_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_self] = ACTIONS(1372),
    [anon_sym_parent] = ACTIONS(1372),
    [aux_sym__argument_name_token1] = ACTIONS(1372),
    [aux_sym__argument_name_token2] = ACTIONS(1372),
    [anon_sym_POUND_LBRACK] = ACTIONS(1370),
    [aux_sym_encapsed_string_token1] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_string_token1] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_LT_LT_LT] = ACTIONS(1370),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [aux_sym_yield_expression_token1] = ACTIONS(1372),
    [aux_sym_include_expression_token1] = ACTIONS(1372),
    [aux_sym_include_once_expression_token1] = ACTIONS(1372),
    [aux_sym_require_expression_token1] = ACTIONS(1372),
    [aux_sym_require_once_expression_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_name] = ACTIONS(1376),
    [anon_sym_QMARK_GT] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1376),
    [aux_sym_global_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_definition_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1376),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [aux_sym_trait_declaration_token1] = ACTIONS(1376),
    [aux_sym_interface_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_case_token1] = ACTIONS(1376),
    [aux_sym_class_declaration_token1] = ACTIONS(1376),
    [aux_sym_final_modifier_token1] = ACTIONS(1376),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1376),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1376),
    [sym_var_modifier] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1376),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_cast_type_token1] = ACTIONS(1376),
    [aux_sym_echo_statement_token1] = ACTIONS(1376),
    [aux_sym_exit_statement_token1] = ACTIONS(1376),
    [anon_sym_unset] = ACTIONS(1376),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [aux_sym_declare_statement_token2] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [aux_sym_try_statement_token1] = ACTIONS(1376),
    [aux_sym_goto_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [sym_integer] = ACTIONS(1376),
    [aux_sym_return_statement_token1] = ACTIONS(1376),
    [aux_sym_throw_expression_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token2] = ACTIONS(1376),
    [aux_sym_do_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token2] = ACTIONS(1376),
    [aux_sym_foreach_statement_token1] = ACTIONS(1376),
    [aux_sym_foreach_statement_token2] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token2] = ACTIONS(1376),
    [aux_sym_else_if_clause_token1] = ACTIONS(1376),
    [aux_sym_else_clause_token1] = ACTIONS(1376),
    [aux_sym_match_expression_token1] = ACTIONS(1376),
    [aux_sym_match_default_expression_token1] = ACTIONS(1376),
    [aux_sym_switch_statement_token1] = ACTIONS(1376),
    [aux_sym_switch_block_token1] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [aux_sym_clone_expression_token1] = ACTIONS(1376),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1376),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [aux_sym__list_destructing_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_self] = ACTIONS(1376),
    [anon_sym_parent] = ACTIONS(1376),
    [aux_sym__argument_name_token1] = ACTIONS(1376),
    [aux_sym__argument_name_token2] = ACTIONS(1376),
    [anon_sym_POUND_LBRACK] = ACTIONS(1374),
    [aux_sym_encapsed_string_token1] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [aux_sym_string_token1] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_LT_LT_LT] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [aux_sym_yield_expression_token1] = ACTIONS(1376),
    [aux_sym_include_expression_token1] = ACTIONS(1376),
    [aux_sym_include_once_expression_token1] = ACTIONS(1376),
    [aux_sym_require_expression_token1] = ACTIONS(1376),
    [aux_sym_require_once_expression_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [sym_var_modifier] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [aux_sym_exit_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [aux_sym__argument_name_token1] = ACTIONS(1380),
    [aux_sym__argument_name_token2] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_name] = ACTIONS(1384),
    [anon_sym_QMARK_GT] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1384),
    [aux_sym_global_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_definition_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [aux_sym_trait_declaration_token1] = ACTIONS(1384),
    [aux_sym_interface_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_case_token1] = ACTIONS(1384),
    [aux_sym_class_declaration_token1] = ACTIONS(1384),
    [aux_sym_final_modifier_token1] = ACTIONS(1384),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1384),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1384),
    [sym_var_modifier] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_cast_type_token1] = ACTIONS(1384),
    [aux_sym_echo_statement_token1] = ACTIONS(1384),
    [aux_sym_exit_statement_token1] = ACTIONS(1384),
    [anon_sym_unset] = ACTIONS(1384),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [aux_sym_declare_statement_token2] = ACTIONS(1384),
    [sym_float] = ACTIONS(1384),
    [aux_sym_try_statement_token1] = ACTIONS(1384),
    [aux_sym_goto_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [sym_integer] = ACTIONS(1384),
    [aux_sym_return_statement_token1] = ACTIONS(1384),
    [aux_sym_throw_expression_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token2] = ACTIONS(1384),
    [aux_sym_do_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token2] = ACTIONS(1384),
    [aux_sym_foreach_statement_token1] = ACTIONS(1384),
    [aux_sym_foreach_statement_token2] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token2] = ACTIONS(1384),
    [aux_sym_else_if_clause_token1] = ACTIONS(1384),
    [aux_sym_else_clause_token1] = ACTIONS(1384),
    [aux_sym_match_expression_token1] = ACTIONS(1384),
    [aux_sym_match_default_expression_token1] = ACTIONS(1384),
    [aux_sym_switch_statement_token1] = ACTIONS(1384),
    [aux_sym_switch_block_token1] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1382),
    [aux_sym_clone_expression_token1] = ACTIONS(1384),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1384),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [aux_sym__list_destructing_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_self] = ACTIONS(1384),
    [anon_sym_parent] = ACTIONS(1384),
    [aux_sym__argument_name_token1] = ACTIONS(1384),
    [aux_sym__argument_name_token2] = ACTIONS(1384),
    [anon_sym_POUND_LBRACK] = ACTIONS(1382),
    [aux_sym_encapsed_string_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [aux_sym_string_token1] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_LT_LT_LT] = ACTIONS(1382),
    [anon_sym_BQUOTE] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1382),
    [aux_sym_yield_expression_token1] = ACTIONS(1384),
    [aux_sym_include_expression_token1] = ACTIONS(1384),
    [aux_sym_include_once_expression_token1] = ACTIONS(1384),
    [aux_sym_require_expression_token1] = ACTIONS(1384),
    [aux_sym_require_once_expression_token1] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_name] = ACTIONS(1388),
    [anon_sym_QMARK_GT] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1388),
    [aux_sym_global_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_definition_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1388),
    [anon_sym_BSLASH] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [aux_sym_trait_declaration_token1] = ACTIONS(1388),
    [aux_sym_interface_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_case_token1] = ACTIONS(1388),
    [aux_sym_class_declaration_token1] = ACTIONS(1388),
    [aux_sym_final_modifier_token1] = ACTIONS(1388),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1388),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1388),
    [sym_var_modifier] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1388),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1388),
    [aux_sym_echo_statement_token1] = ACTIONS(1388),
    [aux_sym_exit_statement_token1] = ACTIONS(1388),
    [anon_sym_unset] = ACTIONS(1388),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [aux_sym_declare_statement_token2] = ACTIONS(1388),
    [sym_float] = ACTIONS(1388),
    [aux_sym_try_statement_token1] = ACTIONS(1388),
    [aux_sym_goto_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [sym_integer] = ACTIONS(1388),
    [aux_sym_return_statement_token1] = ACTIONS(1388),
    [aux_sym_throw_expression_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token2] = ACTIONS(1388),
    [aux_sym_do_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token2] = ACTIONS(1388),
    [aux_sym_foreach_statement_token1] = ACTIONS(1388),
    [aux_sym_foreach_statement_token2] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token2] = ACTIONS(1388),
    [aux_sym_else_if_clause_token1] = ACTIONS(1388),
    [aux_sym_else_clause_token1] = ACTIONS(1388),
    [aux_sym_match_expression_token1] = ACTIONS(1388),
    [aux_sym_match_default_expression_token1] = ACTIONS(1388),
    [aux_sym_switch_statement_token1] = ACTIONS(1388),
    [aux_sym_switch_block_token1] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1386),
    [aux_sym_clone_expression_token1] = ACTIONS(1388),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1388),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [aux_sym__list_destructing_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_self] = ACTIONS(1388),
    [anon_sym_parent] = ACTIONS(1388),
    [aux_sym__argument_name_token1] = ACTIONS(1388),
    [aux_sym__argument_name_token2] = ACTIONS(1388),
    [anon_sym_POUND_LBRACK] = ACTIONS(1386),
    [aux_sym_encapsed_string_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [aux_sym_string_token1] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_LT_LT_LT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1386),
    [aux_sym_yield_expression_token1] = ACTIONS(1388),
    [aux_sym_include_expression_token1] = ACTIONS(1388),
    [aux_sym_include_once_expression_token1] = ACTIONS(1388),
    [aux_sym_require_expression_token1] = ACTIONS(1388),
    [aux_sym_require_once_expression_token1] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_name] = ACTIONS(1392),
    [anon_sym_QMARK_GT] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1392),
    [aux_sym_global_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_definition_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1392),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [aux_sym_trait_declaration_token1] = ACTIONS(1392),
    [aux_sym_interface_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_case_token1] = ACTIONS(1392),
    [aux_sym_class_declaration_token1] = ACTIONS(1392),
    [aux_sym_final_modifier_token1] = ACTIONS(1392),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1392),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1392),
    [sym_var_modifier] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1392),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_cast_type_token1] = ACTIONS(1392),
    [aux_sym_echo_statement_token1] = ACTIONS(1392),
    [aux_sym_exit_statement_token1] = ACTIONS(1392),
    [anon_sym_unset] = ACTIONS(1392),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [aux_sym_declare_statement_token2] = ACTIONS(1392),
    [sym_float] = ACTIONS(1392),
    [aux_sym_try_statement_token1] = ACTIONS(1392),
    [aux_sym_goto_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [sym_integer] = ACTIONS(1392),
    [aux_sym_return_statement_token1] = ACTIONS(1392),
    [aux_sym_throw_expression_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token2] = ACTIONS(1392),
    [aux_sym_do_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token2] = ACTIONS(1392),
    [aux_sym_foreach_statement_token1] = ACTIONS(1392),
    [aux_sym_foreach_statement_token2] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token2] = ACTIONS(1392),
    [aux_sym_else_if_clause_token1] = ACTIONS(1392),
    [aux_sym_else_clause_token1] = ACTIONS(1392),
    [aux_sym_match_expression_token1] = ACTIONS(1392),
    [aux_sym_match_default_expression_token1] = ACTIONS(1392),
    [aux_sym_switch_statement_token1] = ACTIONS(1392),
    [aux_sym_switch_block_token1] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [aux_sym_clone_expression_token1] = ACTIONS(1392),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1392),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [aux_sym__list_destructing_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_self] = ACTIONS(1392),
    [anon_sym_parent] = ACTIONS(1392),
    [aux_sym__argument_name_token1] = ACTIONS(1392),
    [aux_sym__argument_name_token2] = ACTIONS(1392),
    [anon_sym_POUND_LBRACK] = ACTIONS(1390),
    [aux_sym_encapsed_string_token1] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_string_token1] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_LT_LT_LT] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [aux_sym_yield_expression_token1] = ACTIONS(1392),
    [aux_sym_include_expression_token1] = ACTIONS(1392),
    [aux_sym_include_once_expression_token1] = ACTIONS(1392),
    [aux_sym_require_expression_token1] = ACTIONS(1392),
    [aux_sym_require_once_expression_token1] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1042),
    [sym_name] = ACTIONS(1044),
    [anon_sym_QMARK_GT] = ACTIONS(1042),
    [anon_sym_SEMI] = ACTIONS(1042),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1044),
    [aux_sym_global_declaration_token1] = ACTIONS(1044),
    [aux_sym_namespace_definition_token1] = ACTIONS(1044),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1044),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1044),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1044),
    [anon_sym_BSLASH] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_RBRACE] = ACTIONS(1042),
    [aux_sym_trait_declaration_token1] = ACTIONS(1044),
    [aux_sym_interface_declaration_token1] = ACTIONS(1044),
    [aux_sym_enum_declaration_token1] = ACTIONS(1044),
    [aux_sym_enum_case_token1] = ACTIONS(1044),
    [aux_sym_class_declaration_token1] = ACTIONS(1044),
    [aux_sym_final_modifier_token1] = ACTIONS(1044),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1044),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1044),
    [sym_var_modifier] = ACTIONS(1044),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1044),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1044),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1044),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [aux_sym_cast_type_token1] = ACTIONS(1044),
    [aux_sym_echo_statement_token1] = ACTIONS(1044),
    [aux_sym_exit_statement_token1] = ACTIONS(1044),
    [anon_sym_unset] = ACTIONS(1044),
    [aux_sym_declare_statement_token1] = ACTIONS(1044),
    [aux_sym_declare_statement_token2] = ACTIONS(1044),
    [sym_float] = ACTIONS(1044),
    [aux_sym_try_statement_token1] = ACTIONS(1044),
    [aux_sym_goto_statement_token1] = ACTIONS(1044),
    [aux_sym_continue_statement_token1] = ACTIONS(1044),
    [aux_sym_break_statement_token1] = ACTIONS(1044),
    [sym_integer] = ACTIONS(1044),
    [aux_sym_return_statement_token1] = ACTIONS(1044),
    [aux_sym_throw_expression_token1] = ACTIONS(1044),
    [aux_sym_while_statement_token1] = ACTIONS(1044),
    [aux_sym_while_statement_token2] = ACTIONS(1044),
    [aux_sym_do_statement_token1] = ACTIONS(1044),
    [aux_sym_for_statement_token1] = ACTIONS(1044),
    [aux_sym_for_statement_token2] = ACTIONS(1044),
    [aux_sym_foreach_statement_token1] = ACTIONS(1044),
    [aux_sym_foreach_statement_token2] = ACTIONS(1044),
    [aux_sym_if_statement_token1] = ACTIONS(1044),
    [aux_sym_if_statement_token2] = ACTIONS(1044),
    [aux_sym_else_if_clause_token1] = ACTIONS(1044),
    [aux_sym_else_clause_token1] = ACTIONS(1044),
    [aux_sym_match_expression_token1] = ACTIONS(1044),
    [aux_sym_match_default_expression_token1] = ACTIONS(1044),
    [aux_sym_switch_statement_token1] = ACTIONS(1044),
    [aux_sym_switch_block_token1] = ACTIONS(1044),
    [anon_sym_PLUS] = ACTIONS(1044),
    [anon_sym_DASH] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_BANG] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(1042),
    [aux_sym_clone_expression_token1] = ACTIONS(1044),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1044),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1044),
    [anon_sym_DASH_DASH] = ACTIONS(1042),
    [anon_sym_PLUS_PLUS] = ACTIONS(1042),
    [aux_sym__list_destructing_token1] = ACTIONS(1044),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_self] = ACTIONS(1044),
    [anon_sym_parent] = ACTIONS(1044),
    [aux_sym__argument_name_token1] = ACTIONS(1044),
    [aux_sym__argument_name_token2] = ACTIONS(1044),
    [anon_sym_POUND_LBRACK] = ACTIONS(1042),
    [aux_sym_encapsed_string_token1] = ACTIONS(1042),
    [anon_sym_DQUOTE] = ACTIONS(1042),
    [aux_sym_string_token1] = ACTIONS(1042),
    [anon_sym_SQUOTE] = ACTIONS(1042),
    [anon_sym_LT_LT_LT] = ACTIONS(1042),
    [anon_sym_BQUOTE] = ACTIONS(1042),
    [anon_sym_DOLLAR] = ACTIONS(1042),
    [aux_sym_yield_expression_token1] = ACTIONS(1044),
    [aux_sym_include_expression_token1] = ACTIONS(1044),
    [aux_sym_include_once_expression_token1] = ACTIONS(1044),
    [aux_sym_require_expression_token1] = ACTIONS(1044),
    [aux_sym_require_once_expression_token1] = ACTIONS(1044),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [sym_var_modifier] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [aux_sym_exit_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [aux_sym__argument_name_token1] = ACTIONS(1396),
    [aux_sym__argument_name_token2] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [sym_var_modifier] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [aux_sym_exit_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [aux_sym__argument_name_token1] = ACTIONS(1400),
    [aux_sym__argument_name_token2] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1090),
    [sym_name] = ACTIONS(1092),
    [anon_sym_QMARK_GT] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1092),
    [aux_sym_global_declaration_token1] = ACTIONS(1092),
    [aux_sym_namespace_definition_token1] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1092),
    [anon_sym_BSLASH] = ACTIONS(1090),
    [anon_sym_LBRACE] = ACTIONS(1090),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [aux_sym_trait_declaration_token1] = ACTIONS(1092),
    [aux_sym_interface_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_case_token1] = ACTIONS(1092),
    [aux_sym_class_declaration_token1] = ACTIONS(1092),
    [aux_sym_final_modifier_token1] = ACTIONS(1092),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1092),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1092),
    [sym_var_modifier] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1092),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1092),
    [anon_sym_LPAREN] = ACTIONS(1090),
    [aux_sym_cast_type_token1] = ACTIONS(1092),
    [aux_sym_echo_statement_token1] = ACTIONS(1092),
    [aux_sym_exit_statement_token1] = ACTIONS(1092),
    [anon_sym_unset] = ACTIONS(1092),
    [aux_sym_declare_statement_token1] = ACTIONS(1092),
    [aux_sym_declare_statement_token2] = ACTIONS(1092),
    [sym_float] = ACTIONS(1092),
    [aux_sym_try_statement_token1] = ACTIONS(1092),
    [aux_sym_goto_statement_token1] = ACTIONS(1092),
    [aux_sym_continue_statement_token1] = ACTIONS(1092),
    [aux_sym_break_statement_token1] = ACTIONS(1092),
    [sym_integer] = ACTIONS(1092),
    [aux_sym_return_statement_token1] = ACTIONS(1092),
    [aux_sym_throw_expression_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token2] = ACTIONS(1092),
    [aux_sym_do_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token2] = ACTIONS(1092),
    [aux_sym_foreach_statement_token1] = ACTIONS(1092),
    [aux_sym_foreach_statement_token2] = ACTIONS(1092),
    [aux_sym_if_statement_token1] = ACTIONS(1092),
    [aux_sym_if_statement_token2] = ACTIONS(1092),
    [aux_sym_else_if_clause_token1] = ACTIONS(1092),
    [aux_sym_else_clause_token1] = ACTIONS(1092),
    [aux_sym_match_expression_token1] = ACTIONS(1092),
    [aux_sym_match_default_expression_token1] = ACTIONS(1092),
    [aux_sym_switch_statement_token1] = ACTIONS(1092),
    [aux_sym_switch_block_token1] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1090),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1090),
    [aux_sym_clone_expression_token1] = ACTIONS(1092),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1092),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1090),
    [aux_sym__list_destructing_token1] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(1090),
    [anon_sym_self] = ACTIONS(1092),
    [anon_sym_parent] = ACTIONS(1092),
    [aux_sym__argument_name_token1] = ACTIONS(1092),
    [aux_sym__argument_name_token2] = ACTIONS(1092),
    [anon_sym_POUND_LBRACK] = ACTIONS(1090),
    [aux_sym_encapsed_string_token1] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [aux_sym_string_token1] = ACTIONS(1090),
    [anon_sym_SQUOTE] = ACTIONS(1090),
    [anon_sym_LT_LT_LT] = ACTIONS(1090),
    [anon_sym_BQUOTE] = ACTIONS(1090),
    [anon_sym_DOLLAR] = ACTIONS(1090),
    [aux_sym_yield_expression_token1] = ACTIONS(1092),
    [aux_sym_include_expression_token1] = ACTIONS(1092),
    [aux_sym_include_once_expression_token1] = ACTIONS(1092),
    [aux_sym_require_expression_token1] = ACTIONS(1092),
    [aux_sym_require_once_expression_token1] = ACTIONS(1092),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [sym_var_modifier] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [aux_sym_exit_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [aux_sym__argument_name_token1] = ACTIONS(1396),
    [aux_sym__argument_name_token2] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_name] = ACTIONS(1404),
    [anon_sym_QMARK_GT] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1404),
    [aux_sym_global_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_definition_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1404),
    [anon_sym_BSLASH] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [aux_sym_trait_declaration_token1] = ACTIONS(1404),
    [aux_sym_interface_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_case_token1] = ACTIONS(1404),
    [aux_sym_class_declaration_token1] = ACTIONS(1404),
    [aux_sym_final_modifier_token1] = ACTIONS(1404),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1404),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1404),
    [sym_var_modifier] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1404),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_cast_type_token1] = ACTIONS(1404),
    [aux_sym_echo_statement_token1] = ACTIONS(1404),
    [aux_sym_exit_statement_token1] = ACTIONS(1404),
    [anon_sym_unset] = ACTIONS(1404),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [aux_sym_declare_statement_token2] = ACTIONS(1404),
    [sym_float] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_goto_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [aux_sym_return_statement_token1] = ACTIONS(1404),
    [aux_sym_throw_expression_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token2] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token2] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token2] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token2] = ACTIONS(1404),
    [aux_sym_else_if_clause_token1] = ACTIONS(1404),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_match_expression_token1] = ACTIONS(1404),
    [aux_sym_match_default_expression_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_block_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1402),
    [aux_sym_clone_expression_token1] = ACTIONS(1404),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1404),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [aux_sym__list_destructing_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(1404),
    [anon_sym_parent] = ACTIONS(1404),
    [aux_sym__argument_name_token1] = ACTIONS(1404),
    [aux_sym__argument_name_token2] = ACTIONS(1404),
    [anon_sym_POUND_LBRACK] = ACTIONS(1402),
    [aux_sym_encapsed_string_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [aux_sym_string_token1] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_LT_LT_LT] = ACTIONS(1402),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1402),
    [aux_sym_yield_expression_token1] = ACTIONS(1404),
    [aux_sym_include_expression_token1] = ACTIONS(1404),
    [aux_sym_include_once_expression_token1] = ACTIONS(1404),
    [aux_sym_require_expression_token1] = ACTIONS(1404),
    [aux_sym_require_once_expression_token1] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [sym_var_modifier] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [aux_sym_exit_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [aux_sym__argument_name_token1] = ACTIONS(1408),
    [aux_sym__argument_name_token2] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_name] = ACTIONS(1412),
    [anon_sym_QMARK_GT] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1412),
    [aux_sym_global_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_definition_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1412),
    [anon_sym_BSLASH] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_trait_declaration_token1] = ACTIONS(1412),
    [aux_sym_interface_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_case_token1] = ACTIONS(1412),
    [aux_sym_class_declaration_token1] = ACTIONS(1412),
    [aux_sym_final_modifier_token1] = ACTIONS(1412),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1412),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1412),
    [sym_var_modifier] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1412),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_cast_type_token1] = ACTIONS(1412),
    [aux_sym_echo_statement_token1] = ACTIONS(1412),
    [aux_sym_exit_statement_token1] = ACTIONS(1412),
    [anon_sym_unset] = ACTIONS(1412),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [aux_sym_declare_statement_token2] = ACTIONS(1412),
    [sym_float] = ACTIONS(1412),
    [aux_sym_try_statement_token1] = ACTIONS(1412),
    [aux_sym_goto_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [sym_integer] = ACTIONS(1412),
    [aux_sym_return_statement_token1] = ACTIONS(1412),
    [aux_sym_throw_expression_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token2] = ACTIONS(1412),
    [aux_sym_do_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token2] = ACTIONS(1412),
    [aux_sym_foreach_statement_token1] = ACTIONS(1412),
    [aux_sym_foreach_statement_token2] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token2] = ACTIONS(1412),
    [aux_sym_else_if_clause_token1] = ACTIONS(1412),
    [aux_sym_else_clause_token1] = ACTIONS(1412),
    [aux_sym_match_expression_token1] = ACTIONS(1412),
    [aux_sym_match_default_expression_token1] = ACTIONS(1412),
    [aux_sym_switch_statement_token1] = ACTIONS(1412),
    [aux_sym_switch_block_token1] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1410),
    [aux_sym_clone_expression_token1] = ACTIONS(1412),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1412),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [aux_sym__list_destructing_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_self] = ACTIONS(1412),
    [anon_sym_parent] = ACTIONS(1412),
    [aux_sym__argument_name_token1] = ACTIONS(1412),
    [aux_sym__argument_name_token2] = ACTIONS(1412),
    [anon_sym_POUND_LBRACK] = ACTIONS(1410),
    [aux_sym_encapsed_string_token1] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_string_token1] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_LT_LT_LT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1410),
    [aux_sym_yield_expression_token1] = ACTIONS(1412),
    [aux_sym_include_expression_token1] = ACTIONS(1412),
    [aux_sym_include_once_expression_token1] = ACTIONS(1412),
    [aux_sym_require_expression_token1] = ACTIONS(1412),
    [aux_sym_require_once_expression_token1] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_name] = ACTIONS(1416),
    [anon_sym_QMARK_GT] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1416),
    [aux_sym_global_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_definition_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1416),
    [anon_sym_BSLASH] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [aux_sym_trait_declaration_token1] = ACTIONS(1416),
    [aux_sym_interface_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_case_token1] = ACTIONS(1416),
    [aux_sym_class_declaration_token1] = ACTIONS(1416),
    [aux_sym_final_modifier_token1] = ACTIONS(1416),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1416),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1416),
    [sym_var_modifier] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1416),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_cast_type_token1] = ACTIONS(1416),
    [aux_sym_echo_statement_token1] = ACTIONS(1416),
    [aux_sym_exit_statement_token1] = ACTIONS(1416),
    [anon_sym_unset] = ACTIONS(1416),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [aux_sym_declare_statement_token2] = ACTIONS(1416),
    [sym_float] = ACTIONS(1416),
    [aux_sym_try_statement_token1] = ACTIONS(1416),
    [aux_sym_goto_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [sym_integer] = ACTIONS(1416),
    [aux_sym_return_statement_token1] = ACTIONS(1416),
    [aux_sym_throw_expression_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token2] = ACTIONS(1416),
    [aux_sym_do_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token2] = ACTIONS(1416),
    [aux_sym_foreach_statement_token1] = ACTIONS(1416),
    [aux_sym_foreach_statement_token2] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token2] = ACTIONS(1416),
    [aux_sym_else_if_clause_token1] = ACTIONS(1416),
    [aux_sym_else_clause_token1] = ACTIONS(1416),
    [aux_sym_match_expression_token1] = ACTIONS(1416),
    [aux_sym_match_default_expression_token1] = ACTIONS(1416),
    [aux_sym_switch_statement_token1] = ACTIONS(1416),
    [aux_sym_switch_block_token1] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1414),
    [aux_sym_clone_expression_token1] = ACTIONS(1416),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1416),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [aux_sym__list_destructing_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_self] = ACTIONS(1416),
    [anon_sym_parent] = ACTIONS(1416),
    [aux_sym__argument_name_token1] = ACTIONS(1416),
    [aux_sym__argument_name_token2] = ACTIONS(1416),
    [anon_sym_POUND_LBRACK] = ACTIONS(1414),
    [aux_sym_encapsed_string_token1] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [aux_sym_string_token1] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_LT_LT_LT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [aux_sym_yield_expression_token1] = ACTIONS(1416),
    [aux_sym_include_expression_token1] = ACTIONS(1416),
    [aux_sym_include_once_expression_token1] = ACTIONS(1416),
    [aux_sym_require_expression_token1] = ACTIONS(1416),
    [aux_sym_require_once_expression_token1] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [sym_var_modifier] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [aux_sym_exit_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_name] = ACTIONS(1424),
    [anon_sym_QMARK_GT] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1424),
    [aux_sym_global_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_definition_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1424),
    [anon_sym_BSLASH] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [aux_sym_trait_declaration_token1] = ACTIONS(1424),
    [aux_sym_interface_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_case_token1] = ACTIONS(1424),
    [aux_sym_class_declaration_token1] = ACTIONS(1424),
    [aux_sym_final_modifier_token1] = ACTIONS(1424),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1424),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1424),
    [sym_var_modifier] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1424),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_cast_type_token1] = ACTIONS(1424),
    [aux_sym_echo_statement_token1] = ACTIONS(1424),
    [aux_sym_exit_statement_token1] = ACTIONS(1424),
    [anon_sym_unset] = ACTIONS(1424),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [aux_sym_declare_statement_token2] = ACTIONS(1424),
    [sym_float] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_goto_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [sym_integer] = ACTIONS(1424),
    [aux_sym_return_statement_token1] = ACTIONS(1424),
    [aux_sym_throw_expression_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token2] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token2] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token2] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token2] = ACTIONS(1424),
    [aux_sym_else_if_clause_token1] = ACTIONS(1424),
    [aux_sym_else_clause_token1] = ACTIONS(1424),
    [aux_sym_match_expression_token1] = ACTIONS(1424),
    [aux_sym_match_default_expression_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_block_token1] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1422),
    [aux_sym_clone_expression_token1] = ACTIONS(1424),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1424),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [aux_sym__list_destructing_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_self] = ACTIONS(1424),
    [anon_sym_parent] = ACTIONS(1424),
    [aux_sym__argument_name_token1] = ACTIONS(1424),
    [aux_sym__argument_name_token2] = ACTIONS(1424),
    [anon_sym_POUND_LBRACK] = ACTIONS(1422),
    [aux_sym_encapsed_string_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_LT_LT_LT] = ACTIONS(1422),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1422),
    [aux_sym_yield_expression_token1] = ACTIONS(1424),
    [aux_sym_include_expression_token1] = ACTIONS(1424),
    [aux_sym_include_once_expression_token1] = ACTIONS(1424),
    [aux_sym_require_expression_token1] = ACTIONS(1424),
    [aux_sym_require_once_expression_token1] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_name] = ACTIONS(1428),
    [anon_sym_QMARK_GT] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1428),
    [aux_sym_global_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_definition_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1428),
    [anon_sym_BSLASH] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [aux_sym_trait_declaration_token1] = ACTIONS(1428),
    [aux_sym_interface_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_case_token1] = ACTIONS(1428),
    [aux_sym_class_declaration_token1] = ACTIONS(1428),
    [aux_sym_final_modifier_token1] = ACTIONS(1428),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1428),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1428),
    [sym_var_modifier] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1428),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_cast_type_token1] = ACTIONS(1428),
    [aux_sym_echo_statement_token1] = ACTIONS(1428),
    [aux_sym_exit_statement_token1] = ACTIONS(1428),
    [anon_sym_unset] = ACTIONS(1428),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [aux_sym_declare_statement_token2] = ACTIONS(1428),
    [sym_float] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_goto_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [sym_integer] = ACTIONS(1428),
    [aux_sym_return_statement_token1] = ACTIONS(1428),
    [aux_sym_throw_expression_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token2] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token2] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token2] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token2] = ACTIONS(1428),
    [aux_sym_else_if_clause_token1] = ACTIONS(1428),
    [aux_sym_else_clause_token1] = ACTIONS(1428),
    [aux_sym_match_expression_token1] = ACTIONS(1428),
    [aux_sym_match_default_expression_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_block_token1] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1426),
    [aux_sym_clone_expression_token1] = ACTIONS(1428),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1428),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [aux_sym__list_destructing_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_self] = ACTIONS(1428),
    [anon_sym_parent] = ACTIONS(1428),
    [aux_sym__argument_name_token1] = ACTIONS(1428),
    [aux_sym__argument_name_token2] = ACTIONS(1428),
    [anon_sym_POUND_LBRACK] = ACTIONS(1426),
    [aux_sym_encapsed_string_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [aux_sym_string_token1] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_LT_LT_LT] = ACTIONS(1426),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [aux_sym_yield_expression_token1] = ACTIONS(1428),
    [aux_sym_include_expression_token1] = ACTIONS(1428),
    [aux_sym_include_once_expression_token1] = ACTIONS(1428),
    [aux_sym_require_expression_token1] = ACTIONS(1428),
    [aux_sym_require_once_expression_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [sym_var_modifier] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [aux_sym_exit_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [aux_sym__argument_name_token1] = ACTIONS(1432),
    [aux_sym__argument_name_token2] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_name] = ACTIONS(1436),
    [anon_sym_QMARK_GT] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1436),
    [aux_sym_global_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_definition_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1436),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_trait_declaration_token1] = ACTIONS(1436),
    [aux_sym_interface_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_case_token1] = ACTIONS(1436),
    [aux_sym_class_declaration_token1] = ACTIONS(1436),
    [aux_sym_final_modifier_token1] = ACTIONS(1436),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1436),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1436),
    [sym_var_modifier] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1436),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_cast_type_token1] = ACTIONS(1436),
    [aux_sym_echo_statement_token1] = ACTIONS(1436),
    [aux_sym_exit_statement_token1] = ACTIONS(1436),
    [anon_sym_unset] = ACTIONS(1436),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [aux_sym_declare_statement_token2] = ACTIONS(1436),
    [sym_float] = ACTIONS(1436),
    [aux_sym_try_statement_token1] = ACTIONS(1436),
    [aux_sym_goto_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [sym_integer] = ACTIONS(1436),
    [aux_sym_return_statement_token1] = ACTIONS(1436),
    [aux_sym_throw_expression_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token2] = ACTIONS(1436),
    [aux_sym_do_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token2] = ACTIONS(1436),
    [aux_sym_foreach_statement_token1] = ACTIONS(1436),
    [aux_sym_foreach_statement_token2] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token2] = ACTIONS(1436),
    [aux_sym_else_if_clause_token1] = ACTIONS(1436),
    [aux_sym_else_clause_token1] = ACTIONS(1436),
    [aux_sym_match_expression_token1] = ACTIONS(1436),
    [aux_sym_match_default_expression_token1] = ACTIONS(1436),
    [aux_sym_switch_statement_token1] = ACTIONS(1436),
    [aux_sym_switch_block_token1] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [aux_sym_clone_expression_token1] = ACTIONS(1436),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1436),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [aux_sym__list_destructing_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_self] = ACTIONS(1436),
    [anon_sym_parent] = ACTIONS(1436),
    [aux_sym__argument_name_token1] = ACTIONS(1436),
    [aux_sym__argument_name_token2] = ACTIONS(1436),
    [anon_sym_POUND_LBRACK] = ACTIONS(1434),
    [aux_sym_encapsed_string_token1] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [aux_sym_string_token1] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_LT_LT_LT] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [aux_sym_yield_expression_token1] = ACTIONS(1436),
    [aux_sym_include_expression_token1] = ACTIONS(1436),
    [aux_sym_include_once_expression_token1] = ACTIONS(1436),
    [aux_sym_require_expression_token1] = ACTIONS(1436),
    [aux_sym_require_once_expression_token1] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_name] = ACTIONS(1440),
    [anon_sym_QMARK_GT] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1440),
    [aux_sym_global_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_definition_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [aux_sym_trait_declaration_token1] = ACTIONS(1440),
    [aux_sym_interface_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_case_token1] = ACTIONS(1440),
    [aux_sym_class_declaration_token1] = ACTIONS(1440),
    [aux_sym_final_modifier_token1] = ACTIONS(1440),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1440),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1440),
    [sym_var_modifier] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1440),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_cast_type_token1] = ACTIONS(1440),
    [aux_sym_echo_statement_token1] = ACTIONS(1440),
    [aux_sym_exit_statement_token1] = ACTIONS(1440),
    [anon_sym_unset] = ACTIONS(1440),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [aux_sym_declare_statement_token2] = ACTIONS(1440),
    [sym_float] = ACTIONS(1440),
    [aux_sym_try_statement_token1] = ACTIONS(1440),
    [aux_sym_goto_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [sym_integer] = ACTIONS(1440),
    [aux_sym_return_statement_token1] = ACTIONS(1440),
    [aux_sym_throw_expression_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token2] = ACTIONS(1440),
    [aux_sym_do_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token2] = ACTIONS(1440),
    [aux_sym_foreach_statement_token1] = ACTIONS(1440),
    [aux_sym_foreach_statement_token2] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token2] = ACTIONS(1440),
    [aux_sym_else_if_clause_token1] = ACTIONS(1440),
    [aux_sym_else_clause_token1] = ACTIONS(1440),
    [aux_sym_match_expression_token1] = ACTIONS(1440),
    [aux_sym_match_default_expression_token1] = ACTIONS(1440),
    [aux_sym_switch_statement_token1] = ACTIONS(1440),
    [aux_sym_switch_block_token1] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [aux_sym_clone_expression_token1] = ACTIONS(1440),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1440),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [aux_sym__list_destructing_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_self] = ACTIONS(1440),
    [anon_sym_parent] = ACTIONS(1440),
    [aux_sym__argument_name_token1] = ACTIONS(1440),
    [aux_sym__argument_name_token2] = ACTIONS(1440),
    [anon_sym_POUND_LBRACK] = ACTIONS(1438),
    [aux_sym_encapsed_string_token1] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_LT_LT_LT] = ACTIONS(1438),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [aux_sym_yield_expression_token1] = ACTIONS(1440),
    [aux_sym_include_expression_token1] = ACTIONS(1440),
    [aux_sym_include_once_expression_token1] = ACTIONS(1440),
    [aux_sym_require_expression_token1] = ACTIONS(1440),
    [aux_sym_require_once_expression_token1] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [sym_var_modifier] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [aux_sym_exit_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [aux_sym__argument_name_token1] = ACTIONS(1444),
    [aux_sym__argument_name_token2] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_name] = ACTIONS(1448),
    [anon_sym_QMARK_GT] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1448),
    [aux_sym_global_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_definition_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_trait_declaration_token1] = ACTIONS(1448),
    [aux_sym_interface_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_case_token1] = ACTIONS(1448),
    [aux_sym_class_declaration_token1] = ACTIONS(1448),
    [aux_sym_final_modifier_token1] = ACTIONS(1448),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1448),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1448),
    [sym_var_modifier] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1448),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_cast_type_token1] = ACTIONS(1448),
    [aux_sym_echo_statement_token1] = ACTIONS(1448),
    [aux_sym_exit_statement_token1] = ACTIONS(1448),
    [anon_sym_unset] = ACTIONS(1448),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [aux_sym_declare_statement_token2] = ACTIONS(1448),
    [sym_float] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_goto_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [sym_integer] = ACTIONS(1448),
    [aux_sym_return_statement_token1] = ACTIONS(1448),
    [aux_sym_throw_expression_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token2] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token2] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token2] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token2] = ACTIONS(1448),
    [aux_sym_else_if_clause_token1] = ACTIONS(1448),
    [aux_sym_else_clause_token1] = ACTIONS(1448),
    [aux_sym_match_expression_token1] = ACTIONS(1448),
    [aux_sym_match_default_expression_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_block_token1] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [aux_sym_clone_expression_token1] = ACTIONS(1448),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1448),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [aux_sym__list_destructing_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_self] = ACTIONS(1448),
    [anon_sym_parent] = ACTIONS(1448),
    [aux_sym__argument_name_token1] = ACTIONS(1448),
    [aux_sym__argument_name_token2] = ACTIONS(1448),
    [anon_sym_POUND_LBRACK] = ACTIONS(1446),
    [aux_sym_encapsed_string_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_LT_LT_LT] = ACTIONS(1446),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1446),
    [aux_sym_yield_expression_token1] = ACTIONS(1448),
    [aux_sym_include_expression_token1] = ACTIONS(1448),
    [aux_sym_include_once_expression_token1] = ACTIONS(1448),
    [aux_sym_require_expression_token1] = ACTIONS(1448),
    [aux_sym_require_once_expression_token1] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_name] = ACTIONS(1452),
    [anon_sym_QMARK_GT] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1452),
    [aux_sym_global_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_definition_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [aux_sym_trait_declaration_token1] = ACTIONS(1452),
    [aux_sym_interface_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_case_token1] = ACTIONS(1452),
    [aux_sym_class_declaration_token1] = ACTIONS(1452),
    [aux_sym_final_modifier_token1] = ACTIONS(1452),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1452),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1452),
    [sym_var_modifier] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1452),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_cast_type_token1] = ACTIONS(1452),
    [aux_sym_echo_statement_token1] = ACTIONS(1452),
    [aux_sym_exit_statement_token1] = ACTIONS(1452),
    [anon_sym_unset] = ACTIONS(1452),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [aux_sym_declare_statement_token2] = ACTIONS(1452),
    [sym_float] = ACTIONS(1452),
    [aux_sym_try_statement_token1] = ACTIONS(1452),
    [aux_sym_goto_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [sym_integer] = ACTIONS(1452),
    [aux_sym_return_statement_token1] = ACTIONS(1452),
    [aux_sym_throw_expression_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token2] = ACTIONS(1452),
    [aux_sym_do_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token2] = ACTIONS(1452),
    [aux_sym_foreach_statement_token1] = ACTIONS(1452),
    [aux_sym_foreach_statement_token2] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token2] = ACTIONS(1452),
    [aux_sym_else_if_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1452),
    [aux_sym_match_expression_token1] = ACTIONS(1452),
    [aux_sym_match_default_expression_token1] = ACTIONS(1452),
    [aux_sym_switch_statement_token1] = ACTIONS(1452),
    [aux_sym_switch_block_token1] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [aux_sym_clone_expression_token1] = ACTIONS(1452),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1452),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [aux_sym__list_destructing_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_self] = ACTIONS(1452),
    [anon_sym_parent] = ACTIONS(1452),
    [aux_sym__argument_name_token1] = ACTIONS(1452),
    [aux_sym__argument_name_token2] = ACTIONS(1452),
    [anon_sym_POUND_LBRACK] = ACTIONS(1450),
    [aux_sym_encapsed_string_token1] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_string_token1] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_LT_LT_LT] = ACTIONS(1450),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [aux_sym_yield_expression_token1] = ACTIONS(1452),
    [aux_sym_include_expression_token1] = ACTIONS(1452),
    [aux_sym_include_once_expression_token1] = ACTIONS(1452),
    [aux_sym_require_expression_token1] = ACTIONS(1452),
    [aux_sym_require_once_expression_token1] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1062),
    [sym_name] = ACTIONS(1064),
    [anon_sym_QMARK_GT] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1062),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1064),
    [aux_sym_global_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_definition_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1064),
    [anon_sym_BSLASH] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1062),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [aux_sym_trait_declaration_token1] = ACTIONS(1064),
    [aux_sym_interface_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_case_token1] = ACTIONS(1064),
    [aux_sym_class_declaration_token1] = ACTIONS(1064),
    [aux_sym_final_modifier_token1] = ACTIONS(1064),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1064),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1064),
    [sym_var_modifier] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1064),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1064),
    [aux_sym_echo_statement_token1] = ACTIONS(1064),
    [aux_sym_exit_statement_token1] = ACTIONS(1064),
    [anon_sym_unset] = ACTIONS(1064),
    [aux_sym_declare_statement_token1] = ACTIONS(1064),
    [aux_sym_declare_statement_token2] = ACTIONS(1064),
    [sym_float] = ACTIONS(1064),
    [aux_sym_try_statement_token1] = ACTIONS(1064),
    [aux_sym_goto_statement_token1] = ACTIONS(1064),
    [aux_sym_continue_statement_token1] = ACTIONS(1064),
    [aux_sym_break_statement_token1] = ACTIONS(1064),
    [sym_integer] = ACTIONS(1064),
    [aux_sym_return_statement_token1] = ACTIONS(1064),
    [aux_sym_throw_expression_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token2] = ACTIONS(1064),
    [aux_sym_do_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token2] = ACTIONS(1064),
    [aux_sym_foreach_statement_token1] = ACTIONS(1064),
    [aux_sym_foreach_statement_token2] = ACTIONS(1064),
    [aux_sym_if_statement_token1] = ACTIONS(1064),
    [aux_sym_if_statement_token2] = ACTIONS(1064),
    [aux_sym_else_if_clause_token1] = ACTIONS(1064),
    [aux_sym_else_clause_token1] = ACTIONS(1064),
    [aux_sym_match_expression_token1] = ACTIONS(1064),
    [aux_sym_match_default_expression_token1] = ACTIONS(1064),
    [aux_sym_switch_statement_token1] = ACTIONS(1064),
    [aux_sym_switch_block_token1] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1062),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [aux_sym_clone_expression_token1] = ACTIONS(1064),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1064),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1064),
    [anon_sym_DASH_DASH] = ACTIONS(1062),
    [anon_sym_PLUS_PLUS] = ACTIONS(1062),
    [aux_sym__list_destructing_token1] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(1064),
    [anon_sym_parent] = ACTIONS(1064),
    [aux_sym__argument_name_token1] = ACTIONS(1064),
    [aux_sym__argument_name_token2] = ACTIONS(1064),
    [anon_sym_POUND_LBRACK] = ACTIONS(1062),
    [aux_sym_encapsed_string_token1] = ACTIONS(1062),
    [anon_sym_DQUOTE] = ACTIONS(1062),
    [aux_sym_string_token1] = ACTIONS(1062),
    [anon_sym_SQUOTE] = ACTIONS(1062),
    [anon_sym_LT_LT_LT] = ACTIONS(1062),
    [anon_sym_BQUOTE] = ACTIONS(1062),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [aux_sym_yield_expression_token1] = ACTIONS(1064),
    [aux_sym_include_expression_token1] = ACTIONS(1064),
    [aux_sym_include_once_expression_token1] = ACTIONS(1064),
    [aux_sym_require_expression_token1] = ACTIONS(1064),
    [aux_sym_require_once_expression_token1] = ACTIONS(1064),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [sym_var_modifier] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [aux_sym_exit_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [aux_sym__argument_name_token1] = ACTIONS(1456),
    [aux_sym__argument_name_token2] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [sym_var_modifier] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [aux_sym_exit_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [aux_sym__argument_name_token1] = ACTIONS(1456),
    [aux_sym__argument_name_token2] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [sym_var_modifier] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [aux_sym_exit_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [aux_sym__argument_name_token1] = ACTIONS(1460),
    [aux_sym__argument_name_token2] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [sym_var_modifier] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [aux_sym_exit_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_name] = ACTIONS(1464),
    [anon_sym_QMARK_GT] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1464),
    [aux_sym_global_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_definition_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [aux_sym_trait_declaration_token1] = ACTIONS(1464),
    [aux_sym_interface_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_case_token1] = ACTIONS(1464),
    [aux_sym_class_declaration_token1] = ACTIONS(1464),
    [aux_sym_final_modifier_token1] = ACTIONS(1464),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1464),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1464),
    [sym_var_modifier] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1464),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_cast_type_token1] = ACTIONS(1464),
    [aux_sym_echo_statement_token1] = ACTIONS(1464),
    [aux_sym_exit_statement_token1] = ACTIONS(1464),
    [anon_sym_unset] = ACTIONS(1464),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [aux_sym_declare_statement_token2] = ACTIONS(1464),
    [sym_float] = ACTIONS(1464),
    [aux_sym_try_statement_token1] = ACTIONS(1464),
    [aux_sym_goto_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [sym_integer] = ACTIONS(1464),
    [aux_sym_return_statement_token1] = ACTIONS(1464),
    [aux_sym_throw_expression_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token2] = ACTIONS(1464),
    [aux_sym_do_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token2] = ACTIONS(1464),
    [aux_sym_foreach_statement_token1] = ACTIONS(1464),
    [aux_sym_foreach_statement_token2] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token2] = ACTIONS(1464),
    [aux_sym_else_if_clause_token1] = ACTIONS(1464),
    [aux_sym_else_clause_token1] = ACTIONS(1464),
    [aux_sym_match_expression_token1] = ACTIONS(1464),
    [aux_sym_match_default_expression_token1] = ACTIONS(1464),
    [aux_sym_switch_statement_token1] = ACTIONS(1464),
    [aux_sym_switch_block_token1] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [aux_sym_clone_expression_token1] = ACTIONS(1464),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1464),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [aux_sym__list_destructing_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_self] = ACTIONS(1464),
    [anon_sym_parent] = ACTIONS(1464),
    [aux_sym__argument_name_token1] = ACTIONS(1464),
    [aux_sym__argument_name_token2] = ACTIONS(1464),
    [anon_sym_POUND_LBRACK] = ACTIONS(1462),
    [aux_sym_encapsed_string_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_LT_LT_LT] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [aux_sym_yield_expression_token1] = ACTIONS(1464),
    [aux_sym_include_expression_token1] = ACTIONS(1464),
    [aux_sym_include_once_expression_token1] = ACTIONS(1464),
    [aux_sym_require_expression_token1] = ACTIONS(1464),
    [aux_sym_require_once_expression_token1] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [sym_var_modifier] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [aux_sym_exit_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [aux_sym__argument_name_token1] = ACTIONS(1468),
    [aux_sym__argument_name_token2] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_name] = ACTIONS(1472),
    [anon_sym_QMARK_GT] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1472),
    [aux_sym_global_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_definition_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_trait_declaration_token1] = ACTIONS(1472),
    [aux_sym_interface_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_case_token1] = ACTIONS(1472),
    [aux_sym_class_declaration_token1] = ACTIONS(1472),
    [aux_sym_final_modifier_token1] = ACTIONS(1472),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1472),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1472),
    [sym_var_modifier] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1472),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_cast_type_token1] = ACTIONS(1472),
    [aux_sym_echo_statement_token1] = ACTIONS(1472),
    [aux_sym_exit_statement_token1] = ACTIONS(1472),
    [anon_sym_unset] = ACTIONS(1472),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [aux_sym_declare_statement_token2] = ACTIONS(1472),
    [sym_float] = ACTIONS(1472),
    [aux_sym_try_statement_token1] = ACTIONS(1472),
    [aux_sym_goto_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [sym_integer] = ACTIONS(1472),
    [aux_sym_return_statement_token1] = ACTIONS(1472),
    [aux_sym_throw_expression_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token2] = ACTIONS(1472),
    [aux_sym_do_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token2] = ACTIONS(1472),
    [aux_sym_foreach_statement_token1] = ACTIONS(1472),
    [aux_sym_foreach_statement_token2] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token2] = ACTIONS(1472),
    [aux_sym_else_if_clause_token1] = ACTIONS(1472),
    [aux_sym_else_clause_token1] = ACTIONS(1472),
    [aux_sym_match_expression_token1] = ACTIONS(1472),
    [aux_sym_match_default_expression_token1] = ACTIONS(1472),
    [aux_sym_switch_statement_token1] = ACTIONS(1472),
    [aux_sym_switch_block_token1] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [aux_sym_clone_expression_token1] = ACTIONS(1472),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1472),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [aux_sym__list_destructing_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_self] = ACTIONS(1472),
    [anon_sym_parent] = ACTIONS(1472),
    [aux_sym__argument_name_token1] = ACTIONS(1472),
    [aux_sym__argument_name_token2] = ACTIONS(1472),
    [anon_sym_POUND_LBRACK] = ACTIONS(1470),
    [aux_sym_encapsed_string_token1] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_LT_LT_LT] = ACTIONS(1470),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [aux_sym_yield_expression_token1] = ACTIONS(1472),
    [aux_sym_include_expression_token1] = ACTIONS(1472),
    [aux_sym_include_once_expression_token1] = ACTIONS(1472),
    [aux_sym_require_expression_token1] = ACTIONS(1472),
    [aux_sym_require_once_expression_token1] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_name] = ACTIONS(1476),
    [anon_sym_QMARK_GT] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1476),
    [aux_sym_global_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_definition_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [aux_sym_trait_declaration_token1] = ACTIONS(1476),
    [aux_sym_interface_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_case_token1] = ACTIONS(1476),
    [aux_sym_class_declaration_token1] = ACTIONS(1476),
    [aux_sym_final_modifier_token1] = ACTIONS(1476),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1476),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1476),
    [sym_var_modifier] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1476),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_cast_type_token1] = ACTIONS(1476),
    [aux_sym_echo_statement_token1] = ACTIONS(1476),
    [aux_sym_exit_statement_token1] = ACTIONS(1476),
    [anon_sym_unset] = ACTIONS(1476),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [aux_sym_declare_statement_token2] = ACTIONS(1476),
    [sym_float] = ACTIONS(1476),
    [aux_sym_try_statement_token1] = ACTIONS(1476),
    [aux_sym_goto_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [sym_integer] = ACTIONS(1476),
    [aux_sym_return_statement_token1] = ACTIONS(1476),
    [aux_sym_throw_expression_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token2] = ACTIONS(1476),
    [aux_sym_do_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token2] = ACTIONS(1476),
    [aux_sym_foreach_statement_token1] = ACTIONS(1476),
    [aux_sym_foreach_statement_token2] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token2] = ACTIONS(1476),
    [aux_sym_else_if_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1476),
    [aux_sym_match_expression_token1] = ACTIONS(1476),
    [aux_sym_match_default_expression_token1] = ACTIONS(1476),
    [aux_sym_switch_statement_token1] = ACTIONS(1476),
    [aux_sym_switch_block_token1] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [aux_sym_clone_expression_token1] = ACTIONS(1476),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1476),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [aux_sym__list_destructing_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_self] = ACTIONS(1476),
    [anon_sym_parent] = ACTIONS(1476),
    [aux_sym__argument_name_token1] = ACTIONS(1476),
    [aux_sym__argument_name_token2] = ACTIONS(1476),
    [anon_sym_POUND_LBRACK] = ACTIONS(1474),
    [aux_sym_encapsed_string_token1] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [aux_sym_string_token1] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_LT_LT_LT] = ACTIONS(1474),
    [anon_sym_BQUOTE] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [aux_sym_yield_expression_token1] = ACTIONS(1476),
    [aux_sym_include_expression_token1] = ACTIONS(1476),
    [aux_sym_include_once_expression_token1] = ACTIONS(1476),
    [aux_sym_require_expression_token1] = ACTIONS(1476),
    [aux_sym_require_once_expression_token1] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_name] = ACTIONS(1480),
    [anon_sym_QMARK_GT] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1480),
    [aux_sym_global_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_definition_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [aux_sym_trait_declaration_token1] = ACTIONS(1480),
    [aux_sym_interface_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_case_token1] = ACTIONS(1480),
    [aux_sym_class_declaration_token1] = ACTIONS(1480),
    [aux_sym_final_modifier_token1] = ACTIONS(1480),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1480),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1480),
    [sym_var_modifier] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1480),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [aux_sym_cast_type_token1] = ACTIONS(1480),
    [aux_sym_echo_statement_token1] = ACTIONS(1480),
    [aux_sym_exit_statement_token1] = ACTIONS(1480),
    [anon_sym_unset] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_declare_statement_token2] = ACTIONS(1480),
    [sym_float] = ACTIONS(1480),
    [aux_sym_try_statement_token1] = ACTIONS(1480),
    [aux_sym_goto_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [sym_integer] = ACTIONS(1480),
    [aux_sym_return_statement_token1] = ACTIONS(1480),
    [aux_sym_throw_expression_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token2] = ACTIONS(1480),
    [aux_sym_do_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token2] = ACTIONS(1480),
    [aux_sym_foreach_statement_token1] = ACTIONS(1480),
    [aux_sym_foreach_statement_token2] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token2] = ACTIONS(1480),
    [aux_sym_else_if_clause_token1] = ACTIONS(1480),
    [aux_sym_else_clause_token1] = ACTIONS(1480),
    [aux_sym_match_expression_token1] = ACTIONS(1480),
    [aux_sym_match_default_expression_token1] = ACTIONS(1480),
    [aux_sym_switch_statement_token1] = ACTIONS(1480),
    [aux_sym_switch_block_token1] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [aux_sym_clone_expression_token1] = ACTIONS(1480),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1480),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [aux_sym__list_destructing_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_self] = ACTIONS(1480),
    [anon_sym_parent] = ACTIONS(1480),
    [aux_sym__argument_name_token1] = ACTIONS(1480),
    [aux_sym__argument_name_token2] = ACTIONS(1480),
    [anon_sym_POUND_LBRACK] = ACTIONS(1478),
    [aux_sym_encapsed_string_token1] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_string_token1] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_LT_LT_LT] = ACTIONS(1478),
    [anon_sym_BQUOTE] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [aux_sym_yield_expression_token1] = ACTIONS(1480),
    [aux_sym_include_expression_token1] = ACTIONS(1480),
    [aux_sym_include_once_expression_token1] = ACTIONS(1480),
    [aux_sym_require_expression_token1] = ACTIONS(1480),
    [aux_sym_require_once_expression_token1] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_name] = ACTIONS(1484),
    [anon_sym_QMARK_GT] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1484),
    [aux_sym_global_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_definition_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [aux_sym_trait_declaration_token1] = ACTIONS(1484),
    [aux_sym_interface_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_case_token1] = ACTIONS(1484),
    [aux_sym_class_declaration_token1] = ACTIONS(1484),
    [aux_sym_final_modifier_token1] = ACTIONS(1484),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1484),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1484),
    [sym_var_modifier] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1484),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [aux_sym_cast_type_token1] = ACTIONS(1484),
    [aux_sym_echo_statement_token1] = ACTIONS(1484),
    [aux_sym_exit_statement_token1] = ACTIONS(1484),
    [anon_sym_unset] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_declare_statement_token2] = ACTIONS(1484),
    [sym_float] = ACTIONS(1484),
    [aux_sym_try_statement_token1] = ACTIONS(1484),
    [aux_sym_goto_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [sym_integer] = ACTIONS(1484),
    [aux_sym_return_statement_token1] = ACTIONS(1484),
    [aux_sym_throw_expression_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token2] = ACTIONS(1484),
    [aux_sym_do_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token2] = ACTIONS(1484),
    [aux_sym_foreach_statement_token1] = ACTIONS(1484),
    [aux_sym_foreach_statement_token2] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token2] = ACTIONS(1484),
    [aux_sym_else_if_clause_token1] = ACTIONS(1484),
    [aux_sym_else_clause_token1] = ACTIONS(1484),
    [aux_sym_match_expression_token1] = ACTIONS(1484),
    [aux_sym_match_default_expression_token1] = ACTIONS(1484),
    [aux_sym_switch_statement_token1] = ACTIONS(1484),
    [aux_sym_switch_block_token1] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [aux_sym_clone_expression_token1] = ACTIONS(1484),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1484),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [aux_sym__list_destructing_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_self] = ACTIONS(1484),
    [anon_sym_parent] = ACTIONS(1484),
    [aux_sym__argument_name_token1] = ACTIONS(1484),
    [aux_sym__argument_name_token2] = ACTIONS(1484),
    [anon_sym_POUND_LBRACK] = ACTIONS(1482),
    [aux_sym_encapsed_string_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [aux_sym_string_token1] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_LT_LT_LT] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [aux_sym_yield_expression_token1] = ACTIONS(1484),
    [aux_sym_include_expression_token1] = ACTIONS(1484),
    [aux_sym_include_once_expression_token1] = ACTIONS(1484),
    [aux_sym_require_expression_token1] = ACTIONS(1484),
    [aux_sym_require_once_expression_token1] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [sym_var_modifier] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [aux_sym_exit_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [aux_sym__argument_name_token1] = ACTIONS(1488),
    [aux_sym__argument_name_token2] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_name] = ACTIONS(1492),
    [anon_sym_QMARK_GT] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1492),
    [aux_sym_global_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_definition_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [aux_sym_trait_declaration_token1] = ACTIONS(1492),
    [aux_sym_interface_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_case_token1] = ACTIONS(1492),
    [aux_sym_class_declaration_token1] = ACTIONS(1492),
    [aux_sym_final_modifier_token1] = ACTIONS(1492),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1492),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1492),
    [sym_var_modifier] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1492),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [aux_sym_cast_type_token1] = ACTIONS(1492),
    [aux_sym_echo_statement_token1] = ACTIONS(1492),
    [aux_sym_exit_statement_token1] = ACTIONS(1492),
    [anon_sym_unset] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_declare_statement_token2] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [aux_sym_try_statement_token1] = ACTIONS(1492),
    [aux_sym_goto_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [sym_integer] = ACTIONS(1492),
    [aux_sym_return_statement_token1] = ACTIONS(1492),
    [aux_sym_throw_expression_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token2] = ACTIONS(1492),
    [aux_sym_do_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token2] = ACTIONS(1492),
    [aux_sym_foreach_statement_token1] = ACTIONS(1492),
    [aux_sym_foreach_statement_token2] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token2] = ACTIONS(1492),
    [aux_sym_else_if_clause_token1] = ACTIONS(1492),
    [aux_sym_else_clause_token1] = ACTIONS(1492),
    [aux_sym_match_expression_token1] = ACTIONS(1492),
    [aux_sym_match_default_expression_token1] = ACTIONS(1492),
    [aux_sym_switch_statement_token1] = ACTIONS(1492),
    [aux_sym_switch_block_token1] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [aux_sym_clone_expression_token1] = ACTIONS(1492),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1492),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [aux_sym__list_destructing_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_self] = ACTIONS(1492),
    [anon_sym_parent] = ACTIONS(1492),
    [aux_sym__argument_name_token1] = ACTIONS(1492),
    [aux_sym__argument_name_token2] = ACTIONS(1492),
    [anon_sym_POUND_LBRACK] = ACTIONS(1490),
    [aux_sym_encapsed_string_token1] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_LT_LT_LT] = ACTIONS(1490),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [aux_sym_yield_expression_token1] = ACTIONS(1492),
    [aux_sym_include_expression_token1] = ACTIONS(1492),
    [aux_sym_include_once_expression_token1] = ACTIONS(1492),
    [aux_sym_require_expression_token1] = ACTIONS(1492),
    [aux_sym_require_once_expression_token1] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [sym_var_modifier] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [aux_sym_exit_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [aux_sym__argument_name_token1] = ACTIONS(1496),
    [aux_sym__argument_name_token2] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1500),
    [aux_sym_global_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_definition_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1500),
    [aux_sym_interface_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_case_token1] = ACTIONS(1500),
    [aux_sym_class_declaration_token1] = ACTIONS(1500),
    [aux_sym_final_modifier_token1] = ACTIONS(1500),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1500),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1500),
    [sym_var_modifier] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1500),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1500),
    [aux_sym_echo_statement_token1] = ACTIONS(1500),
    [aux_sym_exit_statement_token1] = ACTIONS(1500),
    [anon_sym_unset] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_declare_statement_token2] = ACTIONS(1500),
    [sym_float] = ACTIONS(1500),
    [aux_sym_try_statement_token1] = ACTIONS(1500),
    [aux_sym_goto_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [sym_integer] = ACTIONS(1500),
    [aux_sym_return_statement_token1] = ACTIONS(1500),
    [aux_sym_throw_expression_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token2] = ACTIONS(1500),
    [aux_sym_do_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token2] = ACTIONS(1500),
    [aux_sym_foreach_statement_token1] = ACTIONS(1500),
    [aux_sym_foreach_statement_token2] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token2] = ACTIONS(1500),
    [aux_sym_else_if_clause_token1] = ACTIONS(1500),
    [aux_sym_else_clause_token1] = ACTIONS(1500),
    [aux_sym_match_expression_token1] = ACTIONS(1500),
    [aux_sym_match_default_expression_token1] = ACTIONS(1500),
    [aux_sym_switch_statement_token1] = ACTIONS(1500),
    [aux_sym_switch_block_token1] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1500),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1500),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1500),
    [anon_sym_parent] = ACTIONS(1500),
    [aux_sym__argument_name_token1] = ACTIONS(1500),
    [aux_sym__argument_name_token2] = ACTIONS(1500),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1500),
    [aux_sym_include_expression_token1] = ACTIONS(1500),
    [aux_sym_include_once_expression_token1] = ACTIONS(1500),
    [aux_sym_require_expression_token1] = ACTIONS(1500),
    [aux_sym_require_once_expression_token1] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [sym_qualified_name] = STATE(705),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym__unary_expression] = STATE(963),
    [sym_unary_op_expression] = STATE(963),
    [sym_error_suppression_expression] = STATE(963),
    [sym_clone_expression] = STATE(963),
    [sym_primary_expression] = STATE(963),
    [sym_parenthesized_expression] = STATE(707),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_expression] = STATE(963),
    [sym_cast_variable] = STATE(623),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1724),
    [sym_array_creation_expression] = STATE(707),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(673),
    [sym_string] = STATE(673),
    [sym_heredoc] = STATE(673),
    [sym_nowdoc] = STATE(673),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(673),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_include_expression] = STATE(963),
    [sym_include_once_expression] = STATE(963),
    [sym__reserved_identifier] = STATE(1571),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(855),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_name] = ACTIONS(1504),
    [anon_sym_QMARK_GT] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1504),
    [aux_sym_global_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_definition_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1504),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [aux_sym_trait_declaration_token1] = ACTIONS(1504),
    [aux_sym_interface_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_case_token1] = ACTIONS(1504),
    [aux_sym_class_declaration_token1] = ACTIONS(1504),
    [aux_sym_final_modifier_token1] = ACTIONS(1504),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1504),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1504),
    [sym_var_modifier] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1504),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(1504),
    [aux_sym_echo_statement_token1] = ACTIONS(1504),
    [aux_sym_exit_statement_token1] = ACTIONS(1504),
    [anon_sym_unset] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_declare_statement_token2] = ACTIONS(1504),
    [sym_float] = ACTIONS(1504),
    [aux_sym_try_statement_token1] = ACTIONS(1504),
    [aux_sym_goto_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [sym_integer] = ACTIONS(1504),
    [aux_sym_return_statement_token1] = ACTIONS(1504),
    [aux_sym_throw_expression_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token2] = ACTIONS(1504),
    [aux_sym_do_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token2] = ACTIONS(1504),
    [aux_sym_foreach_statement_token1] = ACTIONS(1504),
    [aux_sym_foreach_statement_token2] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token2] = ACTIONS(1504),
    [aux_sym_else_if_clause_token1] = ACTIONS(1504),
    [aux_sym_else_clause_token1] = ACTIONS(1504),
    [aux_sym_match_expression_token1] = ACTIONS(1504),
    [aux_sym_match_default_expression_token1] = ACTIONS(1504),
    [aux_sym_switch_statement_token1] = ACTIONS(1504),
    [aux_sym_switch_block_token1] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [aux_sym_clone_expression_token1] = ACTIONS(1504),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1504),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [aux_sym__list_destructing_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(1504),
    [anon_sym_parent] = ACTIONS(1504),
    [aux_sym__argument_name_token1] = ACTIONS(1504),
    [aux_sym__argument_name_token2] = ACTIONS(1504),
    [anon_sym_POUND_LBRACK] = ACTIONS(1502),
    [aux_sym_encapsed_string_token1] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [aux_sym_string_token1] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_LT_LT_LT] = ACTIONS(1502),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [aux_sym_yield_expression_token1] = ACTIONS(1504),
    [aux_sym_include_expression_token1] = ACTIONS(1504),
    [aux_sym_include_once_expression_token1] = ACTIONS(1504),
    [aux_sym_require_expression_token1] = ACTIONS(1504),
    [aux_sym_require_once_expression_token1] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_name] = ACTIONS(1508),
    [anon_sym_QMARK_GT] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1508),
    [aux_sym_global_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_definition_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1508),
    [anon_sym_BSLASH] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [aux_sym_trait_declaration_token1] = ACTIONS(1508),
    [aux_sym_interface_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_case_token1] = ACTIONS(1508),
    [aux_sym_class_declaration_token1] = ACTIONS(1508),
    [aux_sym_final_modifier_token1] = ACTIONS(1508),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1508),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1508),
    [sym_var_modifier] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1508),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [aux_sym_cast_type_token1] = ACTIONS(1508),
    [aux_sym_echo_statement_token1] = ACTIONS(1508),
    [aux_sym_exit_statement_token1] = ACTIONS(1508),
    [anon_sym_unset] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_declare_statement_token2] = ACTIONS(1508),
    [sym_float] = ACTIONS(1508),
    [aux_sym_try_statement_token1] = ACTIONS(1508),
    [aux_sym_goto_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [sym_integer] = ACTIONS(1508),
    [aux_sym_return_statement_token1] = ACTIONS(1508),
    [aux_sym_throw_expression_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token2] = ACTIONS(1508),
    [aux_sym_do_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token2] = ACTIONS(1508),
    [aux_sym_foreach_statement_token1] = ACTIONS(1508),
    [aux_sym_foreach_statement_token2] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token2] = ACTIONS(1508),
    [aux_sym_else_if_clause_token1] = ACTIONS(1508),
    [aux_sym_else_clause_token1] = ACTIONS(1508),
    [aux_sym_match_expression_token1] = ACTIONS(1508),
    [aux_sym_match_default_expression_token1] = ACTIONS(1508),
    [aux_sym_switch_statement_token1] = ACTIONS(1508),
    [aux_sym_switch_block_token1] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1506),
    [aux_sym_clone_expression_token1] = ACTIONS(1508),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1508),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [aux_sym__list_destructing_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_self] = ACTIONS(1508),
    [anon_sym_parent] = ACTIONS(1508),
    [aux_sym__argument_name_token1] = ACTIONS(1508),
    [aux_sym__argument_name_token2] = ACTIONS(1508),
    [anon_sym_POUND_LBRACK] = ACTIONS(1506),
    [aux_sym_encapsed_string_token1] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [aux_sym_string_token1] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_LT_LT_LT] = ACTIONS(1506),
    [anon_sym_BQUOTE] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1506),
    [aux_sym_yield_expression_token1] = ACTIONS(1508),
    [aux_sym_include_expression_token1] = ACTIONS(1508),
    [aux_sym_include_once_expression_token1] = ACTIONS(1508),
    [aux_sym_require_expression_token1] = ACTIONS(1508),
    [aux_sym_require_once_expression_token1] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [sym_var_modifier] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [aux_sym_exit_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [aux_sym__argument_name_token1] = ACTIONS(1496),
    [aux_sym__argument_name_token2] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [sym_name] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [anon_sym_COLON] = ACTIONS(1512),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [sym_qualified_name] = STATE(683),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2458),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_primary_expression] = STATE(975),
    [sym_parenthesized_expression] = STATE(685),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_variable] = STATE(700),
    [sym_member_access_expression] = STATE(700),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_function_call_expression] = STATE(645),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2607),
    [sym_relative_scope] = STATE(2607),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(685),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(687),
    [sym_string] = STATE(687),
    [sym_heredoc] = STATE(687),
    [sym_nowdoc] = STATE(687),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(687),
    [sym_dynamic_variable_name] = STATE(645),
    [sym_variable_name] = STATE(645),
    [sym__reserved_identifier] = STATE(1553),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [sym_qualified_name] = STATE(810),
    [sym_namespace_name_as_prefix] = STATE(2564),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2242),
    [sym__arrow_function_header] = STATE(2555),
    [sym_arrow_function] = STATE(1103),
    [sym_literal] = STATE(1103),
    [sym_throw_expression] = STATE(1103),
    [sym_primary_expression] = STATE(1120),
    [sym_parenthesized_expression] = STATE(826),
    [sym_class_constant_access_expression] = STATE(911),
    [sym_print_intrinsic] = STATE(1103),
    [sym_anonymous_function_creation_expression] = STATE(1103),
    [sym_object_creation_expression] = STATE(1103),
    [sym_update_expression] = STATE(1103),
    [sym_cast_variable] = STATE(831),
    [sym_member_access_expression] = STATE(831),
    [sym_nullsafe_member_access_expression] = STATE(831),
    [sym_scoped_property_access_expression] = STATE(831),
    [sym_function_call_expression] = STATE(772),
    [sym_scoped_call_expression] = STATE(772),
    [sym__scope_resolution_qualifier] = STATE(2540),
    [sym_relative_scope] = STATE(2540),
    [sym_member_call_expression] = STATE(772),
    [sym_nullsafe_member_call_expression] = STATE(772),
    [sym_subscript_expression] = STATE(772),
    [sym__dereferencable_expression] = STATE(1660),
    [sym_array_creation_expression] = STATE(826),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1779),
    [sym_encapsed_string] = STATE(827),
    [sym_string] = STATE(827),
    [sym_heredoc] = STATE(827),
    [sym_nowdoc] = STATE(827),
    [sym_shell_command_expression] = STATE(1103),
    [sym_boolean] = STATE(1088),
    [sym_null] = STATE(1088),
    [sym__string] = STATE(827),
    [sym_dynamic_variable_name] = STATE(772),
    [sym_variable_name] = STATE(772),
    [sym__reserved_identifier] = STATE(1537),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [sym_qualified_name] = STATE(683),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2446),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_primary_expression] = STATE(975),
    [sym_parenthesized_expression] = STATE(685),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_variable] = STATE(700),
    [sym_member_access_expression] = STATE(700),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_function_call_expression] = STATE(645),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2607),
    [sym_relative_scope] = STATE(2607),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(685),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(687),
    [sym_string] = STATE(687),
    [sym_heredoc] = STATE(687),
    [sym_nowdoc] = STATE(687),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(687),
    [sym_dynamic_variable_name] = STATE(645),
    [sym_variable_name] = STATE(645),
    [sym__reserved_identifier] = STATE(1553),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [sym_qualified_name] = STATE(683),
    [sym_namespace_name_as_prefix] = STATE(2420),
    [sym_namespace_name] = STATE(2563),
    [sym_static_modifier] = STATE(2340),
    [sym__arrow_function_header] = STATE(2484),
    [sym_arrow_function] = STATE(924),
    [sym_literal] = STATE(924),
    [sym_throw_expression] = STATE(924),
    [sym_primary_expression] = STATE(975),
    [sym_parenthesized_expression] = STATE(685),
    [sym_class_constant_access_expression] = STATE(770),
    [sym_print_intrinsic] = STATE(924),
    [sym_anonymous_function_creation_expression] = STATE(924),
    [sym_object_creation_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_cast_variable] = STATE(700),
    [sym_member_access_expression] = STATE(700),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_function_call_expression] = STATE(645),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2607),
    [sym_relative_scope] = STATE(2607),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1682),
    [sym_array_creation_expression] = STATE(685),
    [sym_attribute_group] = STATE(984),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(687),
    [sym_string] = STATE(687),
    [sym_heredoc] = STATE(687),
    [sym_nowdoc] = STATE(687),
    [sym_shell_command_expression] = STATE(924),
    [sym_boolean] = STATE(957),
    [sym_null] = STATE(957),
    [sym__string] = STATE(687),
    [sym_dynamic_variable_name] = STATE(645),
    [sym_variable_name] = STATE(645),
    [sym__reserved_identifier] = STATE(1553),
    [aux_sym_attribute_list_repeat1] = STATE(984),
    [sym_name] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1526), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [70] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1532), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [140] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1536), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [210] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1540), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [280] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    ACTIONS(1546), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [353] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_arguments,
    ACTIONS(1552), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1550), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [426] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(580), 1,
      sym_arguments,
    ACTIONS(1556), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1554), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [499] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [580] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1572), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1570), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [653] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1576), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1574), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [726] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [794] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [862] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [930] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1590), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [998] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1594), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1066] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1134] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1602), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1202] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1606), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1270] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1338] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1406] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1618), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1474] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1542] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1610] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1685] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1764] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1842] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym_arguments,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1644), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1919] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(601), 1,
      sym_arguments,
    ACTIONS(1546), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1988] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(602), 1,
      sym_arguments,
    ACTIONS(1576), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1574), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2057] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1568), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2134] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(617), 1,
      sym_arguments,
    ACTIONS(1552), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1550), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2203] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1572), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1570), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2272] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2345] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(614), 1,
      sym_arguments,
    ACTIONS(1556), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1554), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2414] = 12,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1986), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2497] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym_arguments,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2574] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1594), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2638] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2702] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1590), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2766] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2838] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2902] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1540), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2966] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1536), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3030] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1648), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3108] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3172] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1532), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3236] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1606), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3300] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3378] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3442] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3506] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1654), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3582] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3660] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3724] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1526), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3788] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1602), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3852] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1618), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3916] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3980] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4044] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1568), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4115] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1644), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4186] = 10,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    STATE(1986), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4263] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1659), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4340] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4411] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4483] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4555] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1654), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4625] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1648), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4697] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1659), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4768] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1662), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1664), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [4826] = 26,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1668), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1670), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1672), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1676), 1,
      sym_var_modifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1654), 1,
      sym_variable_name,
    STATE(1835), 1,
      sym_property_element,
    STATE(1849), 1,
      sym__function_definition_header,
    STATE(1978), 1,
      sym_type,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1017), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [4929] = 26,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1668), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1670), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1672), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1676), 1,
      sym_var_modifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1654), 1,
      sym_variable_name,
    STATE(1877), 1,
      sym_property_element,
    STATE(1880), 1,
      sym__function_definition_header,
    STATE(2136), 1,
      sym_type,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1017), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5032] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(662), 1,
      sym_arguments,
    ACTIONS(1556), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5091] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5152] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(666), 1,
      sym_arguments,
    ACTIONS(1572), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5211] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_arguments,
    ACTIONS(1576), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5270] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1606), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5325] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(578), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5390] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(654), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5455] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5520] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(658), 1,
      sym_arguments,
    ACTIONS(1552), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5579] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5642] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_arguments,
    ACTIONS(1546), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5701] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(578), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5766] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(575), 1,
      sym_arguments,
    ACTIONS(1701), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1699), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5824] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(1705), 1,
      anon_sym_COMMA,
    ACTIONS(1707), 1,
      anon_sym_LPAREN,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    ACTIONS(1711), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(983), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1668), 1,
      sym_type,
    STATE(1979), 1,
      sym_reference_modifier,
    STATE(1982), 1,
      sym_variable_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1915), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1549), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5924] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(580), 1,
      sym_arguments,
    ACTIONS(1719), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1717), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5982] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6036] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6090] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1594), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6144] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6198] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(1707), 1,
      anon_sym_LPAREN,
    ACTIONS(1711), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(1721), 1,
      anon_sym_COMMA,
    ACTIONS(1723), 1,
      anon_sym_RPAREN,
    STATE(983), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1668), 1,
      sym_type,
    STATE(1979), 1,
      sym_reference_modifier,
    STATE(1982), 1,
      sym_variable_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1980), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1549), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6298] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1606), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6352] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6406] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6460] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1725), 1,
      sym_name,
    ACTIONS(1727), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2528), 1,
      sym_attribute_list,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(711), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2616), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(712), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1671), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(672), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6556] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6610] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1733), 1,
      sym_name,
    ACTIONS(1737), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1739), 1,
      anon_sym_LPAREN,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    STATE(2461), 1,
      sym_attribute_list,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(857), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2525), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1735), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(852), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1708), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(856), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6706] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6760] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6814] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6868] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6922] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6976] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7030] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7084] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7138] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7192] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(580), 1,
      sym_arguments,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7247] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7306] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1745), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1743), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7365] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7420] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(715), 1,
      sym_arguments,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7477] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(1707), 1,
      anon_sym_LPAREN,
    ACTIONS(1711), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(1747), 1,
      anon_sym_RPAREN,
    STATE(983), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1668), 1,
      sym_type,
    STATE(1979), 1,
      sym_reference_modifier,
    STATE(1982), 1,
      sym_variable_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2279), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1549), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7574] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(1707), 1,
      anon_sym_LPAREN,
    ACTIONS(1711), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      anon_sym_RPAREN,
    STATE(983), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1668), 1,
      sym_type,
    STATE(1979), 1,
      sym_reference_modifier,
    STATE(1982), 1,
      sym_variable_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2279), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1549), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7671] = 22,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1751), 1,
      sym_name,
    ACTIONS(1753), 1,
      anon_sym_RBRACE,
    STATE(699), 1,
      aux_sym_use_list_repeat1,
    STATE(1561), 1,
      sym_class_constant_access_expression,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2253), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1687), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1567), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [7762] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7821] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(579), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7876] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(576), 1,
      sym_arguments,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7931] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7986] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8045] = 24,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    STATE(2081), 1,
      sym_by_ref,
    STATE(2082), 1,
      sym__list_destructing,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1520), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1449), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8140] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8199] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(744), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8256] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1745), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1743), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8315] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1757), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8374] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(580), 1,
      sym_arguments,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8431] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_arguments,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8488] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8545] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(740), 1,
      sym_arguments,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8602] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8657] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(1707), 1,
      anon_sym_LPAREN,
    ACTIONS(1711), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    STATE(983), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1668), 1,
      sym_type,
    STATE(1979), 1,
      sym_reference_modifier,
    STATE(1982), 1,
      sym_variable_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2279), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1549), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8754] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8811] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8868] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(1707), 1,
      anon_sym_LPAREN,
    ACTIONS(1711), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    STATE(983), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1668), 1,
      sym_type,
    STATE(1979), 1,
      sym_reference_modifier,
    STATE(1982), 1,
      sym_variable_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2279), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1549), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8965] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9024] = 22,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1751), 1,
      sym_name,
    ACTIONS(1765), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      aux_sym_use_list_repeat1,
    STATE(1561), 1,
      sym_class_constant_access_expression,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2253), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1687), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1567), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9115] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1566), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9172] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9231] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(662), 1,
      sym_arguments,
    ACTIONS(1719), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1717), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9288] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(664), 1,
      sym_arguments,
    ACTIONS(1701), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1699), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9345] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(751), 1,
      sym_arguments,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9402] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9461] = 24,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    STATE(2392), 1,
      sym_by_ref,
    STATE(2395), 1,
      sym__list_destructing,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1532), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1462), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [9556] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9615] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(753), 1,
      sym_arguments,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9672] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_EQ,
    ACTIONS(1771), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1769), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1767), 30,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9729] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9788] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9847] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_LPAREN,
    STATE(926), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9906] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1782), 1,
      sym_name,
    ACTIONS(1788), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1791), 1,
      anon_sym_BSLASH,
    ACTIONS(1794), 1,
      anon_sym_RBRACE,
    ACTIONS(1796), 1,
      anon_sym_LPAREN,
    ACTIONS(1799), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1802), 1,
      anon_sym_LBRACK,
    ACTIONS(1811), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1814), 1,
      anon_sym_DOLLAR,
    STATE(713), 1,
      aux_sym_use_list_repeat1,
    STATE(1561), 1,
      sym_class_constant_access_expression,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(1805), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1808), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2253), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1785), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1687), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1567), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9997] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10049] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10101] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1590), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1819), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10155] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10207] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1823), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1821), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10259] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1827), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10311] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1831), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10363] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1835), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10415] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1839), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10467] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10519] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1843), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10571] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10623] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1847), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10675] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1851), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10727] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1855), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10779] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1859), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10831] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1863), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10883] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1867), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10935] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1608), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1606), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10989] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1873), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11041] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1877), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11093] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(1707), 1,
      anon_sym_LPAREN,
    ACTIONS(1711), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(983), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1668), 1,
      sym_type,
    STATE(1979), 1,
      sym_reference_modifier,
    STATE(1982), 1,
      sym_variable_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2279), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1549), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11187] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1881), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11239] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1769), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1767), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11291] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11343] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1885), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11395] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11447] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1889), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11499] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1893), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1891), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11551] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1897), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11603] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1594), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11655] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1901), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11707] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1510), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11759] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1905), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11811] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11863] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11915] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11967] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12019] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1913), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1911), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12071] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12123] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1917), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12175] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1921), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12227] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12279] = 23,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(735), 1,
      anon_sym_AMP,
    ACTIONS(857), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    STATE(2215), 1,
      sym__array_destructing,
    STATE(2217), 1,
      sym_by_ref,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1572), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1501), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [12371] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1925), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1923), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12423] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12475] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12527] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12579] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(796), 1,
      sym_arguments,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12634] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12687] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(603), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12748] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1044), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1042), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12799] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1048), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1046), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1929), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [12901] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1757), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12954] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13007] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13060] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13113] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13172] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13233] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(578), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13294] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13351] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    ACTIONS(1774), 1,
      anon_sym_EQ,
    ACTIONS(1769), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1767), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13406] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(805), 1,
      sym_arguments,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13461] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(795), 1,
      sym_arguments,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13516] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13577] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(782), 1,
      sym_arguments,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13632] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(804), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13687] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13737] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13787] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    ACTIONS(1935), 1,
      anon_sym_RPAREN,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1550), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1516), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [13873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1937), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [13923] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(1941), 1,
      anon_sym_COLON,
    STATE(603), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13985] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    ACTIONS(1943), 1,
      anon_sym_RPAREN,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1550), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1516), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14071] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    ACTIONS(1945), 1,
      anon_sym_RPAREN,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1550), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1516), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14157] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14207] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14257] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14307] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    ACTIONS(1947), 1,
      anon_sym_RPAREN,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1550), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1516), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14393] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1606), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14443] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(1949), 1,
      anon_sym_COLON,
    STATE(578), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14505] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14555] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14605] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14655] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14705] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14755] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14805] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14855] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(1951), 1,
      anon_sym_COLON,
    STATE(603), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14917] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14967] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1594), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15017] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15067] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15117] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(893), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1757), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15172] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(693), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1436), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15255] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(622), 1,
      sym_arguments,
    ACTIONS(1701), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1699), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15308] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15363] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15418] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(797), 1,
      sym_arguments,
    ACTIONS(1701), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1699), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15471] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1662), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15520] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1531), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1456), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15603] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15654] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15705] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1745), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1743), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15760] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(580), 1,
      sym_arguments,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15811] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1739), 1,
      anon_sym_LPAREN,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(1953), 1,
      sym_name,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(821), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2575), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1735), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(914), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1698), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(861), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15894] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(580), 1,
      sym_arguments,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15947] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16002] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_arguments,
    ACTIONS(1552), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16055] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16108] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16161] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16214] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16269] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1745), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1743), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16324] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(1955), 1,
      sym_name,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1559), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1662), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2589), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(771), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(710), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1544), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16407] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1523), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1451), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16490] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1959), 1,
      sym_name,
    ACTIONS(1961), 1,
      anon_sym_LPAREN,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1537), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1660), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2567), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(858), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(775), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1566), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16573] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16626] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_EQ,
    ACTIONS(1769), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1767), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16677] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1092), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1090), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16726] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(893), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16781] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(768), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1687), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1447), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16864] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1606), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16913] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16968] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(899), 1,
      sym_arguments,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17021] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(1955), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(768), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1559), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2486), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1662), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(688), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1544), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17104] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(1963), 1,
      sym_name,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1533), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1734), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2576), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(910), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(834), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1564), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17187] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(903), 1,
      sym_arguments,
    ACTIONS(1552), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17240] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(909), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17293] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(1967), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(698), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2569), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(769), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1720), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(701), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17376] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1571), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1550), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1516), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17459] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(880), 1,
      sym_arguments,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17512] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(893), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17567] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(579), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17618] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(576), 1,
      sym_arguments,
    ACTIONS(1552), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17669] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      anon_sym_LPAREN,
    ACTIONS(1518), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1969), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1553), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1682), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2607), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(693), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(637), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1546), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17752] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(1963), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(912), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1533), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2442), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1734), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(807), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1564), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17835] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(782), 1,
      sym_arguments,
    ACTIONS(1719), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1717), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17888] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_LPAREN,
    STATE(1107), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17943] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(1963), 1,
      sym_name,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1533), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1734), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2576), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(913), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(846), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1564), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [18026] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(1955), 1,
      sym_name,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1559), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1662), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2589), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(763), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(679), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1544), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [18109] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(614), 1,
      sym_arguments,
    ACTIONS(1719), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1717), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18162] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18217] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18272] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18323] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1062), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18372] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(886), 1,
      sym_arguments,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18425] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18480] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1835), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18528] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1590), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1819), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18578] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1847), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18626] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1855), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18674] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1897), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18722] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1510), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18770] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1769), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1767), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18818] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1608), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1606), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18868] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18916] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18964] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1881), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19012] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19060] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19108] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1901), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19156] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1925), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1923), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19204] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_EQ,
    ACTIONS(1973), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1769), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1767), 26,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19256] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19304] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1893), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1891), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19352] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19400] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1863), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19448] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1859), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19496] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1843), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19544] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1823), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1821), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19592] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1851), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19640] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19688] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19736] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1917), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19784] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1827), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19832] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19880] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19928] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19976] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20024] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1905), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20072] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1913), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1911), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20120] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_EQ,
    ACTIONS(1769), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1767), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20170] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20218] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20266] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20314] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20362] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1831), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20410] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20458] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20506] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1921), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1919), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20554] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1885), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20602] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20650] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20698] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20746] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1594), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20794] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20843] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20892] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1759), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1757), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20941] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20990] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21039] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1977), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1975), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21085] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1981), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1979), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21131] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1987), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(1985), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1983), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21179] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1991), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1989), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21225] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1985), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1983), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21271] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1995), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21317] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1999), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21363] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2003), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2001), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21409] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2007), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2005), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21455] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21501] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2011), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2009), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21547] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1819), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21593] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2015), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2013), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21639] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2019), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21685] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2023), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21731] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21777] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2031), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21823] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2035), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21869] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21915] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2043), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21961] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2047), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22007] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2051), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22053] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2055), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22099] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2059), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22145] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2063), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22191] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2067), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2065), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22237] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2071), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22283] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2075), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22329] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2079), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22375] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2083), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22421] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2087), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22467] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22513] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2091), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22559] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2095), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22605] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2099), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22651] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2103), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22697] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22743] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2107), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22789] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22835] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2111), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22881] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2115), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22927] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22973] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1745), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1743), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23019] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2119), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23065] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2123), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23111] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23157] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23203] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23249] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23295] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23341] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23387] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2151), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23433] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2155), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2153), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23479] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2159), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2157), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23525] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2163), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2161), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23571] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2167), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2165), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23617] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2171), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2169), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23663] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2175), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23709] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2179), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2177), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23755] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2183), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2181), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23801] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2187), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2185), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23847] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2191), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2189), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23893] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2195), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2193), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23939] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2199), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2197), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23985] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2203), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2201), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24031] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1062), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_POUND_LBRACK,
    STATE(981), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2207), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2205), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [24125] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1092), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1090), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24170] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(1707), 1,
      anon_sym_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(2212), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1193), 1,
      sym_visibility_modifier,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1731), 1,
      sym_type,
    STATE(2049), 1,
      sym_variable_name,
    STATE(2051), 1,
      sym_reference_modifier,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1549), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [24249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    STATE(981), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2216), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2214), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [24298] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(1688), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [24364] = 17,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 12,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [24436] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2246), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24518] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24600] = 11,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1688), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1686), 18,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [24660] = 13,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [24724] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2262), 1,
      anon_sym_EQ_GT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2197), 6,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24808] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_QMARK,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24884] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24966] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2161), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25048] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25124] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25206] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25288] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25370] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25446] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25522] = 15,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(1688), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25590] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25672] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 24,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [25722] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25804] = 16,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25874] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25950] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1688), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25996] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [26050] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26126] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1688), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26172] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26248] = 21,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [26328] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 22,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26380] = 20,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26458] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [26514] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26596] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2294), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2299), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2302), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2305), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2308), 1,
      sym_var_modifier,
    ACTIONS(2311), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2297), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    STATE(1017), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2292), 17,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [26654] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26729] = 13,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26792] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26867] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [26922] = 11,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1688), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1686), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [26981] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(1688), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27046] = 16,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27115] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27166] = 17,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [27237] = 20,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27314] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27389] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1688), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27434] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2350), 1,
      anon_sym_EQ_GT,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2197), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27517] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27592] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27641] = 15,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(1688), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27708] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27789] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27870] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27951] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2246), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28032] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28113] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2161), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2358), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2356), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [28237] = 21,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [28316] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [28369] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1688), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2360), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [28457] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28532] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28607] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28688] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28763] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28844] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2366), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2364), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [28968] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29049] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29123] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2099), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29165] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2019), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29207] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29249] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2119), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29291] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29365] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2047), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29407] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2035), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29449] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29523] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29597] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1688), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29641] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29721] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [29773] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 20,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29823] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2015), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2013), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29865] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [29919] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2003), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2001), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29961] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1991), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1989), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30003] = 11,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1688), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1686), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30061] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(1688), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30125] = 16,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30193] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2051), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30235] = 17,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 10,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [30305] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2031), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30347] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2023), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30389] = 20,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30465] = 21,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [30543] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30617] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1688), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30661] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30703] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2071), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30745] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1995), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30787] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30829] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30877] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2115), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30919] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1745), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1743), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30961] = 15,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(1688), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [31027] = 13,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31089] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31169] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31211] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2011), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2009), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31253] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2063), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31295] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1977), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1975), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31337] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2246), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31417] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2043), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31459] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2067), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2065), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31501] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2055), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31543] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1999), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31585] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2107), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31627] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31707] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31749] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1985), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1983), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31791] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(1985), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1983), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31835] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2059), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31877] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1819), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31919] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2179), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2177), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31961] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2195), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2193), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32003] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1048), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1046), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32045] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1044), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1042), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32087] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2007), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2005), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32129] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32209] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2175), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32251] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2091), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32293] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2183), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2181), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32335] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2171), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2169), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32377] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2167), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2165), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32419] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32461] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2187), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2185), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32503] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2159), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2157), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32545] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32625] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2155), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2153), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32667] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32709] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2075), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32751] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2199), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2197), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32793] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2191), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2189), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32835] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32877] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2151), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32919] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2161), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32999] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1981), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1979), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33041] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2163), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2161), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33083] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2203), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2201), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33125] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2410), 1,
      anon_sym_EQ_GT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2197), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_binary_expression_token1,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33207] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2123), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33249] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33291] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2111), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33333] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33407] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33481] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33523] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2103), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33565] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33645] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33687] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33729] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33771] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2095), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33813] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2087), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33855] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33935] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2079), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33977] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2083), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34019] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34099] = 11,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1688), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1686), 15,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34156] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_COLON,
    ACTIONS(2055), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34199] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [34252] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2282), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34331] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2276), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34410] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(1688), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34473] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2274), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34552] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34631] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 19,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34680] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_EQ_GT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2197), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34761] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2284), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34840] = 16,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34907] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2290), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34986] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2246), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35065] = 17,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 9,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [35134] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [35185] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2260), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35264] = 13,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1688), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35325] = 20,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35400] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      sym_name,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1625), 1,
      sym_type,
    STATE(1823), 1,
      sym_const_element,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__reserved_identifier,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35467] = 15,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(1688), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35532] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2161), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35611] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      sym_name,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1605), 1,
      sym_type,
    STATE(1836), 1,
      sym_const_element,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__reserved_identifier,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35678] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2268), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35757] = 21,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [35834] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      sym_name,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1609), 1,
      sym_type,
    STATE(1838), 1,
      sym_const_element,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__reserved_identifier,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35901] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_COLON,
    ACTIONS(2063), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35944] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      sym_name,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1643), 1,
      sym_type,
    STATE(1872), 1,
      sym_const_element,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2492), 1,
      sym__reserved_identifier,
    STATE(2563), 1,
      sym_namespace_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36011] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 21,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [36058] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36131] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1686), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36204] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36277] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36350] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36423] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1688), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36466] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36539] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1688), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36582] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36655] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2460), 1,
      anon_sym_EQ_GT,
    ACTIONS(2197), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36735] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36813] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2466), 1,
      anon_sym_COMMA,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36893] = 17,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(1301), 1,
      sym_readonly_modifier,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2126), 1,
      sym_variable_name,
    STATE(2168), 1,
      sym_type,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36961] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2466), 1,
      anon_sym_COMMA,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37041] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2470), 1,
      anon_sym_EQ_GT,
    ACTIONS(2197), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37121] = 24,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2472), 1,
      anon_sym_COMMA,
    ACTIONS(2474), 1,
      anon_sym_EQ_GT,
    STATE(2116), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37203] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2476), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37281] = 17,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(1309), 1,
      sym_readonly_modifier,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2067), 1,
      sym_variable_name,
    STATE(2236), 1,
      sym_type,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37349] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2478), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37427] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2480), 1,
      anon_sym_EQ_GT,
    ACTIONS(2197), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37507] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2490), 1,
      anon_sym_RBRACE,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1244), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(635), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [37578] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2502), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37655] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_SEMI,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37734] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2506), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37811] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2508), 1,
      anon_sym_RBRACE,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1249), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(635), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [37882] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37959] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2512), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38036] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38113] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2516), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38190] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2518), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38267] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2520), 1,
      anon_sym_RBRACE,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1218), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(635), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38338] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38415] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2524), 1,
      anon_sym_EQ_GT,
    ACTIONS(2526), 1,
      anon_sym_RPAREN,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38494] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2468), 1,
      anon_sym_SEMI,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38573] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38650] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38727] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2532), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38804] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2534), 1,
      anon_sym_RBRACE,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1249), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(635), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38875] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2536), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38952] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39029] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2540), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39106] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39183] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2524), 1,
      anon_sym_EQ_GT,
    ACTIONS(2544), 1,
      anon_sym_RPAREN,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39262] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2468), 1,
      anon_sym_RPAREN,
    ACTIONS(2546), 1,
      anon_sym_COMMA,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39341] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2548), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39418] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2550), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39495] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2552), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39572] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39649] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39726] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2558), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39803] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2560), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39880] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2524), 1,
      anon_sym_EQ_GT,
    ACTIONS(2562), 1,
      anon_sym_RPAREN,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39959] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2564), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40036] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40113] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2568), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40190] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2570), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40267] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2572), 1,
      anon_sym_RBRACE,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1205), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(635), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40338] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40415] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40492] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40569] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2580), 1,
      anon_sym_RBRACE,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1249), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(635), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40640] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2582), 1,
      anon_sym_RBRACE,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1241), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(635), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40711] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_PIPE,
    ACTIONS(2374), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2376), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2404), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2584), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40788] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2586), 1,
      anon_sym_RBRACE,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1249), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(635), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40859] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40936] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41013] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_GT_EQ,
    ACTIONS(2422), 1,
      anon_sym_DOT,
    ACTIONS(2426), 1,
      anon_sym_PERCENT,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2464), 1,
      anon_sym_RPAREN,
    ACTIONS(2546), 1,
      anon_sym_COMMA,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2424), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2416), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41092] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2524), 1,
      anon_sym_EQ_GT,
    ACTIONS(2592), 1,
      anon_sym_RPAREN,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41171] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2597), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2600), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2603), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2606), 1,
      anon_sym_RBRACE,
    ACTIONS(2608), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2611), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2614), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2617), 1,
      sym_var_modifier,
    ACTIONS(2623), 1,
      anon_sym_POUND_LBRACK,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2620), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1249), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(635), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [41242] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2626), 1,
      anon_sym_EQ_GT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41318] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41394] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2630), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41470] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2632), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41546] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41622] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2636), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41698] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41774] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2640), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41850] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2642), 1,
      anon_sym_COLON,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41926] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2644), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42002] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2646), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42078] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2648), 1,
      anon_sym_RPAREN,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42154] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2646), 1,
      anon_sym_RBRACK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42230] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2650), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42306] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2652), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42382] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2654), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42458] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2656), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42534] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2658), 1,
      anon_sym_EQ_GT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42610] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2660), 1,
      anon_sym_COLON,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42686] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42762] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2664), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42838] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2666), 1,
      anon_sym_COLON,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42914] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42990] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2670), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43066] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2672), 1,
      anon_sym_COLON,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43142] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2674), 1,
      anon_sym_RBRACK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43218] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2676), 1,
      anon_sym_RPAREN,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43294] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43370] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2678), 1,
      anon_sym_EQ_GT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43446] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43522] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43598] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2670), 1,
      anon_sym_RBRACK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43674] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2684), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43750] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43826] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2690), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2688), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [43864] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2692), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43940] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2694), 1,
      anon_sym_RBRACK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44016] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2696), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44092] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2698), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44168] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44244] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44320] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44396] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44472] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44548] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2708), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44624] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44700] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44776] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2714), 1,
      anon_sym_RPAREN,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44852] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44928] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45004] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45080] = 15,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1998), 1,
      sym_variable_name,
    STATE(2349), 1,
      sym_type,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45142] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2722), 1,
      anon_sym_RPAREN,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45218] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2724), 1,
      anon_sym_RBRACK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45294] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45370] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2726), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45446] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45522] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2730), 1,
      anon_sym_RPAREN,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45598] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45674] = 15,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2111), 1,
      sym_variable_name,
    STATE(2185), 1,
      sym_type,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45736] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2734), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45812] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45888] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45964] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2740), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46040] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2322), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2328), 1,
      anon_sym_CARET,
    ACTIONS(2336), 1,
      anon_sym_GT_EQ,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2738), 1,
      anon_sym_RBRACK,
    ACTIONS(2318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2342), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2334), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2332), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46116] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2742), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46192] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2744), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46268] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46344] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2748), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46420] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2750), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46496] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_GT_EQ,
    ACTIONS(2234), 1,
      anon_sym_DOT,
    ACTIONS(2238), 1,
      anon_sym_PERCENT,
    ACTIONS(2240), 1,
      anon_sym_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2252), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2254), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2256), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2258), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2236), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46572] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2757), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2760), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    ACTIONS(2765), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2768), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2771), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2774), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2777), 1,
      sym_var_modifier,
    ACTIONS(2783), 1,
      anon_sym_POUND_LBRACK,
    STATE(1357), 1,
      sym_attribute_list,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2780), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1360), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46637] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2786), 1,
      anon_sym_RBRACE,
    ACTIONS(2788), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2790), 1,
      sym_var_modifier,
    STATE(1357), 1,
      sym_attribute_list,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1328), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1360), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46702] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2794), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2792), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46739] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2798), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2796), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46776] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2802), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2800), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46813] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2806), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2804), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46850] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2788), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2790), 1,
      sym_var_modifier,
    ACTIONS(2808), 1,
      anon_sym_RBRACE,
    STATE(1357), 1,
      sym_attribute_list,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1360), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46915] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2788), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2790), 1,
      sym_var_modifier,
    ACTIONS(2810), 1,
      anon_sym_RBRACE,
    STATE(1357), 1,
      sym_attribute_list,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1360), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46980] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2788), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2790), 1,
      sym_var_modifier,
    ACTIONS(2812), 1,
      anon_sym_RBRACE,
    STATE(1357), 1,
      sym_attribute_list,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(984), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1360), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47045] = 14,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2814), 1,
      sym_bottom_type,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2267), 1,
      sym_type,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1492), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1419), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47104] = 14,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_name,
    ACTIONS(2820), 1,
      anon_sym_LPAREN,
    ACTIONS(2822), 1,
      anon_sym_QMARK,
    ACTIONS(2824), 1,
      sym_bottom_type,
    STATE(1657), 1,
      sym_qualified_name,
    STATE(1977), 1,
      sym_type,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1899), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2818), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47163] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_name,
    ACTIONS(2822), 1,
      anon_sym_QMARK,
    ACTIONS(2826), 1,
      anon_sym_LPAREN,
    STATE(1657), 1,
      sym_qualified_name,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1840), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2818), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47211] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1437), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47259] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2600), 1,
      sym_intersection_type,
    STATE(1988), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47307] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2546), 1,
      sym_intersection_type,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1988), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47355] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1448), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47403] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2425), 1,
      sym_intersection_type,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1988), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47451] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1437), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47499] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_name,
    ACTIONS(2822), 1,
      anon_sym_QMARK,
    ACTIONS(2826), 1,
      anon_sym_LPAREN,
    STATE(1657), 1,
      sym_qualified_name,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1782), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2818), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47547] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2612), 1,
      sym_intersection_type,
    STATE(1988), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47595] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2456), 1,
      sym_intersection_type,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1988), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47643] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1448), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47691] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_name,
    ACTIONS(2822), 1,
      anon_sym_QMARK,
    STATE(1657), 1,
      sym_qualified_name,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1842), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2818), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47736] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1439), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47781] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1438), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47826] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1438), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47871] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_name,
    ACTIONS(2822), 1,
      anon_sym_QMARK,
    STATE(1657), 1,
      sym_qualified_name,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1785), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2818), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47916] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1713), 1,
      anon_sym_QMARK,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1439), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47961] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    ACTIONS(1869), 1,
      anon_sym_COLON_COLON,
    STATE(1747), 1,
      sym_variable_name,
    STATE(1754), 1,
      sym_static_variable_declaration,
    ACTIONS(1606), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2690), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [47998] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    ACTIONS(1869), 1,
      anon_sym_COLON_COLON,
    STATE(1747), 1,
      sym_variable_name,
    STATE(1805), 1,
      sym_static_variable_declaration,
    ACTIONS(1606), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2690), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [48035] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2434), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1426), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48075] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_name,
    STATE(1657), 1,
      sym_qualified_name,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1661), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2818), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48115] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2830), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2832), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2834), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2836), 1,
      sym_var_modifier,
    ACTIONS(2838), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1429), 1,
      sym_static_modifier,
    STATE(2413), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1366), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48165] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1426), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48205] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2830), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2838), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2840), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2842), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2844), 1,
      sym_var_modifier,
    STATE(1429), 1,
      sym_static_modifier,
    STATE(2276), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1364), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48255] = 12,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2846), 1,
      sym_var_modifier,
    STATE(1395), 1,
      sym__const_declaration,
    STATE(1874), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(634), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48300] = 11,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2848), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2850), 1,
      sym_var_modifier,
    STATE(1874), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1358), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48342] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2852), 1,
      sym_var_modifier,
    STATE(1849), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1017), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48381] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2852), 1,
      sym_var_modifier,
    ACTIONS(2854), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2856), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1017), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48420] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2852), 1,
      sym_var_modifier,
    STATE(1880), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1017), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48459] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2852), 1,
      sym_var_modifier,
    ACTIONS(2858), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2860), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1017), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48498] = 10,
    ACTIONS(585), 1,
      sym_integer,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2862), 1,
      sym_float,
    ACTIONS(2864), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2866), 1,
      aux_sym__argument_name_token2,
    STATE(2580), 1,
      sym_literal,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(957), 7,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym_boolean,
      sym_null,
      sym__string,
  [48537] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2852), 1,
      sym_var_modifier,
    ACTIONS(2858), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1017), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48573] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2852), 1,
      sym_var_modifier,
    ACTIONS(2868), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1017), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48609] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2870), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1794), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [48633] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2852), 1,
      sym_var_modifier,
    ACTIONS(2872), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1017), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48669] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_LBRACE,
    ACTIONS(2878), 1,
      anon_sym_BSLASHu,
    ACTIONS(2880), 1,
      sym__new_line,
    ACTIONS(2883), 1,
      anon_sym_DOLLAR,
    ACTIONS(2885), 1,
      sym_heredoc_end,
    STATE(1368), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1552), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2876), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1370), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48708] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_LBRACE,
    ACTIONS(2893), 1,
      anon_sym_BSLASHu,
    ACTIONS(2896), 1,
      sym__new_line,
    ACTIONS(2899), 1,
      anon_sym_DOLLAR,
    ACTIONS(2902), 1,
      sym_heredoc_end,
    STATE(1368), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1552), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2890), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1370), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48747] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2904), 1,
      anon_sym_LBRACE,
    ACTIONS(2910), 1,
      anon_sym_BSLASHu,
    ACTIONS(2915), 1,
      anon_sym_DOLLAR,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1552), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2907), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2913), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1369), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48781] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_LBRACE,
    ACTIONS(2883), 1,
      anon_sym_DOLLAR,
    ACTIONS(2920), 1,
      anon_sym_BSLASHu,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1552), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2918), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2922), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1369), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48995] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_LBRACE,
    ACTIONS(2883), 1,
      anon_sym_DOLLAR,
    ACTIONS(2920), 1,
      anon_sym_BSLASHu,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1552), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2902), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2918), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1369), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [49029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49149] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_LBRACE,
    ACTIONS(2878), 1,
      anon_sym_BSLASHu,
    ACTIONS(2883), 1,
      anon_sym_DOLLAR,
    ACTIONS(2946), 1,
      sym__new_line,
    STATE(1367), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1552), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2876), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1370), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [49185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49205] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_LBRACE,
    ACTIONS(2954), 1,
      anon_sym_BSLASHu,
    ACTIONS(2956), 1,
      anon_sym_BQUOTE,
    ACTIONS(2958), 1,
      anon_sym_DOLLAR,
    STATE(1476), 1,
      sym_variable_name,
    STATE(1594), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2952), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1418), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49257] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      anon_sym_DOLLAR,
    ACTIONS(2964), 1,
      anon_sym_BSLASHu,
    ACTIONS(2966), 1,
      anon_sym_BQUOTE,
    STATE(1476), 1,
      sym_variable_name,
    STATE(1594), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2962), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1392), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49290] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2974), 1,
      anon_sym_BSLASHu,
    ACTIONS(2977), 1,
      anon_sym_BQUOTE,
    ACTIONS(2979), 1,
      anon_sym_DOLLAR,
    STATE(1476), 1,
      sym_variable_name,
    STATE(1594), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2971), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1392), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2982), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49342] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_LBRACE,
    ACTIONS(2988), 1,
      anon_sym_BSLASHu,
    ACTIONS(2990), 1,
      anon_sym_DQUOTE,
    ACTIONS(2992), 1,
      anon_sym_DOLLAR,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1616), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2986), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1416), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3000), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49470] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3004), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3006), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3010), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49533] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3014), 1,
      anon_sym_BSLASHu,
    ACTIONS(3016), 1,
      anon_sym_DQUOTE,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1616), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3012), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1406), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3018), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49604] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASHu,
    ACTIONS(3031), 1,
      anon_sym_DQUOTE,
    ACTIONS(3033), 1,
      anon_sym_DOLLAR,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1616), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3025), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1406), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3038), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3040), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3042), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3044), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49732] = 10,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3052), 1,
      anon_sym_BSLASH,
    STATE(1808), 1,
      sym_namespace_use_clause,
    STATE(2527), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3050), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1680), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49786] = 10,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3058), 1,
      anon_sym_BSLASH,
    STATE(1833), 1,
      sym_namespace_use_clause,
    STATE(2510), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3056), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1680), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49821] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      anon_sym_BSLASHu,
    ACTIONS(3064), 1,
      anon_sym_DQUOTE,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1616), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3060), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1403), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49854] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3014), 1,
      anon_sym_BSLASHu,
    ACTIONS(3066), 1,
      anon_sym_DQUOTE,
    STATE(1504), 1,
      sym_variable_name,
    STATE(1616), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3012), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1406), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49887] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      anon_sym_DOLLAR,
    ACTIONS(3070), 1,
      anon_sym_BSLASHu,
    ACTIONS(3072), 1,
      anon_sym_BQUOTE,
    STATE(1476), 1,
      sym_variable_name,
    STATE(1594), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3068), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1391), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49920] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      anon_sym_DOLLAR,
    ACTIONS(2964), 1,
      anon_sym_BSLASHu,
    ACTIONS(3074), 1,
      anon_sym_BQUOTE,
    STATE(1476), 1,
      sym_variable_name,
    STATE(1594), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2962), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1392), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49953] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_AMP,
    ACTIONS(3088), 1,
      anon_sym_PIPE,
    STATE(1452), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1465), 1,
      aux_sym_union_type_repeat1,
    STATE(1484), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3083), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3076), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [49983] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3092), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3094), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3090), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50005] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    ACTIONS(3098), 1,
      anon_sym_RBRACK,
    STATE(2254), 1,
      sym_attribute,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1814), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50039] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3100), 1,
      anon_sym_LBRACE,
    ACTIONS(3104), 1,
      anon_sym_BSLASHu,
    ACTIONS(3106), 1,
      anon_sym_DOLLAR,
    STATE(1440), 1,
      sym_variable_name,
    STATE(1552), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3102), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1380), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [50069] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    ACTIONS(3108), 1,
      anon_sym_RBRACK,
    STATE(2254), 1,
      sym_attribute,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1814), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50103] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    STATE(2254), 1,
      sym_attribute,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1814), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50134] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    STATE(1956), 1,
      sym_attribute,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1814), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50165] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3110), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3112), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50184] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3004), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3006), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50203] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3114), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2216), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [50228] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3116), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3118), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3090), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50249] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2246), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [50274] = 9,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3122), 1,
      anon_sym_BSLASH,
    STATE(1855), 1,
      sym_namespace_use_clause,
    STATE(2536), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1680), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50305] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    STATE(2091), 1,
      sym_namespace_use_clause,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1680), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50336] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1949), 1,
      anon_sym_COLON,
    ACTIONS(2690), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1606), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50359] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3124), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3126), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50378] = 9,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_BSLASH,
    STATE(1873), 1,
      sym_namespace_use_clause,
    STATE(2435), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1680), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50409] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1568), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50431] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3130), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3133), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50449] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3136), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3138), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50467] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3140), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3142), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [50485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3146), 1,
      anon_sym_DASH_GT,
    ACTIONS(3148), 1,
      anon_sym_LBRACK,
    ACTIONS(3152), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    ACTIONS(3144), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3150), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [50509] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3154), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1896), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50537] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3156), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1963), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50565] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(3158), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(578), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1588), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [50609] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3160), 1,
      sym_name,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1744), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50637] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3162), 1,
      anon_sym_AMP,
    STATE(1446), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3140), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3142), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [50659] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1757), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50681] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3165), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3167), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50699] = 7,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1958), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50725] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3171), 1,
      sym_name,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_namespace_name_as_prefix,
    STATE(1648), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50753] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3173), 1,
      anon_sym_COMMA,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(1948), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50779] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_AMP,
    STATE(1446), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3177), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3179), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [50801] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2690), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1606), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50821] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3181), 1,
      sym_name,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(1847), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50849] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3183), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3185), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50867] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3187), 1,
      anon_sym_COMMA,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(2030), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50893] = 6,
    ACTIONS(1518), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3191), 1,
      sym_name,
    ACTIONS(3195), 1,
      anon_sym_LBRACE,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(644), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50916] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(893), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50939] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(2558), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50960] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3197), 1,
      sym_name,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1560), 1,
      sym_reference_modifier,
    STATE(1627), 1,
      sym_formal_parameters,
    STATE(2270), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50987] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(654), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51010] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(3201), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51031] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(3203), 1,
      sym_name,
    ACTIONS(3205), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(848), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51054] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(3207), 1,
      sym_name,
    ACTIONS(3209), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym__reserved_identifier,
    STATE(675), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51079] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    STATE(1497), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3213), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3211), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51100] = 7,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3217), 1,
      sym_name,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym__reserved_identifier,
    STATE(571), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51125] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(3221), 1,
      sym_name,
    ACTIONS(3223), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(681), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51148] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3225), 1,
      sym_name,
    ACTIONS(3227), 1,
      anon_sym_LBRACE,
    STATE(855), 1,
      sym__reserved_identifier,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51173] = 6,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_name,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(570), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51196] = 6,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_name,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(569), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51219] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(3217), 1,
      sym_name,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym__reserved_identifier,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51244] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(3237), 1,
      sym_name,
    ACTIONS(3239), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(690), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51267] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(3241), 1,
      sym_name,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(691), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51290] = 7,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3245), 1,
      sym_name,
    ACTIONS(3247), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      sym__reserved_identifier,
    STATE(1543), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51315] = 6,
    ACTIONS(1518), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3249), 1,
      sym_name,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    ACTIONS(3193), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(646), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51338] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_BSLASHu,
    ACTIONS(3253), 1,
      anon_sym_DASH_GT,
    ACTIONS(3255), 1,
      anon_sym_LBRACK,
    ACTIONS(3257), 1,
      sym_execution_string_chars_after_variable,
    ACTIONS(3150), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [51361] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_PIPE,
    STATE(1508), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3261), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3259), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51382] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3197), 1,
      sym_name,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1535), 1,
      sym_reference_modifier,
    STATE(1644), 1,
      sym_formal_parameters,
    STATE(2270), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51409] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51432] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(2570), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51453] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(3217), 1,
      sym_name,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym__reserved_identifier,
    STATE(689), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51478] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_BSLASHu,
    ACTIONS(1586), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [51495] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(3265), 1,
      sym_name,
    ACTIONS(3267), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(680), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51518] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_PIPE,
    STATE(1493), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3271), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3269), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51539] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(3273), 1,
      sym_name,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(823), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51562] = 7,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3277), 1,
      sym_name,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1556), 1,
      sym__reserved_identifier,
    STATE(780), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51587] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51610] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(3281), 1,
      sym_name,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(822), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51633] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(3285), 1,
      sym_name,
    ACTIONS(3287), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(842), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51656] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(3289), 1,
      sym_name,
    ACTIONS(3291), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(841), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51679] = 7,
    ACTIONS(1518), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3293), 1,
      sym_name,
    ACTIONS(3295), 1,
      anon_sym_LBRACE,
    STATE(702), 1,
      sym__reserved_identifier,
    STATE(636), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51704] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3297), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3299), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [51721] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_PIPE,
    STATE(1493), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3167), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3165), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51742] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(3304), 1,
      sym_name,
    ACTIONS(3306), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(847), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51765] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(3308), 1,
      sym_name,
    ACTIONS(3310), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(686), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51788] = 7,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3207), 1,
      sym_name,
    ACTIONS(3209), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym__reserved_identifier,
    STATE(1573), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51813] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_PIPE,
    STATE(1497), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3138), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3136), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51834] = 7,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3315), 1,
      sym_name,
    ACTIONS(3317), 1,
      anon_sym_LBRACE,
    STATE(851), 1,
      sym__reserved_identifier,
    STATE(780), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51859] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(3245), 1,
      sym_name,
    ACTIONS(3247), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      sym__reserved_identifier,
    STATE(838), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51884] = 6,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_name,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3319), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(570), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51907] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(3321), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51928] = 6,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_name,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    ACTIONS(3319), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(569), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51951] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1949), 1,
      anon_sym_COLON,
    ACTIONS(1606), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51970] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_BSLASHu,
    ACTIONS(3323), 1,
      anon_sym_DASH_GT,
    ACTIONS(3325), 1,
      anon_sym_LBRACK,
    ACTIONS(3327), 1,
      sym_encapsed_string_chars_after_variable,
    ACTIONS(3150), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [51993] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(3329), 1,
      anon_sym_EQ,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3006), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3004), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [52016] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(3331), 1,
      sym_name,
    ACTIONS(3333), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(692), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52039] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_BSLASHu,
    ACTIONS(1586), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52056] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_PIPE,
    STATE(1493), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3337), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3335), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [52077] = 6,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      sym_name,
    ACTIONS(3343), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(592), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52100] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(2590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52121] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(2588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52142] = 6,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3345), 1,
      sym_name,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(595), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52165] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(3217), 1,
      sym_name,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym__reserved_identifier,
    STATE(671), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52190] = 6,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3349), 1,
      sym_name,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(781), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52213] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(578), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52236] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(3355), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52257] = 6,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3357), 1,
      sym_name,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(777), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52280] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(3217), 1,
      sym_name,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym__reserved_identifier,
    STATE(818), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52305] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    STATE(1659), 1,
      aux_sym_union_type_repeat1,
    STATE(1664), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1693), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3083), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [52329] = 5,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    STATE(1958), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52349] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1131), 1,
      sym_declaration_list,
    STATE(1637), 1,
      sym_arguments,
    STATE(1770), 1,
      sym_base_clause,
    STATE(2285), 1,
      sym_class_interface_clause,
  [52377] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1107), 1,
      sym_declaration_list,
    STATE(1586), 1,
      sym_arguments,
    STATE(1767), 1,
      sym_base_clause,
    STATE(2332), 1,
      sym_class_interface_clause,
  [52405] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3173), 1,
      anon_sym_COMMA,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    STATE(1948), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52425] = 6,
    ACTIONS(991), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3374), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(989), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1524), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [52447] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1851), 1,
      sym_named_type,
    STATE(2020), 1,
      sym_type_list,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
  [52475] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1851), 1,
      sym_named_type,
    STATE(2149), 1,
      sym_type_list,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
  [52503] = 6,
    ACTIONS(983), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3379), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(981), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1524), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [52525] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_declaration_list,
    STATE(1618), 1,
      sym_arguments,
    STATE(1845), 1,
      sym_base_clause,
    STATE(2313), 1,
      sym_class_interface_clause,
  [52553] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_declaration_list,
    STATE(1649), 1,
      sym_arguments,
    STATE(1881), 1,
      sym_base_clause,
    STATE(2159), 1,
      sym_class_interface_clause,
  [52581] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1371), 1,
      sym_use_list,
    STATE(1610), 1,
      aux_sym_base_clause_repeat1,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3383), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52607] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_COMMA,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    STATE(2030), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52627] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3201), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52642] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(893), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52659] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1939), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(1937), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [52674] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1619), 1,
      sym_formal_parameters,
    STATE(2383), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3393), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52710] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52727] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    STATE(1427), 1,
      sym_qualified_name,
    STATE(1914), 1,
      sym_named_type,
    STATE(2420), 1,
      sym_namespace_name_as_prefix,
    STATE(2563), 1,
      sym_namespace_name,
  [52752] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3397), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3400), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3395), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1539), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52771] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(3405), 1,
      anon_sym_DASH,
    ACTIONS(3403), 2,
      sym_integer,
      sym_name,
    STATE(2483), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52790] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3006), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [52807] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(887), 1,
      sym_arguments,
    ACTIONS(1699), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52824] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(899), 1,
      sym_arguments,
    ACTIONS(1554), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52841] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52858] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(899), 1,
      sym_arguments,
    ACTIONS(1717), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52875] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3409), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3411), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3413), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52922] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_AMP,
    ACTIONS(3421), 1,
      anon_sym_PIPE,
    STATE(1715), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1718), 1,
      aux_sym_union_type_repeat1,
    STATE(1886), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3083), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [52945] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3355), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52960] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(3405), 1,
      anon_sym_DASH,
    ACTIONS(3423), 2,
      sym_integer,
      sym_name,
    STATE(2568), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3427), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52994] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3429), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2913), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1618), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53041] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(782), 1,
      sym_arguments,
    ACTIONS(1717), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53058] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(797), 1,
      sym_arguments,
    ACTIONS(1699), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1614), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53090] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53107] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1617), 1,
      sym_formal_parameters,
    STATE(2383), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53128] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3158), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3431), 1,
      aux_sym_use_instead_of_clause_token1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53145] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(749), 1,
      sym_arguments,
    ACTIONS(1699), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53162] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(715), 1,
      sym_arguments,
    ACTIONS(1717), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53179] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(893), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53196] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53213] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53230] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53247] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(3435), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1971), 1,
      sym_namespace_aliasing_clause,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3433), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [53268] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3437), 1,
      sym_name,
    STATE(1666), 1,
      sym_reference_modifier,
    STATE(2402), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53289] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(3405), 1,
      anon_sym_DASH,
    ACTIONS(3439), 2,
      sym_integer,
      sym_name,
    STATE(2529), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [53308] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53325] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3321), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53340] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(715), 1,
      sym_arguments,
    ACTIONS(1554), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1586), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53372] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3441), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3443), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3445), 1,
      aux_sym_else_clause_token1,
    STATE(1685), 1,
      aux_sym_if_statement_repeat2,
    STATE(1974), 1,
      sym_else_if_clause_2,
    STATE(2495), 1,
      sym_else_clause_2,
  [53394] = 7,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_compound_statement,
    STATE(1799), 1,
      sym_anonymous_function_use_clause,
    STATE(2380), 1,
      sym__return_type,
  [53416] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(2314), 1,
      sym_arguments,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3451), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [53436] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_BSLASHu,
    ACTIONS(3031), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53450] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1093), 1,
      sym_compound_statement,
    STATE(1769), 1,
      sym_anonymous_function_use_clause,
    STATE(2283), 1,
      sym__return_type,
  [53472] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3457), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3459), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3461), 1,
      aux_sym_switch_block_token1,
    STATE(1539), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53490] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3457), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3459), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    STATE(1539), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53508] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_BSLASHu,
    ACTIONS(1614), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_SQUOTE,
    ACTIONS(3467), 1,
      aux_sym_string_token2,
    ACTIONS(3469), 1,
      aux_sym_string_content_token1,
    STATE(1813), 1,
      aux_sym_string_content_repeat1,
    STATE(1620), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53542] = 7,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(941), 1,
      sym_compound_statement,
    STATE(1783), 1,
      sym_anonymous_function_use_clause,
    STATE(2312), 1,
      sym__return_type,
  [53564] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3445), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3471), 1,
      aux_sym_if_statement_token2,
    STATE(1685), 1,
      aux_sym_if_statement_repeat2,
    STATE(1974), 1,
      sym_else_if_clause_2,
    STATE(2588), 1,
      sym_else_clause_2,
  [53586] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1129), 1,
      sym_declaration_list,
    STATE(1778), 1,
      sym_base_clause,
    STATE(2288), 1,
      sym_class_interface_clause,
  [53608] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_declaration_list,
    STATE(1776), 1,
      sym_base_clause,
    STATE(2321), 1,
      sym_class_interface_clause,
  [53630] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_BSLASHu,
    ACTIONS(1618), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53644] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3457), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3459), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3475), 1,
      aux_sym_switch_block_token1,
    STATE(1580), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53662] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3457), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3459), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3477), 1,
      anon_sym_RBRACE,
    STATE(1581), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53680] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3445), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3479), 1,
      aux_sym_if_statement_token2,
    STATE(1575), 1,
      aux_sym_if_statement_repeat2,
    STATE(1974), 1,
      sym_else_if_clause_2,
    STATE(2501), 1,
      sym_else_clause_2,
  [53702] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3443), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3445), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3481), 1,
      aux_sym_if_statement_token2,
    STATE(1585), 1,
      aux_sym_if_statement_repeat2,
    STATE(1974), 1,
      sym_else_if_clause_2,
    STATE(2451), 1,
      sym_else_clause_2,
  [53724] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3391), 1,
      anon_sym_BSLASHu,
    ACTIONS(3393), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53738] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_BSLASHu,
    ACTIONS(3427), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53752] = 7,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(942), 1,
      sym_compound_statement,
    STATE(1863), 1,
      sym_anonymous_function_use_clause,
    STATE(2233), 1,
      sym__return_type,
  [53774] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3407), 1,
      anon_sym_BSLASHu,
    ACTIONS(3409), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53788] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_declaration_list,
    STATE(1807), 1,
      sym_base_clause,
    STATE(2196), 1,
      sym_class_interface_clause,
  [53810] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_BSLASHu,
    ACTIONS(3413), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53824] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1136), 1,
      sym_compound_statement,
    STATE(1753), 1,
      sym_anonymous_function_use_clause,
    STATE(2214), 1,
      sym__return_type,
  [53846] = 7,
    ACTIONS(1009), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3483), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3485), 1,
      aux_sym_else_clause_token1,
    STATE(1606), 1,
      aux_sym_if_statement_repeat1,
    STATE(1992), 1,
      sym_else_if_clause,
    STATE(1993), 1,
      sym_else_clause,
  [53868] = 7,
    ACTIONS(999), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3487), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3490), 1,
      aux_sym_else_clause_token1,
    STATE(1725), 1,
      aux_sym_if_statement_repeat1,
    STATE(1992), 1,
      sym_else_if_clause,
    STATE(2027), 1,
      sym_else_clause,
  [53890] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1677), 1,
      sym_declaration_list,
    STATE(1871), 1,
      sym_base_clause,
    STATE(2178), 1,
      sym_class_interface_clause,
  [53912] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1650), 1,
      sym_declaration_list,
    STATE(1792), 1,
      sym_base_clause,
    STATE(2354), 1,
      sym_class_interface_clause,
  [53934] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3493), 1,
      sym_name,
    STATE(2005), 1,
      sym_const_element,
    STATE(2492), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53952] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3493), 1,
      sym_name,
    STATE(1801), 1,
      sym_const_element,
    STATE(2492), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53970] = 7,
    ACTIONS(999), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3483), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3485), 1,
      aux_sym_else_clause_token1,
    STATE(1725), 1,
      aux_sym_if_statement_repeat1,
    STATE(1992), 1,
      sym_else_if_clause,
    STATE(2027), 1,
      sym_else_clause,
  [53992] = 7,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(925), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym_anonymous_function_use_clause,
    STATE(2364), 1,
      sym__return_type,
  [54014] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_declaration_list,
    STATE(1817), 1,
      sym_base_clause,
    STATE(2358), 1,
      sym_class_interface_clause,
  [54036] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3493), 1,
      sym_name,
    STATE(1830), 1,
      sym_const_element,
    STATE(2492), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54054] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1378), 1,
      sym_use_list,
    STATE(1738), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54074] = 7,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(935), 1,
      sym_compound_statement,
    STATE(1796), 1,
      sym_anonymous_function_use_clause,
    STATE(2375), 1,
      sym__return_type,
  [54096] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_BSLASHu,
    ACTIONS(1586), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54110] = 7,
    ACTIONS(1009), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3497), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3500), 1,
      aux_sym_else_clause_token1,
    STATE(1601), 1,
      aux_sym_if_statement_repeat1,
    STATE(1992), 1,
      sym_else_if_clause,
    STATE(1993), 1,
      sym_else_clause,
  [54132] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3457), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3459), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3503), 1,
      aux_sym_switch_block_token1,
    STATE(1539), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54150] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    STATE(1848), 1,
      aux_sym_base_clause_repeat1,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3507), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [54170] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_BSLASHu,
    ACTIONS(3427), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54184] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1059), 1,
      sym_compound_statement,
    STATE(1762), 1,
      sym_anonymous_function_use_clause,
    STATE(2277), 1,
      sym__return_type,
  [54206] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_declaration_list,
    STATE(1802), 1,
      sym_base_clause,
    STATE(2356), 1,
      sym_class_interface_clause,
  [54228] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1057), 1,
      sym_compound_statement,
    STATE(1755), 1,
      sym_anonymous_function_use_clause,
    STATE(2256), 1,
      sym__return_type,
  [54250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      aux_sym_string_content_token1,
    ACTIONS(3509), 1,
      anon_sym_SQUOTE,
    ACTIONS(3511), 1,
      aux_sym_string_token2,
    STATE(1813), 1,
      aux_sym_string_content_repeat1,
    STATE(1622), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54270] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3457), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3459), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3513), 1,
      aux_sym_switch_block_token1,
    STATE(1614), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_SQUOTE,
    ACTIONS(3517), 1,
      aux_sym_string_token2,
    ACTIONS(3520), 1,
      aux_sym_string_content_token1,
    STATE(1813), 1,
      aux_sym_string_content_repeat1,
    STATE(1622), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54308] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3457), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3459), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3523), 1,
      anon_sym_RBRACE,
    STATE(1539), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      aux_sym_string_content_token1,
    ACTIONS(3511), 1,
      aux_sym_string_token2,
    ACTIONS(3525), 1,
      anon_sym_SQUOTE,
    STATE(1813), 1,
      aux_sym_string_content_repeat1,
    STATE(1622), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54346] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3493), 1,
      sym_name,
    STATE(1865), 1,
      sym_const_element,
    STATE(2492), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      aux_sym_string_content_token1,
    ACTIONS(3527), 1,
      anon_sym_SQUOTE,
    ACTIONS(3529), 1,
      aux_sym_string_token2,
    STATE(1813), 1,
      aux_sym_string_content_repeat1,
    STATE(1624), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54384] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1141), 1,
      sym_compound_statement,
    STATE(1780), 1,
      sym_anonymous_function_use_clause,
    STATE(2203), 1,
      sym__return_type,
  [54406] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_BSLASHu,
    ACTIONS(1618), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54420] = 7,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(958), 1,
      sym_compound_statement,
    STATE(1862), 1,
      sym_anonymous_function_use_clause,
    STATE(2221), 1,
      sym__return_type,
  [54442] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1710), 1,
      sym_declaration_list,
    STATE(1740), 1,
      sym_base_clause,
    STATE(2414), 1,
      sym_class_interface_clause,
  [54464] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1101), 1,
      sym_compound_statement,
    STATE(1757), 1,
      sym_anonymous_function_use_clause,
    STATE(2272), 1,
      sym__return_type,
  [54486] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_declaration_list,
    STATE(1788), 1,
      sym_base_clause,
    STATE(2200), 1,
      sym_class_interface_clause,
  [54508] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_BSLASHu,
    ACTIONS(1614), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54522] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_BSLASHu,
    ACTIONS(1586), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54536] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1707), 1,
      sym_declaration_list,
    STATE(1825), 1,
      sym_base_clause,
    STATE(2385), 1,
      sym_class_interface_clause,
  [54558] = 7,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(950), 1,
      sym_compound_statement,
    STATE(1826), 1,
      sym_anonymous_function_use_clause,
    STATE(2377), 1,
      sym__return_type,
  [54580] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1097), 1,
      sym_declaration_list,
    STATE(1791), 1,
      sym_base_clause,
    STATE(2207), 1,
      sym_class_interface_clause,
  [54602] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3457), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3459), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3531), 1,
      anon_sym_RBRACE,
    STATE(1623), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54620] = 7,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(964), 1,
      sym_compound_statement,
    STATE(1832), 1,
      sym_anonymous_function_use_clause,
    STATE(2389), 1,
      sym__return_type,
  [54642] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3533), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [54658] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1083), 1,
      sym_compound_statement,
    STATE(1800), 1,
      sym_anonymous_function_use_clause,
    STATE(2346), 1,
      sym__return_type,
  [54680] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3391), 1,
      anon_sym_BSLASHu,
    ACTIONS(3393), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54694] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3493), 1,
      sym_name,
    STATE(1820), 1,
      sym_const_element,
    STATE(2492), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54712] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1125), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym_anonymous_function_use_clause,
    STATE(2379), 1,
      sym__return_type,
  [54734] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_BSLASHu,
    ACTIONS(3413), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54748] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3407), 1,
      anon_sym_BSLASHu,
    ACTIONS(3409), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54762] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_BSLASHu,
    ACTIONS(2977), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54776] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1371), 1,
      sym_use_list,
    STATE(1610), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3383), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54796] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(966), 1,
      sym_declaration_list,
    STATE(1846), 1,
      sym_base_clause,
    STATE(2294), 1,
      sym_class_interface_clause,
  [54818] = 4,
    ACTIONS(1068), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1066), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3537), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54833] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3539), 1,
      anon_sym_PIPE,
    STATE(1723), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3261), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54848] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(2144), 1,
      aux_sym_base_clause_repeat1,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
  [54867] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3533), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [54882] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3545), 1,
      anon_sym_EQ,
    STATE(1965), 1,
      sym_property_initializer,
    ACTIONS(3543), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [54897] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    ACTIONS(3549), 1,
      anon_sym_COLON,
    STATE(484), 1,
      sym_enum_declaration_list,
    STATE(2201), 1,
      sym_class_interface_clause,
  [54916] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3126), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [54927] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3006), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [54938] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    ACTIONS(3553), 1,
      anon_sym_COLON,
    STATE(2002), 1,
      sym_enum_declaration_list,
    STATE(2381), 1,
      sym_class_interface_clause,
  [54957] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3555), 1,
      anon_sym_PIPE,
    STATE(1679), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3213), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54972] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3557), 1,
      anon_sym_LBRACE,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3561), 1,
      anon_sym_DASH_GT,
    ACTIONS(3563), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3565), 1,
      anon_sym_LBRACK,
  [54991] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3112), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55002] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3567), 1,
      anon_sym_LBRACE,
    ACTIONS(3569), 1,
      anon_sym_DASH_GT,
    ACTIONS(3571), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3573), 1,
      anon_sym_LBRACK,
  [55021] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_COLON,
    STATE(2004), 1,
      sym__return_type,
    ACTIONS(3575), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55036] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_PIPE,
    STATE(1686), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3271), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55051] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_COLON,
    STATE(1973), 1,
      sym__return_type,
    ACTIONS(3581), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55066] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3583), 1,
      sym_name,
    STATE(2241), 1,
      sym__reserved_identifier,
    ACTIONS(2458), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55081] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3587), 1,
      anon_sym_BSLASH,
    STATE(1696), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3585), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [55096] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(3589), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2053), 1,
      sym_variable_name,
    STATE(2054), 1,
      sym_reference_modifier,
  [55115] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_PIPE,
    STATE(1719), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3261), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55130] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(2428), 1,
      anon_sym_COLON,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1595), 1,
      sym_formal_parameters,
    STATE(2355), 1,
      sym_reference_modifier,
  [55149] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3567), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      anon_sym_LBRACK,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT,
    ACTIONS(3593), 1,
      anon_sym_QMARK_DASH_GT,
  [55168] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3587), 1,
      anon_sym_BSLASH,
    STATE(1667), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3595), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [55183] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3597), 1,
      sym_name,
    ACTIONS(3599), 1,
      anon_sym_LBRACE,
    ACTIONS(3601), 1,
      anon_sym_DOLLAR,
    STATE(1588), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55200] = 5,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3603), 1,
      sym_name,
    ACTIONS(3605), 1,
      anon_sym_LBRACE,
    STATE(620), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55217] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3607), 1,
      sym_name,
    ACTIONS(3609), 1,
      anon_sym_LBRACE,
    ACTIONS(3611), 1,
      anon_sym_DOLLAR,
    STATE(1628), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55234] = 3,
    ACTIONS(1040), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1038), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55247] = 4,
    ACTIONS(1074), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1072), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55262] = 4,
    ACTIONS(1080), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1078), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3615), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55277] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3617), 1,
      anon_sym_PIPE,
    STATE(1679), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3138), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55292] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3435), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1971), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3433), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [55307] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    ACTIONS(3622), 1,
      anon_sym_DASH_GT,
    ACTIONS(3624), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3626), 1,
      anon_sym_LBRACK,
  [55326] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3628), 1,
      anon_sym_LBRACE,
    ACTIONS(3630), 1,
      anon_sym_DASH_GT,
    ACTIONS(3632), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3634), 1,
      anon_sym_LBRACK,
  [55345] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_AMP,
    STATE(1683), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3142), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55360] = 5,
    ACTIONS(1518), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3639), 1,
      sym_name,
    ACTIONS(3641), 1,
      anon_sym_LBRACE,
    STATE(667), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55377] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3645), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3648), 1,
      aux_sym_else_clause_token1,
    STATE(1685), 1,
      aux_sym_if_statement_repeat2,
    STATE(1974), 1,
      sym_else_if_clause_2,
  [55396] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3650), 1,
      anon_sym_PIPE,
    STATE(1686), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3167), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55411] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3653), 1,
      anon_sym_LBRACE,
    ACTIONS(3655), 1,
      anon_sym_DASH_GT,
    ACTIONS(3657), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3659), 1,
      anon_sym_LBRACK,
  [55430] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3661), 1,
      sym_name,
    STATE(1907), 1,
      sym_visibility_modifier,
    ACTIONS(3663), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55445] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(3665), 1,
      anon_sym_AMP,
    ACTIONS(3667), 1,
      anon_sym_RPAREN,
    STATE(2258), 2,
      sym_variable_name,
      sym_variable_reference,
  [55462] = 4,
    ACTIONS(1108), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1106), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3669), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55477] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(2428), 1,
      anon_sym_COLON,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1942), 1,
      sym_formal_parameters,
    STATE(2323), 1,
      sym_reference_modifier,
  [55496] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR,
    ACTIONS(3671), 1,
      sym_name,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(759), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55513] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_AMP,
    STATE(1683), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3179), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55528] = 3,
    ACTIONS(1032), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1030), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55541] = 3,
    ACTIONS(1036), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1034), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55554] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_BSLASH,
    STATE(1696), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3675), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [55569] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3379), 1,
      aux_sym_finally_clause_token1,
    STATE(1527), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55584] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    ACTIONS(3682), 1,
      anon_sym_DASH_GT,
    ACTIONS(3684), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3686), 1,
      anon_sym_LBRACK,
  [55603] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(3665), 1,
      anon_sym_AMP,
    ACTIONS(3688), 1,
      anon_sym_RPAREN,
    STATE(2258), 2,
      sym_variable_name,
      sym_variable_reference,
  [55620] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_DOLLAR,
    ACTIONS(3690), 1,
      sym_name,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(908), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55637] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    STATE(1934), 1,
      sym_enum_declaration_list,
    STATE(2180), 1,
      sym_class_interface_clause,
  [55656] = 4,
    ACTIONS(1058), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1056), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3696), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55671] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3698), 1,
      sym_name,
    STATE(1822), 1,
      sym_namespace_name,
    STATE(2310), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3700), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [55688] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3702), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3704), 1,
      aux_sym_finally_clause_token1,
    STATE(423), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55703] = 4,
    ACTIONS(1120), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1118), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55718] = 5,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_BSLASH,
    STATE(1926), 1,
      sym_compound_statement,
    ACTIONS(3708), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55735] = 4,
    ACTIONS(1086), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1084), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3712), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55750] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    ACTIONS(3686), 1,
      anon_sym_LBRACK,
    ACTIONS(3714), 1,
      anon_sym_DASH_GT,
    ACTIONS(3716), 1,
      anon_sym_QMARK_DASH_GT,
  [55769] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3599), 1,
      anon_sym_LBRACE,
    ACTIONS(3601), 1,
      anon_sym_DOLLAR,
    ACTIONS(3718), 1,
      sym_name,
    STATE(1588), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55786] = 4,
    ACTIONS(1096), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1094), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3720), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55801] = 4,
    ACTIONS(1114), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1112), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3722), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55816] = 5,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3724), 1,
      sym_name,
    ACTIONS(3726), 1,
      anon_sym_LBRACE,
    STATE(585), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55833] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3609), 1,
      anon_sym_LBRACE,
    ACTIONS(3611), 1,
      anon_sym_DOLLAR,
    ACTIONS(3728), 1,
      sym_name,
    STATE(1628), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55850] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3730), 1,
      sym_name,
    ACTIONS(3732), 1,
      anon_sym_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_DOLLAR,
    STATE(1555), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55867] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3539), 1,
      anon_sym_PIPE,
    STATE(1726), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3271), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55882] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3698), 1,
      sym_name,
    STATE(1822), 1,
      sym_namespace_name,
    STATE(2106), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3700), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [55899] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_LBRACE,
    ACTIONS(3734), 1,
      anon_sym_DOLLAR,
    ACTIONS(3736), 1,
      sym_name,
    STATE(1555), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55916] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_PIPE,
    STATE(1728), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3213), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55931] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_PIPE,
    STATE(1686), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3337), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55946] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3567), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      anon_sym_LBRACK,
    ACTIONS(3740), 1,
      anon_sym_DASH_GT,
    ACTIONS(3742), 1,
      anon_sym_QMARK_DASH_GT,
  [55965] = 4,
    ACTIONS(1102), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1100), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3744), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55980] = 6,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3746), 1,
      sym_name,
    ACTIONS(3748), 1,
      anon_sym_BSLASH,
    STATE(1706), 1,
      sym_namespace_name,
    STATE(1897), 1,
      sym_compound_statement,
  [55999] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3539), 1,
      anon_sym_PIPE,
    STATE(1726), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3337), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56014] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3653), 1,
      anon_sym_LBRACE,
    ACTIONS(3659), 1,
      anon_sym_LBRACK,
    ACTIONS(3750), 1,
      anon_sym_DASH_GT,
    ACTIONS(3752), 1,
      anon_sym_QMARK_DASH_GT,
  [56033] = 6,
    ACTIONS(1023), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1025), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3754), 1,
      aux_sym_else_if_clause_token1,
    STATE(1725), 1,
      aux_sym_if_statement_repeat1,
    STATE(1992), 1,
      sym_else_if_clause,
  [56052] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_PIPE,
    STATE(1726), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3167), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56067] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_BSLASH,
    STATE(1727), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3675), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56082] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_PIPE,
    STATE(1728), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3138), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56097] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3746), 1,
      sym_name,
    ACTIONS(3748), 1,
      anon_sym_BSLASH,
    STATE(492), 1,
      sym_compound_statement,
    STATE(1736), 1,
      sym_namespace_name,
  [56116] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    ACTIONS(3766), 1,
      anon_sym_COLON,
    STATE(512), 1,
      sym_enum_declaration_list,
    STATE(2360), 1,
      sym_class_interface_clause,
  [56135] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(3768), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2128), 1,
      sym_reference_modifier,
    STATE(2129), 1,
      sym_variable_name,
  [56154] = 4,
    ACTIONS(1126), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1124), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3770), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56169] = 5,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_name,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    STATE(790), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [56186] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    ACTIONS(3686), 1,
      anon_sym_LBRACK,
    ACTIONS(3776), 1,
      anon_sym_DASH_GT,
    ACTIONS(3778), 1,
      anon_sym_QMARK_DASH_GT,
  [56205] = 4,
    ACTIONS(1052), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1050), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3780), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56220] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_BSLASH,
    STATE(534), 1,
      sym_compound_statement,
    ACTIONS(3782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56237] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_BSLASH,
    STATE(1739), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3595), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56252] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_COMMA,
    STATE(1738), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3533), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56267] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_BSLASH,
    STATE(1727), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3585), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56282] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1735), 1,
      sym_declaration_list,
    STATE(2339), 1,
      sym_class_interface_clause,
  [56298] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(3665), 1,
      anon_sym_AMP,
    STATE(2258), 2,
      sym_variable_name,
      sym_variable_reference,
  [56312] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3793), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [56322] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_COMMA,
    STATE(1879), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3795), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56336] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3533), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [56346] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3675), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [56356] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1639), 1,
      sym_formal_parameters,
    STATE(2271), 1,
      sym_reference_modifier,
  [56372] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_EQ,
    ACTIONS(3799), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3803), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3805), 1,
      sym__new_line,
    ACTIONS(3807), 1,
      sym_heredoc_end,
    STATE(2287), 1,
      sym_heredoc_body,
  [56400] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_COLON,
    ACTIONS(3748), 1,
      anon_sym_BSLASH,
    ACTIONS(3809), 1,
      sym_name,
    STATE(2490), 1,
      sym_namespace_name,
  [56416] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1599), 1,
      sym_formal_parameters,
    STATE(2191), 1,
      sym_reference_modifier,
  [56432] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1766), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3811), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56446] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1627), 1,
      sym_formal_parameters,
    STATE(2286), 1,
      sym_reference_modifier,
  [56462] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1115), 1,
      sym_compound_statement,
    STATE(2274), 1,
      sym__return_type,
  [56478] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1883), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3815), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56492] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1147), 1,
      sym_compound_statement,
    STATE(2165), 1,
      sym__return_type,
  [56508] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(3665), 1,
      anon_sym_AMP,
    STATE(2134), 2,
      sym_variable_name,
      sym_variable_reference,
  [56522] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1069), 1,
      sym_compound_statement,
    STATE(2359), 1,
      sym__return_type,
  [56538] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3819), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [56548] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_PIPE,
    STATE(1882), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3821), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 1,
      sym__new_line,
    ACTIONS(3825), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3827), 1,
      sym_heredoc_end,
    STATE(2235), 1,
      sym_heredoc_body,
  [56578] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1607), 1,
      sym_formal_parameters,
    STATE(2298), 1,
      sym_reference_modifier,
  [56594] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1076), 1,
      sym_compound_statement,
    STATE(2152), 1,
      sym__return_type,
  [56610] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    STATE(472), 1,
      sym_enum_declaration_list,
    STATE(2357), 1,
      sym_class_interface_clause,
  [56626] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(2120), 1,
      sym_formal_parameters,
    STATE(2183), 1,
      sym_reference_modifier,
  [56642] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3829), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56656] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1766), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3833), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56670] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1129), 1,
      sym_declaration_list,
    STATE(2288), 1,
      sym_class_interface_clause,
  [56686] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56700] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1087), 1,
      sym_compound_statement,
    STATE(2345), 1,
      sym__return_type,
  [56716] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1097), 1,
      sym_declaration_list,
    STATE(2207), 1,
      sym_class_interface_clause,
  [56732] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3840), 1,
      anon_sym_AMP,
    STATE(1771), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3142), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56746] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3675), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [56756] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1766), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3847), 1,
      aux_sym_string_content_token1,
    STATE(1774), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3845), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [56784] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3185), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56794] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
    STATE(2334), 1,
      sym_class_interface_clause,
  [56810] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3850), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56820] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1095), 1,
      sym_declaration_list,
    STATE(2206), 1,
      sym_class_interface_clause,
  [56836] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2838), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3852), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2232), 1,
      sym_static_modifier,
  [56852] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1092), 1,
      sym_compound_statement,
    STATE(2280), 1,
      sym__return_type,
  [56868] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3854), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [56878] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3167), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56888] = 5,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_compound_statement,
    STATE(2299), 1,
      sym__return_type,
  [56904] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2512), 1,
      sym_declare_directive,
    ACTIONS(3856), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56916] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3138), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3860), 1,
      sym_nowdoc_string,
    STATE(1821), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3858), 2,
      sym_heredoc_end,
      sym__new_line,
  [56940] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3862), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56954] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_declaration_list,
    STATE(2281), 1,
      sym_class_interface_clause,
  [56970] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3864), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56984] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_COMMA,
    STATE(1790), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3866), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56998] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1055), 1,
      sym_declaration_list,
    STATE(2396), 1,
      sym_class_interface_clause,
  [57014] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1705), 1,
      sym_declaration_list,
    STATE(2306), 1,
      sym_class_interface_clause,
  [57030] = 5,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(955), 1,
      sym_compound_statement,
    STATE(2308), 1,
      sym__return_type,
  [57046] = 5,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_EQ,
    ACTIONS(3873), 1,
      anon_sym_RPAREN,
    STATE(2038), 1,
      aux_sym__list_destructing_repeat1,
  [57062] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    STATE(2083), 1,
      sym_enum_declaration_list,
    STATE(2315), 1,
      sym_class_interface_clause,
  [57078] = 5,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(931), 1,
      sym_compound_statement,
    STATE(2317), 1,
      sym__return_type,
  [57094] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3875), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57108] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3880), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [57118] = 5,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(922), 1,
      sym_compound_statement,
    STATE(2318), 1,
      sym__return_type,
  [57134] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1118), 1,
      sym_compound_statement,
    STATE(2225), 1,
      sym__return_type,
  [57150] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1789), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3882), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57164] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_declaration_list,
    STATE(2325), 1,
      sym_class_interface_clause,
  [57180] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3884), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57194] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3888), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2316), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3886), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57208] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1853), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3890), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57222] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3892), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57236] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_declaration_list,
    STATE(2327), 1,
      sym_class_interface_clause,
  [57252] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    STATE(1857), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3894), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57266] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    STATE(1790), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3898), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57280] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3793), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57290] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1636), 1,
      sym_formal_parameters,
    STATE(2293), 1,
      sym_reference_modifier,
  [57306] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3900), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3904), 1,
      aux_sym_string_content_token1,
    STATE(1774), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3902), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [57334] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(2314), 1,
      sym_arguments,
    ACTIONS(3451), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57348] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(1932), 1,
      sym_declaration_list,
    STATE(2209), 1,
      sym_base_clause,
  [57364] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_COMMA,
    STATE(1816), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3906), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57378] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
    STATE(2164), 1,
      sym_class_interface_clause,
  [57394] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1644), 1,
      sym_formal_parameters,
    STATE(2176), 1,
      sym_reference_modifier,
  [57410] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3911), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57424] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1787), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3913), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym_nowdoc_string,
    STATE(1821), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3915), 2,
      sym_heredoc_end,
      sym__new_line,
  [57452] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3888), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2336), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3920), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57466] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3922), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57480] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2469), 1,
      sym_declare_directive,
    ACTIONS(3856), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [57492] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1732), 1,
      sym_declaration_list,
    STATE(2370), 1,
      sym_class_interface_clause,
  [57508] = 5,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(930), 1,
      sym_compound_statement,
    STATE(2372), 1,
      sym__return_type,
  [57524] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2838), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3924), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2353), 1,
      sym_static_modifier,
  [57540] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3880), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57550] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1595), 1,
      sym_formal_parameters,
    STATE(2355), 1,
      sym_reference_modifier,
  [57566] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1765), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3926), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57580] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_SEMI,
    ACTIONS(3930), 1,
      sym__automatic_semicolon,
    STATE(1388), 1,
      sym_compound_statement,
  [57596] = 5,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(947), 1,
      sym_compound_statement,
    STATE(2378), 1,
      sym__return_type,
  [57612] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    STATE(1861), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3932), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57626] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1056), 1,
      sym_compound_statement,
    STATE(2278), 1,
      sym__return_type,
  [57642] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1773), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3934), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57656] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1803), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3900), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57670] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3367), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3936), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_declaration_list,
    STATE(2365), 1,
      sym_base_clause,
  [57686] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1812), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3938), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57700] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(2098), 1,
      sym_formal_parameters,
    STATE(2197), 1,
      sym_reference_modifier,
  [57716] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3133), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57726] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1766), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3940), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57740] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3142), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [57750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 1,
      sym__new_line,
    ACTIONS(3942), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3944), 1,
      sym_heredoc_end,
    STATE(2153), 1,
      sym_heredoc_body,
  [57766] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1579), 1,
      sym_formal_parameters,
    STATE(2198), 1,
      sym_reference_modifier,
  [57782] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_declaration_list,
    STATE(2356), 1,
      sym_class_interface_clause,
  [57798] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_declaration_list,
    STATE(2391), 1,
      sym_class_interface_clause,
  [57814] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    STATE(1848), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3507), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57828] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    STATE(1884), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3946), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57842] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3948), 1,
      anon_sym_SEMI,
    ACTIONS(3950), 1,
      sym__automatic_semicolon,
    STATE(1385), 1,
      sym_compound_statement,
  [57858] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57868] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_PIPE,
    STATE(1759), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3952), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [57882] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3954), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57892] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3956), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57906] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_COMMA,
    STATE(1816), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3958), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57920] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3960), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57934] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    STATE(2015), 1,
      sym_enum_declaration_list,
    STATE(2411), 1,
      sym_class_interface_clause,
  [57950] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    STATE(1790), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3960), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57964] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3850), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [57974] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2431), 1,
      sym_declare_directive,
    ACTIONS(3856), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [57986] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3962), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58000] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    STATE(1790), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3964), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58014] = 5,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(945), 1,
      sym_compound_statement,
    STATE(2415), 1,
      sym__return_type,
  [58030] = 5,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    STATE(962), 1,
      sym_compound_statement,
    STATE(2227), 1,
      sym__return_type,
  [58046] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1942), 1,
      sym_formal_parameters,
    STATE(2323), 1,
      sym_reference_modifier,
  [58062] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1860), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3966), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58076] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3968), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58090] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3972), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3970), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58104] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    STATE(1790), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3975), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58118] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2541), 1,
      sym_declare_directive,
    ACTIONS(3856), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [58130] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3954), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [58140] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1690), 1,
      sym_declaration_list,
    STATE(2245), 1,
      sym_class_interface_clause,
  [58156] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_COMMA,
    STATE(1819), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3968), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58170] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    STATE(1809), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3964), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58184] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3977), 1,
      anon_sym_SEMI,
    ACTIONS(3979), 1,
      sym__automatic_semicolon,
    STATE(1386), 1,
      sym_compound_statement,
  [58200] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1766), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3981), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58214] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1751), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3983), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58228] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1875), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3985), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58242] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_enum_declaration_list,
    STATE(2156), 1,
      sym_class_interface_clause,
  [58258] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_COMMA,
    STATE(1816), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3987), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58272] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3989), 1,
      anon_sym_SEMI,
    ACTIONS(3991), 1,
      sym__automatic_semicolon,
    STATE(1376), 1,
      sym_compound_statement,
  [58288] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(966), 1,
      sym_declaration_list,
    STATE(2294), 1,
      sym_class_interface_clause,
  [58304] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3995), 1,
      anon_sym_PIPE,
    STATE(1882), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3993), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [58318] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3998), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58332] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4000), 1,
      anon_sym_COMMA,
    STATE(1884), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3533), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [58346] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(2137), 1,
      sym_formal_parameters,
    STATE(2158), 1,
      sym_reference_modifier,
  [58362] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4003), 1,
      anon_sym_AMP,
    STATE(1771), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3179), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 1,
      sym__new_line,
    ACTIONS(4006), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4008), 1,
      sym_heredoc_end,
    STATE(2324), 1,
      sym_heredoc_body,
  [58392] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58403] = 3,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 1,
      sym__new_line,
    ACTIONS(4010), 1,
      sym_heredoc_end,
    STATE(2322), 1,
      sym_heredoc_body,
  [58427] = 3,
    ACTIONS(1412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1410), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58438] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1743), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [58449] = 4,
    ACTIONS(827), 1,
      anon_sym_RBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4012), 1,
      anon_sym_COMMA,
    STATE(2045), 1,
      aux_sym_array_creation_expression_repeat1,
  [58462] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58473] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4014), 1,
      anon_sym_COMMA,
    ACTIONS(4016), 1,
      anon_sym_RPAREN,
    STATE(1945), 1,
      aux_sym_arguments_repeat1,
  [58486] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(2144), 1,
      aux_sym_base_clause_repeat1,
  [58499] = 3,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58510] = 3,
    ACTIONS(1388), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1386), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58521] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3299), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58530] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2806), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [58539] = 3,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58550] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_COMMA,
    ACTIONS(4020), 1,
      anon_sym_RPAREN,
    STATE(1919), 1,
      aux_sym_array_creation_expression_repeat1,
  [58563] = 3,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58574] = 3,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58585] = 3,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58596] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4024), 1,
      anon_sym_LPAREN,
    ACTIONS(4022), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58607] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4026), 1,
      sym_name,
    ACTIONS(4028), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58618] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4030), 1,
      anon_sym_DQUOTE,
    ACTIONS(4032), 1,
      anon_sym_SQUOTE,
    ACTIONS(4034), 1,
      sym_heredoc_start,
  [58631] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_RPAREN,
    ACTIONS(4036), 1,
      anon_sym_COMMA,
    STATE(2114), 1,
      aux_sym_formal_parameters_repeat1,
  [58644] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4038), 1,
      anon_sym_COMMA,
    ACTIONS(4041), 1,
      anon_sym_RPAREN,
    STATE(1910), 1,
      aux_sym_array_creation_expression_repeat1,
  [58657] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4043), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [58666] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4045), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [58675] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4049), 1,
      anon_sym_EQ,
    ACTIONS(4047), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58686] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3993), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58695] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4051), 1,
      anon_sym_COMMA,
    ACTIONS(4053), 1,
      anon_sym_RPAREN,
    STATE(1909), 1,
      aux_sym_formal_parameters_repeat1,
  [58708] = 3,
    ACTIONS(1132), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1130), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58719] = 3,
    ACTIONS(1508), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1506), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58730] = 3,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1502), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58741] = 4,
    ACTIONS(849), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    STATE(1910), 1,
      aux_sym_array_creation_expression_repeat1,
  [58754] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3833), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58763] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_BSLASH,
    ACTIONS(3809), 1,
      sym_name,
    STATE(2490), 1,
      sym_namespace_name,
  [58776] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_COMMA,
    ACTIONS(4060), 1,
      anon_sym_RPAREN,
    STATE(1922), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [58789] = 3,
    ACTIONS(1452), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1450), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58800] = 3,
    ACTIONS(1448), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1446), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58811] = 3,
    ACTIONS(1440), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1438), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58822] = 3,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58833] = 3,
    ACTIONS(1428), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1426), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58844] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4062), 1,
      anon_sym_COMMA,
    ACTIONS(4064), 1,
      anon_sym_RBRACE,
    STATE(1975), 1,
      aux_sym_match_block_repeat1,
  [58857] = 3,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58868] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4068), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4066), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [58879] = 3,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58890] = 3,
    ACTIONS(1372), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1370), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58901] = 4,
    ACTIONS(833), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    STATE(1910), 1,
      aux_sym_array_creation_expression_repeat1,
  [58914] = 3,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58925] = 3,
    ACTIONS(1136), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1134), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58936] = 3,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58947] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_COMMA,
    ACTIONS(4074), 1,
      anon_sym_RBRACK,
    STATE(1893), 1,
      aux_sym_array_creation_expression_repeat1,
  [58960] = 3,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58971] = 3,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58982] = 3,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 1,
      sym__new_line,
    ACTIONS(4076), 1,
      sym_heredoc_end,
    STATE(2386), 1,
      sym_heredoc_body,
  [59006] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(4078), 1,
      anon_sym_EQ_GT,
    STATE(2464), 1,
      sym__return_type,
  [59019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4080), 1,
      sym__new_line,
    ACTIONS(4082), 1,
      sym_heredoc_end,
    STATE(2384), 1,
      sym_nowdoc_body,
  [59032] = 3,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59043] = 4,
    ACTIONS(791), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4084), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      aux_sym_arguments_repeat1,
  [59056] = 3,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59067] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_LBRACE,
    ACTIONS(4088), 1,
      anon_sym_COLON,
    STATE(495), 1,
      sym_switch_block,
  [59080] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_RPAREN,
    ACTIONS(4090), 1,
      anon_sym_COMMA,
    STATE(2146), 1,
      aux_sym_unset_statement_repeat1,
  [59093] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_LBRACE,
    ACTIONS(4094), 1,
      anon_sym_COLON,
    STATE(1946), 1,
      sym_switch_block,
  [59106] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_EQ,
    ACTIONS(4096), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59117] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_COMMA,
    ACTIONS(4100), 1,
      anon_sym_RBRACK,
    STATE(2012), 1,
      aux_sym__array_destructing_repeat1,
  [59130] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4102), 1,
      anon_sym_COMMA,
    ACTIONS(4104), 1,
      anon_sym_RBRACK,
    STATE(2013), 1,
      aux_sym_array_creation_expression_repeat1,
  [59143] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_COMMA,
    ACTIONS(4100), 1,
      anon_sym_RBRACK,
    STATE(2014), 1,
      aux_sym__array_destructing_repeat1,
  [59156] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_COMMA,
    ACTIONS(4109), 1,
      anon_sym_RBRACE,
    STATE(1954), 1,
      aux_sym_namespace_use_group_repeat1,
  [59169] = 4,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_RPAREN,
    STATE(2040), 1,
      aux_sym__list_destructing_repeat1,
  [59182] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COMMA,
    ACTIONS(4115), 1,
      anon_sym_RBRACK,
    STATE(2016), 1,
      aux_sym_attribute_group_repeat1,
  [59195] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4117), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59204] = 4,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_RPAREN,
    STATE(2040), 1,
      aux_sym__list_destructing_repeat1,
  [59217] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4121), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59226] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4123), 1,
      anon_sym_COMMA,
    STATE(1960), 1,
      aux_sym_match_condition_list_repeat1,
  [59239] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_COMMA,
    ACTIONS(4129), 1,
      anon_sym_RBRACE,
    STATE(1961), 1,
      aux_sym_match_block_repeat1,
  [59252] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4131), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59263] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3533), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [59272] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1747), 1,
      sym_variable_name,
    STATE(2110), 1,
      sym_static_variable_declaration,
  [59285] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4135), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59294] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2107), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [59305] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1654), 1,
      sym_variable_name,
    STATE(1920), 1,
      sym_property_element,
  [59318] = 3,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59329] = 3,
    ACTIONS(1364), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1362), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59340] = 3,
    ACTIONS(1376), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1374), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59351] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4137), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59360] = 3,
    ACTIONS(1392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1390), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59371] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4139), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59380] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4143), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4141), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59391] = 4,
    ACTIONS(869), 1,
      anon_sym_RBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_COMMA,
    STATE(1961), 1,
      aux_sym_match_block_repeat1,
  [59404] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym_name,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    STATE(2208), 1,
      sym_namespace_use_group,
  [59417] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4151), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59426] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1654), 1,
      sym_variable_name,
    STATE(1768), 1,
      sym_property_element,
  [59439] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(4153), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2072), 1,
      sym_variable_name,
  [59452] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4155), 1,
      anon_sym_COMMA,
    ACTIONS(4157), 1,
      anon_sym_RPAREN,
    STATE(2062), 1,
      aux_sym_formal_parameters_repeat1,
  [59465] = 3,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1462), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59476] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4161), 1,
      anon_sym_EQ,
    ACTIONS(4159), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59487] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3581), 1,
      anon_sym_LBRACE,
    STATE(2515), 1,
      sym__return_type,
  [59500] = 3,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59511] = 3,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59522] = 4,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym_RPAREN,
    STATE(2040), 1,
      aux_sym__list_destructing_repeat1,
  [59535] = 3,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59546] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_RPAREN,
    STATE(1452), 1,
      aux_sym_intersection_type_repeat1,
  [59559] = 3,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59570] = 3,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59581] = 3,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59592] = 3,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59603] = 3,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59614] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_RPAREN,
    ACTIONS(4167), 1,
      anon_sym_COMMA,
    STATE(1922), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [59627] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    ACTIONS(4169), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59638] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4175), 1,
      anon_sym_EQ,
    ACTIONS(4173), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59649] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(4177), 1,
      anon_sym_EQ_GT,
    STATE(2478), 1,
      sym__return_type,
  [59662] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_EQ,
    ACTIONS(4179), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59673] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4183), 1,
      anon_sym_COMMA,
    ACTIONS(4185), 1,
      anon_sym_RPAREN,
    STATE(1933), 1,
      aux_sym_array_creation_expression_repeat1,
  [59686] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4189), 1,
      anon_sym_EQ,
    ACTIONS(4187), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59697] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    ACTIONS(4193), 1,
      anon_sym_RBRACE,
    STATE(1954), 1,
      aux_sym_namespace_use_group_repeat1,
  [59710] = 3,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59721] = 3,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59732] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4195), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59741] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3970), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59750] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_COMMA,
    ACTIONS(4199), 1,
      anon_sym_RBRACE,
    STATE(2118), 1,
      aux_sym_match_block_repeat1,
  [59763] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4201), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59772] = 4,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    STATE(1986), 1,
      aux_sym__list_destructing_repeat1,
  [59785] = 4,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    STATE(2040), 1,
      aux_sym__list_destructing_repeat1,
  [59798] = 3,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1402), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59809] = 3,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59820] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_COMMA,
    ACTIONS(4203), 1,
      anon_sym_RBRACK,
    STATE(2014), 1,
      aux_sym__array_destructing_repeat1,
  [59833] = 4,
    ACTIONS(847), 1,
      anon_sym_RBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_COMMA,
    STATE(2045), 1,
      aux_sym_array_creation_expression_repeat1,
  [59846] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_COMMA,
    ACTIONS(4210), 1,
      anon_sym_RBRACK,
    STATE(2014), 1,
      aux_sym__array_destructing_repeat1,
  [59859] = 3,
    ACTIONS(1500), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1498), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59870] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3098), 1,
      anon_sym_RBRACK,
    ACTIONS(4212), 1,
      anon_sym_COMMA,
    STATE(2057), 1,
      aux_sym_attribute_group_repeat1,
  [59883] = 3,
    ACTIONS(1492), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1490), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59894] = 3,
    ACTIONS(1476), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1474), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59905] = 3,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59916] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(4214), 1,
      anon_sym_RPAREN,
    STATE(2493), 1,
      sym_variable_name,
  [59929] = 3,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59940] = 3,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59951] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(4216), 1,
      sym_name,
    STATE(2338), 1,
      sym_namespace_use_group,
  [59964] = 3,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59975] = 3,
    ACTIONS(1436), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1434), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59986] = 3,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59997] = 3,
    ACTIONS(1368), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1366), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 1,
      sym__new_line,
    ACTIONS(4218), 1,
      sym_heredoc_end,
    STATE(2238), 1,
      sym_heredoc_body,
  [60021] = 3,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60032] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_RPAREN,
    ACTIONS(4220), 1,
      anon_sym_COMMA,
    STATE(2146), 1,
      aux_sym_unset_statement_repeat1,
  [60045] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_LPAREN,
    ACTIONS(4222), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60056] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_EQ_GT,
    STATE(2471), 1,
      sym__return_type,
  [60069] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_EQ,
    ACTIONS(4228), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60080] = 3,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60091] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4230), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60100] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(4216), 1,
      sym_name,
    STATE(2418), 1,
      sym_namespace_use_group,
  [60113] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4232), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60122] = 4,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4234), 1,
      anon_sym_RPAREN,
    STATE(2040), 1,
      aux_sym__list_destructing_repeat1,
  [60135] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym_name,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    STATE(2418), 1,
      sym_namespace_use_group,
  [60148] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    ACTIONS(4236), 1,
      anon_sym_COMMA,
    STATE(2040), 1,
      aux_sym__list_destructing_repeat1,
  [60161] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_EQ,
    ACTIONS(4239), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60172] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4241), 1,
      anon_sym_COMMA,
    ACTIONS(4244), 1,
      anon_sym_RPAREN,
    STATE(2042), 1,
      aux_sym_arguments_repeat1,
  [60185] = 3,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60196] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4041), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [60205] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_RBRACK,
    ACTIONS(4246), 1,
      anon_sym_COMMA,
    STATE(2045), 1,
      aux_sym_array_creation_expression_repeat1,
  [60218] = 3,
    ACTIONS(1164), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1162), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60229] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(2599), 1,
      sym__return_type,
  [60242] = 3,
    ACTIONS(1160), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1158), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60253] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_EQ,
    ACTIONS(4249), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60264] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym_name,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    STATE(2195), 1,
      sym_namespace_use_group,
  [60277] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(4253), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2109), 1,
      sym_variable_name,
  [60290] = 3,
    ACTIONS(1156), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1154), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60301] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_EQ,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60312] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(4259), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2119), 1,
      sym_variable_name,
  [60325] = 3,
    ACTIONS(1144), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1142), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60336] = 3,
    ACTIONS(1172), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1170), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60347] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    ACTIONS(4264), 1,
      anon_sym_RBRACK,
    STATE(2057), 1,
      aux_sym_attribute_group_repeat1,
  [60360] = 3,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60371] = 3,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60382] = 3,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60393] = 3,
    ACTIONS(1384), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1382), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60404] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    ACTIONS(4266), 1,
      anon_sym_COMMA,
    STATE(2114), 1,
      aux_sym_formal_parameters_repeat1,
  [60417] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LPAREN,
    STATE(2369), 1,
      sym_parenthesized_expression,
  [60430] = 3,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60441] = 3,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 1,
      sym__new_line,
    ACTIONS(4270), 1,
      sym_heredoc_end,
    STATE(2347), 1,
      sym_heredoc_body,
  [60465] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4274), 1,
      anon_sym_EQ,
    ACTIONS(4272), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60476] = 3,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60487] = 3,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4080), 1,
      sym__new_line,
    ACTIONS(4276), 1,
      sym_heredoc_end,
    STATE(2263), 1,
      sym_nowdoc_body,
  [60511] = 3,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60522] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    ACTIONS(4278), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60533] = 4,
    ACTIONS(825), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4282), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      aux_sym_arguments_repeat1,
  [60546] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_DQUOTE,
    ACTIONS(4286), 1,
      anon_sym_SQUOTE,
    ACTIONS(4288), 1,
      sym_heredoc_start,
  [60559] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4290), 1,
      anon_sym_COMMA,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
    STATE(2073), 1,
      aux_sym_arguments_repeat1,
  [60572] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1806), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60583] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RPAREN,
    STATE(2085), 1,
      aux_sym_arguments_repeat1,
  [60596] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4298), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60605] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_EQ_GT,
    STATE(2505), 1,
      sym__return_type,
  [60618] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4302), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60627] = 4,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    STATE(1958), 1,
      aux_sym__list_destructing_repeat1,
  [60640] = 4,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4304), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      aux_sym__list_destructing_repeat1,
  [60653] = 3,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60664] = 3,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60675] = 4,
    ACTIONS(799), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      aux_sym_arguments_repeat1,
  [60688] = 3,
    ACTIONS(1152), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1150), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60699] = 3,
    ACTIONS(1148), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1146), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60710] = 3,
    ACTIONS(1140), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1138), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60721] = 3,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60732] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(4308), 1,
      anon_sym_EQ_GT,
    STATE(2503), 1,
      sym__return_type,
  [60745] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3866), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60754] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4310), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60763] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(4216), 1,
      sym_name,
    STATE(2189), 1,
      sym_namespace_use_group,
  [60776] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym_name,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    STATE(2189), 1,
      sym_namespace_use_group,
  [60789] = 3,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60800] = 4,
    ACTIONS(801), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      aux_sym_arguments_repeat1,
  [60813] = 3,
    ACTIONS(1416), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1414), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60824] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(4314), 1,
      anon_sym_EQ_GT,
    STATE(2500), 1,
      sym__return_type,
  [60837] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_COMMA,
    ACTIONS(4318), 1,
      anon_sym_RPAREN,
    STATE(2096), 1,
      aux_sym_arguments_repeat1,
  [60850] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60861] = 3,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60872] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    ACTIONS(4216), 1,
      sym_name,
    STATE(2328), 1,
      sym_namespace_use_group,
  [60885] = 3,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60896] = 3,
    ACTIONS(1424), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1422), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60907] = 3,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60918] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    ACTIONS(4320), 1,
      anon_sym_RBRACE,
    STATE(2001), 1,
      aux_sym_namespace_use_group_repeat1,
  [60931] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3906), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60940] = 3,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60951] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    ACTIONS(4322), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60962] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3875), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60971] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_EQ,
    ACTIONS(4326), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60982] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_EQ,
    ACTIONS(4330), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60993] = 4,
    ACTIONS(795), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      aux_sym_arguments_repeat1,
  [61006] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_COMMA,
    ACTIONS(4339), 1,
      anon_sym_RPAREN,
    STATE(2114), 1,
      aux_sym_formal_parameters_repeat1,
  [61019] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4341), 1,
      anon_sym_COMMA,
    ACTIONS(4343), 1,
      anon_sym_RPAREN,
    STATE(2113), 1,
      aux_sym_arguments_repeat1,
  [61032] = 4,
    ACTIONS(955), 1,
      anon_sym_EQ_GT,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4345), 1,
      anon_sym_COMMA,
    STATE(1960), 1,
      aux_sym_match_condition_list_repeat1,
  [61045] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_COMMA,
    ACTIONS(4349), 1,
      anon_sym_RPAREN,
    STATE(2123), 1,
      aux_sym_arguments_repeat1,
  [61058] = 4,
    ACTIONS(865), 1,
      anon_sym_RBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_COMMA,
    STATE(1961), 1,
      aux_sym_match_block_repeat1,
  [61071] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    ACTIONS(4353), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61082] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_EQ_GT,
    STATE(2597), 1,
      sym__return_type,
  [61095] = 3,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61106] = 3,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61117] = 4,
    ACTIONS(811), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4359), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      aux_sym_arguments_repeat1,
  [61130] = 4,
    ACTIONS(815), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4361), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      aux_sym_arguments_repeat1,
  [61143] = 3,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61154] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_EQ,
    ACTIONS(4363), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61165] = 3,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61176] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(4367), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1995), 1,
      sym_variable_name,
  [61189] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_EQ,
    ACTIONS(4369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61200] = 3,
    ACTIONS(1472), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1470), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61211] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_COMMA,
    ACTIONS(4375), 1,
      anon_sym_RPAREN,
    STATE(2124), 1,
      aux_sym_arguments_repeat1,
  [61224] = 3,
    ACTIONS(1168), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1166), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61235] = 3,
    ACTIONS(1168), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1166), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61246] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_RPAREN,
    STATE(1994), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [61259] = 3,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61270] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1654), 1,
      sym_variable_name,
    STATE(1876), 1,
      sym_property_element,
  [61283] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COLON,
    ACTIONS(4381), 1,
      anon_sym_EQ_GT,
    STATE(2570), 1,
      sym__return_type,
  [61296] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4385), 1,
      anon_sym_EQ,
    ACTIONS(4383), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61307] = 3,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61318] = 3,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61329] = 3,
    ACTIONS(1484), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1482), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61340] = 3,
    ACTIONS(1480), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1478), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61351] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_COMMA,
    ACTIONS(4389), 1,
      anon_sym_RPAREN,
    STATE(2148), 1,
      aux_sym_arguments_repeat1,
  [61364] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    ACTIONS(4391), 1,
      anon_sym_LBRACE,
    STATE(1884), 1,
      aux_sym_base_clause_repeat1,
  [61377] = 3,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61388] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_RPAREN,
    ACTIONS(4393), 1,
      anon_sym_COMMA,
    STATE(2146), 1,
      aux_sym_unset_statement_repeat1,
  [61401] = 3,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61412] = 4,
    ACTIONS(783), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      aux_sym_arguments_repeat1,
  [61425] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    ACTIONS(4398), 1,
      anon_sym_RPAREN,
    STATE(2433), 1,
      sym_variable_name,
  [61438] = 3,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61449] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2212), 1,
      sym_variable_name,
  [61459] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1123), 1,
      sym_compound_statement,
  [61469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      sym__new_line,
    ACTIONS(4402), 1,
      sym_heredoc_end,
  [61479] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61487] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4406), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61495] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_enum_declaration_list,
  [61505] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASH,
    STATE(2398), 1,
      aux_sym_namespace_name_repeat1,
  [61515] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(2090), 1,
      sym_formal_parameters,
  [61525] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(966), 1,
      sym_declaration_list,
  [61535] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61543] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_RPAREN,
    ACTIONS(4410), 1,
      anon_sym_EQ,
  [61553] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_name,
    STATE(2490), 1,
      sym_namespace_name,
  [61563] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2366), 1,
      sym_variable_name,
  [61573] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_declaration_list,
  [61583] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1112), 1,
      sym_compound_statement,
  [61593] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_name,
    STATE(2545), 1,
      sym_namespace_name,
  [61603] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2361), 1,
      sym_variable_name,
  [61613] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(1996), 1,
      sym_variable_name,
  [61623] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1695), 1,
      sym_compound_statement,
  [61633] = 3,
    ACTIONS(457), 1,
      anon_sym_COLON,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1930), 1,
      sym_colon_block,
  [61643] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_name,
    STATE(2537), 1,
      sym_namespace_name,
  [61653] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4415), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61661] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4417), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61669] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2348), 1,
      sym_variable_name,
  [61679] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4419), 1,
      anon_sym_SEMI,
    ACTIONS(4421), 1,
      sym__automatic_semicolon,
  [61689] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1619), 1,
      sym_formal_parameters,
  [61699] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61707] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1690), 1,
      sym_declaration_list,
  [61717] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2406), 1,
      sym_variable_name,
  [61727] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    STATE(1989), 1,
      sym_enum_declaration_list,
  [61737] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1704), 1,
      sym_compound_statement,
  [61747] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4425), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61755] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(2079), 1,
      sym_formal_parameters,
  [61765] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_LPAREN,
    STATE(56), 1,
      sym_parenthesized_expression,
  [61775] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2000), 1,
      sym_variable_name,
  [61785] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4429), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61793] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4431), 1,
      sym_name,
    STATE(1804), 1,
      sym_namespace_name,
  [61803] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_LPAREN,
    STATE(58), 1,
      sym_parenthesized_expression,
  [61813] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61821] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_LPAREN,
    STATE(2352), 1,
      sym_parenthesized_expression,
  [61831] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1631), 1,
      sym_formal_parameters,
  [61841] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61849] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_LPAREN,
    STATE(1947), 1,
      sym_parenthesized_expression,
  [61859] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4437), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61867] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3975), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61875] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_declaration_list,
  [61885] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(2032), 1,
      sym_formal_parameters,
  [61895] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1641), 1,
      sym_formal_parameters,
  [61905] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4028), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61913] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_declaration_list,
  [61923] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_enum_declaration_list,
  [61933] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4439), 2,
      anon_sym_string,
      anon_sym_int,
  [61941] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1060), 1,
      sym_compound_statement,
  [61951] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61959] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4443), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61967] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1084), 1,
      sym_declaration_list,
  [61977] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_declaration_list,
  [61987] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3898), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61995] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(1985), 1,
      sym_declaration_list,
  [62005] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(479), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62013] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4445), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [62021] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4447), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62029] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2186), 1,
      sym_variable_name,
  [62039] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1054), 1,
      sym_compound_statement,
  [62049] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4239), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62057] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4449), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62065] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3321), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62073] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2570), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62081] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_RPAREN,
    ACTIONS(4410), 1,
      anon_sym_EQ,
  [62091] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(558), 1,
      sym_compound_statement,
  [62101] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(948), 1,
      sym_compound_statement,
  [62111] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3871), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [62119] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62127] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4451), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62135] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1108), 1,
      sym_compound_statement,
  [62145] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1697), 1,
      sym_compound_statement,
  [62155] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(943), 1,
      sym_compound_statement,
  [62165] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_LPAREN,
    STATE(19), 1,
      sym_parenthesized_expression,
  [62175] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_LPAREN,
    STATE(2369), 1,
      sym_parenthesized_expression,
  [62185] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_LPAREN,
    STATE(1949), 1,
      sym_parenthesized_expression,
  [62195] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_RPAREN,
    ACTIONS(4410), 1,
      anon_sym_EQ,
  [62205] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3116), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3118), 1,
      aux_sym__arrow_function_header_token1,
  [62215] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(961), 1,
      sym_compound_statement,
  [62225] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      sym__new_line,
    ACTIONS(4455), 1,
      sym_heredoc_end,
  [62243] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2112), 1,
      sym_variable_name,
  [62253] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(485), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      sym__new_line,
    ACTIONS(4459), 1,
      sym_heredoc_end,
  [62271] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4461), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_compound_statement,
  [62281] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_COLON,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
  [62291] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN,
    STATE(1663), 1,
      sym_formal_parameters,
  [62301] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3092), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3094), 1,
      aux_sym__arrow_function_header_token1,
  [62311] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4467), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62319] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
  [62329] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1721), 1,
      sym_declaration_list,
  [62339] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4469), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62347] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4471), 1,
      sym_name,
    STATE(2426), 1,
      sym_namespace_name,
  [62357] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2182), 1,
      sym_variable_name,
  [62367] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4474), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62375] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62383] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_LPAREN,
    STATE(59), 1,
      sym_parenthesized_expression,
  [62393] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2177), 1,
      sym_variable_name,
  [62403] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62411] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4264), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62419] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_name,
    STATE(2436), 1,
      sym_namespace_name,
  [62429] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1146), 1,
      sym_compound_statement,
  [62439] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4480), 2,
      anon_sym_string,
      anon_sym_int,
  [62447] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62455] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4482), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62463] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4485), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62471] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4487), 1,
      sym_nowdoc_string,
    STATE(1786), 1,
      aux_sym_nowdoc_body_repeat1,
  [62481] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4489), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 1,
      sym__new_line,
    ACTIONS(4493), 1,
      sym_heredoc_end,
  [62499] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62507] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4497), 1,
      anon_sym_LPAREN,
    STATE(2264), 1,
      sym_parenthesized_expression,
  [62517] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4244), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62525] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4151), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [62533] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_LPAREN,
    STATE(76), 1,
      sym_parenthesized_expression,
  [62543] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2558), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62551] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1983), 1,
      sym_formal_parameters,
  [62561] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1576), 1,
      sym_formal_parameters,
  [62571] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_compound_statement,
  [62581] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62589] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1070), 1,
      sym_compound_statement,
  [62599] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4501), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62607] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1968), 1,
      sym_compound_statement,
  [62617] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1074), 1,
      sym_compound_statement,
  [62627] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_compound_statement,
  [62637] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4339), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62645] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      sym_compound_statement,
  [62655] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_declaration_list,
  [62665] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62673] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1085), 1,
      sym_compound_statement,
  [62683] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1648), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62691] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1097), 1,
      sym_declaration_list,
  [62701] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1617), 1,
      sym_formal_parameters,
  [62711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 1,
      sym__new_line,
    ACTIONS(4505), 1,
      sym_heredoc_end,
  [62721] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1095), 1,
      sym_declaration_list,
  [62731] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62739] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62747] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62755] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4513), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62763] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1611), 1,
      sym_formal_parameters,
  [62773] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_declaration_list,
  [62783] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62791] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(503), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62799] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4515), 2,
      anon_sym_string,
      anon_sym_int,
  [62807] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1584), 1,
      sym_formal_parameters,
  [62817] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(973), 1,
      sym_compound_statement,
  [62827] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_LPAREN,
    STATE(23), 1,
      sym_parenthesized_expression,
  [62837] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62845] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2464), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62853] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1676), 1,
      sym_compound_statement,
  [62863] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4517), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62871] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4519), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62879] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1678), 1,
      sym_declaration_list,
  [62889] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62897] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(971), 1,
      sym_compound_statement,
  [62907] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_RPAREN,
    ACTIONS(4410), 1,
      anon_sym_EQ,
  [62917] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4109), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62925] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_LPAREN,
    STATE(21), 1,
      sym_parenthesized_expression,
  [62935] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(968), 1,
      sym_compound_statement,
  [62945] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_declaration_list,
  [62955] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4523), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62963] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    STATE(2121), 1,
      sym_enum_declaration_list,
  [62973] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4525), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62981] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(967), 1,
      sym_compound_statement,
  [62991] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(965), 1,
      sym_compound_statement,
  [63001] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_LBRACE,
    STATE(518), 1,
      sym_declaration_list,
  [63011] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4210), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63019] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
  [63029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4527), 1,
      sym__new_line,
    ACTIONS(4529), 1,
      sym_heredoc_end,
  [63039] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1997), 1,
      sym_formal_parameters,
  [63049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      sym__new_line,
    ACTIONS(4533), 1,
      sym_heredoc_end,
  [63059] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(960), 1,
      sym_declaration_list,
  [63069] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4535), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63077] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_declaration_list,
  [63087] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4537), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63095] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_SEMI,
    ACTIONS(4541), 1,
      sym__automatic_semicolon,
  [63105] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1694), 1,
      sym_compound_statement,
  [63115] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4543), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63123] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1129), 1,
      sym_declaration_list,
  [63133] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4545), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63141] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_declaration_list,
  [63151] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    ACTIONS(4547), 1,
      anon_sym_RPAREN,
  [63161] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3886), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63169] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4549), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63177] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4551), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63185] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1702), 1,
      sym_declaration_list,
  [63195] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3094), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4553), 1,
      aux_sym_namespace_use_declaration_token2,
  [63205] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4497), 1,
      anon_sym_LPAREN,
    STATE(2376), 1,
      sym_parenthesized_expression,
  [63215] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4555), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63223] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4461), 1,
      anon_sym_LBRACE,
    STATE(431), 1,
      sym_compound_statement,
  [63233] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4557), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63241] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1117), 1,
      sym_compound_statement,
  [63251] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1121), 1,
      sym_compound_statement,
  [63261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4559), 1,
      sym__new_line,
    ACTIONS(4561), 1,
      sym_heredoc_end,
  [63271] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4563), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63279] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(1913), 1,
      sym_variable_name,
  [63289] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4565), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63297] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4567), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63305] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_LBRACE,
    STATE(1109), 1,
      sym_match_block,
  [63315] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3118), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4571), 1,
      aux_sym_namespace_use_declaration_token2,
  [63325] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1705), 1,
      sym_declaration_list,
  [63335] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(1629), 1,
      sym_formal_parameters,
  [63345] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_declaration_list,
  [63355] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_enum_declaration_list,
  [63365] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
  [63375] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1124), 1,
      sym_compound_statement,
  [63385] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    STATE(493), 1,
      sym_enum_declaration_list,
  [63395] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4573), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63403] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DOLLAR,
    STATE(2275), 1,
      sym_variable_name,
  [63413] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4575), 2,
      anon_sym_string,
      anon_sym_int,
  [63421] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(933), 1,
      sym_compound_statement,
  [63431] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_declaration_list,
  [63441] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63449] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4579), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [63457] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1917), 1,
      sym_compound_statement,
  [63467] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4581), 1,
      anon_sym_LBRACE,
    STATE(977), 1,
      sym_match_block,
  [63477] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1711), 1,
      sym_declaration_list,
  [63487] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4583), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63495] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(929), 1,
      sym_compound_statement,
  [63505] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2464), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [63513] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63521] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(936), 1,
      sym_compound_statement,
  [63531] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4588), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63539] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(932), 1,
      sym_compound_statement,
  [63549] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(918), 1,
      sym_compound_statement,
  [63559] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1082), 1,
      sym_compound_statement,
  [63569] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(927), 1,
      sym_compound_statement,
  [63579] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    STATE(2043), 1,
      sym_enum_declaration_list,
  [63589] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_LPAREN,
    STATE(75), 1,
      sym_parenthesized_expression,
  [63599] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
    STATE(2047), 1,
      sym_formal_parameters,
  [63609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4590), 1,
      sym__new_line,
    ACTIONS(4592), 1,
      sym_heredoc_end,
  [63619] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1732), 1,
      sym_declaration_list,
  [63629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      sym__new_line,
    ACTIONS(4596), 1,
      sym_heredoc_end,
  [63639] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4461), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_compound_statement,
  [63649] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4598), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63657] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(949), 1,
      sym_compound_statement,
  [63667] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63675] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(920), 1,
      sym_declaration_list,
  [63685] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3201), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63693] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4602), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63701] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_LPAREN,
    STATE(35), 1,
      sym_parenthesized_expression,
  [63711] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63719] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1128), 1,
      sym_declaration_list,
  [63729] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63737] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_BSLASH,
    STATE(1696), 1,
      aux_sym_namespace_name_repeat1,
  [63747] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_SEMI,
    ACTIONS(4613), 1,
      sym__automatic_semicolon,
  [63757] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4310), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63765] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4615), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63773] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN,
    STATE(1665), 1,
      sym_formal_parameters,
  [63783] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4129), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63791] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63799] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4619), 1,
      anon_sym_SEMI,
    ACTIONS(4621), 1,
      sym__automatic_semicolon,
  [63809] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4623), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63817] = 3,
    ACTIONS(385), 1,
      anon_sym_COLON,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2596), 1,
      sym_colon_block,
  [63827] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_name,
    STATE(2573), 1,
      sym_namespace_name,
  [63837] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63845] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4627), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63853] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    STATE(2056), 1,
      sym_enum_declaration_list,
  [63863] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_LPAREN,
    STATE(2170), 1,
      sym_parenthesized_expression,
  [63873] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(507), 1,
      sym_compound_statement,
  [63883] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(1735), 1,
      sym_declaration_list,
  [63893] = 3,
    ACTIONS(403), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(923), 1,
      sym_compound_statement,
  [63903] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_RPAREN,
    ACTIONS(4410), 1,
      anon_sym_EQ,
  [63913] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(1931), 1,
      sym_declaration_list,
  [63923] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4629), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63931] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4631), 1,
      sym_heredoc_end,
  [63938] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4633), 1,
      sym_name,
  [63945] = 2,
    ACTIONS(921), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [63952] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4635), 1,
      ts_builtin_sym_end,
  [63959] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4637), 1,
      anon_sym_RPAREN,
  [63966] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4639), 1,
      sym_name,
  [63973] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4641), 1,
      anon_sym_RPAREN,
  [63980] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4643), 1,
      anon_sym_BSLASH,
  [63987] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_name,
  [63994] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4645), 1,
      anon_sym_RPAREN,
  [64001] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4647), 1,
      sym_name,
  [64008] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4649), 1,
      sym_name,
  [64015] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_RPAREN,
  [64022] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4653), 1,
      sym_heredoc_end,
  [64029] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_RPAREN,
  [64036] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4657), 1,
      sym_name,
  [64043] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4659), 1,
      anon_sym_BSLASH,
  [64050] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_BSLASH,
  [64057] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4663), 1,
      sym_name,
  [64064] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym_name,
  [64071] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4665), 1,
      anon_sym_RPAREN,
  [64078] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4667), 1,
      sym_name,
  [64085] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_RPAREN,
  [64092] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4671), 1,
      anon_sym_COLON_COLON,
  [64099] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4673), 1,
      sym_heredoc_start,
  [64106] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym_heredoc_start,
  [64113] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4677), 1,
      anon_sym_EQ,
  [64120] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4679), 1,
      anon_sym_EQ_GT,
  [64127] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4157), 1,
      anon_sym_RPAREN,
  [64134] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4681), 1,
      anon_sym_SEMI,
  [64141] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_RPAREN,
  [64148] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4683), 1,
      sym_heredoc_end,
  [64155] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4685), 1,
      aux_sym_if_statement_token2,
  [64162] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4687), 1,
      anon_sym_LPAREN,
  [64169] = 2,
    ACTIONS(881), 1,
      anon_sym_SEMI,
    ACTIONS(1530), 1,
      sym_comment,
  [64176] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_EQ,
  [64183] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4689), 1,
      sym_heredoc_end,
  [64190] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_RPAREN,
  [64197] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_RBRACE,
  [64204] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4693), 1,
      anon_sym_EQ_GT,
  [64211] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4695), 1,
      sym_heredoc_start,
  [64218] = 2,
    ACTIONS(919), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [64225] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4697), 1,
      aux_sym_class_declaration_token1,
  [64232] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3724), 1,
      sym_name,
  [64239] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4699), 1,
      anon_sym_EQ_GT,
  [64246] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4701), 1,
      anon_sym_EQ_GT,
  [64253] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_RPAREN,
  [64260] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4703), 1,
      aux_sym_while_statement_token1,
  [64267] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_EQ_GT,
  [64274] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4707), 1,
      anon_sym_EQ,
  [64281] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4709), 1,
      anon_sym_RPAREN,
  [64288] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4711), 1,
      anon_sym_LPAREN,
  [64295] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4713), 1,
      anon_sym_EQ_GT,
  [64302] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4715), 1,
      aux_sym_while_statement_token2,
  [64309] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4717), 1,
      anon_sym_RPAREN,
  [64316] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4719), 1,
      anon_sym_SEMI,
  [64323] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4547), 1,
      anon_sym_RPAREN,
  [64330] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4721), 1,
      anon_sym_RPAREN,
  [64337] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_RBRACK,
  [64344] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_EQ_GT,
  [64351] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4725), 1,
      sym_heredoc_end,
  [64358] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4727), 1,
      aux_sym_foreach_statement_token2,
  [64365] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4729), 1,
      sym_heredoc_end,
  [64372] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4731), 1,
      anon_sym_RPAREN,
  [64379] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4733), 1,
      anon_sym_RBRACK,
  [64386] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4735), 1,
      anon_sym_EQ_GT,
  [64393] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4737), 1,
      anon_sym_EQ,
  [64400] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_COLON_COLON,
  [64407] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4741), 1,
      anon_sym_RPAREN,
  [64414] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4743), 1,
      sym_heredoc_end,
  [64421] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4745), 1,
      sym_name,
  [64428] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_BSLASH,
  [64435] = 2,
    ACTIONS(907), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [64442] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_EQ,
  [64449] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_RPAREN,
  [64456] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4749), 1,
      anon_sym_RPAREN,
  [64463] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4751), 1,
      aux_sym_if_statement_token2,
  [64470] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_RPAREN,
  [64477] = 2,
    ACTIONS(379), 1,
      ts_builtin_sym_end,
    ACTIONS(1530), 1,
      sym_comment,
  [64484] = 2,
    ACTIONS(901), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [64491] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4753), 1,
      sym_name,
  [64498] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4755), 1,
      anon_sym_EQ_GT,
  [64505] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4757), 1,
      aux_sym_if_statement_token2,
  [64512] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4759), 1,
      anon_sym_RPAREN,
  [64519] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_EQ_GT,
  [64526] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4763), 1,
      sym_name,
  [64533] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4765), 1,
      anon_sym_EQ_GT,
  [64540] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_RBRACE,
  [64547] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4767), 1,
      anon_sym_SQUOTE2,
  [64554] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_RPAREN,
  [64561] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4769), 1,
      anon_sym_RPAREN,
  [64568] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4771), 1,
      anon_sym_BSLASH,
  [64575] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4773), 1,
      aux_sym_while_statement_token2,
  [64582] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4775), 1,
      anon_sym_RPAREN,
  [64589] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4777), 1,
      sym_heredoc_end,
  [64596] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4779), 1,
      sym_name,
  [64603] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_LBRACE,
  [64610] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4781), 1,
      sym_name,
  [64617] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4783), 1,
      sym_name,
  [64624] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4785), 1,
      sym_name,
  [64631] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4787), 1,
      sym_name,
  [64638] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4789), 1,
      sym_name,
  [64645] = 2,
    ACTIONS(891), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [64652] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
  [64659] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4791), 1,
      anon_sym_LPAREN,
  [64666] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4793), 1,
      anon_sym_SQUOTE2,
  [64673] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4795), 1,
      anon_sym_COLON_COLON,
  [64680] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4797), 1,
      sym_integer,
  [64687] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4799), 1,
      anon_sym_BSLASH,
  [64694] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4801), 1,
      aux_sym_class_declaration_token1,
  [64701] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4803), 1,
      anon_sym_RBRACK,
  [64708] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3603), 1,
      sym_name,
  [64715] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_RPAREN,
  [64722] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4807), 1,
      aux_sym_while_statement_token1,
  [64729] = 2,
    ACTIONS(375), 1,
      ts_builtin_sym_end,
    ACTIONS(1530), 1,
      sym_comment,
  [64736] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4809), 1,
      sym_heredoc_start,
  [64743] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4811), 1,
      sym_heredoc_end,
  [64750] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4813), 1,
      anon_sym_BSLASH,
  [64757] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4815), 1,
      anon_sym_BSLASH,
  [64764] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4817), 1,
      anon_sym_RPAREN,
  [64771] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4819), 1,
      sym_heredoc_end,
  [64778] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4821), 1,
      anon_sym_COLON_COLON,
  [64785] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4823), 1,
      anon_sym_RPAREN,
  [64792] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4825), 1,
      sym_name,
  [64799] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_RPAREN,
  [64806] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4827), 1,
      sym_name,
  [64813] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4829), 1,
      anon_sym_BSLASH,
  [64820] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_RPAREN,
  [64827] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4833), 1,
      anon_sym_RBRACK,
  [64834] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
  [64841] = 2,
    ACTIONS(883), 1,
      anon_sym_SEMI,
    ACTIONS(1530), 1,
      sym_comment,
  [64848] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4835), 1,
      anon_sym_COLON_COLON,
  [64855] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4837), 1,
      sym_name,
  [64862] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4839), 1,
      anon_sym_EQ,
  [64869] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4841), 1,
      sym_name,
  [64876] = 2,
    ACTIONS(915), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [64883] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4843), 1,
      anon_sym_EQ_GT,
  [64890] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4845), 1,
      anon_sym_SEMI,
  [64897] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_RPAREN,
  [64904] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4847), 1,
      sym_name,
  [64911] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4849), 1,
      sym_name,
  [64918] = 2,
    ACTIONS(905), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [64925] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4851), 1,
      sym_name,
  [64932] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4853), 1,
      anon_sym_RPAREN,
  [64939] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_BSLASH,
  [64946] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4857), 1,
      sym_name,
  [64953] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4859), 1,
      ts_builtin_sym_end,
  [64960] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_RPAREN,
  [64967] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4861), 1,
      anon_sym_COLON_COLON,
  [64974] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4863), 1,
      anon_sym_RBRACK,
  [64981] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4865), 1,
      anon_sym_COLON_COLON,
  [64988] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4867), 1,
      anon_sym_EQ_GT,
  [64995] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_RPAREN,
  [65002] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4869), 1,
      anon_sym_LPAREN,
  [65009] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_BSLASH,
  [65016] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4873), 1,
      sym_name,
  [65023] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4875), 1,
      anon_sym_COLON_COLON,
  [65030] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4877), 1,
      anon_sym_COLON_COLON,
  [65037] = 2,
    ACTIONS(911), 1,
      anon_sym_SEMI,
    ACTIONS(1530), 1,
      sym_comment,
  [65044] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_RPAREN,
  [65051] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4879), 1,
      anon_sym_LPAREN,
  [65058] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4881), 1,
      anon_sym_RPAREN,
  [65065] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_SEMI,
  [65072] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4885), 1,
      sym_name,
  [65079] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4343), 1,
      anon_sym_RPAREN,
  [65086] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4887), 1,
      anon_sym_LPAREN,
  [65093] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_LPAREN,
  [65100] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4349), 1,
      anon_sym_RPAREN,
  [65107] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
  [65114] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4893), 1,
      aux_sym_if_statement_token2,
  [65121] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_COLON_COLON,
  [65128] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_RPAREN,
  [65135] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4897), 1,
      sym_name,
  [65142] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4899), 1,
      aux_sym_foreach_statement_token2,
  [65149] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4901), 1,
      anon_sym_LPAREN,
  [65156] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4903), 1,
      anon_sym_LPAREN,
  [65163] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4905), 1,
      sym_name,
  [65170] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4907), 1,
      aux_sym_if_statement_token2,
  [65177] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4909), 1,
      anon_sym_EQ_GT,
  [65184] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4911), 1,
      sym_name,
  [65191] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_LBRACE,
  [65198] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4913), 1,
      anon_sym_RPAREN,
  [65205] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
  [65212] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4917), 1,
      sym_name,
  [65219] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_SEMI,
  [65226] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_RPAREN,
  [65233] = 2,
    ACTIONS(889), 1,
      anon_sym_SEMI,
    ACTIONS(1530), 1,
      sym_comment,
  [65240] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4921), 1,
      sym_name,
  [65247] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4923), 1,
      anon_sym_COLON_COLON,
  [65254] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_SEMI,
  [65261] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_LPAREN,
  [65268] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_RBRACK,
  [65275] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4929), 1,
      anon_sym_SEMI,
  [65282] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4931), 1,
      anon_sym_RPAREN,
  [65289] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_LPAREN,
  [65296] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_LPAREN,
  [65303] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4937), 1,
      sym_name,
  [65310] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4939), 1,
      anon_sym_COLON_COLON,
  [65317] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_RPAREN,
  [65324] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_SEMI,
  [65331] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4389), 1,
      anon_sym_RPAREN,
  [65338] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4943), 1,
      anon_sym_LPAREN,
  [65345] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_COLON_COLON,
  [65352] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_LPAREN,
  [65359] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4949), 1,
      anon_sym_LPAREN,
  [65366] = 2,
    ACTIONS(885), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [65373] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
  [65380] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4953), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(565)] = 0,
  [SMALL_STATE(566)] = 70,
  [SMALL_STATE(567)] = 140,
  [SMALL_STATE(568)] = 210,
  [SMALL_STATE(569)] = 280,
  [SMALL_STATE(570)] = 353,
  [SMALL_STATE(571)] = 426,
  [SMALL_STATE(572)] = 499,
  [SMALL_STATE(573)] = 580,
  [SMALL_STATE(574)] = 653,
  [SMALL_STATE(575)] = 726,
  [SMALL_STATE(576)] = 794,
  [SMALL_STATE(577)] = 862,
  [SMALL_STATE(578)] = 930,
  [SMALL_STATE(579)] = 998,
  [SMALL_STATE(580)] = 1066,
  [SMALL_STATE(581)] = 1134,
  [SMALL_STATE(582)] = 1202,
  [SMALL_STATE(583)] = 1270,
  [SMALL_STATE(584)] = 1338,
  [SMALL_STATE(585)] = 1406,
  [SMALL_STATE(586)] = 1474,
  [SMALL_STATE(587)] = 1542,
  [SMALL_STATE(588)] = 1610,
  [SMALL_STATE(589)] = 1685,
  [SMALL_STATE(590)] = 1764,
  [SMALL_STATE(591)] = 1842,
  [SMALL_STATE(592)] = 1919,
  [SMALL_STATE(593)] = 1988,
  [SMALL_STATE(594)] = 2057,
  [SMALL_STATE(595)] = 2134,
  [SMALL_STATE(596)] = 2203,
  [SMALL_STATE(597)] = 2272,
  [SMALL_STATE(598)] = 2345,
  [SMALL_STATE(599)] = 2414,
  [SMALL_STATE(600)] = 2497,
  [SMALL_STATE(601)] = 2574,
  [SMALL_STATE(602)] = 2638,
  [SMALL_STATE(603)] = 2702,
  [SMALL_STATE(604)] = 2766,
  [SMALL_STATE(605)] = 2838,
  [SMALL_STATE(606)] = 2902,
  [SMALL_STATE(607)] = 2966,
  [SMALL_STATE(608)] = 3030,
  [SMALL_STATE(609)] = 3108,
  [SMALL_STATE(610)] = 3172,
  [SMALL_STATE(611)] = 3236,
  [SMALL_STATE(612)] = 3300,
  [SMALL_STATE(613)] = 3378,
  [SMALL_STATE(614)] = 3442,
  [SMALL_STATE(615)] = 3506,
  [SMALL_STATE(616)] = 3582,
  [SMALL_STATE(617)] = 3660,
  [SMALL_STATE(618)] = 3724,
  [SMALL_STATE(619)] = 3788,
  [SMALL_STATE(620)] = 3852,
  [SMALL_STATE(621)] = 3916,
  [SMALL_STATE(622)] = 3980,
  [SMALL_STATE(623)] = 4044,
  [SMALL_STATE(624)] = 4115,
  [SMALL_STATE(625)] = 4186,
  [SMALL_STATE(626)] = 4263,
  [SMALL_STATE(627)] = 4340,
  [SMALL_STATE(628)] = 4411,
  [SMALL_STATE(629)] = 4483,
  [SMALL_STATE(630)] = 4555,
  [SMALL_STATE(631)] = 4625,
  [SMALL_STATE(632)] = 4697,
  [SMALL_STATE(633)] = 4768,
  [SMALL_STATE(634)] = 4826,
  [SMALL_STATE(635)] = 4929,
  [SMALL_STATE(636)] = 5032,
  [SMALL_STATE(637)] = 5091,
  [SMALL_STATE(638)] = 5152,
  [SMALL_STATE(639)] = 5211,
  [SMALL_STATE(640)] = 5270,
  [SMALL_STATE(641)] = 5325,
  [SMALL_STATE(642)] = 5390,
  [SMALL_STATE(643)] = 5455,
  [SMALL_STATE(644)] = 5520,
  [SMALL_STATE(645)] = 5579,
  [SMALL_STATE(646)] = 5642,
  [SMALL_STATE(647)] = 5701,
  [SMALL_STATE(648)] = 5766,
  [SMALL_STATE(649)] = 5824,
  [SMALL_STATE(650)] = 5924,
  [SMALL_STATE(651)] = 5982,
  [SMALL_STATE(652)] = 6036,
  [SMALL_STATE(653)] = 6090,
  [SMALL_STATE(654)] = 6144,
  [SMALL_STATE(655)] = 6198,
  [SMALL_STATE(656)] = 6298,
  [SMALL_STATE(657)] = 6352,
  [SMALL_STATE(658)] = 6406,
  [SMALL_STATE(659)] = 6460,
  [SMALL_STATE(660)] = 6556,
  [SMALL_STATE(661)] = 6610,
  [SMALL_STATE(662)] = 6706,
  [SMALL_STATE(663)] = 6760,
  [SMALL_STATE(664)] = 6814,
  [SMALL_STATE(665)] = 6868,
  [SMALL_STATE(666)] = 6922,
  [SMALL_STATE(667)] = 6976,
  [SMALL_STATE(668)] = 7030,
  [SMALL_STATE(669)] = 7084,
  [SMALL_STATE(670)] = 7138,
  [SMALL_STATE(671)] = 7192,
  [SMALL_STATE(672)] = 7247,
  [SMALL_STATE(673)] = 7306,
  [SMALL_STATE(674)] = 7365,
  [SMALL_STATE(675)] = 7420,
  [SMALL_STATE(676)] = 7477,
  [SMALL_STATE(677)] = 7574,
  [SMALL_STATE(678)] = 7671,
  [SMALL_STATE(679)] = 7762,
  [SMALL_STATE(680)] = 7821,
  [SMALL_STATE(681)] = 7876,
  [SMALL_STATE(682)] = 7931,
  [SMALL_STATE(683)] = 7986,
  [SMALL_STATE(684)] = 8045,
  [SMALL_STATE(685)] = 8140,
  [SMALL_STATE(686)] = 8199,
  [SMALL_STATE(687)] = 8256,
  [SMALL_STATE(688)] = 8315,
  [SMALL_STATE(689)] = 8374,
  [SMALL_STATE(690)] = 8431,
  [SMALL_STATE(691)] = 8488,
  [SMALL_STATE(692)] = 8545,
  [SMALL_STATE(693)] = 8602,
  [SMALL_STATE(694)] = 8657,
  [SMALL_STATE(695)] = 8754,
  [SMALL_STATE(696)] = 8811,
  [SMALL_STATE(697)] = 8868,
  [SMALL_STATE(698)] = 8965,
  [SMALL_STATE(699)] = 9024,
  [SMALL_STATE(700)] = 9115,
  [SMALL_STATE(701)] = 9172,
  [SMALL_STATE(702)] = 9231,
  [SMALL_STATE(703)] = 9288,
  [SMALL_STATE(704)] = 9345,
  [SMALL_STATE(705)] = 9402,
  [SMALL_STATE(706)] = 9461,
  [SMALL_STATE(707)] = 9556,
  [SMALL_STATE(708)] = 9615,
  [SMALL_STATE(709)] = 9672,
  [SMALL_STATE(710)] = 9729,
  [SMALL_STATE(711)] = 9788,
  [SMALL_STATE(712)] = 9847,
  [SMALL_STATE(713)] = 9906,
  [SMALL_STATE(714)] = 9997,
  [SMALL_STATE(715)] = 10049,
  [SMALL_STATE(716)] = 10101,
  [SMALL_STATE(717)] = 10155,
  [SMALL_STATE(718)] = 10207,
  [SMALL_STATE(719)] = 10259,
  [SMALL_STATE(720)] = 10311,
  [SMALL_STATE(721)] = 10363,
  [SMALL_STATE(722)] = 10415,
  [SMALL_STATE(723)] = 10467,
  [SMALL_STATE(724)] = 10519,
  [SMALL_STATE(725)] = 10571,
  [SMALL_STATE(726)] = 10623,
  [SMALL_STATE(727)] = 10675,
  [SMALL_STATE(728)] = 10727,
  [SMALL_STATE(729)] = 10779,
  [SMALL_STATE(730)] = 10831,
  [SMALL_STATE(731)] = 10883,
  [SMALL_STATE(732)] = 10935,
  [SMALL_STATE(733)] = 10989,
  [SMALL_STATE(734)] = 11041,
  [SMALL_STATE(735)] = 11093,
  [SMALL_STATE(736)] = 11187,
  [SMALL_STATE(737)] = 11239,
  [SMALL_STATE(738)] = 11291,
  [SMALL_STATE(739)] = 11343,
  [SMALL_STATE(740)] = 11395,
  [SMALL_STATE(741)] = 11447,
  [SMALL_STATE(742)] = 11499,
  [SMALL_STATE(743)] = 11551,
  [SMALL_STATE(744)] = 11603,
  [SMALL_STATE(745)] = 11655,
  [SMALL_STATE(746)] = 11707,
  [SMALL_STATE(747)] = 11759,
  [SMALL_STATE(748)] = 11811,
  [SMALL_STATE(749)] = 11863,
  [SMALL_STATE(750)] = 11915,
  [SMALL_STATE(751)] = 11967,
  [SMALL_STATE(752)] = 12019,
  [SMALL_STATE(753)] = 12071,
  [SMALL_STATE(754)] = 12123,
  [SMALL_STATE(755)] = 12175,
  [SMALL_STATE(756)] = 12227,
  [SMALL_STATE(757)] = 12279,
  [SMALL_STATE(758)] = 12371,
  [SMALL_STATE(759)] = 12423,
  [SMALL_STATE(760)] = 12475,
  [SMALL_STATE(761)] = 12527,
  [SMALL_STATE(762)] = 12579,
  [SMALL_STATE(763)] = 12634,
  [SMALL_STATE(764)] = 12687,
  [SMALL_STATE(765)] = 12748,
  [SMALL_STATE(766)] = 12799,
  [SMALL_STATE(767)] = 12850,
  [SMALL_STATE(768)] = 12901,
  [SMALL_STATE(769)] = 12954,
  [SMALL_STATE(770)] = 13007,
  [SMALL_STATE(771)] = 13060,
  [SMALL_STATE(772)] = 13113,
  [SMALL_STATE(773)] = 13172,
  [SMALL_STATE(774)] = 13233,
  [SMALL_STATE(775)] = 13294,
  [SMALL_STATE(776)] = 13351,
  [SMALL_STATE(777)] = 13406,
  [SMALL_STATE(778)] = 13461,
  [SMALL_STATE(779)] = 13516,
  [SMALL_STATE(780)] = 13577,
  [SMALL_STATE(781)] = 13632,
  [SMALL_STATE(782)] = 13687,
  [SMALL_STATE(783)] = 13737,
  [SMALL_STATE(784)] = 13787,
  [SMALL_STATE(785)] = 13873,
  [SMALL_STATE(786)] = 13923,
  [SMALL_STATE(787)] = 13985,
  [SMALL_STATE(788)] = 14071,
  [SMALL_STATE(789)] = 14157,
  [SMALL_STATE(790)] = 14207,
  [SMALL_STATE(791)] = 14257,
  [SMALL_STATE(792)] = 14307,
  [SMALL_STATE(793)] = 14393,
  [SMALL_STATE(794)] = 14443,
  [SMALL_STATE(795)] = 14505,
  [SMALL_STATE(796)] = 14555,
  [SMALL_STATE(797)] = 14605,
  [SMALL_STATE(798)] = 14655,
  [SMALL_STATE(799)] = 14705,
  [SMALL_STATE(800)] = 14755,
  [SMALL_STATE(801)] = 14805,
  [SMALL_STATE(802)] = 14855,
  [SMALL_STATE(803)] = 14917,
  [SMALL_STATE(804)] = 14967,
  [SMALL_STATE(805)] = 15017,
  [SMALL_STATE(806)] = 15067,
  [SMALL_STATE(807)] = 15117,
  [SMALL_STATE(808)] = 15172,
  [SMALL_STATE(809)] = 15255,
  [SMALL_STATE(810)] = 15308,
  [SMALL_STATE(811)] = 15363,
  [SMALL_STATE(812)] = 15418,
  [SMALL_STATE(813)] = 15471,
  [SMALL_STATE(814)] = 15520,
  [SMALL_STATE(815)] = 15603,
  [SMALL_STATE(816)] = 15654,
  [SMALL_STATE(817)] = 15705,
  [SMALL_STATE(818)] = 15760,
  [SMALL_STATE(819)] = 15811,
  [SMALL_STATE(820)] = 15894,
  [SMALL_STATE(821)] = 15947,
  [SMALL_STATE(822)] = 16002,
  [SMALL_STATE(823)] = 16055,
  [SMALL_STATE(824)] = 16108,
  [SMALL_STATE(825)] = 16161,
  [SMALL_STATE(826)] = 16214,
  [SMALL_STATE(827)] = 16269,
  [SMALL_STATE(828)] = 16324,
  [SMALL_STATE(829)] = 16407,
  [SMALL_STATE(830)] = 16490,
  [SMALL_STATE(831)] = 16573,
  [SMALL_STATE(832)] = 16626,
  [SMALL_STATE(833)] = 16677,
  [SMALL_STATE(834)] = 16726,
  [SMALL_STATE(835)] = 16781,
  [SMALL_STATE(836)] = 16864,
  [SMALL_STATE(837)] = 16913,
  [SMALL_STATE(838)] = 16968,
  [SMALL_STATE(839)] = 17021,
  [SMALL_STATE(840)] = 17104,
  [SMALL_STATE(841)] = 17187,
  [SMALL_STATE(842)] = 17240,
  [SMALL_STATE(843)] = 17293,
  [SMALL_STATE(844)] = 17376,
  [SMALL_STATE(845)] = 17459,
  [SMALL_STATE(846)] = 17512,
  [SMALL_STATE(847)] = 17567,
  [SMALL_STATE(848)] = 17618,
  [SMALL_STATE(849)] = 17669,
  [SMALL_STATE(850)] = 17752,
  [SMALL_STATE(851)] = 17835,
  [SMALL_STATE(852)] = 17888,
  [SMALL_STATE(853)] = 17943,
  [SMALL_STATE(854)] = 18026,
  [SMALL_STATE(855)] = 18109,
  [SMALL_STATE(856)] = 18162,
  [SMALL_STATE(857)] = 18217,
  [SMALL_STATE(858)] = 18272,
  [SMALL_STATE(859)] = 18323,
  [SMALL_STATE(860)] = 18372,
  [SMALL_STATE(861)] = 18425,
  [SMALL_STATE(862)] = 18480,
  [SMALL_STATE(863)] = 18528,
  [SMALL_STATE(864)] = 18578,
  [SMALL_STATE(865)] = 18626,
  [SMALL_STATE(866)] = 18674,
  [SMALL_STATE(867)] = 18722,
  [SMALL_STATE(868)] = 18770,
  [SMALL_STATE(869)] = 18818,
  [SMALL_STATE(870)] = 18868,
  [SMALL_STATE(871)] = 18916,
  [SMALL_STATE(872)] = 18964,
  [SMALL_STATE(873)] = 19012,
  [SMALL_STATE(874)] = 19060,
  [SMALL_STATE(875)] = 19108,
  [SMALL_STATE(876)] = 19156,
  [SMALL_STATE(877)] = 19204,
  [SMALL_STATE(878)] = 19256,
  [SMALL_STATE(879)] = 19304,
  [SMALL_STATE(880)] = 19352,
  [SMALL_STATE(881)] = 19400,
  [SMALL_STATE(882)] = 19448,
  [SMALL_STATE(883)] = 19496,
  [SMALL_STATE(884)] = 19544,
  [SMALL_STATE(885)] = 19592,
  [SMALL_STATE(886)] = 19640,
  [SMALL_STATE(887)] = 19688,
  [SMALL_STATE(888)] = 19736,
  [SMALL_STATE(889)] = 19784,
  [SMALL_STATE(890)] = 19832,
  [SMALL_STATE(891)] = 19880,
  [SMALL_STATE(892)] = 19928,
  [SMALL_STATE(893)] = 19976,
  [SMALL_STATE(894)] = 20024,
  [SMALL_STATE(895)] = 20072,
  [SMALL_STATE(896)] = 20120,
  [SMALL_STATE(897)] = 20170,
  [SMALL_STATE(898)] = 20218,
  [SMALL_STATE(899)] = 20266,
  [SMALL_STATE(900)] = 20314,
  [SMALL_STATE(901)] = 20362,
  [SMALL_STATE(902)] = 20410,
  [SMALL_STATE(903)] = 20458,
  [SMALL_STATE(904)] = 20506,
  [SMALL_STATE(905)] = 20554,
  [SMALL_STATE(906)] = 20602,
  [SMALL_STATE(907)] = 20650,
  [SMALL_STATE(908)] = 20698,
  [SMALL_STATE(909)] = 20746,
  [SMALL_STATE(910)] = 20794,
  [SMALL_STATE(911)] = 20843,
  [SMALL_STATE(912)] = 20892,
  [SMALL_STATE(913)] = 20941,
  [SMALL_STATE(914)] = 20990,
  [SMALL_STATE(915)] = 21039,
  [SMALL_STATE(916)] = 21085,
  [SMALL_STATE(917)] = 21131,
  [SMALL_STATE(918)] = 21179,
  [SMALL_STATE(919)] = 21225,
  [SMALL_STATE(920)] = 21271,
  [SMALL_STATE(921)] = 21317,
  [SMALL_STATE(922)] = 21363,
  [SMALL_STATE(923)] = 21409,
  [SMALL_STATE(924)] = 21455,
  [SMALL_STATE(925)] = 21501,
  [SMALL_STATE(926)] = 21547,
  [SMALL_STATE(927)] = 21593,
  [SMALL_STATE(928)] = 21639,
  [SMALL_STATE(929)] = 21685,
  [SMALL_STATE(930)] = 21731,
  [SMALL_STATE(931)] = 21777,
  [SMALL_STATE(932)] = 21823,
  [SMALL_STATE(933)] = 21869,
  [SMALL_STATE(934)] = 21915,
  [SMALL_STATE(935)] = 21961,
  [SMALL_STATE(936)] = 22007,
  [SMALL_STATE(937)] = 22053,
  [SMALL_STATE(938)] = 22099,
  [SMALL_STATE(939)] = 22145,
  [SMALL_STATE(940)] = 22191,
  [SMALL_STATE(941)] = 22237,
  [SMALL_STATE(942)] = 22283,
  [SMALL_STATE(943)] = 22329,
  [SMALL_STATE(944)] = 22375,
  [SMALL_STATE(945)] = 22421,
  [SMALL_STATE(946)] = 22467,
  [SMALL_STATE(947)] = 22513,
  [SMALL_STATE(948)] = 22559,
  [SMALL_STATE(949)] = 22605,
  [SMALL_STATE(950)] = 22651,
  [SMALL_STATE(951)] = 22697,
  [SMALL_STATE(952)] = 22743,
  [SMALL_STATE(953)] = 22789,
  [SMALL_STATE(954)] = 22835,
  [SMALL_STATE(955)] = 22881,
  [SMALL_STATE(956)] = 22927,
  [SMALL_STATE(957)] = 22973,
  [SMALL_STATE(958)] = 23019,
  [SMALL_STATE(959)] = 23065,
  [SMALL_STATE(960)] = 23111,
  [SMALL_STATE(961)] = 23157,
  [SMALL_STATE(962)] = 23203,
  [SMALL_STATE(963)] = 23249,
  [SMALL_STATE(964)] = 23295,
  [SMALL_STATE(965)] = 23341,
  [SMALL_STATE(966)] = 23387,
  [SMALL_STATE(967)] = 23433,
  [SMALL_STATE(968)] = 23479,
  [SMALL_STATE(969)] = 23525,
  [SMALL_STATE(970)] = 23571,
  [SMALL_STATE(971)] = 23617,
  [SMALL_STATE(972)] = 23663,
  [SMALL_STATE(973)] = 23709,
  [SMALL_STATE(974)] = 23755,
  [SMALL_STATE(975)] = 23801,
  [SMALL_STATE(976)] = 23847,
  [SMALL_STATE(977)] = 23893,
  [SMALL_STATE(978)] = 23939,
  [SMALL_STATE(979)] = 23985,
  [SMALL_STATE(980)] = 24031,
  [SMALL_STATE(981)] = 24076,
  [SMALL_STATE(982)] = 24125,
  [SMALL_STATE(983)] = 24170,
  [SMALL_STATE(984)] = 24249,
  [SMALL_STATE(985)] = 24298,
  [SMALL_STATE(986)] = 24364,
  [SMALL_STATE(987)] = 24436,
  [SMALL_STATE(988)] = 24518,
  [SMALL_STATE(989)] = 24600,
  [SMALL_STATE(990)] = 24660,
  [SMALL_STATE(991)] = 24724,
  [SMALL_STATE(992)] = 24808,
  [SMALL_STATE(993)] = 24884,
  [SMALL_STATE(994)] = 24966,
  [SMALL_STATE(995)] = 25048,
  [SMALL_STATE(996)] = 25124,
  [SMALL_STATE(997)] = 25206,
  [SMALL_STATE(998)] = 25288,
  [SMALL_STATE(999)] = 25370,
  [SMALL_STATE(1000)] = 25446,
  [SMALL_STATE(1001)] = 25522,
  [SMALL_STATE(1002)] = 25590,
  [SMALL_STATE(1003)] = 25672,
  [SMALL_STATE(1004)] = 25722,
  [SMALL_STATE(1005)] = 25804,
  [SMALL_STATE(1006)] = 25874,
  [SMALL_STATE(1007)] = 25950,
  [SMALL_STATE(1008)] = 25996,
  [SMALL_STATE(1009)] = 26050,
  [SMALL_STATE(1010)] = 26126,
  [SMALL_STATE(1011)] = 26172,
  [SMALL_STATE(1012)] = 26248,
  [SMALL_STATE(1013)] = 26328,
  [SMALL_STATE(1014)] = 26380,
  [SMALL_STATE(1015)] = 26458,
  [SMALL_STATE(1016)] = 26514,
  [SMALL_STATE(1017)] = 26596,
  [SMALL_STATE(1018)] = 26654,
  [SMALL_STATE(1019)] = 26729,
  [SMALL_STATE(1020)] = 26792,
  [SMALL_STATE(1021)] = 26867,
  [SMALL_STATE(1022)] = 26922,
  [SMALL_STATE(1023)] = 26981,
  [SMALL_STATE(1024)] = 27046,
  [SMALL_STATE(1025)] = 27115,
  [SMALL_STATE(1026)] = 27166,
  [SMALL_STATE(1027)] = 27237,
  [SMALL_STATE(1028)] = 27314,
  [SMALL_STATE(1029)] = 27389,
  [SMALL_STATE(1030)] = 27434,
  [SMALL_STATE(1031)] = 27517,
  [SMALL_STATE(1032)] = 27592,
  [SMALL_STATE(1033)] = 27641,
  [SMALL_STATE(1034)] = 27708,
  [SMALL_STATE(1035)] = 27789,
  [SMALL_STATE(1036)] = 27870,
  [SMALL_STATE(1037)] = 27951,
  [SMALL_STATE(1038)] = 28032,
  [SMALL_STATE(1039)] = 28113,
  [SMALL_STATE(1040)] = 28194,
  [SMALL_STATE(1041)] = 28237,
  [SMALL_STATE(1042)] = 28316,
  [SMALL_STATE(1043)] = 28369,
  [SMALL_STATE(1044)] = 28414,
  [SMALL_STATE(1045)] = 28457,
  [SMALL_STATE(1046)] = 28532,
  [SMALL_STATE(1047)] = 28607,
  [SMALL_STATE(1048)] = 28688,
  [SMALL_STATE(1049)] = 28763,
  [SMALL_STATE(1050)] = 28844,
  [SMALL_STATE(1051)] = 28925,
  [SMALL_STATE(1052)] = 28968,
  [SMALL_STATE(1053)] = 29049,
  [SMALL_STATE(1054)] = 29123,
  [SMALL_STATE(1055)] = 29165,
  [SMALL_STATE(1056)] = 29207,
  [SMALL_STATE(1057)] = 29249,
  [SMALL_STATE(1058)] = 29291,
  [SMALL_STATE(1059)] = 29365,
  [SMALL_STATE(1060)] = 29407,
  [SMALL_STATE(1061)] = 29449,
  [SMALL_STATE(1062)] = 29523,
  [SMALL_STATE(1063)] = 29597,
  [SMALL_STATE(1064)] = 29641,
  [SMALL_STATE(1065)] = 29721,
  [SMALL_STATE(1066)] = 29773,
  [SMALL_STATE(1067)] = 29823,
  [SMALL_STATE(1068)] = 29865,
  [SMALL_STATE(1069)] = 29919,
  [SMALL_STATE(1070)] = 29961,
  [SMALL_STATE(1071)] = 30003,
  [SMALL_STATE(1072)] = 30061,
  [SMALL_STATE(1073)] = 30125,
  [SMALL_STATE(1074)] = 30193,
  [SMALL_STATE(1075)] = 30235,
  [SMALL_STATE(1076)] = 30305,
  [SMALL_STATE(1077)] = 30347,
  [SMALL_STATE(1078)] = 30389,
  [SMALL_STATE(1079)] = 30465,
  [SMALL_STATE(1080)] = 30543,
  [SMALL_STATE(1081)] = 30617,
  [SMALL_STATE(1082)] = 30661,
  [SMALL_STATE(1083)] = 30703,
  [SMALL_STATE(1084)] = 30745,
  [SMALL_STATE(1085)] = 30787,
  [SMALL_STATE(1086)] = 30829,
  [SMALL_STATE(1087)] = 30877,
  [SMALL_STATE(1088)] = 30919,
  [SMALL_STATE(1089)] = 30961,
  [SMALL_STATE(1090)] = 31027,
  [SMALL_STATE(1091)] = 31089,
  [SMALL_STATE(1092)] = 31169,
  [SMALL_STATE(1093)] = 31211,
  [SMALL_STATE(1094)] = 31253,
  [SMALL_STATE(1095)] = 31295,
  [SMALL_STATE(1096)] = 31337,
  [SMALL_STATE(1097)] = 31417,
  [SMALL_STATE(1098)] = 31459,
  [SMALL_STATE(1099)] = 31501,
  [SMALL_STATE(1100)] = 31543,
  [SMALL_STATE(1101)] = 31585,
  [SMALL_STATE(1102)] = 31627,
  [SMALL_STATE(1103)] = 31707,
  [SMALL_STATE(1104)] = 31749,
  [SMALL_STATE(1105)] = 31791,
  [SMALL_STATE(1106)] = 31835,
  [SMALL_STATE(1107)] = 31877,
  [SMALL_STATE(1108)] = 31919,
  [SMALL_STATE(1109)] = 31961,
  [SMALL_STATE(1110)] = 32003,
  [SMALL_STATE(1111)] = 32045,
  [SMALL_STATE(1112)] = 32087,
  [SMALL_STATE(1113)] = 32129,
  [SMALL_STATE(1114)] = 32209,
  [SMALL_STATE(1115)] = 32251,
  [SMALL_STATE(1116)] = 32293,
  [SMALL_STATE(1117)] = 32335,
  [SMALL_STATE(1118)] = 32377,
  [SMALL_STATE(1119)] = 32419,
  [SMALL_STATE(1120)] = 32461,
  [SMALL_STATE(1121)] = 32503,
  [SMALL_STATE(1122)] = 32545,
  [SMALL_STATE(1123)] = 32625,
  [SMALL_STATE(1124)] = 32667,
  [SMALL_STATE(1125)] = 32709,
  [SMALL_STATE(1126)] = 32751,
  [SMALL_STATE(1127)] = 32793,
  [SMALL_STATE(1128)] = 32835,
  [SMALL_STATE(1129)] = 32877,
  [SMALL_STATE(1130)] = 32919,
  [SMALL_STATE(1131)] = 32999,
  [SMALL_STATE(1132)] = 33041,
  [SMALL_STATE(1133)] = 33083,
  [SMALL_STATE(1134)] = 33125,
  [SMALL_STATE(1135)] = 33207,
  [SMALL_STATE(1136)] = 33249,
  [SMALL_STATE(1137)] = 33291,
  [SMALL_STATE(1138)] = 33333,
  [SMALL_STATE(1139)] = 33407,
  [SMALL_STATE(1140)] = 33481,
  [SMALL_STATE(1141)] = 33523,
  [SMALL_STATE(1142)] = 33565,
  [SMALL_STATE(1143)] = 33645,
  [SMALL_STATE(1144)] = 33687,
  [SMALL_STATE(1145)] = 33729,
  [SMALL_STATE(1146)] = 33771,
  [SMALL_STATE(1147)] = 33813,
  [SMALL_STATE(1148)] = 33855,
  [SMALL_STATE(1149)] = 33935,
  [SMALL_STATE(1150)] = 33977,
  [SMALL_STATE(1151)] = 34019,
  [SMALL_STATE(1152)] = 34099,
  [SMALL_STATE(1153)] = 34156,
  [SMALL_STATE(1154)] = 34199,
  [SMALL_STATE(1155)] = 34252,
  [SMALL_STATE(1156)] = 34331,
  [SMALL_STATE(1157)] = 34410,
  [SMALL_STATE(1158)] = 34473,
  [SMALL_STATE(1159)] = 34552,
  [SMALL_STATE(1160)] = 34631,
  [SMALL_STATE(1161)] = 34680,
  [SMALL_STATE(1162)] = 34761,
  [SMALL_STATE(1163)] = 34840,
  [SMALL_STATE(1164)] = 34907,
  [SMALL_STATE(1165)] = 34986,
  [SMALL_STATE(1166)] = 35065,
  [SMALL_STATE(1167)] = 35134,
  [SMALL_STATE(1168)] = 35185,
  [SMALL_STATE(1169)] = 35264,
  [SMALL_STATE(1170)] = 35325,
  [SMALL_STATE(1171)] = 35400,
  [SMALL_STATE(1172)] = 35467,
  [SMALL_STATE(1173)] = 35532,
  [SMALL_STATE(1174)] = 35611,
  [SMALL_STATE(1175)] = 35678,
  [SMALL_STATE(1176)] = 35757,
  [SMALL_STATE(1177)] = 35834,
  [SMALL_STATE(1178)] = 35901,
  [SMALL_STATE(1179)] = 35944,
  [SMALL_STATE(1180)] = 36011,
  [SMALL_STATE(1181)] = 36058,
  [SMALL_STATE(1182)] = 36131,
  [SMALL_STATE(1183)] = 36204,
  [SMALL_STATE(1184)] = 36277,
  [SMALL_STATE(1185)] = 36350,
  [SMALL_STATE(1186)] = 36423,
  [SMALL_STATE(1187)] = 36466,
  [SMALL_STATE(1188)] = 36539,
  [SMALL_STATE(1189)] = 36582,
  [SMALL_STATE(1190)] = 36655,
  [SMALL_STATE(1191)] = 36735,
  [SMALL_STATE(1192)] = 36813,
  [SMALL_STATE(1193)] = 36893,
  [SMALL_STATE(1194)] = 36961,
  [SMALL_STATE(1195)] = 37041,
  [SMALL_STATE(1196)] = 37121,
  [SMALL_STATE(1197)] = 37203,
  [SMALL_STATE(1198)] = 37281,
  [SMALL_STATE(1199)] = 37349,
  [SMALL_STATE(1200)] = 37427,
  [SMALL_STATE(1201)] = 37507,
  [SMALL_STATE(1202)] = 37578,
  [SMALL_STATE(1203)] = 37655,
  [SMALL_STATE(1204)] = 37734,
  [SMALL_STATE(1205)] = 37811,
  [SMALL_STATE(1206)] = 37882,
  [SMALL_STATE(1207)] = 37959,
  [SMALL_STATE(1208)] = 38036,
  [SMALL_STATE(1209)] = 38113,
  [SMALL_STATE(1210)] = 38190,
  [SMALL_STATE(1211)] = 38267,
  [SMALL_STATE(1212)] = 38338,
  [SMALL_STATE(1213)] = 38415,
  [SMALL_STATE(1214)] = 38494,
  [SMALL_STATE(1215)] = 38573,
  [SMALL_STATE(1216)] = 38650,
  [SMALL_STATE(1217)] = 38727,
  [SMALL_STATE(1218)] = 38804,
  [SMALL_STATE(1219)] = 38875,
  [SMALL_STATE(1220)] = 38952,
  [SMALL_STATE(1221)] = 39029,
  [SMALL_STATE(1222)] = 39106,
  [SMALL_STATE(1223)] = 39183,
  [SMALL_STATE(1224)] = 39262,
  [SMALL_STATE(1225)] = 39341,
  [SMALL_STATE(1226)] = 39418,
  [SMALL_STATE(1227)] = 39495,
  [SMALL_STATE(1228)] = 39572,
  [SMALL_STATE(1229)] = 39649,
  [SMALL_STATE(1230)] = 39726,
  [SMALL_STATE(1231)] = 39803,
  [SMALL_STATE(1232)] = 39880,
  [SMALL_STATE(1233)] = 39959,
  [SMALL_STATE(1234)] = 40036,
  [SMALL_STATE(1235)] = 40113,
  [SMALL_STATE(1236)] = 40190,
  [SMALL_STATE(1237)] = 40267,
  [SMALL_STATE(1238)] = 40338,
  [SMALL_STATE(1239)] = 40415,
  [SMALL_STATE(1240)] = 40492,
  [SMALL_STATE(1241)] = 40569,
  [SMALL_STATE(1242)] = 40640,
  [SMALL_STATE(1243)] = 40711,
  [SMALL_STATE(1244)] = 40788,
  [SMALL_STATE(1245)] = 40859,
  [SMALL_STATE(1246)] = 40936,
  [SMALL_STATE(1247)] = 41013,
  [SMALL_STATE(1248)] = 41092,
  [SMALL_STATE(1249)] = 41171,
  [SMALL_STATE(1250)] = 41242,
  [SMALL_STATE(1251)] = 41318,
  [SMALL_STATE(1252)] = 41394,
  [SMALL_STATE(1253)] = 41470,
  [SMALL_STATE(1254)] = 41546,
  [SMALL_STATE(1255)] = 41622,
  [SMALL_STATE(1256)] = 41698,
  [SMALL_STATE(1257)] = 41774,
  [SMALL_STATE(1258)] = 41850,
  [SMALL_STATE(1259)] = 41926,
  [SMALL_STATE(1260)] = 42002,
  [SMALL_STATE(1261)] = 42078,
  [SMALL_STATE(1262)] = 42154,
  [SMALL_STATE(1263)] = 42230,
  [SMALL_STATE(1264)] = 42306,
  [SMALL_STATE(1265)] = 42382,
  [SMALL_STATE(1266)] = 42458,
  [SMALL_STATE(1267)] = 42534,
  [SMALL_STATE(1268)] = 42610,
  [SMALL_STATE(1269)] = 42686,
  [SMALL_STATE(1270)] = 42762,
  [SMALL_STATE(1271)] = 42838,
  [SMALL_STATE(1272)] = 42914,
  [SMALL_STATE(1273)] = 42990,
  [SMALL_STATE(1274)] = 43066,
  [SMALL_STATE(1275)] = 43142,
  [SMALL_STATE(1276)] = 43218,
  [SMALL_STATE(1277)] = 43294,
  [SMALL_STATE(1278)] = 43370,
  [SMALL_STATE(1279)] = 43446,
  [SMALL_STATE(1280)] = 43522,
  [SMALL_STATE(1281)] = 43598,
  [SMALL_STATE(1282)] = 43674,
  [SMALL_STATE(1283)] = 43750,
  [SMALL_STATE(1284)] = 43826,
  [SMALL_STATE(1285)] = 43864,
  [SMALL_STATE(1286)] = 43940,
  [SMALL_STATE(1287)] = 44016,
  [SMALL_STATE(1288)] = 44092,
  [SMALL_STATE(1289)] = 44168,
  [SMALL_STATE(1290)] = 44244,
  [SMALL_STATE(1291)] = 44320,
  [SMALL_STATE(1292)] = 44396,
  [SMALL_STATE(1293)] = 44472,
  [SMALL_STATE(1294)] = 44548,
  [SMALL_STATE(1295)] = 44624,
  [SMALL_STATE(1296)] = 44700,
  [SMALL_STATE(1297)] = 44776,
  [SMALL_STATE(1298)] = 44852,
  [SMALL_STATE(1299)] = 44928,
  [SMALL_STATE(1300)] = 45004,
  [SMALL_STATE(1301)] = 45080,
  [SMALL_STATE(1302)] = 45142,
  [SMALL_STATE(1303)] = 45218,
  [SMALL_STATE(1304)] = 45294,
  [SMALL_STATE(1305)] = 45370,
  [SMALL_STATE(1306)] = 45446,
  [SMALL_STATE(1307)] = 45522,
  [SMALL_STATE(1308)] = 45598,
  [SMALL_STATE(1309)] = 45674,
  [SMALL_STATE(1310)] = 45736,
  [SMALL_STATE(1311)] = 45812,
  [SMALL_STATE(1312)] = 45888,
  [SMALL_STATE(1313)] = 45964,
  [SMALL_STATE(1314)] = 46040,
  [SMALL_STATE(1315)] = 46116,
  [SMALL_STATE(1316)] = 46192,
  [SMALL_STATE(1317)] = 46268,
  [SMALL_STATE(1318)] = 46344,
  [SMALL_STATE(1319)] = 46420,
  [SMALL_STATE(1320)] = 46496,
  [SMALL_STATE(1321)] = 46572,
  [SMALL_STATE(1322)] = 46637,
  [SMALL_STATE(1323)] = 46702,
  [SMALL_STATE(1324)] = 46739,
  [SMALL_STATE(1325)] = 46776,
  [SMALL_STATE(1326)] = 46813,
  [SMALL_STATE(1327)] = 46850,
  [SMALL_STATE(1328)] = 46915,
  [SMALL_STATE(1329)] = 46980,
  [SMALL_STATE(1330)] = 47045,
  [SMALL_STATE(1331)] = 47104,
  [SMALL_STATE(1332)] = 47163,
  [SMALL_STATE(1333)] = 47211,
  [SMALL_STATE(1334)] = 47259,
  [SMALL_STATE(1335)] = 47307,
  [SMALL_STATE(1336)] = 47355,
  [SMALL_STATE(1337)] = 47403,
  [SMALL_STATE(1338)] = 47451,
  [SMALL_STATE(1339)] = 47499,
  [SMALL_STATE(1340)] = 47547,
  [SMALL_STATE(1341)] = 47595,
  [SMALL_STATE(1342)] = 47643,
  [SMALL_STATE(1343)] = 47691,
  [SMALL_STATE(1344)] = 47736,
  [SMALL_STATE(1345)] = 47781,
  [SMALL_STATE(1346)] = 47826,
  [SMALL_STATE(1347)] = 47871,
  [SMALL_STATE(1348)] = 47916,
  [SMALL_STATE(1349)] = 47961,
  [SMALL_STATE(1350)] = 47998,
  [SMALL_STATE(1351)] = 48035,
  [SMALL_STATE(1352)] = 48075,
  [SMALL_STATE(1353)] = 48115,
  [SMALL_STATE(1354)] = 48165,
  [SMALL_STATE(1355)] = 48205,
  [SMALL_STATE(1356)] = 48255,
  [SMALL_STATE(1357)] = 48300,
  [SMALL_STATE(1358)] = 48342,
  [SMALL_STATE(1359)] = 48381,
  [SMALL_STATE(1360)] = 48420,
  [SMALL_STATE(1361)] = 48459,
  [SMALL_STATE(1362)] = 48498,
  [SMALL_STATE(1363)] = 48537,
  [SMALL_STATE(1364)] = 48573,
  [SMALL_STATE(1365)] = 48609,
  [SMALL_STATE(1366)] = 48633,
  [SMALL_STATE(1367)] = 48669,
  [SMALL_STATE(1368)] = 48708,
  [SMALL_STATE(1369)] = 48747,
  [SMALL_STATE(1370)] = 48781,
  [SMALL_STATE(1371)] = 48815,
  [SMALL_STATE(1372)] = 48835,
  [SMALL_STATE(1373)] = 48855,
  [SMALL_STATE(1374)] = 48875,
  [SMALL_STATE(1375)] = 48895,
  [SMALL_STATE(1376)] = 48915,
  [SMALL_STATE(1377)] = 48935,
  [SMALL_STATE(1378)] = 48955,
  [SMALL_STATE(1379)] = 48975,
  [SMALL_STATE(1380)] = 48995,
  [SMALL_STATE(1381)] = 49029,
  [SMALL_STATE(1382)] = 49049,
  [SMALL_STATE(1383)] = 49069,
  [SMALL_STATE(1384)] = 49089,
  [SMALL_STATE(1385)] = 49109,
  [SMALL_STATE(1386)] = 49129,
  [SMALL_STATE(1387)] = 49149,
  [SMALL_STATE(1388)] = 49185,
  [SMALL_STATE(1389)] = 49205,
  [SMALL_STATE(1390)] = 49238,
  [SMALL_STATE(1391)] = 49257,
  [SMALL_STATE(1392)] = 49290,
  [SMALL_STATE(1393)] = 49323,
  [SMALL_STATE(1394)] = 49342,
  [SMALL_STATE(1395)] = 49375,
  [SMALL_STATE(1396)] = 49394,
  [SMALL_STATE(1397)] = 49413,
  [SMALL_STATE(1398)] = 49432,
  [SMALL_STATE(1399)] = 49451,
  [SMALL_STATE(1400)] = 49470,
  [SMALL_STATE(1401)] = 49495,
  [SMALL_STATE(1402)] = 49514,
  [SMALL_STATE(1403)] = 49533,
  [SMALL_STATE(1404)] = 49566,
  [SMALL_STATE(1405)] = 49585,
  [SMALL_STATE(1406)] = 49604,
  [SMALL_STATE(1407)] = 49637,
  [SMALL_STATE(1408)] = 49656,
  [SMALL_STATE(1409)] = 49675,
  [SMALL_STATE(1410)] = 49694,
  [SMALL_STATE(1411)] = 49713,
  [SMALL_STATE(1412)] = 49732,
  [SMALL_STATE(1413)] = 49767,
  [SMALL_STATE(1414)] = 49786,
  [SMALL_STATE(1415)] = 49821,
  [SMALL_STATE(1416)] = 49854,
  [SMALL_STATE(1417)] = 49887,
  [SMALL_STATE(1418)] = 49920,
  [SMALL_STATE(1419)] = 49953,
  [SMALL_STATE(1420)] = 49983,
  [SMALL_STATE(1421)] = 50005,
  [SMALL_STATE(1422)] = 50039,
  [SMALL_STATE(1423)] = 50069,
  [SMALL_STATE(1424)] = 50103,
  [SMALL_STATE(1425)] = 50134,
  [SMALL_STATE(1426)] = 50165,
  [SMALL_STATE(1427)] = 50184,
  [SMALL_STATE(1428)] = 50203,
  [SMALL_STATE(1429)] = 50228,
  [SMALL_STATE(1430)] = 50249,
  [SMALL_STATE(1431)] = 50274,
  [SMALL_STATE(1432)] = 50305,
  [SMALL_STATE(1433)] = 50336,
  [SMALL_STATE(1434)] = 50359,
  [SMALL_STATE(1435)] = 50378,
  [SMALL_STATE(1436)] = 50409,
  [SMALL_STATE(1437)] = 50431,
  [SMALL_STATE(1438)] = 50449,
  [SMALL_STATE(1439)] = 50467,
  [SMALL_STATE(1440)] = 50485,
  [SMALL_STATE(1441)] = 50509,
  [SMALL_STATE(1442)] = 50537,
  [SMALL_STATE(1443)] = 50565,
  [SMALL_STATE(1444)] = 50591,
  [SMALL_STATE(1445)] = 50609,
  [SMALL_STATE(1446)] = 50637,
  [SMALL_STATE(1447)] = 50659,
  [SMALL_STATE(1448)] = 50681,
  [SMALL_STATE(1449)] = 50699,
  [SMALL_STATE(1450)] = 50725,
  [SMALL_STATE(1451)] = 50753,
  [SMALL_STATE(1452)] = 50779,
  [SMALL_STATE(1453)] = 50801,
  [SMALL_STATE(1454)] = 50821,
  [SMALL_STATE(1455)] = 50849,
  [SMALL_STATE(1456)] = 50867,
  [SMALL_STATE(1457)] = 50893,
  [SMALL_STATE(1458)] = 50916,
  [SMALL_STATE(1459)] = 50939,
  [SMALL_STATE(1460)] = 50960,
  [SMALL_STATE(1461)] = 50987,
  [SMALL_STATE(1462)] = 51010,
  [SMALL_STATE(1463)] = 51031,
  [SMALL_STATE(1464)] = 51054,
  [SMALL_STATE(1465)] = 51079,
  [SMALL_STATE(1466)] = 51100,
  [SMALL_STATE(1467)] = 51125,
  [SMALL_STATE(1468)] = 51148,
  [SMALL_STATE(1469)] = 51173,
  [SMALL_STATE(1470)] = 51196,
  [SMALL_STATE(1471)] = 51219,
  [SMALL_STATE(1472)] = 51244,
  [SMALL_STATE(1473)] = 51267,
  [SMALL_STATE(1474)] = 51290,
  [SMALL_STATE(1475)] = 51315,
  [SMALL_STATE(1476)] = 51338,
  [SMALL_STATE(1477)] = 51361,
  [SMALL_STATE(1478)] = 51382,
  [SMALL_STATE(1479)] = 51409,
  [SMALL_STATE(1480)] = 51432,
  [SMALL_STATE(1481)] = 51453,
  [SMALL_STATE(1482)] = 51478,
  [SMALL_STATE(1483)] = 51495,
  [SMALL_STATE(1484)] = 51518,
  [SMALL_STATE(1485)] = 51539,
  [SMALL_STATE(1486)] = 51562,
  [SMALL_STATE(1487)] = 51587,
  [SMALL_STATE(1488)] = 51610,
  [SMALL_STATE(1489)] = 51633,
  [SMALL_STATE(1490)] = 51656,
  [SMALL_STATE(1491)] = 51679,
  [SMALL_STATE(1492)] = 51704,
  [SMALL_STATE(1493)] = 51721,
  [SMALL_STATE(1494)] = 51742,
  [SMALL_STATE(1495)] = 51765,
  [SMALL_STATE(1496)] = 51788,
  [SMALL_STATE(1497)] = 51813,
  [SMALL_STATE(1498)] = 51834,
  [SMALL_STATE(1499)] = 51859,
  [SMALL_STATE(1500)] = 51884,
  [SMALL_STATE(1501)] = 51907,
  [SMALL_STATE(1502)] = 51928,
  [SMALL_STATE(1503)] = 51951,
  [SMALL_STATE(1504)] = 51970,
  [SMALL_STATE(1505)] = 51993,
  [SMALL_STATE(1506)] = 52016,
  [SMALL_STATE(1507)] = 52039,
  [SMALL_STATE(1508)] = 52056,
  [SMALL_STATE(1509)] = 52077,
  [SMALL_STATE(1510)] = 52100,
  [SMALL_STATE(1511)] = 52121,
  [SMALL_STATE(1512)] = 52142,
  [SMALL_STATE(1513)] = 52165,
  [SMALL_STATE(1514)] = 52190,
  [SMALL_STATE(1515)] = 52213,
  [SMALL_STATE(1516)] = 52236,
  [SMALL_STATE(1517)] = 52257,
  [SMALL_STATE(1518)] = 52280,
  [SMALL_STATE(1519)] = 52305,
  [SMALL_STATE(1520)] = 52329,
  [SMALL_STATE(1521)] = 52349,
  [SMALL_STATE(1522)] = 52377,
  [SMALL_STATE(1523)] = 52405,
  [SMALL_STATE(1524)] = 52425,
  [SMALL_STATE(1525)] = 52447,
  [SMALL_STATE(1526)] = 52475,
  [SMALL_STATE(1527)] = 52503,
  [SMALL_STATE(1528)] = 52525,
  [SMALL_STATE(1529)] = 52553,
  [SMALL_STATE(1530)] = 52581,
  [SMALL_STATE(1531)] = 52607,
  [SMALL_STATE(1532)] = 52627,
  [SMALL_STATE(1533)] = 52642,
  [SMALL_STATE(1534)] = 52659,
  [SMALL_STATE(1535)] = 52674,
  [SMALL_STATE(1536)] = 52695,
  [SMALL_STATE(1537)] = 52710,
  [SMALL_STATE(1538)] = 52727,
  [SMALL_STATE(1539)] = 52752,
  [SMALL_STATE(1540)] = 52771,
  [SMALL_STATE(1541)] = 52790,
  [SMALL_STATE(1542)] = 52807,
  [SMALL_STATE(1543)] = 52824,
  [SMALL_STATE(1544)] = 52841,
  [SMALL_STATE(1545)] = 52858,
  [SMALL_STATE(1546)] = 52875,
  [SMALL_STATE(1547)] = 52892,
  [SMALL_STATE(1548)] = 52907,
  [SMALL_STATE(1549)] = 52922,
  [SMALL_STATE(1550)] = 52945,
  [SMALL_STATE(1551)] = 52960,
  [SMALL_STATE(1552)] = 52979,
  [SMALL_STATE(1553)] = 52994,
  [SMALL_STATE(1554)] = 53011,
  [SMALL_STATE(1555)] = 53026,
  [SMALL_STATE(1556)] = 53041,
  [SMALL_STATE(1557)] = 53058,
  [SMALL_STATE(1558)] = 53075,
  [SMALL_STATE(1559)] = 53090,
  [SMALL_STATE(1560)] = 53107,
  [SMALL_STATE(1561)] = 53128,
  [SMALL_STATE(1562)] = 53145,
  [SMALL_STATE(1563)] = 53162,
  [SMALL_STATE(1564)] = 53179,
  [SMALL_STATE(1565)] = 53196,
  [SMALL_STATE(1566)] = 53213,
  [SMALL_STATE(1567)] = 53230,
  [SMALL_STATE(1568)] = 53247,
  [SMALL_STATE(1569)] = 53268,
  [SMALL_STATE(1570)] = 53289,
  [SMALL_STATE(1571)] = 53308,
  [SMALL_STATE(1572)] = 53325,
  [SMALL_STATE(1573)] = 53340,
  [SMALL_STATE(1574)] = 53357,
  [SMALL_STATE(1575)] = 53372,
  [SMALL_STATE(1576)] = 53394,
  [SMALL_STATE(1577)] = 53416,
  [SMALL_STATE(1578)] = 53436,
  [SMALL_STATE(1579)] = 53450,
  [SMALL_STATE(1580)] = 53472,
  [SMALL_STATE(1581)] = 53490,
  [SMALL_STATE(1582)] = 53508,
  [SMALL_STATE(1583)] = 53522,
  [SMALL_STATE(1584)] = 53542,
  [SMALL_STATE(1585)] = 53564,
  [SMALL_STATE(1586)] = 53586,
  [SMALL_STATE(1587)] = 53608,
  [SMALL_STATE(1588)] = 53630,
  [SMALL_STATE(1589)] = 53644,
  [SMALL_STATE(1590)] = 53662,
  [SMALL_STATE(1591)] = 53680,
  [SMALL_STATE(1592)] = 53702,
  [SMALL_STATE(1593)] = 53724,
  [SMALL_STATE(1594)] = 53738,
  [SMALL_STATE(1595)] = 53752,
  [SMALL_STATE(1596)] = 53774,
  [SMALL_STATE(1597)] = 53788,
  [SMALL_STATE(1598)] = 53810,
  [SMALL_STATE(1599)] = 53824,
  [SMALL_STATE(1600)] = 53846,
  [SMALL_STATE(1601)] = 53868,
  [SMALL_STATE(1602)] = 53890,
  [SMALL_STATE(1603)] = 53912,
  [SMALL_STATE(1604)] = 53934,
  [SMALL_STATE(1605)] = 53952,
  [SMALL_STATE(1606)] = 53970,
  [SMALL_STATE(1607)] = 53992,
  [SMALL_STATE(1608)] = 54014,
  [SMALL_STATE(1609)] = 54036,
  [SMALL_STATE(1610)] = 54054,
  [SMALL_STATE(1611)] = 54074,
  [SMALL_STATE(1612)] = 54096,
  [SMALL_STATE(1613)] = 54110,
  [SMALL_STATE(1614)] = 54132,
  [SMALL_STATE(1615)] = 54150,
  [SMALL_STATE(1616)] = 54170,
  [SMALL_STATE(1617)] = 54184,
  [SMALL_STATE(1618)] = 54206,
  [SMALL_STATE(1619)] = 54228,
  [SMALL_STATE(1620)] = 54250,
  [SMALL_STATE(1621)] = 54270,
  [SMALL_STATE(1622)] = 54288,
  [SMALL_STATE(1623)] = 54308,
  [SMALL_STATE(1624)] = 54326,
  [SMALL_STATE(1625)] = 54346,
  [SMALL_STATE(1626)] = 54364,
  [SMALL_STATE(1627)] = 54384,
  [SMALL_STATE(1628)] = 54406,
  [SMALL_STATE(1629)] = 54420,
  [SMALL_STATE(1630)] = 54442,
  [SMALL_STATE(1631)] = 54464,
  [SMALL_STATE(1632)] = 54486,
  [SMALL_STATE(1633)] = 54508,
  [SMALL_STATE(1634)] = 54522,
  [SMALL_STATE(1635)] = 54536,
  [SMALL_STATE(1636)] = 54558,
  [SMALL_STATE(1637)] = 54580,
  [SMALL_STATE(1638)] = 54602,
  [SMALL_STATE(1639)] = 54620,
  [SMALL_STATE(1640)] = 54642,
  [SMALL_STATE(1641)] = 54658,
  [SMALL_STATE(1642)] = 54680,
  [SMALL_STATE(1643)] = 54694,
  [SMALL_STATE(1644)] = 54712,
  [SMALL_STATE(1645)] = 54734,
  [SMALL_STATE(1646)] = 54748,
  [SMALL_STATE(1647)] = 54762,
  [SMALL_STATE(1648)] = 54776,
  [SMALL_STATE(1649)] = 54796,
  [SMALL_STATE(1650)] = 54818,
  [SMALL_STATE(1651)] = 54833,
  [SMALL_STATE(1652)] = 54848,
  [SMALL_STATE(1653)] = 54867,
  [SMALL_STATE(1654)] = 54882,
  [SMALL_STATE(1655)] = 54897,
  [SMALL_STATE(1656)] = 54916,
  [SMALL_STATE(1657)] = 54927,
  [SMALL_STATE(1658)] = 54938,
  [SMALL_STATE(1659)] = 54957,
  [SMALL_STATE(1660)] = 54972,
  [SMALL_STATE(1661)] = 54991,
  [SMALL_STATE(1662)] = 55002,
  [SMALL_STATE(1663)] = 55021,
  [SMALL_STATE(1664)] = 55036,
  [SMALL_STATE(1665)] = 55051,
  [SMALL_STATE(1666)] = 55066,
  [SMALL_STATE(1667)] = 55081,
  [SMALL_STATE(1668)] = 55096,
  [SMALL_STATE(1669)] = 55115,
  [SMALL_STATE(1670)] = 55130,
  [SMALL_STATE(1671)] = 55149,
  [SMALL_STATE(1672)] = 55168,
  [SMALL_STATE(1673)] = 55183,
  [SMALL_STATE(1674)] = 55200,
  [SMALL_STATE(1675)] = 55217,
  [SMALL_STATE(1676)] = 55234,
  [SMALL_STATE(1677)] = 55247,
  [SMALL_STATE(1678)] = 55262,
  [SMALL_STATE(1679)] = 55277,
  [SMALL_STATE(1680)] = 55292,
  [SMALL_STATE(1681)] = 55307,
  [SMALL_STATE(1682)] = 55326,
  [SMALL_STATE(1683)] = 55345,
  [SMALL_STATE(1684)] = 55360,
  [SMALL_STATE(1685)] = 55377,
  [SMALL_STATE(1686)] = 55396,
  [SMALL_STATE(1687)] = 55411,
  [SMALL_STATE(1688)] = 55430,
  [SMALL_STATE(1689)] = 55445,
  [SMALL_STATE(1690)] = 55462,
  [SMALL_STATE(1691)] = 55477,
  [SMALL_STATE(1692)] = 55496,
  [SMALL_STATE(1693)] = 55513,
  [SMALL_STATE(1694)] = 55528,
  [SMALL_STATE(1695)] = 55541,
  [SMALL_STATE(1696)] = 55554,
  [SMALL_STATE(1697)] = 55569,
  [SMALL_STATE(1698)] = 55584,
  [SMALL_STATE(1699)] = 55603,
  [SMALL_STATE(1700)] = 55620,
  [SMALL_STATE(1701)] = 55637,
  [SMALL_STATE(1702)] = 55656,
  [SMALL_STATE(1703)] = 55671,
  [SMALL_STATE(1704)] = 55688,
  [SMALL_STATE(1705)] = 55703,
  [SMALL_STATE(1706)] = 55718,
  [SMALL_STATE(1707)] = 55735,
  [SMALL_STATE(1708)] = 55750,
  [SMALL_STATE(1709)] = 55769,
  [SMALL_STATE(1710)] = 55786,
  [SMALL_STATE(1711)] = 55801,
  [SMALL_STATE(1712)] = 55816,
  [SMALL_STATE(1713)] = 55833,
  [SMALL_STATE(1714)] = 55850,
  [SMALL_STATE(1715)] = 55867,
  [SMALL_STATE(1716)] = 55882,
  [SMALL_STATE(1717)] = 55899,
  [SMALL_STATE(1718)] = 55916,
  [SMALL_STATE(1719)] = 55931,
  [SMALL_STATE(1720)] = 55946,
  [SMALL_STATE(1721)] = 55965,
  [SMALL_STATE(1722)] = 55980,
  [SMALL_STATE(1723)] = 55999,
  [SMALL_STATE(1724)] = 56014,
  [SMALL_STATE(1725)] = 56033,
  [SMALL_STATE(1726)] = 56052,
  [SMALL_STATE(1727)] = 56067,
  [SMALL_STATE(1728)] = 56082,
  [SMALL_STATE(1729)] = 56097,
  [SMALL_STATE(1730)] = 56116,
  [SMALL_STATE(1731)] = 56135,
  [SMALL_STATE(1732)] = 56154,
  [SMALL_STATE(1733)] = 56169,
  [SMALL_STATE(1734)] = 56186,
  [SMALL_STATE(1735)] = 56205,
  [SMALL_STATE(1736)] = 56220,
  [SMALL_STATE(1737)] = 56237,
  [SMALL_STATE(1738)] = 56252,
  [SMALL_STATE(1739)] = 56267,
  [SMALL_STATE(1740)] = 56282,
  [SMALL_STATE(1741)] = 56298,
  [SMALL_STATE(1742)] = 56312,
  [SMALL_STATE(1743)] = 56322,
  [SMALL_STATE(1744)] = 56336,
  [SMALL_STATE(1745)] = 56346,
  [SMALL_STATE(1746)] = 56356,
  [SMALL_STATE(1747)] = 56372,
  [SMALL_STATE(1748)] = 56384,
  [SMALL_STATE(1749)] = 56400,
  [SMALL_STATE(1750)] = 56416,
  [SMALL_STATE(1751)] = 56432,
  [SMALL_STATE(1752)] = 56446,
  [SMALL_STATE(1753)] = 56462,
  [SMALL_STATE(1754)] = 56478,
  [SMALL_STATE(1755)] = 56492,
  [SMALL_STATE(1756)] = 56508,
  [SMALL_STATE(1757)] = 56522,
  [SMALL_STATE(1758)] = 56538,
  [SMALL_STATE(1759)] = 56548,
  [SMALL_STATE(1760)] = 56562,
  [SMALL_STATE(1761)] = 56578,
  [SMALL_STATE(1762)] = 56594,
  [SMALL_STATE(1763)] = 56610,
  [SMALL_STATE(1764)] = 56626,
  [SMALL_STATE(1765)] = 56642,
  [SMALL_STATE(1766)] = 56656,
  [SMALL_STATE(1767)] = 56670,
  [SMALL_STATE(1768)] = 56686,
  [SMALL_STATE(1769)] = 56700,
  [SMALL_STATE(1770)] = 56716,
  [SMALL_STATE(1771)] = 56732,
  [SMALL_STATE(1772)] = 56746,
  [SMALL_STATE(1773)] = 56756,
  [SMALL_STATE(1774)] = 56770,
  [SMALL_STATE(1775)] = 56784,
  [SMALL_STATE(1776)] = 56794,
  [SMALL_STATE(1777)] = 56810,
  [SMALL_STATE(1778)] = 56820,
  [SMALL_STATE(1779)] = 56836,
  [SMALL_STATE(1780)] = 56852,
  [SMALL_STATE(1781)] = 56868,
  [SMALL_STATE(1782)] = 56878,
  [SMALL_STATE(1783)] = 56888,
  [SMALL_STATE(1784)] = 56904,
  [SMALL_STATE(1785)] = 56916,
  [SMALL_STATE(1786)] = 56926,
  [SMALL_STATE(1787)] = 56940,
  [SMALL_STATE(1788)] = 56954,
  [SMALL_STATE(1789)] = 56970,
  [SMALL_STATE(1790)] = 56984,
  [SMALL_STATE(1791)] = 56998,
  [SMALL_STATE(1792)] = 57014,
  [SMALL_STATE(1793)] = 57030,
  [SMALL_STATE(1794)] = 57046,
  [SMALL_STATE(1795)] = 57062,
  [SMALL_STATE(1796)] = 57078,
  [SMALL_STATE(1797)] = 57094,
  [SMALL_STATE(1798)] = 57108,
  [SMALL_STATE(1799)] = 57118,
  [SMALL_STATE(1800)] = 57134,
  [SMALL_STATE(1801)] = 57150,
  [SMALL_STATE(1802)] = 57164,
  [SMALL_STATE(1803)] = 57180,
  [SMALL_STATE(1804)] = 57194,
  [SMALL_STATE(1805)] = 57208,
  [SMALL_STATE(1806)] = 57222,
  [SMALL_STATE(1807)] = 57236,
  [SMALL_STATE(1808)] = 57252,
  [SMALL_STATE(1809)] = 57266,
  [SMALL_STATE(1810)] = 57280,
  [SMALL_STATE(1811)] = 57290,
  [SMALL_STATE(1812)] = 57306,
  [SMALL_STATE(1813)] = 57320,
  [SMALL_STATE(1814)] = 57334,
  [SMALL_STATE(1815)] = 57348,
  [SMALL_STATE(1816)] = 57364,
  [SMALL_STATE(1817)] = 57378,
  [SMALL_STATE(1818)] = 57394,
  [SMALL_STATE(1819)] = 57410,
  [SMALL_STATE(1820)] = 57424,
  [SMALL_STATE(1821)] = 57438,
  [SMALL_STATE(1822)] = 57452,
  [SMALL_STATE(1823)] = 57466,
  [SMALL_STATE(1824)] = 57480,
  [SMALL_STATE(1825)] = 57492,
  [SMALL_STATE(1826)] = 57508,
  [SMALL_STATE(1827)] = 57524,
  [SMALL_STATE(1828)] = 57540,
  [SMALL_STATE(1829)] = 57550,
  [SMALL_STATE(1830)] = 57566,
  [SMALL_STATE(1831)] = 57580,
  [SMALL_STATE(1832)] = 57596,
  [SMALL_STATE(1833)] = 57612,
  [SMALL_STATE(1834)] = 57626,
  [SMALL_STATE(1835)] = 57642,
  [SMALL_STATE(1836)] = 57656,
  [SMALL_STATE(1837)] = 57670,
  [SMALL_STATE(1838)] = 57686,
  [SMALL_STATE(1839)] = 57700,
  [SMALL_STATE(1840)] = 57716,
  [SMALL_STATE(1841)] = 57726,
  [SMALL_STATE(1842)] = 57740,
  [SMALL_STATE(1843)] = 57750,
  [SMALL_STATE(1844)] = 57766,
  [SMALL_STATE(1845)] = 57782,
  [SMALL_STATE(1846)] = 57798,
  [SMALL_STATE(1847)] = 57814,
  [SMALL_STATE(1848)] = 57828,
  [SMALL_STATE(1849)] = 57842,
  [SMALL_STATE(1850)] = 57858,
  [SMALL_STATE(1851)] = 57868,
  [SMALL_STATE(1852)] = 57882,
  [SMALL_STATE(1853)] = 57892,
  [SMALL_STATE(1854)] = 57906,
  [SMALL_STATE(1855)] = 57920,
  [SMALL_STATE(1856)] = 57934,
  [SMALL_STATE(1857)] = 57950,
  [SMALL_STATE(1858)] = 57964,
  [SMALL_STATE(1859)] = 57974,
  [SMALL_STATE(1860)] = 57986,
  [SMALL_STATE(1861)] = 58000,
  [SMALL_STATE(1862)] = 58014,
  [SMALL_STATE(1863)] = 58030,
  [SMALL_STATE(1864)] = 58046,
  [SMALL_STATE(1865)] = 58062,
  [SMALL_STATE(1866)] = 58076,
  [SMALL_STATE(1867)] = 58090,
  [SMALL_STATE(1868)] = 58104,
  [SMALL_STATE(1869)] = 58118,
  [SMALL_STATE(1870)] = 58130,
  [SMALL_STATE(1871)] = 58140,
  [SMALL_STATE(1872)] = 58156,
  [SMALL_STATE(1873)] = 58170,
  [SMALL_STATE(1874)] = 58184,
  [SMALL_STATE(1875)] = 58200,
  [SMALL_STATE(1876)] = 58214,
  [SMALL_STATE(1877)] = 58228,
  [SMALL_STATE(1878)] = 58242,
  [SMALL_STATE(1879)] = 58258,
  [SMALL_STATE(1880)] = 58272,
  [SMALL_STATE(1881)] = 58288,
  [SMALL_STATE(1882)] = 58304,
  [SMALL_STATE(1883)] = 58318,
  [SMALL_STATE(1884)] = 58332,
  [SMALL_STATE(1885)] = 58346,
  [SMALL_STATE(1886)] = 58362,
  [SMALL_STATE(1887)] = 58376,
  [SMALL_STATE(1888)] = 58392,
  [SMALL_STATE(1889)] = 58403,
  [SMALL_STATE(1890)] = 58414,
  [SMALL_STATE(1891)] = 58427,
  [SMALL_STATE(1892)] = 58438,
  [SMALL_STATE(1893)] = 58449,
  [SMALL_STATE(1894)] = 58462,
  [SMALL_STATE(1895)] = 58473,
  [SMALL_STATE(1896)] = 58486,
  [SMALL_STATE(1897)] = 58499,
  [SMALL_STATE(1898)] = 58510,
  [SMALL_STATE(1899)] = 58521,
  [SMALL_STATE(1900)] = 58530,
  [SMALL_STATE(1901)] = 58539,
  [SMALL_STATE(1902)] = 58550,
  [SMALL_STATE(1903)] = 58563,
  [SMALL_STATE(1904)] = 58574,
  [SMALL_STATE(1905)] = 58585,
  [SMALL_STATE(1906)] = 58596,
  [SMALL_STATE(1907)] = 58607,
  [SMALL_STATE(1908)] = 58618,
  [SMALL_STATE(1909)] = 58631,
  [SMALL_STATE(1910)] = 58644,
  [SMALL_STATE(1911)] = 58657,
  [SMALL_STATE(1912)] = 58666,
  [SMALL_STATE(1913)] = 58675,
  [SMALL_STATE(1914)] = 58686,
  [SMALL_STATE(1915)] = 58695,
  [SMALL_STATE(1916)] = 58708,
  [SMALL_STATE(1917)] = 58719,
  [SMALL_STATE(1918)] = 58730,
  [SMALL_STATE(1919)] = 58741,
  [SMALL_STATE(1920)] = 58754,
  [SMALL_STATE(1921)] = 58763,
  [SMALL_STATE(1922)] = 58776,
  [SMALL_STATE(1923)] = 58789,
  [SMALL_STATE(1924)] = 58800,
  [SMALL_STATE(1925)] = 58811,
  [SMALL_STATE(1926)] = 58822,
  [SMALL_STATE(1927)] = 58833,
  [SMALL_STATE(1928)] = 58844,
  [SMALL_STATE(1929)] = 58857,
  [SMALL_STATE(1930)] = 58868,
  [SMALL_STATE(1931)] = 58879,
  [SMALL_STATE(1932)] = 58890,
  [SMALL_STATE(1933)] = 58901,
  [SMALL_STATE(1934)] = 58914,
  [SMALL_STATE(1935)] = 58925,
  [SMALL_STATE(1936)] = 58936,
  [SMALL_STATE(1937)] = 58947,
  [SMALL_STATE(1938)] = 58960,
  [SMALL_STATE(1939)] = 58971,
  [SMALL_STATE(1940)] = 58982,
  [SMALL_STATE(1941)] = 58993,
  [SMALL_STATE(1942)] = 59006,
  [SMALL_STATE(1943)] = 59019,
  [SMALL_STATE(1944)] = 59032,
  [SMALL_STATE(1945)] = 59043,
  [SMALL_STATE(1946)] = 59056,
  [SMALL_STATE(1947)] = 59067,
  [SMALL_STATE(1948)] = 59080,
  [SMALL_STATE(1949)] = 59093,
  [SMALL_STATE(1950)] = 59106,
  [SMALL_STATE(1951)] = 59117,
  [SMALL_STATE(1952)] = 59130,
  [SMALL_STATE(1953)] = 59143,
  [SMALL_STATE(1954)] = 59156,
  [SMALL_STATE(1955)] = 59169,
  [SMALL_STATE(1956)] = 59182,
  [SMALL_STATE(1957)] = 59195,
  [SMALL_STATE(1958)] = 59204,
  [SMALL_STATE(1959)] = 59217,
  [SMALL_STATE(1960)] = 59226,
  [SMALL_STATE(1961)] = 59239,
  [SMALL_STATE(1962)] = 59252,
  [SMALL_STATE(1963)] = 59263,
  [SMALL_STATE(1964)] = 59272,
  [SMALL_STATE(1965)] = 59285,
  [SMALL_STATE(1966)] = 59294,
  [SMALL_STATE(1967)] = 59305,
  [SMALL_STATE(1968)] = 59318,
  [SMALL_STATE(1969)] = 59329,
  [SMALL_STATE(1970)] = 59340,
  [SMALL_STATE(1971)] = 59351,
  [SMALL_STATE(1972)] = 59360,
  [SMALL_STATE(1973)] = 59371,
  [SMALL_STATE(1974)] = 59380,
  [SMALL_STATE(1975)] = 59391,
  [SMALL_STATE(1976)] = 59404,
  [SMALL_STATE(1977)] = 59417,
  [SMALL_STATE(1978)] = 59426,
  [SMALL_STATE(1979)] = 59439,
  [SMALL_STATE(1980)] = 59452,
  [SMALL_STATE(1981)] = 59465,
  [SMALL_STATE(1982)] = 59476,
  [SMALL_STATE(1983)] = 59487,
  [SMALL_STATE(1984)] = 59500,
  [SMALL_STATE(1985)] = 59511,
  [SMALL_STATE(1986)] = 59522,
  [SMALL_STATE(1987)] = 59535,
  [SMALL_STATE(1988)] = 59546,
  [SMALL_STATE(1989)] = 59559,
  [SMALL_STATE(1990)] = 59570,
  [SMALL_STATE(1991)] = 59581,
  [SMALL_STATE(1992)] = 59592,
  [SMALL_STATE(1993)] = 59603,
  [SMALL_STATE(1994)] = 59614,
  [SMALL_STATE(1995)] = 59627,
  [SMALL_STATE(1996)] = 59638,
  [SMALL_STATE(1997)] = 59649,
  [SMALL_STATE(1998)] = 59662,
  [SMALL_STATE(1999)] = 59673,
  [SMALL_STATE(2000)] = 59686,
  [SMALL_STATE(2001)] = 59697,
  [SMALL_STATE(2002)] = 59710,
  [SMALL_STATE(2003)] = 59721,
  [SMALL_STATE(2004)] = 59732,
  [SMALL_STATE(2005)] = 59741,
  [SMALL_STATE(2006)] = 59750,
  [SMALL_STATE(2007)] = 59763,
  [SMALL_STATE(2008)] = 59772,
  [SMALL_STATE(2009)] = 59785,
  [SMALL_STATE(2010)] = 59798,
  [SMALL_STATE(2011)] = 59809,
  [SMALL_STATE(2012)] = 59820,
  [SMALL_STATE(2013)] = 59833,
  [SMALL_STATE(2014)] = 59846,
  [SMALL_STATE(2015)] = 59859,
  [SMALL_STATE(2016)] = 59870,
  [SMALL_STATE(2017)] = 59883,
  [SMALL_STATE(2018)] = 59894,
  [SMALL_STATE(2019)] = 59905,
  [SMALL_STATE(2020)] = 59916,
  [SMALL_STATE(2021)] = 59929,
  [SMALL_STATE(2022)] = 59940,
  [SMALL_STATE(2023)] = 59951,
  [SMALL_STATE(2024)] = 59964,
  [SMALL_STATE(2025)] = 59975,
  [SMALL_STATE(2026)] = 59986,
  [SMALL_STATE(2027)] = 59997,
  [SMALL_STATE(2028)] = 60008,
  [SMALL_STATE(2029)] = 60021,
  [SMALL_STATE(2030)] = 60032,
  [SMALL_STATE(2031)] = 60045,
  [SMALL_STATE(2032)] = 60056,
  [SMALL_STATE(2033)] = 60069,
  [SMALL_STATE(2034)] = 60080,
  [SMALL_STATE(2035)] = 60091,
  [SMALL_STATE(2036)] = 60100,
  [SMALL_STATE(2037)] = 60113,
  [SMALL_STATE(2038)] = 60122,
  [SMALL_STATE(2039)] = 60135,
  [SMALL_STATE(2040)] = 60148,
  [SMALL_STATE(2041)] = 60161,
  [SMALL_STATE(2042)] = 60172,
  [SMALL_STATE(2043)] = 60185,
  [SMALL_STATE(2044)] = 60196,
  [SMALL_STATE(2045)] = 60205,
  [SMALL_STATE(2046)] = 60218,
  [SMALL_STATE(2047)] = 60229,
  [SMALL_STATE(2048)] = 60242,
  [SMALL_STATE(2049)] = 60253,
  [SMALL_STATE(2050)] = 60264,
  [SMALL_STATE(2051)] = 60277,
  [SMALL_STATE(2052)] = 60290,
  [SMALL_STATE(2053)] = 60301,
  [SMALL_STATE(2054)] = 60312,
  [SMALL_STATE(2055)] = 60325,
  [SMALL_STATE(2056)] = 60336,
  [SMALL_STATE(2057)] = 60347,
  [SMALL_STATE(2058)] = 60360,
  [SMALL_STATE(2059)] = 60371,
  [SMALL_STATE(2060)] = 60382,
  [SMALL_STATE(2061)] = 60393,
  [SMALL_STATE(2062)] = 60404,
  [SMALL_STATE(2063)] = 60417,
  [SMALL_STATE(2064)] = 60430,
  [SMALL_STATE(2065)] = 60441,
  [SMALL_STATE(2066)] = 60452,
  [SMALL_STATE(2067)] = 60465,
  [SMALL_STATE(2068)] = 60476,
  [SMALL_STATE(2069)] = 60487,
  [SMALL_STATE(2070)] = 60498,
  [SMALL_STATE(2071)] = 60511,
  [SMALL_STATE(2072)] = 60522,
  [SMALL_STATE(2073)] = 60533,
  [SMALL_STATE(2074)] = 60546,
  [SMALL_STATE(2075)] = 60559,
  [SMALL_STATE(2076)] = 60572,
  [SMALL_STATE(2077)] = 60583,
  [SMALL_STATE(2078)] = 60596,
  [SMALL_STATE(2079)] = 60605,
  [SMALL_STATE(2080)] = 60618,
  [SMALL_STATE(2081)] = 60627,
  [SMALL_STATE(2082)] = 60640,
  [SMALL_STATE(2083)] = 60653,
  [SMALL_STATE(2084)] = 60664,
  [SMALL_STATE(2085)] = 60675,
  [SMALL_STATE(2086)] = 60688,
  [SMALL_STATE(2087)] = 60699,
  [SMALL_STATE(2088)] = 60710,
  [SMALL_STATE(2089)] = 60721,
  [SMALL_STATE(2090)] = 60732,
  [SMALL_STATE(2091)] = 60745,
  [SMALL_STATE(2092)] = 60754,
  [SMALL_STATE(2093)] = 60763,
  [SMALL_STATE(2094)] = 60776,
  [SMALL_STATE(2095)] = 60789,
  [SMALL_STATE(2096)] = 60800,
  [SMALL_STATE(2097)] = 60813,
  [SMALL_STATE(2098)] = 60824,
  [SMALL_STATE(2099)] = 60837,
  [SMALL_STATE(2100)] = 60850,
  [SMALL_STATE(2101)] = 60861,
  [SMALL_STATE(2102)] = 60872,
  [SMALL_STATE(2103)] = 60885,
  [SMALL_STATE(2104)] = 60896,
  [SMALL_STATE(2105)] = 60907,
  [SMALL_STATE(2106)] = 60918,
  [SMALL_STATE(2107)] = 60931,
  [SMALL_STATE(2108)] = 60940,
  [SMALL_STATE(2109)] = 60951,
  [SMALL_STATE(2110)] = 60962,
  [SMALL_STATE(2111)] = 60971,
  [SMALL_STATE(2112)] = 60982,
  [SMALL_STATE(2113)] = 60993,
  [SMALL_STATE(2114)] = 61006,
  [SMALL_STATE(2115)] = 61019,
  [SMALL_STATE(2116)] = 61032,
  [SMALL_STATE(2117)] = 61045,
  [SMALL_STATE(2118)] = 61058,
  [SMALL_STATE(2119)] = 61071,
  [SMALL_STATE(2120)] = 61082,
  [SMALL_STATE(2121)] = 61095,
  [SMALL_STATE(2122)] = 61106,
  [SMALL_STATE(2123)] = 61117,
  [SMALL_STATE(2124)] = 61130,
  [SMALL_STATE(2125)] = 61143,
  [SMALL_STATE(2126)] = 61154,
  [SMALL_STATE(2127)] = 61165,
  [SMALL_STATE(2128)] = 61176,
  [SMALL_STATE(2129)] = 61189,
  [SMALL_STATE(2130)] = 61200,
  [SMALL_STATE(2131)] = 61211,
  [SMALL_STATE(2132)] = 61224,
  [SMALL_STATE(2133)] = 61235,
  [SMALL_STATE(2134)] = 61246,
  [SMALL_STATE(2135)] = 61259,
  [SMALL_STATE(2136)] = 61270,
  [SMALL_STATE(2137)] = 61283,
  [SMALL_STATE(2138)] = 61296,
  [SMALL_STATE(2139)] = 61307,
  [SMALL_STATE(2140)] = 61318,
  [SMALL_STATE(2141)] = 61329,
  [SMALL_STATE(2142)] = 61340,
  [SMALL_STATE(2143)] = 61351,
  [SMALL_STATE(2144)] = 61364,
  [SMALL_STATE(2145)] = 61377,
  [SMALL_STATE(2146)] = 61388,
  [SMALL_STATE(2147)] = 61401,
  [SMALL_STATE(2148)] = 61412,
  [SMALL_STATE(2149)] = 61425,
  [SMALL_STATE(2150)] = 61438,
  [SMALL_STATE(2151)] = 61449,
  [SMALL_STATE(2152)] = 61459,
  [SMALL_STATE(2153)] = 61469,
  [SMALL_STATE(2154)] = 61479,
  [SMALL_STATE(2155)] = 61487,
  [SMALL_STATE(2156)] = 61495,
  [SMALL_STATE(2157)] = 61505,
  [SMALL_STATE(2158)] = 61515,
  [SMALL_STATE(2159)] = 61525,
  [SMALL_STATE(2160)] = 61535,
  [SMALL_STATE(2161)] = 61543,
  [SMALL_STATE(2162)] = 61553,
  [SMALL_STATE(2163)] = 61563,
  [SMALL_STATE(2164)] = 61573,
  [SMALL_STATE(2165)] = 61583,
  [SMALL_STATE(2166)] = 61593,
  [SMALL_STATE(2167)] = 61603,
  [SMALL_STATE(2168)] = 61613,
  [SMALL_STATE(2169)] = 61623,
  [SMALL_STATE(2170)] = 61633,
  [SMALL_STATE(2171)] = 61643,
  [SMALL_STATE(2172)] = 61653,
  [SMALL_STATE(2173)] = 61661,
  [SMALL_STATE(2174)] = 61669,
  [SMALL_STATE(2175)] = 61679,
  [SMALL_STATE(2176)] = 61689,
  [SMALL_STATE(2177)] = 61699,
  [SMALL_STATE(2178)] = 61707,
  [SMALL_STATE(2179)] = 61717,
  [SMALL_STATE(2180)] = 61727,
  [SMALL_STATE(2181)] = 61737,
  [SMALL_STATE(2182)] = 61747,
  [SMALL_STATE(2183)] = 61755,
  [SMALL_STATE(2184)] = 61765,
  [SMALL_STATE(2185)] = 61775,
  [SMALL_STATE(2186)] = 61785,
  [SMALL_STATE(2187)] = 61793,
  [SMALL_STATE(2188)] = 61803,
  [SMALL_STATE(2189)] = 61813,
  [SMALL_STATE(2190)] = 61821,
  [SMALL_STATE(2191)] = 61831,
  [SMALL_STATE(2192)] = 61841,
  [SMALL_STATE(2193)] = 61849,
  [SMALL_STATE(2194)] = 61859,
  [SMALL_STATE(2195)] = 61867,
  [SMALL_STATE(2196)] = 61875,
  [SMALL_STATE(2197)] = 61885,
  [SMALL_STATE(2198)] = 61895,
  [SMALL_STATE(2199)] = 61905,
  [SMALL_STATE(2200)] = 61913,
  [SMALL_STATE(2201)] = 61923,
  [SMALL_STATE(2202)] = 61933,
  [SMALL_STATE(2203)] = 61941,
  [SMALL_STATE(2204)] = 61951,
  [SMALL_STATE(2205)] = 61959,
  [SMALL_STATE(2206)] = 61967,
  [SMALL_STATE(2207)] = 61977,
  [SMALL_STATE(2208)] = 61987,
  [SMALL_STATE(2209)] = 61995,
  [SMALL_STATE(2210)] = 62005,
  [SMALL_STATE(2211)] = 62013,
  [SMALL_STATE(2212)] = 62021,
  [SMALL_STATE(2213)] = 62029,
  [SMALL_STATE(2214)] = 62039,
  [SMALL_STATE(2215)] = 62049,
  [SMALL_STATE(2216)] = 62057,
  [SMALL_STATE(2217)] = 62065,
  [SMALL_STATE(2218)] = 62073,
  [SMALL_STATE(2219)] = 62081,
  [SMALL_STATE(2220)] = 62091,
  [SMALL_STATE(2221)] = 62101,
  [SMALL_STATE(2222)] = 62111,
  [SMALL_STATE(2223)] = 62119,
  [SMALL_STATE(2224)] = 62127,
  [SMALL_STATE(2225)] = 62135,
  [SMALL_STATE(2226)] = 62145,
  [SMALL_STATE(2227)] = 62155,
  [SMALL_STATE(2228)] = 62165,
  [SMALL_STATE(2229)] = 62175,
  [SMALL_STATE(2230)] = 62185,
  [SMALL_STATE(2231)] = 62195,
  [SMALL_STATE(2232)] = 62205,
  [SMALL_STATE(2233)] = 62215,
  [SMALL_STATE(2234)] = 62225,
  [SMALL_STATE(2235)] = 62233,
  [SMALL_STATE(2236)] = 62243,
  [SMALL_STATE(2237)] = 62253,
  [SMALL_STATE(2238)] = 62261,
  [SMALL_STATE(2239)] = 62271,
  [SMALL_STATE(2240)] = 62281,
  [SMALL_STATE(2241)] = 62291,
  [SMALL_STATE(2242)] = 62301,
  [SMALL_STATE(2243)] = 62311,
  [SMALL_STATE(2244)] = 62319,
  [SMALL_STATE(2245)] = 62329,
  [SMALL_STATE(2246)] = 62339,
  [SMALL_STATE(2247)] = 62347,
  [SMALL_STATE(2248)] = 62357,
  [SMALL_STATE(2249)] = 62367,
  [SMALL_STATE(2250)] = 62375,
  [SMALL_STATE(2251)] = 62383,
  [SMALL_STATE(2252)] = 62393,
  [SMALL_STATE(2253)] = 62403,
  [SMALL_STATE(2254)] = 62411,
  [SMALL_STATE(2255)] = 62419,
  [SMALL_STATE(2256)] = 62429,
  [SMALL_STATE(2257)] = 62439,
  [SMALL_STATE(2258)] = 62447,
  [SMALL_STATE(2259)] = 62455,
  [SMALL_STATE(2260)] = 62463,
  [SMALL_STATE(2261)] = 62471,
  [SMALL_STATE(2262)] = 62481,
  [SMALL_STATE(2263)] = 62489,
  [SMALL_STATE(2264)] = 62499,
  [SMALL_STATE(2265)] = 62507,
  [SMALL_STATE(2266)] = 62517,
  [SMALL_STATE(2267)] = 62525,
  [SMALL_STATE(2268)] = 62533,
  [SMALL_STATE(2269)] = 62543,
  [SMALL_STATE(2270)] = 62551,
  [SMALL_STATE(2271)] = 62561,
  [SMALL_STATE(2272)] = 62571,
  [SMALL_STATE(2273)] = 62581,
  [SMALL_STATE(2274)] = 62589,
  [SMALL_STATE(2275)] = 62599,
  [SMALL_STATE(2276)] = 62607,
  [SMALL_STATE(2277)] = 62617,
  [SMALL_STATE(2278)] = 62627,
  [SMALL_STATE(2279)] = 62637,
  [SMALL_STATE(2280)] = 62645,
  [SMALL_STATE(2281)] = 62655,
  [SMALL_STATE(2282)] = 62665,
  [SMALL_STATE(2283)] = 62673,
  [SMALL_STATE(2284)] = 62683,
  [SMALL_STATE(2285)] = 62691,
  [SMALL_STATE(2286)] = 62701,
  [SMALL_STATE(2287)] = 62711,
  [SMALL_STATE(2288)] = 62721,
  [SMALL_STATE(2289)] = 62731,
  [SMALL_STATE(2290)] = 62739,
  [SMALL_STATE(2291)] = 62747,
  [SMALL_STATE(2292)] = 62755,
  [SMALL_STATE(2293)] = 62763,
  [SMALL_STATE(2294)] = 62773,
  [SMALL_STATE(2295)] = 62783,
  [SMALL_STATE(2296)] = 62791,
  [SMALL_STATE(2297)] = 62799,
  [SMALL_STATE(2298)] = 62807,
  [SMALL_STATE(2299)] = 62817,
  [SMALL_STATE(2300)] = 62827,
  [SMALL_STATE(2301)] = 62837,
  [SMALL_STATE(2302)] = 62845,
  [SMALL_STATE(2303)] = 62853,
  [SMALL_STATE(2304)] = 62863,
  [SMALL_STATE(2305)] = 62871,
  [SMALL_STATE(2306)] = 62879,
  [SMALL_STATE(2307)] = 62889,
  [SMALL_STATE(2308)] = 62897,
  [SMALL_STATE(2309)] = 62907,
  [SMALL_STATE(2310)] = 62917,
  [SMALL_STATE(2311)] = 62925,
  [SMALL_STATE(2312)] = 62935,
  [SMALL_STATE(2313)] = 62945,
  [SMALL_STATE(2314)] = 62955,
  [SMALL_STATE(2315)] = 62963,
  [SMALL_STATE(2316)] = 62973,
  [SMALL_STATE(2317)] = 62981,
  [SMALL_STATE(2318)] = 62991,
  [SMALL_STATE(2319)] = 63001,
  [SMALL_STATE(2320)] = 63011,
  [SMALL_STATE(2321)] = 63019,
  [SMALL_STATE(2322)] = 63029,
  [SMALL_STATE(2323)] = 63039,
  [SMALL_STATE(2324)] = 63049,
  [SMALL_STATE(2325)] = 63059,
  [SMALL_STATE(2326)] = 63069,
  [SMALL_STATE(2327)] = 63077,
  [SMALL_STATE(2328)] = 63087,
  [SMALL_STATE(2329)] = 63095,
  [SMALL_STATE(2330)] = 63105,
  [SMALL_STATE(2331)] = 63115,
  [SMALL_STATE(2332)] = 63123,
  [SMALL_STATE(2333)] = 63133,
  [SMALL_STATE(2334)] = 63141,
  [SMALL_STATE(2335)] = 63151,
  [SMALL_STATE(2336)] = 63161,
  [SMALL_STATE(2337)] = 63169,
  [SMALL_STATE(2338)] = 63177,
  [SMALL_STATE(2339)] = 63185,
  [SMALL_STATE(2340)] = 63195,
  [SMALL_STATE(2341)] = 63205,
  [SMALL_STATE(2342)] = 63215,
  [SMALL_STATE(2343)] = 63223,
  [SMALL_STATE(2344)] = 63233,
  [SMALL_STATE(2345)] = 63241,
  [SMALL_STATE(2346)] = 63251,
  [SMALL_STATE(2347)] = 63261,
  [SMALL_STATE(2348)] = 63271,
  [SMALL_STATE(2349)] = 63279,
  [SMALL_STATE(2350)] = 63289,
  [SMALL_STATE(2351)] = 63297,
  [SMALL_STATE(2352)] = 63305,
  [SMALL_STATE(2353)] = 63315,
  [SMALL_STATE(2354)] = 63325,
  [SMALL_STATE(2355)] = 63335,
  [SMALL_STATE(2356)] = 63345,
  [SMALL_STATE(2357)] = 63355,
  [SMALL_STATE(2358)] = 63365,
  [SMALL_STATE(2359)] = 63375,
  [SMALL_STATE(2360)] = 63385,
  [SMALL_STATE(2361)] = 63395,
  [SMALL_STATE(2362)] = 63403,
  [SMALL_STATE(2363)] = 63413,
  [SMALL_STATE(2364)] = 63421,
  [SMALL_STATE(2365)] = 63431,
  [SMALL_STATE(2366)] = 63441,
  [SMALL_STATE(2367)] = 63449,
  [SMALL_STATE(2368)] = 63457,
  [SMALL_STATE(2369)] = 63467,
  [SMALL_STATE(2370)] = 63477,
  [SMALL_STATE(2371)] = 63487,
  [SMALL_STATE(2372)] = 63495,
  [SMALL_STATE(2373)] = 63505,
  [SMALL_STATE(2374)] = 63513,
  [SMALL_STATE(2375)] = 63521,
  [SMALL_STATE(2376)] = 63531,
  [SMALL_STATE(2377)] = 63539,
  [SMALL_STATE(2378)] = 63549,
  [SMALL_STATE(2379)] = 63559,
  [SMALL_STATE(2380)] = 63569,
  [SMALL_STATE(2381)] = 63579,
  [SMALL_STATE(2382)] = 63589,
  [SMALL_STATE(2383)] = 63599,
  [SMALL_STATE(2384)] = 63609,
  [SMALL_STATE(2385)] = 63619,
  [SMALL_STATE(2386)] = 63629,
  [SMALL_STATE(2387)] = 63639,
  [SMALL_STATE(2388)] = 63649,
  [SMALL_STATE(2389)] = 63657,
  [SMALL_STATE(2390)] = 63667,
  [SMALL_STATE(2391)] = 63675,
  [SMALL_STATE(2392)] = 63685,
  [SMALL_STATE(2393)] = 63693,
  [SMALL_STATE(2394)] = 63701,
  [SMALL_STATE(2395)] = 63711,
  [SMALL_STATE(2396)] = 63719,
  [SMALL_STATE(2397)] = 63729,
  [SMALL_STATE(2398)] = 63737,
  [SMALL_STATE(2399)] = 63747,
  [SMALL_STATE(2400)] = 63757,
  [SMALL_STATE(2401)] = 63765,
  [SMALL_STATE(2402)] = 63773,
  [SMALL_STATE(2403)] = 63783,
  [SMALL_STATE(2404)] = 63791,
  [SMALL_STATE(2405)] = 63799,
  [SMALL_STATE(2406)] = 63809,
  [SMALL_STATE(2407)] = 63817,
  [SMALL_STATE(2408)] = 63827,
  [SMALL_STATE(2409)] = 63837,
  [SMALL_STATE(2410)] = 63845,
  [SMALL_STATE(2411)] = 63853,
  [SMALL_STATE(2412)] = 63863,
  [SMALL_STATE(2413)] = 63873,
  [SMALL_STATE(2414)] = 63883,
  [SMALL_STATE(2415)] = 63893,
  [SMALL_STATE(2416)] = 63903,
  [SMALL_STATE(2417)] = 63913,
  [SMALL_STATE(2418)] = 63923,
  [SMALL_STATE(2419)] = 63931,
  [SMALL_STATE(2420)] = 63938,
  [SMALL_STATE(2421)] = 63945,
  [SMALL_STATE(2422)] = 63952,
  [SMALL_STATE(2423)] = 63959,
  [SMALL_STATE(2424)] = 63966,
  [SMALL_STATE(2425)] = 63973,
  [SMALL_STATE(2426)] = 63980,
  [SMALL_STATE(2427)] = 63987,
  [SMALL_STATE(2428)] = 63994,
  [SMALL_STATE(2429)] = 64001,
  [SMALL_STATE(2430)] = 64008,
  [SMALL_STATE(2431)] = 64015,
  [SMALL_STATE(2432)] = 64022,
  [SMALL_STATE(2433)] = 64029,
  [SMALL_STATE(2434)] = 64036,
  [SMALL_STATE(2435)] = 64043,
  [SMALL_STATE(2436)] = 64050,
  [SMALL_STATE(2437)] = 64057,
  [SMALL_STATE(2438)] = 64064,
  [SMALL_STATE(2439)] = 64071,
  [SMALL_STATE(2440)] = 64078,
  [SMALL_STATE(2441)] = 64085,
  [SMALL_STATE(2442)] = 64092,
  [SMALL_STATE(2443)] = 64099,
  [SMALL_STATE(2444)] = 64106,
  [SMALL_STATE(2445)] = 64113,
  [SMALL_STATE(2446)] = 64120,
  [SMALL_STATE(2447)] = 64127,
  [SMALL_STATE(2448)] = 64134,
  [SMALL_STATE(2449)] = 64141,
  [SMALL_STATE(2450)] = 64148,
  [SMALL_STATE(2451)] = 64155,
  [SMALL_STATE(2452)] = 64162,
  [SMALL_STATE(2453)] = 64169,
  [SMALL_STATE(2454)] = 64176,
  [SMALL_STATE(2455)] = 64183,
  [SMALL_STATE(2456)] = 64190,
  [SMALL_STATE(2457)] = 64197,
  [SMALL_STATE(2458)] = 64204,
  [SMALL_STATE(2459)] = 64211,
  [SMALL_STATE(2460)] = 64218,
  [SMALL_STATE(2461)] = 64225,
  [SMALL_STATE(2462)] = 64232,
  [SMALL_STATE(2463)] = 64239,
  [SMALL_STATE(2464)] = 64246,
  [SMALL_STATE(2465)] = 64253,
  [SMALL_STATE(2466)] = 64260,
  [SMALL_STATE(2467)] = 64267,
  [SMALL_STATE(2468)] = 64274,
  [SMALL_STATE(2469)] = 64281,
  [SMALL_STATE(2470)] = 64288,
  [SMALL_STATE(2471)] = 64295,
  [SMALL_STATE(2472)] = 64302,
  [SMALL_STATE(2473)] = 64309,
  [SMALL_STATE(2474)] = 64316,
  [SMALL_STATE(2475)] = 64323,
  [SMALL_STATE(2476)] = 64330,
  [SMALL_STATE(2477)] = 64337,
  [SMALL_STATE(2478)] = 64344,
  [SMALL_STATE(2479)] = 64351,
  [SMALL_STATE(2480)] = 64358,
  [SMALL_STATE(2481)] = 64365,
  [SMALL_STATE(2482)] = 64372,
  [SMALL_STATE(2483)] = 64379,
  [SMALL_STATE(2484)] = 64386,
  [SMALL_STATE(2485)] = 64393,
  [SMALL_STATE(2486)] = 64400,
  [SMALL_STATE(2487)] = 64407,
  [SMALL_STATE(2488)] = 64414,
  [SMALL_STATE(2489)] = 64421,
  [SMALL_STATE(2490)] = 64428,
  [SMALL_STATE(2491)] = 64435,
  [SMALL_STATE(2492)] = 64442,
  [SMALL_STATE(2493)] = 64449,
  [SMALL_STATE(2494)] = 64456,
  [SMALL_STATE(2495)] = 64463,
  [SMALL_STATE(2496)] = 64470,
  [SMALL_STATE(2497)] = 64477,
  [SMALL_STATE(2498)] = 64484,
  [SMALL_STATE(2499)] = 64491,
  [SMALL_STATE(2500)] = 64498,
  [SMALL_STATE(2501)] = 64505,
  [SMALL_STATE(2502)] = 64512,
  [SMALL_STATE(2503)] = 64519,
  [SMALL_STATE(2504)] = 64526,
  [SMALL_STATE(2505)] = 64533,
  [SMALL_STATE(2506)] = 64540,
  [SMALL_STATE(2507)] = 64547,
  [SMALL_STATE(2508)] = 64554,
  [SMALL_STATE(2509)] = 64561,
  [SMALL_STATE(2510)] = 64568,
  [SMALL_STATE(2511)] = 64575,
  [SMALL_STATE(2512)] = 64582,
  [SMALL_STATE(2513)] = 64589,
  [SMALL_STATE(2514)] = 64596,
  [SMALL_STATE(2515)] = 64603,
  [SMALL_STATE(2516)] = 64610,
  [SMALL_STATE(2517)] = 64617,
  [SMALL_STATE(2518)] = 64624,
  [SMALL_STATE(2519)] = 64631,
  [SMALL_STATE(2520)] = 64638,
  [SMALL_STATE(2521)] = 64645,
  [SMALL_STATE(2522)] = 64652,
  [SMALL_STATE(2523)] = 64659,
  [SMALL_STATE(2524)] = 64666,
  [SMALL_STATE(2525)] = 64673,
  [SMALL_STATE(2526)] = 64680,
  [SMALL_STATE(2527)] = 64687,
  [SMALL_STATE(2528)] = 64694,
  [SMALL_STATE(2529)] = 64701,
  [SMALL_STATE(2530)] = 64708,
  [SMALL_STATE(2531)] = 64715,
  [SMALL_STATE(2532)] = 64722,
  [SMALL_STATE(2533)] = 64729,
  [SMALL_STATE(2534)] = 64736,
  [SMALL_STATE(2535)] = 64743,
  [SMALL_STATE(2536)] = 64750,
  [SMALL_STATE(2537)] = 64757,
  [SMALL_STATE(2538)] = 64764,
  [SMALL_STATE(2539)] = 64771,
  [SMALL_STATE(2540)] = 64778,
  [SMALL_STATE(2541)] = 64785,
  [SMALL_STATE(2542)] = 64792,
  [SMALL_STATE(2543)] = 64799,
  [SMALL_STATE(2544)] = 64806,
  [SMALL_STATE(2545)] = 64813,
  [SMALL_STATE(2546)] = 64820,
  [SMALL_STATE(2547)] = 64827,
  [SMALL_STATE(2548)] = 64834,
  [SMALL_STATE(2549)] = 64841,
  [SMALL_STATE(2550)] = 64848,
  [SMALL_STATE(2551)] = 64855,
  [SMALL_STATE(2552)] = 64862,
  [SMALL_STATE(2553)] = 64869,
  [SMALL_STATE(2554)] = 64876,
  [SMALL_STATE(2555)] = 64883,
  [SMALL_STATE(2556)] = 64890,
  [SMALL_STATE(2557)] = 64897,
  [SMALL_STATE(2558)] = 64904,
  [SMALL_STATE(2559)] = 64911,
  [SMALL_STATE(2560)] = 64918,
  [SMALL_STATE(2561)] = 64925,
  [SMALL_STATE(2562)] = 64932,
  [SMALL_STATE(2563)] = 64939,
  [SMALL_STATE(2564)] = 64946,
  [SMALL_STATE(2565)] = 64953,
  [SMALL_STATE(2566)] = 64960,
  [SMALL_STATE(2567)] = 64967,
  [SMALL_STATE(2568)] = 64974,
  [SMALL_STATE(2569)] = 64981,
  [SMALL_STATE(2570)] = 64988,
  [SMALL_STATE(2571)] = 64995,
  [SMALL_STATE(2572)] = 65002,
  [SMALL_STATE(2573)] = 65009,
  [SMALL_STATE(2574)] = 65016,
  [SMALL_STATE(2575)] = 65023,
  [SMALL_STATE(2576)] = 65030,
  [SMALL_STATE(2577)] = 65037,
  [SMALL_STATE(2578)] = 65044,
  [SMALL_STATE(2579)] = 65051,
  [SMALL_STATE(2580)] = 65058,
  [SMALL_STATE(2581)] = 65065,
  [SMALL_STATE(2582)] = 65072,
  [SMALL_STATE(2583)] = 65079,
  [SMALL_STATE(2584)] = 65086,
  [SMALL_STATE(2585)] = 65093,
  [SMALL_STATE(2586)] = 65100,
  [SMALL_STATE(2587)] = 65107,
  [SMALL_STATE(2588)] = 65114,
  [SMALL_STATE(2589)] = 65121,
  [SMALL_STATE(2590)] = 65128,
  [SMALL_STATE(2591)] = 65135,
  [SMALL_STATE(2592)] = 65142,
  [SMALL_STATE(2593)] = 65149,
  [SMALL_STATE(2594)] = 65156,
  [SMALL_STATE(2595)] = 65163,
  [SMALL_STATE(2596)] = 65170,
  [SMALL_STATE(2597)] = 65177,
  [SMALL_STATE(2598)] = 65184,
  [SMALL_STATE(2599)] = 65191,
  [SMALL_STATE(2600)] = 65198,
  [SMALL_STATE(2601)] = 65205,
  [SMALL_STATE(2602)] = 65212,
  [SMALL_STATE(2603)] = 65219,
  [SMALL_STATE(2604)] = 65226,
  [SMALL_STATE(2605)] = 65233,
  [SMALL_STATE(2606)] = 65240,
  [SMALL_STATE(2607)] = 65247,
  [SMALL_STATE(2608)] = 65254,
  [SMALL_STATE(2609)] = 65261,
  [SMALL_STATE(2610)] = 65268,
  [SMALL_STATE(2611)] = 65275,
  [SMALL_STATE(2612)] = 65282,
  [SMALL_STATE(2613)] = 65289,
  [SMALL_STATE(2614)] = 65296,
  [SMALL_STATE(2615)] = 65303,
  [SMALL_STATE(2616)] = 65310,
  [SMALL_STATE(2617)] = 65317,
  [SMALL_STATE(2618)] = 65324,
  [SMALL_STATE(2619)] = 65331,
  [SMALL_STATE(2620)] = 65338,
  [SMALL_STATE(2621)] = 65345,
  [SMALL_STATE(2622)] = 65352,
  [SMALL_STATE(2623)] = 65359,
  [SMALL_STATE(2624)] = 65366,
  [SMALL_STATE(2625)] = 65373,
  [SMALL_STATE(2626)] = 65380,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(520),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1349),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1892),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1729),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1414),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1478),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2162),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(68),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2606),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2602),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2598),
  [178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2595),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1361),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1864),
  [201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2587),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1906),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2585),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1088),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2181),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(372),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2184),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(78),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2188),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2190),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2193),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(329),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(329),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(305),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(661),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(853),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(732),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1094),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1099),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1425),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1415),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1626),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1908),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1417),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1674),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(229),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 133),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 133),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 133),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 133),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2613),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2244),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2622),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2626),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2228),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(889),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(719),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 3),
  [983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 3),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2470),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2343),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2382),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(82),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2382),
  [1016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(82),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2382),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 166),
  [1032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 166),
  [1034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 182),
  [1040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 182),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 153),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 153),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 147),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 147),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 175),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 175),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 153),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 153),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 148),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 148),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 171),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 171),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 0),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 0),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 0),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 0),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 167),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 167),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 167),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 167),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, 0, 142),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, 0, 142),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, 0, 143),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, 0, 143),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 143),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 143),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2440),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1443),
  [1785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(732),
  [1788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1921),
  [1791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2162),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(97),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2548),
  [1802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [1805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1394),
  [1808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1583),
  [1811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2074),
  [1814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 136),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 136),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 137),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 137),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 94),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 94),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 138),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 138),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 137),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 137),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 93),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 93),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 92),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 92),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 168),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 168),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 168),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 168),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 19),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 19),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 52),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 52),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 51),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 51),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 91),
  [1893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 91),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 50),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 50),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 53),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 53),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 139),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 139),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 144),
  [2051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 144),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 149),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 149),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 169),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 169),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 170),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 170),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 172),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 172),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 173),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 173),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 174),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 174),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 183),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 183),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1425),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 21),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 60),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 22),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1284),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [2302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [2305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1017),
  [2311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2, 0, 0),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 28),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 124),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 162),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 184),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 179),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 178),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 118),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 160),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 177),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 158),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 116),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 114),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 78),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 157),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 95),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 155),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 176),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 132),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 131),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 54),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 55),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1284),
  [2597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1450),
  [2600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1569),
  [2603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [2611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [2614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(635),
  [2620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [2623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1425),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1284),
  [2757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1450),
  [2760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1569),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2516),
  [2768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [2771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [2774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1360),
  [2780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [2783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1425),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [2792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1422),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [2890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1370),
  [2893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1370),
  [2896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1422),
  [2899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(290),
  [2907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1369),
  [2910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1369),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1714),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 84),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [2936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 127),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 164),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 165),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 27),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 9),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 11),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(393),
  [2971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1392),
  [2974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1392),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [2979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1675),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 185),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 85),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 74),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 40),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 39),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 163),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 126),
  [3022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(295),
  [3025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1406),
  [3028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1406),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1673),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 163),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 180),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 180),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 39),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 181),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 83),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3076] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3083] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [3130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [3162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1344),
  [3165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [3177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2601),
  [3374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2169),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [3391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [3400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2211),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [3407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3415] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1348),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [3487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2268),
  [3490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(81),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2268),
  [3500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(81),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [3515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1622),
  [3520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1813),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 0),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 34),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 13),
  [3583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [3585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [3617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1343),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [3645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90), SHIFT_REPEAT(2412),
  [3648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [3650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2440),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2268),
  [3757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [3760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2489),
  [3763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1346),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2489),
  [3787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1445),
  [3790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2489),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [3799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 2),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1967),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1774),
  [3850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [3854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [3858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [3866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1432),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2, 0, 0),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1966),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1821),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1, 0, 0),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [3946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [3954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [3970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1604),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [3995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1538),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1442),
  [4003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1348),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [4028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(144),
  [4041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 135),
  [4045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 159),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1741),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [4078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 4),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 6),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [4106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1703),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 135),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(231),
  [4126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2, 0, 0),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 0),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 33),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 36),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 2),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 123),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 121),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 15),
  [4179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 120),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 115),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [4195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 79),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [4210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3, 0, 0),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 109),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 48),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 49),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [4236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [4239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 49),
  [4241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(134),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 32),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 31),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1424),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 30),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 29),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 49),
  [4300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 57),
  [4302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2, 0, 0),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 67),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 75),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 70),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 71),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(735),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 73),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 76),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [4369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 77),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [4381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 26),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(844),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1, 0, 0), SHIFT(2157),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 74),
  [4425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 72),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 69),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 11),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [4451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0), SHIFT(2157),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [4482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [4501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 161),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 4),
  [4525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3, 0, 0),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 122),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [4577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2, 0, 0),
  [4579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 134),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2440),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 117),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [4635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 16),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 152),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 42),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [4765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 99),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [4833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4859] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 66),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [4873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4, 0, 0),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [4907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 3),
  [4909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 58),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [6] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token_heredoc_end] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_only_external_scanner_create(void);
void tree_sitter_php_only_external_scanner_destroy(void *);
bool tree_sitter_php_only_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_only_external_scanner_serialize(void *, char *);
void tree_sitter_php_only_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php_only(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_only_external_scanner_create,
      tree_sitter_php_only_external_scanner_destroy,
      tree_sitter_php_only_external_scanner_scan,
      tree_sitter_php_only_external_scanner_serialize,
      tree_sitter_php_only_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
